(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    232058,       5527]
NotebookOptionsPosition[    193736,       4806]
NotebookOutlinePosition[    213304,       5158]
CellTagsIndexPosition[    212928,       5141]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Basics of Cluster Model ", "Title",
 CellTags->"c:1",ExpressionUUID->"9b770465-b62f-4b9b-9945-32bb7ef267c3"],

Cell["Cluster State computations, basics", "Subtitle",ExpressionUUID->"615aff94-e97f-4123-82ae-7c1e70bd9ba3"],

Cell[TextData[{
 "Version: November-2014--For ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 9.0-10.3"
}], "Abstract",
 CellChangeTimes->{{3.395090887981901*^9, 3.395090925377634*^9}, {
  3.512204743716008*^9, 3.512204766816266*^9}, {3.624968936725236*^9, 
  3.624968941032831*^9}, {3.6251847546118107`*^9, 3.6251847658162823`*^9}, {
  3.655403427553523*^9, 
  3.6554034281029587`*^9}},ExpressionUUID->"291a7b35-81fa-485e-bf4a-\
3ec52ec80902"],

Cell[CellGroupData[{

Cell["\<\
Cluster State basics:                                                    To \
open double click at down arrow------------------------------->>\
\>", "Section",
 CellChangeTimes->{{3.512204867845098*^9, 3.5122049049071093`*^9}},
 FontFamily->"Times",
 CellTags->"c:2",ExpressionUUID->"4709af65-f530-4a35-9541-0c561080f169"],

Cell[CellGroupData[{

Cell["Discard Theorem", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:3", "b:0.0.0"},ExpressionUUID->"1ef722ca-ac55-4076-9505-1ec92c8f529d"],

Cell[TextData[StyleBox["Uses the Qdensity package:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:0.0.0",ExpressionUUID->"b39f7ea9-758f-4d04-9e9a-f482f88442ea"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"Off", "[", 
     RowBox[{"General", "::", "shdw"}], "]"}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.860154826856083*^9, 3.8601548284165297`*^9}},
 CellTags->"b:0.0.0",ExpressionUUID->"9dc42f7f-7a9c-4324-93f7-0a40b68f6a3a"],

Cell[BoxData["\<\"Type \\\"?intro\\\", \\\"?QDENSITY`Qdensity`*\\\" or \
\\\"?about for help.\"\>"], "Print",
 CellChangeTimes->{3.857208831042203*^9, 3.859361571111742*^9, 
  3.860154840125597*^9},
 CellTags->"b:0.0.0",ExpressionUUID->"19c144f2-3371-43f9-a0ef-5c5b7f535e3c"]
}, Open  ]],

Cell[CellGroupData[{

Cell["?QDENSITY`Qdensity`*", "Input",
 CellTags->"b:0.0.0",ExpressionUUID->"7a6d995d-0e03-4b44-ba82-affae42722df"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
              
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["about", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "about", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["FidelityB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "FidelityB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OneOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "OneOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "res2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["U", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "U", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Adj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Adj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Oracle", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Oracle", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "res2$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "v", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["AF", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "AF", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTrace", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "PartialTrace", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Rotqbit", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Rotqbit", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Vs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Vs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Bra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Bra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Hadamard", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Hadamard", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTraceGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "PartialTraceGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "RotX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "v$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "BraV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["HALL", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "HALL", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTranspose", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "PartialTranspose", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "RotY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ws", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "ws", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "BraX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["i8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "i8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ProjG", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "ProjG", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "RotZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "BraY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["intro", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "intro", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "PTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CNOT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "CNOT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["j8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "j8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTrGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "PTrGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Schmidt", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Schmidt", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Coeff", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Coeff", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Ket1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Ket1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Purity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Purity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma0", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Sigma0", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Comm", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Comm", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "KetV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "PX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Sigma1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroMatrix", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "ZeroMatrix", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompMeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "CompMeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "KetX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "PY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Sigma2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "ZeroT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompPTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "CompPTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "KetY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "RandomBra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Sigma3", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalH]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "\[ScriptCapitalH]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "ControlledX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "mc", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "RandomBra2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Snos", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Snos", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "\[ScriptCapitalP]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "ControlledY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "mcl", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBraN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "RandomBraN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SP", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "SP", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]X", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "\[ScriptCapitalP]X", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "ControlledZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "mcl$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "RandomKet1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SpinObs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "SpinObs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]Y", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "\[ScriptCapitalP]Y", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASE", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "CPHASE", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "mc$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "RandomKet2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stA", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "stA", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[DoubleStruckCapitalI]", "InformationGridButton"],
                  
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "\[DoubleStruckCapitalI]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASEV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "CPHASEV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "MeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKetN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "RandomKetN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "stB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "\[Rho]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["cRQN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "cRQN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiProjCBasis", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "MultiProjCBasis", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "RandomQubit1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Swap", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Swap", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "\[Rho]$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Definef", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Definef", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiQProj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "MultiQProj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "RandomQubit2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "s$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Sigma]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "\[Sigma]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["DForm2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "DForm2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Mutual", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Mutual", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubitN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "RandomQubitN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ThreeOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "ThreeOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "\[Phi]A1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Discord", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Discord", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "nb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsDate", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "rcsDate", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Toffoli", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Toffoli", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "\[Phi]A2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["EnTropy", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "EnTropy", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["neg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "neg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsRevision", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "rcsRevision", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "ts", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "\[Phi]B1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["EnTropy2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "EnTropy2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nneg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "nneg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "res1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "ts$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "\[Phi]B2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Fidelity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "Fidelity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nq", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "nq", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "res1$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["TwoOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "TwoOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[CapitalOmega]s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a823fec3-1c0d-405e-8ec7-eced7baee5e3", {
                    "\[CapitalOmega]s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.19]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208831948048*^9, 3.859361571902569*^9, 
  3.860154840885641*^9},
 CellTags->"b:0.0.0",ExpressionUUID->"5e3b5b08-f492-4587-bb15-94e8d5b04890"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  StyleBox["Access",
   FontFamily->"Helvetica"], 
  StyleBox[" ",
   FontFamily->"Helvetica"], 
  StyleBox["the",
   FontFamily->"Helvetica"], 
  StyleBox[" ",
   FontFamily->"Helvetica"], 
  StyleBox["2014",
   FontFamily->"Helvetica"], 
  StyleBox[" ",
   FontFamily->"Helvetica"], 
  StyleBox["QDENSpalette",
   FontFamily->"Helvetica"], 
  StyleBox[" ",
   FontFamily->"Helvetica"], 
  StyleBox["it",
   FontFamily->"Helvetica"], 
  StyleBox[" ",
   FontFamily->"Helvetica"], 
  StyleBox["by",
   FontFamily->"Helvetica"], 
  StyleBox[" ",
   FontFamily->"Helvetica"], 
  StyleBox["clicking",
   FontFamily->"Helvetica"], 
  StyleBox[" ",
   FontFamily->"Helvetica"], 
  RowBox[{
   StyleBox["here",
    FontFamily->"Helvetica"], 
   StyleBox[":",
    FontFamily->"Helvetica"], 
   StyleBox[" ",
    FontFamily->"Helvetica"], 
   ButtonBox[
    RowBox[{"QDENSpalette", ".", "nb"}],
    BaseStyle->"Hyperlink",
    ButtonData:>{"QDENSpalette14.nb", None}]}]}]], "Text",
 CellChangeTimes->{{3.625184809702572*^9, 3.625184831474201*^9}},
 FontFamily->"Courier New",
 CellTags->"b:0.0.0",ExpressionUUID->"b1a1aaa0-2586-4e42-873c-236a413c6cb1"],

Cell[TextData[StyleBox["We set the number of Qubits to 2",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.0",ExpressionUUID->"e9c027bc-85ec-4630-87fa-72e86cfa166b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"nqx", "=", "2"}], ";"}]], "Input",
 CellTags->"b:0.0.0",ExpressionUUID->"dfdd66e1-21f1-4c07-bc70-0ca00e11a867"],

Cell[TextData[StyleBox["Decide whether the computation will be carried out \
numerically (icalc=0) or \nalgebraically (icalc=1)",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.0",ExpressionUUID->"e6041a99-10a8-42ad-9bec-e594f4fdf638"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Icalc", "=", "0"}]], "Input",
 CellTags->"b:0.0.0",ExpressionUUID->"c486662b-6720-483a-bfe6-9926ab226f20"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777101195992*^9, 3.624968925011549*^9, 
  3.625184705397367*^9, 3.655403432617752*^9, 3.657377203985688*^9, 
  3.857208831975615*^9, 3.859361571930657*^9, 3.860154840918782*^9},
 CellTags->"b:0.0.0",ExpressionUUID->"2fbc3251-0577-44cf-a854-91b61cac04f4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"figure1", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<QDENSITY/drawings/discard1.png\>\"", ",", "\"\<PNG\>\""}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"figure2", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<QDENSITY/drawings/discard2.png\>\"", ",", "\"\<PNG\>\""}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"Show", "[", "figure1", "]"}], "\n", 
 RowBox[{"Show", "[", "figure2", "]"}]}], "Input",
 CellTags->"b:0.0.0",ExpressionUUID->"997c0e04-b2b9-4701-87b9-32aaaadb41b2"],

Cell[BoxData[
 TagBox[
  GraphicsBox[RasterBox[CompressedData["
1:eJztnQtUFNUfx3n5BAVRfGUqSFAoajzElEL0gC8UlFAElUAwxBRRNKUUXyEa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    "], {{0, 0}, {300., 107.}}, {0, 
    255},
    ColorFunction->RGBColor],
   ImageSize->{300, 107},
   PlotRange->{{0, 300.}, {0, 107.}}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777101461933*^9, 3.624968925130021*^9, 
  3.625184705479383*^9, 3.655403432707243*^9, 3.657377204046442*^9, 
  3.857208832428246*^9, 3.859361572387457*^9, 3.860154841466927*^9},
 CellTags->"b:0.0.0",ExpressionUUID->"892c5b59-e011-4554-a35b-0e80a2193018"],

Cell[BoxData[
 TagBox[
  GraphicsBox[RasterBox[CompressedData["
1:eJztXVtME+sW7jk7MVw02RGBgvWKSkxO8I54KeY8iBrwQY5HMT5BDu5sH2il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    
    "], {{0, 0}, {300., 46.}}, {0, 255},
    ColorFunction->RGBColor],
   ImageSize->{300, 107},
   PlotRange->{{0, 300.}, {0, 46.}}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777101461933*^9, 3.624968925130021*^9, 
  3.625184705479383*^9, 3.655403432707243*^9, 3.657377204046442*^9, 
  3.857208832428246*^9, 3.859361572387457*^9, 3.860154841472685*^9},
 CellTags->"b:0.0.0",ExpressionUUID->"c1e0fef6-f892-48e4-ac00-84a1e0f8f44b"]
}, Open  ]],

Cell[TextData[StyleBox["We'll show that the two circuits in the figures are \
equivalent:\nThe unknown qubit one, will be generated at Random:", \
"DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.0",ExpressionUUID->"6af4abf2-da88-4362-ac43-1f0ae06b8f5b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Rho]", "=", "RandomQubit1"}]], "Input",
 CellTags->"b:0.0.0",ExpressionUUID->"8a468632-0b06-4650-9dac-9aed7d08f37e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.520770420967602`", 
      RowBox[{"0.0380175270008537`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.017576582140264863`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.0380175270008537`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.017576582140264863`", " ", "\[ImaginaryI]"}]}], 
      "0.479229579032398`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6167771014772043`*^9, 3.624968925161828*^9, 
  3.625184705514533*^9, 3.655403432824588*^9, 3.657377204086195*^9, 
  3.857208832440442*^9, 3.859361572400004*^9, 3.860154841488624*^9},
 CellTags->"b:0.0.0",ExpressionUUID->"5d08b8f9-baef-477c-85bc-17226cb72d51"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"If", " ", "[", 
   RowBox[{
    RowBox[{"Icalc", "==", "1"}], ",", 
    RowBox[{"\[Rho]1", "=", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"A", "*", 
         RowBox[{"Ket", "[", "0", "]"}]}], "+", 
        RowBox[{"B", "*", 
         RowBox[{"Ket", "[", "1", "]"}]}]}], ")"}], "\[CircleTimes]", 
      RowBox[{"Adj", "[", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"A", "*", 
          RowBox[{"Ket", "[", "0", "]"}]}], "+", 
         RowBox[{"B", "*", 
          RowBox[{"Ket", "[", "1", "]"}]}]}], ")"}], "]"}]}]}], ",", 
    RowBox[{"\[Rho]1", "=", "\[Rho]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", "\[Rho]1"}], "Input",
 CellChangeTimes->{3.6167091464740953`*^9, 3.857208821031354*^9},
 CellTags->"b:0.0.0",ExpressionUUID->"20278974-4d55-452f-b482-06f328e2cc02"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.520770420967602`", 
      RowBox[{"0.0380175270008537`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.017576582140264863`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.0380175270008537`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.017576582140264863`", " ", "\[ImaginaryI]"}]}], 
      "0.479229579032398`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6167771015064697`*^9, 3.624968925195376*^9, 
  3.6251847055267773`*^9, 3.655403432890551*^9, 3.657377204119677*^9, 
  3.857208832455879*^9, 3.859361572416233*^9, 3.860154841512721*^9},
 CellTags->"b:0.0.0",ExpressionUUID->"9ba71607-f6d3-408a-8794-40378b111c2a"]
}, Open  ]],

Cell[TextData[StyleBox["The second one is in the |+\[RightAngleBracket] \
state, its density matrix is thus:", "DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.0",ExpressionUUID->"715bbab2-1b80-4a86-b935-7d91a06c91b4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Rho]2", "=", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"KetX", "[", "0", "]"}], "\[CircleTimes]", 
    RowBox[{"BraX", "[", "0", "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.616708936423403*^9, 3.616708940628549*^9}, 
   3.6167090276581917`*^9, 3.857208821034429*^9},
 CellTags->"b:0.0.0",ExpressionUUID->"b48d47ca-9e08-4f95-9068-af3e218bd7f3"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], 
      FractionBox["1", "2"]},
     {
      FractionBox["1", "2"], 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777101519733*^9, 3.624968925228435*^9, 
  3.6251847055474567`*^9, 3.655403432956851*^9, 3.657377204152519*^9, 
  3.857208832463923*^9, 3.8593615724253397`*^9, 3.8601548415291433`*^9},
 CellTags->"b:0.0.0",ExpressionUUID->"9c8324ae-4ec7-4b2f-8927-ff6537a0a4a8"]
}, Open  ]],

Cell[TextData[StyleBox["The initial state is therefore:", "DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.0",ExpressionUUID->"67bcbe71-b654-4de0-a7ef-4aa6ed02c136"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Rho]12", "=", 
  RowBox[{"AF", "[", 
   RowBox[{"\[Rho]1", " ", "\[CircleTimes]", " ", "\[Rho]2"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.616709050438341*^9, 3.616709058332323*^9}, 
   3.8572088210373096`*^9},
 CellTags->"b:0.0.0",ExpressionUUID->"c37f4b87-612b-40e7-83a9-c95bd9903d44"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.260385210483801`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.260385210483801`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.01900876350042685`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.008788291070132431`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.01900876350042685`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.008788291070132431`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.260385210483801`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.260385210483801`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.01900876350042685`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.008788291070132431`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.01900876350042685`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.008788291070132431`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.01900876350042685`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.008788291070132431`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.01900876350042685`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.008788291070132431`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.239614789516199`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.239614789516199`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.01900876350042685`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.008788291070132431`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.01900876350042685`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.008788291070132431`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.239614789516199`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.239614789516199`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777101543392*^9, 3.62496892524574*^9, 
  3.625184705561448*^9, 3.6554034330236273`*^9, 3.657377204167227*^9, 
  3.857208832479623*^9, 3.8593615724424133`*^9, 3.860154841554945*^9},
 CellTags->"b:0.0.0",ExpressionUUID->"47ce9ecb-56e6-4e55-824b-4a650ddd552c"]
}, Open  ]],

Cell[TextData[StyleBox["We perform the control phase operation between the \
two qubits,", "DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.0",ExpressionUUID->"5b35bf85-f238-4ee8-8a7c-5a72271b5bfa"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Rho]CP", "=", 
  RowBox[{"Chop", "[", " ", 
   RowBox[{
    RowBox[{"CPHASE", "[", 
     RowBox[{"2", ",", "1", ",", "2"}], "]"}], ".", "\[Rho]12", ".", 
    RowBox[{"Adj", "[", 
     RowBox[{"CPHASE", "[", 
      RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}]}], "]"}]}]], "Input",
 CellTags->"b:0.0.0",ExpressionUUID->"e4928c19-a0e3-46cf-bd0f-09f88ad881ce"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.260385210483801`", "0.260385210483801`", 
      RowBox[{"0.01900876350042685`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.008788291070132431`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.01900876350042685`"}], "-", 
       RowBox[{"0.008788291070132431`", " ", "\[ImaginaryI]"}]}]},
     {"0.260385210483801`", "0.260385210483801`", 
      RowBox[{"0.01900876350042685`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.008788291070132431`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.01900876350042685`"}], "-", 
       RowBox[{"0.008788291070132431`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.01900876350042685`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.008788291070132431`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.01900876350042685`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.008788291070132431`", " ", "\[ImaginaryI]"}]}], 
      "0.239614789516199`", 
      RowBox[{"-", "0.239614789516199`"}]},
     {
      RowBox[{
       RowBox[{"-", "0.01900876350042685`"}], "+", 
       RowBox[{"0.008788291070132431`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.01900876350042685`"}], "+", 
       RowBox[{"0.008788291070132431`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"-", "0.239614789516199`"}], "0.239614789516199`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777101555797*^9, 3.6249689252789803`*^9, 
  3.6251847055801983`*^9, 3.655403433263802*^9, 3.65737720418722*^9, 
  3.857208832488161*^9, 3.8593615724524727`*^9, 3.860154841572534*^9},
 CellTags->"b:0.0.0",ExpressionUUID->"54e19877-3319-49f0-8bbf-6e06b285c33b"]
}, Open  ]],

Cell[TextData[StyleBox["Now we measure the second Qubit, in the Z basis:", \
"DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.0",ExpressionUUID->"4a1c0873-78ae-42cd-b57e-9e999851a950"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["P", "a_"], ":=", 
   RowBox[{"AF", "[", 
    RowBox[{"\[DoubleStruckCapitalI]", "\[CircleTimes]", " ", 
     SubscriptBox["\[ScriptCapitalP]", "a"]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Rho]M", "[", "a_", "]"}], " ", ":=", 
  RowBox[{"Chop", "[", 
   RowBox[{"PTr", "[", 
    RowBox[{
     RowBox[{"{", "2", "}"}], ",", " ", 
     RowBox[{"2", "*", 
      RowBox[{
       SubscriptBox["P", "a"], ".", "\[Rho]CP", ".", 
       SubscriptBox["P", "a"]}]}]}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6167090735761414`*^9, 3.616709083260242*^9}, 
   3.8572088210421667`*^9},
 CellTags->"b:0.0.0",ExpressionUUID->"f158eab9-a843-42d7-8ed2-d0ee8e89a845"],

Cell[TextData[StyleBox["The two possible remaining density matrices for Qubit \
one are,", "DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.0",ExpressionUUID->"b212d9ab-5305-49d4-b503-06a78221ac5d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"\[Rho]M", "[", "0", "]"}], "\[IndentingNewLine]", 
 RowBox[{"\[Rho]M", "[", "1", "]"}]}], "Input",
 CellTags->"b:0.0.0",ExpressionUUID->"c517d285-4776-4bc0-b1b9-fbefc3b2f094"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.520770420967602`", 
      RowBox[{"0.0380175270008537`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.017576582140264863`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.0380175270008537`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.017576582140264863`", " ", "\[ImaginaryI]"}]}], 
      "0.47922957903239805`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6167771015784693`*^9, 3.624968925328445*^9, 
  3.625184705596527*^9, 3.655403433363213*^9, 3.657377204207304*^9, 
  3.857208832516959*^9, 3.859361572482955*^9, 3.860154841694878*^9},
 CellTags->"b:0.0.0",ExpressionUUID->"839a9a06-4c15-41ee-8820-090cba726911"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.520770420967602`", 
      RowBox[{
       RowBox[{"-", "0.0380175270008537`"}], "-", 
       RowBox[{"0.017576582140264863`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.0380175270008537`"}], "+", 
       RowBox[{"0.017576582140264863`", " ", "\[ImaginaryI]"}]}], 
      "0.47922957903239805`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6167771015784693`*^9, 3.624968925328445*^9, 
  3.625184705596527*^9, 3.655403433363213*^9, 3.657377204207304*^9, 
  3.857208832516959*^9, 3.859361572482955*^9, 3.860154841700015*^9},
 CellTags->"b:0.0.0",ExpressionUUID->"fecc3624-1be1-46cc-9c86-b4285f2e2fab"]
}, Open  ]],

Cell[TextData[{
 StyleBox["The ", "DisplayText",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 StyleBox["second Circuit", "DisplayText",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 StyleBox[" is simply:", "DisplayText",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0},
  Background->None]
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.0",ExpressionUUID->"168917de-828a-4164-8804-35df8a01f82c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Rho]M2C", "[", "a_", "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"MatrixPower", "[", 
     RowBox[{
      SubscriptBox["\[Sigma]", "3"], ",", "a"}], "]"}], ".", "\[Rho]1", ".", 
    RowBox[{"Adj", "[", 
     RowBox[{"MatrixPower", "[", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a"}], "]"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"\[Rho]M2C", "[", "0", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"\[Rho]M2C", "[", "1", "]"}], "]"}]}], "Input",
 CellTags->"b:0.0.0",ExpressionUUID->"dca8de03-1dc1-4610-a108-daa121d9cfae"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.520770420967602`", 
      RowBox[{"0.0380175270008537`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.017576582140264863`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.0380175270008537`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.017576582140264863`", " ", "\[ImaginaryI]"}]}], 
      "0.479229579032398`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777101594195*^9, 3.624968925361363*^9, 
  3.62518470563034*^9, 3.655403433459659*^9, 3.657377204235733*^9, 
  3.857208832529845*^9, 3.8593615724963284`*^9, 3.860154841714335*^9},
 CellTags->"b:0.0.0",ExpressionUUID->"786150b3-4e5c-4ae1-b5c6-5f7f92a29678"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.520770420967602`", 
      RowBox[{
       RowBox[{"-", "0.0380175270008537`"}], "-", 
       RowBox[{"0.017576582140264863`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.0380175270008537`"}], "+", 
       RowBox[{"0.017576582140264863`", " ", "\[ImaginaryI]"}]}], 
      "0.479229579032398`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777101594195*^9, 3.624968925361363*^9, 
  3.62518470563034*^9, 3.655403433459659*^9, 3.657377204235733*^9, 
  3.857208832529845*^9, 3.8593615724963284`*^9, 3.860154841719645*^9},
 CellTags->"b:0.0.0",ExpressionUUID->"df88ba45-45cc-4da8-a39c-98e0344f2d69"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Chop", "[", 
   RowBox[{"\[Rho]M2C", "[", "0", "]"}], "]"}], "==", 
  RowBox[{"\[Rho]M", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Chop", "[", 
   RowBox[{"\[Rho]M2C", "[", "1", "]"}], "]"}], "==", 
  RowBox[{"\[Rho]M", "[", "1", "]"}]}]}], "Input",
 CellChangeTimes->{{3.616776906136436*^9, 
  3.616776920399952*^9}},ExpressionUUID->"fe98cbbd-65e7-4a83-ab20-\
6a0dceec2ad9"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777101623077*^9, 3.6249689253937387`*^9, 
  3.6251847056623087`*^9, 3.655403433558507*^9, 3.657377204252138*^9, 
  3.857208832549201*^9, 3.859361572515492*^9, 
  3.860154841740121*^9},ExpressionUUID->"6e3dc29f-30b2-4af7-bd54-\
a748d83a22f1"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777101623077*^9, 3.6249689253937387`*^9, 
  3.6251847056623087`*^9, 3.655403433558507*^9, 3.657377204252138*^9, 
  3.857208832549201*^9, 3.859361572515492*^9, 
  3.86015484174482*^9},ExpressionUUID->"97a9ac6d-cd9c-4c21-8dc5-99157918e0cf"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Identity Gate with 3 qubits", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:4", "b:0.0.1"},ExpressionUUID->"51b4dcc2-258f-445a-87f5-b71c1cc81d4e"],

Cell[TextData[StyleBox["We set the number of Qubits to 3",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.1",ExpressionUUID->"3c62cdf5-002c-4a86-a68b-1882296f9682"],

Cell[BoxData[
 RowBox[{
  RowBox[{"nqx", "=", "3"}], ";"}]], "Input",
 CellTags->"b:0.0.1",ExpressionUUID->"56d9acce-362a-4395-9944-ba245dc0e05f"],

Cell[TextData[StyleBox["Decide whether the computation will be carried out \
numerically (icalc=0) or \nalgebraically (icalc=1)",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.1",ExpressionUUID->"8e015efc-fab3-4dc5-9fca-dfcf64209cc3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Icalc", "=", "0"}]], "Input",
 CellTags->"b:0.0.1",ExpressionUUID->"d40dc96e-2251-4245-bf62-7342fc426c97"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777145545768*^9, 3.624968925446054*^9, 
  3.625184705697545*^9, 3.655403433663823*^9, 3.657377204290942*^9, 
  3.857208832563219*^9, 3.8593615725382967`*^9, 3.860154841772151*^9},
 CellTags->"b:0.0.1",ExpressionUUID->"7287aeda-f69e-49ea-a5ee-8366090ab606"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"figure1", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<QDENSITY/drawings/ClusterI3q.png\>\"", ",", "\"\<PNG\>\""}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"Show", "[", "figure1", "]"}]}], "Input",
 CellTags->"b:0.0.1",ExpressionUUID->"eb6fc0c0-c972-4c45-8ec0-12b05a7c21ca"],

Cell[BoxData[
 TagBox[
  GraphicsBox[RasterBox[CompressedData["
1:eJy11D1uwyAUAOCnTh3L0r25Qpeulbx0TcXeRHWjLm7kVHrqDbgCV/AVuIKv
4CtwBQqWMY+fJdR9ki3M95KHwfBw/Np/3ADA5dbe9gd87vvDz+udfeDd5fPU
te8v3Xd7avuno0u7d1n2Mv8UWnAGwLjUGyk2qNzzNKDIf3K9alSk4jkZSI1i
nHROxnC9iqSsirIqVCdljGlIWo2KIe2l81+jfEp7FQ/tGmVza+Roph3MC6dZ
yGAp5hqFU79rhNaPS5NsJMiwoDSA9A7CzzPgGpBhSeN/ZOvaMT8r9L10ikUl
XXa9/Uev+LKKI5l7rysWNYRT4VO50nJuDDJkeF2xqCGcTsuUM5CGz0WRvMui
AUtKYlZMhj5Fhat085PC7k7y6au37LyqUYHD6FiJJtv7laol39mTvUlPp7/r
FvELZuRiow==
    "], {{0, 0}, {82., 22.}}, {0, 255},
    ColorFunction->GrayLevel],
   ImageSize->{82, 22},
   PlotRange->{{0, 82.}, {0, 22.}}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6167771456606007`*^9, 3.6249689254778557`*^9, 
  3.625184705730389*^9, 3.655403433725707*^9, 3.6573772043203793`*^9, 
  3.8572088325791903`*^9, 3.859361572561824*^9, 3.8601548418000383`*^9},
 CellTags->"b:0.0.1",ExpressionUUID->"d80d226b-f049-4f82-933a-edfda7073423"]
}, Open  ]],

Cell[TextData[{
 StyleBox["We'll show that the circuit in the figure is equivalent to doing \
nothing on qubit 1.\nThe", "DisplayText",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 StyleBox[" unknown qubit one", "DisplayText",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 StyleBox[", will be generated at Random:", "DisplayText",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0},
  Background->None]
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.1",ExpressionUUID->"5d027a16-4140-4794-8a83-87d3b673583f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Rho]", "=", "RandomQubit1"}]], "Input",
 CellTags->"b:0.0.1",ExpressionUUID->"05ad7597-653d-4f48-aa9e-1035f169612b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.4772507436427118`", 
      RowBox[{"0.2006186818058935`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.2907163931176705`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.2006186818058935`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.2907163931176705`", " ", "\[ImaginaryI]"}]}], 
      "0.5227492563572883`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777145684291*^9, 3.624968925496312*^9, 
  3.625184705742071*^9, 3.6554034337766113`*^9, 3.6573772043322678`*^9, 
  3.8572088325871773`*^9, 3.859361572572651*^9, 3.860154841814077*^9},
 CellTags->"b:0.0.1",ExpressionUUID->"4f490fd5-1da5-476b-8267-063e85ca0409"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"If", " ", "[", 
   RowBox[{
    RowBox[{"Icalc", "==", "1"}], ",", 
    RowBox[{"\[Rho]1", "=", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"A", "*", 
         RowBox[{"Ket", "[", "0", "]"}]}], "+", 
        RowBox[{"B", "*", 
         RowBox[{"Ket", "[", "1", "]"}]}]}], ")"}], "\[CircleTimes]", 
      RowBox[{"Adj", "[", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"A", "*", 
          RowBox[{"Ket", "[", "0", "]"}]}], "+", 
         RowBox[{"B", "*", 
          RowBox[{"Ket", "[", "1", "]"}]}]}], ")"}], "]"}]}]}], ",", 
    RowBox[{"\[Rho]1", "=", "\[Rho]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", "\[Rho]1"}], "Input",
 CellChangeTimes->{3.6167091277891397`*^9, 3.8572088210603952`*^9},
 CellTags->"b:0.0.1",ExpressionUUID->"4301350a-04a7-43d0-a752-d04596e87494"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.4772507436427118`", 
      RowBox[{"0.2006186818058935`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.2907163931176705`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.2006186818058935`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.2907163931176705`", " ", "\[ImaginaryI]"}]}], 
      "0.5227492563572883`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777145694392*^9, 3.6249689255289593`*^9, 
  3.625184705753479*^9, 3.655403433841649*^9, 3.657377204352754*^9, 
  3.857208832603544*^9, 3.8593615725895844`*^9, 3.860154841835733*^9},
 CellTags->"b:0.0.1",ExpressionUUID->"bd95bc6e-ff76-4feb-8ae7-73ad83bd1196"]
}, Open  ]],

Cell[TextData[{
 StyleBox["The ", "DisplayText",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 StyleBox["second and third ones are in the |+\[RightAngleBracket] state", 
  "DisplayText",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 StyleBox[", its density matrix are thus:", "DisplayText",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0},
  Background->None]
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.1",ExpressionUUID->"bde1aec9-44f8-4a5c-ac07-8ba76b85aab6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"\[Rho]2", "=", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"KetX", "[", "0", "]"}], "\[CircleTimes]", 
    RowBox[{"BraX", "[", "0", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"\[Rho]3", "=", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"KetX", "[", "0", "]"}], "\[CircleTimes]", 
    RowBox[{"BraX", "[", "0", "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.616709156811275*^9, 3.616709182863801*^9}, {
  3.857208821063631*^9, 3.857208821064886*^9}},
 CellTags->"b:0.0.1",ExpressionUUID->"815da4e5-468c-413e-a1e0-783ca124ed33"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], 
      FractionBox["1", "2"]},
     {
      FractionBox["1", "2"], 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777145703294*^9, 3.624968925546268*^9, 
  3.625184705780973*^9, 3.6554034339078407`*^9, 3.65737720436845*^9, 
  3.857208832611743*^9, 3.859361572599574*^9, 3.860154841851083*^9},
 CellTags->"b:0.0.1",ExpressionUUID->"cc70c414-72a0-430a-877d-37f9fe0d4adf"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], 
      FractionBox["1", "2"]},
     {
      FractionBox["1", "2"], 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777145703294*^9, 3.624968925546268*^9, 
  3.625184705780973*^9, 3.6554034339078407`*^9, 3.65737720436845*^9, 
  3.857208832611743*^9, 3.859361572599574*^9, 3.8601548418561163`*^9},
 CellTags->"b:0.0.1",ExpressionUUID->"13a7ba93-5604-425e-a1da-9fa8b167381c"]
}, Open  ]],

Cell[TextData[{
 StyleBox["The ", "DisplayText",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 StyleBox["initial state", "DisplayText",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 StyleBox[" i", "DisplayText",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 StyleBox["s therefo", "DisplayText",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 StyleBox["re:", "DisplayText",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0},
  Background->None]
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.1",ExpressionUUID->"5b3b8bf4-4c1c-4280-951c-2a280bfbd7de"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Rho]123", "=", 
  RowBox[{"AF", "[", 
   RowBox[{
   "\[Rho]1", " ", "\[CircleTimes]", " ", "\[Rho]2", "\[CircleTimes]", 
    "\[Rho]3"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.616709195176017*^9, 3.61670920949111*^9}, {
  3.857208821068231*^9, 3.857208821069416*^9}},
 CellTags->"b:0.0.1",ExpressionUUID->"99074881-7398-4754-8357-4e9c2c7f37d4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.11931268591067795`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11931268591067795`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11931268591067795`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11931268591067795`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.11931268591067795`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11931268591067795`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11931268591067795`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11931268591067795`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.11931268591067795`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11931268591067795`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11931268591067795`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11931268591067795`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.11931268591067795`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11931268591067795`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11931268591067795`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11931268591067795`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.13068731408932208`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.13068731408932208`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.13068731408932208`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.13068731408932208`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.13068731408932208`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.13068731408932208`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.13068731408932208`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.13068731408932208`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.13068731408932208`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.13068731408932208`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.13068731408932208`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.13068731408932208`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.13068731408932208`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.13068731408932208`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.13068731408932208`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.13068731408932208`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777145734655*^9, 3.624968925578467*^9, 
  3.6251847058134327`*^9, 3.655403434024193*^9, 3.657377204402841*^9, 
  3.8572088326320744`*^9, 3.859361572622602*^9, 3.860154841880427*^9},
 CellTags->"b:0.0.1",ExpressionUUID->"669c00e5-f0fe-4bc9-9299-22abbf5c40a8"]
}, Open  ]],

Cell[TextData[StyleBox["We perform the control phase operation between the \
three qubits,", "DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.1",ExpressionUUID->"0bb15d17-59bf-46ab-bba5-e395d8c8d6e1"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"CPOp", "=", 
   RowBox[{
    RowBox[{"CPHASE", "[", 
     RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
    RowBox[{"CPHASE", "[", 
     RowBox[{"3", ",", "2", ",", "3"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"\[Rho]CP", "=", 
  RowBox[{"Chop", "[", " ", 
   RowBox[{"CPOp", ".", "\[Rho]123", ".", 
    RowBox[{"Adj", "[", "CPOp", "]"}]}], "]"}]}]}], "Input",
 CellTags->"b:0.0.1",ExpressionUUID->"fb2131f6-e57c-4216-94fb-12fc8cf36969"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.11931268591067795`", "0.11931268591067795`", "0.11931268591067795`", 
      
      RowBox[{"-", "0.11931268591067795`"}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.05015467045147338`"}], "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}]},
     {"0.11931268591067795`", "0.11931268591067795`", "0.11931268591067795`", 
      
      RowBox[{"-", "0.11931268591067795`"}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.05015467045147338`"}], "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}]},
     {"0.11931268591067795`", "0.11931268591067795`", "0.11931268591067795`", 
      
      RowBox[{"-", "0.11931268591067795`"}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.05015467045147338`"}], "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"-", "0.11931268591067795`"}], 
      RowBox[{"-", "0.11931268591067795`"}], 
      RowBox[{"-", "0.11931268591067795`"}], "0.11931268591067795`", 
      RowBox[{
       RowBox[{"-", "0.05015467045147338`"}], "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.05015467045147338`"}], "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.05015467045147338`"}], "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.05015467045147338`"}], "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      "0.13068731408932208`", "0.13068731408932208`", 
      RowBox[{"-", "0.13068731408932208`"}], "0.13068731408932208`"},
     {
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.05015467045147338`"}], "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      "0.13068731408932208`", "0.13068731408932208`", 
      RowBox[{"-", "0.13068731408932208`"}], "0.13068731408932208`"},
     {
      RowBox[{
       RowBox[{"-", "0.05015467045147338`"}], "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.05015467045147338`"}], "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.05015467045147338`"}], "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"-", "0.13068731408932208`"}], 
      RowBox[{"-", "0.13068731408932208`"}], "0.13068731408932208`", 
      RowBox[{"-", "0.13068731408932208`"}]},
     {
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05015467045147338`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.05015467045147338`"}], "+", 
       RowBox[{"0.07267909827941763`", " ", "\[ImaginaryI]"}]}], 
      "0.13068731408932208`", "0.13068731408932208`", 
      RowBox[{"-", "0.13068731408932208`"}], "0.13068731408932208`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6167771457450743`*^9, 3.624968925596923*^9, 
  3.625184705826949*^9, 3.655403434091488*^9, 3.657377204437392*^9, 
  3.857208832642276*^9, 3.859361572635437*^9, 3.8601548418990088`*^9},
 CellTags->"b:0.0.1",ExpressionUUID->"10012bcb-eb16-4270-aaf9-f7f639036653"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Now we ", "DisplayText",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 StyleBox["measure the first and second Qubits, in the X basis:", 
  "DisplayText",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0},
  Background->None]
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.1",ExpressionUUID->"8eb5b6fe-c6b7-4ebc-b931-17298224f71b"],

Cell[BoxData[
 RowBox[{
  SubscriptBox["P", 
   RowBox[{"a_", ",", "b_"}]], ":=", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"PX", "[", "a", "]"}], "\[CircleTimes]", 
    RowBox[{"PX", "[", "b", "]"}], "\[CircleTimes]", 
    "\[DoubleStruckCapitalI]"}], "]"}], " "}]], "Input",
 CellChangeTimes->{
  3.616709763302298*^9, {3.6167102096460447`*^9, 3.6167102461277723`*^9}, {
   3.616777010152708*^9, 3.616777016538834*^9}, {3.8572088210754337`*^9, 
   3.857208821076695*^9}},ExpressionUUID->"0c03aad2-a362-4339-bdb3-\
8f7686864eff"],

Cell[CellGroupData[{

Cell[BoxData[
 SubscriptBox["P", 
  RowBox[{"1", ",", "1"}]]], "Input",
 CellChangeTimes->{{3.616709778296945*^9, 
  3.6167097922020607`*^9}},ExpressionUUID->"4b167114-8328-4ebb-855d-\
2b9f6458fffb"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "4"], "0", 
      RowBox[{"-", 
       FractionBox["1", "4"]}], "0", 
      RowBox[{"-", 
       FractionBox["1", "4"]}], "0", 
      FractionBox["1", "4"], "0"},
     {"0", 
      FractionBox["1", "4"], "0", 
      RowBox[{"-", 
       FractionBox["1", "4"]}], "0", 
      RowBox[{"-", 
       FractionBox["1", "4"]}], "0", 
      FractionBox["1", "4"]},
     {
      RowBox[{"-", 
       FractionBox["1", "4"]}], "0", 
      FractionBox["1", "4"], "0", 
      FractionBox["1", "4"], "0", 
      RowBox[{"-", 
       FractionBox["1", "4"]}], "0"},
     {"0", 
      RowBox[{"-", 
       FractionBox["1", "4"]}], "0", 
      FractionBox["1", "4"], "0", 
      FractionBox["1", "4"], "0", 
      RowBox[{"-", 
       FractionBox["1", "4"]}]},
     {
      RowBox[{"-", 
       FractionBox["1", "4"]}], "0", 
      FractionBox["1", "4"], "0", 
      FractionBox["1", "4"], "0", 
      RowBox[{"-", 
       FractionBox["1", "4"]}], "0"},
     {"0", 
      RowBox[{"-", 
       FractionBox["1", "4"]}], "0", 
      FractionBox["1", "4"], "0", 
      FractionBox["1", "4"], "0", 
      RowBox[{"-", 
       FractionBox["1", "4"]}]},
     {
      FractionBox["1", "4"], "0", 
      RowBox[{"-", 
       FractionBox["1", "4"]}], "0", 
      RowBox[{"-", 
       FractionBox["1", "4"]}], "0", 
      FractionBox["1", "4"], "0"},
     {"0", 
      FractionBox["1", "4"], "0", 
      RowBox[{"-", 
       FractionBox["1", "4"]}], "0", 
      RowBox[{"-", 
       FractionBox["1", "4"]}], "0", 
      FractionBox["1", "4"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777145771978*^9, 3.624968925646387*^9, 
  3.625184705853788*^9, 3.6554034342532387`*^9, 3.657377204478058*^9, 
  3.857208832664201*^9, 3.859361572659528*^9, 
  3.860154841930585*^9},ExpressionUUID->"0dee9c7f-50b0-4c01-9830-\
133b4ae2e725"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Rho]M", "[", 
   RowBox[{"a_", ",", "b_"}], "]"}], " ", ":=", 
  RowBox[{"Chop", "[", 
   RowBox[{"PTr", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", " ", 
     RowBox[{
      RowBox[{"2", "^", "2"}], "*", 
      RowBox[{
       SubscriptBox["P", 
        RowBox[{"a", ",", "b"}]], ".", "\[Rho]CP", ".", 
       SubscriptBox["P", 
        RowBox[{"a", ",", "b"}]]}]}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.616709224746393*^9, 3.616709249403404*^9}, {
   3.616709281859956*^9, 3.616709335251461*^9}, {3.616709385691539*^9, 
   3.6167094078650513`*^9}, {3.616709585966175*^9, 3.616709588609523*^9}, 
   3.616709703422193*^9, 3.616777033088513*^9},
 CellTags->"b:0.0.1",ExpressionUUID->"45d1da27-80e9-4c1a-b665-01485f9b8dea"],

Cell[TextData[StyleBox["The gate is realized up to a prefactor depending on \
the measurements which is of the form:", "DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.1",ExpressionUUID->"a2164448-70dd-40fe-bfdb-73db87a25def"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Prefactor", "[", 
   RowBox[{"a_", ",", "b_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"MatrixPower", "[", 
    RowBox[{
     RowBox[{"s", "[", "1", "]"}], ",", "b"}], "]"}], ".", 
   RowBox[{"MatrixPower", "[", 
    RowBox[{
     RowBox[{"s", "[", "3", "]"}], ",", "a"}], "]"}]}]}]], "Input",
 CellTags->"b:0.0.1",ExpressionUUID->"7bbe231c-7304-4daa-8907-c63e6f402d3d"],

Cell[TextData[{
 StyleBox["The action of the ",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 StyleBox["prefactor",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 StyleBox[" can removed performing:",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0},
  Background->None]
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.1",ExpressionUUID->"28a5a596-5c61-4795-b784-03657cfbdfdb"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Rho]Final", "[", 
   RowBox[{"a_", ",", "b_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"Prefactor", "[", 
    RowBox[{"a", ",", "b"}], "]"}], ".", 
   RowBox[{"\[Rho]M", "[", 
    RowBox[{"a", ",", "b"}], "]"}], ".", 
   RowBox[{"Adj", "[", 
    RowBox[{"Prefactor", "[", 
     RowBox[{"a", ",", "b"}], "]"}], "]"}]}]}]], "Input",
 CellTags->"b:0.0.1",ExpressionUUID->"129de4a6-7d5b-43c1-8d6e-0e731b32bb0e"],

Cell[TextData[StyleBox["We can then plot the four possible outcomes, which \
should all give the matrix, \nirrespective of the measured values at this \
point:",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.1",ExpressionUUID->"a9777aeb-d626-4c02-ac75-e156e95e0698"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Chop", "[", 
  RowBox[{"\[Rho]Final", "[", 
   RowBox[{"0", ",", "0"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"\[Rho]Final", "[", 
   RowBox[{"1", ",", "0"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"\[Rho]Final", "[", 
   RowBox[{"0", ",", "1"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"\[Rho]Final", "[", 
   RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "Input",
 CellTags->"b:0.0.1",ExpressionUUID->"4a56b80a-a7c4-4779-a662-e1ae02e72279"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.47725074364271175`", 
      RowBox[{"0.2006186818058935`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.29071639311767056`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.2006186818058935`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.29071639311767056`", " ", "\[ImaginaryI]"}]}], 
      "0.5227492563572882`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777145806278*^9, 3.624968925728859*^9, 
  3.6251847058910847`*^9, 3.6554034343410597`*^9, 3.657377204519053*^9, 
  3.857208832694023*^9, 3.8593615726945047`*^9, 3.860154841986932*^9},
 CellTags->"b:0.0.1",ExpressionUUID->"15f9b99e-3d12-47a1-8ab8-952da3f3487e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.47725074364271175`", 
      RowBox[{"0.2006186818058935`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.29071639311767056`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.2006186818058935`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.29071639311767056`", " ", "\[ImaginaryI]"}]}], 
      "0.5227492563572882`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777145806278*^9, 3.624968925728859*^9, 
  3.6251847058910847`*^9, 3.6554034343410597`*^9, 3.657377204519053*^9, 
  3.857208832694023*^9, 3.8593615726945047`*^9, 3.860154841992546*^9},
 CellTags->"b:0.0.1",ExpressionUUID->"17e44ec8-a5c6-48c0-bae5-95edf54929f3"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.47725074364271175`", 
      RowBox[{"0.2006186818058935`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.29071639311767056`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.2006186818058935`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.29071639311767056`", " ", "\[ImaginaryI]"}]}], 
      "0.5227492563572882`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777145806278*^9, 3.624968925728859*^9, 
  3.6251847058910847`*^9, 3.6554034343410597`*^9, 3.657377204519053*^9, 
  3.857208832694023*^9, 3.8593615726945047`*^9, 3.860154841997795*^9},
 CellTags->"b:0.0.1",ExpressionUUID->"5775fecb-db95-4e4a-aa1f-c06dc9756bd7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.47725074364271175`", 
      RowBox[{"0.2006186818058935`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.29071639311767056`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.2006186818058935`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.29071639311767056`", " ", "\[ImaginaryI]"}]}], 
      "0.5227492563572882`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777145806278*^9, 3.624968925728859*^9, 
  3.6251847058910847`*^9, 3.6554034343410597`*^9, 3.657377204519053*^9, 
  3.857208832694023*^9, 3.8593615726945047`*^9, 3.8601548420028563`*^9},
 CellTags->"b:0.0.1",ExpressionUUID->"dae53820-ffbe-450a-bcdc-8b49c01840f9"]
}, Open  ]],

Cell[TextData[{
 StyleBox["The Identity", "DisplayText",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 StyleBox[" Circuit", "DisplayText",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 StyleBox[" is simply:", "DisplayText",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0},
  Background->None]
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.0.1",ExpressionUUID->"7b562669-4440-4584-b7bd-8d15b5191784"],

Cell[CellGroupData[{

Cell[BoxData["\[Rho]1"], "Input",
 CellTags->"b:0.0.1",ExpressionUUID->"c2fa8bde-195e-4b12-93b5-772cedf9e005"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.4772507436427118`", 
      RowBox[{"0.2006186818058935`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.2907163931176705`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.2006186818058935`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.2907163931176705`", " ", "\[ImaginaryI]"}]}], 
      "0.5227492563572883`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6167771458350277`*^9, 3.624968925779797*^9, 
  3.625184705930579*^9, 3.655403434542583*^9, 3.657377204554379*^9, 
  3.857208832720375*^9, 3.859361575839817*^9, 3.8601548420249853`*^9},
 CellTags->"b:0.0.1",ExpressionUUID->"9464cf85-b0c3-405b-8899-f0d0c4bc7623"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Chop", "[", 
   RowBox[{"\[Rho]Final", "[", 
    RowBox[{"0", ",", "0"}], "]"}], "]"}], "==", 
  "\[Rho]1"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Chop", "[", 
   RowBox[{"\[Rho]Final", "[", 
    RowBox[{"1", ",", "0"}], "]"}], "]"}], "==", 
  "\[Rho]1"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Chop", "[", 
   RowBox[{"\[Rho]Final", "[", 
    RowBox[{"0", ",", "1"}], "]"}], "]"}], "==", 
  "\[Rho]1"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Chop", "[", 
   RowBox[{"\[Rho]Final", "[", 
    RowBox[{"1", ",", "1"}], "]"}], "]"}], "==", "\[Rho]1"}]}], "Input",
 CellChangeTimes->{{3.616777062447845*^9, 3.616777078028553*^9}},
 CellTags->"b:0.0.1",ExpressionUUID->"e9b56bbf-5f21-42a0-b4bc-4c64d7e70c5c"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777145848106*^9, 3.624968925810566*^9, 
  3.625184705941867*^9, 3.655403434608623*^9, 3.6573772045678453`*^9, 
  3.85720883272887*^9, 3.859361575996551*^9, 3.860154842040362*^9},
 CellTags->"b:0.0.1",ExpressionUUID->"c0a509c8-8ca1-40eb-a2f5-335929ccb974"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777145848106*^9, 3.624968925810566*^9, 
  3.625184705941867*^9, 3.655403434608623*^9, 3.6573772045678453`*^9, 
  3.85720883272887*^9, 3.859361575996551*^9, 3.860154842045452*^9},
 CellTags->"b:0.0.1",ExpressionUUID->"e26cddb8-0589-447e-9492-8df884092353"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777145848106*^9, 3.624968925810566*^9, 
  3.625184705941867*^9, 3.655403434608623*^9, 3.6573772045678453`*^9, 
  3.85720883272887*^9, 3.859361575996551*^9, 3.8601548420499773`*^9},
 CellTags->"b:0.0.1",ExpressionUUID->"6c941db5-4ce3-4eff-b756-bf671832e526"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777145848106*^9, 3.624968925810566*^9, 
  3.625184705941867*^9, 3.655403434608623*^9, 3.6573772045678453`*^9, 
  3.85720883272887*^9, 3.859361575996551*^9, 3.8601548420544252`*^9},
 CellTags->"b:0.0.1",ExpressionUUID->"9f22878c-1be2-434d-80cf-eeee24d19dff"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Quit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.616710634870246*^9, 
  3.6167106404761972`*^9}},ExpressionUUID->"17fb6fc9-1034-4ff3-aef1-\
4611585a4960"],

Cell[TextData[{
 "Last Version:18-Aug-2005\n",
 Cell[BoxData[
  FormBox[GridBox[{
     {
      RowBox[{"References", ":"}], 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"[", "1", "]"}], " ", 
         RowBox[{"R", ".", " ", "Raussendorf"}], " ", "and", " ", 
         RowBox[{"H", ".", " ", "J", ".", " ", "Briegel"}]}], ",", " ", 
        RowBox[{
         RowBox[{"Phys", ".", " ", "Rev", ".", " ", "Lett", ".", " ", "86"}], 
         " ", 
         RowBox[{"(", "2001", ")"}], " ", "5188"}]}], "\n", 
       RowBox[{
        RowBox[{
         RowBox[{"[", "2", "]"}], " ", 
         RowBox[{"R", ".", " ", "Raussendorf"}]}], ",", " ", 
        RowBox[{
         RowBox[{"D", ".", " ", "Brownie"}], " ", "and", " ", 
         RowBox[{"H", ".", "J", ".", " ", "Briegel"}]}], ",", " ", "\n", 
        RowBox[{
         RowBox[{"Phys", ".", " ", "Rev", ".", " ", "A"}], " ", "68"}], ",", 
        " ", 
        RowBox[{"022312", " ", 
         RowBox[{"(", "2003", ")"}]}]}], "\n", 
       RowBox[{
        RowBox[{
         RowBox[{"[", "2", "]"}], " ", "Michael", " ", 
         RowBox[{"I", ".", " ", "Nielsen"}]}], ",", " ", 
        RowBox[{"quant", "-", 
         RowBox[{"ph", "/", "0504097"}]}]}], "\n", 
       RowBox[{
        RowBox[{
         RowBox[{"[", "3", "]"}], " ", "QDENSITY", " ", "manual"}], ",", " ", 
        
        RowBox[{"Sect", ".", " ", "11"}]}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
      "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}], TraditionalForm]], 
  "DefinitionBox",
  GridBoxOptions->{
  GridBoxDividers->{
   "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
    "RowsIndexed" -> {}},
  GridBoxSpacings->{"Columns" -> {
      Offset[0.27999999999999997`], {
       Offset[0.5599999999999999]}, 
      Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
      Offset[0.2], {
       Offset[0.16]}, 
      Offset[0.2]}, "RowsIndexed" -> {}}},
  CellTags->"S5.1.1",ExpressionUUID->"431b3b90-e547-48b4-b45e-880cb77c31d1"]
}], "Abstract",
 CellTags->"b:0.0.1",ExpressionUUID->"562f07a4-7643-46b7-82c7-cecb7f0aae80"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["An example of CNOT gate in the cluster model approach", "Section",
 FontFamily->"Times",
 CellTags->"c:5",ExpressionUUID->"611b8099-4a7b-42a8-a2f6-c3e1a9ebcb0d"],

Cell[CellGroupData[{

Cell["Step 1: Build the cluster state", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:6", "b:0.1.0"},ExpressionUUID->"3ce31824-aafb-4649-988f-7f4a8bfe4679"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}]], "Input",
 CellTags->"b:0.1.0",ExpressionUUID->"c4555e14-9495-4599-9ddd-4963b75e9db7"],

Cell[BoxData["\<\"Type \\\"?intro\\\", \\\"?QDENSITY`Qdensity`*\\\" or \
\\\"?about for help.\"\>"], "Print",
 CellChangeTimes->{3.616777167963558*^9},
 CellTags->"b:0.1.0",ExpressionUUID->"b08847b0-7270-4d95-a6cc-1baa9638d071"]
}, Open  ]],

Cell[CellGroupData[{

Cell["?QDENSITY`Qdensity`*", "Input",
 CellTags->"b:0.1.0",ExpressionUUID->"a290faa2-7f4a-46e3-adce-22b42997ede9"],

Cell[BoxData[
 DynamicModuleBox[{Typeset`open$$ = True}, 
  PaneSelectorBox[{False->
   RowBox[{
    OpenerBox[Dynamic[Typeset`open$$],
     ImageSize->Small], 
    StyleBox["QDENSITY`Qdensity`", "InfoHeading"]}], True->GridBox[{
     {
      RowBox[{
       OpenerBox[Dynamic[Typeset`open$$],
        ImageSize->Small], 
       StyleBox["QDENSITY`Qdensity`", "InfoHeading"]}]},
     {GridBox[{
        {
         ButtonBox["about",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"about", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["CPHASE",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"CPHASE", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["KetX",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"KetX", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["Purity",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"Purity", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["Rotqbit",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"Rotqbit", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["TwoOp",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"TwoOp", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"]},
        {
         ButtonBox["Adj",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"Adj", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["CPHASEV",
          BaseStyle->"InformationLink",
          ButtonData:>{
           "Info3616762767-9341626", {"CPHASEV", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["KetY",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"KetY", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["PX",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info3616762767-9341626", {"PX", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["RotX",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"RotX", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["xb",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info3616762767-9341626", {"xb", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"]},
        {
         ButtonBox["AF",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info3616762767-9341626", {"AF", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["Definef",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"Definef", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["MeasureKet",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"MeasureKet", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["PY",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info3616762767-9341626", {"PY", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["RotY",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"RotY", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["Xb",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info3616762767-9341626", {"Xb", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"]},
        {
         ButtonBox["Bra1",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"Bra1", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["EnTropy",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"EnTropy", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["MultiProjCBasis",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {
            "MultiProjCBasis", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["RandomBra1",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"RandomBra1", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["RotZ",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"RotZ", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["xd",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info3616762767-9341626", {"xd", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"]},
        {
         ButtonBox["BraV",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"BraV", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["EnTropy2",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"EnTropy2", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["MultiQProj",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"MultiQProj", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["RandomBra2",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"RandomBra2", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["s",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info3616762767-9341626", {"s", "QDENSITY`Qdensity`"}},
          
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["Xd",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info3616762767-9341626", {"Xd", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"]},
        {
         ButtonBox["BraX",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"BraX", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["Fidelity",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"Fidelity", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["nb",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info3616762767-9341626", {"nb", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["RandomBraN",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"RandomBraN", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["Sigma0",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"Sigma0", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["ZeroT",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"ZeroT", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"]},
        {
         ButtonBox["BraY",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"BraY", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["FidelityB",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"FidelityB", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["nq",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info3616762767-9341626", {"nq", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["RandomKet1",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"RandomKet1", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["Sigma1",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"Sigma1", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["\[ScriptCapitalH]",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {
            "\[ScriptCapitalH]", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"]},
        {
         ButtonBox["CNOT",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"CNOT", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["had",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"had", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["OneOp",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"OneOp", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["RandomKet2",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"RandomKet2", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["Sigma2",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"Sigma2", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["\[ScriptCapitalP]",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {
            "\[ScriptCapitalP]", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"]},
        {
         ButtonBox["Comm",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"Comm", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["Had",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"Had", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["Oracle",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"Oracle", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["RandomKetN",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"RandomKetN", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["Sigma3",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"Sigma3", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["\[DoubleStruckCapitalI]",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {
            "\[DoubleStruckCapitalI]", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"]},
        {
         ButtonBox["CompMeasureKet",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"CompMeasureKet", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["Hadamard",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"Hadamard", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["PartialTrace",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"PartialTrace", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["RandomQubit1",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"RandomQubit1", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["SP",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info3616762767-9341626", {"SP", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["\[Sigma]",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"\[Sigma]", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"]},
        {
         ButtonBox["CompPTr",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"CompPTr", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["HALL",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"HALL", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["PartialTraceGen",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {
            "PartialTraceGen", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["RandomQubit2",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"RandomQubit2", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["Swap",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"Swap", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], ""},
        {
         ButtonBox["ControlledX",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"ControlledX", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["intro",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"intro", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["ProjG",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"ProjG", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["RandomQubitN",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"RandomQubitN", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["TensorProductQ",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"TensorProductQ", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], ""},
        {
         ButtonBox["ControlledY",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"ControlledY", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["Ket1",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"Ket1", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["PTr",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"PTr", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["rcsDate",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"rcsDate", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["ThreeOp",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"ThreeOp", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], ""},
        {
         ButtonBox["ControlledZ",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"ControlledZ", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["KetV",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"KetV", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["PTrGen",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"PTrGen", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["rcsRevision",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"rcsRevision", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], 
         ButtonBox["Toffoli",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3616762767-9341626", {"Toffoli", "QDENSITY`Qdensity`"}},
          ButtonNote->"QDENSITY`Qdensity`"], ""}
       },
       DefaultBaseStyle->"InfoGrid",
       GridBoxItemSize->{"Columns" -> {{
            Scaled[0.15833333333333333`]}}}]}
    },
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}]}, 
   Dynamic[Typeset`open$$],
   ImageSize->Automatic]]], "Print", "InfoCell",
 CellChangeTimes->{3.61677716799409*^9},
 CellTags->"b:0.1.0",ExpressionUUID->"6fe73402-1be4-41dc-b0c4-5980ad96e083"]
}, Open  ]],

Cell[TextData[StyleBox["The diagrammatic representation of the gate, as in \
Ref.[1], is :", "DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.1.0",ExpressionUUID->"21d419dc-93db-4e6a-bb24-4ad1aa4448a7"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"figure", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
    "\"\<QDENSITY/drawings/CNOTc4qubits.png\>\"", ",", "\"\<PNG\>\""}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"Show", "[", "figure", "]"}]}], "Input",
 CellTags->"b:0.1.0",ExpressionUUID->"7f20adaa-393b-46a6-aa7c-25719abd1e6e"],

Cell[BoxData[
 TagBox[
  GraphicsBox[RasterBox[CompressedData["
1:eJzt3c2uG0UQhmEDGyQ23AJ3wZYl2yAuIBEhYhOkBAlxdVyaOdER1qh/yv3f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    "], {{0, 0}, {267, 191}}, {0, 255},
    ColorFunction->RGBColor],
   ImageSize->{267, 191},
   PlotRange->{{0, 267}, {0, 191}}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6167771681781197`*^9},
 CellTags->"b:0.1.0",ExpressionUUID->"6cc16827-1838-4e33-a163-6f3dc1388443"]
}, Open  ]],

Cell[TextData[StyleBox["Icalc controls whether the qubits are handeld \
algebraically (1) or numerically (0):", "DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.1.0",ExpressionUUID->"8d3e5511-9aeb-43bf-aaff-35ee487cd379"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Icalc", "=", "0"}], ";"}]], "Input",
 CellTags->"b:0.1.0",ExpressionUUID->"4913cccd-18a8-42a0-b82c-0c01df325418"],

Cell[TextData[StyleBox["Set total number of qubits to 4:",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.1.0",ExpressionUUID->"e3d2bd8e-c209-4fea-b08a-540b57c60257"],

Cell[BoxData[
 RowBox[{
  RowBox[{"nq", "=", "4"}], ";"}]], "Input",
 CellTags->"b:0.1.0",ExpressionUUID->"93619e06-fc93-4834-bb46-2f81fb46c55d"],

Cell[TextData[StyleBox["The figure tells us that qubits 2 and 3 are in |+\
\[RightAngleBracket] state while qubits 1 (target) and 4 (control) are in \na \
general 1 qubit state:",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.1.0",ExpressionUUID->"e70a9416-5e5a-453b-8315-3c42a4623119"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ket1", "=", "RandomKet1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ket4", "=", "RandomKet1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", " ", "[", 
   RowBox[{
    RowBox[{"Icalc", "\[Equal]", "1"}], ",", 
    RowBox[{
     RowBox[{"ket1", "=", 
      RowBox[{"Ket1", "[", 
       RowBox[{
        SubscriptBox["\[Theta]", "1"], ",", 
        SubscriptBox["\[Phi]", "1"]}], "]"}]}], ";", 
     RowBox[{"ket4", "=", 
      RowBox[{"Ket1", "[", 
       RowBox[{
        SubscriptBox["\[Theta]", "4"], ",", 
        SubscriptBox["\[Phi]", "4"]}], "]"}]}]}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", "ket1", "\[IndentingNewLine]", "ket4"}], \
"Input",
 CellTags->"b:0.1.0",ExpressionUUID->"55c35fe3-ba9a-4811-b5c6-3f5819e565b1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "0.004857408835732322`"}], "+", 
       RowBox[{"0.8133222836712083`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.5051693409964685`"}], "-", 
       RowBox[{"0.2885952275773921`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777168301903*^9},
 CellTags->"b:0.1.0",ExpressionUUID->"7efa1dfd-fa16-48f8-83df-d5097a6e6c51"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.1908183228261877`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.6009942767213168`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.5955131401309829`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.49775329928927475`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777168304638*^9},
 CellTags->"b:0.1.0",ExpressionUUID->"14a0bbb6-93bb-43d2-b0f6-94236b5fdebc"]
}, Open  ]],

Cell[TextData[StyleBox["The structure of the Cluster is essentially described \
in ClusterLinks, which \ncontains the pairs of CPHASE interacting qubits:",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.1.0",ExpressionUUID->"ed9becdc-f547-4ba1-982a-32a90f122e60"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"NCS", "=", "nq"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClusterLinks", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Nlinks", "=", 
  RowBox[{"Length", "[", "ClusterLinks", "]"}]}]}], "Input",
 CellTags->"b:0.1.0",ExpressionUUID->"68bc5211-65ae-4626-b6de-f27020136652"],

Cell[BoxData[
 TagBox["4",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777168314919*^9},
 CellTags->"b:0.1.0",ExpressionUUID->"2f1cdfb1-b9f8-4e5b-a945-c2b604088aac"],

Cell[BoxData[
 TagBox["3",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777168319009*^9},
 CellTags->"b:0.1.0",ExpressionUUID->"718b0e98-662a-496a-82e6-4530f17d666a"]
}, Open  ]],

Cell[TextData[StyleBox["The 4 qubit initial state before building in the \
correlations is:",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.1.0",ExpressionUUID->"8c4d99ad-92cc-41b8-a92d-dca5164e0bcf"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"InitialState", "=", 
   RowBox[{"AF", "[", 
    RowBox[{"ket1", "\[CircleTimes]", 
     RowBox[{"KetX", "[", "0", "]"}], "\[CircleTimes]", 
     RowBox[{"KetX", "[", "0", "]"}], "\[CircleTimes]", "ket4"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Rho]initial", "=", 
   RowBox[{"AF", "[", 
    RowBox[{"InitialState", "\[CircleTimes]", 
     RowBox[{"Adj", "[", "InitialState", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", "\[Rho]initial", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.61671043315341*^9, 3.616710504866544*^9}, 
   3.616710569010128*^9, 3.616710730517968*^9, 3.616710768484768*^9, {
   3.6167108314710913`*^9, 3.616710842225979*^9}, {3.616710888450427*^9, 
   3.616710930037013*^9}, {3.857208821104045*^9, 3.857208821107617*^9}},
 CellTags->"b:0.1.0",ExpressionUUID->"dc96bdcb-dfaa-4ba5-9d9a-cebe988ae189"],

Cell[BoxData[
 TagBox["0.9999999999999992`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777168332642*^9},
 CellTags->"b:0.1.0",ExpressionUUID->"250fe63d-eb77-4590-96dc-009417497dac"]
}, Open  ]],

Cell[TextData[StyleBox["We define recursively the operation of the CPHASE \
gates:", "DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.1.0",ExpressionUUID->"b75cb928-4764-4cc1-814f-dcb030446ea1"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"CPhaseG", "[", "0", "]"}], "=", "InitialState"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CPhaseG", "[", "i_", "]"}], ":=", 
   RowBox[{
    RowBox[{"ChpaseG", "[", "i", "]"}], "=", 
    RowBox[{"CPHASEV", "[", 
     RowBox[{
      RowBox[{"ClusterLinks", "[", 
       RowBox[{"[", 
        RowBox[{"i", ",", "1"}], "]"}], "]"}], ",", 
      RowBox[{"ClusterLinks", "[", 
       RowBox[{"[", 
        RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
      RowBox[{"CPhaseG", "[", 
       RowBox[{"i", "-", "1"}], "]"}]}], "]"}]}]}], ";"}]}], "Input",
 CellTags->"b:0.1.0",ExpressionUUID->"2468b395-3ec1-478a-a6f9-45aa0d519cf8"],

Cell[TextData[StyleBox["We compute the cluster vector and build its pure \
state density matrix:", "DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.1.0",ExpressionUUID->"f3fe557f-547f-41a4-9cc1-54e5bfec164f"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ClusterVector", "=", 
  RowBox[{"CPhaseG", "[", "Nlinks", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClusterDensity", "=", 
   RowBox[{"AF", "[", 
    RowBox[{"ClusterVector", "\[CircleTimes]", 
     RowBox[{"Adj", "[", "ClusterVector", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", "ClusterDensity", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Eigenvalues", "[", "ClusterDensity", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.616710982724258*^9, 3.616711005161613*^9}, 
   3.616712197592655*^9, 3.8572088211106377`*^9},
 CellTags->"b:0.1.0",ExpressionUUID->"0867cd8c-7430-4b94-9766-e27eb1aa1b57"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "0.24486446011181145`"}], "+", 
       RowBox[{"0.07613875958866706`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.20386325043574913`"}], "+", 
       RowBox[{"0.2409631579067803`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.24486446011181145`"}], "+", 
       RowBox[{"0.07613875958866706`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.20386325043574913`"}], "+", 
       RowBox[{"0.2409631579067803`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.24486446011181145`"}], "+", 
       RowBox[{"0.07613875958866706`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.20386325043574913`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.2409631579067803`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.24486446011181145`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07613875958866706`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.20386325043574913`"}], "+", 
       RowBox[{"0.2409631579067803`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.03852425683547098`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.1793365700079583`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.07859287693446008`"}], "-", 
       RowBox[{"0.21165597819110463`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.03852425683547098`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.1793365700079583`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.07859287693446008`"}], "-", 
       RowBox[{"0.21165597819110463`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.03852425683547098`"}], "+", 
       RowBox[{"0.1793365700079583`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.07859287693446008`"}], "-", 
       RowBox[{"0.21165597819110463`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.03852425683547098`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.1793365700079583`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.07859287693446008`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.21165597819110463`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777168362328*^9},
 CellTags->"b:0.1.0",ExpressionUUID->"a1e942d6-8b59-4bc1-a317-7965a2dba114"],

Cell[BoxData[
 TagBox["0.9999999999999992`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777168366953*^9},
 CellTags->"b:0.1.0",ExpressionUUID->"eed52a80-1e44-472e-8f45-f501075a37d9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1.0000000000000002`"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777168370471*^9},
 CellTags->"b:0.1.0",ExpressionUUID->"680d7ba0-c01e-44fb-aa4d-f5d01f41c67e"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 2: Measure qubits 1 and 2 in the X basis", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:7", "b:0.1.1"},ExpressionUUID->"2b054c27-1e20-41e1-9e3d-e05b5f8fef63"],

Cell[TextData[StyleBox["Preparation of measurements on the X bases for qubits \
1 and 2, first build the proyectors\nand then operate and Trace Off the \
measured qubits:",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.1.1",ExpressionUUID->"e4dc7841-7e94-4d8b-afda-b3fb79b58b47"],

Cell[BoxData[
 RowBox[{
  SubscriptBox["P", 
   RowBox[{"a_", ",", "b_"}]], ":=", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"PX", "[", "a", "]"}], " ", "\[CircleTimes]", " ", 
    RowBox[{"PX", "[", "b", "]"}], " ", "\[CircleTimes]", 
    "\[DoubleStruckCapitalI]", "  ", "\[CircleTimes]", " ", 
    "\[DoubleStruckCapitalI]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.616711063704723*^9, 3.616711088913883*^9}, {
  3.616712322113811*^9, 3.616712322730981*^9}, {3.61671296999189*^9, 
  3.616712980069525*^9}, {3.8572088211148663`*^9, 3.857208821117159*^9}},
 CellTags->"b:0.1.1",ExpressionUUID->"42373151-0501-474f-9603-9b1e40d4555f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Rho]M", "[", 
   RowBox[{"a_", ",", "b_"}], "]"}], " ", ":=", 
  RowBox[{"Chop", "[", 
   RowBox[{"PTr", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", " ", 
     RowBox[{
      RowBox[{"2", "^", "2"}], "*", 
      RowBox[{
       SubscriptBox["P", 
        RowBox[{"a", ",", "b"}]], ".", "ClusterDensity", ".", 
       RowBox[{"Adj", "[", 
        SubscriptBox["P", 
         RowBox[{"a", ",", "b"}]], "]"}]}]}]}], "]"}], "]"}]}]], "Input",Expre\
ssionUUID->"96196f75-e95b-4eca-8b03-1642546a7039"],

Cell[TextData[StyleBox["The result of the measurement is generated at \
random:", "DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.1.1",ExpressionUUID->"c5ab6f68-853e-4953-bf37-28e4b7b98102"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"M1", "=", 
  RowBox[{"RandomInteger", "[", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], "]"}]}], "\n", 
 RowBox[{"M2", "=", 
  RowBox[{"RandomInteger", "[", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], "]"}]}]}], "Input",
 CellTags->"b:0.1.1",ExpressionUUID->"2a051402-8f57-4c38-97f6-4a77328be12a"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6167771684006166`*^9},
 CellTags->"b:0.1.1",ExpressionUUID->"85c9921d-4b74-4c5b-9450-49c471103356"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777168403153*^9},
 CellTags->"b:0.1.1",ExpressionUUID->"eb991687-61ad-4372-982f-70b325e6f436"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Step 3: Undo prefactor cluster operations and compare to usual CNOT gate\
\>", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:8", "b:0.1.2"},ExpressionUUID->"6ad2cd3e-76f0-479b-8b35-78ee6e0660ee"],

Cell[TextData[StyleBox["According to their PRL paper the outcome in qubits 3 \
and 4 will be \nthe target of the CNOT[1,4] and the control untouched up to \
this \noperations. We undo them to compare. The prefactor operations are:", \
"DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.1.2",ExpressionUUID->"1a71be2c-5ebd-4c31-8b3e-c178b68230c2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PrefactorOp", "=", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"MatrixPower", "[", 
       RowBox[{
        RowBox[{"s", "[", "3", "]"}], ",", "M1"}], "]"}], ".", 
      RowBox[{"MatrixPower", "[", 
       RowBox[{
        RowBox[{"s", "[", "1", "]"}], ",", "M2"}], "]"}]}], ")"}], 
    "\[CircleTimes]", 
    RowBox[{"MatrixPower", "[", 
     RowBox[{
      RowBox[{"s", "[", "3", "]"}], ",", "M1"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.616711113159659*^9, 3.616711138658896*^9}, {
   3.616711169572579*^9, 3.6167112135594187`*^9}, {3.616711467851672*^9, 
   3.616711494029461*^9}, {3.616711532828186*^9, 3.616711537732802*^9}, 
   3.6167115830365067`*^9, 3.616711951030356*^9, {3.616712049741931*^9, 
   3.6167120595290823`*^9}, 3.857208821120953*^9},
 CellTags->"b:0.1.2",ExpressionUUID->"3212ff0e-2c05-4eb9-856f-bf1c9626694c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "1", "0"},
     {"0", "0", "0", 
      RowBox[{"-", "1"}]},
     {
      RowBox[{"-", "1"}], "0", "0", "0"},
     {"0", "1", "0", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6167771684130573`*^9},
 CellTags->"b:0.1.2",ExpressionUUID->"d6b23dcb-3439-45f3-a430-102a4b1960f1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"A34", "=", 
  RowBox[{"Chop", "[", 
   RowBox[{"PrefactorOp", ".", 
    RowBox[{"\[Rho]M", "[", 
     RowBox[{"M1", ",", "M2"}], "]"}], ".", 
    RowBox[{"Adj", "[", "PrefactorOp", "]"}]}], "]"}]}]], "Input",
 CellTags->"b:0.1.2",ExpressionUUID->"f53db9c1-bf6c-480a-b2ec-fee4276a82f9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.263022858150199`", 
      RowBox[{"0.012517514960775716`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.23124396396598698`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.09235074136207383`"}], "-", 
       RowBox[{"0.16391985305509923`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.27306200281671633`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.17392567421515678`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.012517514960775716`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.23124396396598698`", " ", "\[ImaginaryI]"}]}], 
      "0.20390037363547417`", 
      RowBox[{"0.13971969989604094`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0889938649643224`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.13991637416728536`"}], "+", 
       RowBox[{"0.24834745401321232`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.09235074136207383`"}], "+", 
       RowBox[{"0.16391985305509923`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.13971969989604094`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0889938649643224`", " ", "\[ImaginaryI]"}]}], 
      "0.13458289482777863`", 
      RowBox[{
       RowBox[{"-", "0.204268745825555`"}], "+", 
       RowBox[{"0.10910883800293489`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.27306200281671633`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.17392567421515678`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.13991637416728536`"}], "-", 
       RowBox[{"0.24834745401321232`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.204268745825555`"}], "-", 
       RowBox[{"0.10910883800293489`", " ", "\[ImaginaryI]"}]}], 
      "0.3984938733865476`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777168449635*^9},
 CellTags->"b:0.1.2",ExpressionUUID->"aca80725-2266-45e8-b6c7-43d5dfb3ffee"]
}, Open  ]],

Cell[TextData[StyleBox["The reduced density matrix for both qubits are:", \
"DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.1.2",ExpressionUUID->"fb966269-e9f5-4367-97b7-6f07f911304a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Chop", "[", 
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"{", "2", "}"}], ",", "A34"}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"{", "1", "}"}], ",", "A34"}], "]"}], "]"}]}], "Input",
 CellTags->"b:0.1.2",ExpressionUUID->"5301ea0b-be25-4227-a261-07508660573c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.4669232317856732`", 
      RowBox[{
       RowBox[{"-", "0.2322671155293592`"}], "+", 
       RowBox[{"0.08442760095811308`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.2322671155293592`"}], "-", 
       RowBox[{"0.08442760095811308`", " ", "\[ImaginaryI]"}]}], 
      "0.5330767682143263`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777168473525*^9},
 CellTags->"b:0.1.2",ExpressionUUID->"9225d54e-c04f-460e-8f84-8163d7a5bf1c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.3976057529779776`", 
      RowBox[{
       RowBox[{"-", "0.19175123086477927`"}], "-", 
       RowBox[{"0.12213512596305211`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.19175123086477927`"}], "+", 
       RowBox[{"0.12213512596305211`", " ", "\[ImaginaryI]"}]}], 
      "0.6023942470220218`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.61677716847707*^9},
 CellTags->"b:0.1.2",ExpressionUUID->"7f50b73d-1752-4981-b80a-8a6d844cc5ff"]
}, Open  ]],

Cell[TextData[{
 StyleBox["And we ", "DisplayText",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 StyleBox["compare with a standard realization of the CNOT", "DisplayText",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 StyleBox[" gate between 1 and 4.", "DisplayText",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0},
  Background->None]
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:0.1.2",ExpressionUUID->"6f098ec2-053c-4d1a-a333-7114020ed769"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Ket14", "=", 
   RowBox[{"AF", "[", 
    RowBox[{"ket1", "\[CircleTimes]", "ket4"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Rho]14", "=", 
   RowBox[{"AF", "[", 
    RowBox[{"Ket14", "\[CircleTimes]", 
     RowBox[{"Adj", "[", "Ket14", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CN14", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{
     RowBox[{"CNOT", "[", 
      RowBox[{"2", ",", "2", ",", "1"}], "]"}], ".", "\[Rho]14", ".", 
     RowBox[{"Adj", "[", 
      RowBox[{"CNOT", "[", 
       RowBox[{"2", ",", "2", ",", "1"}], "]"}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"{", "2", "}"}], ",", "CN14"}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"{", "1", "}"}], ",", "CN14"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.616713077617625*^9, 3.616713134210723*^9}, {
  3.857208821126842*^9, 3.857208821128111*^9}},
 CellTags->"b:0.1.2",ExpressionUUID->"085a392b-8181-41ea-9127-a7564c25a539"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.4669232317856733`", 
      RowBox[{
       RowBox[{"-", "0.2322671155293593`"}], "+", 
       RowBox[{"0.08442760095811305`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.2322671155293593`"}], "-", 
       RowBox[{"0.08442760095811305`", " ", "\[ImaginaryI]"}]}], 
      "0.5330767682143265`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777168487946*^9},
 CellTags->"b:0.1.2",ExpressionUUID->"4cc46d4c-2e29-444b-8de1-2100099f5a33"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.39760575297797784`", 
      RowBox[{
       RowBox[{"-", "0.19175123086477935`"}], "-", 
       RowBox[{"0.12213512596305212`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.19175123086477935`"}], "+", 
       RowBox[{"0.12213512596305212`", " ", "\[ImaginaryI]"}]}], 
      "0.6023942470220219`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.616777168491146*^9},
 CellTags->"b:0.1.2",ExpressionUUID->"fdbfc3f9-a1b8-4851-b1ed-0b68eebd4373"]
}, Open  ]],

Cell[BoxData["Quit"], "Input",
 CellTags->"b:0.1.2",ExpressionUUID->"85920dfb-9bbb-4530-898f-145cdd5deb07"],

Cell[TextData[{
 "Last Version:1-Aug-2014\n",
 Cell[BoxData[
  FormBox[GridBox[{
     {
      RowBox[{"References", ":"}], 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"[", "1", "]"}], " ", 
         RowBox[{"R", ".", " ", "Raussendorf"}], " ", "and", " ", 
         RowBox[{"H", ".", " ", "J", ".", " ", "Briegel"}]}], ",", " ", 
        RowBox[{
         RowBox[{"Phys", ".", " ", "Rev", ".", " ", "Lett", ".", " ", "86"}], 
         " ", 
         RowBox[{"(", "2001", ")"}], " ", "5188"}]}], "\n", 
       RowBox[{
        RowBox[{
         RowBox[{"[", "2", "]"}], " ", 
         RowBox[{"R", ".", " ", "Raussendorf"}]}], ",", " ", 
        RowBox[{
         RowBox[{"D", ".", " ", "Brownie"}], " ", "and", " ", 
         RowBox[{"H", ".", "J", ".", " ", "Briegel"}]}], ",", " ", "\n", 
        RowBox[{
         RowBox[{"Phys", ".", " ", "Rev", ".", " ", "A"}], " ", "68"}], ",", 
        " ", 
        RowBox[{"022312", " ", 
         RowBox[{"(", "2003", ")"}]}]}], "\n", 
       RowBox[{
        RowBox[{
         RowBox[{"[", "2", "]"}], " ", "Michael", " ", 
         RowBox[{"I", ".", " ", "Nielsen"}]}], ",", " ", 
        RowBox[{"quant", "-", 
         RowBox[{"ph", "/", "0504097"}]}]}], "\n", 
       RowBox[{
        RowBox[{
         RowBox[{"[", "3", "]"}], " ", "QDENSITY", " ", "manual"}], ",", " ", 
        
        RowBox[{"Sect", ".", " ", "11"}]}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
      "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}], TraditionalForm]], 
  "DefinitionBox",
  GridBoxOptions->{
  GridBoxDividers->{
   "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
    "RowsIndexed" -> {}},
  GridBoxSpacings->{"Columns" -> {
      Offset[0.27999999999999997`], {
       Offset[0.5599999999999999]}, 
      Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
      Offset[0.2], {
       Offset[0.16]}, 
      Offset[0.2]}, "RowsIndexed" -> {}}},
  CellTags->"S5.1.1",ExpressionUUID->"87a7c34b-cdba-42d2-b4fe-5e4814e426c9"]
}], "Abstract",
 CellChangeTimes->{{3.616777257062727*^9, 3.616777260953898*^9}},
 CellTags->"b:0.1.2",ExpressionUUID->"53da53fb-9e85-4630-9301-7b18754c403e"]
}, Open  ]]
}, Open  ]]
},
ScreenStyleEnvironment->"Working",
WindowToolbars->{},
WindowSize->{900, 626},
WindowMargins->{{279, Automatic}, {130, Automatic}},
PrintingStartingPageNumber->77,
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{612, 792},
"PostScriptOutputFile":>FrontEnd`FileName[{"export", "home", "brunojd"}, 
  "c.ps", CharacterEncoding -> "WindowsANSI"]},
ShowSelection->True,
TaggingRules:>{
 "PaginationCache" -> {{2005, 8, 9, 3, 36, 23.409337`8.121964096655068}, {77, 
    77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 78, 78, 78, 78, 78, 
    78, 78, 78, 78, 78, 78, 78, 78, 78, 78, 78, 79, 79, 79, 79, 79, 79, 79, 
    79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 80, 80, 80, 80, 80, 80, 80, 80, 
    80, 80, 80, 80, 80, 80, 80, 80, 81, 81, 81, 81, 81, 81, 81, 81, 81, 81, 
    81, 81, 81, 81, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82}, 
    Automatic}},
CellLabelAutoDelete->True,
Magnification->1,
FrontEndVersion->"13.0 for Mac OS X x86 (64-bit) (December 2, 2021)",
StyleDefinitions->"Classroom.nb",
ExpressionUUID->"30fbfb6d-11b8-4fc3-aac3-13f7f7e7fb49"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "c:1"->{
  Cell[545, 20, 114, 1, 51, "Title",ExpressionUUID->"9b770465-b62f-4b9b-9945-32bb7ef267c3",
   CellTags->"c:1"]},
 "c:2"->{
  Cell[1250, 40, 332, 6, 51, "Section",ExpressionUUID->"4709af65-f530-4a35-9541-0c561080f169",
   CellTags->"c:2"]},
 "c:3"->{
  Cell[1607, 50, 166, 4, 60, "Subsection",ExpressionUUID->"1ef722ca-ac55-4076-9505-1ec92c8f529d",
   CellTags->{"c:3", "b:0.0.0"}]},
 "b:0.0.0"->{
  Cell[1607, 50, 166, 4, 60, "Subsection",ExpressionUUID->"1ef722ca-ac55-4076-9505-1ec92c8f529d",
   CellTags->{"c:3", "b:0.0.0"}],
  Cell[1776, 56, 193, 3, 23, "Text",ExpressionUUID->"b39f7ea9-758f-4d04-9e9a-f482f88442ea",
   CellTags->"b:0.0.0"],
  Cell[1994, 63, 384, 9, 68, "Input",ExpressionUUID->"9dc42f7f-7a9c-4324-93f7-0a40b68f6a3a",
   CellTags->"b:0.0.0"],
  Cell[2381, 74, 275, 4, 24, "Print",ExpressionUUID->"19c144f2-3371-43f9-a0ef-5c5b7f535e3c",
   CellTags->"b:0.0.0"],
  Cell[2693, 83, 114, 1, 48, "Input",ExpressionUUID->"7a6d995d-0e03-4b44-ba82-affae42722df",
   CellTags->"b:0.0.0"],
  Cell[2810, 86, 57021, 1284, 493, "Output",ExpressionUUID->"5e3b5b08-f492-4587-bb15-94e8d5b04890",
   CellTags->"b:0.0.0"],
  Cell[59846, 1373, 1168, 43, 26, "Text",ExpressionUUID->"b1a1aaa0-2586-4e42-873c-236a413c6cb1",
   CellTags->"b:0.0.0"],
  Cell[61017, 1418, 255, 5, 23, "Text",ExpressionUUID->"e9c027bc-85ec-4630-87fa-72e86cfa166b",
   CellTags->"b:0.0.0"],
  Cell[61275, 1425, 146, 3, 48, "Input",ExpressionUUID->"dfdd66e1-21f1-4c07-bc70-0ca00e11a867",
   CellTags->"b:0.0.0"],
  Cell[61424, 1430, 326, 6, 51, "Text",ExpressionUUID->"e6041a99-10a8-42ad-9bec-e594f4fdf638",
   CellTags->"b:0.0.0"],
  Cell[61775, 1440, 130, 2, 48, "Input",ExpressionUUID->"c486662b-6720-483a-bfe6-9926ab226f20",
   CellTags->"b:0.0.0"],
  Cell[61908, 1444, 369, 7, 48, "Output",ExpressionUUID->"2fbc3251-0577-44cf-a854-91b61cac04f4",
   CellTags->"b:0.0.0"],
  Cell[62314, 1456, 525, 13, 106, "Input",ExpressionUUID->"997c0e04-b2b9-4701-87b9-32aaaadb41b2",
   CellTags->"b:0.0.0"],
  Cell[62842, 1471, 10107, 170, 139, "Output",ExpressionUUID->"892c5b59-e011-4554-a35b-0e80a2193018",
   CellTags->"b:0.0.0"],
  Cell[72952, 1643, 4139, 72, 139, "Output",ExpressionUUID->"c1e0fef6-f892-48e4-ac00-84a1e0f8f44b",
   CellTags->"b:0.0.0"],
  Cell[77106, 1718, 358, 7, 51, "Text",ExpressionUUID->"6af4abf2-da88-4362-ac43-1f0ae06b8f5b",
   CellTags->"b:0.0.0"],
  Cell[77489, 1729, 142, 2, 48, "Input",ExpressionUUID->"8a468632-0b06-4650-9dac-9aed7d08f37e",
   CellTags->"b:0.0.0"],
  Cell[77634, 1733, 1054, 24, 64, "Output",ExpressionUUID->"5d08b8f9-baef-477c-85bc-17226cb72d51",
   CellTags->"b:0.0.0"],
  Cell[78725, 1762, 849, 23, 68, "Input",ExpressionUUID->"20278974-4d55-452f-b482-06f328e2cc02",
   CellTags->"b:0.0.0"],
  Cell[79577, 1787, 1056, 24, 64, "Output",ExpressionUUID->"9ba71607-f6d3-408a-8794-40378b111c2a",
   CellTags->"b:0.0.0"],
  Cell[80648, 1814, 322, 6, 23, "Text",ExpressionUUID->"715bbab2-1b80-4a86-b935-7d91a06c91b4",
   CellTags->"b:0.0.0"],
  Cell[80995, 1824, 380, 8, 48, "Input",ExpressionUUID->"b48d47ca-9e08-4f95-9068-af3e218bd7f3",
   CellTags->"b:0.0.0"],
  Cell[81378, 1834, 867, 23, 80, "Output",ExpressionUUID->"9c8324ae-4ec7-4b2f-8927-ff6537a0a4a8",
   CellTags->"b:0.0.0"],
  Cell[82260, 1860, 269, 5, 23, "Text",ExpressionUUID->"67bcbe71-b654-4de0-a7ef-4aa6ed02c136",
   CellTags->"b:0.0.0"],
  Cell[82554, 1869, 319, 7, 48, "Input",ExpressionUUID->"c37f4b87-612b-40e7-83a9-c95bd9903d44",
   CellTags->"b:0.0.0"],
  Cell[82876, 1878, 2694, 53, 98, "Output",ExpressionUUID->"47ce9ecb-56e6-4e55-824b-4a650ddd552c",
   CellTags->"b:0.0.0"],
  Cell[85585, 1934, 302, 6, 23, "Text",ExpressionUUID->"5b35bf85-f238-4ee8-8a7c-5a72271b5bfa",
   CellTags->"b:0.0.0"],
  Cell[85912, 1944, 386, 9, 48, "Input",ExpressionUUID->"e4928c19-a0e3-46cf-bd0f-09f88ad881ce",
   CellTags->"b:0.0.0"],
  Cell[86301, 1955, 2047, 44, 98, "Output",ExpressionUUID->"54e19877-3319-49f0-8bbf-6e06b285c33b",
   CellTags->"b:0.0.0"],
  Cell[88363, 2002, 288, 6, 23, "Text",ExpressionUUID->"4a1c0873-78ae-42cd-b57e-9e999851a950",
   CellTags->"b:0.0.0"],
  Cell[88654, 2010, 739, 20, 70, "Input",ExpressionUUID->"f158eab9-a843-42d7-8ed2-d0ee8e89a845",
   CellTags->"b:0.0.0"],
  Cell[89396, 2032, 302, 6, 23, "Text",ExpressionUUID->"b212d9ab-5305-49d4-b503-06a78221ac5d",
   CellTags->"b:0.0.0"],
  Cell[89723, 2042, 200, 3, 68, "Input",ExpressionUUID->"c517d285-4776-4bc0-b1b9-fbefc3b2f094",
   CellTags->"b:0.0.0"],
  Cell[89926, 2047, 1056, 24, 64, "Output",ExpressionUUID->"839a9a06-4c15-41ee-8820-090cba726911",
   CellTags->"b:0.0.0"],
  Cell[90985, 2073, 1062, 26, 64, "Output",ExpressionUUID->"fecc3624-1be1-46cc-9c86-b4285f2e2fab",
   CellTags->"b:0.0.0"],
  Cell[92062, 2102, 508, 15, 23, "Text",ExpressionUUID->"168917de-828a-4164-8804-35df8a01f82c",
   CellTags->"b:0.0.0"],
  Cell[92595, 2121, 654, 17, 87, "Input",ExpressionUUID->"dca8de03-1dc1-4610-a108-daa121d9cfae",
   CellTags->"b:0.0.0"],
  Cell[93252, 2140, 1053, 24, 64, "Output",ExpressionUUID->"786150b3-4e5c-4ae1-b5c6-5f7f92a29678",
   CellTags->"b:0.0.0"],
  Cell[94308, 2166, 1059, 26, 64, "Output",ExpressionUUID->"df88ba45-45cc-4da8-a39c-98e0344f2d69",
   CellTags->"b:0.0.0"]},
 "c:4"->{
  Cell[96607, 2233, 178, 4, 60, "Subsection",ExpressionUUID->"51b4dcc2-258f-445a-87f5-b71c1cc81d4e",
   CellTags->{"c:4", "b:0.0.1"}]},
 "b:0.0.1"->{
  Cell[96607, 2233, 178, 4, 60, "Subsection",ExpressionUUID->"51b4dcc2-258f-445a-87f5-b71c1cc81d4e",
   CellTags->{"c:4", "b:0.0.1"}],
  Cell[96788, 2239, 255, 5, 23, "Text",ExpressionUUID->"3c62cdf5-002c-4a86-a68b-1882296f9682",
   CellTags->"b:0.0.1"],
  Cell[97046, 2246, 146, 3, 48, "Input",ExpressionUUID->"56d9acce-362a-4395-9944-ba245dc0e05f",
   CellTags->"b:0.0.1"],
  Cell[97195, 2251, 326, 6, 51, "Text",ExpressionUUID->"8e015efc-fab3-4dc5-9fca-dfcf64209cc3",
   CellTags->"b:0.0.1"],
  Cell[97546, 2261, 130, 2, 48, "Input",ExpressionUUID->"d40dc96e-2251-4245-bf62-7342fc426c97",
   CellTags->"b:0.0.1"],
  Cell[97679, 2265, 371, 7, 48, "Output",ExpressionUUID->"7287aeda-f69e-49ea-a5ee-8366090ab606",
   CellTags->"b:0.0.1"],
  Cell[98087, 2277, 312, 7, 68, "Input",ExpressionUUID->"eb6fc0c0-c972-4c45-8ec0-12b05a7c21ca",
   CellTags->"b:0.0.1"],
  Cell[98402, 2286, 990, 20, 54, "Output",ExpressionUUID->"d80d226b-f049-4f82-933a-edfda7073423",
   CellTags->"b:0.0.1"],
  Cell[99407, 2309, 618, 16, 51, "Text",ExpressionUUID->"5d027a16-4140-4794-8a83-87d3b673583f",
   CellTags->"b:0.0.1"],
  Cell[100050, 2329, 142, 2, 48, "Input",ExpressionUUID->"05ad7597-653d-4f48-aa9e-1035f169612b",
   CellTags->"b:0.0.1"],
  Cell[100195, 2333, 1056, 24, 64, "Output",ExpressionUUID->"4f490fd5-1da5-476b-8267-063e85ca0409",
   CellTags->"b:0.0.1"],
  Cell[101288, 2362, 851, 23, 68, "Input",ExpressionUUID->"4301350a-04a7-43d0-a752-d04596e87494",
   CellTags->"b:0.0.1"],
  Cell[102142, 2387, 1054, 24, 64, "Output",ExpressionUUID->"bd95bc6e-ff76-4feb-8ae7-73ad83bd1196",
   CellTags->"b:0.0.1"],
  Cell[103211, 2414, 577, 16, 23, "Text",ExpressionUUID->"bde1aec9-44f8-4a5c-ac07-8ba76b85aab6",
   CellTags->"b:0.0.1"],
  Cell[103813, 2434, 569, 13, 68, "Input",ExpressionUUID->"815da4e5-468c-413e-a1e0-783ca124ed33",
   CellTags->"b:0.0.1"],
  Cell[104385, 2449, 862, 23, 80, "Output",ExpressionUUID->"cc70c414-72a0-430a-877d-37f9fe0d4adf",
   CellTags->"b:0.0.1"],
  Cell[105250, 2474, 864, 23, 80, "Output",ExpressionUUID->"13a7ba93-5604-425e-a1da-9fa8b167381c",
   CellTags->"b:0.0.1"],
  Cell[106129, 2500, 698, 21, 23, "Text",ExpressionUUID->"5b3b8bf4-4c1c-4280-951c-2a280bfbd7de",
   CellTags->"b:0.0.1"],
  Cell[106852, 2525, 374, 8, 48, "Input",ExpressionUUID->"99074881-7398-4754-8357-4e9c2c7f37d4",
   CellTags->"b:0.0.1"],
  Cell[107229, 2535, 8563, 153, 166, "Output",ExpressionUUID->"669c00e5-f0fe-4bc9-9299-22abbf5c40a8",
   CellTags->"b:0.0.1"],
  Cell[115807, 2691, 304, 6, 23, "Text",ExpressionUUID->"0bb15d17-59bf-46ab-bba5-e395d8c8d6e1",
   CellTags->"b:0.0.1"],
  Cell[116136, 2701, 491, 13, 68, "Input",ExpressionUUID->"fb2131f6-e57c-4216-94fb-12fc8cf36969",
   CellTags->"b:0.0.1"],
  Cell[116630, 2716, 6057, 119, 166, "Output",ExpressionUUID->"10012bcb-eb16-4270-aaf9-f7f639036653",
   CellTags->"b:0.0.1"],
  Cell[122702, 2838, 424, 12, 23, "Text",ExpressionUUID->"8eb5b6fe-c6b7-4ebc-b931-17298224f71b",
   CellTags->"b:0.0.1"],
  Cell[126162, 2953, 808, 20, 51, "Input",ExpressionUUID->"45d1da27-80e9-4c1a-b665-01485f9b8dea",
   CellTags->"b:0.0.1"],
  Cell[126973, 2975, 330, 6, 23, "Text",ExpressionUUID->"a2164448-70dd-40fe-bfdb-73db87a25def",
   CellTags->"b:0.0.1"],
  Cell[127306, 2983, 402, 11, 48, "Input",ExpressionUUID->"7bbe231c-7304-4daa-8907-c63e6f402d3d",
   CellTags->"b:0.0.1"],
  Cell[127711, 2996, 485, 15, 23, "Text",ExpressionUUID->"28a5a596-5c61-4795-b784-03657cfbdfdb",
   CellTags->"b:0.0.1"],
  Cell[128199, 3013, 441, 12, 48, "Input",ExpressionUUID->"129de4a6-7d5b-43c1-8d6e-0e731b32bb0e",
   CellTags->"b:0.0.1"],
  Cell[128643, 3027, 358, 7, 51, "Text",ExpressionUUID->"a9777aeb-d626-4c02-ac75-e156e95e0698",
   CellTags->"b:0.0.1"],
  Cell[129026, 3038, 558, 13, 106, "Input",ExpressionUUID->"4a56b80a-a7c4-4779-a662-e1ae02e72279",
   CellTags->"b:0.0.1"],
  Cell[129587, 3053, 1059, 24, 64, "Output",ExpressionUUID->"15f9b99e-3d12-47a1-8ab8-952da3f3487e",
   CellTags->"b:0.0.1"],
  Cell[130649, 3079, 1059, 24, 64, "Output",ExpressionUUID->"17e44ec8-a5c6-48c0-bae5-95edf54929f3",
   CellTags->"b:0.0.1"],
  Cell[131711, 3105, 1059, 24, 64, "Output",ExpressionUUID->"5775fecb-db95-4e4a-aa1f-c06dc9756bd7",
   CellTags->"b:0.0.1"],
  Cell[132773, 3131, 1061, 24, 64, "Output",ExpressionUUID->"dae53820-ffbe-450a-bcdc-8b49c01840f9",
   CellTags->"b:0.0.1"],
  Cell[133849, 3158, 510, 15, 23, "Text",ExpressionUUID->"7b562669-4440-4584-b7bd-8d15b5191784",
   CellTags->"b:0.0.1"],
  Cell[134384, 3177, 110, 1, 48, "Input",ExpressionUUID->"c2fa8bde-195e-4b12-93b5-772cedf9e005",
   CellTags->"b:0.0.1"],
  Cell[134497, 3180, 1054, 24, 64, "Output",ExpressionUUID->"9464cf85-b0c3-405b-8899-f0d0c4bc7623",
   CellTags->"b:0.0.1"],
  Cell[135588, 3209, 761, 21, 106, "Input",ExpressionUUID->"e9b56bbf-5f21-42a0-b4bc-4c64d7e70c5c",
   CellTags->"b:0.0.1"],
  Cell[136352, 3232, 373, 7, 48, "Output",ExpressionUUID->"c0a509c8-8ca1-40eb-a2f5-335929ccb974",
   CellTags->"b:0.0.1"],
  Cell[136728, 3241, 373, 7, 48, "Output",ExpressionUUID->"e26cddb8-0589-447e-9492-8df884092353",
   CellTags->"b:0.0.1"],
  Cell[137104, 3250, 375, 7, 48, "Output",ExpressionUUID->"6c941db5-4ce3-4eff-b756-bf671832e526",
   CellTags->"b:0.0.1"],
  Cell[137482, 3259, 375, 7, 48, "Output",ExpressionUUID->"9f22878c-1be2-434d-80cf-eeee24d19dff",
   CellTags->"b:0.0.1"],
  Cell[138055, 3275, 2162, 57, 180, "Abstract",ExpressionUUID->"562f07a4-7643-46b7-82c7-cecb7f0aae80",
   CellTags->"b:0.0.1"]},
 "c:5"->{
  Cell[140266, 3338, 167, 2, 51, "Section",ExpressionUUID->"611b8099-4a7b-42a8-a2f6-c3e1a9ebcb0d",
   CellTags->"c:5"]},
 "c:6"->{
  Cell[140458, 3344, 182, 4, 60, "Subsection",ExpressionUUID->"3ce31824-aafb-4649-988f-7f4a8bfe4679",
   CellTags->{"c:6", "b:0.1.0"}]},
 "b:0.1.0"->{
  Cell[140458, 3344, 182, 4, 60, "Subsection",ExpressionUUID->"3ce31824-aafb-4649-988f-7f4a8bfe4679",
   CellTags->{"c:6", "b:0.1.0"}],
  Cell[140665, 3352, 160, 2, 48, "Input",ExpressionUUID->"c4555e14-9495-4599-9ddd-4963b75e9db7",
   CellTags->"b:0.1.0"],
  Cell[140828, 3356, 228, 3, 24, "Print",ExpressionUUID->"b08847b0-7270-4d95-a6cc-1baa9638d071",
   CellTags->"b:0.1.0"],
  Cell[141093, 3364, 114, 1, 48, "Input",ExpressionUUID->"a290faa2-7f4a-46e3-adce-22b42997ede9",
   CellTags->"b:0.1.0"],
  Cell[141210, 3367, 18681, 499, 377, "Print",ExpressionUUID->"6fe73402-1be4-41dc-b0c4-5980ad96e083",
   CellTags->"b:0.1.0"],
  Cell[159906, 3869, 304, 6, 23, "Text",ExpressionUUID->"21d419dc-93db-4e6a-bb24-4ad1aa4448a7",
   CellTags->"b:0.1.0"],
  Cell[160235, 3879, 317, 8, 68, "Input",ExpressionUUID->"7f20adaa-393b-46a6-aa7c-25719abd1e6e",
   CellTags->"b:0.1.0"],
  Cell[160555, 3889, 3271, 58, 223, "Output",ExpressionUUID->"6cc16827-1838-4e33-a163-6f3dc1388443",
   CellTags->"b:0.1.0"],
  Cell[163841, 3950, 323, 6, 23, "Text",ExpressionUUID->"8d3e5511-9aeb-43bf-aaff-35ee487cd379",
   CellTags->"b:0.1.0"],
  Cell[164167, 3958, 148, 3, 48, "Input",ExpressionUUID->"4913cccd-18a8-42a0-b82c-0c01df325418",
   CellTags->"b:0.1.0"],
  Cell[164318, 3963, 255, 5, 23, "Text",ExpressionUUID->"e3d2bd8e-c209-4fea-b08a-540b57c60257",
   CellTags->"b:0.1.0"],
  Cell[164576, 3970, 145, 3, 48, "Input",ExpressionUUID->"93619e06-fc93-4834-bb46-2f81fb46c55d",
   CellTags->"b:0.1.0"],
  Cell[164724, 3975, 376, 7, 51, "Text",ExpressionUUID->"e70a9416-5e5a-453b-8315-3c42a4623119",
   CellTags->"b:0.1.0"],
  Cell[165125, 3986, 789, 22, 125, "Input",ExpressionUUID->"55c35fe3-ba9a-4811-b5c6-3f5819e565b1",
   CellTags->"b:0.1.0"],
  Cell[165917, 4010, 948, 25, 64, "Output",ExpressionUUID->"7efa1dfd-fa16-48f8-83df-d5097a6e6c51",
   CellTags->"b:0.1.0"],
  Cell[166868, 4037, 941, 23, 64, "Output",ExpressionUUID->"14a0bbb6-93bb-43d2-b0f6-94236b5fdebc",
   CellTags->"b:0.1.0"],
  Cell[167824, 4063, 352, 6, 51, "Text",ExpressionUUID->"ed9becdc-f547-4ba1-982a-32a90f122e60",
   CellTags->"b:0.1.0"],
  Cell[168201, 4073, 527, 14, 87, "Input",ExpressionUUID->"68bc5211-65ae-4626-b6de-f27020136652",
   CellTags->"b:0.1.0"],
  Cell[168731, 4089, 209, 5, 48, "Output",ExpressionUUID->"2f1cdfb1-b9f8-4e5b-a945-c2b604088aac",
   CellTags->"b:0.1.0"],
  Cell[168943, 4096, 209, 5, 48, "Output",ExpressionUUID->"718b0e98-662a-496a-82e6-4530f17d666a",
   CellTags->"b:0.1.0"],
  Cell[169167, 4104, 290, 6, 23, "Text",ExpressionUUID->"8c4d99ad-92cc-41b8-a92d-dca5164e0bcf",
   CellTags->"b:0.1.0"],
  Cell[169482, 4114, 936, 20, 87, "Input",ExpressionUUID->"dc96bdcb-dfaa-4ba5-9d9a-cebe988ae189",
   CellTags->"b:0.1.0"],
  Cell[170421, 4136, 227, 5, 48, "Output",ExpressionUUID->"250fe63d-eb77-4590-96dc-009417497dac",
   CellTags->"b:0.1.0"],
  Cell[170663, 4144, 296, 6, 23, "Text",ExpressionUUID->"b75cb928-4764-4cc1-814f-dcb030446ea1",
   CellTags->"b:0.1.0"],
  Cell[170962, 4152, 698, 20, 68, "Input",ExpressionUUID->"2468b395-3ec1-478a-a6f9-45aa0d519cf8",
   CellTags->"b:0.1.0"],
  Cell[171663, 4174, 310, 6, 23, "Text",ExpressionUUID->"f3fe557f-547f-41a4-9cc1-54e5bfec164f",
   CellTags->"b:0.1.0"],
  Cell[171998, 4184, 713, 15, 106, "Input",ExpressionUUID->"0867cd8c-7430-4b94-9766-e27eb1aa1b57",
   CellTags->"b:0.1.0"],
  Cell[172714, 4201, 2884, 75, 302, "Output",ExpressionUUID->"a1e942d6-8b59-4bc1-a317-7965a2dba114",
   CellTags->"b:0.1.0"],
  Cell[175601, 4278, 227, 5, 48, "Output",ExpressionUUID->"eed52a80-1e44-472e-8f45-f501075a37d9",
   CellTags->"b:0.1.0"],
  Cell[175831, 4285, 946, 35, 302, "Output",ExpressionUUID->"680d7ba0-c01e-44fb-aa4d-f5d01f41c67e",
   CellTags->"b:0.1.0"]},
 "c:7"->{
  Cell[176826, 4326, 196, 4, 60, "Subsection",ExpressionUUID->"2b054c27-1e20-41e1-9e3d-e05b5f8fef63",
   CellTags->{"c:7", "b:0.1.1"}]},
 "b:0.1.1"->{
  Cell[176826, 4326, 196, 4, 60, "Subsection",ExpressionUUID->"2b054c27-1e20-41e1-9e3d-e05b5f8fef63",
   CellTags->{"c:7", "b:0.1.1"}],
  Cell[177025, 4332, 369, 7, 51, "Text",ExpressionUUID->"e4dc7841-7e94-4d8b-afda-b3fb79b58b47",
   CellTags->"b:0.1.1"],
  Cell[177397, 4341, 640, 13, 51, "Input",ExpressionUUID->"42373151-0501-474f-9603-9b1e40d4555f",
   CellTags->"b:0.1.1"],
  Cell[178612, 4375, 293, 6, 23, "Text",ExpressionUUID->"c5ab6f68-853e-4953-bf37-28e4b7b98102",
   CellTags->"b:0.1.1"],
  Cell[178930, 4385, 341, 9, 68, "Input",ExpressionUUID->"2a051402-8f57-4c38-97f6-4a77328be12a",
   CellTags->"b:0.1.1"],
  Cell[179274, 4396, 211, 5, 48, "Output",ExpressionUUID->"85c9921d-4b74-4c5b-9450-49c471103356",
   CellTags->"b:0.1.1"],
  Cell[179488, 4403, 209, 5, 48, "Output",ExpressionUUID->"eb991687-61ad-4372-982f-70b325e6f436",
   CellTags->"b:0.1.1"]},
 "c:8"->{
  Cell[179746, 4414, 231, 6, 60, "Subsection",ExpressionUUID->"6ad2cd3e-76f0-479b-8b35-78ee6e0660ee",
   CellTags->{"c:8", "b:0.1.2"}]},
 "b:0.1.2"->{
  Cell[179746, 4414, 231, 6, 60, "Subsection",ExpressionUUID->"6ad2cd3e-76f0-479b-8b35-78ee6e0660ee",
   CellTags->{"c:8", "b:0.1.2"}],
  Cell[179980, 4422, 446, 8, 79, "Text",ExpressionUUID->"1a71be2c-5ebd-4c31-8b3e-c178b68230c2",
   CellTags->"b:0.1.2"],
  Cell[180451, 4434, 905, 21, 48, "Input",ExpressionUUID->"3212ff0e-2c05-4eb9-856f-bf1c9626694c",
   CellTags->"b:0.1.2"],
  Cell[181359, 4457, 824, 23, 98, "Output",ExpressionUUID->"d6b23dcb-3439-45f3-a430-102a4b1960f1",
   CellTags->"b:0.1.2"],
  Cell[182220, 4485, 309, 7, 48, "Input",ExpressionUUID->"f53db9c1-bf6c-480a-b2ec-fee4276a82f9",
   CellTags->"b:0.1.2"],
  Cell[182532, 4494, 2386, 54, 98, "Output",ExpressionUUID->"aca80725-2266-45e8-b6c7-43d5dfb3ffee",
   CellTags->"b:0.1.2"],
  Cell[184933, 4551, 287, 6, 23, "Text",ExpressionUUID->"fb966269-e9f5-4367-97b7-6f07f911304a",
   CellTags->"b:0.1.2"],
  Cell[185245, 4561, 359, 10, 68, "Input",ExpressionUUID->"5301ea0b-be25-4227-a261-07508660573c",
   CellTags->"b:0.1.2"],
  Cell[185607, 4573, 1001, 26, 64, "Output",ExpressionUUID->"9225d54e-c04f-460e-8f84-8163d7a5bf1c",
   CellTags->"b:0.1.2"],
  Cell[186611, 4601, 1002, 26, 64, "Output",ExpressionUUID->"7f50b73d-1752-4981-b80a-8a6d844cc5ff",
   CellTags->"b:0.1.2"],
  Cell[187628, 4630, 555, 15, 23, "Text",ExpressionUUID->"6f098ec2-053c-4d1a-a333-7114020ed769",
   CellTags->"b:0.1.2"],
  Cell[188208, 4649, 1137, 33, 125, "Input",ExpressionUUID->"085a392b-8181-41ea-9127-a7564c25a539",
   CellTags->"b:0.1.2"],
  Cell[189348, 4684, 1001, 26, 64, "Output",ExpressionUUID->"4cc46d4c-2e29-444b-8de1-2100099f5a33",
   CellTags->"b:0.1.2"],
  Cell[190352, 4712, 1004, 26, 64, "Output",ExpressionUUID->"fdbfc3f9-a1b8-4851-b1ed-0b68eebd4373",
   CellTags->"b:0.1.2"],
  Cell[191371, 4741, 107, 1, 48, "Input",ExpressionUUID->"85920dfb-9bbb-4530-898f-145cdd5deb07",
   CellTags->"b:0.1.2"],
  Cell[191481, 4744, 2227, 58, 180, "Abstract",ExpressionUUID->"53da53fb-9e85-4630-9301-7b18754c403e",
   CellTags->"b:0.1.2"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"c:1", 194988, 4837},
 {"c:2", 195112, 4840},
 {"c:3", 195239, 4843},
 {"b:0.0.0", 195386, 4846},
 {"c:4", 200153, 4925},
 {"b:0.0.1", 200303, 4928},
 {"c:5", 205740, 5017},
 {"c:6", 205871, 5020},
 {"b:0.1.0", 206022, 5023},
 {"c:7", 209730, 5084},
 {"b:0.1.1", 209881, 5087},
 {"c:8", 210761, 5102},
 {"b:0.1.2", 210912, 5105}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 114, 1, 51, "Title",ExpressionUUID->"9b770465-b62f-4b9b-9945-32bb7ef267c3",
 CellTags->"c:1"],
Cell[662, 23, 109, 0, 35, "Subtitle",ExpressionUUID->"615aff94-e97f-4123-82ae-7c1e70bd9ba3"],
Cell[774, 25, 451, 11, 62, "Abstract",ExpressionUUID->"291a7b35-81fa-485e-bf4a-3ec52ec80902"],
Cell[CellGroupData[{
Cell[1250, 40, 332, 6, 51, "Section",ExpressionUUID->"4709af65-f530-4a35-9541-0c561080f169",
 CellTags->"c:2"],
Cell[CellGroupData[{
Cell[1607, 50, 166, 4, 60, "Subsection",ExpressionUUID->"1ef722ca-ac55-4076-9505-1ec92c8f529d",
 CellTags->{"c:3", "b:0.0.0"}],
Cell[1776, 56, 193, 3, 23, "Text",ExpressionUUID->"b39f7ea9-758f-4d04-9e9a-f482f88442ea",
 CellTags->"b:0.0.0"],
Cell[CellGroupData[{
Cell[1994, 63, 384, 9, 68, "Input",ExpressionUUID->"9dc42f7f-7a9c-4324-93f7-0a40b68f6a3a",
 CellTags->"b:0.0.0"],
Cell[2381, 74, 275, 4, 24, "Print",ExpressionUUID->"19c144f2-3371-43f9-a0ef-5c5b7f535e3c",
 CellTags->"b:0.0.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2693, 83, 114, 1, 48, "Input",ExpressionUUID->"7a6d995d-0e03-4b44-ba82-affae42722df",
 CellTags->"b:0.0.0"],
Cell[2810, 86, 57021, 1284, 493, "Output",ExpressionUUID->"5e3b5b08-f492-4587-bb15-94e8d5b04890",
 CellTags->"b:0.0.0"]
}, Open  ]],
Cell[59846, 1373, 1168, 43, 26, "Text",ExpressionUUID->"b1a1aaa0-2586-4e42-873c-236a413c6cb1",
 CellTags->"b:0.0.0"],
Cell[61017, 1418, 255, 5, 23, "Text",ExpressionUUID->"e9c027bc-85ec-4630-87fa-72e86cfa166b",
 CellTags->"b:0.0.0"],
Cell[61275, 1425, 146, 3, 48, "Input",ExpressionUUID->"dfdd66e1-21f1-4c07-bc70-0ca00e11a867",
 CellTags->"b:0.0.0"],
Cell[61424, 1430, 326, 6, 51, "Text",ExpressionUUID->"e6041a99-10a8-42ad-9bec-e594f4fdf638",
 CellTags->"b:0.0.0"],
Cell[CellGroupData[{
Cell[61775, 1440, 130, 2, 48, "Input",ExpressionUUID->"c486662b-6720-483a-bfe6-9926ab226f20",
 CellTags->"b:0.0.0"],
Cell[61908, 1444, 369, 7, 48, "Output",ExpressionUUID->"2fbc3251-0577-44cf-a854-91b61cac04f4",
 CellTags->"b:0.0.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[62314, 1456, 525, 13, 106, "Input",ExpressionUUID->"997c0e04-b2b9-4701-87b9-32aaaadb41b2",
 CellTags->"b:0.0.0"],
Cell[62842, 1471, 10107, 170, 139, "Output",ExpressionUUID->"892c5b59-e011-4554-a35b-0e80a2193018",
 CellTags->"b:0.0.0"],
Cell[72952, 1643, 4139, 72, 139, "Output",ExpressionUUID->"c1e0fef6-f892-48e4-ac00-84a1e0f8f44b",
 CellTags->"b:0.0.0"]
}, Open  ]],
Cell[77106, 1718, 358, 7, 51, "Text",ExpressionUUID->"6af4abf2-da88-4362-ac43-1f0ae06b8f5b",
 CellTags->"b:0.0.0"],
Cell[CellGroupData[{
Cell[77489, 1729, 142, 2, 48, "Input",ExpressionUUID->"8a468632-0b06-4650-9dac-9aed7d08f37e",
 CellTags->"b:0.0.0"],
Cell[77634, 1733, 1054, 24, 64, "Output",ExpressionUUID->"5d08b8f9-baef-477c-85bc-17226cb72d51",
 CellTags->"b:0.0.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78725, 1762, 849, 23, 68, "Input",ExpressionUUID->"20278974-4d55-452f-b482-06f328e2cc02",
 CellTags->"b:0.0.0"],
Cell[79577, 1787, 1056, 24, 64, "Output",ExpressionUUID->"9ba71607-f6d3-408a-8794-40378b111c2a",
 CellTags->"b:0.0.0"]
}, Open  ]],
Cell[80648, 1814, 322, 6, 23, "Text",ExpressionUUID->"715bbab2-1b80-4a86-b935-7d91a06c91b4",
 CellTags->"b:0.0.0"],
Cell[CellGroupData[{
Cell[80995, 1824, 380, 8, 48, "Input",ExpressionUUID->"b48d47ca-9e08-4f95-9068-af3e218bd7f3",
 CellTags->"b:0.0.0"],
Cell[81378, 1834, 867, 23, 80, "Output",ExpressionUUID->"9c8324ae-4ec7-4b2f-8927-ff6537a0a4a8",
 CellTags->"b:0.0.0"]
}, Open  ]],
Cell[82260, 1860, 269, 5, 23, "Text",ExpressionUUID->"67bcbe71-b654-4de0-a7ef-4aa6ed02c136",
 CellTags->"b:0.0.0"],
Cell[CellGroupData[{
Cell[82554, 1869, 319, 7, 48, "Input",ExpressionUUID->"c37f4b87-612b-40e7-83a9-c95bd9903d44",
 CellTags->"b:0.0.0"],
Cell[82876, 1878, 2694, 53, 98, "Output",ExpressionUUID->"47ce9ecb-56e6-4e55-824b-4a650ddd552c",
 CellTags->"b:0.0.0"]
}, Open  ]],
Cell[85585, 1934, 302, 6, 23, "Text",ExpressionUUID->"5b35bf85-f238-4ee8-8a7c-5a72271b5bfa",
 CellTags->"b:0.0.0"],
Cell[CellGroupData[{
Cell[85912, 1944, 386, 9, 48, "Input",ExpressionUUID->"e4928c19-a0e3-46cf-bd0f-09f88ad881ce",
 CellTags->"b:0.0.0"],
Cell[86301, 1955, 2047, 44, 98, "Output",ExpressionUUID->"54e19877-3319-49f0-8bbf-6e06b285c33b",
 CellTags->"b:0.0.0"]
}, Open  ]],
Cell[88363, 2002, 288, 6, 23, "Text",ExpressionUUID->"4a1c0873-78ae-42cd-b57e-9e999851a950",
 CellTags->"b:0.0.0"],
Cell[88654, 2010, 739, 20, 70, "Input",ExpressionUUID->"f158eab9-a843-42d7-8ed2-d0ee8e89a845",
 CellTags->"b:0.0.0"],
Cell[89396, 2032, 302, 6, 23, "Text",ExpressionUUID->"b212d9ab-5305-49d4-b503-06a78221ac5d",
 CellTags->"b:0.0.0"],
Cell[CellGroupData[{
Cell[89723, 2042, 200, 3, 68, "Input",ExpressionUUID->"c517d285-4776-4bc0-b1b9-fbefc3b2f094",
 CellTags->"b:0.0.0"],
Cell[89926, 2047, 1056, 24, 64, "Output",ExpressionUUID->"839a9a06-4c15-41ee-8820-090cba726911",
 CellTags->"b:0.0.0"],
Cell[90985, 2073, 1062, 26, 64, "Output",ExpressionUUID->"fecc3624-1be1-46cc-9c86-b4285f2e2fab",
 CellTags->"b:0.0.0"]
}, Open  ]],
Cell[92062, 2102, 508, 15, 23, "Text",ExpressionUUID->"168917de-828a-4164-8804-35df8a01f82c",
 CellTags->"b:0.0.0"],
Cell[CellGroupData[{
Cell[92595, 2121, 654, 17, 87, "Input",ExpressionUUID->"dca8de03-1dc1-4610-a108-daa121d9cfae",
 CellTags->"b:0.0.0"],
Cell[93252, 2140, 1053, 24, 64, "Output",ExpressionUUID->"786150b3-4e5c-4ae1-b5c6-5f7f92a29678",
 CellTags->"b:0.0.0"],
Cell[94308, 2166, 1059, 26, 64, "Output",ExpressionUUID->"df88ba45-45cc-4da8-a39c-98e0344f2d69",
 CellTags->"b:0.0.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[95404, 2197, 433, 11, 68, "Input",ExpressionUUID->"fe98cbbd-65e7-4a83-ab20-6a0dceec2ad9"],
Cell[95840, 2210, 359, 8, 48, "Output",ExpressionUUID->"6e3dc29f-30b2-4af7-bd54-a748d83a22f1"],
Cell[96202, 2220, 356, 7, 48, "Output",ExpressionUUID->"97a9ac6d-cd9c-4c21-8dc5-99157918e0cf"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[96607, 2233, 178, 4, 60, "Subsection",ExpressionUUID->"51b4dcc2-258f-445a-87f5-b71c1cc81d4e",
 CellTags->{"c:4", "b:0.0.1"}],
Cell[96788, 2239, 255, 5, 23, "Text",ExpressionUUID->"3c62cdf5-002c-4a86-a68b-1882296f9682",
 CellTags->"b:0.0.1"],
Cell[97046, 2246, 146, 3, 48, "Input",ExpressionUUID->"56d9acce-362a-4395-9944-ba245dc0e05f",
 CellTags->"b:0.0.1"],
Cell[97195, 2251, 326, 6, 51, "Text",ExpressionUUID->"8e015efc-fab3-4dc5-9fca-dfcf64209cc3",
 CellTags->"b:0.0.1"],
Cell[CellGroupData[{
Cell[97546, 2261, 130, 2, 48, "Input",ExpressionUUID->"d40dc96e-2251-4245-bf62-7342fc426c97",
 CellTags->"b:0.0.1"],
Cell[97679, 2265, 371, 7, 48, "Output",ExpressionUUID->"7287aeda-f69e-49ea-a5ee-8366090ab606",
 CellTags->"b:0.0.1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[98087, 2277, 312, 7, 68, "Input",ExpressionUUID->"eb6fc0c0-c972-4c45-8ec0-12b05a7c21ca",
 CellTags->"b:0.0.1"],
Cell[98402, 2286, 990, 20, 54, "Output",ExpressionUUID->"d80d226b-f049-4f82-933a-edfda7073423",
 CellTags->"b:0.0.1"]
}, Open  ]],
Cell[99407, 2309, 618, 16, 51, "Text",ExpressionUUID->"5d027a16-4140-4794-8a83-87d3b673583f",
 CellTags->"b:0.0.1"],
Cell[CellGroupData[{
Cell[100050, 2329, 142, 2, 48, "Input",ExpressionUUID->"05ad7597-653d-4f48-aa9e-1035f169612b",
 CellTags->"b:0.0.1"],
Cell[100195, 2333, 1056, 24, 64, "Output",ExpressionUUID->"4f490fd5-1da5-476b-8267-063e85ca0409",
 CellTags->"b:0.0.1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[101288, 2362, 851, 23, 68, "Input",ExpressionUUID->"4301350a-04a7-43d0-a752-d04596e87494",
 CellTags->"b:0.0.1"],
Cell[102142, 2387, 1054, 24, 64, "Output",ExpressionUUID->"bd95bc6e-ff76-4feb-8ae7-73ad83bd1196",
 CellTags->"b:0.0.1"]
}, Open  ]],
Cell[103211, 2414, 577, 16, 23, "Text",ExpressionUUID->"bde1aec9-44f8-4a5c-ac07-8ba76b85aab6",
 CellTags->"b:0.0.1"],
Cell[CellGroupData[{
Cell[103813, 2434, 569, 13, 68, "Input",ExpressionUUID->"815da4e5-468c-413e-a1e0-783ca124ed33",
 CellTags->"b:0.0.1"],
Cell[104385, 2449, 862, 23, 80, "Output",ExpressionUUID->"cc70c414-72a0-430a-877d-37f9fe0d4adf",
 CellTags->"b:0.0.1"],
Cell[105250, 2474, 864, 23, 80, "Output",ExpressionUUID->"13a7ba93-5604-425e-a1da-9fa8b167381c",
 CellTags->"b:0.0.1"]
}, Open  ]],
Cell[106129, 2500, 698, 21, 23, "Text",ExpressionUUID->"5b3b8bf4-4c1c-4280-951c-2a280bfbd7de",
 CellTags->"b:0.0.1"],
Cell[CellGroupData[{
Cell[106852, 2525, 374, 8, 48, "Input",ExpressionUUID->"99074881-7398-4754-8357-4e9c2c7f37d4",
 CellTags->"b:0.0.1"],
Cell[107229, 2535, 8563, 153, 166, "Output",ExpressionUUID->"669c00e5-f0fe-4bc9-9299-22abbf5c40a8",
 CellTags->"b:0.0.1"]
}, Open  ]],
Cell[115807, 2691, 304, 6, 23, "Text",ExpressionUUID->"0bb15d17-59bf-46ab-bba5-e395d8c8d6e1",
 CellTags->"b:0.0.1"],
Cell[CellGroupData[{
Cell[116136, 2701, 491, 13, 68, "Input",ExpressionUUID->"fb2131f6-e57c-4216-94fb-12fc8cf36969",
 CellTags->"b:0.0.1"],
Cell[116630, 2716, 6057, 119, 166, "Output",ExpressionUUID->"10012bcb-eb16-4270-aaf9-f7f639036653",
 CellTags->"b:0.0.1"]
}, Open  ]],
Cell[122702, 2838, 424, 12, 23, "Text",ExpressionUUID->"8eb5b6fe-c6b7-4ebc-b931-17298224f71b",
 CellTags->"b:0.0.1"],
Cell[123129, 2852, 535, 13, 51, "Input",ExpressionUUID->"0c03aad2-a362-4339-bdb3-8f7686864eff"],
Cell[CellGroupData[{
Cell[123689, 2869, 199, 5, 51, "Input",ExpressionUUID->"4b167114-8328-4ebb-855d-2b9f6458fffb"],
Cell[123891, 2876, 2256, 74, 230, "Output",ExpressionUUID->"0dee9c7f-50b0-4c01-9830-133b4ae2e725"]
}, Open  ]],
Cell[126162, 2953, 808, 20, 51, "Input",ExpressionUUID->"45d1da27-80e9-4c1a-b665-01485f9b8dea",
 CellTags->"b:0.0.1"],
Cell[126973, 2975, 330, 6, 23, "Text",ExpressionUUID->"a2164448-70dd-40fe-bfdb-73db87a25def",
 CellTags->"b:0.0.1"],
Cell[127306, 2983, 402, 11, 48, "Input",ExpressionUUID->"7bbe231c-7304-4daa-8907-c63e6f402d3d",
 CellTags->"b:0.0.1"],
Cell[127711, 2996, 485, 15, 23, "Text",ExpressionUUID->"28a5a596-5c61-4795-b784-03657cfbdfdb",
 CellTags->"b:0.0.1"],
Cell[128199, 3013, 441, 12, 48, "Input",ExpressionUUID->"129de4a6-7d5b-43c1-8d6e-0e731b32bb0e",
 CellTags->"b:0.0.1"],
Cell[128643, 3027, 358, 7, 51, "Text",ExpressionUUID->"a9777aeb-d626-4c02-ac75-e156e95e0698",
 CellTags->"b:0.0.1"],
Cell[CellGroupData[{
Cell[129026, 3038, 558, 13, 106, "Input",ExpressionUUID->"4a56b80a-a7c4-4779-a662-e1ae02e72279",
 CellTags->"b:0.0.1"],
Cell[129587, 3053, 1059, 24, 64, "Output",ExpressionUUID->"15f9b99e-3d12-47a1-8ab8-952da3f3487e",
 CellTags->"b:0.0.1"],
Cell[130649, 3079, 1059, 24, 64, "Output",ExpressionUUID->"17e44ec8-a5c6-48c0-bae5-95edf54929f3",
 CellTags->"b:0.0.1"],
Cell[131711, 3105, 1059, 24, 64, "Output",ExpressionUUID->"5775fecb-db95-4e4a-aa1f-c06dc9756bd7",
 CellTags->"b:0.0.1"],
Cell[132773, 3131, 1061, 24, 64, "Output",ExpressionUUID->"dae53820-ffbe-450a-bcdc-8b49c01840f9",
 CellTags->"b:0.0.1"]
}, Open  ]],
Cell[133849, 3158, 510, 15, 23, "Text",ExpressionUUID->"7b562669-4440-4584-b7bd-8d15b5191784",
 CellTags->"b:0.0.1"],
Cell[CellGroupData[{
Cell[134384, 3177, 110, 1, 48, "Input",ExpressionUUID->"c2fa8bde-195e-4b12-93b5-772cedf9e005",
 CellTags->"b:0.0.1"],
Cell[134497, 3180, 1054, 24, 64, "Output",ExpressionUUID->"9464cf85-b0c3-405b-8899-f0d0c4bc7623",
 CellTags->"b:0.0.1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[135588, 3209, 761, 21, 106, "Input",ExpressionUUID->"e9b56bbf-5f21-42a0-b4bc-4c64d7e70c5c",
 CellTags->"b:0.0.1"],
Cell[136352, 3232, 373, 7, 48, "Output",ExpressionUUID->"c0a509c8-8ca1-40eb-a2f5-335929ccb974",
 CellTags->"b:0.0.1"],
Cell[136728, 3241, 373, 7, 48, "Output",ExpressionUUID->"e26cddb8-0589-447e-9492-8df884092353",
 CellTags->"b:0.0.1"],
Cell[137104, 3250, 375, 7, 48, "Output",ExpressionUUID->"6c941db5-4ce3-4eff-b756-bf671832e526",
 CellTags->"b:0.0.1"],
Cell[137482, 3259, 375, 7, 48, "Output",ExpressionUUID->"9f22878c-1be2-434d-80cf-eeee24d19dff",
 CellTags->"b:0.0.1"]
}, Open  ]],
Cell[137872, 3269, 180, 4, 48, "Input",ExpressionUUID->"17fb6fc9-1034-4ff3-aef1-4611585a4960"],
Cell[138055, 3275, 2162, 57, 180, "Abstract",ExpressionUUID->"562f07a4-7643-46b7-82c7-cecb7f0aae80",
 CellTags->"b:0.0.1"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[140266, 3338, 167, 2, 51, "Section",ExpressionUUID->"611b8099-4a7b-42a8-a2f6-c3e1a9ebcb0d",
 CellTags->"c:5"],
Cell[CellGroupData[{
Cell[140458, 3344, 182, 4, 60, "Subsection",ExpressionUUID->"3ce31824-aafb-4649-988f-7f4a8bfe4679",
 CellTags->{"c:6", "b:0.1.0"}],
Cell[CellGroupData[{
Cell[140665, 3352, 160, 2, 48, "Input",ExpressionUUID->"c4555e14-9495-4599-9ddd-4963b75e9db7",
 CellTags->"b:0.1.0"],
Cell[140828, 3356, 228, 3, 24, "Print",ExpressionUUID->"b08847b0-7270-4d95-a6cc-1baa9638d071",
 CellTags->"b:0.1.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[141093, 3364, 114, 1, 48, "Input",ExpressionUUID->"a290faa2-7f4a-46e3-adce-22b42997ede9",
 CellTags->"b:0.1.0"],
Cell[141210, 3367, 18681, 499, 377, "Print",ExpressionUUID->"6fe73402-1be4-41dc-b0c4-5980ad96e083",
 CellTags->"b:0.1.0"]
}, Open  ]],
Cell[159906, 3869, 304, 6, 23, "Text",ExpressionUUID->"21d419dc-93db-4e6a-bb24-4ad1aa4448a7",
 CellTags->"b:0.1.0"],
Cell[CellGroupData[{
Cell[160235, 3879, 317, 8, 68, "Input",ExpressionUUID->"7f20adaa-393b-46a6-aa7c-25719abd1e6e",
 CellTags->"b:0.1.0"],
Cell[160555, 3889, 3271, 58, 223, "Output",ExpressionUUID->"6cc16827-1838-4e33-a163-6f3dc1388443",
 CellTags->"b:0.1.0"]
}, Open  ]],
Cell[163841, 3950, 323, 6, 23, "Text",ExpressionUUID->"8d3e5511-9aeb-43bf-aaff-35ee487cd379",
 CellTags->"b:0.1.0"],
Cell[164167, 3958, 148, 3, 48, "Input",ExpressionUUID->"4913cccd-18a8-42a0-b82c-0c01df325418",
 CellTags->"b:0.1.0"],
Cell[164318, 3963, 255, 5, 23, "Text",ExpressionUUID->"e3d2bd8e-c209-4fea-b08a-540b57c60257",
 CellTags->"b:0.1.0"],
Cell[164576, 3970, 145, 3, 48, "Input",ExpressionUUID->"93619e06-fc93-4834-bb46-2f81fb46c55d",
 CellTags->"b:0.1.0"],
Cell[164724, 3975, 376, 7, 51, "Text",ExpressionUUID->"e70a9416-5e5a-453b-8315-3c42a4623119",
 CellTags->"b:0.1.0"],
Cell[CellGroupData[{
Cell[165125, 3986, 789, 22, 125, "Input",ExpressionUUID->"55c35fe3-ba9a-4811-b5c6-3f5819e565b1",
 CellTags->"b:0.1.0"],
Cell[165917, 4010, 948, 25, 64, "Output",ExpressionUUID->"7efa1dfd-fa16-48f8-83df-d5097a6e6c51",
 CellTags->"b:0.1.0"],
Cell[166868, 4037, 941, 23, 64, "Output",ExpressionUUID->"14a0bbb6-93bb-43d2-b0f6-94236b5fdebc",
 CellTags->"b:0.1.0"]
}, Open  ]],
Cell[167824, 4063, 352, 6, 51, "Text",ExpressionUUID->"ed9becdc-f547-4ba1-982a-32a90f122e60",
 CellTags->"b:0.1.0"],
Cell[CellGroupData[{
Cell[168201, 4073, 527, 14, 87, "Input",ExpressionUUID->"68bc5211-65ae-4626-b6de-f27020136652",
 CellTags->"b:0.1.0"],
Cell[168731, 4089, 209, 5, 48, "Output",ExpressionUUID->"2f1cdfb1-b9f8-4e5b-a945-c2b604088aac",
 CellTags->"b:0.1.0"],
Cell[168943, 4096, 209, 5, 48, "Output",ExpressionUUID->"718b0e98-662a-496a-82e6-4530f17d666a",
 CellTags->"b:0.1.0"]
}, Open  ]],
Cell[169167, 4104, 290, 6, 23, "Text",ExpressionUUID->"8c4d99ad-92cc-41b8-a92d-dca5164e0bcf",
 CellTags->"b:0.1.0"],
Cell[CellGroupData[{
Cell[169482, 4114, 936, 20, 87, "Input",ExpressionUUID->"dc96bdcb-dfaa-4ba5-9d9a-cebe988ae189",
 CellTags->"b:0.1.0"],
Cell[170421, 4136, 227, 5, 48, "Output",ExpressionUUID->"250fe63d-eb77-4590-96dc-009417497dac",
 CellTags->"b:0.1.0"]
}, Open  ]],
Cell[170663, 4144, 296, 6, 23, "Text",ExpressionUUID->"b75cb928-4764-4cc1-814f-dcb030446ea1",
 CellTags->"b:0.1.0"],
Cell[170962, 4152, 698, 20, 68, "Input",ExpressionUUID->"2468b395-3ec1-478a-a6f9-45aa0d519cf8",
 CellTags->"b:0.1.0"],
Cell[171663, 4174, 310, 6, 23, "Text",ExpressionUUID->"f3fe557f-547f-41a4-9cc1-54e5bfec164f",
 CellTags->"b:0.1.0"],
Cell[CellGroupData[{
Cell[171998, 4184, 713, 15, 106, "Input",ExpressionUUID->"0867cd8c-7430-4b94-9766-e27eb1aa1b57",
 CellTags->"b:0.1.0"],
Cell[172714, 4201, 2884, 75, 302, "Output",ExpressionUUID->"a1e942d6-8b59-4bc1-a317-7965a2dba114",
 CellTags->"b:0.1.0"],
Cell[175601, 4278, 227, 5, 48, "Output",ExpressionUUID->"eed52a80-1e44-472e-8f45-f501075a37d9",
 CellTags->"b:0.1.0"],
Cell[175831, 4285, 946, 35, 302, "Output",ExpressionUUID->"680d7ba0-c01e-44fb-aa4d-f5d01f41c67e",
 CellTags->"b:0.1.0"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[176826, 4326, 196, 4, 60, "Subsection",ExpressionUUID->"2b054c27-1e20-41e1-9e3d-e05b5f8fef63",
 CellTags->{"c:7", "b:0.1.1"}],
Cell[177025, 4332, 369, 7, 51, "Text",ExpressionUUID->"e4dc7841-7e94-4d8b-afda-b3fb79b58b47",
 CellTags->"b:0.1.1"],
Cell[177397, 4341, 640, 13, 51, "Input",ExpressionUUID->"42373151-0501-474f-9603-9b1e40d4555f",
 CellTags->"b:0.1.1"],
Cell[178040, 4356, 569, 17, 51, "Input",ExpressionUUID->"96196f75-e95b-4eca-8b03-1642546a7039"],
Cell[178612, 4375, 293, 6, 23, "Text",ExpressionUUID->"c5ab6f68-853e-4953-bf37-28e4b7b98102",
 CellTags->"b:0.1.1"],
Cell[CellGroupData[{
Cell[178930, 4385, 341, 9, 68, "Input",ExpressionUUID->"2a051402-8f57-4c38-97f6-4a77328be12a",
 CellTags->"b:0.1.1"],
Cell[179274, 4396, 211, 5, 48, "Output",ExpressionUUID->"85c9921d-4b74-4c5b-9450-49c471103356",
 CellTags->"b:0.1.1"],
Cell[179488, 4403, 209, 5, 48, "Output",ExpressionUUID->"eb991687-61ad-4372-982f-70b325e6f436",
 CellTags->"b:0.1.1"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[179746, 4414, 231, 6, 60, "Subsection",ExpressionUUID->"6ad2cd3e-76f0-479b-8b35-78ee6e0660ee",
 CellTags->{"c:8", "b:0.1.2"}],
Cell[179980, 4422, 446, 8, 79, "Text",ExpressionUUID->"1a71be2c-5ebd-4c31-8b3e-c178b68230c2",
 CellTags->"b:0.1.2"],
Cell[CellGroupData[{
Cell[180451, 4434, 905, 21, 48, "Input",ExpressionUUID->"3212ff0e-2c05-4eb9-856f-bf1c9626694c",
 CellTags->"b:0.1.2"],
Cell[181359, 4457, 824, 23, 98, "Output",ExpressionUUID->"d6b23dcb-3439-45f3-a430-102a4b1960f1",
 CellTags->"b:0.1.2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[182220, 4485, 309, 7, 48, "Input",ExpressionUUID->"f53db9c1-bf6c-480a-b2ec-fee4276a82f9",
 CellTags->"b:0.1.2"],
Cell[182532, 4494, 2386, 54, 98, "Output",ExpressionUUID->"aca80725-2266-45e8-b6c7-43d5dfb3ffee",
 CellTags->"b:0.1.2"]
}, Open  ]],
Cell[184933, 4551, 287, 6, 23, "Text",ExpressionUUID->"fb966269-e9f5-4367-97b7-6f07f911304a",
 CellTags->"b:0.1.2"],
Cell[CellGroupData[{
Cell[185245, 4561, 359, 10, 68, "Input",ExpressionUUID->"5301ea0b-be25-4227-a261-07508660573c",
 CellTags->"b:0.1.2"],
Cell[185607, 4573, 1001, 26, 64, "Output",ExpressionUUID->"9225d54e-c04f-460e-8f84-8163d7a5bf1c",
 CellTags->"b:0.1.2"],
Cell[186611, 4601, 1002, 26, 64, "Output",ExpressionUUID->"7f50b73d-1752-4981-b80a-8a6d844cc5ff",
 CellTags->"b:0.1.2"]
}, Open  ]],
Cell[187628, 4630, 555, 15, 23, "Text",ExpressionUUID->"6f098ec2-053c-4d1a-a333-7114020ed769",
 CellTags->"b:0.1.2"],
Cell[CellGroupData[{
Cell[188208, 4649, 1137, 33, 125, "Input",ExpressionUUID->"085a392b-8181-41ea-9127-a7564c25a539",
 CellTags->"b:0.1.2"],
Cell[189348, 4684, 1001, 26, 64, "Output",ExpressionUUID->"4cc46d4c-2e29-444b-8de1-2100099f5a33",
 CellTags->"b:0.1.2"],
Cell[190352, 4712, 1004, 26, 64, "Output",ExpressionUUID->"fdbfc3f9-a1b8-4851-b1ed-0b68eebd4373",
 CellTags->"b:0.1.2"]
}, Open  ]],
Cell[191371, 4741, 107, 1, 48, "Input",ExpressionUUID->"85920dfb-9bbb-4530-898f-145cdd5deb07",
 CellTags->"b:0.1.2"],
Cell[191481, 4744, 2227, 58, 180, "Abstract",ExpressionUUID->"53da53fb-9e85-4630-9301-7b18754c403e",
 CellTags->"b:0.1.2"]
}, Open  ]]
}, Open  ]]
}
]
*)

