(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    835471,      20263]
NotebookOptionsPosition[    635770,      16400]
NotebookOutlinePosition[    772577,      19017]
CellTagsIndexPosition[    770456,      18937]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "Teleportation ",
 StyleBox["with Density Matrices July 2014",
  FontFamily->"Helvetica"]
}], "Title",
 CellChangeTimes->{{3.61416248512105*^9, 3.6141624859101267`*^9}},
 CellTags->"c:1",ExpressionUUID->"51c40a7a-3108-485e-b8a4-afa3c6c9b97e"],

Cell["Several Examples of Teleportation circuits", "Subtitle",ExpressionUUID->"406f24ac-2604-4a54-968a-f26d4a710724"],

Cell[TextData[{
 "Version: 4.0-July-2014--For ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 9.0-10.0"
}], "Abstract",
 CellChangeTimes->{{3.395090887981901*^9, 3.395090925377634*^9}, 
   3.512212791983045*^9, {3.6140770588712482`*^9, 3.614077073459979*^9}, {
   3.6141625203427143`*^9, 3.6141625250894213`*^9}},
 FontSize->16,ExpressionUUID->"eb9e2a74-58e9-412c-b441-a9b6c8864ac0"],

Cell[TextData[ButtonBox["Click here to get the 2014 palette: QDENSpalette.nb",
 BaseStyle->"Hyperlink",
 ButtonData:>{"QDENSpalette14.nb", None}]], "Text",
 CellChangeTimes->{{3.625185693536873*^9, 3.625185694965887*^9}},
 FontSize->16,ExpressionUUID->"6619fa7f-79c9-44e0-98c7-4e513b8fa781"],

Cell["To open double click at down arrow", "Text",
 CellChangeTimes->{3.6251856350049047`*^9},
 FontSize->16,ExpressionUUID->"727b9af9-9041-4edf-91dc-bb5b35256847"],

Cell[CellGroupData[{

Cell["\<\
Teleportation Algorithm: One Qubit.                           To open double \
click at down arrow----------------->>\
\>", "Section",
 CellChangeTimes->{{3.512212804904114*^9, 3.512212806228137*^9}, {
  3.512214565679203*^9, 3.512214625017166*^9}},
 FontFamily->"Times",
 CellTags->"c:2",ExpressionUUID->"c382f1d1-c9dd-4abc-aecc-b8fa67043672"],

Cell[CellGroupData[{

Cell["Introduction", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:3", "b:4.0.0"},ExpressionUUID->"2784b85a-11e3-4617-b8fb-f0221e829d13"],

Cell[TextData[StyleBox["Teleportation with Density Matrices July 2014 uses \
Qdensity package",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.614162472511528*^9, 3.614162510015319*^9}},
 FontFamily->"Courier New",
 CellTags->"b:4.0.0",ExpressionUUID->"ae574cad-2990-4f2c-afe8-ce90600efdbb"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}]], "Input",
 CellChangeTimes->{3.860157024728177*^9},
 FontFamily->"Courier New",
 CellTags->"b:2.0.0",ExpressionUUID->"99c2528b-7eb7-49d7-a304-888681f9580e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "QDENSITY`Qdensity`*"}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.0.0",ExpressionUUID->"46cdd1a8-c158-4354-bdde-00594a30ad73"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["about", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "about", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Discord", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Discord", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "MeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "RandomBra2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma0", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Sigma0", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ws", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "ws", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Adj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Adj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "EnTropy", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiProjCBasis", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "MultiProjCBasis", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBraN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "RandomBraN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Sigma1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["AF", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "AF", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "EnTropy2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiQProj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "MultiQProj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "RandomKet1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Sigma2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Bra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Bra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Fidelity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Fidelity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Mutual", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Mutual", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "RandomKet2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Sigma3", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "BraV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["FidelityB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "FidelityB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "nb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKetN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "RandomKetN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Snos", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Snos", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "BraX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["neg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "neg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "RandomQubit1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SP", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "SP", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroMatrix", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "ZeroMatrix", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "BraY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nneg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "nneg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "RandomQubit2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SpinObs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "SpinObs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "ZeroT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CNOT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "CNOT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Hadamard", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Hadamard", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nq", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "nq", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubitN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "RandomQubitN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stA", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "stA", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalH]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "\[ScriptCapitalH]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Coeff", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Coeff", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["HALL", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "HALL", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OneOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "OneOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsDate", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "rcsDate", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "stB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "\[ScriptCapitalP]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Comm", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Comm", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["i8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "i8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Oracle", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Oracle", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsRevision", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "rcsRevision", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Swap", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Swap", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]X", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "\[ScriptCapitalP]X", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompMeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "CompMeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["intro", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "intro", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTrace", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "PartialTrace", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "res1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "s$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]Y", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "\[ScriptCapitalP]Y", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompPTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "CompPTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["j8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "j8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTraceGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "PartialTraceGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "res1$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ThreeOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "ThreeOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[DoubleStruckCapitalI]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "\[DoubleStruckCapitalI]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "ControlledX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Ket1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Ket1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTranspose", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "PartialTranspose", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "res2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Toffoli", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Toffoli", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "\[Rho]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "ControlledY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "KetV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ProjG", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "ProjG", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "res2$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "ts", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "\[Rho]$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "ControlledZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "KetX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "PTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Rotqbit", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Rotqbit", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "ts$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Sigma]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "\[Sigma]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASE", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "CPHASE", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "KetY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTrGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "PTrGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "RotX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["TwoOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "TwoOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "\[Phi]A1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASEV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "CPHASEV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "mc", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Purity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Purity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "RotY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["U", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "U", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "\[Phi]A2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["cRQN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "cRQN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "mcl", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "PX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "RotZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "v", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "\[Phi]B1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Definef", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Definef", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "mcl$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "PY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Vs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Vs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "\[Phi]B2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["DForm2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "DForm2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "mc$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "RandomBra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Schmidt", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "Schmidt", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "v$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[CapitalOmega]s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f2105b1-ad45-4a4e-8a9b-ac7c1b37cd86", {
                    "\[CapitalOmega]s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.15833333333333333`]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207379637151*^9, 3.8593723579320602`*^9, 
  3.860157045898221*^9},
 CellTags->"b:4.0.0",ExpressionUUID->"bdcc5069-19d4-40af-97bd-0b4945d32849"]
}, Open  ]],

Cell[TextData[StyleBox["In the following figure we present the key \
ingredients in the teleportation process:", "DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.0",ExpressionUUID->"a858011f-aba9-4fd4-83e3-9569ef8b6da8"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"figure", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<QDENSITY/drawings/1tele.png\>\"", ",", "\"\<PNG\>\""}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"Show", "[", "figure", "]"}]}], "Input",
 CellTags->"b:4.0.0",ExpressionUUID->"93e882d4-60bf-4950-a72c-dd7a1574c5e3"],

Cell[BoxData[
 TagBox[
  GraphicsBox[RasterBox[CompressedData["
1:eJztnQlcFGUfxx9IFFA0Q0HwAk98DQk8UtHIPAADMxWzNFS8yNejRE1N1PDM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    "], {{0, 0}, {500., 164.}}, {0, 255},
    ColorFunction->GrayLevel,
    ImageResolution->{72, 72}],
   PlotRange->{{0, 500.}, {0, 164.}}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572073800525017`*^9, 3.859372358381082*^9, 
  3.860157046446117*^9},
 CellTags->"b:4.0.0",ExpressionUUID->"2e4de5d0-ab56-4197-8014-45cdb847c1cd"]
}, Open  ]],

Cell[TextData[{
 StyleBox["NOTE: The ", "DisplayText",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 ButtonBox["Hadamard and CNOT gates",
  BaseStyle->"Hyperlink",
  ButtonData:>{"Tutorial.nb", "Quantum Gates"}],
 StyleBox[" acting on qubits 2 and 3 are used to build the a \nprecise EPR \
state  ", "DisplayText",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", 
         SqrtBox["2"]}], 
        RowBox[{"(", 
         RowBox[{"|", "00"}], "\[RightAngleBracket]"}]}], " ", "+"}], " ", 
      "|", "11"}], "\[RightAngleBracket]"}], " ", ")"}], TraditionalForm]],
  ExpressionUUID->"3406b06b-53f5-41e4-8339-87b26637fcd2"],
 StyleBox[", in the following the 4 different EPR states are considered", 
  "DisplayText",
  FontWeight->"Plain",
  FontVariations->{"CompatibilityType"->0},
  Background->None]
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.0",ExpressionUUID->"9d27825e-c98b-4c0b-b759-801cd7f7448f"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 1: Alice prepares the state to be teleported", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:3", "b:4.0.1"},ExpressionUUID->"f6ccfab2-308a-4208-b3c5-8a9421a0a993"],

Cell[TextData[StyleBox["Alice needs to specify qubit which will be teleported \
during the process. \nIn this example we construct it by choosing a random \
polarization vector:\nNote that if the magnitude of the polarization vector \
is less than 1, the state is not pure ", "DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 Evaluatable->False,
 FontFamily->"Helvetica",
 CellTags->"b:4.0.1",ExpressionUUID->"bc3dda48-dc11-4398-8b5c-d1712486dcb9"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"thet", "=", 
  RowBox[{"N", "[", 
   RowBox[{"RandomReal", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", "\[Pi]"}], "}"}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{"phi", "=", 
   RowBox[{"RandomReal", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", 
      RowBox[{"2", " ", "\[Pi]"}]}], "}"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{"P", "=", 
   RowBox[{"RandomReal", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}], "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.395091186351873*^9, 3.395091189108654*^9}, {
   3.5122136672080393`*^9, 3.5122136715934267`*^9}, 3.512213743667622*^9, {
   3.512214177620192*^9, 3.5122141852552834`*^9}},
 CellTags->"b:4.0.1",ExpressionUUID->"810155c1-d54f-427f-9e16-6789fa7b06fb"],

Cell[BoxData[
 TagBox["2.386773308790864`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380061277*^9, 3.859372358400845*^9, 
  3.860157046457224*^9},
 CellTags->"b:4.0.1",ExpressionUUID->"69d6886a-4985-4ea7-a3f5-fdec630dd812"],

Cell[BoxData[
 TagBox["4.348046791521675`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380061277*^9, 3.859372358400845*^9, 
  3.8601570464602757`*^9},
 CellTags->"b:4.0.1",ExpressionUUID->"074b51b0-82d4-4d01-a9e2-ef09edb08c36"],

Cell[BoxData[
 TagBox["0.37263731796257504`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380061277*^9, 3.859372358400845*^9, 
  3.860157046465125*^9},
 CellTags->"b:4.0.1",ExpressionUUID->"672a9fbd-cece-4fbe-873a-641bb5eba7a0"]
}, Open  ]],

Cell["Therefore its Cartesian components are:", "Text",
 CellChangeTimes->{{3.8572069530746*^9, 3.857206953918769*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:4.0.1",ExpressionUUID->"f2ebbef3-0028-4188-9904-d7ef2aa9f35f"],

Cell[CellGroupData[{

Cell["\<\
Px = P Sin[thet] Cos[phi]
Py = P Sin[thet] Sin[phi]
Pz = P Cos[thet]\
\>", "Input",
 CellChangeTimes->{{3.51221370954722*^9, 3.512213750240114*^9}, {
  3.51221419908955*^9, 3.5122142183035192`*^9}},
 CellTags->"b:4.0.1",ExpressionUUID->"b0d2c875-a209-4f50-a509-ddacd647ac3c"],

Cell[BoxData[
 TagBox[
  RowBox[{"-", "0.09097764018092717`"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380081354*^9, 3.8593723584174547`*^9, 
  3.860157046484494*^9},
 CellTags->"b:4.0.1",ExpressionUUID->"a8ff724a-fb91-46fe-9d2e-26f66fba806c"],

Cell[BoxData[
 TagBox[
  RowBox[{"-", "0.2385558000813612`"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380081354*^9, 3.8593723584174547`*^9, 
  3.8601570464885683`*^9},
 CellTags->"b:4.0.1",ExpressionUUID->"b0677a8f-583e-488e-ba86-346b98ac2279"],

Cell[BoxData[
 TagBox[
  RowBox[{"-", "0.27142728302989844`"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380081354*^9, 3.8593723584174547`*^9, 
  3.860157046491696*^9},
 CellTags->"b:4.0.1",ExpressionUUID->"dfa12266-8089-4b6a-9d7e-dbe78ace6158"]
}, Open  ]],

Cell["\<\
This example permits both an algebraic computation or a numerical one. 
This is controlled by the value of Icalc: 1 [Algebraic] / Else [Numerical]\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.1",ExpressionUUID->"4dbb6bf9-8020-4be6-9ab2-583343ac8956"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Icalc", "=", "0"}], ";"}]], "Input",
 CellChangeTimes->{{3.3950912467501907`*^9, 3.395091247300149*^9}},
 CellTags->"b:4.0.1",ExpressionUUID->"b334e3dc-3ebb-4425-be56-e8888e3dfeb7"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"Icalc", "==", "1"}], ",", 
     RowBox[{"Clear", "[", 
      RowBox[{"Px", ",", "Py", ",", "Pz"}], "]"}], ","}], " ", "]"}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{"Px", ",", " ", "Py", ",", " ", "Pz"}], "}"}]}], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.0.1",ExpressionUUID->"9d2b2fbc-97d9-41af-aeef-5100318dd7bc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "0.09097764018092717`"}]},
      {
       RowBox[{"-", "0.2385558000813612`"}]},
      {
       RowBox[{"-", "0.27142728302989844`"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572073801052647`*^9, 3.859372358447679*^9, 
  3.860157046515112*^9},
 CellTags->"b:4.0.1",ExpressionUUID->"30e991d9-20aa-4c95-94d5-4e563919572d"]
}, Open  ]],

Cell["\<\
Once the polarization vector has been chosen, in this case at random, we can 
write down its density matrix\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.1",ExpressionUUID->"60915a6b-5779-4793-aea9-971e4acc2de5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "\[Psi]"], " ", "=", " ", 
   RowBox[{
    RowBox[{"(", 
     StyleBox[
      RowBox[{"1", "/", "2"}],
      FontSize->12], 
     StyleBox[")",
      FontSize->12]}], 
    StyleBox[
     RowBox[{"(", " ", 
      RowBox[{"\[DoubleStruckCapitalI]", " ", "+", " ", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Px", ",", "Py", ",", "Pz"}], "}"}], ".", " ", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", " ", 
          SubscriptBox["\[Sigma]", "2"], " ", ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}]}], ")"}],
     FontSize->12]}]}], 
  StyleBox[";",
   FontSize->12], 
  StyleBox[
   RowBox[{"Chop", "[", 
    SubscriptBox["\[Rho]", "\[Psi]"], " ", "]"}],
   FontSize->12], " "}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.0.1",ExpressionUUID->"bc83259b-da01-47fb-b3a0-fa82f56fdd0d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.36428635848505075`", 
      RowBox[{
       RowBox[{"-", "0.04548882009046359`"}], "+", 
       RowBox[{"0.1192779000406806`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.04548882009046359`"}], "-", 
       RowBox[{"0.1192779000406806`", " ", "\[ImaginaryI]"}]}], 
      "0.6357136415149492`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572073801134367`*^9, 3.859372358471484*^9, 
  3.860157046528325*^9},
 CellTags->"b:4.0.1",ExpressionUUID->"5ab02197-28ce-4bad-9d17-3dae54b6f8f6"]
}, Open  ]],

Cell["\<\
If everything went ok, the density matrix should be Hermitian:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.1",ExpressionUUID->"0648411b-e8e2-48a4-81b2-da913198abba"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Chop", "[", 
   RowBox[{"Adj", "[", 
    SubscriptBox["\[Rho]", "\[Psi]"], "]"}], "]"}], "==", 
  RowBox[{"Chop", "[", 
   SubscriptBox["\[Rho]", "\[Psi]"], "]"}]}]], "Input",
 CellChangeTimes->{{3.614160646136724*^9, 3.61416064658626*^9}, {
  3.614160870001058*^9, 
  3.614160904310989*^9}},ExpressionUUID->"be12c3c5-cdfd-4986-9d97-\
24ac221cd17e"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380129505*^9, 3.859372358481873*^9, 
  3.8601570465476*^9},ExpressionUUID->"af895d94-876f-4c18-acab-d4746bc56342"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"Icalc", "\[Equal]", "0"}], ",", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Chop", "[", 
        RowBox[{"Adj", "[", 
         SubscriptBox["\[Rho]", "\[Psi]"], "]"}], "]"}], "==", 
       RowBox[{"Chop", "[", 
        SubscriptBox["\[Rho]", "\[Psi]"], "]"}]}], ",", 
      RowBox[{"Print", "[", "\"\<Hermitian\>\"", "]"}], ",", 
      RowBox[{"Print", "[", "\"\<Not Hermitian\>\"", "]"}]}], "]"}], ",", 
    "\"\<\>\""}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6141608419086742`*^9, 3.61416085892073*^9}, 
   3.614160924429037*^9, 3.6141609573540077`*^9},
 FontFamily->"Courier New",
 CellTags->"b:4.0.1",ExpressionUUID->"4a15e27e-4774-4615-8d63-f671cc9f1444"],

Cell[BoxData["\<\"Hermitian\"\>"], "Print",
 CellChangeTimes->{3.857207380136904*^9, 3.859372358501486*^9, 
  3.86015704655968*^9},
 CellTags->"b:4.0.1",ExpressionUUID->"9dc85571-2761-430a-9387-840dd4a14448"]
}, Open  ]],

Cell["Its Eigenvalues, Trace and Purity can be readily computed:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.1",ExpressionUUID->"41109691-da54-418b-9206-67f5b1b2635f"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"evPsi", ":=", 
   RowBox[{"Eigenvalues", "[", 
    SubscriptBox["\[Rho]", "\[Psi]"], "]"}]}], ";", 
  RowBox[{"Chop", "[", "evPsi", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{"Tr", "[", 
    SubscriptBox["\[Rho]", "\[Psi]"], " ", "]"}], 
   StyleBox["]",
    FontSize->12]}], 
  StyleBox["]",
   FontSize->12]}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{"Purity", "[", 
    StyleBox[
     SubscriptBox["\[Rho]", "\[Psi]"],
     FontSize->12], 
    StyleBox["]",
     FontSize->12]}], 
   StyleBox["]",
    FontSize->12]}], 
  StyleBox["]",
   FontSize->12]}]}], "Input",
 CellChangeTimes->{{3.614160974475049*^9, 3.6141609970304413`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:4.0.1",ExpressionUUID->"b0f15764-fc0d-43b9-809d-11a42e311745"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0.6863186589812875`"},
      {"0.3136813410187125`"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380153923*^9, 3.859372358512772*^9, 
  3.8601570465802526`*^9},
 CellTags->"b:4.0.1",ExpressionUUID->"da13a970-972a-4b31-9dd8-7f5bae899729"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380153923*^9, 3.859372358512772*^9, 
  3.8601570465845547`*^9},
 CellTags->"b:4.0.1",ExpressionUUID->"093994f7-3216-4c4a-9a3f-d24052daa058"],

Cell[BoxData[
 TagBox["0.5694292853691707`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380153923*^9, 3.859372358512772*^9, 
  3.860157046589031*^9},
 CellTags->"b:4.0.1",ExpressionUUID->"06951bf6-3469-47af-b809-98775710699c"]
}, Open  ]],

Cell["Eigenvalues should be positive", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.1",ExpressionUUID->"9e9df4ce-94ab-4aad-ad22-27c04a490564"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Chop", "[", 
       RowBox[{"evPsi", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "]"}], "\[GreaterEqual]", "0"}], ",", 
     RowBox[{"Print", "[", "\"\<Positive eigenvalue\>\"", "]"}], ",", 
     RowBox[{"Print", "[", "\"\<Negative\>\"", "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]], "Input",
 FontFamily->"Courier New",
 CellTags->{
  "Do", "b:4.0.1"},ExpressionUUID->"0aaff569-3207-4246-ba7a-1db50979cc6f"],

Cell[BoxData["\<\"Positive eigenvalue\"\>"], "Print",
 CellChangeTimes->{3.857207380167871*^9, 3.859372358543914*^9, 
  3.86015704659982*^9},
 CellTags->{
  "Do", "b:4.0.1"},ExpressionUUID->"cc3ddccd-8070-40e5-a68e-5f1a89751c8a"],

Cell[BoxData["\<\"Positive eigenvalue\"\>"], "Print",
 CellChangeTimes->{3.857207380167871*^9, 3.859372358543914*^9, 
  3.8601570466038322`*^9},
 CellTags->{
  "Do", "b:4.0.1"},ExpressionUUID->"a993b1aa-178f-463b-b116-a82a5f099d00"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 2: Bob prepares the Bell state", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:4", "b:4.0.2"},ExpressionUUID->"d0c5d699-de19-4066-b904-c247eccd2b44"],

Cell["\<\
Bob needs to share a Bell state, 2 qubits, with Alice. He prepares it in the \
following way. 
First, he constructs the four density matrices needed:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.2",ExpressionUUID->"bacf6100-3399-4b7b-8936-9a8175478616"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  SubscriptBox["\[Rho]", "00"], " ", "=", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "0"], "  ", "\[CircleTimes]", "  ", 
    SubscriptBox["\[ScriptCapitalP]", "0"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  SubscriptBox["\[Rho]", "01"], " ", "=", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "0"], "  ", "\[CircleTimes]", "  ", 
    SubscriptBox["\[ScriptCapitalP]", "1"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  SubscriptBox["\[Rho]", "10"], " ", "=", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "1"], "  ", "\[CircleTimes]", "  ", 
    SubscriptBox["\[ScriptCapitalP]", "0"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  SubscriptBox["\[Rho]", "11"], " ", "=", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "1"], "  ", "\[CircleTimes]", "  ", 
    SubscriptBox["\[ScriptCapitalP]", "1"]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6141605706763372`*^9, 3.614160576335867*^9}, {
  3.614161020496354*^9, 3.614161059948771*^9}, {3.614161184177329*^9, 
  3.614161230815668*^9}, {3.8572069245936747`*^9, 3.857206924597974*^9}},
 CellTags->"b:4.0.2",ExpressionUUID->"03793eff-3027-4a3f-ad97-dada61274ab0"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380184856*^9, 3.859372358569212*^9, 
  3.8601570466242857`*^9},
 CellTags->"b:4.0.2",ExpressionUUID->"8286b8c6-8a45-4459-9ecd-56381e6ba2ee"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380184856*^9, 3.859372358569212*^9, 
  3.860157046628436*^9},
 CellTags->"b:4.0.2",ExpressionUUID->"02d0c70e-2d05-471a-b4ad-8056f6054379"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "1", "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380184856*^9, 3.859372358569212*^9, 
  3.860157046631748*^9},
 CellTags->"b:4.0.2",ExpressionUUID->"be83f6af-b2a0-43dc-a74c-0ede931996c5"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380184856*^9, 3.859372358569212*^9, 
  3.8601570466353683`*^9},
 CellTags->"b:4.0.2",ExpressionUUID->"3e5ef79d-bb56-4713-99f8-ddf16846f344"]
}, Open  ]],

Cell["\<\
The Bell state operator of qubits i and j can be decomposed into the action \
of a Hadamard 
on qubit i and a CNOT gate on qubits i and j.\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.2",ExpressionUUID->"e10f6a1e-863c-4826-a258-e9b8536aea8f"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"Bellop", "[", 
    RowBox[{"qi_", ",", "qj_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"CNOT", "[", 
     RowBox[{"2", ",", "qi", ",", "qj"}], "]"}], ".", 
    RowBox[{"had", "[", 
     RowBox[{"2", ",", "qi"}], "]"}]}], " "}]}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.0.2",ExpressionUUID->"3606cdd1-e1b5-47b8-9566-2f588d151492"],

Cell["\<\
NOTE: an alternative way using LEFT operator \
BellOp[qi_,qj_]:=CNOT[2,qi,qj].had[2,qi].(\[Sigma]\[CircleTimes]\
\[DoubleStruckCapitalI])\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.2",ExpressionUUID->"d42d1680-743b-4f79-9544-f8083859d49b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Bellop", "[", 
  RowBox[{"1", ",", "2"}], "]"}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.0.2",ExpressionUUID->"8ae2cc9b-79bf-4efc-83fe-01343a446598"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0"},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]]},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]},
     {
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380213738*^9, 3.859372358604443*^9, 
  3.860157046659878*^9},
 CellTags->"b:4.0.2",ExpressionUUID->"bb9a7a1c-c97e-4155-9851-b23d08447d5b"]
}, Open  ]],

Cell["\<\
The density matrix for any of the four Bell states produced by Bob from \
qubits 2 & 3. 
Afterwards, Bob sends one of these qubits to Alice who has qubit 1 in state \
\[Psi]\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.2",ExpressionUUID->"33842a26-d969-4c51-a4df-b481ef0b7953"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "B00"], ":=", 
   RowBox[{
    RowBox[{"Bellop", "[", 
     RowBox[{"1", ",", "2"}], "]"}], ".", 
    SubscriptBox["\[Rho]", "00"], ".", 
    RowBox[{"Adj", "[", 
     RowBox[{"Bellop", "[", 
      RowBox[{"1", ",", "2"}], "]"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "B01"], ":=", 
   RowBox[{
    RowBox[{"Bellop", "[", 
     RowBox[{"1", ",", "2"}], "]"}], ".", 
    SubscriptBox["\[Rho]", "01"], ".", 
    RowBox[{"Adj", "[", 
     RowBox[{"Bellop", "[", 
      RowBox[{"1", ",", "2"}], "]"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "B10"], ":=", 
   RowBox[{
    RowBox[{"Bellop", "[", 
     RowBox[{"1", ",", "2"}], "]"}], ".", 
    SubscriptBox["\[Rho]", "10"], ".", 
    RowBox[{"Adj", "[", 
     RowBox[{"Bellop", "[", 
      RowBox[{"1", ",", "2"}], "]"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "B11"], ":=", 
   RowBox[{
    RowBox[{"Bellop", "[", 
     RowBox[{"1", ",", "2"}], "]"}], ".", 
    SubscriptBox["\[Rho]", "11"], ".", 
    RowBox[{"Adj", "[", 
     RowBox[{"Bellop", "[", 
      RowBox[{"1", ",", "2"}], "]"}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.614161290983507*^9, 3.614161316896241*^9}, {
  3.6141613488568983`*^9, 3.614161377812509*^9}},
 FontFamily->"Courier New",
 FontSize->16,
 CellTags->"b:4.0.2",ExpressionUUID->"de57a695-c298-4326-b0bb-65d243afa6f9"],

Cell["Checks on Bell states", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.2",ExpressionUUID->"cc9da7d3-e674-4248-884d-0d57f1726012"],

Cell[CellGroupData[{

Cell[BoxData[{
 StyleBox[
  SubscriptBox["\[Rho]", "B00"],
  FontSize->24], "\[IndentingNewLine]", 
 StyleBox[
  SubscriptBox["\[Rho]", "B01"],
  FontSize->24], "\[IndentingNewLine]", 
 StyleBox[
  SubscriptBox["\[Rho]", "B10"],
  FontSize->24], "\[IndentingNewLine]", 
 StyleBox[
  SubscriptBox["\[Rho]", "B11"],
  FontSize->24]}], "Input",
 FontSize->16,
 CellTags->"b:4.0.2",ExpressionUUID->"8fdb6823-6055-42ac-80f3-2bef9814ac8f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0", "0", 
      FractionBox["1", "2"]},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {
      FractionBox["1", "2"], "0", "0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380234177*^9, 3.859372358633091*^9, 
  3.860157046690242*^9},
 CellTags->"b:4.0.2",ExpressionUUID->"35eba15d-0ed2-4c43-b403-c42eea337dc8"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", 
      FractionBox["1", "2"], 
      FractionBox["1", "2"], "0"},
     {"0", 
      FractionBox["1", "2"], 
      FractionBox["1", "2"], "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380234177*^9, 3.859372358633091*^9, 
  3.8601570466941757`*^9},
 CellTags->"b:4.0.2",ExpressionUUID->"bdb5da5f-1e3c-45d1-8ae9-b1cca3b679b2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0", "0", 
      RowBox[{"-", 
       FractionBox["1", "2"]}]},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", "0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380234177*^9, 3.859372358633091*^9, 
  3.860157046697763*^9},
 CellTags->"b:4.0.2",ExpressionUUID->"fdb5e05d-010d-4b0b-b159-6c6a06858351"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", 
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0"},
     {"0", 
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      FractionBox["1", "2"], "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380234177*^9, 3.859372358633091*^9, 
  3.860157046701236*^9},
 CellTags->"b:4.0.2",ExpressionUUID->"df25f0a6-347d-4f01-bdbf-a2ed0c8aeb1f"]
}, Open  ]],

Cell["\<\
Bob needs to know the type of Bell state shared with Alice, either by \
preparing it himself or 
by being informed of its type by a message from Alice or from a third party \
distributor of Bell states  
In our example we pick one of the 4 Bell States at random\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.2",ExpressionUUID->"3c3ba406-5229-4196-a779-f6d37f18b44f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ipick", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", "4"}], "}"}], "]"}]}], ";"}]], "Input",
 CellTags->"b:4.0.2",ExpressionUUID->"c4bc23f5-2358-4ada-9644-15961635ecf7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SubscriptBox["\[Rho]", 
   RowBox[{"B", " "}]], "=", 
  RowBox[{"Which", "[", 
   RowBox[{
    RowBox[{"Ipick", "==", "1"}], ",", 
    SubscriptBox["\[Rho]", "B00"], ",", 
    RowBox[{"Ipick", "==", "2"}], ",", 
    SubscriptBox["\[Rho]", "B01"], ",", 
    RowBox[{"Ipick", "==", "3"}], ",", 
    SubscriptBox["\[Rho]", "B10"], ",", 
    RowBox[{"Ipick", "==", "4"}], ",", 
    SubscriptBox["\[Rho]", "B11"]}], "]"}]}]], "Input",
 CellTags->"b:4.0.2",ExpressionUUID->"77d8e8d2-69da-48e4-9b5e-e8072c06203e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", 
      FractionBox["1", "2"], 
      FractionBox["1", "2"], "0"},
     {"0", 
      FractionBox["1", "2"], 
      FractionBox["1", "2"], "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572073802661333`*^9, 3.859372358672268*^9, 
  3.860157046725539*^9},
 CellTags->"b:4.0.2",ExpressionUUID->"775b22c0-b00a-45d8-a411-f77ec22f4efc"]
}, Open  ]],

Cell["\<\
He computes the vector and tensor polarizations of the Bell state in the \
following way:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.2",ExpressionUUID->"208b1fb6-ffe1-4918-8cbb-eaef1aa536f4"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"T", "[", 
    RowBox[{"i_", ",", "j_"}], "]"}], ":=", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"AF", "[", 
      RowBox[{
       SubscriptBox["\[Sigma]", "i"], "\[CircleTimes]", 
       SubscriptBox["\[Sigma]", "j"]}], "]"}], ".", 
     StyleBox[
      SubscriptBox["\[Rho]", "B"],
      FontSize->12]}], 
    StyleBox[" ",
     FontSize->12], 
    StyleBox["]",
     FontSize->12]}]}], 
  StyleBox[";",
   FontSize->12]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox["PA",
    FontSize->12], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"T", "[", 
       RowBox[{"1", ",", "0"}], "]"}],
      FontSize->12], 
     StyleBox[",",
      FontSize->12], 
     RowBox[{"T", "[", 
      RowBox[{"2", ",", "0"}], "]"}], ",", 
     RowBox[{"T", "[", 
      RowBox[{"3", ",", "0"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox["PB",
    FontSize->12], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"T", "[", 
       RowBox[{"0", ",", "1"}], "]"}],
      FontSize->12], 
     StyleBox[",",
      FontSize->12], 
     RowBox[{"T", "[", 
      RowBox[{"0", ",", "2"}], "]"}], ",", 
     RowBox[{"T", "[", 
      RowBox[{"0", ",", "3"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{"T", 
     StyleBox["AB",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox["Table",
      FontSize->12], 
     StyleBox["[",
      FontSize->12], 
     RowBox[{
      StyleBox[
       RowBox[{"T", "[", 
        RowBox[{"i", ",", "j"}], "]"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.614161487699767*^9, 3.614161515563787*^9}, 
   3.857206924619619*^9},
 FontFamily->"Courier New",
 CellTags->"b:4.0.2",ExpressionUUID->"27c86274-3919-42da-a464-5cdc752cc47f"],

Cell["Vector polarizations are zero for Bell states", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.2",ExpressionUUID->"6e3fd36a-f1c8-4018-8e1f-887d8b755245"],

Cell[CellGroupData[{

Cell[BoxData[{"PA", "\[IndentingNewLine]", "PB"}], "Input",
 CellTags->"b:4.0.2",ExpressionUUID->"f7f471a5-1f37-455e-878f-36f3f1cdc99b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380287446*^9, 3.859372358706119*^9, 
  3.860157046759919*^9},
 CellTags->"b:4.0.2",ExpressionUUID->"65b2b96d-c3d1-4634-b21e-e4553f163c6b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380287446*^9, 3.859372358706119*^9, 
  3.8601570467633533`*^9},
 CellTags->"b:4.0.2",ExpressionUUID->"f922704d-10d6-42df-9710-cfb408eb130e"]
}, Open  ]],

Cell["Tensor polarizations for Bell state", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.2",ExpressionUUID->"ad9c9bd0-efc3-4215-a0ac-65d07aefec94"],

Cell[CellGroupData[{

Cell[BoxData["TAB"], "Input",
 CellChangeTimes->{{3.6141615674579363`*^9, 3.614161571091181*^9}},
 CellTags->"b:4.0.2",ExpressionUUID->"46e837ef-8776-4fd4-be44-c268aa63008f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1"},
          {"0"},
          {"0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"1"},
          {"0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"0"},
          {
           RowBox[{"-", "1"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380306514*^9, 3.859372361894096*^9, 
  3.860157046780651*^9},
 CellTags->"b:4.0.2",ExpressionUUID->"f3e3c02b-60c3-4494-b95b-004e0c7c3c78"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 3: The three Qubits", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:5", "b:4.0.3"},ExpressionUUID->"cec3cd6d-b79a-4a9d-90f6-9fec55ad3299"],

Cell["\<\
The tensor product of both the qubit prepared by Alice and the Bell state \
prepared 
by Bob can be computed. The complete density matrix is then:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.3",ExpressionUUID->"28939984-2789-469a-9ec2-d0e71043f1a9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SubscriptBox["\[Rho]", "C"], "=", 
  RowBox[{"Chop", "[", 
   StyleBox[" ",
    FontSize->12], 
   RowBox[{"AF", "[", 
    RowBox[{
     SubscriptBox["\[Rho]", "\[Psi]"], " ", "\[CircleTimes]", 
     SubscriptBox["\[Rho]", "B"]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.61416159145573*^9, 3.614161654740621*^9}, 
   3.857206924625493*^9},
 FontFamily->"Courier New",
 CellTags->"b:4.0.3",ExpressionUUID->"b61cb808-d145-4898-9438-2922250f8b37"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0.18214317924252538`", "0.18214317924252538`", "0", "0", 
      RowBox[{
       RowBox[{"-", "0.022744410045231794`"}], "+", 
       RowBox[{"0.0596389500203403`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.022744410045231794`"}], "+", 
       RowBox[{"0.0596389500203403`", " ", "\[ImaginaryI]"}]}], "0"},
     {"0", "0.18214317924252538`", "0.18214317924252538`", "0", "0", 
      RowBox[{
       RowBox[{"-", "0.022744410045231794`"}], "+", 
       RowBox[{"0.0596389500203403`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.022744410045231794`"}], "+", 
       RowBox[{"0.0596389500203403`", " ", "\[ImaginaryI]"}]}], "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", 
      RowBox[{
       RowBox[{"-", "0.022744410045231794`"}], "-", 
       RowBox[{"0.0596389500203403`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.022744410045231794`"}], "-", 
       RowBox[{"0.0596389500203403`", " ", "\[ImaginaryI]"}]}], "0", "0", 
      "0.3178568207574746`", "0.3178568207574746`", "0"},
     {"0", 
      RowBox[{
       RowBox[{"-", "0.022744410045231794`"}], "-", 
       RowBox[{"0.0596389500203403`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.022744410045231794`"}], "-", 
       RowBox[{"0.0596389500203403`", " ", "\[ImaginaryI]"}]}], "0", "0", 
      "0.3178568207574746`", "0.3178568207574746`", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85720738031501*^9, 3.8593723620510397`*^9, 
  3.8601570468555183`*^9},
 CellTags->"b:4.0.3",ExpressionUUID->"7b5a3945-77f5-404a-98e2-effe1b3883a0"]
}, Open  ]],

Cell["We check its length and Trace:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.3",ExpressionUUID->"45eb25e1-c55e-41de-8917-f7dea7f85f90"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", 
  StyleBox[
   SubscriptBox["\[Rho]", "C"],
   FontSize->12], 
  StyleBox["]",
   FontSize->12]}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.0.3",ExpressionUUID->"147bbfba-8cdf-4a22-9d8f-515248eb94bf"],

Cell[BoxData[
 TagBox["8",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380331031*^9, 3.859372362062862*^9, 
  3.8601570468729353`*^9},
 CellTags->"b:4.0.3",ExpressionUUID->"4f542da3-d972-4717-85ae-1c8823e55910"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{"Tr", "[", 
    StyleBox[
     SubscriptBox["\[Rho]", "C"],
     FontSize->12], 
    StyleBox["]",
     FontSize->12]}], 
   StyleBox["]",
    FontSize->12]}], 
  StyleBox["]",
   FontSize->12]}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.0.3",ExpressionUUID->"b4918a9c-d9ba-4e7e-a280-9aa8533beddb"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380338911*^9, 3.859372362083078*^9, 
  3.860157046889393*^9},
 CellTags->"b:4.0.3",ExpressionUUID->"9d9934cd-612f-4c87-9852-7727959f4d6b"]
}, Open  ]],

Cell[TextData[{
 "The Trace of ",
 Cell[BoxData[
  StyleBox[
   SubscriptBox["\[Rho]", "C"],
   FontSize->12]],
  FontFamily->"Helvetica",ExpressionUUID->
  "80690e9b-339d-4451-908a-57d825014a79"],
 "squared is a measure of the purity of the state of the whole system:"
}], "Text",
 CellChangeTimes->{3.8572070065582113`*^9},
 FontFamily->"Helvetica",
 CellTags->"b:4.0.3",ExpressionUUID->"5bf1120c-f3a5-4bd1-9480-30b4bd48b22f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{"Tr", "[", 
    RowBox[{
     SubscriptBox["\[Rho]", "C"], 
     StyleBox[".",
      FontSize->12], 
     SubscriptBox["\[Rho]", "C"]}], 
    StyleBox["]",
     FontSize->12]}], 
   StyleBox["]",
    FontSize->12]}], 
  StyleBox["]",
   FontSize->12]}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.0.3",ExpressionUUID->"89ea58ab-e609-4ec3-8862-f8b944b0b269"],

Cell[BoxData[
 TagBox["0.5694292853691707`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380354327*^9, 3.85937236209403*^9, 
  3.8601570468987722`*^9},
 CellTags->"b:4.0.3",ExpressionUUID->"7fe802a0-dc2a-4976-a2b4-bd122b237ea5"]
}, Open  ]],

Cell["\<\
Finally we check its eigenvalues are positive as they should be:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.3",ExpressionUUID->"80a74e12-6f30-4b97-8f72-f3591c483664"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"evC", ":=", 
   RowBox[{"Eigenvalues", "[", 
    StyleBox[
     SubscriptBox["\[Rho]", "C"],
     FontSize->12], 
    StyleBox["]",
     FontSize->12]}]}], 
  StyleBox[";",
   FontSize->12]}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Chop", "[", 
       RowBox[{"evC", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "]"}], "\[GreaterEqual]", "0"}], ",", 
     RowBox[{"Print", "[", "\"\<Positive eigenvalue\>\"", "]"}], ",", 
     RowBox[{"Print", "[", "\"\<Negative\>\"", "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", 
     RowBox[{"Length", "[", "evC", "]"}]}], "}"}]}], "]"}]}], "Input",
 FontFamily->"Courier New",
 CellTags->{
  "Do", "b:4.0.3"},ExpressionUUID->"d37ad680-4708-4710-845a-c7799ced3320"],

Cell[BoxData["\<\"Positive eigenvalue\"\>"], "Print",
 CellChangeTimes->{3.8572073803625183`*^9, 3.859372362115906*^9, 
  3.860157046918501*^9},
 CellTags->{
  "Do", "b:4.0.3"},ExpressionUUID->"34d44d11-b3f3-4970-90c2-bd5240aab38d"],

Cell[BoxData["\<\"Positive eigenvalue\"\>"], "Print",
 CellChangeTimes->{3.8572073803625183`*^9, 3.859372362115906*^9, 
  3.860157046921735*^9},
 CellTags->{
  "Do", "b:4.0.3"},ExpressionUUID->"f0ea7332-c1a6-45b8-99be-44c282ba8b8b"],

Cell[BoxData["\<\"Positive eigenvalue\"\>"], "Print",
 CellChangeTimes->{3.8572073803625183`*^9, 3.859372362115906*^9, 
  3.860157046923727*^9},
 CellTags->{
  "Do", "b:4.0.3"},ExpressionUUID->"90724519-57bd-4b5c-ac95-f62a3bd73bdd"],

Cell[BoxData["\<\"Positive eigenvalue\"\>"], "Print",
 CellChangeTimes->{3.8572073803625183`*^9, 3.859372362115906*^9, 
  3.860157046925643*^9},
 CellTags->{
  "Do", "b:4.0.3"},ExpressionUUID->"1faeed79-e2af-40b7-9aa5-0353da425a62"],

Cell[BoxData["\<\"Positive eigenvalue\"\>"], "Print",
 CellChangeTimes->{3.8572073803625183`*^9, 3.859372362115906*^9, 
  3.860157046927574*^9},
 CellTags->{
  "Do", "b:4.0.3"},ExpressionUUID->"504cce17-89b7-4bda-ab77-165acb870037"],

Cell[BoxData["\<\"Positive eigenvalue\"\>"], "Print",
 CellChangeTimes->{3.8572073803625183`*^9, 3.859372362115906*^9, 
  3.860157046929418*^9},
 CellTags->{
  "Do", "b:4.0.3"},ExpressionUUID->"f3219271-f322-432b-ac2e-243720870f7a"],

Cell[BoxData["\<\"Positive eigenvalue\"\>"], "Print",
 CellChangeTimes->{3.8572073803625183`*^9, 3.859372362115906*^9, 
  3.860157046931505*^9},
 CellTags->{
  "Do", "b:4.0.3"},ExpressionUUID->"ea9db46b-a9ab-42ff-9627-0fdd5a79072a"],

Cell[BoxData["\<\"Positive eigenvalue\"\>"], "Print",
 CellChangeTimes->{3.8572073803625183`*^9, 3.859372362115906*^9, 
  3.860157046933341*^9},
 CellTags->{
  "Do", "b:4.0.3"},ExpressionUUID->"a046a970-164c-4cc5-9c9c-4f0b0e6add0b"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 4: Bob sends qubit 2 to Alice", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:6", "b:4.0.4"},ExpressionUUID->"f312d627-e019-4fd6-acda-49ce9b58ea6c"],

Cell["\<\
Alice, now receives one qubit from Bob and performs the following operations. \
Let us remind that the labelling is 
now: 
\tQubit 1: Original unknown qubit Alice wants to teleport
\tQubit 2: Qubit that Bob is sending her from the EPR pair
\tQubit 3: Bob's qubit that was in a Bell state with Qubit 2
\
\>", "Text",
 TextJustification->0,
 FontFamily->"Helvetica",
 CellTags->"b:4.0.4",ExpressionUUID->"49699bf2-82d2-45ac-84b9-fabe9ad48df5"],

Cell["\<\
Now Alice performs a series of operations with her original qubit and the one \
received from Bob.
CNOT on Alice's Qubits 1,2; 
Followed by Hadamard on qubit 1, 
whereby Alice entangles her original qubit with one of the shared ones\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.4",ExpressionUUID->"d32ddb78-9808-4ca0-a2de-313b7fc65abc"],

Cell[BoxData[
 RowBox[{"Three", " ", "qubit", " ", "density", "  ", "is", " ", "now", " ", 
  "denoted", " ", "by", " ", 
  SubscriptBox["\[Rho]", "T"]}]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.4",ExpressionUUID->"f6c0b7a7-9ab1-4bd4-94d0-ce77275c4595"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "T"], "=", 
   RowBox[{
    RowBox[{"had", "[", 
     RowBox[{"3", ",", "1"}], "]"}], ".", 
    RowBox[{"CNOT", "[", 
     RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
    StyleBox[
     SubscriptBox["\[Rho]", "C"],
     FontSize->12], ".", 
    RowBox[{"CNOT", "[", 
     RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
    RowBox[{"had", "[", 
     RowBox[{"3", ",", "1"}], "]"}]}]}], ";"}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.0.4",ExpressionUUID->"b35f9f49-96f5-44e3-98c7-1a24134f1821"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Some", " ", "Checks", " ", "on", " ", 
   SubscriptBox["\[Rho]", "T"]}], ",", " ", "Trace", ",", " ", "purity", ",", 
  " ", 
  RowBox[{"eigenvalues", " ", "and", " ", 
   RowBox[{"length", "."}]}]}]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.4",ExpressionUUID->"2fa42880-ef7c-4b53-8992-a3b543e71eb2"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Simplify", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{"Tr", "[", 
    SubscriptBox["\[Rho]", "T"], "]"}], "]"}], "]"}], "\n", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{"Tr", "[", 
    RowBox[{
     SubscriptBox["\[Rho]", "T"], ".", 
     SubscriptBox["\[Rho]", "T"]}], "]"}], "]"}], "]"}]}], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.0.4",ExpressionUUID->"e9fb251a-be32-4433-b797-adcb3e8c1696"],

Cell[BoxData[
 TagBox["0.9999999999999999`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572073803952627`*^9, 3.8593723621548777`*^9, 
  3.860157046955327*^9},
 CellTags->"b:4.0.4",ExpressionUUID->"d4440229-f166-4d3a-bece-88013f57c203"],

Cell[BoxData[
 TagBox["0.5694292853691705`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572073803952627`*^9, 3.8593723621548777`*^9, 
  3.860157046958597*^9},
 CellTags->"b:4.0.4",ExpressionUUID->"2ba74fdc-5b9a-4249-9da2-5822790b8d18"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"evF", ":=", 
   RowBox[{"Eigenvalues", "[", 
    SubscriptBox["\[Rho]", "T"], "]"}]}], ";", 
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Chop", "[", 
        RowBox[{"evF", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "]"}], "\[GreaterEqual]", "0"}], ",", 
      RowBox[{"Print", "[", "\"\<Positive eigenvalue\>\"", "]"}], ",", 
      RowBox[{"Print", "[", "\"\<Negative\>\"", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", 
      RowBox[{"Length", "[", "evF", "]"}]}], "}"}]}], "]"}]}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.0.4",ExpressionUUID->"4f0e06da-8835-444d-bdd9-0a9bd2d696ce"],

Cell[BoxData["\<\"Positive eigenvalue\"\>"], "Print",
 CellChangeTimes->{3.85720738040549*^9, 3.859372362170529*^9, 
  3.8601570469696074`*^9},
 CellTags->"b:4.0.4",ExpressionUUID->"91ee4519-03dc-4c37-8678-6c232d2986b5"],

Cell[BoxData["\<\"Positive eigenvalue\"\>"], "Print",
 CellChangeTimes->{3.85720738040549*^9, 3.859372362170529*^9, 
  3.8601570469729033`*^9},
 CellTags->"b:4.0.4",ExpressionUUID->"dc1999ef-a83d-4823-82bf-d758a05f93fe"],

Cell[BoxData["\<\"Positive eigenvalue\"\>"], "Print",
 CellChangeTimes->{3.85720738040549*^9, 3.859372362170529*^9, 
  3.860157046974852*^9},
 CellTags->"b:4.0.4",ExpressionUUID->"b75741ba-3c0a-42d6-b30b-ceba378a6350"],

Cell[BoxData["\<\"Positive eigenvalue\"\>"], "Print",
 CellChangeTimes->{3.85720738040549*^9, 3.859372362170529*^9, 
  3.8601570469767303`*^9},
 CellTags->"b:4.0.4",ExpressionUUID->"60bd3b9a-a793-42f5-b9e6-2d697032ad24"],

Cell[BoxData["\<\"Positive eigenvalue\"\>"], "Print",
 CellChangeTimes->{3.85720738040549*^9, 3.859372362170529*^9, 
  3.8601570469786777`*^9},
 CellTags->"b:4.0.4",ExpressionUUID->"a04cbe4b-4a42-4549-881b-4f2517dbafff"],

Cell[BoxData["\<\"Positive eigenvalue\"\>"], "Print",
 CellChangeTimes->{3.85720738040549*^9, 3.859372362170529*^9, 
  3.8601570469805403`*^9},
 CellTags->"b:4.0.4",ExpressionUUID->"f6c188ba-ecac-48d3-8c44-bcb31f35793f"],

Cell[BoxData["\<\"Positive eigenvalue\"\>"], "Print",
 CellChangeTimes->{3.85720738040549*^9, 3.859372362170529*^9, 
  3.860157046982415*^9},
 CellTags->"b:4.0.4",ExpressionUUID->"9ba96082-a7e1-43c6-9076-ab23f5ae4f63"],

Cell[BoxData["\<\"Positive eigenvalue\"\>"], "Print",
 CellChangeTimes->{3.85720738040549*^9, 3.859372362170529*^9, 
  3.86015704698433*^9},
 CellTags->"b:4.0.4",ExpressionUUID->"f2daf23c-1214-4e96-818c-0321b623152c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", 
  SubscriptBox["\[Rho]", "T"], "]"}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.0.4",ExpressionUUID->"87876524-189f-47e4-888c-835a63278797"],

Cell[BoxData[
 TagBox["8",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207380434278*^9, 3.8593723622029533`*^9, 
  3.860157046999408*^9},
 CellTags->"b:4.0.4",ExpressionUUID->"0e6ef4b9-ab54-482e-9eea-963de75d3e46"]
}, Open  ]],

Cell[TextData[{
 "Four Projection Operators for Qubits 1 and 2 are used for ",
 ButtonBox["projective measurements",
  BaseStyle->"Hyperlink",
  ButtonData:>{"Tutorial.nb", None}],
 " on Qubits 1 & 2 by Alice"
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.4",ExpressionUUID->"442bcc20-442d-4994-b1ab-2ceafcd9f5ca"],

Cell[BoxData[
 RowBox[{
  SubscriptBox["P", 
   RowBox[{"a_", ",", "b_"}]], "  ", ":=", "  ", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "a"], "  ", "\[CircleTimes]", "  ", 
    SubscriptBox["\[ScriptCapitalP]", "b"], "\[CircleTimes]", " ", 
    "\[DoubleStruckCapitalI]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.614161749948984*^9, 3.614161762882802*^9}, {
  3.857206924643165*^9, 3.8572069246447277`*^9}},
 CellTags->"b:4.0.4",ExpressionUUID->"db3ded93-0a04-4ef7-b18d-8bcfd727d987"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    SubscriptBox["P", 
     RowBox[{"0", ",", "0"}]], ";"}], "\n", " ", 
   RowBox[{
    SubscriptBox["P", 
     RowBox[{"0", ",", "1"}]], " ", ";"}], " ", "\[IndentingNewLine]", " ", 
   RowBox[{
    SubscriptBox["P", 
     RowBox[{"1", ",", "0"}]], " ", ";"}], "\n", " ", 
   RowBox[{
    SubscriptBox["P", 
     RowBox[{"1", ",", "1"}]], ";"}]}]}]], "Input",
 CellChangeTimes->{3.614161737425476*^9, 3.614161772387948*^9},
 FontFamily->"Courier New",
 CellTags->"b:4.0.4",ExpressionUUID->"49319879-35c2-4d54-91e5-7afa15f54326"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 5: Alice measures the state of her Qubits", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:7", "b:4.0.5"},ExpressionUUID->"419cf674-ef73-4b92-9762-ebcec292172a"],

Cell[TextData[{
 "After receiving the qubit form Bob and performing the abovementioned \
operations, \nshe measures the state of her two qubits obtaining values: ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["a", "a"], TraditionalForm]],ExpressionUUID->
  "14e96f02-2bbb-4c23-bfc9-38106794d5b3"],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["a", "b"], TraditionalForm]],ExpressionUUID->
  "1281d685-2b18-4010-a8b5-96e040cf26d1"],
 ". Bob's  Density Matrix, \nafter Alice measures is computed:"
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.5",ExpressionUUID->"84da22d3-1724-466a-a2b2-5ddfc87c3bb8"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["a", "A"], "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   SubscriptBox["a", "B"], "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}], "]"}]}], ";"}]}], "Input",
 CellTags->"b:4.0.5",ExpressionUUID->"649e8488-f6d2-48ac-b773-8d4bcd15f380"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "Bob"], "[", 
   RowBox[{"a_", ",", "b_"}], "]"}], ":=", " ", 
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}], ",", 
    RowBox[{"4", "*", 
     RowBox[{
      SubscriptBox["P", 
       RowBox[{"a", ",", "b"}]], ".", 
      SubscriptBox["\[Rho]", "T"], ".", 
      SubscriptBox["P", 
       RowBox[{"a", ",", "b"}]]}]}]}], "]"}], " "}]], "Input",
 CellTags->"b:4.0.5",ExpressionUUID->"27543ff4-1056-4889-8138-a71454df5a41"],

Cell["\<\
Qubit 3 has no polarization, but if Alice makes a measurement, its state is \
delineated \
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.5",ExpressionUUID->"a6d0c994-ac7c-42c2-ac00-230ba426d2ac"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Chop", "[", " ", 
   RowBox[{"PTr", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", " ", 
     SubscriptBox["\[Rho]", "T"]}], "]"}], "]"}], " "}]], "Input",
 CellTags->"b:4.0.5",ExpressionUUID->"e8331696-3dd8-4edf-999c-938d7cf4403b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.49999999999999994`", "0"},
     {"0", "0.49999999999999994`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572073834837227`*^9, 3.859372362264285*^9, 
  3.8601570470381517`*^9},
 CellTags->"b:4.0.5",ExpressionUUID->"c4055eb0-d277-4ca1-81bb-547d40f1ca1c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Chop", "[", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      SubscriptBox["\[Rho]", "Bob"], "[", 
      RowBox[{"0", ",", "0"}], "]"}], "+", 
     RowBox[{
      SubscriptBox["\[Rho]", "Bob"], "[", 
      RowBox[{"0", ",", "1"}], "]"}], "+", 
     RowBox[{
      SubscriptBox["\[Rho]", "Bob"], "[", 
      RowBox[{"1", ",", "0"}], "]"}], "+", 
     RowBox[{
      SubscriptBox["\[Rho]", "Bob"], "[", 
      RowBox[{"1", ",", "1"}], "]"}]}], "]"}], "/", "4"}], "]"}]], "Input",
 CellChangeTimes->{{3.6141618085671673`*^9, 3.614161812639009*^9}},
 CellTags->"b:4.0.5",ExpressionUUID->"1e089c7b-8cd2-48e1-8a36-c9639d30ba2c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.4999999999999999`", "0"},
     {"0", "0.4999999999999999`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207383492346*^9, 3.85937236228898*^9, 
  3.86015704704821*^9},
 CellTags->"b:4.0.5",ExpressionUUID->"d2ef04e7-26ad-403d-a205-c7f7ec1cfece"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Ipick"], "Input",
 CellTags->"b:4.0.5",ExpressionUUID->"638b2d5f-741a-4f6e-8ce3-9eb1b29e1859"],

Cell[BoxData[
 TagBox["2",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85720738351298*^9, 3.859372362298963*^9, 
  3.860157047068903*^9},
 CellTags->"b:4.0.5",ExpressionUUID->"49bdf76d-205a-42e0-9d8f-da1e54da5ea5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  SubscriptBox["\[Rho]", "Bob"], "[", 
  RowBox[{"0", ",", "0"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  SubscriptBox["\[Rho]", "Bob"], "[", 
  RowBox[{"0", ",", "1"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  SubscriptBox["\[Rho]", "Bob"], "[", 
  RowBox[{"1", ",", "0"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  SubscriptBox["\[Rho]", "Bob"], "[", 
  RowBox[{"1", ",", "1"}], "]"}]}], "Input",
 CellTags->"b:4.0.5",ExpressionUUID->"99738e4f-7fb7-4bfe-961f-0f74937c07ef"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.6357136415149491`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.04548882009046358`"}], "-", 
       RowBox[{"0.11927790004068058`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.04548882009046358`"}], "+", 
       RowBox[{"0.11927790004068058`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.36428635848505064`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85720738352185*^9, 3.859372362325577*^9, 
  3.86015704708871*^9},
 CellTags->"b:4.0.5",ExpressionUUID->"7c461834-fad3-443f-ba0c-89ea9b8802a4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.36428635848505064`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.04548882009046358`"}], "+", 
       RowBox[{"0.11927790004068058`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.04548882009046358`"}], "-", 
       RowBox[{"0.11927790004068058`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.6357136415149491`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85720738352185*^9, 3.859372362325577*^9, 
  3.86015704709256*^9},
 CellTags->"b:4.0.5",ExpressionUUID->"4082119a-853c-4d92-a1ec-4870d20a0c68"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.6357136415149491`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.04548882009046358`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.11927790004068058`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.04548882009046358`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.11927790004068058`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.36428635848505064`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85720738352185*^9, 3.859372362325577*^9, 
  3.8601570470960712`*^9},
 CellTags->"b:4.0.5",ExpressionUUID->"3607c4f7-9273-4e78-a7ff-47bdf9ee66ed"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.36428635848505064`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.04548882009046358`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.11927790004068058`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.04548882009046358`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.11927790004068058`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.6357136415149491`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85720738352185*^9, 3.859372362325577*^9, 
  3.860157047099495*^9},
 CellTags->"b:4.0.5",ExpressionUUID->"01f7913c-9782-4716-bc79-07d8ba4406ec"]
}, Open  ]],

Cell[TextData[{
 "Alice Classically transmits the result of her measurement to Bob (",
 Cell[BoxData[
  SubscriptBox["a", "A"]],ExpressionUUID->
  "b0ad12e1-683f-46d3-9ea1-5c19000c0b13"],
 ", ",
 Cell[BoxData[
  SubscriptBox["a", "B"]],ExpressionUUID->
  "01bded0b-27f4-4add-88cd-fa75e8313b82"],
 ") as one of the \nfour cases \
|00\[RightAngleBracket],|01\[RightAngleBracket],|10\[RightAngleBracket] or \
|11\[RightAngleBracket]. \nBob, chooses his corresponding density matrix once \
he has received the data from Alice."
}], "Text",
 CellChangeTimes->{{3.614161830153281*^9, 3.614161833202059*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:4.0.5",ExpressionUUID->"6f341791-556e-4be0-aa3e-52ea18f5343d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SubscriptBox["\[Rho]", "B"], "=", 
  RowBox[{
   SubscriptBox["\[Rho]", "Bob"], "[", 
   RowBox[{
    SubscriptBox["a", "A"], ",", 
    SubscriptBox["a", "B"]}], "]"}]}]], "Input",
 CellTags->"b:4.0.5",ExpressionUUID->"16547f01-17fc-42c8-be19-e9a5be42a8bc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.36428635848505064`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.04548882009046358`"}], "+", 
       RowBox[{"0.11927790004068058`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.04548882009046358`"}], "-", 
       RowBox[{"0.11927790004068058`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.6357136415149491`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207383552854*^9, 3.859372362348134*^9, 
  3.860157047109359*^9},
 CellTags->"b:4.0.5",ExpressionUUID->"428b1adf-1525-4ab3-b9ba-0492c0471822"]
}, Open  ]],

Cell["\<\
Also need to know the type of Bell state shared marked by Ipick\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.5",ExpressionUUID->"bd7cc41e-d299-4077-a972-d8e49a878994"],

Cell[CellGroupData[{

Cell["Ipick", "Input",
 CellTags->"b:4.0.5",ExpressionUUID->"17e2aae3-5a1b-4f3a-b61a-731c32517b39"],

Cell[BoxData[
 TagBox["2",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572073835624313`*^9, 3.859372362372972*^9, 
  3.8601570471262083`*^9},
 CellTags->"b:4.0.5",ExpressionUUID->"2a905feb-09be-4ac2-8986-e124ef1eb6f7"]
}, Open  ]],

Cell["\<\
Then he will need to perform rotations which will be made of:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.5",ExpressionUUID->"a9ecc06f-aee0-45bc-b849-8f97bf3d1057"],

Cell[BoxData[
 RowBox[{
  SubscriptBox["S", 
   RowBox[{"i_", " ", ",", "j_", " "}]], "  ", ":=", "  ", 
  RowBox[{
   SubscriptBox["\[Sigma]", "i"], " ", ".", "  ", 
   SubscriptBox["\[Sigma]", "j"]}]}]], "Input",
 CellTags->"b:4.0.5",ExpressionUUID->"2718f74e-c44a-471f-a1bd-3d9ce9360557"],

Cell["\<\
Here we detail the four possibilities explicitly:
\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.5",ExpressionUUID->"c4153035-458a-477c-89a8-93a8c8c8b56c"],

Cell[TextData[{
 StyleBox["If Qubits 1 & 2 are in |00> State:Bob",
  FontWeight->"Bold"],
 "\n        Ipick=1 (Does Nothing)\n        Ipick=2 (rotates about x-axis  )\n\
        Ipick=3 (rotates about the z-axis)\n        Ipick=4 (rotates about \
x-axis and then the z-axis )\n                and would have the following \
polarization for his qubit 3\n      \n",
 StyleBox["If Qubits 1 & 2 are in |01> State:Bob",
  FontWeight->"Bold"],
 "\n        Ipick=1 (rotates about x-axis )\n        Ipick=2 (Does Nothing)\n \
       Ipick=3 (rotates about x-axis and then the z-axis)\n        Ipick=4 \
(rotates about the z-axis)\n                 and would have the following \
polarization for his qubit 3   \n\n",
 StyleBox["If Qubits 1 & 2 are in |10> State:Bob",
  FontWeight->"Bold"],
 "\n        Ipick=1 (rotates about the z-axis)\n        Ipick=2 (rotates \
about x-axis and then the z-axis)\n        Ipick=3 (Does Nothing)\n        \
Ipick=4 (rotates about x-axis)\n                 and would have the following \
polarization for his qubit 3           \n\n",
 StyleBox["If Qubits 1 & 2 are in |11> State:Bob",
  FontWeight->"Bold"],
 "\n        Ipick=1 (rotates about x-axis and then the z-axis)\n        \
Ipick=2 (rotates about the z-axis)\n        Ipick=3 (rotates about x-axis )\n \
       Ipick=4 (Does Nothing)\n                and would have the following \
polarization for his qubit 3"
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.5",ExpressionUUID->"b0aee602-1449-49a1-9693-9adbcc948d60"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Rot", "=", 
  RowBox[{"Which", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["a", "A"], ",", 
       SubscriptBox["a", "B"]}], "}"}], "\[Equal]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], ",", " ", 
    RowBox[{"Which", "[", " ", 
     RowBox[{
      RowBox[{"Ipick", "\[Equal]", "1"}], ",", 
      SubscriptBox["S", 
       RowBox[{"0", " ", ",", "0"}]], ",", 
      StyleBox[
       RowBox[{"Ipick", "\[Equal]", "2"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       SubscriptBox["S", 
        RowBox[{"1", ",", " ", "0"}]],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       RowBox[{"Ipick", "\[Equal]", "3"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       SubscriptBox["S", 
        RowBox[{" ", 
         RowBox[{"3", ",", "0"}]}]],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       RowBox[{"Ipick", "\[Equal]", "4"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       SubscriptBox["S", 
        RowBox[{"3", ",", "1"}]],
       FontSize->12]}], 
     StyleBox["]",
      FontSize->12]}], 
    StyleBox[",",
     FontSize->12], 
    StyleBox["\[IndentingNewLine]",
     FontSize->12], 
    StyleBox["                      ",
     FontSize->12], 
    RowBox[{
     RowBox[{
      StyleBox["{",
       FontSize->12], 
      RowBox[{
       SubscriptBox["a", "A"], ",", 
       SubscriptBox["a", "B"]}], "}"}], "\[Equal]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}]}], ",", " ", 
    RowBox[{"Which", "[", " ", 
     RowBox[{
      RowBox[{"Ipick", "\[Equal]", "1"}], ",", 
      SubscriptBox["S", 
       RowBox[{"1", " ", ",", "0"}]], ",", 
      StyleBox[
       RowBox[{"Ipick", "\[Equal]", "2"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       SubscriptBox["S", 
        RowBox[{"0", ",", " ", "0"}]],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       RowBox[{"Ipick", "\[Equal]", "3"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       SubscriptBox["S", 
        RowBox[{" ", 
         RowBox[{"3", ",", "1"}]}]],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       RowBox[{"Ipick", "\[Equal]", "4"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       SubscriptBox["S", 
        RowBox[{"3", ",", "0"}]],
       FontSize->12]}], 
     StyleBox["]",
      FontSize->12]}], 
    StyleBox[",",
     FontSize->12], 
    StyleBox["\[IndentingNewLine]",
     FontSize->12], 
    StyleBox["                      ",
     FontSize->12], 
    StyleBox[
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["a", "A"], ",", 
        SubscriptBox["a", "B"]}], "}"}], "==", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}]}],
     FontSize->12], ",", " ", 
    RowBox[{"Which", "[", " ", 
     RowBox[{
      RowBox[{"Ipick", "\[Equal]", "1"}], ",", 
      SubscriptBox["S", 
       RowBox[{"0", " ", ",", "3"}]], ",", 
      StyleBox[
       RowBox[{"Ipick", "\[Equal]", "2"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       SubscriptBox["S", 
        RowBox[{"3", ",", " ", "1"}]],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       RowBox[{"Ipick", "\[Equal]", "3"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       SubscriptBox["S", 
        RowBox[{" ", 
         RowBox[{"0", ",", "0"}]}]],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       RowBox[{"Ipick", "\[Equal]", "4"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       SubscriptBox["S", 
        RowBox[{"1", ",", "0"}]],
       FontSize->12]}], 
     StyleBox["]",
      FontSize->12]}], 
    StyleBox[",",
     FontSize->12], 
    StyleBox["\[IndentingNewLine]",
     FontSize->12], 
    StyleBox["                      ",
     FontSize->12], 
    RowBox[{
     RowBox[{
      StyleBox["{",
       FontSize->12], 
      RowBox[{
       SubscriptBox["a", "A"], ",", 
       SubscriptBox["a", "B"]}], "}"}], "\[Equal]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}]}], ",", 
    RowBox[{"Which", "[", " ", 
     RowBox[{
      RowBox[{"Ipick", "\[Equal]", "1"}], ",", 
      SubscriptBox["S", 
       RowBox[{"1", " ", ",", "3"}]], ",", 
      StyleBox[
       RowBox[{"Ipick", "\[Equal]", "2"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       SubscriptBox["S", 
        RowBox[{"3", ",", " ", "0"}]],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       RowBox[{"Ipick", "\[Equal]", "3"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       SubscriptBox["S", 
        RowBox[{" ", 
         RowBox[{"1", ",", "0"}]}]],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       RowBox[{"Ipick", "\[Equal]", "4"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      StyleBox[
       SubscriptBox["S", 
        RowBox[{"0", ",", "0"}]],
       FontSize->12]}], 
     StyleBox["]",
      FontSize->12]}]}], 
   StyleBox["]",
    FontSize->12]}]}], "\[IndentingNewLine]", 
 RowBox[{"Adj", "[", "Rot", "]"}], "\n", 
 RowBox[{
  RowBox[{"X", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Rot", ".", 
     SubscriptBox["\[Rho]", "B"], ".", 
     RowBox[{"Adj", "[", "Rot", "]"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"Chop", "[", 
  RowBox[{"Simplify", "[", "X", "]"}], "]"}], "\n", 
 RowBox[{"Chop", "[", 
  SubscriptBox["\[Rho]", "B"], "]"}]}], "Input",
 CellChangeTimes->{{3.614161920973034*^9, 3.614161936789051*^9}},
 CellTags->"b:4.0.5",ExpressionUUID->"e6148392-8fbb-449e-a05a-a1f151868d64"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207383586409*^9, 3.859372362410006*^9, 
  3.860157047155489*^9},
 CellTags->"b:4.0.5",ExpressionUUID->"083e19da-490f-4237-84e6-058940e66c3e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207383586409*^9, 3.859372362410006*^9, 
  3.860157047159322*^9},
 CellTags->"b:4.0.5",ExpressionUUID->"7a5c617f-574a-40d7-8a93-1820d2098482"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.36428635848505064`", 
      RowBox[{
       RowBox[{"-", "0.04548882009046358`"}], "+", 
       RowBox[{"0.11927790004068058`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.04548882009046358`"}], "-", 
       RowBox[{"0.11927790004068058`", " ", "\[ImaginaryI]"}]}], 
      "0.6357136415149491`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207383586409*^9, 3.859372362410006*^9, 
  3.860157047162719*^9},
 CellTags->"b:4.0.5",ExpressionUUID->"0b9137ee-06d7-426d-a59d-544ce12f4968"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.36428635848505064`", 
      RowBox[{
       RowBox[{"-", "0.04548882009046358`"}], "+", 
       RowBox[{"0.11927790004068058`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.04548882009046358`"}], "-", 
       RowBox[{"0.11927790004068058`", " ", "\[ImaginaryI]"}]}], 
      "0.6357136415149491`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207383586409*^9, 3.859372362410006*^9, 
  3.8601570471662292`*^9},
 CellTags->"b:4.0.5",ExpressionUUID->"4cd82025-24f4-4eef-8b16-1058104f1984"]
}, Open  ]],

Cell["\<\
... finally, Bob, extracts the polarization for his 3 qubit
and gets....\
\>", "DisplayText",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.5",ExpressionUUID->"f5898152-df9b-421b-b6d4-b381b30a5615"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PFINAL", "=", 
  RowBox[{"Chop", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Simplify", "[", " ", 
      RowBox[{"Tr", "[", 
       RowBox[{"X", ".", 
        SubscriptBox["\[Sigma]", "1"]}], "]"}], "]"}], ",", 
     RowBox[{"Simplify", "[", 
      RowBox[{"Tr", "[", 
       RowBox[{"X", ".", 
        SubscriptBox["\[Sigma]", "2"]}], "]"}], "]"}], ",", 
     RowBox[{"Simplify", "[", 
      RowBox[{"Tr", "[", 
       RowBox[{"X", ".", 
        SubscriptBox["\[Sigma]", "3"]}], "]"}], "]"}]}], "}"}], 
   "]"}]}]], "Input",
 CellTags->"b:4.0.5",ExpressionUUID->"95a7f602-39af-4a34-89b1-0cdb772c4784"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "0.09097764018092716`"}]},
      {
       RowBox[{"-", "0.23855580008136115`"}]},
      {
       RowBox[{"-", "0.2714272830298985`"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207383618861*^9, 3.85937236243283*^9, 
  3.860157047176581*^9},
 CellTags->"b:4.0.5",ExpressionUUID->"c24d7317-243d-4b3b-af01-915cdc6e3c0b"]
}, Open  ]],

Cell["\<\
... which you can now compare to the original
state in the hands of Alice:\
\>", "DisplayText",
 FontFamily->"Helvetica",
 CellTags->"b:4.0.5",ExpressionUUID->"de3199a9-6732-404b-9886-9b8fffcaa040"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"Px", ",", "Py", ",", "Pz"}], "}"}]], "Input",
 CellTags->"b:4.0.5",ExpressionUUID->"23fb878a-2057-40e4-89af-b7652bdfa880"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "0.09097764018092717`"}]},
      {
       RowBox[{"-", "0.2385558000813612`"}]},
      {
       RowBox[{"-", "0.27142728302989844`"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572073836299133`*^9, 3.859372362457096*^9, 
  3.860157047194028*^9},
 CellTags->"b:4.0.5",ExpressionUUID->"8d659b8e-8bd8-4e06-bf81-57b9d51e14a6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"Px", ",", "Py", ",", "Pz"}], "}"}], "==", "PFINAL"}]], "Input",
 CellChangeTimes->{{3.614162232075718*^9, 
  3.614162239590818*^9}},ExpressionUUID->"3feaa2ef-7c06-4ada-89b6-\
6f69de478043"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207383648725*^9, 3.859372362467306*^9, 
  3.8601570472040854`*^9},ExpressionUUID->"f7e97bb9-9a48-4bcb-a042-\
aab395d772e5"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Quit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.6141623245441437`*^9, 
  3.614162326942347*^9}},ExpressionUUID->"d0bdabb0-2233-49e7-93ef-\
718f6eff298f"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Two qubit teleportation algorithm using 6 qubits.       To open double click \
at down arrow----------------->>\
\>", "Section",
 CellChangeTimes->{{3.512212808903927*^9, 3.512212836239826*^9}, {
  3.512214568142479*^9, 3.512214572092629*^9}, {3.512214618478846*^9, 
  3.512214627667285*^9}},
 FontFamily->"Times",
 CellTags->"c:8",ExpressionUUID->"b2f3803c-66fd-478e-a128-b2a7f8e1d20e"],

Cell[CellGroupData[{

Cell["Introduction", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:3", "b:4.1.0"},ExpressionUUID->"c72a84e3-cee2-41c3-9077-150bb8f0487e"],

Cell[TextData[StyleBox["Uses the Qdensity package:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:4.1.0",ExpressionUUID->"b5afc293-7873-414a-9195-443ae6bdb0ee"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.1.0",ExpressionUUID->"f440d2f2-c24c-4d85-abd1-519970f78525"],

Cell[BoxData["\<\"Type \\\"?intro\\\", \\\"?QDENSITY`Qdensity`*\\\" or \
\\\"?about for help.\"\>"], "Print",
 CellChangeTimes->{3.857207503437392*^9},
 CellTags->"b:4.1.0",ExpressionUUID->"3733d131-f0df-45eb-8798-f1fad1c153b1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "QDENSITY`Qdensity`*"}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.1.0",ExpressionUUID->"8387f976-343c-4adb-9469-53fc50e2b3bb"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["about", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "about", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Discord", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Discord", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "MeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "RandomBra2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma0", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Sigma0", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ws", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "ws", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Adj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Adj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "EnTropy", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiProjCBasis", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "MultiProjCBasis", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBraN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "RandomBraN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Sigma1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["AF", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "AF", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "EnTropy2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiQProj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "MultiQProj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "RandomKet1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Sigma2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Bra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Bra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Fidelity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Fidelity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Mutual", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Mutual", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "RandomKet2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Sigma3", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "BraV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["FidelityB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "FidelityB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "nb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKetN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "RandomKetN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Snos", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Snos", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "BraX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["neg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "neg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "RandomQubit1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SP", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "SP", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroMatrix", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "ZeroMatrix", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "BraY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nneg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "nneg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "RandomQubit2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SpinObs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "SpinObs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "ZeroT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CNOT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "CNOT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Hadamard", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Hadamard", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nq", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "nq", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubitN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "RandomQubitN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stA", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "stA", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalH]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "\[ScriptCapitalH]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Coeff", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Coeff", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["HALL", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "HALL", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OneOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "OneOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsDate", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "rcsDate", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "stB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "\[ScriptCapitalP]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Comm", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Comm", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["i8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "i8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Oracle", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Oracle", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsRevision", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "rcsRevision", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Swap", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Swap", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[DoubleStruckCapitalI]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "\[DoubleStruckCapitalI]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompMeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "CompMeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["intro", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "intro", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTrace", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "PartialTrace", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "res1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "s$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "\[Rho]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompPTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "CompPTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["j8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "j8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTraceGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "PartialTraceGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "res1$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ThreeOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "ThreeOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "\[Rho]$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "ControlledX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Ket1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Ket1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTranspose", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "PartialTranspose", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "res2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Toffoli", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Toffoli", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Sigma]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "\[Sigma]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "ControlledY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "KetV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ProjG", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "ProjG", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "res2$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "ts", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "\[Phi]A1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "ControlledZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "KetX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "PTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Rotqbit", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Rotqbit", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "ts$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "\[Phi]A2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASE", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "CPHASE", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "KetY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTrGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "PTrGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "RotX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["TwoOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "TwoOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "\[Phi]B1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASEV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "CPHASEV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "mc", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Purity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Purity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "RotY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["U", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "U", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "\[Phi]B2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["cRQN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "cRQN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "mcl", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "PX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "RotZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "v", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[CapitalOmega]s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "\[CapitalOmega]s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Definef", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Definef", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "mcl$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "PY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Vs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Vs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], ""},
                {
                 ButtonBox[
                  StyleBox["DForm2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "DForm2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "mc$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "RandomBra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Schmidt", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "Schmidt", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59394f1e-e26c-4158-9cbb-c667a4079da6", {
                    "v$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], ""}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.15833333333333333`]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207504240592*^9},
 CellTags->"b:4.1.0",ExpressionUUID->"dbaf6a7f-8e5c-41f6-a67a-0e892666b9a2"]
}, Open  ]],

Cell[TextData[StyleBox["We set the number of Qubits to 6", "DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.1.0",ExpressionUUID->"06bed90e-116e-4910-a1fe-93ab64ef98f6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"nqx", "=", "6"}], ";"}]], "Input",
 CellTags->"b:4.1.0",ExpressionUUID->"baefc748-c564-4be4-af65-591a49e55f70"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"figure", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<QDENSITY/drawings/2teleport.png\>\"", ",", "\"\<PNG\>\""}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"Show", "[", "figure", "]"}]}], "Input",
 CellTags->"b:4.1.0",ExpressionUUID->"f0727f66-4deb-45c6-bb4f-cf7fcc68dd82"],

Cell[BoxData[
 TagBox[
  GraphicsBox[RasterBox[CompressedData["
1:eJztnQd81NQfwB+IArJEZAoCioKMFgTKluGxZUjZyCizf8reRfYUkA0KKAKV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    "], {{0, 0}, {500., 302.}}, {0, 255},
    ColorFunction->GrayLevel,
    ImageResolution->{72, 72}],
   PlotRange->{{0, 500.}, {0, 302.}}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207504661736*^9},
 CellTags->"b:4.1.0",ExpressionUUID->"a97f7b59-30f9-440f-8b81-870f30190209"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Step 1: Alice  prepares the two qubit state to be teleported and a four qubit \
entangled state is provided\
\>", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:9", "b:4.1.1"},ExpressionUUID->"bf23e940-b2d3-4729-92c4-8243656583bb"],

Cell[TextData[StyleBox["We prepare a random two qubit state. First a random \
one qubit state is prepared.", "DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.1.1",ExpressionUUID->"b3df7642-ea31-4149-9645-29a93a0a0f53"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"a", "=", "RandomQubit1"}]], "Input",
 CellTags->"b:4.1.1",ExpressionUUID->"954f4ca0-3349-49d8-8fa6-6feecd375878"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.24293250314383116`", 
      RowBox[{"0.08128134093955601`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.10746395070677586`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.08128134093955601`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.10746395070677586`", " ", "\[ImaginaryI]"}]}], 
      "0.7570674968561688`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207504671739*^9},
 CellTags->"b:4.1.1",ExpressionUUID->"0a4248d6-d24d-4695-b188-55106e5dd9fd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "AB"], "=", "RandomQubit2"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PA", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Tr", "[", 
       RowBox[{
        SubscriptBox["\[Rho]", "AB"], "  ", ".", 
        RowBox[{"AF", "[", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], " ", "\[CircleTimes]", " ", 
          SubscriptBox["\[Sigma]", "0"]}], "]"}]}], "]"}], ",", 
      RowBox[{"Tr", "[", 
       RowBox[{
        SubscriptBox["\[Rho]", "AB"], "  ", ".", 
        RowBox[{"AF", "[", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], " ", "\[CircleTimes]", " ", 
          SubscriptBox["\[Sigma]", "0"]}], "]"}]}], "]"}], " ", ",", 
      RowBox[{"Tr", "[", 
       RowBox[{
        SubscriptBox["\[Rho]", "AB"], "  ", ".", 
        RowBox[{"AF", "[", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], " ", "\[CircleTimes]", " ", 
          SubscriptBox["\[Sigma]", "0"]}], "]"}]}], "]"}]}], " ", "}"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PB", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Tr", "[", 
       RowBox[{
        SubscriptBox["\[Rho]", "AB"], " ", ".", 
        RowBox[{"AF", "[", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], " ", "\[CircleTimes]", " ", 
          SubscriptBox["\[Sigma]", "1"]}], "]"}]}], "]"}], ",", 
      RowBox[{"Tr", "[", 
       RowBox[{
        SubscriptBox["\[Rho]", "AB"], " ", ".", 
        RowBox[{"AF", "[", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], " ", "\[CircleTimes]", " ", 
          SubscriptBox["\[Sigma]", "2"]}], "]"}]}], "]"}], " ", ",", " ", 
      RowBox[{"Tr", "[", 
       RowBox[{
        SubscriptBox["\[Rho]", "AB"], " ", ".", 
        RowBox[{"AF", "[", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], " ", "\[CircleTimes]", " ", 
          SubscriptBox["\[Sigma]", "3"]}], "]"}]}], "]"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"T", "[", 
    RowBox[{"i_", ",", "j_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"T", "[", 
     RowBox[{"i", ",", "j"}], "]"}], "=", " ", 
    RowBox[{"Chop", "[", 
     RowBox[{"Tr", "[", 
      RowBox[{
       SubscriptBox["\[Rho]", "AB"], " ", ".", 
       RowBox[{"AF", "[", 
        RowBox[{
         SubscriptBox["\[Sigma]", "i"], " ", "\[CircleTimes]", " ", 
         SubscriptBox["\[Sigma]", "j"]}], "]"}]}], "]"}], " ", "]"}]}]}], 
  "  "}], "\[IndentingNewLine]", "PA", "\[IndentingNewLine]", "PB"}], "Input",
 CellChangeTimes->{{3.6141626410408297`*^9, 3.614162767595152*^9}, {
  3.85720692466831*^9, 3.8572069246763697`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:4.1.1",ExpressionUUID->"4c144ad7-511d-4e41-b79a-b27a3ba407a1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "0.011435803762546881`"}]},
      {
       RowBox[{"-", "0.0508619276361338`"}]},
      {
       RowBox[{"-", "0.14013675753412935`"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207504689404*^9},
 CellTags->"b:4.1.1",ExpressionUUID->"5126e8d8-5764-4eb4-b2e5-ed425df789d5"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "0.09551496421806206`"}]},
      {"0.033661098997707035`"},
      {
       RowBox[{"-", "0.02902096130026277`"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207504694232*^9},
 CellTags->"b:4.1.1",ExpressionUUID->"d30a4c5e-cd92-4e99-b9fb-19041bc1cf84"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"T", "[", 
    RowBox[{"i", ",", "j"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.614162792418023*^9, 
  3.614162817092474*^9}},ExpressionUUID->"f8e6e9a8-d907-4acc-a351-\
fe1f70e07cbd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", "0.01929962087218204`"}], 
      RowBox[{"-", "0.12145097045182066`"}], 
      RowBox[{"-", "0.561118091208828`"}]},
     {
      RowBox[{"-", "0.08385635828686774`"}], "0.1576293757972738`", 
      "0.20914272293569414`"},
     {"0.01511005051681484`", 
      RowBox[{"-", "0.09647891736415976`"}], 
      RowBox[{"-", "0.4871962507834355`"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.857207504701454*^9},ExpressionUUID->"4bb32d1b-cec2-41c8-8e18-\
30a064a03e0f"]
}, Open  ]],

Cell[TextData[StyleBox["The density matrix to be teleported and its \
eigenvalues are:", "DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.1.1",ExpressionUUID->"b18bc9dc-bcb8-4987-8caf-8f241d04bb5d"],

Cell[CellGroupData[{

Cell[BoxData[{
 SubscriptBox["\[Rho]", "AB"], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Eigenvalues", "[", 
   SubscriptBox["\[Rho]", "AB"], "]"}], "]"}]}], "Input",
 CellTags->"b:4.1.1",ExpressionUUID->"46f87c36-8567-4d15-ba7d-e1acdf0137b0"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.0859115075955431`", 
      RowBox[{
       RowBox[{"-", "0.020101228425311805`"}], "+", 
       RowBox[{"0.015704454591613178`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.14313847374284375`"}], "-", 
       RowBox[{"0.03957019882489008`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.04423224916736396`"}], "+", 
       RowBox[{"0.0513268321846721`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.020101228425311805`"}], "-", 
       RowBox[{"0.015704454591613178`", " ", "\[ImaginaryI]"}]}], 
      "0.3440201136373922`", 
      RowBox[{"0.03458243873127294`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.009398653041238226`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.1374205718615703`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06500116264295698`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.14313847374284375`"}], "+", 
       RowBox[{"0.03957019882489008`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.03458243873127294`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.009398653041238226`", " ", "\[ImaginaryI]"}]}], 
      "0.3995780117543255`", 
      RowBox[{
       RowBox[{"-", "0.027656253683719226`"}], "-", 
       RowBox[{"0.032535004090466696`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.04423224916736396`"}], "-", 
       RowBox[{"0.0513268321846721`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.1374205718615703`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06500116264295698`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.027656253683719226`"}], "+", 
       RowBox[{"0.032535004090466696`", " ", "\[ImaginaryI]"}]}], 
      "0.17049036701273917`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572075047191877`*^9},
 CellTags->"b:4.1.1",ExpressionUUID->"3771325a-00a4-4328-a1bc-97889ba84d7f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0.4819100894459024`"},
      {"0.42502540284938484`"},
      {"0.09275089030390991`"},
      {"0.0003136174008030165`"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207504724476*^9},
 CellTags->"b:4.1.1",ExpressionUUID->"49d29df9-24a9-4d75-99a9-2ee6a7f857ce"]
}, Open  ]],

Cell[TextData[{
 "We also need the ",
 StyleBox["entangled state made of qubits 3, 4, 5, and 6",
  FontWeight->"Bold"],
 " which is constructed as:"
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.1.1",ExpressionUUID->"28285b0d-5e4f-41fd-b7b7-aa89cad94c3a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "1"], "=", 
   RowBox[{"AF", "[", 
    RowBox[{
     SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", 
     SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", 
     SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", 
     SubscriptBox["\[ScriptCapitalP]", "0"]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OpE", "=", 
   RowBox[{
    RowBox[{"CNOT", "[", 
     RowBox[{"4", ",", "2", ",", "4"}], "]"}], ".", 
    RowBox[{"had", "[", 
     RowBox[{"4", ",", "2"}], "]"}], ".", 
    RowBox[{"CNOT", "[", 
     RowBox[{"4", ",", "1", ",", "3"}], "]"}], ".", 
    RowBox[{"had", "[", 
     RowBox[{"4", ",", "1"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  SubscriptBox["\[Rho]", "3456"], "=", " ", 
  RowBox[{"OpE", ".", 
   SubscriptBox["\[Rho]", "1"], ".", 
   RowBox[{"Adj", "[", "OpE", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", 
  SubscriptBox["\[Rho]", "3456"], "]"}]}], "Input",
 CellChangeTimes->{{3.614162853754754*^9, 3.614162882341107*^9}, {
  3.8572069246797047`*^9, 3.857206924682106*^9}},
 CellTags->"b:4.1.1",ExpressionUUID->"1c9fa99d-7d55-4d9c-a257-ff844b0626e4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "4"], "0", "0", "0", "0", 
      FractionBox["1", "4"], "0", "0", "0", "0", 
      FractionBox["1", "4"], "0", "0", "0", "0", 
      FractionBox["1", "4"]},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {
      FractionBox["1", "4"], "0", "0", "0", "0", 
      FractionBox["1", "4"], "0", "0", "0", "0", 
      FractionBox["1", "4"], "0", "0", "0", "0", 
      FractionBox["1", "4"]},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {
      FractionBox["1", "4"], "0", "0", "0", "0", 
      FractionBox["1", "4"], "0", "0", "0", "0", 
      FractionBox["1", "4"], "0", "0", "0", "0", 
      FractionBox["1", "4"]},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {
      FractionBox["1", "4"], "0", "0", "0", "0", 
      FractionBox["1", "4"], "0", "0", "0", "0", 
      FractionBox["1", "4"], "0", "0", "0", "0", 
      FractionBox["1", "4"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207504742021*^9},
 CellTags->"b:4.1.1",ExpressionUUID->"a2687710-3330-4015-a45b-8c7a8c46f582"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207504747645*^9},
 CellTags->"b:4.1.1",ExpressionUUID->"0e0d5aaa-84ed-4ea1-9a80-83a1b4407d95"]
}, Open  ]],

Cell["Then the FULL density matrix for the \"initial\" system is:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.1.1",ExpressionUUID->"bbca576d-9782-490b-a15d-a8483f70c997"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "0"], "=", 
   RowBox[{"AF", "[", 
    RowBox[{
     SubscriptBox["\[Rho]", "AB"], "\[CircleTimes]", 
     SubscriptBox["\[Rho]", "3456"]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", 
  SubscriptBox["\[Rho]", "0"], "]"}]}], "Input",
 CellChangeTimes->{{3.614162904074505*^9, 3.614162921344118*^9}, 
   3.8572069246841383`*^9},
 CellTags->"b:4.1.1",ExpressionUUID->"3ba1dc8c-ce93-41d0-adec-66725d2d1033"],

Cell[BoxData[
 TagBox[
  RowBox[{"1.`", "\[VeryThinSpace]", "+", 
   RowBox[{"0.`", " ", "\[ImaginaryI]"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207504755385*^9},
 CellTags->"b:4.1.1",ExpressionUUID->"1f308202-b115-42e2-a8d0-2e5de64b2052"]
}, Open  ]],

Cell["is the full density matrix hermitian?", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.1.1",ExpressionUUID->"9d9ecb38-6224-4ea4-ac22-da9a4f5b1427"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{
       RowBox[{"Adj", "[", 
        SubscriptBox["\[Rho]", "0"], "]"}], " ", "-", 
       SubscriptBox["\[Rho]", "0"]}], "]"}], "\[Equal]", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Length", "[", 
          SubscriptBox["\[Rho]", "0"], "]"}], ",", 
         RowBox[{"Length", "[", 
          SubscriptBox["\[Rho]", "0"], "]"}]}], "}"}]}], "]"}]}], ",", 
    RowBox[{"Print", "[", "\"\<Hermitian\>\"", "]"}], ",", 
    RowBox[{"Print", "[", "\"\<Not Hermitian\>\"", "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.395092188543119*^9, 3.3950922073352137`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:4.1.1",ExpressionUUID->"07bb5431-3638-4999-b8e5-097eb3004a0e"],

Cell[BoxData["\<\"Hermitian\"\>"], "Print",
 CellChangeTimes->{3.857207504772419*^9},
 CellTags->"b:4.1.1",ExpressionUUID->"e0caed7c-d222-45ed-a962-a8de671a85d5"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 2: Alice operates on her four qubits", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:10", "b:4.1.2"},ExpressionUUID->"c0bcab74-60c9-4572-85b3-f37598d43a56"],

Cell["\<\
Alice operations can be constructed easily in the 6 qubit space: 
[This is one of the important features of working in the Density matrix \
approach:
the mapping between the circuit in the Figure and the operations is \
straightforward] \
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.1.2",ExpressionUUID->"dfd8c13b-ede7-4993-a437-77d6f1dd0517"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"Bop", "[", 
    RowBox[{
    "qi_", ",", "qj_", ",", "qk_", ",", "ql_", ",", "qm_", ",", "qn_"}], 
    "]"}], ":=", 
   RowBox[{
    RowBox[{"had", "[", 
     RowBox[{"6", ",", "qi"}], "]"}], ".", 
    RowBox[{"had", "[", 
     RowBox[{"6", ",", "qj"}], "]"}], ".", 
    RowBox[{"CNOT", "[", 
     RowBox[{"6", ",", "qi", ",", "qk"}], "]"}], ".", 
    RowBox[{"CNOT", "[", 
     RowBox[{"6", ",", "qj", ",", "ql"}], "]"}]}]}]}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.1.2",ExpressionUUID->"da4c98c5-2117-4f12-a89c-3229326a44e4"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 3: The final state density matrix is obtained", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:11", "b:4.1.3"},ExpressionUUID->"12d46fbb-323b-4225-9a6f-dcb386cc935b"],

Cell["\<\
The application of Alice operations to the initial density matrix is readily \
evaluated:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.1.3",ExpressionUUID->"0eeaefa7-b572-45da-aff0-847b0c5b58fc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox[" ",
   FontSize->12], 
  RowBox[{
   StyleBox[
    RowBox[{
     RowBox[{
      SubscriptBox["\[Rho]", "E"], "  ", ":=", " ", 
      RowBox[{
       RowBox[{"Bop", "[", 
        RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6"}], 
        "]"}], ".", 
       SubscriptBox["\[Rho]", "0"], ".", 
       RowBox[{"Adj", "[", 
        RowBox[{"Bop", "[", 
         RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6"}], 
         "]"}], "]"}]}]}], ";"}],
    FontSize->12], 
   StyleBox["\[IndentingNewLine]",
    FontSize->12], 
   RowBox[{
    StyleBox["Chop",
     FontSize->12], 
    StyleBox["[",
     FontSize->12], 
    RowBox[{"Tr", "[", 
     SubscriptBox["\[Rho]", "E"], "]"}], "]"}]}]}]], "Input",
 FontFamily->"Courier New",
 FontSize->12,
 CellTags->"b:4.1.3",ExpressionUUID->"68ba37c6-b614-46c5-affa-3e26dbc7c0a6"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207504942622*^9},
 CellTags->"b:4.1.3",ExpressionUUID->"03528eb5-af98-4c65-a324-96afa846db7d"]
}, Open  ]],

Cell["\<\
We can check that the density matrix is proper by computing its trace and the \
trace 
of it squared (Purity):\
\>", "Text",
 CellChangeTimes->{{3.61416299175251*^9, 3.614162992876379*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:4.1.3",ExpressionUUID->"443b369e-726d-4d2b-ba36-32626dc28ab9"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Simplify", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{"Tr", "[", 
    SubscriptBox["\[Rho]", "E"], "]"}], "]"}], "]"}], "\n", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{"Purity", "[", 
    SubscriptBox["\[Rho]", "E"], "]"}], "]"}], "]"}]}], "Input",
 CellTags->"b:4.1.3",ExpressionUUID->"d562ec6c-c684-4d87-a179-572d7a9c11b3"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207505128084*^9},
 CellTags->"b:4.1.3",ExpressionUUID->"f6ed60d8-4d96-4969-9b6d-a9d78800c4b4"],

Cell[BoxData[
 TagBox["0.4214867533850816`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207506184945*^9},
 CellTags->"b:4.1.3",ExpressionUUID->"4e6adf3f-f66b-4fb1-a7cd-a40f87cdc2a9"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 4: Alice measures her four qubits, 1,2,3,4", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:12", "b:4.1.4"},ExpressionUUID->"c749c578-79c4-4c18-bc56-b9ed4c63947d"],

Cell["\<\
Measurements are performed by means of projection operators. The projection \
operator on qubits 1,2,3,4 is written:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.1.4",ExpressionUUID->"faba93de-1014-4100-99f8-7537b61dd4ed"],

Cell[BoxData[
 RowBox[{
  SubscriptBox["P", 
   RowBox[{"a_", ",", "b_", ",", "c_", ",", "d_"}]], ":=", 
  RowBox[{
   StyleBox[
    RowBox[{"A", 
     StyleBox["F",
      ScriptLevel->0]}]], 
   StyleBox["[",
    ScriptLevel->0], 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", 
     StyleBox["a",
      ScriptLevel->0]], 
    StyleBox["\[CircleTimes]",
     ScriptLevel->0], 
    StyleBox[
     SubscriptBox["\[ScriptCapitalP]", 
      StyleBox["b",
       ScriptLevel->0]],
     ScriptLevel->0], 
    StyleBox["\[CircleTimes]",
     ScriptLevel->0], 
    StyleBox[
     SubscriptBox["\[ScriptCapitalP]", 
      StyleBox["c",
       ScriptLevel->0]],
     ScriptLevel->0], 
    StyleBox["\[CircleTimes]",
     ScriptLevel->0], 
    StyleBox[
     SubscriptBox["\[ScriptCapitalP]", 
      StyleBox["d",
       ScriptLevel->0]],
     ScriptLevel->0], 
    StyleBox["\[CircleTimes]",
     ScriptLevel->0], 
    StyleBox["\[DoubleStruckCapitalI]",
     ScriptLevel->0], 
    StyleBox["\[CircleTimes]",
     ScriptLevel->0], 
    StyleBox["\[DoubleStruckCapitalI]",
     ScriptLevel->0]}], 
   StyleBox["]",
    ScriptLevel->0]}]}]], "Input",
 CellChangeTimes->{{3.6141630068845797`*^9, 3.614163045358687*^9}, {
  3.8572069246896772`*^9, 3.85720692469501*^9}},
 CellTags->"b:4.1.4",ExpressionUUID->"082f81a8-3026-42a2-adc2-ee10b3c17952"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[Cell[TextData[Cell[BoxData[
    FormBox[
    Cell["",ExpressionUUID->"e1539252-3e38-4ae5-90ef-51c48383b8b1"], 
     TraditionalForm]],ExpressionUUID->
    "b7fc48d1-2b56-4a9c-9cdb-1228ec0b5651"]],ExpressionUUID->
    "c4c09b28-b9c1-4318-87a5-6af5eb4ddb6a"], TraditionalForm]],ExpressionUUID->
  "9e296917-1732-4fcd-a0e0-c6ba8c2fb361"],
 "Step 5: Bob state is computed "
}], "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:13", "b:4.1.5"},ExpressionUUID->"c15e7341-e1dd-4516-b7c4-11a1e8497478"],

Cell["\<\
Bob's two qubit state, made of qubits 5 and 6, is obtained by taking the \
partial trace of the full final state after 
Alice's measurement (here is written in general depending on the four values \
of alice measurement)\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.1.5",ExpressionUUID->"6dd55fb9-d502-45af-b2c4-44ec9d3c89a4"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Bob", "[", 
    RowBox[{"a_", ",", "b_", ",", "c_", ",", "d_"}], "]"}], ":=", 
   RowBox[{"Chop", "[", " ", 
    RowBox[{"PTr", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}], "  ", ",", 
      RowBox[{
       RowBox[{"2", "^", "4"}], "*", 
       RowBox[{
        SubscriptBox["P", 
         RowBox[{"a", ",", "b", ",", "c", ",", "d"}]], ".", 
        SubscriptBox["\[Rho]", "E"], ".", 
        SubscriptBox["P", 
         RowBox[{"a", ",", "b", ",", "c", ",", "d"}]]}]}]}], " ", "]"}], 
    "]"}]}], ";"}]], "Input",
 CellTags->"b:4.1.5",ExpressionUUID->"e0963b27-3998-4a79-96dc-7090b3b989d9"],

Cell["\<\
Alice measurement is produced at random, the result of her measurement is \
P1,P2,P3,P4\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.1.5",ExpressionUUID->"068b1120-f11e-4bb2-8c38-b38e46a9dfe9"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"P1", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"P2", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"P3", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"P4", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{"{", 
  RowBox[{"P1", ",", "P2", ",", "P3", ",", "P4"}], "}"}]}], "Input",
 CellTags->"b:4.1.5",ExpressionUUID->"f8cd2baa-06b1-4e1d-958a-0ae117afb7f2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"},
      {"1"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207506352556*^9},
 CellTags->"b:4.1.5",ExpressionUUID->"fd021388-6e64-4021-a946-1216ffe39bef"]
}, Open  ]],

Cell[TextData[{
 "Bob state, once Alice has ",
 StyleBox["clasically communicated",
  FontWeight->"Bold"],
 " P1,P2,P3,P4 reads:"
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.1.5",ExpressionUUID->"54f265f1-d800-4aa6-8298-8616c154d392"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SubscriptBox["\[Rho]", "Bob"], "=", 
  RowBox[{"Bob", "[", 
   RowBox[{"P1", ",", "P2", ",", "P3", ",", "P4"}], "]"}]}]], "Input",
 CellTags->"b:4.1.5",ExpressionUUID->"d467541c-a574-4740-8ed8-d5ef349951a5"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.3440201136373922`", 
      RowBox[{
       RowBox[{"-", "0.020101228425311805`"}], "-", 
       RowBox[{"0.01570445459161318`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.1374205718615703`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06500116264295698`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.03458243873127294`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.009398653041238228`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.020101228425311805`"}], "+", 
       RowBox[{"0.01570445459161318`", " ", "\[ImaginaryI]"}]}], 
      "0.08591150759554311`", 
      RowBox[{
       RowBox[{"-", "0.04423224916736396`"}], "+", 
       RowBox[{"0.0513268321846721`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.14313847374284372`"}], "-", 
       RowBox[{"0.039570198824890074`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.1374205718615703`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06500116264295698`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.04423224916736396`"}], "-", 
       RowBox[{"0.0513268321846721`", " ", "\[ImaginaryI]"}]}], 
      "0.17049036701273917`", 
      RowBox[{
       RowBox[{"-", "0.027656253683719226`"}], "+", 
       RowBox[{"0.032535004090466696`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.03458243873127294`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.009398653041238228`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.14313847374284372`"}], "+", 
       RowBox[{"0.039570198824890074`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.027656253683719226`"}], "-", 
       RowBox[{"0.032535004090466696`", " ", "\[ImaginaryI]"}]}], 
      "0.3995780117543255`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207506738587*^9},
 CellTags->"b:4.1.5",ExpressionUUID->"1458c8f7-c7bc-4bc0-879d-472605f65a98"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[Cell[TextData[Cell[BoxData[
    FormBox[
    Cell["",ExpressionUUID->"cf2f1e5f-0215-40d0-9cbe-4d7853b5e440"], 
     TraditionalForm]],ExpressionUUID->
    "0296e4a3-eef1-4975-8ab7-921d225b1b61"]],ExpressionUUID->
    "a90456bd-40b6-484d-b223-645c0003c01d"], TraditionalForm]],ExpressionUUID->
  "e9e10df8-e554-4962-8ca4-e0b627bb3723"],
 "Step 6: Bob performs an arranged transformation on its state to recover the \
initial state"
}], "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:14", "b:4.1.6"},ExpressionUUID->"cdd79a88-889e-439b-a084-abf7a8b4b8ea"],

Cell["\<\
The coding of the operations is quite compact altough it could be improved \
slightly\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.1.6",ExpressionUUID->"d1761e6e-7267-4e2f-822e-c9b6f347af54"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"I1", "=", 
   RowBox[{
    RowBox[{"P1", "*", "2"}], "+", "P3"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"I2", "=", 
   RowBox[{
    RowBox[{"P2", "*", "2"}], "+", "P4"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", " ", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"P1", "*", "2"}], "+", "P3"}], "\[Equal]", "2"}], ",", " ", 
    RowBox[{"I1", "=", "3"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", " ", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"P1", "*", "2"}], "+", "P3"}], "\[Equal]", "3"}], ",", " ", 
    RowBox[{"I1", "=", "2"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", " ", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"P2", "*", "2"}], "+", "P4"}], "\[Equal]", "2"}], ",", " ", 
    RowBox[{"I2", "=", "3"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", " ", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"P2", "*", "2"}], "+", "P4"}], "\[Equal]", "3"}], ",", " ", 
    RowBox[{"I2", "=", "2"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"TrasF", "=", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[Sigma]", "I1"], " ", "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "I2"]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.614163091243196*^9, 3.614163105553261*^9}, 
   3.857206924701955*^9},
 CellTags->"b:4.1.6",ExpressionUUID->"02151a94-f85d-43fa-bc5c-f3bf3031b52c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "1", "0", "0"},
     {"1", "0", "0", "0"},
     {"0", "0", "0", "1"},
     {"0", "0", "1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207506753241*^9},
 CellTags->"b:4.1.6",ExpressionUUID->"d9866c43-9005-49b2-ae4d-d4f0abe46268"]
}, Open  ]],

Cell["\<\
The 2 qubit state in Bob\[CloseCurlyQuote]s hands after the transformation \
reads:\
\>", "Text",
 CellChangeTimes->{{3.614163113898999*^9, 3.6141631282411757`*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:4.1.6",ExpressionUUID->"d60bd19a-2e10-4b77-b7b8-457aeeed654d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"BobT", "=", " ", 
  RowBox[{"Chop", "[", 
   RowBox[{"TrasF", ".", 
    SubscriptBox["\[Rho]", "Bob"], ".", 
    RowBox[{"Adj", "[", "TrasF", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Eigenvalues", "[", "BobT", "]"}], "]"}]}], "Input",
 CellTags->"b:4.1.6",ExpressionUUID->"615c9fcd-f093-499e-a3fd-8c62c74f1e65"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.08591150759554311`", 
      RowBox[{
       RowBox[{"-", "0.020101228425311805`"}], "+", 
       RowBox[{"0.01570445459161318`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.14313847374284372`"}], "-", 
       RowBox[{"0.039570198824890074`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.04423224916736396`"}], "+", 
       RowBox[{"0.0513268321846721`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.020101228425311805`"}], "-", 
       RowBox[{"0.01570445459161318`", " ", "\[ImaginaryI]"}]}], 
      "0.3440201136373922`", 
      RowBox[{"0.03458243873127294`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.009398653041238228`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.1374205718615703`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06500116264295698`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.14313847374284372`"}], "+", 
       RowBox[{"0.039570198824890074`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.03458243873127294`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.009398653041238228`", " ", "\[ImaginaryI]"}]}], 
      "0.3995780117543255`", 
      RowBox[{
       RowBox[{"-", "0.027656253683719226`"}], "-", 
       RowBox[{"0.032535004090466696`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.04423224916736396`"}], "-", 
       RowBox[{"0.0513268321846721`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.1374205718615703`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06500116264295698`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.027656253683719226`"}], "+", 
       RowBox[{"0.032535004090466696`", " ", "\[ImaginaryI]"}]}], 
      "0.17049036701273917`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207506777722*^9},
 CellTags->"b:4.1.6",ExpressionUUID->"79b07d45-c320-44c2-96e2-3cd2b3a4a4d2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0.4819100894459023`"},
      {"0.425025402849385`"},
      {"0.09275089030390993`"},
      {"0.00031361740080300263`"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572075067851954`*^9},
 CellTags->"b:4.1.6",ExpressionUUID->"9ae271c8-3630-46bd-b766-ba83cb366419"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[Cell[TextData[Cell[BoxData[
    FormBox[
    Cell["",ExpressionUUID->"4c1bf02d-059d-4636-8c15-9f8e9f34af48"], 
     TraditionalForm]],ExpressionUUID->
    "2c24a890-84ef-404d-8df5-93e57b177cd2"]],ExpressionUUID->
    "c4809084-4ec3-4eaa-8e34-be4d4b375f32"], TraditionalForm]],ExpressionUUID->
  "2783ccd2-fd0d-43a4-8e7a-e0393b6f7fe4"],
 "Step 7: Moment of truth, we compare both initial Alice state and final Bob \
state"
}], "Subsection",
 CellFrame->True,
 CellChangeTimes->{3.512214416691491*^9},
 FontFamily->"Times",
 CellTags->{
  "c:15", "b:4.1.7"},ExpressionUUID->"b7da26f1-cd47-4d86-89b8-c541f3a60ca1"],

Cell["\<\
The 2qubit state density matrix that Bob has is characterized by :\
\>", "Text",
 CellChangeTimes->{{3.614163142146357*^9, 3.61416314275284*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:4.1.7",ExpressionUUID->"03d0879c-d629-4807-be6e-9e2dcf27d57c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"T", "[", 
    RowBox[{"i_", ",", "j_"}], "]"}], ":=", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"AF", "[", 
      RowBox[{
       SubscriptBox["\[Sigma]", "i"], "\[CircleTimes]", 
       SubscriptBox["\[Sigma]", "j"]}], "]"}], ".", "BobT"}], 
    StyleBox[" ",
     FontSize->12], 
    StyleBox["]",
     FontSize->12]}]}], 
  StyleBox[";",
   FontSize->12]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox["PA",
    FontSize->12], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"T", "[", 
       RowBox[{"1", ",", "0"}], "]"}],
      FontSize->12], 
     StyleBox[",",
      FontSize->12], 
     RowBox[{"T", "[", 
      RowBox[{"2", ",", "0"}], "]"}], ",", 
     RowBox[{"T", "[", 
      RowBox[{"3", ",", "0"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox["PB",
    FontSize->12], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"T", "[", 
       RowBox[{"0", ",", "1"}], "]"}],
      FontSize->12], 
     StyleBox[",",
      FontSize->12], 
     RowBox[{"T", "[", 
      RowBox[{"0", ",", "2"}], "]"}], ",", 
     RowBox[{"T", "[", 
      RowBox[{"0", ",", "3"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{"T", 
     StyleBox["AB",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox["Table",
      FontSize->12], 
     StyleBox["[",
      FontSize->12], 
     RowBox[{
      StyleBox[
       RowBox[{"T", "[", 
        RowBox[{"i", ",", "j"}], "]"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", "PA", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", "PB", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", "TAB", "]"}]}], "Input",
 CellChangeTimes->{{3.6141631528674726`*^9, 3.614163174737708*^9}, 
   3.857206924706913*^9},
 CellTags->"b:4.1.7",ExpressionUUID->"f951c528-bedc-4182-a572-094b1fdb9e62"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "0.011435803762546826`"}]},
      {
       RowBox[{"-", "0.050861927636133814`"}]},
      {
       RowBox[{"-", "0.14013675753412935`"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207506795755*^9},
 CellTags->"b:4.1.7",ExpressionUUID->"ed59737c-2949-4bc3-aad2-a49b3cd9cbc9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "0.09551496421806206`"}]},
      {"0.03366109899770703`"},
      {
       RowBox[{"-", "0.02902096130026277`"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572075068020353`*^9},
 CellTags->"b:4.1.7",ExpressionUUID->"de791807-300c-4baf-92d7-98645dc72e68"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "0.01929962087218204`"}]},
          {
           RowBox[{"-", "0.12145097045182066`"}]},
          {
           RowBox[{"-", "0.561118091208828`"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "0.08385635828686774`"}]},
          {"0.1576293757972738`"},
          {"0.20914272293569414`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.01511005051681484`"},
          {
           RowBox[{"-", "0.09647891736415976`"}]},
          {
           RowBox[{"-", "0.4871962507834355`"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572075068084097`*^9},
 CellTags->"b:4.1.7",ExpressionUUID->"49e51967-0085-413c-893e-7af7036d159c"]
}, Open  ]],

Cell["\<\
...which we can compare to the original two qubit density matrix:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.1.7",ExpressionUUID->"313a67f4-49b3-4345-99bf-9420544f1b7f"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"TT", "[", 
    RowBox[{"i_", ",", "j_"}], "]"}], ":=", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"AF", "[", 
      RowBox[{
       SubscriptBox["\[Sigma]", "i"], "\[CircleTimes]", 
       SubscriptBox["\[Sigma]", "j"]}], "]"}], ".", 
     SubscriptBox["\[Rho]", "AB"]}], 
    StyleBox[" ",
     FontSize->12], 
    StyleBox["]",
     FontSize->12]}]}], 
  StyleBox[";",
   FontSize->12]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{"T", 
     StyleBox["PA",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"TT", "[", 
       RowBox[{"1", ",", "0"}], "]"}],
      FontSize->12], 
     StyleBox[",",
      FontSize->12], 
     RowBox[{"TT", "[", 
      RowBox[{"2", ",", "0"}], "]"}], ",", 
     RowBox[{"TT", "[", 
      RowBox[{"3", ",", "0"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{"T", 
     StyleBox["PB",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"TT", "[", 
       RowBox[{"0", ",", "1"}], "]"}],
      FontSize->12], 
     StyleBox[",",
      FontSize->12], 
     RowBox[{"TT", "[", 
      RowBox[{"0", ",", "2"}], "]"}], ",", 
     RowBox[{"TT", "[", 
      RowBox[{"0", ",", "3"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{"TT", 
     StyleBox["AB",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox["Table",
      FontSize->12], 
     StyleBox["[",
      FontSize->12], 
     RowBox[{
      StyleBox[
       RowBox[{"TT", "[", 
        RowBox[{"i", ",", "j"}], "]"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", "TPA", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", "TPB", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", "TTAB", "]"}]}], "Input",
 CellChangeTimes->{{3.6141632084298162`*^9, 3.614163211229075*^9}, 
   3.857206924710472*^9},
 CellTags->"b:4.1.7",ExpressionUUID->"ae4441a7-fce4-479a-b205-d45697ed00d9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "0.011435803762546881`"}]},
      {
       RowBox[{"-", "0.0508619276361338`"}]},
      {
       RowBox[{"-", "0.14013675753412935`"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207506841463*^9},
 CellTags->"b:4.1.7",ExpressionUUID->"ffd59fb4-fa6d-493a-ae36-f154d33ff19a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "0.09551496421806206`"}]},
      {"0.033661098997707035`"},
      {
       RowBox[{"-", "0.02902096130026277`"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207506850316*^9},
 CellTags->"b:4.1.7",ExpressionUUID->"f3d51ecc-1fb8-4103-bf63-056bfc9a7fbf"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "0.01929962087218204`"}]},
          {
           RowBox[{"-", "0.12145097045182066`"}]},
          {
           RowBox[{"-", "0.561118091208828`"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "0.08385635828686774`"}]},
          {"0.1576293757972738`"},
          {"0.20914272293569414`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.01511005051681484`"},
          {
           RowBox[{"-", "0.09647891736415976`"}]},
          {
           RowBox[{"-", "0.4871962507834355`"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85720750685777*^9},
 CellTags->"b:4.1.7",ExpressionUUID->"e4256d0f-6012-4779-9c68-81d44a9ed55a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Chop", "[", 
  RowBox[{
   SubscriptBox["\[Rho]", "AB"], "-", "BobT"}], 
  StyleBox[" ",
   FontSize->12], 
  StyleBox["]",
   FontSize->12]}]], "Input",
 CellTags->"b:4.1.7",ExpressionUUID->"95e46b35-7b70-4d32-8183-982d005b12b0"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207506872884*^9},
 CellTags->"b:4.1.7",ExpressionUUID->"ff9f9d66-f3cd-48dd-b8f5-fa8fdd9680a0"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Step 8: For completeness all one qubit partial traces are shown\
\>", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:16", "b:4.1.8"},ExpressionUUID->"273370b1-c18f-436d-9554-ccd679e463c2"],

Cell[CellGroupData[{

Cell[BoxData[{
 StyleBox[
  RowBox[{
   SubscriptBox["\[Rho]", 
    RowBox[{"1", "F"}]], "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"PTr", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2", ",", "3", ",", "4", ",", "5", ",", "6"}], "}"}], ",", 
      SubscriptBox["\[Rho]", "E"]}], "]"}], "]"}]}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   SubscriptBox["\[Rho]", 
    RowBox[{"2", "F"}]], "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"PTr", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "3", ",", "4", ",", "5", ",", "6"}], "}"}], ",", 
      SubscriptBox["\[Rho]", "E"]}], "]"}], "]"}]}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   SubscriptBox["\[Rho]", 
    RowBox[{"3", "F"}]], "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"PTr", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "4", ",", "5", ",", "6"}], "}"}], ",", 
      SubscriptBox["\[Rho]", "E"]}], "]"}], "]"}]}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   SubscriptBox["\[Rho]", 
    RowBox[{"4", "F"}]], "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"PTr", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "3", ",", "5", ",", "6"}], "}"}], ",", 
      SubscriptBox["\[Rho]", "E"]}], "]"}], "]"}]}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   SubscriptBox["\[Rho]", 
    RowBox[{"5", "F"}]], "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"PTr", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "6"}], "}"}], ",", 
      SubscriptBox["\[Rho]", "E"]}], "]"}], "]"}]}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   SubscriptBox["\[Rho]", 
    RowBox[{"6", "F"}]], "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"PTr", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}], ",", 
      SubscriptBox["\[Rho]", "E"]}], "]"}], "]"}]}],
  FontSize->12]}], "Input",
 CellTags->"b:4.1.8",ExpressionUUID->"7ad677f3-b98c-4946-8ddc-50df14d0f442"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.5`", 
      RowBox[{"-", "0.07006837876706468`"}]},
     {
      RowBox[{"-", "0.0700683787670647`"}], "0.49999999999999994`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572075072862673`*^9},
 CellTags->"b:4.1.8",ExpressionUUID->"46578df6-8101-4e39-b4f9-d32cee78056f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.5`", 
      RowBox[{"-", "0.014510480650131382`"}]},
     {
      RowBox[{"-", "0.014510480650131382`"}], "0.5`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207507609289*^9},
 CellTags->"b:4.1.8",ExpressionUUID->"844b4b36-bf1d-40b9-b395-569a1ac7de2d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.5`", "0"},
     {"0", "0.5`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207507941819*^9},
 CellTags->"b:4.1.8",ExpressionUUID->"67333fc5-da40-48b8-9ab8-3b6e349a4ae2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.5`", "0"},
     {"0", "0.5`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207508266675*^9},
 CellTags->"b:4.1.8",ExpressionUUID->"5a78ebfc-2b93-4425-baa1-ee732fe5b5f7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.5`", "0"},
     {"0", "0.5`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207508557625*^9},
 CellTags->"b:4.1.8",ExpressionUUID->"185c1c53-1b32-4d4a-b4d0-563e133e8bf3"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.5`", "0"},
     {"0", "0.5`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572075087781553`*^9},
 CellTags->"b:4.1.8",ExpressionUUID->"3a82efb4-8031-4cfd-b127-fd59db7dd6b7"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Three qubit teleportation algorithm using 9 qubits.     To open double click \
at down arrow---------------->>\
\>", "Section",
 CellChangeTimes->{{3.512212824851755*^9, 3.512212842876913*^9}, {
  3.5122145762167873`*^9, 3.512214579366783*^9}, {3.512214621492093*^9, 
  3.51221463179173*^9}},
 FontFamily->"Times",
 CellTags->"c:17",ExpressionUUID->"32a6521c-8024-426f-8f50-42ee2fcf7c90"],

Cell[CellGroupData[{

Cell["Introduction", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:3", "b:4.2.0"},ExpressionUUID->"1fe074e8-3024-42d3-a278-cd2ca10a5b90"],

Cell[TextData[StyleBox["Uses the Qdensity package:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:4.2.0",ExpressionUUID->"3d627fec-473e-481a-a6c6-ee7578354323"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.2.0",ExpressionUUID->"f70d159a-9a4e-4974-8ee7-46623c2f9c20"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "QDENSITY`Qdensity`*"}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.2.0",ExpressionUUID->"cbb67fb3-c6a6-4b35-b9c4-8f67843032c8"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["about", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "about", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Discord", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Discord", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "MeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "RandomBra2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma0", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Sigma0", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ws", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "ws", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Adj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Adj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "EnTropy", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiProjCBasis", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "MultiProjCBasis", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBraN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "RandomBraN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Sigma1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["AF", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "AF", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "EnTropy2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiQProj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "MultiQProj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "RandomKet1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Sigma2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Bra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Bra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Fidelity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Fidelity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Mutual", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Mutual", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "RandomKet2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Sigma3", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "BraV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["FidelityB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "FidelityB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "nb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKetN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "RandomKetN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Snos", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Snos", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "BraX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["neg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "neg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "RandomQubit1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SP", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "SP", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroMatrix", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "ZeroMatrix", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "BraY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nneg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "nneg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "RandomQubit2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SpinObs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "SpinObs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "ZeroT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CNOT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "CNOT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Hadamard", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Hadamard", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nq", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "nq", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubitN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "RandomQubitN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stA", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "stA", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalH]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "\[ScriptCapitalH]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Coeff", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Coeff", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["HALL", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "HALL", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OneOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "OneOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsDate", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "rcsDate", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "stB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "\[ScriptCapitalP]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Comm", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Comm", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["i8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "i8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Oracle", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Oracle", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsRevision", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "rcsRevision", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Swap", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Swap", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[DoubleStruckCapitalI]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "\[DoubleStruckCapitalI]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompMeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "CompMeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["intro", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "intro", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTrace", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "PartialTrace", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "res1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "s$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "\[Rho]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompPTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "CompPTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["j8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "j8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTraceGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "PartialTraceGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "res1$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ThreeOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "ThreeOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "\[Rho]$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "ControlledX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Ket1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Ket1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTranspose", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "PartialTranspose", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "res2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Toffoli", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Toffoli", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Sigma]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "\[Sigma]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "ControlledY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "KetV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ProjG", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "ProjG", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "res2$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "ts", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "\[Phi]A1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "ControlledZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "KetX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "PTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Rotqbit", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Rotqbit", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "ts$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "\[Phi]A2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASE", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "CPHASE", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "KetY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTrGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "PTrGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "RotX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["TwoOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "TwoOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "\[Phi]B1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASEV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "CPHASEV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "mc", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Purity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Purity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "RotY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["U", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "U", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "\[Phi]B2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["cRQN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "cRQN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "mcl", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "PX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "RotZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "v", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[CapitalOmega]s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "\[CapitalOmega]s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Definef", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Definef", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "mcl$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "PY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Vs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Vs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], ""},
                {
                 ButtonBox[
                  StyleBox["DForm2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "DForm2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "mc$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "RandomBra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Schmidt", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "Schmidt", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-0c931cde-b56d-45c3-a941-285a05791b54", {
                    "v$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], ""}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.15833333333333333`]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572075513361073`*^9},
 CellTags->"b:4.2.0",ExpressionUUID->"6d60d295-6ffe-45cd-a4d7-0cf343da86ea"]
}, Open  ]],

Cell[TextData[StyleBox["We set the number of Qubits to 9", "DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.2.0",ExpressionUUID->"6750a886-c929-41cd-8647-3d385577c5e1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"nqx", "=", 
   RowBox[{"3", "*", "3"}]}], ";"}]], "Input",
 CellTags->"b:4.2.0",ExpressionUUID->"55ba9898-94f3-4bf7-8a8c-5722f8a5303a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"figure", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<QDENSITY/drawings/3teleport.png\>\"", ",", "\"\<PNG\>\""}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"Show", "[", "figure", "]"}]}], "Input",
 CellTags->"b:4.2.0",ExpressionUUID->"50abcc7f-fb89-4d11-89d5-ef08ec07ed5b"],

Cell[BoxData[
 TagBox[
  GraphicsBox[RasterBox[CompressedData["
1:eJztnXdg1cQfwK9lDwERWf5EUFkCAgUpiExZWpRVZMmWJTJkTwXZAorIngoU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    "], {{0, 0}, {550., 388.}}, {0, 255},
    ColorFunction->GrayLevel,
    ImageResolution->{72, 72}],
   PlotRange->{{0, 550.}, {0, 388.}}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207551365479*^9},
 CellTags->"b:4.2.0",ExpressionUUID->"dbd8b123-30fd-49ac-af0b-73c6cbf03423"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Step 1: Alice  prepares the three qubit state to be teleported\
\>", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:18", "b:4.2.1"},ExpressionUUID->"7bde9ee7-9cbd-4305-8395-c232f4a05ad3"],

Cell["\<\
Alice builds the density matrix to be teleported. Qubits 1, 2 and 3. Here the \
teleported
state is constructed at random in the following way:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.2.1",ExpressionUUID->"4594c61f-62f2-4377-8a15-969077b52897"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SubscriptBox["\[Rho]", "123"], " ", "=", 
  RowBox[{"RandomQubitN", "[", "3", "]"}]}]], "Input",
 CellChangeTimes->{{3.614163357698742*^9, 3.614163383515356*^9}},
 CellTags->"b:4.2.1",ExpressionUUID->"12524360-9c33-4d8d-afe0-9b19af290c34"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.1413962186051878`", 
      RowBox[{
       RowBox[{"-", "0.03524742554632603`"}], "+", 
       RowBox[{"0.05614685344116346`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.04921811937072527`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.020360687891293736`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.01938824496680151`"}], "+", 
       RowBox[{"0.004947606566027841`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.008745704419013864`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.006252356629857511`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.04053372409085469`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.004572864008573676`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.018260047514261604`"}], "+", 
       RowBox[{"0.011967783321195925`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.019337575658829317`"}], "-", 
       RowBox[{"0.0008593278839066438`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.03524742554632603`"}], "-", 
       RowBox[{"0.05614685344116346`", " ", "\[ImaginaryI]"}]}], 
      "0.13559206928993214`", 
      RowBox[{
       RowBox[{"-", "0.009520078889718377`"}], "-", 
       RowBox[{"0.016570518825751092`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.04237270093502644`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07042886109344287`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.021392011611611136`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.015915205192546657`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.027699557540513117`"}], "+", 
       RowBox[{"0.03081842758447852`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.006160666838817558`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.04919700925326609`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.02678631201493751`"}], "+", 
       RowBox[{"0.027342770996776004`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.04921811937072527`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.020360687891293736`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009520078889718377`"}], "+", 
       RowBox[{"0.016570518825751092`", " ", "\[ImaginaryI]"}]}], 
      "0.08856328418054789`", 
      RowBox[{
       RowBox[{"-", "0.0023810704216162743`"}], "+", 
       RowBox[{"0.030342081541556334`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0537928630263864`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.008107900831069775`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.021933126981439767`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.02384089366434758`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.04268883707209613`"}], "+", 
       RowBox[{"0.03473185822709268`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0004757746425351745`"}], "+", 
       RowBox[{"0.01439114711028218`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.01938824496680151`"}], "-", 
       RowBox[{"0.004947606566027841`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.04237270093502644`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07042886109344287`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0023810704216162743`"}], "-", 
       RowBox[{"0.030342081541556334`", " ", "\[ImaginaryI]"}]}], 
      "0.11941590565512587`", 
      RowBox[{"0.05957423473661238`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.041088974157750785`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.014676471053525195`"}], "+", 
       RowBox[{"0.027325863340791248`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.005724220844034639`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.016688153621826674`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009956197079446468`"}], "-", 
       RowBox[{"0.0006589180339271968`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.008745704419013864`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.006252356629857511`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.021392011611611136`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.015915205192546657`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0537928630263864`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.008107900831069775`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05957423473661238`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.041088974157750785`", " ", "\[ImaginaryI]"}]}], 
      "0.1680054737555554`", 
      RowBox[{
       RowBox[{"-", "0.022962644890693502`"}], "+", 
       RowBox[{"0.05370836634268826`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.02770187869720244`"}], "-", 
       RowBox[{"0.0029152570421147788`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.012094459975025491`"}], "-", 
       RowBox[{"0.014995179193865978`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.04053372409085469`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.004572864008573676`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.027699557540513117`"}], "-", 
       RowBox[{"0.03081842758447852`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.021933126981439767`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.02384089366434758`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.014676471053525195`"}], "-", 
       RowBox[{"0.027325863340791248`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.022962644890693502`"}], "-", 
       RowBox[{"0.05370836634268826`", " ", "\[ImaginaryI]"}]}], 
      "0.12252918779258826`", 
      RowBox[{
       RowBox[{"-", "0.0676569653020332`"}], "+", 
       RowBox[{"0.06251709572296914`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.020979271730672888`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.03819465145982866`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.018260047514261604`"}], "-", 
       RowBox[{"0.011967783321195932`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.006160666838817556`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0491970092532661`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.042688837072096135`"}], "-", 
       RowBox[{"0.03473185822709268`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.005724220844034638`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.01668815362182667`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.027701878697202444`"}], "+", 
       RowBox[{"0.0029152570421147788`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.06765696530203319`"}], "-", 
       RowBox[{"0.06251709572296914`", " ", "\[ImaginaryI]"}]}], 
      "0.14253732586713994`", 
      RowBox[{"0.012384845146715368`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.05369124888087378`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.019337575658829313`"}], "+", 
       RowBox[{"0.0008593278839066452`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.026786312014937513`"}], "-", 
       RowBox[{"0.027342770996776004`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.00047577464253517523`"}], "-", 
       RowBox[{"0.014391147110282181`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009956197079446468`"}], "+", 
       RowBox[{"0.0006589180339271953`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.012094459975025491`"}], "+", 
       RowBox[{"0.014995179193865978`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.020979271730672888`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.03819465145982866`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.012384845146715368`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.05369124888087378`", " ", "\[ImaginaryI]"}]}], 
      "0.08196053485392274`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207551388459*^9},
 CellTags->"b:4.2.1",ExpressionUUID->"1752b9b6-da3a-43c5-b387-907b49f9dd88"]
}, Open  ]],

Cell["Its trace and purity can be readily obtained:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.2.1",ExpressionUUID->"18b8cc4f-3244-4fd9-b6aa-3835dac24cb5"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Tr", "[", 
  SubscriptBox["\[Rho]", "123"], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Purity", "[", 
   SubscriptBox["\[Rho]", "123"], "]"}], "]"}]}], "Input",
 CellTags->"b:4.2.1",ExpressionUUID->"5a89a606-2da0-4a16-88b6-8a05bcc2d8c7"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207551398682*^9},
 CellTags->"b:4.2.1",ExpressionUUID->"9f45de00-1ecf-4922-8f7c-5c25826cca26"],

Cell[BoxData[
 TagBox["0.24374856714471546`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207551403063*^9},
 CellTags->"b:4.2.1",ExpressionUUID->"ac544c18-7c96-43de-ad4c-9d8f550cd14b"]
}, Open  ]],

Cell["And its eigenvalues:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.2.1",ExpressionUUID->"f1990f42-ada2-47d9-baf7-dcbb5d7c3892"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Chop", "[", 
  RowBox[{"Eigenvalues", "[", 
   SubscriptBox["\[Rho]", "123"], "]"}], "]"}]], "Input",
 CellTags->"b:4.2.1",ExpressionUUID->"5f16e969-95fc-4cc2-8ce0-184d6748c8a9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0.3431361618509934`"},
      {"0.28290134562231045`"},
      {"0.182502146352041`"},
      {"0.09419519765646343`"},
      {"0.04632920546803478`"},
      {"0.038688881928317216`"},
      {"0.01224649626818356`"},
      {"5.648536562650234`*^-7"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207551421665*^9},
 CellTags->"b:4.2.1",ExpressionUUID->"eb5fcb0b-e78a-454c-98b6-041c203fce6e"]
}, Open  ]],

Cell[TextData[{
 "We also need to construct the entangled state of qubits 4,5,6,7,8 and 9.\n",
 StyleBox["[NOTE: The AF is needed to flatten arrays produced by built in ",
  FontWeight->"Bold"],
 Cell[BoxData[
 "\[CircleTimes]"],ExpressionUUID->"35aa220b-2e75-4175-ab21-3ac1e2a63db3"],
 " ",
 StyleBox["]",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.614163412156393*^9, 3.61416347499683*^9}, 
   3.857206924763412*^9},
 FontFamily->"Helvetica",
 CellTags->"b:4.2.1",ExpressionUUID->"cf2f7140-9373-4c01-85c2-78348414e3ef"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "1"], "=", 
   RowBox[{"AF", "[", 
    RowBox[{
     SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", " ", 
     SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", " ", 
     SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", " ", 
     SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", " ", 
     SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", " ", 
     SubscriptBox["\[ScriptCapitalP]", "0"]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OpE", "=", 
   RowBox[{
    RowBox[{"CNOT", "[", 
     RowBox[{"6", ",", "3", ",", "6"}], "]"}], ".", 
    RowBox[{"had", "[", 
     RowBox[{"6", ",", "3"}], "]"}], ".", 
    RowBox[{"CNOT", "[", 
     RowBox[{"6", ",", "2", ",", "5"}], "]"}], ".", 
    RowBox[{"had", "[", 
     RowBox[{"6", ",", "2"}], "]"}], ".", 
    RowBox[{"CNOT", "[", 
     RowBox[{"6", ",", "1", ",", "4"}], "]"}], ".", 
    RowBox[{"had", "[", 
     RowBox[{"6", ",", "1"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "3456"], "=", " ", 
   RowBox[{"N", "[", 
    RowBox[{"OpE", ".", 
     SubscriptBox["\[Rho]", "1"], ".", 
     RowBox[{"Adj", "[", "OpE", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", 
  SubscriptBox["\[Rho]", "3456"], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", 
  RowBox[{
   SubscriptBox["\[Rho]", "3456"], ".", 
   SubscriptBox["\[Rho]", "3456"]}], "]"}]}], "Input",
 CellChangeTimes->{{3.614163471790934*^9, 3.614163518252565*^9}, {
  3.85720692479156*^9, 3.8572069247966146`*^9}},
 CellTags->"b:4.2.1",ExpressionUUID->"577c898f-6af2-4f53-b47b-1f8c9f8e212f"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572075517286577`*^9},
 CellTags->"b:4.2.1",ExpressionUUID->"8f2d245d-0e32-4a3b-b8e5-6a7d74fc5cc6"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207551733506*^9},
 CellTags->"b:4.2.1",ExpressionUUID->"85fc9db9-0412-45af-993a-d0b03ee71a1c"]
}, Open  ]],

Cell["Then the density matrix for the \"initial\" system is:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.2.1",ExpressionUUID->"0385d008-50b7-49f6-bfbc-10b2a176641b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "0"], "=", 
   RowBox[{"AF", "[", 
    RowBox[{
     SubscriptBox["\[Rho]", "123"], "\[CircleTimes]", " ", 
     SubscriptBox["\[Rho]", "3456"]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"N", "[", 
  RowBox[{"Tr", "[", 
   SubscriptBox["\[Rho]", "0"], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Purity", "[", 
   RowBox[{
    SubscriptBox["\[Rho]", "0"], ".", 
    SubscriptBox["\[Rho]", "0"]}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.6141635335610313`*^9, 3.614163540525235*^9}, 
   3.857206924798913*^9},
 CellTags->"b:4.2.1",ExpressionUUID->"60a014e5-7802-4baf-9786-bada1fe3628c"],

Cell[BoxData[
 TagBox[
  RowBox[{"1.0000000000000007`", "\[VeryThinSpace]", "+", 
   RowBox[{"0.`", " ", "\[ImaginaryI]"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85720755174084*^9},
 CellTags->"b:4.2.1",ExpressionUUID->"57e6992d-cfef-43e7-b6ae-80015a375ac5"],

Cell[BoxData[
 TagBox["0.02146354120716417`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572075517615433`*^9},
 CellTags->"b:4.2.1",ExpressionUUID->"ae76329c-866d-43be-98ff-9849ff473c4c"]
}, Open  ]],

Cell["is the full density matrix hermitian?", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.2.1",ExpressionUUID->"d79b0ec7-bb6b-4809-b263-0230c7f4fd8a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{
       RowBox[{"Adj", "[", 
        SubscriptBox["\[Rho]", "0"], "]"}], " ", "-", 
       SubscriptBox["\[Rho]", "0"]}], "]"}], "\[Equal]", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Length", "[", 
          SubscriptBox["\[Rho]", "0"], "]"}], ",", 
         RowBox[{"Length", "[", 
          SubscriptBox["\[Rho]", "0"], "]"}]}], "}"}]}], "]"}]}], ",", 
    RowBox[{"Print", "[", "\"\<Hermitian\>\"", "]"}], ",", 
    RowBox[{"Print", "[", "\"\<Not Hermitian\>\"", "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.395093008447339*^9, 3.395093022757456*^9}},
 FontFamily->"Courier New",
 CellTags->"b:4.2.1",ExpressionUUID->"f38134b7-442a-4cf3-985a-d2c4b46757bd"],

Cell[BoxData["\<\"Hermitian\"\>"], "Print",
 CellChangeTimes->{3.8572075517933903`*^9},
 CellTags->"b:4.2.1",ExpressionUUID->"1b55c03d-a35b-4775-a7d1-a694fcf9ce09"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 2: Alice operates on its four qubits", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:19", "b:4.2.2"},ExpressionUUID->"3ba52dc1-143c-4dde-894c-6926ba410a1f"],

Cell["\<\
Alice operations can be constructed easily in the 6 qubit space: \
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.2.2",ExpressionUUID->"11390e36-9c37-4d93-8671-6c9968c0e59c"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"Bop", "[", 
     RowBox[{
     "qi_", ",", "qj_", ",", "qk_", ",", "ql_", ",", "qm_", ",", "qn_", ",", 
      "qo_", ",", "qp_", ",", "qq_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"had", "[", 
      RowBox[{"9", ",", "qi"}], "]"}], ".", 
     RowBox[{"had", "[", 
      RowBox[{"9", ",", "qj"}], "]"}], ".", 
     RowBox[{"had", "[", 
      RowBox[{"9", ",", "qk"}], "]"}], ".", 
     RowBox[{"CNOT", "[", 
      RowBox[{"9", ",", "qi", ",", "ql"}], "]"}], ".", 
     RowBox[{"CNOT", "[", 
      RowBox[{"9", ",", "qj", ",", "qm"}], "]"}], ".", 
     RowBox[{"CNOT", "[", 
      RowBox[{"9", ",", "qk", ",", "qn"}], "]"}]}]}], ";"}]}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.2.2",ExpressionUUID->"cf591b4c-95d9-4cfd-a8fe-457d4ea9cf79"],

Cell["(we precompile the operator)", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.2.2",ExpressionUUID->"1d920084-c9de-4bd2-af9e-16ac245bdfb0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"CompBop", "=", 
   RowBox[{"Compile", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"qi", ",", "_Integer", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"qj", ",", "_Integer", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"qk", ",", "_Integer", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"ql", ",", "_Integer", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"qm", ",", "_Integer", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"qn", ",", "_Integer", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"qo", ",", "_Integer", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"qp", ",", "_Integer", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"qq", ",", "_Integer", ",", "0"}], "}"}]}], "}"}], ",", " ", 
     RowBox[{"Bop", "[", 
      RowBox[{
      "qi", ",", "qj", ",", "qk", ",", "ql", ",", "qm", ",", "qn", ",", "qo", 
       ",", "qp", ",", "qq"}], "]"}], " ", ",", 
     RowBox[{"{", 
      RowBox[{"{", "   ", 
       RowBox[{
        RowBox[{"Bop", "[", 
         RowBox[{
         "qi", ",", "qj", ",", "qk", ",", "ql", ",", "qm", ",", "qn", ",", 
          "qo", ",", "qp", ",", "qq"}], "]"}], ",", "_Complex", ",", "2"}], 
       "}"}], "}"}]}], "]"}]}], "  ", ";"}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.2.2",ExpressionUUID->"74742de8-3bb3-40b8-a086-158b4b4c5f1d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", 
  SubscriptBox["\[Rho]", "0"], "]"}]], "Input",
 CellTags->"b:4.2.2",ExpressionUUID->"eecd0652-2c39-40c5-a6bb-458bf2239b3c"],

Cell[BoxData[
 TagBox["512",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207551816669*^9},
 CellTags->"b:4.2.2",ExpressionUUID->"f1240f01-fdf3-4dd8-a0e0-99e66b6c27e8"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 3: The final state density matrix is obtained", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:20", "b:4.2.3"},ExpressionUUID->"ad82473d-cd76-43c9-98cf-cd8208482c6c"],

Cell["\<\
The application of Alice operations to the initial density matrix is readily \
evaluated:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.2.3",ExpressionUUID->"88ca9079-011a-4693-92f2-a68174fdf8e4"],

Cell[BoxData[
 StyleBox[
  RowBox[{" ", 
   RowBox[{
    RowBox[{
     SubscriptBox["\[Rho]", "E"], "  ", ":=", " ", 
     RowBox[{"N", "[", 
      RowBox[{
       RowBox[{"CompBop", "[", 
        RowBox[{
        "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7", ",", 
         "8", ",", "9"}], "]"}], ".", 
       SubscriptBox["\[Rho]", "0"], ".", 
       RowBox[{"Adj", "[", 
        RowBox[{"CompBop", "[", 
         RowBox[{
         "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7", ",",
           "8", ",", "9"}], "]"}], "]"}]}], "]"}]}], ";"}]}],
  FontSize->12]], "Input",
 FontFamily->"Courier New",
 FontSize->12,
 CellTags->"b:4.2.3",ExpressionUUID->"f4864dde-e0e0-4df2-8079-62bd648e7568"],

Cell["\<\
We can check that the density matrix is indeed proper by computing its 
trace and the trace of its square:\
\>", "Text",
 CellChangeTimes->{{3.6141635925303087`*^9, 3.614163607513557*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:4.2.3",ExpressionUUID->"ecbf2be1-ba9e-4ded-83a8-ba7817658872"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"N", "[", 
    RowBox[{"Chop", "[", 
     RowBox[{"Tr", "[", 
      SubscriptBox["\[Rho]", "E"], "]"}], "]"}], "]"}], "*)"}], "\n", 
  RowBox[{"(*", 
   RowBox[{"N", "[", 
    RowBox[{"Chop", "[", 
     RowBox[{"Tr", "[", 
      RowBox[{
       SubscriptBox["\[Rho]", "E"], ".", 
       SubscriptBox["\[Rho]", "E"]}], "]"}], "]"}], "]"}], "*)"}]}]], "Input",
 CellTags->"b:4.2.3",ExpressionUUID->"63fbdf2d-83aa-43b3-a24e-bf126a79d96e"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 4: Alice measures her four qubits, 1,2,3,4,5,6", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:21", "b:4.2.4"},ExpressionUUID->"81947057-35a2-4c49-a972-70133049c33a"],

Cell["\<\
Alice measurement is produced here at random, the result of her measurement is 
P1,P2,P3,P4,P5,P6\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.2.4",ExpressionUUID->"79867d83-67bc-4a83-83b3-5eb6cb64a6d0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"P1", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"P2", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"P3", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"P4", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"P5", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"P6", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{"{", 
  RowBox[{"P1", ",", "P2", ",", "P3", ",", "P4", ",", "P5", ",", "P6"}], 
  "}"}]}], "Input",
 CellTags->"b:4.2.4",ExpressionUUID->"57dd9b2a-e96b-40b7-b6fa-5a12900282fc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"1"},
      {"0"},
      {"0"},
      {"1"},
      {"1"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207551844205*^9},
 CellTags->"b:4.2.4",ExpressionUUID->"be810a5a-5125-4f16-b106-30ea8ffb7ed1"]
}, Open  ]],

Cell["\<\
The projection operator on qubits 1,2,3,4,5 and 6 is written:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.2.4",ExpressionUUID->"96386795-1319-4b4e-b192-cb7538c42830"],

Cell[BoxData[
 RowBox[{
  SubscriptBox["P", 
   RowBox[{"a_", ",", "b_", ",", "c_", ",", "d_", ",", "e_", ",", "f_"}]], 
  "  ", ":=", " ", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "a"], "  ", "\[CircleTimes]", "  ", 
    SubscriptBox["\[ScriptCapitalP]", "b"], "\[CircleTimes]", "  ", 
    SubscriptBox["\[ScriptCapitalP]", "c"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "d"], " ", "\[CircleTimes]", "  ", 
    SubscriptBox["\[ScriptCapitalP]", "e"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "f"], " ", "\[CircleTimes]", " ", 
    "\[DoubleStruckCapitalI]", "\[CircleTimes]", " ", 
    "\[DoubleStruckCapitalI]", "\[CircleTimes]", " ", 
    "\[DoubleStruckCapitalI]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.614163624198064*^9, 3.614163673561344*^9}, {
  3.857206924805778*^9, 3.85720692481384*^9}},
 CellTags->"b:4.2.4",ExpressionUUID->"aefcaaf8-954d-4cf1-a540-82972826d64b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[Cell[TextData[Cell[BoxData[
    FormBox[
    Cell["",ExpressionUUID->"6198134d-3a7b-4886-8f51-c6637d91f583"], 
     TraditionalForm]],ExpressionUUID->
    "71749573-872c-40fe-bf88-152e185d0803"]],ExpressionUUID->
    "ff2707a3-c4c3-4159-b218-d6aac2c179b9"], TraditionalForm]],ExpressionUUID->
  "48ced3af-0612-4238-af20-d3cbf9efece8"],
 "Step 5: Bob state is computed "
}], "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:22", "b:4.2.5"},ExpressionUUID->"a50dd313-ccf3-4667-9e1b-33f98a36beb8"],

Cell["\<\
Bob's three qubit state, made of qubits 7, 8 and 9, is obtained by taking the 
partial trace of the full final state after Alice measurement (here is \
written in general depending on the 
six values of Alice measurement)\
\>", "Text",
 CellChangeTimes->{{3.857207218355315*^9, 3.857207220436831*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:4.2.5",ExpressionUUID->"12e07d6a-5827-421f-a22c-690f3c6090e3"],

Cell[BoxData[
 RowBox[{
  RowBox[{"time1", "=", 
   RowBox[{"SessionTime", "[", "]"}]}], ";"}]], "Input",
 CellTags->"b:4.2.5",ExpressionUUID->"9f0af6b6-4ded-4d1d-809a-9ac531d3592a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Bob", " ", "=", " ", 
   RowBox[{"Chop", "[", 
    RowBox[{"CompPTr", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6"}], "}"}],
       "  ", ",", 
      RowBox[{
       RowBox[{"2", "^", "6"}], "*", 
       RowBox[{
        SubscriptBox["P", 
         RowBox[{
         "P1", ",", "P2", ",", "P3", ",", "P4", ",", "P5", ",", "P6"}]], ".", 
        SubscriptBox["\[Rho]", "E"], ".", 
        SubscriptBox["P", 
         RowBox[{
         "P1", ",", "P2", ",", "P3", ",", "P4", ",", "P5", ",", "P6"}]]}]}]}],
      " ", "]"}], "]"}]}], ";"}]], "Input",
 CellTags->"b:4.2.5",ExpressionUUID->"250ea9ff-20d2-498f-8130-8588b3770c74"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"time2", "=", 
   RowBox[{"SessionTime", "[", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<The computation of Bob's density matrix took \>\"", ",", 
   RowBox[{"time2", "-", "time1"}], ",", "\"\< seconds\>\""}], 
  "]"}]}], "Input",
 CellTags->"b:4.2.5",ExpressionUUID->"0b339e40-34ee-4b7f-b422-2a671dde2d24"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The computation of Bob's density matrix took \"\>", 
   "\[InvisibleSpace]", "149.834407`8.326126551211644", 
   "\[InvisibleSpace]", "\<\" seconds\"\>"}],
  SequenceForm[
  "The computation of Bob's density matrix took ", 
   149.834407`8.326126551211644, " seconds"],
  Editable->False]], "Print",
 CellChangeTimes->{3.857207701692*^9},
 CellTags->"b:4.2.5",ExpressionUUID->"83154764-3947-4031-a7d6-b7cdf2ff51d6"]
}, Open  ]],

Cell[TextData[{
 "Bob\[CloseCurlyQuote]s state, once Alice has ",
 StyleBox["classically communicated",
  FontWeight->"Bold"],
 " P1,P2,P3,P4,P5 and P6 reads:"
}], "Text",
 CellChangeTimes->{{3.6141637086693897`*^9, 3.614163713528344*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:4.2.5",ExpressionUUID->"e8ec4629-f6c0-4cdd-b889-9942724eced6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SubscriptBox["\[Rho]", "Bob"], "=", "Bob"}]], "Input",
 CellTags->"b:4.2.5",ExpressionUUID->"e0335cfc-e330-4554-a345-947d32beef58"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.11941590565512587`", 
      RowBox[{
       RowBox[{"-", "0.002381070421616274`"}], "-", 
       RowBox[{"0.030342081541556327`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.04237270093502643`"}], "+", 
       RowBox[{"0.07042886109344286`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.019388244966801506`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.004947606566027841`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009956197079446467`"}], "-", 
       RowBox[{"0.0006589180339271927`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.005724220844034637`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.016688153621826667`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0146764710535252`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.027325863340791248`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.059574234736612365`"}], "+", 
       RowBox[{"0.04108897415775078`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.002381070421616274`"}], "+", 
       RowBox[{"0.030342081541556327`", " ", "\[ImaginaryI]"}]}], 
      "0.08856328418054789`", 
      RowBox[{"0.00952007888971837`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.016570518825751085`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.04921811937072526`"}], "+", 
       RowBox[{"0.020360687891293736`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.00047577464253517696`"}], "+", 
       RowBox[{"0.014391147110282176`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.04268883707209613`"}], "+", 
       RowBox[{"0.03473185822709268`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.02193312698143977`"}], "-", 
       RowBox[{"0.02384089366434757`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.05379286302638639`"}], "-", 
       RowBox[{"0.008107900831069773`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.04237270093502643`"}], "-", 
       RowBox[{"0.07042886109344286`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.009520078889718373`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.016570518825751085`", " ", "\[ImaginaryI]"}]}], 
      "0.13559206928993212`", 
      RowBox[{
       RowBox[{"-", "0.035247425546326025`"}], "-", 
       RowBox[{"0.056146853441163456`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.026786312014937502`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.027342770996776`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.006160666838817561`"}], "+", 
       RowBox[{"0.049197009253266075`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.027699557540513113`"}], "+", 
       RowBox[{"0.03081842758447852`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.021392011611611132`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.01591520519254665`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.019388244966801506`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.004947606566027841`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.04921811937072526`"}], "-", 
       RowBox[{"0.02036068789129373`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.035247425546326025`"}], "+", 
       RowBox[{"0.056146853441163456`", " ", "\[ImaginaryI]"}]}], 
      "0.14139621860518778`", 
      RowBox[{"0.019337575658829313`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0008593278839066423`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.018260047514261593`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.011967783321195921`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.040533724090854685`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.004572864008573677`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.008745704419013864`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.006252356629857515`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.00995619707944646`"}], "+", 
       RowBox[{"0.0006589180339271919`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.00047577464253517696`"}], "-", 
       RowBox[{"0.014391147110282176`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.026786312014937502`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.027342770996775997`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.019337575658829313`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0008593278839066493`", " ", "\[ImaginaryI]"}]}], 
      "0.08196053485392275`", 
      RowBox[{"0.01238484514671537`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.05369124888087377`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.020979271730672877`"}], "+", 
       RowBox[{"0.038194651459828644`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.012094459975025493`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.014995179193865978`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.005724220844034637`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.016688153621826667`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.04268883707209613`"}], "-", 
       RowBox[{"0.03473185822709268`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.006160666838817556`"}], "-", 
       RowBox[{"0.0491970092532661`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.018260047514261593`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.011967783321195927`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.01238484514671537`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.05369124888087377`", " ", "\[ImaginaryI]"}]}], 
      "0.14253732586713994`", 
      RowBox[{"0.06765696530203318`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06251709572296912`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.027701878697202448`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.002915257042114783`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.01467647105352519`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.027325863340791245`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.02193312698143976`"}], "+", 
       RowBox[{"0.02384089366434757`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.027699557540513113`"}], "-", 
       RowBox[{"0.03081842758447852`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.040533724090854685`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0045728640085736785`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.020979271730672877`"}], "-", 
       RowBox[{"0.038194651459828644`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.06765696530203319`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06251709572296912`", " ", "\[ImaginaryI]"}]}], 
      "0.12252918779258824`", 
      RowBox[{
       RowBox[{"-", "0.022962644890693495`"}], "-", 
       RowBox[{"0.05370836634268825`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.059574234736612365`"}], "-", 
       RowBox[{"0.041088974157750785`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.05379286302638639`"}], "+", 
       RowBox[{"0.008107900831069772`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.021392011611611132`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.015915205192546654`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.008745704419013867`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0062523566298575165`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.012094459975025486`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.014995179193865978`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.027701878697202448`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.002915257042114783`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.022962644890693495`"}], "+", 
       RowBox[{"0.05370836634268825`", " ", "\[ImaginaryI]"}]}], 
      "0.16800547375555538`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207701701522*^9},
 CellTags->"b:4.2.5",ExpressionUUID->"5f64e3f6-d37c-49b1-9305-56d348e4ca8e"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[Cell[TextData[Cell[BoxData[
    FormBox[
    Cell["",ExpressionUUID->"65ddfaa4-068d-4281-a6b1-73f136fd0954"], 
     TraditionalForm]],ExpressionUUID->
    "66d0a627-18f4-4295-bd8b-4f15718a1fd0"]],ExpressionUUID->
    "2d7fc9b8-d8d8-427e-a163-2fa92534c9f7"], TraditionalForm]],ExpressionUUID->
  "6bd90f7f-8745-45e3-b613-c5cc4ccee72d"],
 "Step 6: Bob performs an arranged transformation on its state to recover the \
initial state"
}], "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:23", "b:4.2.6"},ExpressionUUID->"7db05852-d0ba-4f4a-b821-7cf4c26ee8dc"],

Cell["\<\
The coding of the operations is quite compact allthough it could be improved \
slightly\
\>", "Text",
 CellChangeTimes->{{3.857207253522935*^9, 3.8572072645367937`*^9}, {
  3.857207606766952*^9, 3.8572076151038847`*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:4.2.6",ExpressionUUID->"cafe047d-6251-436c-b82b-48d5525072bc"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"I1", "=", 
   RowBox[{
    RowBox[{"P1", "*", "2"}], "+", "P4"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"I2", "=", 
   RowBox[{
    RowBox[{"P2", "*", "2"}], "+", "P5"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"I3", "=", 
  RowBox[{
   RowBox[{"P3", "*", "2"}], "+", "P6"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", " ", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"P1", "*", "2"}], "+", "P4"}], "\[Equal]", "2"}], ",", " ", 
    RowBox[{"I1", "=", "3"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", " ", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"P1", "*", "2"}], "+", "P4"}], "\[Equal]", "3"}], ",", " ", 
    RowBox[{"I1", "=", "2"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", " ", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"P2", "*", "2"}], "+", "P5"}], "\[Equal]", "2"}], ",", " ", 
    RowBox[{"I2", "=", "3"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", " ", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"P2", "*", "2"}], "+", "P5"}], "\[Equal]", "3"}], ",", " ", 
    RowBox[{"I2", "=", "2"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", " ", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"P3", "*", "2"}], "+", "P6"}], "\[Equal]", "2"}], ",", " ", 
    RowBox[{"I3", "=", "3"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", " ", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"P3", "*", "2"}], "+", "P6"}], "\[Equal]", "3"}], ",", " ", 
    RowBox[{"I3", "=", "2"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"TrasF", "=", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[Sigma]", "I1"], " ", "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "I2"], "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "I3"]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.614163824056059*^9, 3.614163849244542*^9}, {
  3.857206924820036*^9, 3.8572069248214607`*^9}},
 CellTags->"b:4.2.6",ExpressionUUID->"109def8d-ffe0-4aa7-b7f7-a1bfddf8003a"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207701721179*^9},
 CellTags->"b:4.2.6",ExpressionUUID->"bbc8361c-9af4-45ff-bce3-cc130b94bd42"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0", "0", "0", "0"},
     {"0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0", "0", "0", "0", "0"},
     {"0", "\[ImaginaryI]", "0", "0", "0", "0", "0", "0"},
     {"\[ImaginaryI]", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0"},
     {"0", "0", "0", "0", "0", "\[ImaginaryI]", "0", "0"},
     {"0", "0", "0", "0", "\[ImaginaryI]", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572077017264853`*^9},
 CellTags->"b:4.2.6",ExpressionUUID->"6507c0ac-f8e5-4ad1-9420-f4c5adca3ad3"]
}, Open  ]],

Cell["\<\
The three qubit state in Bob's hands after the transformation is:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.2.6",ExpressionUUID->"16a9d34c-360a-4b1b-897d-8f373cc80e60"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"BobT", "=", " ", 
  RowBox[{"N", "[", 
   RowBox[{"Chop", "[", 
    RowBox[{"TrasF", ".", 
     SubscriptBox["\[Rho]", "Bob"], ".", 
     RowBox[{"Adj", "[", "TrasF", "]"}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Eigenvalues", "[", "BobT", "]"}], "]"}]}], "Input",
 CellTags->"b:4.2.6",ExpressionUUID->"359b0d39-a32e-4fd9-a09d-c8dfdc5e6a81"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.14139621860518778`", 
      RowBox[{
       RowBox[{"-", "0.035247425546326025`"}], "+", 
       RowBox[{"0.056146853441163456`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.04921811937072526`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.02036068789129373`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.019388244966801506`"}], "+", 
       RowBox[{"0.004947606566027841`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.008745704419013864`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.006252356629857515`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.040533724090854685`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.004572864008573677`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.018260047514261593`"}], "+", 
       RowBox[{"0.011967783321195921`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.019337575658829313`"}], "-", 
       RowBox[{"0.0008593278839066423`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.035247425546326025`"}], "-", 
       RowBox[{"0.056146853441163456`", " ", "\[ImaginaryI]"}]}], 
      "0.13559206928993212`", 
      RowBox[{
       RowBox[{"-", "0.009520078889718373`"}], "-", 
       RowBox[{"0.016570518825751085`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.04237270093502643`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07042886109344286`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.021392011611611132`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.01591520519254665`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.027699557540513113`"}], "+", 
       RowBox[{"0.03081842758447852`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.006160666838817561`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.049197009253266075`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.026786312014937502`"}], "+", 
       RowBox[{"0.027342770996776`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.04921811937072526`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.020360687891293736`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.00952007888971837`"}], "+", 
       RowBox[{"0.016570518825751085`", " ", "\[ImaginaryI]"}]}], 
      "0.08856328418054789`", 
      RowBox[{
       RowBox[{"-", "0.002381070421616274`"}], "+", 
       RowBox[{"0.030342081541556327`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05379286302638639`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.008107900831069773`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.02193312698143977`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.02384089366434757`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.04268883707209613`"}], "+", 
       RowBox[{"0.03473185822709268`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.00047577464253517696`"}], "+", 
       RowBox[{"0.014391147110282176`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.019388244966801506`"}], "-", 
       RowBox[{"0.004947606566027841`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.04237270093502643`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07042886109344286`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.002381070421616274`"}], "-", 
       RowBox[{"0.030342081541556327`", " ", "\[ImaginaryI]"}]}], 
      "0.11941590565512587`", 
      RowBox[{"0.059574234736612365`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.04108897415775078`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0146764710535252`"}], "+", 
       RowBox[{"0.027325863340791248`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.005724220844034637`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.016688153621826667`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009956197079446467`"}], "-", 
       RowBox[{"0.0006589180339271927`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.008745704419013867`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0062523566298575165`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.021392011611611132`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.015915205192546654`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05379286302638639`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.008107900831069772`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.059574234736612365`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.041088974157750785`", " ", "\[ImaginaryI]"}]}], 
      "0.16800547375555538`", 
      RowBox[{
       RowBox[{"-", "0.022962644890693495`"}], "+", 
       RowBox[{"0.05370836634268825`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.027701878697202448`"}], "-", 
       RowBox[{"0.002915257042114783`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.012094459975025486`"}], "-", 
       RowBox[{"0.014995179193865978`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.040533724090854685`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0045728640085736785`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.027699557540513113`"}], "-", 
       RowBox[{"0.03081842758447852`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.02193312698143976`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.02384089366434757`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.01467647105352519`"}], "-", 
       RowBox[{"0.027325863340791245`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.022962644890693495`"}], "-", 
       RowBox[{"0.05370836634268825`", " ", "\[ImaginaryI]"}]}], 
      "0.12252918779258824`", 
      RowBox[{
       RowBox[{"-", "0.06765696530203319`"}], "+", 
       RowBox[{"0.06251709572296912`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.020979271730672877`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.038194651459828644`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.018260047514261593`"}], "-", 
       RowBox[{"0.011967783321195927`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.006160666838817556`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0491970092532661`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.04268883707209613`"}], "-", 
       RowBox[{"0.03473185822709268`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.005724220844034637`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.016688153621826667`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.027701878697202448`"}], "+", 
       RowBox[{"0.002915257042114783`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.06765696530203318`"}], "-", 
       RowBox[{"0.06251709572296912`", " ", "\[ImaginaryI]"}]}], 
      "0.14253732586713994`", 
      RowBox[{"0.01238484514671537`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.05369124888087377`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.019337575658829313`"}], "+", 
       RowBox[{"0.0008593278839066493`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.026786312014937502`"}], "-", 
       RowBox[{"0.027342770996775997`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.00047577464253517696`"}], "-", 
       RowBox[{"0.014391147110282176`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.00995619707944646`"}], "+", 
       RowBox[{"0.0006589180339271919`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.012094459975025493`"}], "+", 
       RowBox[{"0.014995179193865978`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.020979271730672877`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.038194651459828644`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.01238484514671537`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.05369124888087377`", " ", "\[ImaginaryI]"}]}], 
      "0.08196053485392275`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207701736556*^9},
 CellTags->"b:4.2.6",ExpressionUUID->"67997303-26ed-46c9-b43b-deacb791cfbb"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0.3431361618509936`"},
      {"0.28290134562231073`"},
      {"0.18250214635204082`"},
      {"0.09419519765646331`"},
      {"0.046329205468034776`"},
      {"0.03868888192831721`"},
      {"0.012246496268183568`"},
      {"5.64853656243198`*^-7"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207701742737*^9},
 CellTags->"b:4.2.6",ExpressionUUID->"80c049f5-2995-4fa8-bf61-8e06b38379ab"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[Cell[TextData[Cell[BoxData[
    FormBox[
    Cell["",ExpressionUUID->"9055053b-ee68-4875-8d7e-12856f98a40a"], 
     TraditionalForm]],ExpressionUUID->
    "9b7815df-0f17-4996-aca9-498d9e4273b3"]],ExpressionUUID->
    "92fd57b1-979b-42eb-a5d6-2990bd5a33d1"], TraditionalForm]],ExpressionUUID->
  "4a7d0eb8-ff74-493b-a8de-3967464e8b29"],
 "Step 7: Moment of truth, we compare both  initial Alice and final Bob state"
}], "Subsection",
 CellFrame->True,
 CellChangeTimes->{3.512214376194934*^9},
 FontFamily->"Times",
 CellTags->{
  "c:24", "b:4.2.7"},ExpressionUUID->"06006841-aa8a-4e68-b5d5-42c6675a0853"],

Cell["\<\
...we can compare Bob\[CloseCurlyQuote]s three qubit state to the original \
three qubit density matrix:\
\>", "Text",
 CellChangeTimes->{3.614163769765723*^9},
 FontFamily->"Helvetica",
 CellTags->"b:4.2.7",ExpressionUUID->"61a6b61d-b3da-41e1-9392-d434b8af4688"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Chop", "[", 
  RowBox[{"BobT", " ", "-", 
   SubscriptBox["\[Rho]", "123"]}], "]"}]], "Input",
 CellTags->"b:4.2.7",ExpressionUUID->"1a7a75e7-76ae-482a-8706-1f0b8172fbf0"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572077017610083`*^9},
 CellTags->"b:4.2.7",ExpressionUUID->"0b8e7e94-0df8-405f-b71b-540d792ab688"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Quit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.614163777617752*^9, 3.614163777831381*^9}},
 CellTags->"b:4.2.7",ExpressionUUID->"c32bba8d-2c5c-488c-b005-773e4d65aa90"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
EPR teleportation using an GHZ state.              To open double click at \
down arrow----------------------->>\
\>", "Section",
 CellChangeTimes->{{3.5122128273908653`*^9, 3.512212828065277*^9}, {
  3.512214533171061*^9, 3.512214548029138*^9}, {3.512214640729178*^9, 
  3.5122146555167294`*^9}},
 FontFamily->"Times",
 CellTags->"c:25",ExpressionUUID->"6016578f-9d19-420b-a4f7-9edb2e2ec91d"],

Cell[CellGroupData[{

Cell["Introduction", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:3", "b:4.3.0"},ExpressionUUID->"c0d1fb9e-0f5e-47ab-b2c8-d08b068c4811"],

Cell["\<\
 Load the Qdensity Package, defines total number of qubits and plots the \
circuit:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.0",ExpressionUUID->"ce0ef085-cfcc-4a17-ab98-26e0b8636f76"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.3.0",ExpressionUUID->"4f0a66c9-6f97-44a2-9866-35ce043a5849"],

Cell[BoxData["\<\"Type \\\"?intro\\\", \\\"?QDENSITY`Qdensity`*\\\" or \
\\\"?about for help.\"\>"], "Print",
 CellChangeTimes->{3.857207721008407*^9},
 CellTags->"b:4.3.0",ExpressionUUID->"c8688a87-18c6-467b-b136-30d6706e959b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "QDENSITY`Qdensity`*"}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.3.0",ExpressionUUID->"58a3c2d3-d76e-4d57-8d92-0ce8d0196f74"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["about", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "about", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Discord", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Discord", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "MeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "RandomBra2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma0", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Sigma0", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ws", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "ws", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Adj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Adj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "EnTropy", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiProjCBasis", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "MultiProjCBasis", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBraN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "RandomBraN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Sigma1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["AF", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "AF", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "EnTropy2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiQProj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "MultiQProj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "RandomKet1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Sigma2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Bra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Bra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Fidelity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Fidelity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Mutual", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Mutual", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "RandomKet2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Sigma3", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "BraV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["FidelityB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "FidelityB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "nb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKetN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "RandomKetN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Snos", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Snos", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "BraX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["neg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "neg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "RandomQubit1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SP", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "SP", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroMatrix", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "ZeroMatrix", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "BraY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nneg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "nneg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "RandomQubit2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SpinObs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "SpinObs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "ZeroT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CNOT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "CNOT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Hadamard", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Hadamard", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nq", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "nq", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubitN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "RandomQubitN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stA", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "stA", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalH]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "\[ScriptCapitalH]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Coeff", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Coeff", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["HALL", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "HALL", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OneOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "OneOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsDate", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "rcsDate", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "stB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "\[ScriptCapitalP]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Comm", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Comm", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["i8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "i8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Oracle", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Oracle", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsRevision", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "rcsRevision", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Swap", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Swap", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[DoubleStruckCapitalI]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "\[DoubleStruckCapitalI]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompMeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "CompMeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["intro", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "intro", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTrace", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "PartialTrace", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "res1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "s$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "\[Rho]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompPTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "CompPTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["j8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "j8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTraceGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "PartialTraceGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "res1$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ThreeOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "ThreeOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "\[Rho]$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "ControlledX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Ket1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Ket1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTranspose", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "PartialTranspose", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "res2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Toffoli", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Toffoli", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Sigma]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "\[Sigma]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "ControlledY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "KetV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ProjG", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "ProjG", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "res2$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "ts", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "\[Phi]A1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "ControlledZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "KetX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "PTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Rotqbit", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Rotqbit", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "ts$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "\[Phi]A2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASE", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "CPHASE", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "KetY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTrGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "PTrGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "RotX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["TwoOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "TwoOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "\[Phi]B1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASEV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "CPHASEV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "mc", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Purity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Purity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "RotY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["U", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "U", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "\[Phi]B2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["cRQN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "cRQN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "mcl", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "PX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "RotZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "v", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[CapitalOmega]s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "\[CapitalOmega]s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Definef", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Definef", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "mcl$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "PY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Vs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Vs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], ""},
                {
                 ButtonBox[
                  StyleBox["DForm2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "DForm2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "mc$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "RandomBra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Schmidt", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "Schmidt", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-59df1661-284e-4d06-9899-607b528101c1", {
                    "v$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], ""}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.15833333333333333`]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572077217770557`*^9},
 CellTags->"b:4.3.0",ExpressionUUID->"b021952e-ec15-40c0-a0a7-49836fab38dc"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"nqx", "=", "5"}], ";"}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.3.0",ExpressionUUID->"0709c06c-8875-4f76-b506-1f4701919e22"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"figure1", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<QDENSITY/drawings/GHZ.png\>\"", ",", "\"\<PNG\>\""}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"Show", "[", "figure1", "]"}]}], "Input",
 CellTags->"b:4.3.0",ExpressionUUID->"2e710912-6131-4ab8-b510-805690ef4687"],

Cell[BoxData[
 TagBox[
  GraphicsBox[RasterBox[CompressedData["
1:eJztnQd8FEXfx5dQpSMvKgJKUSQ8IEWRINJraCIEpCNINTFCAq9ISehNIgLS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    "], {{0, 0}, {500., 225.}}, {0, 255},
    ColorFunction->GrayLevel,
    ImageResolution->{72, 72}],
   PlotRange->{{0, 500.}, {0, 225.}}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207722250618*^9},
 CellTags->"b:4.3.0",ExpressionUUID->"c4345e6d-5087-4e13-9a2b-f5fb1fa843b8"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Icalc=1 computes using symbols",
  FontSlant->"Italic"],
 ", any other Icalc value performs the computation\nnumerically."
}], "Text",
 CellChangeTimes->{3.857207289647112*^9},
 FontFamily->"Helvetica",
 CellTags->"b:4.3.0",ExpressionUUID->"d2e2b798-c903-4f7a-92d4-9be9e635d516"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Icalc", "=", "1"}], ";"}]], "Input",
 CellTags->"b:4.3.0",ExpressionUUID->"c39fbee0-cb97-4f54-9c19-63439d5c7431"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[Cell[TextData[Cell[BoxData[
    FormBox[
    Cell["",ExpressionUUID->"0130e9e6-b05a-4354-a5bc-5ec5ef68c003"], 
     TraditionalForm]],ExpressionUUID->
    "c2725319-09a8-4de1-90f5-0ea8f052f44f"]],ExpressionUUID->
    "ad34a953-f0f2-4947-a4fe-b63057fbe538"], TraditionalForm]],ExpressionUUID->
  "b4792a57-275b-4ef4-af2e-3196e690a6ea"],
 "Step 1: Alice builds the EPR state to be teleported"
}], "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:26", "b:4.3.1"},ExpressionUUID->"fc472658-8484-45fc-b649-8aa12cb7778d"],

Cell["\<\
 The EPR state is of the form A|00\[RightAngleBracket]+B|11\
\[RightAngleBracket]. It is built by first constructing (A|0\
\[RightAngleBracket]+B|1\[RightAngleBracket])|0\[RightAngleBracket] and then 
applying a CNOT(2,1,2). The first qubit is thus generated at random in the \
following way:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.1",ExpressionUUID->"c2d1003b-dd1a-4293-8885-3088ae558a0c"],

Cell["\<\
 A general one qubit state is built by rotating the |0\[RightAngleBracket] \
state around the x axis an angle \[Theta]\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.1",ExpressionUUID->"a4a70647-5680-4a3b-8d02-2437de05357f"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "1"], "=", "RandomQubit1"}], ";"}]], "Input",
 CellTags->"b:4.3.1",ExpressionUUID->"67932a2b-b4a5-4533-b9b2-2e2a166c4a60"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"Icalc", "\[Equal]", "1"}], ",", 
    RowBox[{
     SubscriptBox["\[Rho]", "1"], "=", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"1", "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"A", "^", "2"}], "+", 
          RowBox[{"B", "^", "2"}]}], ")"}]}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"A", "*", 
           RowBox[{"Ket", "[", "0", "]"}]}], "+", 
          RowBox[{"B", "*", 
           RowBox[{"Ket", "[", "1", "]"}]}]}], ")"}], "\[CircleTimes]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"A", "*", 
           RowBox[{"Bra", "[", "0", "]"}]}], "+", 
          RowBox[{"B", "*", 
           RowBox[{"Bra", "[", "1", "]"}]}]}], ")"}]}]}], "]"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{
  3.614173867865993*^9, {3.614173901938492*^9, 3.6141739158764677`*^9}, 
   3.857206924829705*^9},
 CellTags->"b:4.3.1",ExpressionUUID->"3ac5f28c-2e6f-4a69-8831-b9a0831c8d10"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox[
       SuperscriptBox["A", "2"], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]], 
      FractionBox[
       RowBox[{"A", " ", "B"}], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]]},
     {
      FractionBox[
       RowBox[{"A", " ", "B"}], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]], 
      FractionBox[
       SuperscriptBox["B", "2"], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207722276936*^9},
 CellTags->"b:4.3.1",ExpressionUUID->"16aa7fd4-faa8-48fc-bd26-e97ac0dc507b"]
}, Open  ]],

Cell["Then we construct the EPR state using a CNOT gate:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.1",ExpressionUUID->"5fb302a4-4537-4236-966e-472a51718a08"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"OpEPR", "=", 
   RowBox[{"CNOT", "[", 
    RowBox[{"2", ",", "1", ",", "2"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "12"], "=", " ", 
   RowBox[{"AF", "[", 
    RowBox[{
     SubscriptBox["\[Rho]", "1"], "\[CircleTimes]", 
     SubscriptBox["\[ScriptCapitalP]", "0"]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  SubscriptBox["\[Rho]", "EPR"], "=", 
  RowBox[{"Chop", "[", 
   RowBox[{"OpEPR", ".", 
    SubscriptBox["\[Rho]", "12"], ".", 
    RowBox[{"Adj", "[", "OpEPR", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Tr", "[", 
   SubscriptBox["\[Rho]", "EPR"], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{
    SubscriptBox["\[Rho]", "EPR"], ".", 
    SubscriptBox["\[Rho]", "EPR"]}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{
  3.614173883805382*^9, {3.614173926664487*^9, 3.6141739874228067`*^9}, 
   3.8572069248336153`*^9},
 CellTags->"b:4.3.1",ExpressionUUID->"a1ca7e1b-f4e4-4312-b36c-0deac34fb112"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox[
       SuperscriptBox["A", "2"], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]], "0", "0", 
      FractionBox[
       RowBox[{"A", " ", "B"}], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]]},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {
      FractionBox[
       RowBox[{"A", " ", "B"}], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]], "0", "0", 
      FractionBox[
       SuperscriptBox["B", "2"], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207722299611*^9},
 CellTags->"b:4.3.1",ExpressionUUID->"8c0ca1ab-4620-4cf5-b5b0-5da3d137dca5"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207722306931*^9},
 CellTags->"b:4.3.1",ExpressionUUID->"1cd104d1-3438-452a-bc7c-c8f110fbae7c"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207722311537*^9},
 CellTags->"b:4.3.1",ExpressionUUID->"3aa55618-cd8f-4d9d-a0bc-3ba4eb924827"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Adj", "[", 
   SubscriptBox["\[Rho]", "EPR"], 
   StyleBox["  ",
    FontSize->12], "]"}], " "}], "\[IndentingNewLine]", 
 SubscriptBox["\[Rho]", 
  RowBox[{"EPR", " "}]]}], "Input",
 CellChangeTimes->{{3.6141740251088333`*^9, 
  3.6141740258733883`*^9}},ExpressionUUID->"47d0cbfd-67a7-4d42-b780-\
151836e11598"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox[
       SuperscriptBox[
        RowBox[{"Conjugate", "[", "A", "]"}], "2"], 
       RowBox[{
        SuperscriptBox[
         RowBox[{"Conjugate", "[", "A", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"Conjugate", "[", "B", "]"}], "2"]}]], "0", "0", 
      FractionBox[
       RowBox[{"Conjugate", "[", 
        RowBox[{"A", " ", "B"}], "]"}], 
       RowBox[{
        SuperscriptBox[
         RowBox[{"Conjugate", "[", "A", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"Conjugate", "[", "B", "]"}], "2"]}]]},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {
      FractionBox[
       RowBox[{"Conjugate", "[", 
        RowBox[{"A", " ", "B"}], "]"}], 
       RowBox[{
        SuperscriptBox[
         RowBox[{"Conjugate", "[", "A", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"Conjugate", "[", "B", "]"}], "2"]}]], "0", "0", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"Conjugate", "[", "B", "]"}], "2"], 
       RowBox[{
        SuperscriptBox[
         RowBox[{"Conjugate", "[", "A", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"Conjugate", "[", "B", "]"}], "2"]}]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.857207722327799*^9},ExpressionUUID->"5a11608f-2452-4402-8f14-\
5a097d657405"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox[
       SuperscriptBox["A", "2"], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]], "0", "0", 
      FractionBox[
       RowBox[{"A", " ", "B"}], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]]},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {
      FractionBox[
       RowBox[{"A", " ", "B"}], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]], "0", "0", 
      FractionBox[
       SuperscriptBox["B", "2"], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.857207722333909*^9},ExpressionUUID->"576600eb-873d-4f97-913d-\
d9674d9f1951"]
}, Open  ]],

Cell["Check on Hermiticity of the EPR (only if Icalc=0)", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.1",ExpressionUUID->"5d9cbdfe-75e0-4866-969c-fcb5d792312e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"Icalc", "\[Equal]", "0"}], ",", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Chop", "[", 
        RowBox[{
         RowBox[{"Adj", "[", 
          SubscriptBox["\[Rho]", "EPR"], 
          StyleBox["  ",
           FontSize->12], "]"}], " ", "-", 
         SubscriptBox["\[Rho]", 
          RowBox[{"EPR", " "}]]}], "]"}], "\[Equal]", 
       RowBox[{"ConstantArray", "[", 
        RowBox[{"0", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Length", "[", 
            SubscriptBox["\[Rho]", "EPR"], "]"}], ",", 
           RowBox[{"Length", "[", 
            SubscriptBox["\[Rho]", "EPR"], "]"}]}], "}"}]}], "]"}]}], ",", 
      RowBox[{"Print", "[", "\"\<Hermitian\>\"", "]"}], ",", 
      RowBox[{"Print", "[", "\"\<Not Hermitian\>\"", "]"}]}], "]"}], ",", 
    "\"\<\>\""}], "]"}]}]], "Input",
 CellChangeTimes->{{3.395093222183462*^9, 3.395093242281027*^9}},
 FontFamily->"Courier New",
 CellTags->"b:4.3.1",ExpressionUUID->"f9d52d45-6a5f-4bb3-98a4-1b6faca9f8ad"],

Cell[BoxData[
 TagBox["\<\"\"\>",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572077223528633`*^9},
 CellTags->"b:4.3.1",ExpressionUUID->"66d9afbf-d9ee-4e5b-b1c8-48175a3886d9"]
}, Open  ]],

Cell["Check on Eigenvalues of the EPR", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.1",ExpressionUUID->"34989ca6-9844-4930-b215-95f36e80209b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"evEPR", ":=", 
  RowBox[{"Chop", "[", 
   RowBox[{"Eigenvalues", "[", 
    SubscriptBox["\[Rho]", "EPR"], "]"}], 
   "]"}]}], "\[IndentingNewLine]", "evEPR", "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{"Tr", "[", 
    SubscriptBox["\[Rho]", "EPR"], "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{"Tr", "[", 
    RowBox[{
     SubscriptBox["\[Rho]", "EPR"], ".", 
     SubscriptBox["\[Rho]", "EPR"]}], "]"}], "]"}], "]"}]}], "Input",
 CellTags->"b:4.3.1",ExpressionUUID->"9b4ab895-6467-4e76-a98a-0080cdd7cf81"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"},
      {"1"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572077223756247`*^9},
 CellTags->"b:4.3.1",ExpressionUUID->"258c24ed-1146-4dea-bbc6-eaa76a51aa76"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207722380805*^9},
 CellTags->"b:4.3.1",ExpressionUUID->"a40c46f4-2be0-4e83-8eb5-0901b5d6b1a0"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207722384053*^9},
 CellTags->"b:4.3.1",ExpressionUUID->"dc9a6332-8fe8-4af4-bcb6-46173f316db9"]
}, Open  ]],

Cell["Test Positivity:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.1",ExpressionUUID->"2e9ecc5b-513a-4aca-9127-8981227a1bef"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"Icalc", "\[Equal]", "0"}], ",", 
    RowBox[{"Do", "[", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Re", "[", 
          RowBox[{"evEPR", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "]"}], "\[GreaterEqual]", "0"}], 
        ",", 
        RowBox[{"Print", "[", "\"\<Positive eigenvalue\>\"", "]"}], ",", 
        RowBox[{"Print", "[", "\"\<Negative\>\"", "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "4"}], "}"}]}], "]"}], ",", "\"\<\>\""}], 
   "]"}]}]], "Input",
 FontFamily->"Courier New",
 CellTags->{
  "Do", "b:4.3.1"},ExpressionUUID->"f78b8866-1d5c-4bbe-89ff-05b2e4d2bfa0"],

Cell[BoxData[
 TagBox["\<\"\"\>",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207722393004*^9},
 CellTags->{
  "Do", "b:4.3.1"},ExpressionUUID->"fce61408-21f9-4037-a6db-66167db85aff"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[Cell[TextData[Cell[BoxData[
    FormBox[
    Cell["",ExpressionUUID->"613f7f6e-d93e-4adc-9b81-930c35169d6b"], 
     TraditionalForm]],ExpressionUUID->
    "d9dc734a-8a9a-4068-97f2-964b9a09721e"]],ExpressionUUID->
    "05515b4d-a6e4-456b-9c65-2e5a63bc648b"], TraditionalForm]],ExpressionUUID->
  "f89b7910-ccdd-4a67-b50a-08774e5a0f78"],
 "Step 2: The GHZ state made of qubits 345 is built"
}], "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:27", "b:4.3.2"},ExpressionUUID->"9f37e07b-f9a2-4978-b00f-d1a992b2fb8f"],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{
  "Build", " ", "the", " ", "Three", " ", "Qubit", " ", "entangled", " ", 
   "state", "   ", 
   StyleBox[
    SubscriptBox["\[Rho]", "GHZ"],
    FontSize->12], "  ", 
   RowBox[{"(", " ", 
    RowBox[{"Entangled", " ", "State", " ", "Resource"}], " ", ")"}]}], " ", 
  " "}]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.2",ExpressionUUID->"510e4364-76bb-4418-ab10-b1a4fd8f8d0e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox[
   SubscriptBox["\[Rho]", "00"],
   FontSize->12], 
  StyleBox["=",
   FontSize->12], 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "0"], " ", "\[CircleTimes]", "  ", 
    SubscriptBox["\[ScriptCapitalP]", "0"], " ", "\[CircleTimes]", " ", 
    SubscriptBox["\[ScriptCapitalP]", "0"]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.614174115769347*^9, 3.614174164559533*^9}, {
  3.8572069248434677`*^9, 3.857206924844923*^9}},
 CellTags->"b:4.3.2",ExpressionUUID->"b0005a1e-d01f-400d-b665-61e80cdb9627"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207722410427*^9},
 CellTags->"b:4.3.2",ExpressionUUID->"1e842117-63d5-4dd5-ad3b-6935180d0ef8"]
}, Open  ]],

Cell[" Generate GHZ state operator ", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.2",ExpressionUUID->"d54e2589-f9e2-4704-b142-7754efb684c5"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"figure2", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<QDENSITY/drawings/gGHZ.png\>\"", ",", "\"\<PNG\>\""}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "figure2", "]"}]}], "Input",
 CellTags->"b:4.3.2",ExpressionUUID->"62ab7abc-bcc1-422a-a265-38f80107b863"],

Cell[BoxData[
 TagBox[
  GraphicsBox[RasterBox[CompressedData["
1:eJztnQtYTVn/x6nkNrxymzdmGKGJzJsxSTFEcr9LFyFCN0qh3HKfITUkKSpm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    "], {{0, 0}, {250., 150.}}, {0, 255},
    ColorFunction->RGBColor],
   PlotRange->{{0, 250.}, {0, 150.}}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207722436512*^9},
 CellTags->"b:4.3.2",ExpressionUUID->"d55d3d53-6050-4e92-b339-1ad86176a4cf"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"GHZop", "[", 
   RowBox[{"qi_", ",", "qj_", ",", "qk_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"CNOT", "[", 
     RowBox[{"3", ",", "qi", ",", "qk"}], "]"}], ".", 
    RowBox[{"CNOT", "[", 
     RowBox[{"3", ",", "qi", ",", "qj"}], "]"}]}], ".", 
   RowBox[{"had", "[", 
    RowBox[{"3", ",", "qi"}], "]"}]}], " "}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.3.2",ExpressionUUID->"ad402df1-6bc8-4e67-b9f2-130875fdec9e"],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{
   RowBox[{
    RowBox[{
     SubscriptBox["\[Rho]", "GHZ"], "   ", "is", " ", "the", " ", "density", 
     " ", "matrix", "  ", "of", " ", "the", " ", "GHZ", " ", "state", " ", 
     "produced", " ", "by", " ", "Bob", "  ", 
     RowBox[{"(", 
      RowBox[{"or", " ", "Eve"}], ")"}], " ", "from", " ", "qubits", " ", 
     "3"}], ",", 
    RowBox[{
     RowBox[{"4", " ", "&"}], " ", "5"}]}], " ", "\[IndentingNewLine]", "  ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Bob", " ", "sends", " ", "one", " ", "of", " ", "these", " ", "qubits", 
      " ", "to", " ", "Alice", " ", "who", " ", "has", " ", "qubits", " ", 
      "1"}], " ", "&"}], " ", "2", " ", "in", " ", "state", " ", 
    SubscriptBox["\[Rho]", "EPR"]}]}]}]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.2",ExpressionUUID->"3cf317b4-9f00-4abd-b3b6-1ea410fdba40"],

Cell[BoxData[
 StyleBox[
  RowBox[{" ", 
   RowBox[{
    SubscriptBox["\[Rho]", "GHZ"], "  ", ":=", 
    RowBox[{
     RowBox[{"GHZop", "[", 
      RowBox[{"1", ",", "2", ",", "3"}], "]"}], ".", 
     SubscriptBox["\[Rho]", "00"], ".", 
     RowBox[{"Adj", "[", 
      RowBox[{"GHZop", "[", 
       RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}]}]}]}],
  FontSize->12]], "Input",
 CellChangeTimes->{3.614174196620365*^9},
 FontFamily->"Courier New",
 FontSize->12,
 CellTags->"b:4.3.2",ExpressionUUID->"cc08c3e7-82b8-4b5a-8e5a-f08d91c34bd1"],

Cell[" Checks on GHZ states ", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.2",ExpressionUUID->"aaa091da-2e89-47d6-86d7-7a4a27b582e8"],

Cell[CellGroupData[{

Cell[BoxData[
 SubscriptBox["\[Rho]", "GHZ"]], "Input",
 CellTags->"b:4.3.2",ExpressionUUID->"d2d8121c-4e2b-45a7-ba1a-27ddd2abbb87"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "2"]},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {
      FractionBox["1", "2"], "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85720772246338*^9},
 CellTags->"b:4.3.2",ExpressionUUID->"89401af6-5320-47d2-a601-5902bd328054"]
}, Open  ]],

Cell["\<\
 Vector and tensor polarizations of GHZ state 
 Vector polarizations are zero for GHZ states 
 Rank 2 Tensor polarizations for GHZ state 
 Rank 3 Tensor polarizations for GHZ state \
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.2",ExpressionUUID->"3d12c8d9-9a76-44ae-9413-55ebfaa65822"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"T", "[", 
    RowBox[{"i_", ",", "j_", ",", "k_"}], "]"}], ":=", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"AF", "[", 
      RowBox[{
       SubscriptBox["\[Sigma]", "i"], "\[CircleTimes]", 
       SubscriptBox["\[Sigma]", "j"], "\[CircleTimes]", 
       SubscriptBox["\[Sigma]", "k"]}], "]"}], ".", 
     StyleBox[
      SubscriptBox["\[Rho]", "GHZ"],
      FontSize->12]}], 
    StyleBox[" ",
     FontSize->12], 
    StyleBox["]",
     FontSize->12]}]}], 
  StyleBox[";",
   FontSize->12]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{
     StyleBox["P",
      FontSize->12], "GHZ", 
     StyleBox["A",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"T", "[", 
       RowBox[{"1", ",", "0", ",", "0"}], "]"}],
      FontSize->12], 
     StyleBox[",",
      FontSize->12], 
     RowBox[{"T", "[", 
      RowBox[{"2", ",", "0", ",", "0"}], "]"}], ",", 
     RowBox[{"T", "[", 
      RowBox[{"3", ",", "0", ",", "0"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{
     StyleBox["P",
      FontSize->12], "GHZ", 
     StyleBox["B",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"T", "[", 
       RowBox[{"0", ",", "1", ",", "0"}], "]"}],
      FontSize->12], 
     StyleBox[",",
      FontSize->12], 
     RowBox[{"T", "[", 
      RowBox[{"0", ",", "2", ",", "0"}], "]"}], ",", 
     RowBox[{"T", "[", 
      RowBox[{"0", ",", "3", ",", "0"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    StyleBox[
     RowBox[{
      StyleBox["P",
       FontSize->12], "GHZ", 
      StyleBox["C",
       FontSize->12]}]], 
    StyleBox["=",
     FontSize->12], 
    RowBox[{
     StyleBox["{",
      FontSize->12], 
     RowBox[{
      StyleBox[
       RowBox[{"T", "[", 
        RowBox[{"0", ",", "0", ",", "1"}], "]"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      RowBox[{"T", "[", 
       RowBox[{"0", ",", "0", ",", "2"}], "]"}], ",", 
      RowBox[{"T", "[", 
       RowBox[{"0", ",", "0", ",", "3"}], "]"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{"TGHZ", 
     StyleBox["AB",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox["Table",
      FontSize->12], 
     StyleBox["[",
      FontSize->12], 
     RowBox[{
      StyleBox[
       RowBox[{"T", "[", 
        RowBox[{"i", ",", "j", ",", "0"}], "]"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{"TGHZ", 
     StyleBox["AC",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox["Table",
      FontSize->12], 
     StyleBox["[",
      FontSize->12], 
     RowBox[{
      StyleBox[
       RowBox[{"T", "[", 
        RowBox[{"i", ",", "0", ",", "j"}], "]"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TGHZBC", 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox["Table",
      FontSize->12], 
     StyleBox["[",
      FontSize->12], 
     RowBox[{
      StyleBox[
       RowBox[{"T", "[", 
        RowBox[{"i", ",", "j", ",", "0"}], "]"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{"TGHZ", 
     StyleBox["ABC",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox["Table",
      FontSize->12], 
     StyleBox["[",
      FontSize->12], 
     RowBox[{
      StyleBox[
       RowBox[{"T", "[", 
        RowBox[{"i", ",", "j", ",", "k"}], "]"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "1", ",", "3"}], "}"}]}], "]"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "PGHZA", "\[IndentingNewLine]", "PGHZB", "\
\[IndentingNewLine]", "PGHZC", "\[IndentingNewLine]", 
 RowBox[{"Flatten", "[", 
  RowBox[{"TGHZAB", ",", "1"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Flatten", "[", 
  RowBox[{"TGHZAC", ",", "1"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Flatten", "[", 
  RowBox[{"TGHZBC", ",", "1"}], 
  "]"}], "\[IndentingNewLine]", "TGHZABC"}], "Input",
 CellChangeTimes->{{3.614174221784515*^9, 3.614174251593748*^9}, {
  3.857206924855898*^9, 3.857206924858142*^9}},
 FontFamily->"Courier New",
 CellTags->"b:4.3.2",ExpressionUUID->"ac73dbc8-526d-4b0e-827b-86880ba762e6"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207722588955*^9},
 CellTags->"b:4.3.2",ExpressionUUID->"5854f709-8c64-4f24-8304-ee0487c35fbf"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572077225949373`*^9},
 CellTags->"b:4.3.2",ExpressionUUID->"0314cc55-daa8-437e-b5ac-fe33faca5e18"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207722598789*^9},
 CellTags->"b:4.3.2",ExpressionUUID->"b52f84e0-5fa4-49d0-aabc-fd254c6f472e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0"},
     {"0", "0", "0"},
     {"0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572077226033287`*^9},
 CellTags->"b:4.3.2",ExpressionUUID->"3a000e36-4371-489a-b434-159842d43e27"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0"},
     {"0", "0", "0"},
     {"0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207722608094*^9},
 CellTags->"b:4.3.2",ExpressionUUID->"455fc2d7-83f2-4070-adbc-0dc428e4d7fc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0"},
     {"0", "0", "0"},
     {"0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207722612756*^9},
 CellTags->"b:4.3.2",ExpressionUUID->"bd651e2b-e0ed-4c39-b79f-6927602dc287"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"1", "0", "0"},
         {"0", 
          RowBox[{"-", "1"}], "0"},
         {"0", "0", "0"}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", 
          RowBox[{"-", "1"}], "0"},
         {
          RowBox[{"-", "1"}], "0", "0"},
         {"0", "0", "0"}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", "0", "0"},
         {"0", "0", "0"},
         {"0", "0", "0"}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207722617919*^9},
 CellTags->"b:4.3.2",ExpressionUUID->"89e94b31-ff11-425d-abf1-557c07c0a58d"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[Cell[TextData[Cell[BoxData[
    FormBox[
    Cell["",ExpressionUUID->"a7af60f9-d6ee-4b19-9315-054a2121b6c7"], 
     TraditionalForm]],ExpressionUUID->
    "5e695e6e-564a-41d8-856b-b7ba810d2716"]],ExpressionUUID->
    "879593e1-5e3c-4f3a-8b22-db0542906d1b"], TraditionalForm]],ExpressionUUID->
  "adf712de-6dc1-454d-ae9b-6cbf16b67c97"],
 "Step 3: The initial 5 qubit state"
}], "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:28", "b:4.3.3"},ExpressionUUID->"72ceb29e-34b4-4888-916d-9c2b0dbba13a"],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "The", " ", "initial", " ", "5", " ", "qubit", " ", "density", " ", 
   "matrix", " ", "is", " ", 
   RowBox[{"thus", ":", " ", 
    StyleBox[
     SubscriptBox["\[Rho]", "I"],
     FontSize->12]}]}], 
  StyleBox["=",
   FontSize->12], 
  StyleBox[
   RowBox[{
    StyleBox[" ",
     FontSize->12], " "}]], 
  RowBox[{
   StyleBox[
    SubscriptBox["\[Rho]", "EPR"],
    FontSize->12], " ", "\[CircleTimes]", " ", 
   StyleBox[
    SubscriptBox["\[Rho]", "GHZ"],
    FontSize->12]}]}]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.3",ExpressionUUID->"26f10e94-b936-47a1-b893-cff03897fc1b"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   StyleBox[
    SubscriptBox["\[Rho]", "I"],
    FontSize->12], 
   StyleBox["=",
    FontSize->12], 
   StyleBox[" ",
    FontSize->12], 
   RowBox[{"AF", "[", 
    StyleBox[" ",
     FontSize->12], 
    RowBox[{
     StyleBox[
      SubscriptBox["\[Rho]", "EPR"],
      FontSize->12], "\[CircleTimes]", 
     StyleBox[
      SubscriptBox["\[Rho]", "GHZ"],
      FontSize->12]}], 
    StyleBox["]",
     FontSize->12]}]}], 
  StyleBox[";",
   FontSize->12]}]], "Input",
 CellChangeTimes->{{3.614174264341939*^9, 3.614174276094805*^9}, 
   3.857206924866167*^9},
 FontFamily->"Courier New",
 CellTags->"b:4.3.3",ExpressionUUID->"d990bf79-b3b8-46dc-9119-c925b9a90b52"],

Cell[BoxData[
 RowBox[{"Checks", " ", "on", " ", "Full", " ", "Initial", "  ", 
  StyleBox[
   SubscriptBox["\[Rho]", "I"],
   FontSize->12], " ", "Density", " ", "Matrix"}]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.3",ExpressionUUID->"8835c775-fea1-4fcc-8732-e5d8b65c788d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", 
  StyleBox[
   SubscriptBox["\[Rho]", "I"],
   FontSize->12], 
  StyleBox["]",
   FontSize->12]}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.3.3",ExpressionUUID->"69956825-f280-41f3-943d-96f24e9e9e81"],

Cell[BoxData[
 TagBox["32",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572077256529837`*^9},
 CellTags->"b:4.3.3",ExpressionUUID->"1cc7ab46-e879-496e-912d-572a81b18fa6"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Trace", " ", "and", " ", "purity", " ", "of", "  ", 
  StyleBox[
   SubscriptBox["\[Rho]", "I"],
   FontSize->12], " ", "Density", " ", "Matrix"}]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.3",ExpressionUUID->"8c11991b-5f89-4c11-a29f-71b7b6a144f0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Simplify", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{"Tr", "[", 
    StyleBox[
     SubscriptBox["\[Rho]", "I"],
     FontSize->12], 
    StyleBox["]",
     FontSize->12]}], 
   StyleBox["]",
    FontSize->12]}], 
  StyleBox["]",
   FontSize->12]}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Purity", "[", 
   StyleBox[
    SubscriptBox["\[Rho]", "I"],
    FontSize->12], 
   StyleBox["]",
    FontSize->12]}], 
  StyleBox["]",
   FontSize->12]}]}], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.3.3",ExpressionUUID->"e647f133-33d0-4b58-b68c-f6003a47694b"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572077256639557`*^9},
 CellTags->"b:4.3.3",ExpressionUUID->"8e9b10eb-7489-4ca1-971e-d53bcefe0d8c"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572077256694517`*^9},
 CellTags->"b:4.3.3",ExpressionUUID->"8c7c2424-b2f3-405c-a364-f3773bfab705"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"Icalc", "\[Equal]", "0"}], ",", 
   RowBox[{
    RowBox[{"evI", ":=", 
     RowBox[{"Eigenvalues", "[", 
      StyleBox[
       SubscriptBox["\[Rho]", "I"],
       FontSize->12], 
      StyleBox["]",
       FontSize->12]}]}], 
    StyleBox[";",
     FontSize->12], "\[IndentingNewLine]", 
    RowBox[{"Do", "[", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Chop", "[", 
          RowBox[{"evI", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "]"}], "\[GreaterEqual]", "0"}], 
        ",", 
        RowBox[{"Print", "[", "\"\<Positive eigenvalue\>\"", "]"}], ",", 
        RowBox[{"Print", "[", "\"\<Negative\>\"", "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        StyleBox[
         RowBox[{"Length", "[", "evI", "]"}],
         FontSize->12]}], "}"}]}], "]"}]}], ",", "\"\<\>\""}], "]"}]], "Input",
 FontFamily->"Courier New",
 CellTags->{
  "Do", "b:4.3.3"},ExpressionUUID->"437cb3d2-722f-4ae1-9bb5-69a49256e102"],

Cell[BoxData[
 TagBox["\<\"\"\>",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207725687688*^9},
 CellTags->{
  "Do", "b:4.3.3"},ExpressionUUID->"bf6f7623-172a-4deb-80cd-eb6ea34c41f6"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[Cell[TextData[Cell[BoxData[
    FormBox[
    Cell["",ExpressionUUID->"724116d3-6d60-4398-bab2-f8b9a0140384"], 
     TraditionalForm]],ExpressionUUID->
    "8615904a-ad89-496c-a568-9a33642bc79c"]],ExpressionUUID->
    "e3f9c84d-d6f4-4035-bf8f-9d8552350a92"], TraditionalForm]],ExpressionUUID->
  "3a053e21-547e-4e99-b308-b4f90e27ad7d"],
 "Step 4: Alice receives qubit 3 and performs an operation on qubits 1,2,3 \
and then Measures them"
}], "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:29", "b:4.3.4"},ExpressionUUID->"37173967-c841-45b6-aa04-d5fee4239a15"],

Cell["\<\
Alice performs an operation defined by (see the figure above):\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.4",ExpressionUUID->"165ed1b6-266a-493f-a184-4b122881a2ab"],

Cell[BoxData[
 RowBox[{
  RowBox[{"AliceOp", "=", " ", 
   RowBox[{
    RowBox[{"had", "[", 
     RowBox[{"5", ",", "2"}], "]"}], ".", 
    RowBox[{"CNOT", "[", 
     RowBox[{"5", ",", "3", ",", "2"}], "]"}], ".", 
    RowBox[{"had", "[", 
     RowBox[{"5", ",", "1"}], "]"}], ".", 
    RowBox[{"CNOT", "[", 
     RowBox[{"5", ",", "1", ",", "3"}], "]"}]}]}], ";"}]], "Input",
 CellTags->"b:4.3.4",ExpressionUUID->"11faea9b-799b-4d61-b5f3-25b2354db19a"],

Cell["\<\
 And therefore the density matrix of the 5 qubit system after Alice operation \
reads:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.4",ExpressionUUID->"c83f2c23-705c-435e-8a23-6fa2424a9bed"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "T"], " ", "=", 
   RowBox[{"AliceOp", ".", 
    SubscriptBox["\[Rho]", "I"], ".", 
    RowBox[{"Adj", "[", "AliceOp", "]"}]}]}], ";"}], "\n", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{"Tr", "[", 
    SubscriptBox["\[Rho]", "T"], "]"}], "]"}], "]"}], "\n", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{"Tr", "[", 
    RowBox[{
     SubscriptBox["\[Rho]", "T"], ".", 
     SubscriptBox["\[Rho]", "T"]}], "]"}], "]"}], "]"}]}], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.3.4",ExpressionUUID->"ad2ae813-4db6-4310-acc9-5725a9bea923"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207725749951*^9},
 CellTags->"b:4.3.4",ExpressionUUID->"b2f3e869-4e43-468e-82a3-38a9931f8690"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572077257847157`*^9},
 CellTags->"b:4.3.4",ExpressionUUID->"c8101355-7858-46f1-b6c8-8522705877af"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"Icalc", "\[Equal]", "0"}], ",", 
   RowBox[{
    RowBox[{"evF", ":=", 
     RowBox[{"Eigenvalues", "[", 
      SubscriptBox["\[Rho]", "T"], "]"}]}], ";", 
    RowBox[{"Do", "[", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Chop", "[", 
          RowBox[{"evF", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "]"}], "\[GreaterEqual]", "0"}], 
        ",", 
        RowBox[{"Print", "[", "\"\<Positive eigenvalue\>\"", "]"}], ",", 
        RowBox[{"Print", "[", "\"\<Negative\>\"", "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "evF", "]"}]}], "}"}]}], "]"}]}], ",", 
   "\"\<\>\""}], "]"}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.3.4",ExpressionUUID->"4bbe0391-23c0-419b-9825-efa5b6854676"],

Cell[BoxData[
 TagBox["\<\"\"\>",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572077257973223`*^9},
 CellTags->"b:4.3.4",ExpressionUUID->"1b38d3cb-53f5-41c7-b705-1f2cacdae547"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", 
  SubscriptBox["\[Rho]", "T"], "]"}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.3.4",ExpressionUUID->"32770a26-6c91-4940-a6ed-5ba31e163982"],

Cell[BoxData[
 TagBox["32",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572077258192883`*^9},
 CellTags->"b:4.3.4",ExpressionUUID->"4f83672a-4230-4582-8f84-9120a5292462"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  SubscriptBox["P", 
   RowBox[{"a_", ",", "b_", ",", "c_"}]], "  ", ":=", " ", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "a"], " ", "\[CircleTimes]", "  ", 
    SubscriptBox["\[ScriptCapitalP]", "b"], "\[CircleTimes]", "  ", 
    SubscriptBox["\[ScriptCapitalP]", "c"], "\[CircleTimes]", " ", 
    "\[DoubleStruckCapitalI]", "\[CircleTimes]", " ", 
    "\[DoubleStruckCapitalI]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.614174317867028*^9, 3.614174331723187*^9}, {
  3.614174362200873*^9, 3.6141743751577263`*^9}, {3.614174694272193*^9, 
  3.614174748123382*^9}, {3.8572069248757067`*^9, 3.8572069248795853`*^9}},
 CellTags->"b:4.3.4",ExpressionUUID->"bf5c876e-4143-40b1-94e1-9967e2c7c7f9"],

Cell["\<\
Bob's 2-Qubit Density Matrix--After measurement by Alice of abc \
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.4",ExpressionUUID->"87e8c5ca-5dcb-4d32-bd42-bbfd8e1e3829"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"RhoBob", "[", 
    RowBox[{"a_", ",", "b_", ",", "c_"}], "]"}], ":=", 
   RowBox[{"Chop", "[", " ", 
    RowBox[{"PTr", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "3"}], "}"}], "  ", ",", 
      RowBox[{
       RowBox[{"2", "^", "3."}], 
       RowBox[{
        SubscriptBox["P", 
         RowBox[{"a", ",", "b", ",", "c"}]], ".", 
        SubscriptBox["\[Rho]", "T"], ".", 
        SubscriptBox["P", 
         RowBox[{"a", ",", "b", ",", "c"}]]}]}]}], " ", "]"}], "]"}]}], 
  ";"}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.3.4",ExpressionUUID->"b58b404e-6c52-4fd4-bfe9-2a48b8390116"],

Cell["\<\
   Alice measures 1,2,3 and gets values P1,P2,P3. 
Here we produce them at random.\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.4",ExpressionUUID->"0bb0dec9-09ad-4d89-821c-060adb315567"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"P1", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"P2", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"P3", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}], "]"}]}], 
  ";"}], "\n", "P1", "\n", "P2", "\n", "P3"}], "Input",
 CellTags->"b:4.3.4",ExpressionUUID->"a3445c8f-f1dd-4e82-bb15-5145453ce34c"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207725856764*^9},
 CellTags->"b:4.3.4",ExpressionUUID->"e1756dda-0742-424d-82c9-73812f84b784"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207725865137*^9},
 CellTags->"b:4.3.4",ExpressionUUID->"d5d730d6-85f7-41b4-81f0-d131962e23f7"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572077258703012`*^9},
 CellTags->"b:4.3.4",ExpressionUUID->"6ca3b8af-fe5a-49fe-955a-906dae633053"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[Cell[TextData[Cell[BoxData[
    FormBox[
    Cell["",ExpressionUUID->"1084b962-6d77-4020-81cf-9799616340e7"], 
     TraditionalForm]],ExpressionUUID->
    "dbc88f44-26a4-466e-bc98-12a126f5ad42"]],ExpressionUUID->
    "3bb7774e-3d23-450e-90dc-f15d38cba0fa"], TraditionalForm]],ExpressionUUID->
  "4f528254-d6fd-4cdb-b94d-1dda7a4eea5f"],
 "Step 5: Alice sends the result of her measurement to Bob "
}], "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:30", "b:4.3.5"},ExpressionUUID->"45cd8cfc-afe8-46e6-a372-7f4857e29904"],

Cell["\<\
 Alice classically transmits P1,P2 and P3 to Bob, which has then the following 
density matrix for qubits 4 and 5:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.5",ExpressionUUID->"9ec36fd9-d887-4045-ac5d-dc8c5f7a9a33"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  SubscriptBox["\[Rho]", "45"], "=", " ", 
  RowBox[{"RhoBob", "[", 
   RowBox[{"P1", ",", "P2", ",", "P3"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Tr", "[", 
   SubscriptBox["\[Rho]", "45"], "]"}], "]"}]}], "Input",
 CellTags->"b:4.3.5",ExpressionUUID->"8159a79f-21ba-4ff9-b187-e8ca64f35049"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox[
       RowBox[{"1.`", " ", 
        SuperscriptBox["B", "2"]}], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]], "0", "0", 
      FractionBox[
       RowBox[{"1.`", " ", "A", " ", "B"}], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]]},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {
      FractionBox[
       RowBox[{"1.`", " ", "A", " ", "B"}], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]], "0", "0", 
      FractionBox[
       RowBox[{"1.`", " ", 
        SuperscriptBox["A", "2"]}], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207725976697*^9},
 CellTags->"b:4.3.5",ExpressionUUID->"f15035c3-0d08-4091-aed2-b4908fc413f9"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207725982835*^9},
 CellTags->"b:4.3.5",ExpressionUUID->"3eb31751-af1c-4072-983f-0c1c293ba050"]
}, Open  ]],

Cell["\<\
 Bob, with the values of the measurements made by Alice, performs a set of 
operations on its two qubit system depending on P1,P2,P3\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.3.5",ExpressionUUID->"87587cb7-cad6-485e-89e4-fd6ceef74912"],

Cell[BoxData[
 RowBox[{
  SubscriptBox["S", 
   RowBox[{"i_", " ", ",", "j_", "  "}]], "  ", ":=", "  ", 
  RowBox[{"AF", "[", " ", 
   RowBox[{
    SubscriptBox["\[Sigma]", "i"], " ", "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "j"]}], " ", "]"}], " "}]], "Input",
 CellChangeTimes->{{3.614174774843773*^9, 3.614174784109489*^9}, 
   3.857206924885932*^9},
 CellTags->"b:4.3.5",ExpressionUUID->"3779b963-ba6b-4729-96fc-6775db0d5a08"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BobOp", "=", 
  RowBox[{"Which", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"P1", ",", "P2", ",", "P3"}], "}"}], "\[Equal]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], ",", 
    SubscriptBox["S", 
     RowBox[{"0", " ", ",", "0"}]], 
    StyleBox[",",
     FontSize->12], 
    StyleBox["\[IndentingNewLine]",
     FontSize->12], 
    StyleBox["                      ",
     FontSize->12], 
    RowBox[{
     RowBox[{
      StyleBox["{",
       FontSize->12], 
      RowBox[{"P1", ",", "P2", ",", "P3"}], "}"}], "\[Equal]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], ",", " ", 
    StyleBox[
     SubscriptBox["S", 
      RowBox[{"0", ",", "0"}]],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    StyleBox["\[IndentingNewLine]",
     FontSize->12], 
    StyleBox["                      ",
     FontSize->12], 
    StyleBox[
     RowBox[{
      RowBox[{"{", 
       RowBox[{"P1", ",", "P2", ",", "P3"}], "}"}], "==", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "1"}], "}"}]}],
     FontSize->12], ",", 
    StyleBox[
     SubscriptBox["S", 
      RowBox[{"1", ",", "1"}]],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    StyleBox["\[IndentingNewLine]",
     FontSize->12], 
    StyleBox["                      ",
     FontSize->12], 
    RowBox[{
     RowBox[{
      StyleBox["{",
       FontSize->12], 
      RowBox[{"P1", ",", "P2", ",", "P3"}], "}"}], "\[Equal]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", 
    StyleBox[
     SubscriptBox["S", 
      RowBox[{"1", ",", "1"}]],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    StyleBox["\[IndentingNewLine]",
     FontSize->12], 
    StyleBox[
     RowBox[{
      StyleBox["                     ",
       FontSize->12], " "}]], 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"P1", ",", "P2", ",", "P3"}], "}"}], "\[Equal]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], ",", 
    SubscriptBox["S", 
     RowBox[{"1", " ", ",", "2"}]], 
    StyleBox[",",
     FontSize->12], 
    StyleBox["\[IndentingNewLine]",
     FontSize->12], 
    StyleBox["                      ",
     FontSize->12], 
    RowBox[{
     RowBox[{
      StyleBox["{",
       FontSize->12], 
      RowBox[{"P1", ",", "P2", ",", "P3"}], "}"}], "\[Equal]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], ",", " ", 
    StyleBox[
     SubscriptBox["S", 
      RowBox[{"1", ",", "2"}]],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    StyleBox["\[IndentingNewLine]",
     FontSize->12], 
    StyleBox["                      ",
     FontSize->12], 
    StyleBox[
     RowBox[{
      RowBox[{"{", 
       RowBox[{"P1", ",", "P2", ",", "P3"}], "}"}], "==", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "0"}], "}"}]}],
     FontSize->12], ",", 
    StyleBox[
     SubscriptBox["S", 
      RowBox[{"3", ",", "0"}]],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    StyleBox["\[IndentingNewLine]",
     FontSize->12], 
    StyleBox["                      ",
     FontSize->12], 
    RowBox[{
     RowBox[{
      StyleBox["{",
       FontSize->12], 
      RowBox[{"P1", ",", "P2", ",", "P3"}], "}"}], "\[Equal]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], ",", 
    StyleBox[
     SubscriptBox["S", 
      RowBox[{"3", ",", "0"}]],
     FontSize->12]}], 
   StyleBox["]",
    FontSize->12]}]}]], "Input",
 CellTags->"b:4.3.5",ExpressionUUID->"4b72887e-c53d-463c-a80c-6f18b21e61f9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "1"},
     {"0", "0", "1", "0"},
     {"0", "1", "0", "0"},
     {"1", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207726004979*^9},
 CellTags->"b:4.3.5",ExpressionUUID->"8c28f4e6-1aa3-432c-b448-a546a8aa0e58"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SubscriptBox["\[Rho]", "BobF"], "=", 
  RowBox[{"Chop", "[", 
   RowBox[{"BobOp", ".", 
    SubscriptBox["\[Rho]", "45"], ".", 
    RowBox[{"Adj", "[", "BobOp", "]"}]}], "]"}]}]], "Input",
 CellTags->"b:4.3.5",ExpressionUUID->"2fc9f3af-c4d3-4916-a9e4-ac79517286fc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox[
       RowBox[{"1.`", " ", 
        SuperscriptBox["A", "2"]}], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]], "0", "0", 
      FractionBox[
       RowBox[{"1.`", " ", "A", " ", "B"}], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]]},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {
      FractionBox[
       RowBox[{"1.`", " ", "A", " ", "B"}], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]], "0", "0", 
      FractionBox[
       RowBox[{"1.`", " ", 
        SuperscriptBox["B", "2"]}], 
       RowBox[{
        SuperscriptBox["A", "2"], "+", 
        SuperscriptBox["B", "2"]}]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207726015272*^9},
 CellTags->"b:4.3.5",ExpressionUUID->"95aa4de2-07dd-40fe-9d13-8bf1a39d26ae"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[Cell[TextData[Cell[BoxData[
    FormBox[
    Cell["",ExpressionUUID->"12562fe7-2eb3-4083-a2f3-db02eb9e2da6"], 
     TraditionalForm]],ExpressionUUID->
    "204304e5-a8c2-47ee-8782-cdd43fe19592"]],ExpressionUUID->
    "0606aed5-9503-479d-ab91-41a07b78c039"], TraditionalForm]],ExpressionUUID->
  "481e7ffd-2756-41ca-9bd4-2babb1049124"],
 "Step 6: Final comparison, we compare the EPR state and the state in Bob \
hands:"
}], "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:31", "b:4.3.6"},ExpressionUUID->"ea3a9804-b689-4970-a260-0b172a99dd70"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Chop", "[", 
  RowBox[{
   SubscriptBox["\[Rho]", "EPR"], " ", "-", 
   SubscriptBox["\[Rho]", "BobF"]}], "]"}]], "Input",
 CellTags->"b:4.3.6",ExpressionUUID->"bb9d93c0-14e7-4e9c-94f1-beffdf8e2bf4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207726033584*^9},
 CellTags->"b:4.3.6",ExpressionUUID->"a9f72c09-0464-40b8-8b57-2b3e12a1965d"]
}, Open  ]],

Cell[BoxData["Quit"], "Input",
 CellTags->"b:4.3.6",ExpressionUUID->"461f3348-fbd7-4601-8008-d1c2e512220c"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
EPR teleportation Algorithm: (Gorbachev and Trubilko quant-ph/9906110). 
                                                                          To \
open double click at down arrow---------------------------->>\
\>", "Section",
 CellChangeTimes->{{3.512212829391058*^9, 3.5122128614691973`*^9}, 
   3.5122145541214247`*^9},
 FontFamily->"Times",
 CellTags->"c:32",ExpressionUUID->"3dc4a9a4-cd80-4503-89ab-15db81dbefc0"],

Cell[CellGroupData[{

Cell["Introduction", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:3", "b:4.4.0"},ExpressionUUID->"febadfb5-76c0-4781-9718-d3166f45049b"],

Cell[TextData[StyleBox["Uses the Qdensity package:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:4.4.0",ExpressionUUID->"d7dc5295-5da7-4b3a-9f4e-46ecdabee8ea"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.4.0",ExpressionUUID->"d374e8c5-e77a-4673-a243-aa22653336ba"],

Cell[BoxData["\<\"Type \\\"?intro\\\", \\\"?QDENSITY`Qdensity`*\\\" or \
\\\"?about for help.\"\>"], "Print",
 CellChangeTimes->{3.857207872728093*^9},
 CellTags->"b:4.4.0",ExpressionUUID->"470b499b-e34b-4b16-8e53-84108acb6cd7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "QDENSITY`Qdensity`*"}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.4.0",ExpressionUUID->"0c0427a5-5f1c-468c-ab1d-f5f10adbf3f1"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["about", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "about", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Discord", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Discord", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "MeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "RandomBra2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma0", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Sigma0", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ws", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "ws", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Adj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Adj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "EnTropy", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiProjCBasis", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "MultiProjCBasis", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBraN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "RandomBraN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Sigma1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["AF", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "AF", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "EnTropy2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiQProj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "MultiQProj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "RandomKet1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Sigma2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Bra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Bra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Fidelity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Fidelity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Mutual", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Mutual", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "RandomKet2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Sigma3", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "BraV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["FidelityB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "FidelityB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "nb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKetN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "RandomKetN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Snos", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Snos", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "BraX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["neg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "neg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "RandomQubit1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SP", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "SP", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroMatrix", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "ZeroMatrix", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "BraY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nneg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "nneg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "RandomQubit2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SpinObs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "SpinObs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "ZeroT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CNOT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "CNOT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Hadamard", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Hadamard", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nq", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "nq", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubitN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "RandomQubitN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stA", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "stA", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalH]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "\[ScriptCapitalH]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Coeff", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Coeff", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["HALL", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "HALL", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OneOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "OneOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsDate", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "rcsDate", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "stB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "\[ScriptCapitalP]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Comm", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Comm", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["i8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "i8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Oracle", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Oracle", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsRevision", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "rcsRevision", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Swap", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Swap", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[DoubleStruckCapitalI]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "\[DoubleStruckCapitalI]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompMeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "CompMeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["intro", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "intro", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTrace", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "PartialTrace", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "res1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "s$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "\[Rho]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompPTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "CompPTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["j8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "j8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTraceGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "PartialTraceGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "res1$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ThreeOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "ThreeOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "\[Rho]$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "ControlledX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Ket1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Ket1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTranspose", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "PartialTranspose", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "res2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Toffoli", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Toffoli", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Sigma]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "\[Sigma]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "ControlledY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "KetV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ProjG", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "ProjG", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "res2$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "ts", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "\[Phi]A1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "ControlledZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "KetX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "PTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Rotqbit", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Rotqbit", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "ts$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "\[Phi]A2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASE", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "CPHASE", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "KetY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTrGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "PTrGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "RotX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["TwoOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "TwoOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "\[Phi]B1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASEV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "CPHASEV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "mc", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Purity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Purity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "RotY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["U", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "U", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "\[Phi]B2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["cRQN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "cRQN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "mcl", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "PX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "RotZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "v", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[CapitalOmega]s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "\[CapitalOmega]s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Definef", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Definef", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "mcl$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "PY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Vs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Vs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], ""},
                {
                 ButtonBox[
                  StyleBox["DForm2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "DForm2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "mc$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "RandomBra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Schmidt", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "Schmidt", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a268e9f0-5fcd-43a7-b154-a8a9b8357dac", {
                    "v$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], ""}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.15833333333333333`]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207873493133*^9},
 CellTags->"b:4.4.0",ExpressionUUID->"a7f49cd2-0294-4fbc-97b4-4e77dd32dcfe"]
}, Open  ]],

Cell[TextData[StyleBox["We set the number of Qubits to 5", "DisplayText",
 FontWeight->"Plain",
 FontVariations->{"CompatibilityType"->0},
 Background->None]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.4.0",ExpressionUUID->"f7f332e5-c8c3-4618-aba2-a27383a85a8e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"nqx", "=", "5"}], ";"}]], "Input",
 CellTags->"b:4.4.0",ExpressionUUID->"d26b8eaf-4eb5-41ed-a01c-42a1b8086eb7"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Step 1: Alice  prepares the EPR state to be teleported and the GHZ state is \
given\
\>", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:33", "b:4.4.1"},ExpressionUUID->"dc19356b-4c99-49b9-a060-4e0876b4b09f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"RandomReal", "[", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}], "]"}]}], ";", 
  RowBox[{"B", "=", 
   SqrtBox[
    RowBox[{"1", "-", 
     SuperscriptBox["A", "2"]}]]}], ";"}]], "Input",
 CellTags->"b:4.4.1",ExpressionUUID->"907f96b1-0d3a-4ef6-b8a6-a587d6e451d3"],

Cell["\<\
This example permits both an algebraic computation or a numerical one. This \
is controlled
by the value of Icalc: 1 [Algebraic] / Else [Numerical]\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.4.1",ExpressionUUID->"5f8d466f-e081-489d-95fc-08feb812f8be"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Icalc", "=", "1"}], ";"}]], "Input",
 CellTags->"b:4.4.1",ExpressionUUID->"d667920a-2cdd-4ec4-a939-a671dd297e36"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"Icalc", "==", "1"}], ",", 
     RowBox[{"Clear", "[", 
      RowBox[{"A", ",", "B"}], "]"}], ","}], " ", "]"}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{"A", ",", " ", "B"}], "}"}]}], "Input",
 CellChangeTimes->{{3.6141748665914717`*^9, 3.6141748754448357`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:4.4.1",ExpressionUUID->"f65c718e-59ca-4a7f-84ff-a651dae29880"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"A"},
      {"B"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207873528775*^9},
 CellTags->"b:4.4.1",ExpressionUUID->"637b2772-477e-424c-acf1-bda1133bf2ed"]
}, Open  ]],

Cell["\<\
Alice builds the EPR density matrix to be teleported. Qubits 1 and 2
And we also need the GHZ state made of qubits 3, 4 and 5\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.4.1",ExpressionUUID->"8997e41e-6aae-44b7-a3de-afabf53a36e2"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  SubscriptBox["\[Rho]", "1"], "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"A", "^", "2"}], ",", 
      RowBox[{"A", " ", "B"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"A", " ", "B"}], ",", 
      RowBox[{"B", "^", "2"}]}], "}"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OpEPR", "=", 
   RowBox[{"CNOT", "[", 
    RowBox[{"2", ",", "1", ",", "2"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "12"], "=", " ", 
   RowBox[{"AF", "[", 
    RowBox[{
     SubscriptBox["\[Rho]", "1"], "\[CircleTimes]", 
     SubscriptBox["\[ScriptCapitalP]", "1"]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"EPR", "=", 
  RowBox[{"OpEPR", ".", 
   SubscriptBox["\[Rho]", "12"], ".", 
   RowBox[{"Adj", "[", "OpEPR", "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.6141748868526707`*^9, 3.614174899821587*^9}, 
   3.8572069249101133`*^9},
 CellTags->"b:4.4.1",ExpressionUUID->"7515b203-0b99-41f5-a9b6-7d88860a0ba6"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SuperscriptBox["A", "2"], 
      RowBox[{"A", " ", "B"}]},
     {
      RowBox[{"A", " ", "B"}], 
      SuperscriptBox["B", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207873538587*^9},
 CellTags->"b:4.4.1",ExpressionUUID->"38a2da9e-dc91-477c-a34d-409279b6ecac"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", 
      SuperscriptBox["A", "2"], 
      RowBox[{"A", " ", "B"}], "0"},
     {"0", 
      RowBox[{"A", " ", "B"}], 
      SuperscriptBox["B", "2"], "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572078735439997`*^9},
 CellTags->"b:4.4.1",ExpressionUUID->"a62cebf0-73b5-42ff-9152-9f2b65d68a55"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "345"], "=", " ", 
   RowBox[{"AF", "[", 
    RowBox[{
     SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", 
     SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", 
     SubscriptBox["\[ScriptCapitalP]", "0"]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OpGHZ", "=", 
   RowBox[{
    RowBox[{"CNOT", "[", 
     RowBox[{"3", ",", "1", ",", "3"}], "]"}], ".", 
    RowBox[{"CNOT", "[", 
     RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
    RowBox[{"had", "[", 
     RowBox[{"3", ",", "1"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"GHZ", "=", 
  RowBox[{"OpGHZ", ".", 
   SubscriptBox["\[Rho]", "345"], ".", 
   RowBox[{"Adj", "[", "OpGHZ", "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.6141748889113626`*^9, 3.6141749153569593`*^9}, {
  3.857206924913937*^9, 3.857206924915348*^9}},
 CellTags->"b:4.4.1",ExpressionUUID->"859055e6-398d-407a-a5e1-167f42a280d2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "2"]},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {
      FractionBox["1", "2"], "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207873561364*^9},
 CellTags->"b:4.4.1",ExpressionUUID->"f43da724-21b5-4ee0-9dcb-b6100b5dd762"]
}, Open  ]],

Cell["Then the density matrix for the \"initial\" system is:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.4.1",ExpressionUUID->"ea573db1-291a-4183-8053-fd467a9137c2"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "0"], "=", 
   RowBox[{"AF", "[", 
    RowBox[{"EPR", "\[CircleTimes]", "GHZ"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.614174934348748*^9, 3.6141749579708223`*^9}, 
   3.857206924918436*^9},
 CellTags->"b:4.4.1",ExpressionUUID->"7f20bdcb-4d22-447e-95b0-d35f1b6ef79c"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 2: The operator corresponding to the network is built", \
"Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:34", "b:4.4.2"},ExpressionUUID->"327e0299-ef55-4db9-b5cf-081ab76bf28d"],

Cell["\<\
The bulk of the network which is depicted in Fig. 3 of the abovementioned \
reference can be constructed easily: \
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.4.2",ExpressionUUID->"a28f87eb-a841-4dc1-b084-fb709fbbbfc1"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"Bop", "[", 
     RowBox[{"qi_", ",", "qj_", ",", "qk_", ",", "ql_", ",", "qm_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"CNOT", "[", 
      RowBox[{"5", ",", "qm", ",", "qi"}], "]"}], ".", 
     RowBox[{"had", "[", 
      RowBox[{"5", ",", "qm"}], "]"}], ".", 
     RowBox[{"CNOT", "[", 
      RowBox[{"5", ",", "qi", ",", "ql"}], "]"}], ".", 
     RowBox[{"CNOT", "[", 
      RowBox[{"5", ",", "qm", ",", "ql"}], "]"}], ".", 
     RowBox[{"CNOT", "[", 
      RowBox[{"5", ",", "qk", ",", "qm"}], "]"}], ".", 
     RowBox[{"had", "[", 
      RowBox[{"5", ",", "ql"}], "]"}], ".", 
     RowBox[{"CNOT", "[", 
      RowBox[{"5", ",", "qj", ",", "ql"}], "]"}], ".", 
     RowBox[{"had", "[", 
      RowBox[{"5", ",", "ql"}], "]"}], ".", 
     RowBox[{"CNOT", "[", 
      RowBox[{"5", ",", "qk", ",", "ql"}], "]"}], ".", 
     RowBox[{"had", "[", 
      RowBox[{"5", ",", "qj"}], "]"}], ".", 
     RowBox[{"CNOT", "[", 
      RowBox[{"5", ",", "qj", ",", "qk"}], "]"}], ".", 
     RowBox[{"had", "[", 
      RowBox[{"5", ",", "qj"}], "]"}]}]}], ";"}]}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:4.4.2",ExpressionUUID->"a0dbd956-8b2f-49d9-b60c-2e798e335101"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 3: The final state density matrix is obtained", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:35", "b:4.4.3"},ExpressionUUID->"da2dbc6a-5f03-448c-a59d-b83d479de75c"],

Cell["\<\
The application of the network to the initial density matrix is readily \
evaluated:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.4.3",ExpressionUUID->"a74f71d8-12ea-4e53-892e-a66a236be92b"],

Cell[BoxData[
 StyleBox[
  RowBox[{" ", 
   RowBox[{
    RowBox[{
     SubscriptBox["\[Rho]", "E"], "  ", ":=", " ", 
     RowBox[{
      RowBox[{"Bop", "[", 
       RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "]"}], ".", 
      SubscriptBox["\[Rho]", "0"], ".", 
      RowBox[{"Adj", "[", 
       RowBox[{"Bop", "[", 
        RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "]"}], 
       "]"}]}]}], ";"}]}],
  FontSize->12]], "Input",
 FontFamily->"Courier New",
 FontSize->12,
 CellTags->"b:4.4.3",ExpressionUUID->"c6c73b4c-c6db-4d5e-b75b-f79fa3f96abd"],

Cell["\<\
We can check that the density matrix is indeed so by computing its 
trace and the trace of it squared:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.4.3",ExpressionUUID->"c83e38ca-8daa-4f21-9564-50b7d9f73199"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Simplify", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{"Tr", "[", 
    SubscriptBox["\[Rho]", "E"], "]"}], "]"}], "]"}], "\n", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{"Tr", "[", 
    RowBox[{
     SubscriptBox["\[Rho]", "E"], ".", 
     SubscriptBox["\[Rho]", "E"]}], "]"}], "]"}], "]"}]}], "Input",
 CellTags->"b:4.4.3",ExpressionUUID->"9a248a79-b9f0-4373-bc70-560e474f466f"],

Cell[BoxData[
 TagBox[
  RowBox[{
   SuperscriptBox["A", "2"], "+", 
   SuperscriptBox["B", "2"]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207873782647*^9},
 CellTags->"b:4.4.3",ExpressionUUID->"0c2d88a7-b927-4369-8847-d57b40cbdadc"],

Cell[BoxData[
 TagBox[
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["A", "2"], "+", 
     SuperscriptBox["B", "2"]}], ")"}], "2"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572078741453037`*^9},
 CellTags->"b:4.4.3",ExpressionUUID->"a9a6c3d6-ab55-40e8-8a96-c27b0bad5e1a"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[Cell[TextData[Cell[BoxData[
    FormBox[
    Cell["",ExpressionUUID->"e656e59d-d7ed-47ab-89f4-69e890331ba1"], 
     TraditionalForm]],ExpressionUUID->
    "b4a0eb82-2974-4eca-92ab-5d408ce839fe"]],ExpressionUUID->
    "448279fc-52d8-4e9c-af73-9b743c9b2f30"], TraditionalForm]],ExpressionUUID->
  "db9acff2-27f9-4f5c-a183-af70b0d7a99e"],
 "Step 4: Bob state is computed and compared to the initial EPR"
}], "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:36", "b:4.4.4"},ExpressionUUID->"677a925f-ab71-4765-8c77-6f2ff354dd50"],

Cell["\<\
Bob's 2 qubit state, made of qubits 4 and 5, is obtained by taking the 
partial trace of the full final state:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.4.4",ExpressionUUID->"5ae224a4-e346-4098-bb42-1f17f16c542e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SubscriptBox["\[Rho]", "Bob"], "=", 
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", 
    SubscriptBox["\[Rho]", "E"]}], "]"}]}]], "Input",
 CellTags->"b:4.4.4",ExpressionUUID->"f0195de9-d1ed-4dc8-9828-787be48e4d1d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", 
      SuperscriptBox["A", "2"], 
      RowBox[{"A", " ", "B"}], "0"},
     {"0", 
      RowBox[{"A", " ", "B"}], 
      SuperscriptBox["B", "2"], "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207874417693*^9},
 CellTags->"b:4.4.4",ExpressionUUID->"abcb680b-00c8-48e0-989a-e77649d345ae"]
}, Open  ]],

Cell["The 2qubit state density matrix is characterized by :", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.4.4",ExpressionUUID->"ffdec330-f1d0-4a6f-a900-21ac42f9e01b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"T", "[", 
    RowBox[{"i_", ",", "j_"}], "]"}], ":=", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"AF", "[", 
      RowBox[{
       SubscriptBox["\[Sigma]", "i"], "\[CircleTimes]", 
       SubscriptBox["\[Sigma]", "j"]}], "]"}], ".", 
     StyleBox[
      SubscriptBox["\[Rho]", "Bob"],
      FontSize->12]}], 
    StyleBox[" ",
     FontSize->12], 
    StyleBox["]",
     FontSize->12]}]}], 
  StyleBox[";",
   FontSize->12]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox["PA",
    FontSize->12], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"T", "[", 
       RowBox[{"1", ",", "0"}], "]"}],
      FontSize->12], 
     StyleBox[",",
      FontSize->12], 
     RowBox[{"T", "[", 
      RowBox[{"2", ",", "0"}], "]"}], ",", 
     RowBox[{"T", "[", 
      RowBox[{"3", ",", "0"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox["PB",
    FontSize->12], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"T", "[", 
       RowBox[{"0", ",", "1"}], "]"}],
      FontSize->12], 
     StyleBox[",",
      FontSize->12], 
     RowBox[{"T", "[", 
      RowBox[{"0", ",", "2"}], "]"}], ",", 
     RowBox[{"T", "[", 
      RowBox[{"0", ",", "3"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{"T", 
     StyleBox["AB",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox["Table",
      FontSize->12], 
     StyleBox["[",
      FontSize->12], 
     RowBox[{
      StyleBox[
       RowBox[{"T", "[", 
        RowBox[{"i", ",", "j"}], "]"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "PA", "\[IndentingNewLine]", "PB", "\
\[IndentingNewLine]", "TAB"}], "Input",
 CellChangeTimes->{{3.6141750020247183`*^9, 3.614175011507257*^9}, 
   3.8572069249267397`*^9},
 CellTags->"b:4.4.4",ExpressionUUID->"5197a9c8-7ab3-4ced-960a-9f7286494557"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {
       RowBox[{
        SuperscriptBox["A", "2"], "-", 
        SuperscriptBox["B", "2"]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572078774110727`*^9},
 CellTags->"b:4.4.4",ExpressionUUID->"257d7bc4-5504-4081-a312-008e10929c95"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["A", "2"]}], "+", 
        SuperscriptBox["B", "2"]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207877417334*^9},
 CellTags->"b:4.4.4",ExpressionUUID->"16f184e4-e1a0-4fd1-bb2d-19769fe9a60e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"2", " ", "A", " ", "B"}]},
          {"0"},
          {"0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"2", " ", "A", " ", "B"}]},
          {"0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"0"},
          {
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["A", "2"]}], "-", 
            SuperscriptBox["B", "2"]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572078774220123`*^9},
 CellTags->"b:4.4.4",ExpressionUUID->"6a6a5910-0967-4fca-a3db-6d63b5ac3a02"]
}, Open  ]],

Cell["...which we can compare to the original EPR state:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:4.4.4",ExpressionUUID->"1bbbd444-06b9-4b8a-bfdc-b6ec77ec048d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"TT", "[", 
    RowBox[{"i_", ",", "j_"}], "]"}], ":=", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"AF", "[", 
      RowBox[{
       SubscriptBox["\[Sigma]", "i"], "\[CircleTimes]", 
       SubscriptBox["\[Sigma]", "j"]}], "]"}], ".", "EPR"}], 
    StyleBox[" ",
     FontSize->12], 
    StyleBox["]",
     FontSize->12]}]}], 
  StyleBox[";",
   FontSize->12]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{"T", 
     StyleBox["PA",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"TT", "[", 
       RowBox[{"1", ",", "0"}], "]"}],
      FontSize->12], 
     StyleBox[",",
      FontSize->12], 
     RowBox[{"TT", "[", 
      RowBox[{"2", ",", "0"}], "]"}], ",", 
     RowBox[{"TT", "[", 
      RowBox[{"3", ",", "0"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{"T", 
     StyleBox["PB",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"TT", "[", 
       RowBox[{"0", ",", "1"}], "]"}],
      FontSize->12], 
     StyleBox[",",
      FontSize->12], 
     RowBox[{"TT", "[", 
      RowBox[{"0", ",", "2"}], "]"}], ",", 
     RowBox[{"TT", "[", 
      RowBox[{"0", ",", "3"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{"TT", 
     StyleBox["AB",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox["Table",
      FontSize->12], 
     StyleBox["[",
      FontSize->12], 
     RowBox[{
      StyleBox[
       RowBox[{"TT", "[", 
        RowBox[{"i", ",", "j"}], "]"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "TPA", "\[IndentingNewLine]", "TPB", "\
\[IndentingNewLine]", "TTAB"}], "Input",
 CellChangeTimes->{{3.614175023219013*^9, 3.614175031295293*^9}, 
   3.8572069249328957`*^9},
 CellTags->"b:4.4.4",ExpressionUUID->"bac116a0-395b-4e9d-9900-c3eebfeb71d3"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {
       RowBox[{
        SuperscriptBox["A", "2"], "-", 
        SuperscriptBox["B", "2"]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207877617464*^9},
 CellTags->"b:4.4.4",ExpressionUUID->"e2e15605-7b04-4de3-b1b5-9c888739e87a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["A", "2"]}], "+", 
        SuperscriptBox["B", "2"]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85720787762292*^9},
 CellTags->"b:4.4.4",ExpressionUUID->"8c8f085b-1144-4ec2-81d1-f1e891097931"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"2", " ", "A", " ", "B"}]},
          {"0"},
          {"0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"2", " ", "A", " ", "B"}]},
          {"0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"0"},
          {
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["A", "2"]}], "-", 
            SuperscriptBox["B", "2"]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207877626781*^9},
 CellTags->"b:4.4.4",ExpressionUUID->"5d63ff9e-0b78-4762-8ac4-2121dd36118d"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Step 5: For completeness all one qubit partial traces are shown\
\>", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:37", "b:4.4.5"},ExpressionUUID->"42f17491-7fd1-4746-8719-b3fcc1e79703"],

Cell[CellGroupData[{

Cell[BoxData[{
 StyleBox[
  RowBox[{
   SubscriptBox["\[Rho]", 
    RowBox[{"1", "F"}]], "=", 
   RowBox[{"PTr", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "4", ",", "5"}], "}"}], ",", 
     SubscriptBox["\[Rho]", "E"]}], "]"}]}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   SubscriptBox["\[Rho]", 
    RowBox[{"2", "F"}]], "=", 
   RowBox[{"PTr", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "3", ",", "4", ",", "5"}], "}"}], ",", 
     SubscriptBox["\[Rho]", "E"]}], "]"}]}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   SubscriptBox["\[Rho]", 
    RowBox[{"3", "F"}]], "=", 
   RowBox[{"PTr", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "4", ",", "5"}], "}"}], ",", 
     SubscriptBox["\[Rho]", "E"]}], "]"}]}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   SubscriptBox["\[Rho]", 
    RowBox[{"4", "F"}]], "=", 
   RowBox[{"PTr", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "5"}], "}"}], ",", 
     SubscriptBox["\[Rho]", "E"]}], "]"}]}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   SubscriptBox["\[Rho]", 
    RowBox[{"5", "F"}]], "=", 
   RowBox[{"PTr", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}], ",", 
     SubscriptBox["\[Rho]", "E"]}], "]"}]}],
  FontSize->12]}], "Input",
 CellTags->"b:4.4.5",ExpressionUUID->"e8683245-a8bc-4bcc-860d-423ae8a8caed"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {"0", 
      RowBox[{
       SuperscriptBox["A", "2"], "+", 
       SuperscriptBox["B", "2"]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207877829843*^9},
 CellTags->"b:4.4.5",ExpressionUUID->"67d8ce49-0420-47b3-95ff-3aa5758d55fe"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["A", "2"], "+", 
         SuperscriptBox["B", "2"]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["A", "2"], "+", 
         SuperscriptBox["B", "2"]}], ")"}]}]},
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["A", "2"], "+", 
         SuperscriptBox["B", "2"]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["A", "2"], "+", 
         SuperscriptBox["B", "2"]}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207878049247*^9},
 CellTags->"b:4.4.5",ExpressionUUID->"f8d34f8e-a5a4-421b-8c32-d92f4368ba80"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["A", "2"], "+", 
         SuperscriptBox["B", "2"]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["A", "2"], "+", 
         SuperscriptBox["B", "2"]}], ")"}]}]},
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["A", "2"], "+", 
         SuperscriptBox["B", "2"]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["A", "2"], "+", 
         SuperscriptBox["B", "2"]}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207878267647*^9},
 CellTags->"b:4.4.5",ExpressionUUID->"66c1369a-0088-44e9-87c5-4b82d81bf655"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SuperscriptBox["A", "2"], "0"},
     {"0", 
      SuperscriptBox["B", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207878488185*^9},
 CellTags->"b:4.4.5",ExpressionUUID->"d63cff46-03b3-40f6-a8f8-ff6759aff7a3"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SuperscriptBox["B", "2"], "0"},
     {"0", 
      SuperscriptBox["A", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857207878692474*^9},
 CellTags->"b:4.4.5",ExpressionUUID->"7f35b6ce-0be4-4c70-b5f5-6853ed190a94"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Quit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.61417508125383*^9, 3.61417508147797*^9}},
 CellTags->"b:4.4.5",ExpressionUUID->"0513474e-829e-4746-b440-c656e279b639"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["References", "Section",
 FontFamily->"Times",
 CellTags->{
  "c:32", "b:4.5"},ExpressionUUID->"501c0aa1-2742-4363-a176-cf813bb78f56"],

Cell[TextData[{
 "\n",
 Cell[BoxData[
  FormBox[GridBox[{
     {
      RowBox[{"References", ":"}], 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"[", "1", "]"}], " ", 
         RowBox[{"C", ".", "H", ".", "Bennett"}]}], ",", " ", 
        RowBox[{"et", " ", 
         RowBox[{
         "al", ".", " ", "Phys", ".", "Rev", ".", "Lett", ".", "70"}]}], ",", 
        RowBox[{"1895", "-", 
         RowBox[{"1899", " ", 
          RowBox[{"(", "1993", ")"}]}]}]}], "\n", 
       RowBox[{
        RowBox[{
         RowBox[{"[", "2", "]"}], " ", "QDENSITY", " ", "manual"}], ",", " ", 
        RowBox[{"Sect", ".", " ", "7"}]}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
      "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}], TraditionalForm]], 
  "DefinitionBox",
  GridBoxOptions->{
  GridBoxDividers->{
   "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
    "RowsIndexed" -> {}},
  GridBoxSpacings->{"Columns" -> {
      Offset[0.27999999999999997`], {
       Offset[0.5599999999999999]}, 
      Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
      Offset[0.2], {
       Offset[0.16]}, 
      Offset[0.2]}, "RowsIndexed" -> {}}},
  CellTags->"S5.1.1",ExpressionUUID->"b813b898-536e-48bc-b352-1cbca82921e8"]
}], "Abstract",
 CellChangeTimes->{3.5122146834445267`*^9},
 CellTags->"b:4.5",ExpressionUUID->"11d2ccdb-cf20-4480-9753-94e0b5e30625"]
}, Open  ]]
},
WindowToolbars->{},
WindowSize->{994, 622},
WindowMargins->{{Automatic, 0}, {Automatic, 43}},
PrintingStartingPageNumber->15,
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{612, 792},
"PostScriptOutputFile":>FrontEnd`FileName[{"home", "bruno", "PITT", "QC"}, 
  "Test1.1.nb.ps", CharacterEncoding -> "WindowsANSI"]},
ShowSelection->True,
TaggingRules:>{
 "PaginationCache" -> {{2005, 8, 9, 3, 36, 19.580426`8.04439712024133}, {15, 
    15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 16, 16, 16, 16, 16, 16, 
    16, 16, 16, 16, 16, 16, 16, 16, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 
    17, 17, 17, 17, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
    18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 20, 20, 20, 20, 
    20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 21, 21, 22, 22, 22, 22, 22, 
    22, 22, 22, 22, 22, 22, 22, 22, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 
    23, 23, 23, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 25, 25, 25, 25, 
    25, 25, 25, 25, 25, 25, 25, 25, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 
    27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 28, 28, 28, 28, 
    28, 28, 28, 28, 28, 28, 28, 28, 28, 29, 29, 29, 29, 29, 29, 29, 29, 29, 
    29, 29, 29, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 31, 31, 31, 
    31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 32, 32, 32, 32, 32, 32, 
    32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 33, 33, 33, 33, 33, 33, 33, 33, 
    33, 33, 33, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 
    35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 36, 36, 36, 36, 36, 
    36, 36, 36, 36, 36, 36, 36, 36, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 
    37, 37, 38, 38, 38}, Automatic}},
CellLabelAutoDelete->True,
Magnification->1,
FrontEndVersion->"13.0 for Mac OS X x86 (64-bit) (December 2, 2021)",
StyleDefinitions->Notebook[{
   Cell[
    CellGroupData[{
      Cell["Style Definitions", "Title"], 
      Cell[
      "Modify the definitions below to change the default appearance of all \
cells in a given style.  Make modifications to any definition using commands \
in the Format menu.", "Text"], 
      Cell[
       CellGroupData[{
         Cell["Style Environment Names", "Section"], 
         Cell[
          StyleData[All, "Working"], PageWidth -> WindowWidth, ScriptMinSize -> 
          9], 
         Cell[
          StyleData[All, "Presentation"], PageWidth -> WindowWidth, 
          ScriptMinSize -> 12, FontSize -> 16], 
         Cell[
          StyleData[All, "SlideShow"], PageWidth -> WindowWidth, 
          ScrollingOptions -> {
           "PagewiseDisplay" -> True, "VerticalScrollRange" -> Fit}, 
          ShowCellBracket -> False, ScriptMinSize -> 9], 
         Cell[
          StyleData[All, "Condensed"], PageWidth -> WindowWidth, 
          CellBracketOptions -> {"Margins" -> {1, 1}, "Widths" -> {0, 5}}, 
          ScriptMinSize -> 8, FontSize -> 11], 
         Cell[
          StyleData[All, "Printout"], PageWidth -> PaperWidth, ScriptMinSize -> 
          7, FontSize -> 10, 
          PrivateFontOptions -> {"FontType" -> "Outline"}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Notebook Options", "Section"], 
         Cell[
         "The options defined for the style below will be used at the \
Notebook level.", "Text"], 
         Cell[
          StyleData["Notebook"], PageHeaders -> {{
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"], None, 
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"]}, {
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"], None, 
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"]}}, 
          PageHeaderLines -> {True, True}, 
          PrintingOptions -> {
           "FacingPages" -> True, "FirstPageHeader" -> False}, 
          CellFrameLabelMargins -> 6, StyleMenuListing -> None]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headings", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], ShowCellBracket -> False, 
             CellMargins -> {{0, 0}, {0, 0}}, PageBreakBelow -> False, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 11}, CounterIncrements -> 
             "Title", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subtitle", 0}, {"Subsubtitle", 0}}, FontSize -> 
             34, FontColor -> GrayLevel[1], Background -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["Title", "Presentation"], 
             CellMargins -> {{0, 0}, {0, 0}}, 
             CellFrameMargins -> {{12, 10}, {24, 24}}, LineSpacing -> {1, 0}, 
             FontSize -> 46], 
            Cell[
             StyleData["Title", "Condensed"], CellMargins -> {{0, 0}, {0, 0}},
              FontSize -> 20], 
            Cell[
             StyleData["Title", "Printout"], CellMargins -> {{0, 0}, {0, 0}}, 
             FontSize -> 24, FontTracking -> "Plain", Background -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], ShowCellBracket -> False, 
             CellMargins -> {{0, 0}, {0, 0}}, PageBreakBelow -> False, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 3}, ParagraphIndent -> -96, 
             CounterIncrements -> "Subtitle", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subsubtitle", 0}}, FontFamily -> "Helvetica", 
             FontSize -> 18, FontColor -> GrayLevel[1], Background -> 
             RGBColor[0.2, 0.700008, 0.700008]], 
            Cell[
             StyleData["Subtitle", "Presentation"], 
             CellMargins -> {{0, 0}, {4, 0}}, 
             CellFrameMargins -> {{12, 10}, {12, 8}}, LineSpacing -> {1, 6}, 
             ParagraphIndent -> -157, FontSize -> 28], 
            Cell[
             StyleData["Subtitle", "Condensed"], 
             CellMargins -> {{0, 0}, {0, 0}}, ParagraphIndent -> -78, 
             FontSize -> 14], 
            Cell[
             StyleData["Subtitle", "Printout"], 
             CellMargins -> {{0, 0}, {0, 0}}, ParagraphIndent -> -85, 
             FontSize -> 16, Background -> GrayLevel[0.6]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubtitle"], ShowCellBracket -> False, 
             CellMargins -> {{10, 4}, {30, 10}}, PageBreakBelow -> False, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, CounterIncrements -> "Subsubtitle", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}}, FontFamily -> "Helvetica", FontSize -> 14, 
             FontSlant -> "Italic"], 
            Cell[
             StyleData["Subsubtitle", "Presentation"], 
             CellMargins -> {{15, 10}, {50, 10}}, LineSpacing -> {1, 0}, 
             FontSize -> 22], 
            Cell[
             StyleData["Subsubtitle", "Condensed"], 
             CellMargins -> {{8, 10}, {12, 8}}, FontSize -> 12], 
            Cell[
             StyleData["Subsubtitle", "Printout"], 
             CellMargins -> {{9, 10}, {50, 10}}, FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], CellFrame -> {{6, 0}, {0, 1}}, CellDingbat -> 
             None, CellMargins -> {{12, Inherited}, {4, 24}}, 
             CellGroupingRules -> {"SectionGrouping", 30}, PageBreakBelow -> 
             False, CellFrameMargins -> 6, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 7}, CounterIncrements -> 
             "Section", 
             CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 16, FontWeight -> "Bold", 
             FontColor -> RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["Section", "Presentation"], 
             CellFrame -> {{8, 0}, {0, 2}}, 
             CellMargins -> {{15, 10}, {14, 32}}, 
             CellFrameMargins -> {{8, 10}, {10, 14}}, LineSpacing -> {1, 2}, 
             FontSize -> 24, FontTracking -> "Condensed"], 
            Cell[
             StyleData["Section", "Condensed"], 
             CellMargins -> {{8, Inherited}, {2, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Section", "Printout"], 
             CellMargins -> {{9, 0}, {2, 50}}, FontSize -> 14, FontTracking -> 
             "Plain", FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], 
             CellMargins -> {{12, Inherited}, {8, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
             False, InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 7}, CounterIncrements -> 
             "Subsection", CounterAssignments -> {{"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 13, FontWeight -> "Bold"], 
            Cell[
             StyleData["Subsection", "Presentation"], 
             CellMargins -> {{15, 10}, {12, 32}}, LineSpacing -> {1, 0}, 
             FontSize -> 22], 
            Cell[
             StyleData["Subsection", "Condensed"], 
             CellMargins -> {{8, Inherited}, {2, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Subsection", "Printout"], 
             CellMargins -> {{9, 0}, {4, 40}}, FontSize -> 12]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], CellDingbat -> "\[FilledSquare]", 
             CellMargins -> {{25, Inherited}, {8, 12}}, 
             CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
             False, InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 9}, CounterIncrements -> 
             "Subsubsection", FontFamily -> "Times", FontSize -> 13, 
             FontWeight -> "Bold"], 
            Cell[
             StyleData["Subsubsection", "Presentation"], 
             CellMargins -> {{34, 10}, {18, 28}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Subsubsection", "Condensed"], 
             CellMargins -> {{22, Inherited}, {2, 12}}, FontSize -> 10], 
            Cell[
             StyleData["Subsubsection", "Printout"], 
             CellMargins -> {{21, 0}, {4, 20}}, FontSize -> 11]}, Closed]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Body Text", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Text"], CellMargins -> {{12, 10}, {5, 5}}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 3}, ParagraphSpacing -> {0, 12},
              CounterIncrements -> "Text", FontFamily -> "Times"], 
            Cell[
             StyleData["Text", "Presentation"], 
             CellMargins -> {{15, 10}, {8, 10}}, LineSpacing -> {1, 5}, 
             ParagraphSpacing -> {0, 12}, FontSize -> 18], 
            Cell[
             StyleData["Text", "Condensed"], CellMargins -> {{8, 10}, {4, 4}},
              LineSpacing -> {1, 1}, ParagraphSpacing -> {0, 4}], 
            Cell[
             StyleData["Text", "Printout"], CellMargins -> {{9, 0}, {4, 4}}, 
             Hyphenation -> True, ParagraphSpacing -> {0, 6}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SmallText"], CellMargins -> {{12, 10}, {5, 5}}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 3}, ParagraphSpacing -> {0, 6}, 
             CounterIncrements -> "SmallText", FontFamily -> "Helvetica", 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Presentation"], 
             CellMargins -> {{15, 10}, {8, 10}}, LineSpacing -> {1, 5}, 
             FontSize -> 14], 
            Cell[
             StyleData["SmallText", "Condensed"], 
             CellMargins -> {{8, 10}, {2, 2}}, LineSpacing -> {1, 2}, 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Printout"], 
             CellMargins -> {{9, 0}, {4, 4}}, Hyphenation -> True, FontSize -> 
             7]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Inline Formatting", "Section"], 
         Cell[
         "These styles are for modifying individual words or letters in a \
cell exclusive of the cell tag.", "Text"], 
         Cell[
          StyleData["RM"], StyleMenuListing -> None, FontWeight -> "Plain", 
          FontSlant -> "Plain"], 
         Cell[
          StyleData["BF"], StyleMenuListing -> None, FontWeight -> "Bold"], 
         Cell[
          StyleData["IT"], StyleMenuListing -> None, FontSlant -> "Italic"], 
         Cell[
          StyleData["TR"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["TI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["TB"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["TBI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["MR"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Plain", 
          "TwoByteSyntaxCharacterAutoReplacement" -> True], 
         Cell[
          StyleData["MO"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Italic", 
          "TwoByteSyntaxCharacterAutoReplacement" -> True], 
         Cell[
          StyleData["MB"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Plain", 
          "TwoByteSyntaxCharacterAutoReplacement" -> True], 
         Cell[
          StyleData["MBO"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Italic", 
          "TwoByteSyntaxCharacterAutoReplacement" -> True], 
         Cell[
          StyleData["SR"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["SO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["SB"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["SBO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SO10"], StyleMenuListing -> None, FontFamily -> 
             "Helvetica", FontSize -> 10, FontWeight -> "Plain", FontSlant -> 
             "Italic"], 
            Cell[
             StyleData["SO10", "Printout"], StyleMenuListing -> None, 
             FontFamily -> "Helvetica", FontSize -> 7, FontWeight -> "Plain", 
             FontSlant -> "Italic"]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Inert"], StyleMenuListing -> None, Background -> 
             RGBColor[0.870588, 0.905882, 0.972549]], 
            Cell[
             StyleData["Inert", "Printout"], StyleMenuListing -> None, 
             Background -> GrayLevel[1]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Input/Output", "Section"], 
         Cell[
         "The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Input"], CellFrame -> {{3, 0}, {0, 0}}, 
             CellMargins -> {{52, 10}, {8, 8}}, Evaluatable -> True, 
             CellGroupingRules -> "InputGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             CellLabelMargins -> {{5, Inherited}, {Inherited, Inherited}}, 
             DefaultFormatType -> DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, LanguageCategory -> 
             "Formula", FormatType -> InputForm, ShowStringCharacters -> True,
              NumberMarks -> True, 
             LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, CounterIncrements -> 
             "Input", FontWeight -> "Bold", Background -> 
             RGBColor[1, 0.700008, 0.4], 
             "TwoByteSyntaxCharacterAutoReplacement" -> True], 
            Cell[
             StyleData["Input", "Presentation"], 
             CellFrame -> {{5, 0}, {0, 0}}, 
             CellMargins -> {{74, 10}, {8, 10}}, 
             CellFrameMargins -> {{10, 10}, {14, 14}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Input", "Condensed"], 
             CellMargins -> {{40, Inherited}, {1, 4}}], 
            Cell[
             StyleData["Input", "Printout"], CellMargins -> {{44, 0}, {2, 6}},
              Background -> GrayLevel[0.900008]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["InlineInput"], Evaluatable -> True, CellGroupingRules -> 
             "InputGrouping", CellHorizontalScrolling -> True, 
             PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             DefaultFormatType -> DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, FormatType -> InputForm, 
             ShowStringCharacters -> True, NumberMarks -> True, 
             CounterIncrements -> "Input", FontWeight -> "Bold", 
             "TwoByteSyntaxCharacterAutoReplacement" -> True], 
            Cell[
             StyleData["InlineInput", "Presentation"], FontSize -> 18], 
            Cell[
             StyleData["InlineInput", "Condensed"]], 
            Cell[
             StyleData["InlineInput", "Printout"], FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Output"], CellFrame -> {{3, 0}, {0, 0}}, 
             CellMargins -> {{52, 10}, {8, 8}}, CellEditDuplicate -> True, 
             CellGroupingRules -> "OutputGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             GeneratedCell -> True, CellAutoOverwrite -> True, 
             CellLabelMargins -> {{3, Inherited}, {Inherited, Inherited}}, 
             DefaultFormatType -> DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, LanguageCategory -> 
             "Formula", FormatType -> InputForm, CounterIncrements -> 
             "Output", Background -> RGBColor[1, 0.900008, 0.900008], 
             "TwoByteSyntaxCharacterAutoReplacement" -> True], 
            Cell[
             StyleData["Output", "Presentation"], 
             CellFrame -> {{5, 0}, {0, 0}}, 
             CellMargins -> {{74, 10}, {12, 5}}, 
             CellFrameMargins -> {{10, 10}, {14, 14}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Output", "Condensed"], 
             CellMargins -> {{40, Inherited}, {4, 1}}], 
            Cell[
             StyleData["Output", "Printout"], 
             CellMargins -> {{44, 0}, {6, 2}}, Background -> 
             GrayLevel[0.900008]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Message"], 
             CellMargins -> {{62, Inherited}, {Inherited, Inherited}}, 
             CellGroupingRules -> "OutputGrouping", PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, FormatType -> 
             InputForm, CounterIncrements -> "Message", StyleMenuListing -> 
             None, FontColor -> RGBColor[1, 0, 0], 
             "TwoByteSyntaxCharacterAutoReplacement" -> True], 
            Cell[
             StyleData["Message", "Presentation"], 
             CellMargins -> {{86, 20}, {10, 10}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Message", "Condensed"], 
             CellMargins -> {{50, Inherited}, {Inherited, Inherited}}], 
            Cell[
             StyleData["Message", "Printout"], 
             CellMargins -> {{54, Inherited}, {Inherited, Inherited}}, 
             FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Print"], 
             CellMargins -> {{62, Inherited}, {Inherited, Inherited}}, 
             CellGroupingRules -> "OutputGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             GeneratedCell -> True, CellAutoOverwrite -> True, ShowCellLabel -> 
             False, DefaultFormatType -> DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, FormatType -> 
             InputForm, CounterIncrements -> "Print", StyleMenuListing -> 
             None, "TwoByteSyntaxCharacterAutoReplacement" -> True], 
            Cell[
             StyleData["Print", "Presentation"], 
             CellMargins -> {{86, 20}, {4, 4}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Print", "Condensed"], 
             CellMargins -> {{50, Inherited}, {Inherited, Inherited}}], 
            Cell[
             StyleData["Print", "Printout"], 
             CellMargins -> {{54, Inherited}, {Inherited, Inherited}}]}, 
           Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Graphics"], 
             CellMargins -> {{62, Inherited}, {Inherited, Inherited}}, 
             CellGroupingRules -> "GraphicsGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, FormatType -> 
             InputForm, CounterIncrements -> "Graphics", StyleMenuListing -> 
             None], 
            Cell[
             StyleData["Graphics", "Presentation"], 
             CellMargins -> {{86, 20}, {8, 8}}, FontSize -> 18], 
            Cell[
             StyleData["Graphics", "Condensed"], 
             CellMargins -> {{52, Inherited}, {Inherited, Inherited}}, 
             ImageSize -> {175, 175}], 
            Cell[
             StyleData["Graphics", "Printout"], 
             CellMargins -> {{54, Inherited}, {Inherited, Inherited}}, 
             ImageSize -> {250, 250}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["CellLabel"], StyleMenuListing -> None, FontFamily -> 
             "Helvetica", FontSize -> 11, FontWeight -> "Bold", FontColor -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["CellLabel", "Presentation"], FontSize -> 12], 
            Cell[
             StyleData["CellLabel", "Condensed"], FontSize -> 8], 
            Cell[
             StyleData["CellLabel", "Printout"], FontSize -> 8, FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Unique Styles", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Author"], ShowCellBracket -> False, 
             CellMargins -> {{10, 4}, {2, 10}}, LineSpacing -> {1, 5}, 
             FontSize -> 16, FontSlant -> "Italic"], 
            Cell[
             StyleData["Author", "Presentation"], 
             CellMargins -> {{15, 10}, {4, 16}}, LineSpacing -> {1, 5}, 
             ParagraphSpacing -> {0, 12}, FontSize -> 24], 
            Cell[
             StyleData["Author", "Condensed"], 
             CellMargins -> {{8, 10}, {1, 4}}, LineSpacing -> {1, 1}, 
             ParagraphSpacing -> {0, 4}, FontSize -> 12], 
            Cell[
             StyleData["Author", "Printout"], 
             CellMargins -> {{9, 0}, {4, 12}}, ParagraphSpacing -> {0, 6}, 
             FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Copyright"], ShowCellBracket -> False, 
             CellMargins -> {{10, 10}, {40, 2}}, FontFamily -> "Helvetica", 
             FontSize -> 9], 
            Cell[
             StyleData["Copyright", "Presentation"], 
             CellMargins -> {{15, 10}, {50, 4}}, LineSpacing -> {1, 5}, 
             FontSize -> 14], 
            Cell[
             StyleData["Copyright", "Condensed"], 
             CellMargins -> {{8, 10}, {12, 1}}, LineSpacing -> {1, 2}, 
             FontSize -> 9], 
            Cell[
             StyleData["Copyright", "Printout"], 
             CellMargins -> {{9, 0}, {72, 4}}, FontSize -> 7]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Example"], CellMargins -> {{12, 10}, {5, 12}}, 
             LineSpacing -> {1, 3}, ParagraphSpacing -> {0, 12}, 
             CounterIncrements -> "Example", FontFamily -> "Times", 
             FontWeight -> "Bold"], 
            Cell[
             StyleData["Example", "Presentation"], 
             CellMargins -> {{18, 10}, {8, 20}}, LineSpacing -> {1, 5}, 
             ParagraphSpacing -> {0, 12}, FontSize -> 18], 
            Cell[
             StyleData["Example", "Condensed"], 
             CellMargins -> {{8, 10}, {4, 8}}, LineSpacing -> {1, 1}, 
             ParagraphSpacing -> {0, 4}], 
            Cell[
             StyleData["Example", "Printout"], 
             CellMargins -> {{9, 0}, {4, 10}}, ParagraphSpacing -> {0, 6}]}, 
           Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Definition"], CellFrame -> {{3, 0}, {0, 0}}, 
             CellMargins -> {{52, 10}, {8, 8}}, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, 
             CellLabelMargins -> {{23, Inherited}, {Inherited, Inherited}}, 
             ShowStringCharacters -> True, CounterIncrements -> "Definition", 
             FontFamily -> "Helvetica", FontWeight -> "Bold", FontColor -> 
             GrayLevel[1], Background -> RGBColor[0.2, 0.700008, 0.700008]], 
            Cell[
             StyleData["Definition", "Presentation"], 
             CellFrame -> {{5, 0}, {0, 0}}, 
             CellMargins -> {{74, 10}, {8, 12}}, 
             CellFrameMargins -> {{10, 10}, {14, 14}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Definition", "Condensed"], 
             CellMargins -> {{40, 10}, {1, 4}}], 
            Cell[
             StyleData["Definition", "Printout"], 
             CellMargins -> {{44, 0}, {2, 6}}, Hyphenation -> True, 
             Background -> GrayLevel[0.6]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Theorem"], CellFrame -> {{3, 0}, {0, 0}}, 
             CellMargins -> {{52, 10}, {8, 8}}, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, 
             CellLabelMargins -> {{23, Inherited}, {Inherited, Inherited}}, 
             ShowStringCharacters -> True, CounterIncrements -> "Theorem", 
             FontFamily -> "Helvetica", FontWeight -> "Bold", FontColor -> 
             GrayLevel[1], Background -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["Theorem", "Presentation"], 
             CellFrame -> {{5, 0}, {0, 0}}, 
             CellMargins -> {{74, 10}, {8, 12}}, 
             CellFrameMargins -> {{10, 10}, {14, 14}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Theorem", "Condensed"], 
             CellMargins -> {{40, 10}, {1, 4}}], 
            Cell[
             StyleData["Theorem", "Printout"], 
             CellMargins -> {{44, 0}, {2, 6}}, Hyphenation -> True, 
             Background -> GrayLevel[0.4]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ExerciseMain"], CellFrame -> {{6, 0}, {0, 1}}, 
             CellMargins -> {{12, Inherited}, {4, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 30}, PageBreakBelow -> 
             False, CellFrameColor -> RGBColor[0.571389, 0.19675, 0.570504], 
             LineSpacing -> {1, 7}, CounterIncrements -> "Subsection", 
             CounterAssignments -> {{"Subsubsection", 0}}, FontFamily -> 
             "Helvetica", FontSize -> 16, FontWeight -> "Bold", FontColor -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["ExerciseMain", "Presentation"], 
             CellFrame -> {{8, 0}, {0, 2}}, 
             CellMargins -> {{18, 10}, {12, 32}}, 
             CellFrameMargins -> {{10, 10}, {14, 14}}, LineSpacing -> {1, 2}, 
             FontSize -> 24, FontTracking -> "Condensed"], 
            Cell[
             StyleData["ExerciseMain", "Condensed"], 
             CellMargins -> {{8, Inherited}, {2, 12}}, FontSize -> 12], 
            Cell[
             StyleData["ExerciseMain", "Printout"], 
             CellMargins -> {{9, 0}, {2, 50}}, CellFrameColor -> 
             GrayLevel[0.500008], FontSize -> 14, FontTracking -> "Plain", 
             FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Exercise"], CellDingbat -> "\[FilledDownTriangle]", 
             CellMargins -> {{23, Inherited}, {4, 18}}, 
             CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
             False, LineSpacing -> {1, 7}, CounterIncrements -> 
             "Subsubsection", FontFamily -> "Times", FontSize -> 13, 
             FontWeight -> "Bold", FontColor -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["Exercise", "Presentation"], 
             CellMargins -> {{28, 10}, {10, 34}}, LineSpacing -> {1, 0}, 
             FontSize -> 22], 
            Cell[
             StyleData["Exercise", "Condensed"], 
             CellMargins -> {{17, Inherited}, {2, 12}}, FontSize -> 10], 
            Cell[
             StyleData["Exercise", "Printout"], 
             CellFrame -> {{0, 0}, {0.5, 0}}, CellDingbat -> None, 
             CellMargins -> {{9, 0}, {6, 20}}, Hyphenation -> True, FontSize -> 
             11, FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ExerciseText"], CellMargins -> {{62, 10}, {5, 5}}, 
             LineSpacing -> {1, 3}, ParagraphSpacing -> {0, 8}, 
             CounterIncrements -> "ExerciseText", FontFamily -> "Times"], 
            Cell[
             StyleData["ExerciseText", "Presentation"], 
             CellMargins -> {{100, 10}, {8, 8}}, LineSpacing -> {1, 5}, 
             ParagraphSpacing -> {0, 12}, FontSize -> 18], 
            Cell[
             StyleData["ExerciseText", "Condensed"], 
             CellMargins -> {{52, 10}, {2, 2}}, LineSpacing -> {1, 1}, 
             ParagraphSpacing -> {0, 4}], 
            Cell[
             StyleData["ExerciseText", "Printout"], 
             CellMargins -> {{54, 0}, {4, 4}}, Hyphenation -> True, 
             ParagraphSpacing -> {0, 6}]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Formulas and Programming", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["DisplayFormula"], CellMargins -> {{62, 10}, {2, 10}}, 
             CellHorizontalScrolling -> True, DefaultFormatType -> 
             DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, LanguageCategory -> 
             "Formula", ScriptLevel -> 0, SingleLetterItalics -> True, 
             UnderoverscriptBoxOptions -> {LimitsPositioning -> True}, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True], 
            Cell[
             StyleData["DisplayFormula", "Presentation"], 
             CellMargins -> {{100, 10}, {8, 16}}, FontSize -> 18], 
            Cell[
             StyleData["DisplayFormula", "Condensed"], 
             CellMargins -> {{52, 10}, {2, 10}}, FontSize -> 10], 
            Cell[
             StyleData["DisplayFormula", "Printout"], 
             CellMargins -> {{54, 10}, {2, 10}}, FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ChemicalFormula"], CellMargins -> {{62, 10}, {2, 10}},
              DefaultFormatType -> DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, LanguageCategory -> 
             "Formula", AutoSpacing -> False, 
             ScriptBaselineShifts -> {0.6, Automatic}, ScriptLevel -> 1, 
             SingleLetterItalics -> False, ZeroWidthTimes -> True, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True], 
            Cell[
             StyleData["ChemicalFormula", "Presentation"], 
             CellMargins -> {{100, 10}, {8, 12}}, FontSize -> 18], 
            Cell[
             StyleData["ChemicalFormula", "Condensed"], 
             CellMargins -> {{52, 10}, {2, 10}}, FontSize -> 10], 
            Cell[
             StyleData["ChemicalFormula", "Printout"], 
             CellMargins -> {{54, 10}, {2, 10}}, FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Program"], CellMargins -> {{12, 10}, {Inherited, 6}}, 
             Hyphenation -> False, LanguageCategory -> "Formula", FontFamily -> 
             "Courier"], 
            Cell[
             StyleData["Program", "Presentation"], 
             CellMargins -> {{20, 30}, {4, 4}}, FontSize -> 18], 
            Cell[
             StyleData["Program", "Condensed"], 
             CellMargins -> {{8, 10}, {Inherited, 4}}, FontSize -> 9.5], 
            Cell[
             StyleData["Program", "Printout"], 
             CellMargins -> {{9, 0}, {Inherited, 4}}, FontSize -> 9.5]}, 
           Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Automatic Numbering", "Section"], 
         Cell[
         "The following styles are useful for numbered equations, figures, \
etc.  They automatically give the cell a FrameLabel containing a reference to \
a particular counter, and also increment that counter.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NumberedEquation"], 
             CellMargins -> {{62, 10}, {Inherited, Inherited}}, 
             CellFrameLabels -> {{None, 
                Cell[
                 TextData[{"(", 
                   CounterBox["NumberedEquation"], ")"}]]}, {None, None}}, 
             DefaultFormatType -> DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, CounterIncrements -> 
             "NumberedEquation", FormatTypeAutoConvert -> False, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True], 
            Cell[
             StyleData["NumberedEquation", "Presentation"], 
             CellMargins -> {{100, 10}, {6, 8}}, FontSize -> 18], 
            Cell[
             StyleData["NumberedEquation", "Condensed"], 
             CellMargins -> {{52, 10}, {Inherited, Inherited}}], 
            Cell[
             StyleData["NumberedEquation", "Printout"], 
             CellMargins -> {{54, 0}, {Inherited, Inherited}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NumberedFigure"], 
             CellMargins -> {{62, 145}, {Inherited, Inherited}}, 
             CellFrameLabels -> {{None, None}, {
                Cell[
                 TextData[{"Figure ", 
                   CounterBox["NumberedFigure"]}]], None}}, CounterIncrements -> 
             "NumberedFigure", 
             ImageMargins -> {{43, Inherited}, {Inherited, 0}}, 
             FormatTypeAutoConvert -> False], 
            Cell[
             StyleData["NumberedFigure", "Presentation"], 
             CellMargins -> {{100, 145}, {8, 6}}, FontSize -> 18], 
            Cell[
             StyleData["NumberedFigure", "Condensed"]], 
            Cell[
             StyleData["NumberedFigure", "Printout"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NumberedTable"], 
             CellMargins -> {{62, 145}, {Inherited, Inherited}}, 
             CellFrameLabels -> {{None, None}, {
                Cell[
                 TextData[{"Table ", 
                   CounterBox["NumberedTable"]}]], None}}, TextAlignment -> 
             Center, CounterIncrements -> "NumberedTable", 
             FormatTypeAutoConvert -> False], 
            Cell[
             StyleData["NumberedTable", "Presentation"], 
             CellMargins -> {{100, 145}, {8, 8}}, FontSize -> 18], 
            Cell[
             StyleData["NumberedTable", "Condensed"]], 
            Cell[
             StyleData["NumberedTable", "Printout"]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headers and Footers", "Section"], 
         Cell[
          StyleData["Header"], CellMargins -> {{0, 0}, {4, 1}}, 
          StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 9, 
          FontSlant -> "Italic"], 
         Cell[
          StyleData["Footer"], CellMargins -> {{0, 0}, {0, 4}}, 
          StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 6], 
         Cell[
          StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
          StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 9, 
          FontWeight -> "Bold"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Hyperlink Styles", "Section"], 
         Cell[
         "The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Hyperlink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`NotebookLocate[#2]}]& ), ButtonNote -> 
               ButtonData}], 
            Cell[
             StyleData["Hyperlink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["Hyperlink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["Hyperlink", "SlideShow"]], 
            Cell[
             StyleData["Hyperlink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
         "The following styles are for linking automatically to the on-line \
help system.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["MainBookLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["MainBook", #]}]& )}], 
            Cell[
             StyleData["MainBookLink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["MainBookLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["MainBookLink", "SlideShow"]], 
            Cell[
             StyleData["MainBookLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["AddOnsLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontFamily -> "Courier", 
             FontColor -> RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["AddOns", #]}]& )}], 
            Cell[
             StyleData["AddOnsLink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["AddOnsLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["AddOnsLink", "SlideShow"]], 
            Cell[
             StyleData["AddOnsLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["RefGuideLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontFamily -> "Courier", 
             FontColor -> RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["RefGuide", #]}]& )}], 
            Cell[
             StyleData["RefGuideLink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["RefGuideLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["RefGuideLink", "SlideShow"]], 
            Cell[
             StyleData["RefGuideLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["RefGuideLinkText"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["RefGuide", #]}]& )}], 
            Cell[
             StyleData["RefGuideLinkText", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["RefGuideLinkText", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["RefGuideLinkText", "SlideShow"]], 
            Cell[
             StyleData["RefGuideLinkText", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["GettingStartedLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["GettingStarted", #]}]& )}], 
            Cell[
             StyleData["GettingStartedLink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["GettingStartedLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["GettingStartedLink", "SlideShow"]], 
            Cell[
             StyleData["GettingStartedLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["DemosLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["Demos", #]}]& )}], 
            Cell[
             StyleData["DemosLink", "SlideShow"]], 
            Cell[
             StyleData["DemosLink", "Printout"], 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["TourLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["Tour", #]}]& )}], 
            Cell[
             StyleData["TourLink", "SlideShow"]], 
            Cell[
             StyleData["TourLink", "Printout"], 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["OtherInformationLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["OtherInformation", #]}]& )}], 
            Cell[
             StyleData["OtherInformationLink", "Presentation"], FontSize -> 
             16], 
            Cell[
             StyleData["OtherInformationLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["OtherInformationLink", "SlideShow"]], 
            Cell[
             StyleData["OtherInformationLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["MasterIndexLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["MasterIndex", #]}]& )}], 
            Cell[
             StyleData["MasterIndexLink", "SlideShow"]], 
            Cell[
             StyleData["MasterIndexLink", "Printout"], 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Palette Styles", "Section"], 
         Cell[
         "The cells below define styles that define standard ButtonFunctions, \
for use in palette buttons.", "Text"], 
         Cell[
          StyleData["Paste"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, After]}]& )}], 
         Cell[
          StyleData["Evaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["EvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionMove[
                FrontEnd`InputNotebook[], All, Cell, 1], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Slide Show Styles", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideShowNavigationBar"], Editable -> False, 
             CellFrame -> True, CellMargins -> {{0, 0}, {3, 3}}, 
             CellElementSpacings -> {"CellMinHeight" -> 0.8125}, 
             CellGroupingRules -> {"SectionGrouping", 30}, CellFrameMargins -> 
             False, CellFrameColor -> GrayLevel[1], CellFrameLabelMargins -> 
             False, TextAlignment -> Center, CounterIncrements -> 
             "SlideShowNavigationBar", StyleMenuListing -> None, FontSize -> 
             10, Magnification -> 1, Background -> GrayLevel[0.8], 
             GridBoxOptions -> {
              BaselinePosition -> Center, 
               GridBoxAlignment -> {
                "Columns" -> {
                  Center, Center, Center, Center, Center, Center, Right, {
                   Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
                 "RowsIndexed" -> {}}, 
               GridBoxItemSize -> {
                "Columns" -> {3.5, 3.5, 3.5, 3.5, 13, 5, {4}}, 
                 "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
                 "RowsIndexed" -> {}}, GridBoxSpacings -> {"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.]}, 
                   Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
                 "Rows" -> {
                   Offset[0.2], {
                    Offset[0.]}, 
                   Offset[0.2]}, "RowsIndexed" -> {}}}], 
            Cell[
             StyleData["SlideShowNavigationBar", "Presentation"]], 
            Cell[
             StyleData["SlideShowNavigationBar", "SlideShow"], Deletable -> 
             False, ShowCellBracket -> False, 
             CellMargins -> {{-1, -1}, {-1, -1}}, PageBreakAbove -> True, 
             CellFrameMargins -> {{1, 1}, {0, 0}}], 
            Cell[
             StyleData["SlideShowNavigationBar", "Printout"], 
             CellMargins -> {{18, 4}, {4, 4}}, LineSpacing -> {1, 3}, 
             FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideShowSection"], CellFrame -> {{0, 0}, {0, 0.5}}, 
             CellMargins -> {{0, 0}, {10, 0}}, 
             CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
             False, CellFrameMargins -> {{12, 4}, {6, 12}}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, CounterIncrements -> "Section", 
             CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
             StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 
             18, FontWeight -> "Plain", FontColor -> GrayLevel[1], Background -> 
             RGBColor[0.408011, 0.440726, 0.8]], 
            Cell[
             StyleData["SlideShowSection", "Presentation"], 
             CellFrameMargins -> {{18, 10}, {10, 16}}, FontSize -> 27], 
            Cell[
             StyleData["SlideShowSection", "SlideShow"], ShowCellBracket -> 
             False, PageBreakAbove -> True], 
            Cell[
             StyleData["SlideShowSection", "Printout"], 
             CellMargins -> {{18, 30}, {0, 30}}, CellFrameMargins -> 5, 
             FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideHyperlink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontSize -> 26, FontColor -> 
             GrayLevel[0.400015], 
             ButtonBoxOptions -> {
              Active -> True, ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`NotebookLocate[#2]}]& ), ButtonMargins -> 0.5, 
               ButtonMinHeight -> 0.85, ButtonNote -> None}], 
            Cell[
             StyleData["SlideHyperlink", "Presentation"], 
             CellMargins -> {{10, 10}, {8, 12}}, FontSize -> 36], 
            Cell[
             StyleData["SlideHyperlink", "SlideShow"]], 
            Cell[
             StyleData["SlideHyperlink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideTOCLink"], 
             CellMargins -> {{24, Inherited}, {Inherited, Inherited}}, 
             StyleMenuListing -> None, ButtonStyleMenuListing -> Automatic, 
             FontFamily -> "Helvetica", 
             ButtonBoxOptions -> {
              Active -> True, ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`NotebookLocate[#2]}]& ), ButtonMargins -> 1.5, 
               ButtonNote -> ButtonData}], 
            Cell[
             StyleData["SlideTOCLink", "Presentation"], 
             CellMargins -> {{35, 10}, {4, 6}}, FontSize -> 18], 
            Cell[
             StyleData["SlideTOCLink", "SlideShow"]], 
            Cell[
             StyleData["SlideTOCLink", "Printout"], 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideTOC"], CellDingbat -> "\[Bullet]", 
             CellMargins -> {{18, Inherited}, {Inherited, Inherited}}, 
             StyleMenuListing -> None, FontFamily -> "Helvetica"], 
            Cell[
             StyleData["SlideTOC", "Presentation"], 
             CellMargins -> {{25, 10}, {8, 6}}, FontSize -> 18], 
            Cell[
             StyleData["SlideTOC", "SlideShow"], FontSize -> 14], 
            Cell[
             StyleData["SlideTOC", "Printout"], FontSize -> 10, FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]]}, Open]]}, Visible -> False, 
  FrontEndVersion -> "13.0 for Mac OS X x86 (64-bit) (December 2, 2021)", 
  StyleDefinitions -> "Default.nb"],
ExpressionUUID->"536bc71d-e37c-4b85-9e35-c6f28f149f0f"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "c:1"->{
  Cell[545, 20, 259, 6, 52, "Title",ExpressionUUID->"51c40a7a-3108-485e-b8a4-afa3c6c9b97e",
   CellTags->"c:1"]},
 "c:2"->{
  Cell[1803, 53, 354, 7, 51, "Section",ExpressionUUID->"c382f1d1-c9dd-4abc-aecc-b8fa67043672",
   CellTags->"c:2"]},
 "c:3"->{
  Cell[2182, 64, 163, 4, 60, "Subsection",ExpressionUUID->"2784b85a-11e3-4617-b8fb-f0221e829d13",
   CellTags->{"c:3", "b:4.0.0"}],
  Cell[70253, 1571, 200, 4, 60, "Subsection",ExpressionUUID->"f6ccfab2-308a-4208-b3c5-8a9421a0a993",
   CellTags->{"c:3", "b:4.0.1"}],
  Cell[149707, 4049, 163, 4, 60, "Subsection",ExpressionUUID->"c72a84e3-cee2-41c3-9077-150bb8f0487e",
   CellTags->{"c:3", "b:4.1.0"}],
  Cell[278292, 7376, 163, 4, 60, "Subsection",ExpressionUUID->"1fe074e8-3024-42d3-a278-cd2ca10a5b90",
   CellTags->{"c:3", "b:4.2.0"}],
  Cell[405598, 10352, 163, 4, 60, "Subsection",ExpressionUUID->"c0d1fb9e-0f5e-47ab-b2c8-d08b068c4811",
   CellTags->{"c:3", "b:4.3.0"}],
  Cell[543701, 13950, 163, 4, 60, "Subsection",ExpressionUUID->"febadfb5-76c0-4781-9718-d3166f45049b",
   CellTags->{"c:3", "b:4.4.0"}]},
 "b:4.0.0"->{
  Cell[2182, 64, 163, 4, 60, "Subsection",ExpressionUUID->"2784b85a-11e3-4617-b8fb-f0221e829d13",
   CellTags->{"c:3", "b:4.0.0"}],
  Cell[2348, 70, 302, 5, 23, "Text",ExpressionUUID->"ae574cad-2990-4f2c-afe8-ce90600efdbb",
   CellTags->"b:4.0.0"],
  Cell[2908, 85, 167, 3, 46, "Input",ExpressionUUID->"46cdd1a8-c158-4354-bdde-00594a30ad73",
   CellTags->"b:4.0.0"],
  Cell[3078, 90, 56903, 1276, 425, "Output",ExpressionUUID->"bdcc5069-19d4-40af-97bd-0b4945d32849",
   CellTags->"b:4.0.0"],
  Cell[59996, 1369, 324, 6, 23, "Text",ExpressionUUID->"a858011f-aba9-4fd4-83e3-9569ef8b6da8",
   CellTags->"b:4.0.0"],
  Cell[60345, 1379, 305, 7, 68, "Input",ExpressionUUID->"93e882d4-60bf-4950-a72c-dd7a1574c5e3",
   CellTags->"b:4.0.0"],
  Cell[60653, 1388, 8427, 142, 150, "Output",ExpressionUUID->"2e4de5d0-ab56-4197-8014-45cdb847c1cd",
   CellTags->"b:4.0.0"],
  Cell[69095, 1533, 1121, 33, 56, "Text",ExpressionUUID->"9d27825e-c98b-4c0b-b759-801cd7f7448f",
   CellTags->"b:4.0.0"]},
 "b:2.0.0"->{
  Cell[2653, 77, 230, 4, 46, "Input",ExpressionUUID->"99c2528b-7eb7-49d7-a304-888681f9580e",
   CellTags->"b:2.0.0"]},
 "b:4.0.1"->{
  Cell[70253, 1571, 200, 4, 60, "Subsection",ExpressionUUID->"f6ccfab2-308a-4208-b3c5-8a9421a0a993",
   CellTags->{"c:3", "b:4.0.1"}],
  Cell[70456, 1577, 508, 9, 79, "Text",ExpressionUUID->"bc3dda48-dc11-4398-8b5c-d1712486dcb9",
   Evaluatable->False,
   CellTags->"b:4.0.1"],
  Cell[70989, 1590, 797, 21, 87, "Input",ExpressionUUID->"810155c1-d54f-427f-9e16-6789fa7b06fb",
   CellTags->"b:4.0.1"],
  Cell[71789, 1613, 273, 6, 61, "Output",ExpressionUUID->"69d6886a-4985-4ea7-a3f5-fdec630dd812",
   CellTags->"b:4.0.1"],
  Cell[72065, 1621, 275, 6, 61, "Output",ExpressionUUID->"074b51b0-82d4-4d01-a9e2-ef09edb08c36",
   CellTags->"b:4.0.1"],
  Cell[72343, 1629, 275, 6, 48, "Output",ExpressionUUID->"672a9fbd-cece-4fbe-873a-641bb5eba7a0",
   CellTags->"b:4.0.1"],
  Cell[72633, 1638, 222, 3, 23, "Text",ExpressionUUID->"f2ebbef3-0028-4188-9904-d7ef2aa9f35f",
   CellTags->"b:4.0.1"],
  Cell[72880, 1645, 285, 7, 82, "Input",ExpressionUUID->"b0d2c875-a209-4f50-a509-ddacd647ac3c",
   CellTags->"b:4.0.1"],
  Cell[73168, 1654, 295, 7, 61, "Output",ExpressionUUID->"a8ff724a-fb91-46fe-9d2e-26f66fba806c",
   CellTags->"b:4.0.1"],
  Cell[73466, 1663, 296, 7, 61, "Output",ExpressionUUID->"b0677a8f-583e-488e-ba86-346b98ac2279",
   CellTags->"b:4.0.1"],
  Cell[73765, 1672, 295, 7, 48, "Output",ExpressionUUID->"dfa12266-8089-4b6a-9d7e-dbe78ace6158",
   CellTags->"b:4.0.1"],
  Cell[74075, 1682, 273, 5, 51, "Text",ExpressionUUID->"4dbb6bf9-8020-4be6-9ab2-583343ac8956",
   CellTags->"b:4.0.1"],
  Cell[74351, 1689, 216, 4, 48, "Input",ExpressionUUID->"b334e3dc-3ebb-4425-be56-e8888e3dfeb7",
   CellTags->"b:4.0.1"],
  Cell[74592, 1697, 439, 12, 64, "Input",ExpressionUUID->"9d2b2fbc-97d9-41af-aeef-5100318dd7bc",
   CellTags->"b:4.0.1"],
  Cell[75034, 1711, 828, 24, 93, "Output",ExpressionUUID->"30e991d9-20aa-4c95-94d5-4e563919572d",
   CellTags->"b:4.0.1"],
  Cell[75877, 1738, 234, 5, 51, "Text",ExpressionUUID->"60915a6b-5779-4793-aea9-971e4acc2de5",
   CellTags->"b:4.0.1"],
  Cell[76136, 1747, 918, 30, 48, "Input",ExpressionUUID->"bc83259b-da01-47fb-b3a0-fa82f56fdd0d",
   CellTags->"b:4.0.1"],
  Cell[77057, 1779, 948, 25, 77, "Output",ExpressionUUID->"5ab02197-28ce-4bad-9d17-3dae54b6f8f6",
   CellTags->"b:4.0.1"],
  Cell[78020, 1807, 189, 4, 23, "Text",ExpressionUUID->"0648411b-e8e2-48a4-81b2-da913198abba",
   CellTags->"b:4.0.1"],
  Cell[78893, 1837, 765, 19, 48, "Input",ExpressionUUID->"4a15e27e-4774-4615-8d63-f671cc9f1444",
   CellTags->"b:4.0.1"],
  Cell[79661, 1858, 208, 3, 24, "Print",ExpressionUUID->"9dc85571-2761-430a-9387-840dd4a14448",
   CellTags->"b:4.0.1"],
  Cell[79884, 1864, 177, 2, 23, "Text",ExpressionUUID->"41109691-da54-418b-9206-67f5b1b2635f",
   CellTags->"b:4.0.1"],
  Cell[80086, 1870, 876, 28, 84, "Input",ExpressionUUID->"b0f15764-fc0d-43b9-809d-11a42e311745",
   CellTags->"b:4.0.1"],
  Cell[80965, 1900, 726, 20, 77, "Output",ExpressionUUID->"da13a970-972a-4b31-9dd8-7f5bae899729",
   CellTags->"b:4.0.1"],
  Cell[81694, 1922, 260, 6, 61, "Output",ExpressionUUID->"093994f7-3216-4c4a-9a3f-d24052daa058",
   CellTags->"b:4.0.1"],
  Cell[81957, 1930, 274, 6, 48, "Output",ExpressionUUID->"06951bf6-3469-47af-b809-98775710699c",
   CellTags->"b:4.0.1"],
  Cell[82246, 1939, 149, 2, 23, "Text",ExpressionUUID->"9e9df4ce-94ab-4aad-ad22-27c04a490564",
   CellTags->"b:4.0.1"],
  Cell[82420, 1945, 570, 15, 46, "Input",ExpressionUUID->"0aaff569-3207-4246-ba7a-1db50979cc6f",
   CellTags->{"Do", "b:4.0.1"}],
  Cell[82993, 1962, 229, 4, 24, "Print",ExpressionUUID->"cc3ddccd-8070-40e5-a68e-5f1a89751c8a",
   CellTags->{"Do", "b:4.0.1"}],
  Cell[83225, 1968, 232, 4, 24, "Print",ExpressionUUID->"a993b1aa-178f-463b-b116-a82a5f099d00",
   CellTags->{"Do", "b:4.0.1"}]},
 "Do"->{
  Cell[82420, 1945, 570, 15, 46, "Input",ExpressionUUID->"0aaff569-3207-4246-ba7a-1db50979cc6f",
   CellTags->{"Do", "b:4.0.1"}],
  Cell[82993, 1962, 229, 4, 24, "Print",ExpressionUUID->"cc3ddccd-8070-40e5-a68e-5f1a89751c8a",
   CellTags->{"Do", "b:4.0.1"}],
  Cell[83225, 1968, 232, 4, 24, "Print",ExpressionUUID->"a993b1aa-178f-463b-b116-a82a5f099d00",
   CellTags->{"Do", "b:4.0.1"}],
  Cell[111020, 2863, 846, 26, 64, "Input",ExpressionUUID->"d37ad680-4708-4710-845a-c7799ced3320",
   CellTags->{"Do", "b:4.0.3"}],
  Cell[111869, 2891, 232, 4, 24, "Print",ExpressionUUID->"34d44d11-b3f3-4970-90c2-bd5240aab38d",
   CellTags->{"Do", "b:4.0.3"}],
  Cell[112104, 2897, 232, 4, 24, "Print",ExpressionUUID->"f0ea7332-c1a6-45b8-99be-44c282ba8b8b",
   CellTags->{"Do", "b:4.0.3"}],
  Cell[112339, 2903, 232, 4, 24, "Print",ExpressionUUID->"90724519-57bd-4b5c-ac95-f62a3bd73bdd",
   CellTags->{"Do", "b:4.0.3"}],
  Cell[112574, 2909, 232, 4, 24, "Print",ExpressionUUID->"1faeed79-e2af-40b7-9aa5-0353da425a62",
   CellTags->{"Do", "b:4.0.3"}],
  Cell[112809, 2915, 232, 4, 24, "Print",ExpressionUUID->"504cce17-89b7-4bda-ab77-165acb870037",
   CellTags->{"Do", "b:4.0.3"}],
  Cell[113044, 2921, 232, 4, 24, "Print",ExpressionUUID->"f3219271-f322-432b-ac2e-243720870f7a",
   CellTags->{"Do", "b:4.0.3"}],
  Cell[113279, 2927, 232, 4, 24, "Print",ExpressionUUID->"ea9db46b-a9ab-42ff-9627-0fdd5a79072a",
   CellTags->{"Do", "b:4.0.3"}],
  Cell[113514, 2933, 232, 4, 24, "Print",ExpressionUUID->"a046a970-164c-4cc5-9c9c-4f0b0e6add0b",
   CellTags->{"Do", "b:4.0.3"}],
  Cell[488043, 12294, 740, 21, 46, "Input",ExpressionUUID->"f78b8866-1d5c-4bbe-89ff-05b2e4d2bfa0",
   CellTags->{"Do", "b:4.3.1"}],
  Cell[488786, 12317, 227, 6, 48, "Output",ExpressionUUID->"fce61408-21f9-4037-a6db-66167db85aff",
   CellTags->{"Do", "b:4.3.1"}],
  Cell[523439, 13288, 1058, 32, 64, "Input",ExpressionUUID->"437cb3d2-722f-4ae1-9bb5-69a49256e102",
   CellTags->{"Do", "b:4.3.3"}],
  Cell[524500, 13322, 227, 6, 48, "Output",ExpressionUUID->"bf6f7623-172a-4deb-80cd-eb6ea34c41f6",
   CellTags->{"Do", "b:4.3.3"}]},
 "c:4"->{
  Cell[83506, 1978, 186, 4, 60, "Subsection",ExpressionUUID->"d0c5d699-de19-4066-b904-c247eccd2b44",
   CellTags->{"c:4", "b:4.0.2"}]},
 "b:4.0.2"->{
  Cell[83506, 1978, 186, 4, 60, "Subsection",ExpressionUUID->"d0c5d699-de19-4066-b904-c247eccd2b44",
   CellTags->{"c:4", "b:4.0.2"}],
  Cell[83695, 1984, 276, 6, 51, "Text",ExpressionUUID->"bacf6100-3399-4b7b-8936-9a8175478616",
   CellTags->"b:4.0.2"],
  Cell[83996, 1994, 1256, 28, 106, "Input",ExpressionUUID->"03793eff-3027-4a3f-ad97-dada61274ab0",
   CellTags->"b:4.0.2"],
  Cell[85255, 2024, 724, 20, 111, "Output",ExpressionUUID->"8286b8c6-8a45-4459-9ecd-56381e6ba2ee",
   CellTags->"b:4.0.2"],
  Cell[85982, 2046, 722, 20, 111, "Output",ExpressionUUID->"02d0c70e-2d05-471a-b4ad-8056f6054379",
   CellTags->"b:4.0.2"],
  Cell[86707, 2068, 722, 20, 111, "Output",ExpressionUUID->"be83f6af-b2a0-43dc-a74c-0ede931996c5",
   CellTags->"b:4.0.2"],
  Cell[87432, 2090, 724, 20, 98, "Output",ExpressionUUID->"3e5ef79d-bb56-4713-99f8-ddf16846f344",
   CellTags->"b:4.0.2"],
  Cell[88171, 2113, 265, 6, 51, "Text",ExpressionUUID->"e10f6a1e-863c-4826-a258-e9b8536aea8f",
   CellTags->"b:4.0.2"],
  Cell[88439, 2121, 395, 11, 46, "Input",ExpressionUUID->"3606cdd1-e1b5-47b8-9566-2f588d151492",
   CellTags->"b:4.0.2"],
  Cell[88837, 2134, 264, 6, 23, "Text",ExpressionUUID->"d42d1680-743b-4f79-9544-f8083859d49b",
   CellTags->"b:4.0.2"],
  Cell[89126, 2144, 187, 4, 46, "Input",ExpressionUUID->"8ae2cc9b-79bf-4efc-83fe-01343a446598",
   CellTags->"b:4.0.2"],
  Cell[89316, 2150, 1106, 38, 151, "Output",ExpressionUUID->"bb9a7a1c-c97e-4155-9851-b23d08447d5b",
   CellTags->"b:4.0.2"],
  Cell[90437, 2191, 300, 7, 51, "Text",ExpressionUUID->"33842a26-d969-4c51-a4df-b481ef0b7953",
   CellTags->"b:4.0.2"],
  Cell[90740, 2200, 1463, 45, 121, "Input",ExpressionUUID->"de57a695-c298-4326-b0bb-65d243afa6f9",
   CellTags->"b:4.0.2"],
  Cell[92206, 2247, 140, 2, 23, "Text",ExpressionUUID->"cc9da7d3-e674-4248-884d-0d57f1726012",
   CellTags->"b:4.0.2"],
  Cell[92371, 2253, 433, 14, 139, "Input",ExpressionUUID->"8fdb6823-6055-42ac-80f3-2bef9814ac8f",
   CellTags->"b:4.0.2"],
  Cell[92807, 2269, 822, 24, 127, "Output",ExpressionUUID->"35eba15d-0ed2-4c43-b403-c42eea337dc8",
   CellTags->"b:4.0.2"],
  Cell[93632, 2295, 824, 24, 127, "Output",ExpressionUUID->"bdb5da5f-1e3c-45d1-8ae9-b1cca3b679b2",
   CellTags->"b:4.0.2"],
  Cell[94459, 2321, 868, 26, 127, "Output",ExpressionUUID->"fdb5e05d-010d-4b0b-b159-6c6a06858351",
   CellTags->"b:4.0.2"],
  Cell[95330, 2349, 868, 26, 114, "Output",ExpressionUUID->"df25f0a6-347d-4f01-bdbf-a2ed0c8aeb1f",
   CellTags->"b:4.0.2"],
  Cell[96213, 2378, 388, 8, 79, "Text",ExpressionUUID->"3c3ba406-5229-4196-a779-f6d37f18b44f",
   CellTags->"b:4.0.2"],
  Cell[96604, 2388, 240, 6, 48, "Input",ExpressionUUID->"c4bc23f5-2358-4ada-9644-15961635ecf7",
   CellTags->"b:4.0.2"],
  Cell[96869, 2398, 532, 14, 48, "Input",ExpressionUUID->"77d8e8d2-69da-48e4-9b5e-e8072c06203e",
   CellTags->"b:4.0.2"],
  Cell[97404, 2414, 824, 24, 127, "Output",ExpressionUUID->"775b22c0-b00a-45d8-a411-f77ec22f4efc",
   CellTags->"b:4.0.2"],
  Cell[98243, 2441, 216, 5, 23, "Text",ExpressionUUID->"208b1fb6-ffe1-4918-8cbb-eaef1aa536f4",
   CellTags->"b:4.0.2"],
  Cell[98462, 2448, 2278, 91, 99, "Input",ExpressionUUID->"27c86274-3919-42da-a464-5cdc752cc47f",
   CellTags->"b:4.0.2"],
  Cell[100743, 2541, 164, 2, 23, "Text",ExpressionUUID->"6e3fd36a-f1c8-4018-8e1f-887d8b755245",
   CellTags->"b:4.0.2"],
  Cell[100932, 2547, 136, 1, 68, "Input",ExpressionUUID->"f7f471a5-1f37-455e-878f-36f3f1cdc99b",
   CellTags->"b:4.0.2"],
  Cell[101071, 2550, 701, 21, 93, "Output",ExpressionUUID->"65b2b96d-c3d1-4634-b21e-e4553f163c6b",
   CellTags->"b:4.0.2"],
  Cell[101775, 2573, 703, 21, 80, "Output",ExpressionUUID->"f922704d-10d6-42df-9710-cfb408eb130e",
   CellTags->"b:4.0.2"],
  Cell[102493, 2597, 154, 2, 23, "Text",ExpressionUUID->"ad9c9bd0-efc3-4215-a0ac-65d07aefec94",
   CellTags->"b:4.0.2"],
  Cell[102672, 2603, 174, 2, 48, "Input",ExpressionUUID->"46e837ef-8776-4fd4-be44-c268aa63008f",
   CellTags->"b:4.0.2"],
  Cell[102849, 2607, 2178, 63, 95, "Output",ExpressionUUID->"f3e3c02b-60c3-4494-b95b-004e0c7c3c78",
   CellTags->"b:4.0.2"]},
 "c:5"->{
  Cell[105076, 2676, 175, 4, 60, "Subsection",ExpressionUUID->"cec3cd6d-b79a-4a9d-90f6-9fec55ad3299",
   CellTags->{"c:5", "b:4.0.3"}]},
 "b:4.0.3"->{
  Cell[105076, 2676, 175, 4, 60, "Subsection",ExpressionUUID->"cec3cd6d-b79a-4a9d-90f6-9fec55ad3299",
   CellTags->{"c:5", "b:4.0.3"}],
  Cell[105254, 2682, 273, 6, 51, "Text",ExpressionUUID->"28939984-2789-469a-9ec2-d0e71043f1a9",
   CellTags->"b:4.0.3"],
  Cell[105552, 2692, 478, 13, 48, "Input",ExpressionUUID->"b61cb808-d145-4898-9438-2922250f8b37",
   CellTags->"b:4.0.3"],
  Cell[106033, 2707, 2179, 50, 179, "Output",ExpressionUUID->"7b5a3945-77f5-404a-98e2-effe1b3883a0",
   CellTags->"b:4.0.3"],
  Cell[108227, 2760, 149, 2, 23, "Text",ExpressionUUID->"45eb25e1-c55e-41de-8917-f7dea7f85f90",
   CellTags->"b:4.0.3"],
  Cell[108401, 2766, 252, 8, 46, "Input",ExpressionUUID->"147bbfba-8cdf-4a22-9d8f-515248eb94bf",
   CellTags->"b:4.0.3"],
  Cell[108656, 2776, 258, 6, 61, "Output",ExpressionUUID->"4f542da3-d972-4717-85ae-1c8823e55910",
   CellTags->"b:4.0.3"],
  Cell[108951, 2787, 387, 14, 46, "Input",ExpressionUUID->"b4918a9c-d9ba-4e7e-a280-9aa8533beddb",
   CellTags->"b:4.0.3"],
  Cell[109341, 2803, 258, 6, 61, "Output",ExpressionUUID->"9d9934cd-612f-4c87-9852-7727959f4d6b",
   CellTags->"b:4.0.3"],
  Cell[109614, 2812, 428, 12, 26, "Text",ExpressionUUID->"5bf1120c-f3a5-4bd1-9480-30b4bd48b22f",
   CellTags->"b:4.0.3"],
  Cell[110067, 2828, 444, 16, 46, "Input",ExpressionUUID->"89ea58ab-e609-4ec3-8862-f8b944b0b269",
   CellTags->"b:4.0.3"],
  Cell[110514, 2846, 275, 6, 61, "Output",ExpressionUUID->"7fe802a0-dc2a-4976-a2b4-bd122b237ea5",
   CellTags->"b:4.0.3"],
  Cell[110804, 2855, 191, 4, 23, "Text",ExpressionUUID->"80a74e12-6f30-4b97-8f72-f3591c483664",
   CellTags->"b:4.0.3"],
  Cell[111020, 2863, 846, 26, 64, "Input",ExpressionUUID->"d37ad680-4708-4710-845a-c7799ced3320",
   CellTags->{"Do", "b:4.0.3"}],
  Cell[111869, 2891, 232, 4, 24, "Print",ExpressionUUID->"34d44d11-b3f3-4970-90c2-bd5240aab38d",
   CellTags->{"Do", "b:4.0.3"}],
  Cell[112104, 2897, 232, 4, 24, "Print",ExpressionUUID->"f0ea7332-c1a6-45b8-99be-44c282ba8b8b",
   CellTags->{"Do", "b:4.0.3"}],
  Cell[112339, 2903, 232, 4, 24, "Print",ExpressionUUID->"90724519-57bd-4b5c-ac95-f62a3bd73bdd",
   CellTags->{"Do", "b:4.0.3"}],
  Cell[112574, 2909, 232, 4, 24, "Print",ExpressionUUID->"1faeed79-e2af-40b7-9aa5-0353da425a62",
   CellTags->{"Do", "b:4.0.3"}],
  Cell[112809, 2915, 232, 4, 24, "Print",ExpressionUUID->"504cce17-89b7-4bda-ab77-165acb870037",
   CellTags->{"Do", "b:4.0.3"}],
  Cell[113044, 2921, 232, 4, 24, "Print",ExpressionUUID->"f3219271-f322-432b-ac2e-243720870f7a",
   CellTags->{"Do", "b:4.0.3"}],
  Cell[113279, 2927, 232, 4, 24, "Print",ExpressionUUID->"ea9db46b-a9ab-42ff-9627-0fdd5a79072a",
   CellTags->{"Do", "b:4.0.3"}],
  Cell[113514, 2933, 232, 4, 24, "Print",ExpressionUUID->"a046a970-164c-4cc5-9c9c-4f0b0e6add0b",
   CellTags->{"Do", "b:4.0.3"}]},
 "c:6"->{
  Cell[113795, 2943, 185, 4, 60, "Subsection",ExpressionUUID->"f312d627-e019-4fd6-acda-49ce9b58ea6c",
   CellTags->{"c:6", "b:4.0.4"}]},
 "b:4.0.4"->{
  Cell[113795, 2943, 185, 4, 60, "Subsection",ExpressionUUID->"f312d627-e019-4fd6-acda-49ce9b58ea6c",
   CellTags->{"c:6", "b:4.0.4"}],
  Cell[113983, 2949, 451, 11, 163, "Text",ExpressionUUID->"49699bf2-82d2-45ac-84b9-fabe9ad48df5",
   CellTags->"b:4.0.4"],
  Cell[114437, 2962, 359, 8, 107, "Text",ExpressionUUID->"d32ddb78-9808-4ca0-a2de-313b7fc65abc",
   CellTags->"b:4.0.4"],
  Cell[114799, 2972, 266, 5, 24, "Text",ExpressionUUID->"f6c0b7a7-9ab1-4bd4-94d0-ce77275c4595",
   CellTags->"b:4.0.4"],
  Cell[115068, 2979, 572, 17, 46, "Input",ExpressionUUID->"b35f9f49-96f5-44e3-98c7-1a24134f1821",
   CellTags->"b:4.0.4"],
  Cell[115643, 2998, 347, 8, 24, "Text",ExpressionUUID->"2fa42880-ef7c-4b53-8992-a3b543e71eb2",
   CellTags->"b:4.0.4"],
  Cell[116015, 3010, 449, 12, 64, "Input",ExpressionUUID->"e9fb251a-be32-4433-b797-adcb3e8c1696",
   CellTags->"b:4.0.4"],
  Cell[116467, 3024, 278, 6, 61, "Output",ExpressionUUID->"d4440229-f166-4d3a-bece-88013f57c203",
   CellTags->"b:4.0.4"],
  Cell[116748, 3032, 278, 6, 48, "Output",ExpressionUUID->"2ba74fdc-5b9a-4249-9da2-5822790b8d18",
   CellTags->"b:4.0.4"],
  Cell[117063, 3043, 724, 19, 46, "Input",ExpressionUUID->"4f0e06da-8835-444d-bdd9-0a9bd2d696ce",
   CellTags->"b:4.0.4"],
  Cell[117790, 3064, 220, 3, 24, "Print",ExpressionUUID->"91ee4519-03dc-4c37-8678-6c232d2986b5",
   CellTags->"b:4.0.4"],
  Cell[118013, 3069, 220, 3, 24, "Print",ExpressionUUID->"dc1999ef-a83d-4823-82bf-d758a05f93fe",
   CellTags->"b:4.0.4"],
  Cell[118236, 3074, 218, 3, 24, "Print",ExpressionUUID->"b75741ba-3c0a-42d6-b30b-ceba378a6350",
   CellTags->"b:4.0.4"],
  Cell[118457, 3079, 220, 3, 24, "Print",ExpressionUUID->"60bd3b9a-a793-42f5-b9e6-2d697032ad24",
   CellTags->"b:4.0.4"],
  Cell[118680, 3084, 220, 3, 24, "Print",ExpressionUUID->"a04cbe4b-4a42-4549-881b-4f2517dbafff",
   CellTags->"b:4.0.4"],
  Cell[118903, 3089, 220, 3, 24, "Print",ExpressionUUID->"f6c188ba-ecac-48d3-8c44-bcb31f35793f",
   CellTags->"b:4.0.4"],
  Cell[119126, 3094, 218, 3, 24, "Print",ExpressionUUID->"9ba96082-a7e1-43c6-9076-ab23f5ae4f63",
   CellTags->"b:4.0.4"],
  Cell[119347, 3099, 217, 3, 24, "Print",ExpressionUUID->"f2daf23c-1214-4e96-818c-0321b623152c",
   CellTags->"b:4.0.4"],
  Cell[119601, 3107, 191, 4, 46, "Input",ExpressionUUID->"87876524-189f-47e4-888c-835a63278797",
   CellTags->"b:4.0.4"],
  Cell[119795, 3113, 258, 6, 61, "Output",ExpressionUUID->"0e6ef4b9-ab54-482e-9eea-963de75d3e46",
   CellTags->"b:4.0.4"],
  Cell[120068, 3122, 324, 8, 23, "Text",ExpressionUUID->"442bcc20-442d-4994-b1ab-2ceafcd9f5ca",
   CellTags->"b:4.0.4"],
  Cell[120395, 3132, 517, 11, 51, "Input",ExpressionUUID->"db3ded93-0a04-4ef7-b18d-8bcfd727d987",
   CellTags->"b:4.0.4"],
  Cell[120915, 3145, 582, 17, 102, "Input",ExpressionUUID->"49319879-35c2-4d54-91e5-7afa15f54326",
   CellTags->"b:4.0.4"]},
 "c:7"->{
  Cell[121534, 3167, 197, 4, 60, "Subsection",ExpressionUUID->"419cf674-ef73-4b92-9762-ebcec292172a",
   CellTags->{"c:7", "b:4.0.5"}]},
 "b:4.0.5"->{
  Cell[121534, 3167, 197, 4, 60, "Subsection",ExpressionUUID->"419cf674-ef73-4b92-9762-ebcec292172a",
   CellTags->{"c:7", "b:4.0.5"}],
  Cell[121734, 3173, 615, 15, 82, "Text",ExpressionUUID->"84da22d3-1724-466a-a2b2-5ddfc87c3bb8",
   CellTags->"b:4.0.5"],
  Cell[122352, 3190, 427, 13, 68, "Input",ExpressionUUID->"649e8488-f6d2-48ac-b773-8d4bcd15f380",
   CellTags->"b:4.0.5"],
  Cell[122782, 3205, 526, 16, 51, "Input",ExpressionUUID->"27543ff4-1056-4889-8138-a71454df5a41",
   CellTags->"b:4.0.5"],
  Cell[123311, 3223, 216, 5, 23, "Text",ExpressionUUID->"a6d0c994-ac7c-42c2-ac00-230ba426d2ac",
   CellTags->"b:4.0.5"],
  Cell[123552, 3232, 301, 8, 48, "Input",ExpressionUUID->"e8331696-3dd8-4edf-999c-938d7cf4403b",
   CellTags->"b:4.0.5"],
  Cell[123856, 3242, 690, 18, 77, "Output",ExpressionUUID->"c4055eb0-d277-4ca1-81bb-547d40f1ca1c",
   CellTags->"b:4.0.5"],
  Cell[124583, 3265, 670, 18, 48, "Input",ExpressionUUID->"1e089c7b-8cd2-48e1-8a36-c9639d30ba2c",
   CellTags->"b:4.0.5"],
  Cell[125256, 3285, 682, 18, 77, "Output",ExpressionUUID->"d2ef04e7-26ad-403d-a205-c7f7ec1cfece",
   CellTags->"b:4.0.5"],
  Cell[125975, 3308, 108, 1, 48, "Input",ExpressionUUID->"638b2d5f-741a-4f6e-8ce3-9eb1b29e1859",
   CellTags->"b:4.0.5"],
  Cell[126086, 3311, 255, 6, 61, "Output",ExpressionUUID->"49bdf76d-205a-42e0-9d8f-da1e54da5ea5",
   CellTags->"b:4.0.5"],
  Cell[126378, 3322, 506, 13, 106, "Input",ExpressionUUID->"99738e4f-7fb7-4bfe-961f-0f74937c07ef",
   CellTags->"b:4.0.5"],
  Cell[126887, 3337, 1117, 28, 77, "Output",ExpressionUUID->"7c461834-fad3-443f-ba0c-89ea9b8802a4",
   CellTags->"b:4.0.5"],
  Cell[128007, 3367, 1117, 28, 77, "Output",ExpressionUUID->"4082119a-853c-4d92-a1ec-4870d20a0c68",
   CellTags->"b:4.0.5"],
  Cell[129127, 3397, 1114, 26, 77, "Output",ExpressionUUID->"3607c4f7-9273-4e78-a7ff-47bdf9ee66ed",
   CellTags->"b:4.0.5"],
  Cell[130244, 3425, 1112, 26, 64, "Output",ExpressionUUID->"01f7913c-9782-4716-bc79-07d8ba4406ec",
   CellTags->"b:4.0.5"],
  Cell[131371, 3454, 704, 16, 82, "Text",ExpressionUUID->"6f341791-556e-4be0-aa3e-52ea18f5343d",
   CellTags->"b:4.0.5"],
  Cell[132100, 3474, 283, 8, 48, "Input",ExpressionUUID->"16547f01-17fc-42c8-be19-e9a5be42a8bc",
   CellTags->"b:4.0.5"],
  Cell[132386, 3484, 1119, 28, 77, "Output",ExpressionUUID->"428b1adf-1525-4ab3-b9ba-0492c0471822",
   CellTags->"b:4.0.5"],
  Cell[133520, 3515, 190, 4, 23, "Text",ExpressionUUID->"bd7cc41e-d299-4077-a972-d8e49a878994",
   CellTags->"b:4.0.5"],
  Cell[133735, 3523, 99, 1, 48, "Input",ExpressionUUID->"17e2aae3-5a1b-4f3a-b61a-731c32517b39",
   CellTags->"b:4.0.5"],
  Cell[133837, 3526, 260, 6, 61, "Output",ExpressionUUID->"2a905feb-09be-4ac2-8986-e124ef1eb6f7",
   CellTags->"b:4.0.5"],
  Cell[134112, 3535, 188, 4, 23, "Text",ExpressionUUID->"a9ecc06f-aee0-45bc-b849-8f97bf3d1057",
   CellTags->"b:4.0.5"],
  Cell[134303, 3541, 291, 7, 51, "Input",ExpressionUUID->"2718f74e-c44a-471f-a1bd-3d9ce9360557",
   CellTags->"b:4.0.5"],
  Cell[134597, 3550, 177, 5, 51, "Text",ExpressionUUID->"c4153035-458a-477c-89a8-93a8c8c8b56c",
   CellTags->"b:4.0.5"],
  Cell[134777, 3557, 1512, 27, 751, "Text",ExpressionUUID->"b0aee602-1449-49a1-9693-9adbcc948d60",
   CellTags->"b:4.0.5"],
  Cell[136314, 3588, 6052, 226, 193, "Input",ExpressionUUID->"e6148392-8fbb-449e-a05a-a1f151868d64",
   CellTags->"b:4.0.5"],
  Cell[142369, 3816, 648, 18, 77, "Output",ExpressionUUID->"083e19da-490f-4237-84e6-058940e66c3e",
   CellTags->"b:4.0.5"],
  Cell[143020, 3836, 648, 18, 77, "Output",ExpressionUUID->"7a5c617f-574a-40d7-8a93-1820d2098482",
   CellTags->"b:4.0.5"],
  Cell[143671, 3856, 948, 25, 77, "Output",ExpressionUUID->"0b9137ee-06d7-426d-a59d-544ce12f4968",
   CellTags->"b:4.0.5"],
  Cell[144622, 3883, 950, 25, 64, "Output",ExpressionUUID->"4cd82025-24f4-4eef-8b16-1058104f1984",
   CellTags->"b:4.0.5"],
  Cell[145587, 3911, 206, 5, 35, "DisplayText",ExpressionUUID->"f5898152-df9b-421b-b6d4-b381b30a5615",
   CellTags->"b:4.0.5"],
  Cell[145818, 3920, 632, 18, 48, "Input",ExpressionUUID->"95a7f602-39af-4a34-89b1-0cdb772c4784",
   CellTags->"b:4.0.5"],
  Cell[146453, 3940, 825, 24, 93, "Output",ExpressionUUID->"c24d7317-243d-4b3b-af01-915cdc6e3c0b",
   CellTags->"b:4.0.5"],
  Cell[147293, 3967, 208, 5, 35, "DisplayText",ExpressionUUID->"de3199a9-6732-404b-9886-9b8fffcaa040",
   CellTags->"b:4.0.5"],
  Cell[147526, 3976, 162, 3, 48, "Input",ExpressionUUID->"23fb878a-2057-40e4-89af-b7652bdfa880",
   CellTags->"b:4.0.5"],
  Cell[147691, 3981, 828, 24, 93, "Output",ExpressionUUID->"8d659b8e-8bd8-4e06-bf81-57b9d51e14a6",
   CellTags->"b:4.0.5"]},
 "c:8"->{
  Cell[149285, 4037, 397, 8, 51, "Section",ExpressionUUID->"b2f3803c-66fd-478e-a128-b2a7f8e1d20e",
   CellTags->"c:8"]},
 "b:4.1.0"->{
  Cell[149707, 4049, 163, 4, 60, "Subsection",ExpressionUUID->"c72a84e3-cee2-41c3-9077-150bb8f0487e",
   CellTags->{"c:3", "b:4.1.0"}],
  Cell[149873, 4055, 193, 3, 23, "Text",ExpressionUUID->"b5afc293-7873-414a-9195-443ae6bdb0ee",
   CellTags->"b:4.1.0"],
  Cell[150091, 4062, 188, 3, 46, "Input",ExpressionUUID->"f440d2f2-c24c-4d85-abd1-519970f78525",
   CellTags->"b:4.1.0"],
  Cell[150282, 4067, 228, 3, 24, "Print",ExpressionUUID->"3733d131-f0df-45eb-8798-f1fad1c153b1",
   CellTags->"b:4.1.0"],
  Cell[150547, 4075, 167, 3, 46, "Input",ExpressionUUID->"8387f976-343c-4adb-9469-53fc50e2b3bb",
   CellTags->"b:4.1.0"],
  Cell[150717, 4080, 55893, 1254, 425, "Output",ExpressionUUID->"dbaf6a7f-8e5c-41f6-a67a-0e892666b9a2",
   CellTags->"b:4.1.0"],
  Cell[206625, 5337, 270, 5, 23, "Text",ExpressionUUID->"06bed90e-116e-4910-a1fe-93ab64ef98f6",
   CellTags->"b:4.1.0"],
  Cell[206898, 5344, 146, 3, 48, "Input",ExpressionUUID->"baefc748-c564-4be4-af65-591a49e55f70",
   CellTags->"b:4.1.0"],
  Cell[207069, 5351, 309, 7, 68, "Input",ExpressionUUID->"f0727f66-4deb-45c6-bb4f-cf7fcc68dd82",
   CellTags->"b:4.1.0"],
  Cell[207381, 5360, 13006, 217, 249, "Output",ExpressionUUID->"a97f7b59-30f9-440f-8b81-870f30190209",
   CellTags->"b:4.1.0"]},
 "c:9"->{
  Cell[220436, 5583, 266, 7, 60, "Subsection",ExpressionUUID->"bf23e940-b2d3-4729-92c4-8243656583bb",
   CellTags->{"c:9", "b:4.1.1"}]},
 "b:4.1.1"->{
  Cell[220436, 5583, 266, 7, 60, "Subsection",ExpressionUUID->"bf23e940-b2d3-4729-92c4-8243656583bb",
   CellTags->{"c:9", "b:4.1.1"}],
  Cell[220705, 5592, 320, 6, 23, "Text",ExpressionUUID->"b3df7642-ea31-4149-9645-29a93a0a0f53",
   CellTags->"b:4.1.1"],
  Cell[221050, 5602, 137, 2, 48, "Input",ExpressionUUID->"954f4ca0-3349-49d8-8fa6-6feecd375878",
   CellTags->"b:4.1.1"],
  Cell[221190, 5606, 895, 22, 64, "Output",ExpressionUUID->"0a4248d6-d24d-4695-b188-55106e5dd9fd",
   CellTags->"b:4.1.1"],
  Cell[222122, 5633, 2827, 78, 134, "Input",ExpressionUUID->"4c144ad7-511d-4e41-b79a-b27a3ba407a1",
   CellTags->"b:4.1.1"],
  Cell[224952, 5713, 780, 23, 80, "Output",ExpressionUUID->"5126e8d8-5764-4eb4-b2e5-ed425df789d5",
   CellTags->"b:4.1.1"],
  Cell[225735, 5738, 758, 22, 80, "Output",ExpressionUUID->"d30a4c5e-cd92-4e99-b9fb-19041bc1cf84",
   CellTags->"b:4.1.1"],
  Cell[227859, 5807, 300, 6, 23, "Text",ExpressionUUID->"b18bc9dc-bcb8-4987-8caf-8f241d04bb5d",
   CellTags->"b:4.1.1"],
  Cell[228184, 5817, 258, 5, 68, "Input",ExpressionUUID->"46f87c36-8567-4d15-ba7d-e1acdf0137b0",
   CellTags->"b:4.1.1"],
  Cell[228445, 5824, 2301, 54, 98, "Output",ExpressionUUID->"3771325a-00a4-4328-a1bc-97889ba84d7f",
   CellTags->"b:4.1.1"],
  Cell[230749, 5880, 744, 21, 98, "Output",ExpressionUUID->"49d29df9-24a9-4d75-99a9-2ee6a7f857ce",
   CellTags->"b:4.1.1"],
  Cell[231508, 5904, 263, 7, 23, "Text",ExpressionUUID->"28285b0d-5e4f-41fd-b7b7-aa89cad94c3a",
   CellTags->"b:4.1.1"],
  Cell[231796, 5915, 1207, 31, 106, "Input",ExpressionUUID->"1c9fa99d-7d55-4d9c-a257-ff844b0626e4",
   CellTags->"b:4.1.1"],
  Cell[233006, 5948, 2443, 59, 334, "Output",ExpressionUUID->"a2687710-3330-4015-a45b-8c7a8c46f582",
   CellTags->"b:4.1.1"],
  Cell[235452, 6009, 209, 5, 48, "Output",ExpressionUUID->"0e0d5aaa-84ed-4ea1-9a80-83a1b4407d95",
   CellTags->"b:4.1.1"],
  Cell[235676, 6017, 178, 2, 23, "Text",ExpressionUUID->"bbca576d-9782-490b-a15d-a8483f70c997",
   CellTags->"b:4.1.1"],
  Cell[235879, 6023, 483, 12, 68, "Input",ExpressionUUID->"3ba1dc8c-ce93-41d0-adec-66725d2d1033",
   CellTags->"b:4.1.1"],
  Cell[236365, 6037, 292, 7, 48, "Output",ExpressionUUID->"1f308202-b115-42e2-a8d0-2e5de64b2052",
   CellTags->"b:4.1.1"],
  Cell[236672, 6047, 156, 2, 23, "Text",ExpressionUUID->"9d9ecb38-6224-4ea4-ac22-da9a4f5b1427",
   CellTags->"b:4.1.1"],
  Cell[236853, 6053, 859, 22, 46, "Input",ExpressionUUID->"07bb5431-3638-4999-b8e5-097eb3004a0e",
   CellTags->"b:4.1.1"],
  Cell[237715, 6077, 162, 2, 24, "Print",ExpressionUUID->"e0caed7c-d222-45ed-a962-a8de671a85d5",
   CellTags->"b:4.1.1"]},
 "c:10"->{
  Cell[237926, 6085, 193, 4, 60, "Subsection",ExpressionUUID->"c0bcab74-60c9-4572-85b3-f37598d43a56",
   CellTags->{"c:10", "b:4.1.2"}]},
 "b:4.1.2"->{
  Cell[237926, 6085, 193, 4, 60, "Subsection",ExpressionUUID->"c0bcab74-60c9-4572-85b3-f37598d43a56",
   CellTags->{"c:10", "b:4.1.2"}],
  Cell[238122, 6091, 364, 8, 79, "Text",ExpressionUUID->"dfd8c13b-ede7-4993-a437-77d6f1dd0517",
   CellTags->"b:4.1.2"],
  Cell[238489, 6101, 595, 17, 46, "Input",ExpressionUUID->"da4c98c5-2117-4f12-a89c-3229326a44e4",
   CellTags->"b:4.1.2"]},
 "c:11"->{
  Cell[239121, 6123, 202, 4, 60, "Subsection",ExpressionUUID->"12d46fbb-323b-4225-9a6f-dcb386cc935b",
   CellTags->{"c:11", "b:4.1.3"}]},
 "b:4.1.3"->{
  Cell[239121, 6123, 202, 4, 60, "Subsection",ExpressionUUID->"12d46fbb-323b-4225-9a6f-dcb386cc935b",
   CellTags->{"c:11", "b:4.1.3"}],
  Cell[239326, 6129, 216, 5, 23, "Text",ExpressionUUID->"0eeaefa7-b572-45da-aff0-847b0c5b58fc",
   CellTags->"b:4.1.3"],
  Cell[239567, 6138, 882, 30, 64, "Input",ExpressionUUID->"68ba37c6-b614-46c5-affa-3e26dbc7c0a6",
   CellTags->"b:4.1.3"],
  Cell[240452, 6170, 211, 5, 48, "Output",ExpressionUUID->"03528eb5-af98-4c65-a324-96afa846db7d",
   CellTags->"b:4.1.3"],
  Cell[240678, 6178, 302, 7, 51, "Text",ExpressionUUID->"443b369e-726d-4d2b-ba36-32626dc28ab9",
   CellTags->"b:4.1.3"],
  Cell[241005, 6189, 369, 9, 68, "Input",ExpressionUUID->"d562ec6c-c684-4d87-a179-572d7a9c11b3",
   CellTags->"b:4.1.3"],
  Cell[241377, 6200, 211, 5, 48, "Output",ExpressionUUID->"f6ed60d8-4d96-4969-9b6d-a9d78800c4b4",
   CellTags->"b:4.1.3"],
  Cell[241591, 6207, 227, 5, 48, "Output",ExpressionUUID->"4e6adf3f-f66b-4fb1-a7cd-a40f87cdc2a9",
   CellTags->"b:4.1.3"]},
 "c:12"->{
  Cell[241867, 6218, 199, 4, 60, "Subsection",ExpressionUUID->"c749c578-79c4-4c18-bc56-b9ed4c63947d",
   CellTags->{"c:12", "b:4.1.4"}]},
 "b:4.1.4"->{
  Cell[241867, 6218, 199, 4, 60, "Subsection",ExpressionUUID->"c749c578-79c4-4c18-bc56-b9ed4c63947d",
   CellTags->{"c:12", "b:4.1.4"}],
  Cell[242069, 6224, 243, 5, 23, "Text",ExpressionUUID->"faba93de-1014-4100-99f8-7537b61dd4ed",
   CellTags->"b:4.1.4"],
  Cell[242315, 6231, 1337, 48, 51, "Input",ExpressionUUID->"082f81a8-3026-42a2-adc2-ee10b3c17952",
   CellTags->"b:4.1.4"]},
 "c:13"->{
  Cell[243689, 6284, 558, 14, 64, "Subsection",ExpressionUUID->"c15e7341-e1dd-4516-b7c4-11a1e8497478",
   CellTags->{"c:13", "b:4.1.5"}]},
 "b:4.1.5"->{
  Cell[243689, 6284, 558, 14, 64, "Subsection",ExpressionUUID->"c15e7341-e1dd-4516-b7c4-11a1e8497478",
   CellTags->{"c:13", "b:4.1.5"}],
  Cell[244250, 6300, 347, 7, 51, "Text",ExpressionUUID->"6dd55fb9-d502-45af-b2c4-44ec9d3c89a4",
   CellTags->"b:4.1.5"],
  Cell[244600, 6309, 693, 19, 51, "Input",ExpressionUUID->"e0963b27-3998-4a79-96dc-7090b3b989d9",
   CellTags->"b:4.1.5"],
  Cell[245296, 6330, 214, 5, 23, "Text",ExpressionUUID->"068b1120-f11e-4bb2-8c38-b38e46a9dfe9",
   CellTags->"b:4.1.5"],
  Cell[245535, 6339, 751, 23, 125, "Input",ExpressionUUID->"f8cd2baa-06b1-4e1d-958a-0ae117afb7f2",
   CellTags->"b:4.1.5"],
  Cell[246289, 6364, 667, 21, 98, "Output",ExpressionUUID->"fd021388-6e64-4021-a946-1216ffe39bef",
   CellTags->"b:4.1.5"],
  Cell[246971, 6388, 244, 7, 23, "Text",ExpressionUUID->"54f265f1-d800-4aa6-8298-8616c154d392",
   CellTags->"b:4.1.5"],
  Cell[247240, 6399, 233, 5, 48, "Input",ExpressionUUID->"d467541c-a574-4740-8ed8-d5ef349951a5",
   CellTags->"b:4.1.5"],
  Cell[247476, 6406, 2300, 54, 98, "Output",ExpressionUUID->"1458c8f7-c7bc-4bc0-879d-472605f65a98",
   CellTags->"b:4.1.5"]},
 "c:14"->{
  Cell[249825, 6466, 619, 15, 64, "Subsection",ExpressionUUID->"cdd79a88-889e-439b-a084-abf7a8b4b8ea",
   CellTags->{"c:14", "b:4.1.6"}]},
 "b:4.1.6"->{
  Cell[249825, 6466, 619, 15, 64, "Subsection",ExpressionUUID->"cdd79a88-889e-439b-a084-abf7a8b4b8ea",
   CellTags->{"c:14", "b:4.1.6"}],
  Cell[250447, 6483, 212, 5, 23, "Text",ExpressionUUID->"d1761e6e-7267-4e2f-822e-c9b6f347af54",
   CellTags->"b:4.1.6"],
  Cell[250684, 6492, 1488, 44, 163, "Input",ExpressionUUID->"02151a94-f85d-43fa-bc5c-f3bf3031b52c",
   CellTags->"b:4.1.6"],
  Cell[252175, 6538, 675, 19, 98, "Output",ExpressionUUID->"d9866c43-9005-49b2-ae4d-d4f0abe46268",
   CellTags->"b:4.1.6"],
  Cell[252865, 6560, 278, 6, 23, "Text",ExpressionUUID->"d60bd19a-2e10-4b77-b7b8-457aeeed654d",
   CellTags->"b:4.1.6"],
  Cell[253168, 6570, 371, 8, 68, "Input",ExpressionUUID->"615c9fcd-f093-499e-a3fd-8c62c74f1e65",
   CellTags->"b:4.1.6"],
  Cell[253542, 6580, 2300, 54, 98, "Output",ExpressionUUID->"79b07d45-c320-44c2-96e2-3cd2b3a4a4d2",
   CellTags->"b:4.1.6"],
  Cell[255845, 6636, 745, 21, 98, "Output",ExpressionUUID->"9ae271c8-3630-46bd-b766-ba83cb366419",
   CellTags->"b:4.1.6"]},
 "c:15"->{
  Cell[256639, 6663, 652, 16, 64, "Subsection",ExpressionUUID->"b7da26f1-cd47-4d86-89b8-c541f3a60ca1",
   CellTags->{"c:15", "b:4.1.7"}]},
 "b:4.1.7"->{
  Cell[256639, 6663, 652, 16, 64, "Subsection",ExpressionUUID->"b7da26f1-cd47-4d86-89b8-c541f3a60ca1",
   CellTags->{"c:15", "b:4.1.7"}],
  Cell[257294, 6681, 258, 5, 23, "Text",ExpressionUUID->"03d0879c-d629-4807-be6e-9e2dcf27d57c",
   CellTags->"b:4.1.7"],
  Cell[257577, 6690, 2366, 90, 165, "Input",ExpressionUUID->"f951c528-bedc-4182-a572-094b1fdb9e62",
   CellTags->"b:4.1.7"],
  Cell[259946, 6782, 782, 23, 80, "Output",ExpressionUUID->"ed59737c-2949-4bc3-aad2-a49b3cd9cbc9",
   CellTags->"b:4.1.7"],
  Cell[260731, 6807, 759, 22, 80, "Output",ExpressionUUID->"de791807-300c-4baf-92d7-98645dc72e68",
   CellTags->"b:4.1.7"],
  Cell[261493, 6831, 2435, 67, 82, "Output",ExpressionUUID->"49e51967-0085-413c-893e-7af7036d159c",
   CellTags->"b:4.1.7"],
  Cell[263943, 6901, 192, 4, 23, "Text",ExpressionUUID->"313a67f4-49b3-4345-99bf-9420544f1b7f",
   CellTags->"b:4.1.7"],
  Cell[264160, 6909, 2482, 95, 165, "Input",ExpressionUUID->"ae4441a7-fce4-479a-b205-d45697ed00d9",
   CellTags->"b:4.1.7"],
  Cell[266645, 7006, 780, 23, 80, "Output",ExpressionUUID->"ffd59fb4-fa6d-493a-ae36-f154d33ff19a",
   CellTags->"b:4.1.7"],
  Cell[267428, 7031, 758, 22, 80, "Output",ExpressionUUID->"f3d51ecc-1fb8-4103-bf63-056bfc9a7fbf",
   CellTags->"b:4.1.7"],
  Cell[268189, 7055, 2432, 67, 82, "Output",ExpressionUUID->"e4256d0f-6012-4779-9c68-81d44a9ed55a",
   CellTags->"b:4.1.7"],
  Cell[270658, 7127, 254, 8, 48, "Input",ExpressionUUID->"95e46b35-7b70-4d32-8183-982d005b12b0",
   CellTags->"b:4.1.7"],
  Cell[270915, 7137, 675, 19, 98, "Output",ExpressionUUID->"ff9f9d66-f3cd-48dd-b8f5-fa8fdd9680a0",
   CellTags->"b:4.1.7"]},
 "c:16"->{
  Cell[271639, 7162, 223, 6, 60, "Subsection",ExpressionUUID->"273370b1-c18f-436d-9554-ccd679e463c2",
   CellTags->{"c:16", "b:4.1.8"}]},
 "b:4.1.8"->{
  Cell[271639, 7162, 223, 6, 60, "Subsection",ExpressionUUID->"273370b1-c18f-436d-9554-ccd679e463c2",
   CellTags->{"c:16", "b:4.1.8"}],
  Cell[271887, 7172, 2076, 67, 144, "Input",ExpressionUUID->"7ad677f3-b98c-4946-8ddc-50df14d0f442",
   CellTags->"b:4.1.8"],
  Cell[273966, 7241, 706, 19, 64, "Output",ExpressionUUID->"46578df6-8101-4e39-b4f9-d32cee78056f",
   CellTags->"b:4.1.8"],
  Cell[274675, 7262, 691, 19, 64, "Output",ExpressionUUID->"844b4b36-bf1d-40b9-b395-569a1ac7de2d",
   CellTags->"b:4.1.8"],
  Cell[275369, 7283, 607, 17, 64, "Output",ExpressionUUID->"67333fc5-da40-48b8-9ab8-3b6e349a4ae2",
   CellTags->"b:4.1.8"],
  Cell[275979, 7302, 607, 17, 64, "Output",ExpressionUUID->"5a78ebfc-2b93-4425-baa1-ee732fe5b5f7",
   CellTags->"b:4.1.8"],
  Cell[276589, 7321, 607, 17, 64, "Output",ExpressionUUID->"185c1c53-1b32-4d4a-b4d0-563e133e8bf3",
   CellTags->"b:4.1.8"],
  Cell[277199, 7340, 609, 17, 64, "Output",ExpressionUUID->"3a82efb4-8031-4cfd-b127-fd59db7dd6b7",
   CellTags->"b:4.1.8"]},
 "c:17"->{
  Cell[277869, 7364, 398, 8, 51, "Section",ExpressionUUID->"32a6521c-8024-426f-8f50-42ee2fcf7c90",
   CellTags->"c:17"]},
 "b:4.2.0"->{
  Cell[278292, 7376, 163, 4, 60, "Subsection",ExpressionUUID->"1fe074e8-3024-42d3-a278-cd2ca10a5b90",
   CellTags->{"c:3", "b:4.2.0"}],
  Cell[278458, 7382, 193, 3, 23, "Text",ExpressionUUID->"3d627fec-473e-481a-a6c6-ee7578354323",
   CellTags->"b:4.2.0"],
  Cell[278654, 7387, 188, 3, 46, "Input",ExpressionUUID->"f70d159a-9a4e-4974-8ee7-46623c2f9c20",
   CellTags->"b:4.2.0"],
  Cell[278867, 7394, 167, 3, 46, "Input",ExpressionUUID->"cbb67fb3-c6a6-4b35-b9c4-8f67843032c8",
   CellTags->"b:4.2.0"],
  Cell[279037, 7399, 55895, 1254, 425, "Output",ExpressionUUID->"6d60d295-6ffe-45cd-a4d7-0cf343da86ea",
   CellTags->"b:4.2.0"],
  Cell[334947, 8656, 270, 5, 23, "Text",ExpressionUUID->"6750a886-c929-41cd-8647-3d385577c5e1",
   CellTags->"b:4.2.0"],
  Cell[335220, 8663, 170, 4, 48, "Input",ExpressionUUID->"55ba9898-94f3-4bf7-8a8c-5722f8a5303a",
   CellTags->"b:4.2.0"],
  Cell[335415, 8671, 309, 7, 68, "Input",ExpressionUUID->"50abcc7f-fb89-4d11-89d5-ef08ec07ed5b",
   CellTags->"b:4.2.0"],
  Cell[335727, 8680, 15650, 261, 286, "Output",ExpressionUUID->"dbd8b123-30fd-49ac-af0b-73c6cbf03423",
   CellTags->"b:4.2.0"]},
 "c:18"->{
  Cell[351426, 8947, 222, 6, 60, "Subsection",ExpressionUUID->"7bde9ee7-9cbd-4305-8395-c232f4a05ad3",
   CellTags->{"c:18", "b:4.2.1"}]},
 "b:4.2.1"->{
  Cell[351426, 8947, 222, 6, 60, "Subsection",ExpressionUUID->"7bde9ee7-9cbd-4305-8395-c232f4a05ad3",
   CellTags->{"c:18", "b:4.2.1"}],
  Cell[351651, 8955, 270, 6, 51, "Text",ExpressionUUID->"4594c61f-62f2-4377-8a15-969077b52897",
   CellTags->"b:4.2.1"],
  Cell[351946, 8965, 265, 5, 48, "Input",ExpressionUUID->"12524360-9c33-4d8d-afe0-9b19af290c34",
   CellTags->"b:4.2.1"],
  Cell[352214, 8972, 8316, 174, 166, "Output",ExpressionUUID->"1752b9b6-da3a-43c5-b387-907b49f9dd88",
   CellTags->"b:4.2.1"],
  Cell[360545, 9149, 164, 2, 23, "Text",ExpressionUUID->"18b8cc4f-3244-4fd9-b6aa-3835dac24cb5",
   CellTags->"b:4.2.1"],
  Cell[360734, 9155, 284, 6, 68, "Input",ExpressionUUID->"5a89a606-2da0-4a16-88b6-8a05bcc2d8c7",
   CellTags->"b:4.2.1"],
  Cell[361021, 9163, 211, 5, 48, "Output",ExpressionUUID->"9f45de00-1ecf-4922-8f7c-5c25826cca26",
   CellTags->"b:4.2.1"],
  Cell[361235, 9170, 228, 5, 48, "Output",ExpressionUUID->"ac544c18-7c96-43de-ad4c-9d8f550cd14b",
   CellTags->"b:4.2.1"],
  Cell[361478, 9178, 139, 2, 23, "Text",ExpressionUUID->"f1990f42-ada2-47d9-baf7-dcbb5d7c3892",
   CellTags->"b:4.2.1"],
  Cell[361642, 9184, 202, 4, 48, "Input",ExpressionUUID->"5f16e969-95fc-4cc2-8ce0-184d6748c8a9",
   CellTags->"b:4.2.1"],
  Cell[361847, 9190, 871, 25, 168, "Output",ExpressionUUID->"eb5fcb0b-e78a-454c-98b6-041c203fce6e",
   CellTags->"b:4.2.1"],
  Cell[362733, 9218, 534, 13, 52, "Text",ExpressionUUID->"cf2f7140-9373-4c01-85c2-78348414e3ef",
   CellTags->"b:4.2.1"],
  Cell[363292, 9235, 1704, 44, 125, "Input",ExpressionUUID->"577c898f-6af2-4f53-b47b-1f8c9f8e212f",
   CellTags->"b:4.2.1"],
  Cell[364999, 9281, 213, 5, 48, "Output",ExpressionUUID->"8f2d245d-0e32-4a3b-b8e5-6a7d74fc5cc6",
   CellTags->"b:4.2.1"],
  Cell[365215, 9288, 211, 5, 48, "Output",ExpressionUUID->"85fc9db9-0412-45af-993a-d0b03ee71a1c",
   CellTags->"b:4.2.1"],
  Cell[365441, 9296, 173, 2, 23, "Text",ExpressionUUID->"0385d008-50b7-49f6-bfbc-10b2a176641b",
   CellTags->"b:4.2.1"],
  Cell[365639, 9302, 691, 18, 87, "Input",ExpressionUUID->"60a014e5-7802-4baf-9786-bada1fe3628c",
   CellTags->"b:4.2.1"],
  Cell[366333, 9322, 307, 7, 48, "Output",ExpressionUUID->"57e6992d-cfef-43e7-b6ae-80015a375ac5",
   CellTags->"b:4.2.1"],
  Cell[366643, 9331, 230, 5, 48, "Output",ExpressionUUID->"ae76329c-866d-43be-98ff-9849ff473c4c",
   CellTags->"b:4.2.1"],
  Cell[366888, 9339, 156, 2, 23, "Text",ExpressionUUID->"d79b0ec7-bb6b-4809-b263-0230c7f4fd8a",
   CellTags->"b:4.2.1"],
  Cell[367069, 9345, 857, 22, 46, "Input",ExpressionUUID->"f38134b7-442a-4cf3-985a-d2c4b46757bd",
   CellTags->"b:4.2.1"],
  Cell[367929, 9369, 164, 2, 24, "Print",ExpressionUUID->"1b55c03d-a35b-4775-a7d1-a694fcf9ce09",
   CellTags->"b:4.2.1"]},
 "c:19"->{
  Cell[368142, 9377, 193, 4, 60, "Subsection",ExpressionUUID->"3ba52dc1-143c-4dde-894c-6926ba410a1f",
   CellTags->{"c:19", "b:4.2.2"}]},
 "b:4.2.2"->{
  Cell[368142, 9377, 193, 4, 60, "Subsection",ExpressionUUID->"3ba52dc1-143c-4dde-894c-6926ba410a1f",
   CellTags->{"c:19", "b:4.2.2"}],
  Cell[368338, 9383, 192, 4, 23, "Text",ExpressionUUID->"11390e36-9c37-4d93-8671-6c9968c0e59c",
   CellTags->"b:4.2.2"],
  Cell[368533, 9389, 818, 22, 64, "Input",ExpressionUUID->"cf591b4c-95d9-4cfd-a8fe-457d4ea9cf79",
   CellTags->"b:4.2.2"],
  Cell[369354, 9413, 147, 2, 23, "Text",ExpressionUUID->"1d920084-c9de-4bd2-af9e-16ac245bdfb0",
   CellTags->"b:4.2.2"],
  Cell[369504, 9417, 1495, 38, 81, "Input",ExpressionUUID->"74742de8-3bb3-40b8-a086-158b4b4c5f1d",
   CellTags->"b:4.2.2"],
  Cell[371024, 9459, 163, 3, 48, "Input",ExpressionUUID->"eecd0652-2c39-40c5-a6bb-458bf2239b3c",
   CellTags->"b:4.2.2"],
  Cell[371190, 9464, 211, 5, 48, "Output",ExpressionUUID->"f1240f01-fdf3-4dd8-a0e0-99e66b6c27e8",
   CellTags->"b:4.2.2"]},
 "c:20"->{
  Cell[371450, 9475, 202, 4, 60, "Subsection",ExpressionUUID->"ad82473d-cd76-43c9-98cf-cd8208482c6c",
   CellTags->{"c:20", "b:4.2.3"}]},
 "b:4.2.3"->{
  Cell[371450, 9475, 202, 4, 60, "Subsection",ExpressionUUID->"ad82473d-cd76-43c9-98cf-cd8208482c6c",
   CellTags->{"c:20", "b:4.2.3"}],
  Cell[371655, 9481, 216, 5, 23, "Text",ExpressionUUID->"88ca9079-011a-4693-92f2-a68174fdf8e4",
   CellTags->"b:4.2.3"],
  Cell[371874, 9488, 732, 21, 46, "Input",ExpressionUUID->"f4864dde-e0e0-4df2-8079-62bd648e7568",
   CellTags->"b:4.2.3"],
  Cell[372609, 9511, 301, 6, 51, "Text",ExpressionUUID->"ecbf2be1-ba9e-4ded-83a8-ba7817658872",
   CellTags->"b:4.2.3"],
  Cell[372913, 9519, 487, 14, 68, "Input",ExpressionUUID->"63fbdf2d-83aa-43b3-a24e-bf126a79d96e",
   CellTags->"b:4.2.3"]},
 "c:21"->{
  Cell[373437, 9538, 203, 4, 60, "Subsection",ExpressionUUID->"81947057-35a2-4c49-a972-70133049c33a",
   CellTags->{"c:21", "b:4.2.4"}]},
 "b:4.2.4"->{
  Cell[373437, 9538, 203, 4, 60, "Subsection",ExpressionUUID->"81947057-35a2-4c49-a972-70133049c33a",
   CellTags->{"c:21", "b:4.2.4"}],
  Cell[373643, 9544, 224, 5, 51, "Text",ExpressionUUID->"79867d83-67bc-4a83-83b3-5eb6cb64a6d0",
   CellTags->"b:4.2.4"],
  Cell[373892, 9553, 1064, 34, 163, "Input",ExpressionUUID->"57dd9b2a-e96b-40b7-b6fa-5a12900282fc",
   CellTags->"b:4.2.4"],
  Cell[374959, 9589, 693, 23, 132, "Output",ExpressionUUID->"be810a5a-5125-4f16-b106-30ea8ffb7ed1",
   CellTags->"b:4.2.4"],
  Cell[375667, 9615, 188, 4, 23, "Text",ExpressionUUID->"96386795-1319-4b4e-b192-cb7538c42830",
   CellTags->"b:4.2.4"],
  Cell[375858, 9621, 944, 18, 51, "Input",ExpressionUUID->"aefcaaf8-954d-4cf1-a540-82972826d64b",
   CellTags->"b:4.2.4"]},
 "c:22"->{
  Cell[376839, 9644, 558, 14, 64, "Subsection",ExpressionUUID->"a50dd313-ccf3-4667-9e1b-33f98a36beb8",
   CellTags->{"c:22", "b:4.2.5"}]},
 "b:4.2.5"->{
  Cell[376839, 9644, 558, 14, 64, "Subsection",ExpressionUUID->"a50dd313-ccf3-4667-9e1b-33f98a36beb8",
   CellTags->{"c:22", "b:4.2.5"}],
  Cell[377400, 9660, 414, 8, 79, "Text",ExpressionUUID->"12e07d6a-5827-421f-a22c-690f3c6090e3",
   CellTags->"b:4.2.5"],
  Cell[377817, 9670, 182, 4, 48, "Input",ExpressionUUID->"9f0af6b6-4ded-4d1d-809a-9ac531d3592a",
   CellTags->"b:4.2.5"],
  Cell[378002, 9676, 723, 20, 51, "Input",ExpressionUUID->"250ea9ff-20d2-498f-8130-8588b3770c74",
   CellTags->"b:4.2.5"],
  Cell[378750, 9700, 378, 8, 68, "Input",ExpressionUUID->"0b339e40-34ee-4b7f-b422-2a671dde2d24",
   CellTags->"b:4.2.5"],
  Cell[379131, 9710, 464, 10, 24, "Print",ExpressionUUID->"83154764-3947-4031-a7d6-b7cdf2ff51d6",
   CellTags->"b:4.2.5"],
  Cell[379610, 9723, 342, 8, 23, "Text",ExpressionUUID->"e8ec4629-f6c0-4cdd-b889-9942724eced6",
   CellTags->"b:4.2.5"],
  Cell[379977, 9735, 157, 3, 48, "Input",ExpressionUUID->"e0335cfc-e330-4554-a345-947d32beef58",
   CellTags->"b:4.2.5"],
  Cell[380137, 9740, 8309, 170, 166, "Output",ExpressionUUID->"5f64e3f6-d37c-49b1-9305-56d348e4ca8e",
   CellTags->"b:4.2.5"]},
 "c:23"->{
  Cell[388495, 9916, 619, 15, 64, "Subsection",ExpressionUUID->"7db05852-d0ba-4f4a-b821-7cf4c26ee8dc",
   CellTags->{"c:23", "b:4.2.6"}]},
 "b:4.2.6"->{
  Cell[388495, 9916, 619, 15, 64, "Subsection",ExpressionUUID->"7db05852-d0ba-4f4a-b821-7cf4c26ee8dc",
   CellTags->{"c:23", "b:4.2.6"}],
  Cell[389117, 9933, 333, 7, 23, "Text",ExpressionUUID->"cafe047d-6251-436c-b82b-48d5525072bc",
   CellTags->"b:4.2.6"],
  Cell[389475, 9944, 2115, 62, 220, "Input",ExpressionUUID->"109def8d-ffe0-4aa7-b7f7-a1bfddf8003a",
   CellTags->"b:4.2.6"],
  Cell[391593, 10008, 209, 5, 48, "Output",ExpressionUUID->"bbc8361c-9af4-45ff-bce3-cc130b94bd42",
   CellTags->"b:4.2.6"],
  Cell[391805, 10015, 1129, 27, 166, "Output",ExpressionUUID->"6507c0ac-f8e5-4ad1-9420-f4c5adca3ad3",
   CellTags->"b:4.2.6"],
  Cell[392949, 10045, 192, 4, 23, "Text",ExpressionUUID->"16a9d34c-360a-4b1b-897d-8f373cc80e60",
   CellTags->"b:4.2.6"],
  Cell[393166, 10053, 407, 10, 68, "Input",ExpressionUUID->"359b0d39-a32e-4fd9-a09d-c8dfdc5e6a81",
   CellTags->"b:4.2.6"],
  Cell[393576, 10065, 8321, 174, 166, "Output",ExpressionUUID->"67997303-26ed-46c9-b43b-deacb791cfbb",
   CellTags->"b:4.2.6"],
  Cell[401900, 10241, 873, 25, 168, "Output",ExpressionUUID->"80c049f5-2995-4fa8-bf61-8e06b38379ab",
   CellTags->"b:4.2.6"]},
 "c:24"->{
  Cell[402822, 10272, 645, 15, 64, "Subsection",ExpressionUUID->"06006841-aa8a-4e68-b5d5-42c6675a0853",
   CellTags->{"c:24", "b:4.2.7"}]},
 "b:4.2.7"->{
  Cell[402822, 10272, 645, 15, 64, "Subsection",ExpressionUUID->"06006841-aa8a-4e68-b5d5-42c6675a0853",
   CellTags->{"c:24", "b:4.2.7"}],
  Cell[403470, 10289, 273, 6, 23, "Text",ExpressionUUID->"61a6b61d-b3da-41e1-9392-d434b8af4688",
   CellTags->"b:4.2.7"],
  Cell[403768, 10299, 195, 4, 48, "Input",ExpressionUUID->"1a7a75e7-76ae-482a-8706-1f0b8172fbf0",
   CellTags->"b:4.2.7"],
  Cell[403966, 10305, 945, 23, 166, "Output",ExpressionUUID->"0b8e7e94-0df8-405f-b71b-540d792ab688",
   CellTags->"b:4.2.7"],
  Cell[404926, 10331, 195, 3, 48, "Input",ExpressionUUID->"c32bba8d-2c5c-488c-b005-773e4d65aa90",
   CellTags->"b:4.2.7"]},
 "c:25"->{
  Cell[405170, 10340, 403, 8, 51, "Section",ExpressionUUID->"6016578f-9d19-420b-a4f7-9edb2e2ec91d",
   CellTags->"c:25"]},
 "b:4.3.0"->{
  Cell[405598, 10352, 163, 4, 60, "Subsection",ExpressionUUID->"c0d1fb9e-0f5e-47ab-b2c8-d08b068c4811",
   CellTags->{"c:3", "b:4.3.0"}],
  Cell[405764, 10358, 210, 5, 23, "Text",ExpressionUUID->"ce0ef085-cfcc-4a17-ab98-26e0b8636f76",
   CellTags->"b:4.3.0"],
  Cell[405999, 10367, 188, 3, 46, "Input",ExpressionUUID->"4f0a66c9-6f97-44a2-9866-35ce043a5849",
   CellTags->"b:4.3.0"],
  Cell[406190, 10372, 228, 3, 24, "Print",ExpressionUUID->"c8688a87-18c6-467b-b136-30d6706e959b",
   CellTags->"b:4.3.0"],
  Cell[406455, 10380, 167, 3, 46, "Input",ExpressionUUID->"58a3c2d3-d76e-4d57-8d92-0ce8d0196f74",
   CellTags->"b:4.3.0"],
  Cell[406625, 10385, 55895, 1254, 425, "Output",ExpressionUUID->"b021952e-ec15-40c0-a0a7-49836fab38dc",
   CellTags->"b:4.3.0"],
  Cell[462535, 11642, 174, 4, 46, "Input",ExpressionUUID->"0709c06c-8875-4f76-b506-1f4701919e22",
   CellTags->"b:4.3.0"],
  Cell[462734, 11650, 305, 7, 68, "Input",ExpressionUUID->"2e710912-6131-4ab8-b510-805690ef4687",
   CellTags->"b:4.3.0"],
  Cell[463042, 11659, 10884, 183, 194, "Output",ExpressionUUID->"c4345e6d-5087-4e13-9a2b-f5fb1fa843b8",
   CellTags->"b:4.3.0"],
  Cell[473941, 11845, 306, 7, 51, "Text",ExpressionUUID->"d2e2b798-c903-4f7a-92d4-9be9e635d516",
   CellTags->"b:4.3.0"],
  Cell[474250, 11854, 148, 3, 48, "Input",ExpressionUUID->"c39fbee0-cb97-4f54-9c19-63439d5c7431",
   CellTags->"b:4.3.0"]},
 "c:26"->{
  Cell[474435, 11862, 579, 14, 64, "Subsection",ExpressionUUID->"fc472658-8484-45fc-b649-8aa12cb7778d",
   CellTags->{"c:26", "b:4.3.1"}]},
 "b:4.3.1"->{
  Cell[474435, 11862, 579, 14, 64, "Subsection",ExpressionUUID->"fc472658-8484-45fc-b649-8aa12cb7778d",
   CellTags->{"c:26", "b:4.3.1"}],
  Cell[475017, 11878, 419, 8, 51, "Text",ExpressionUUID->"c2d1003b-dd1a-4293-8885-3088ae558a0c",
   CellTags->"b:4.3.1"],
  Cell[475439, 11888, 245, 5, 23, "Text",ExpressionUUID->"a4a70647-5680-4a3b-8d02-2437de05357f",
   CellTags->"b:4.3.1"],
  Cell[475687, 11895, 183, 4, 48, "Input",ExpressionUUID->"67932a2b-b4a5-4533-b9b2-2e2a166c4a60",
   CellTags->"b:4.3.1"],
  Cell[475895, 11903, 1040, 31, 48, "Input",ExpressionUUID->"3ac5f28c-2e6f-4a69-8831-b9a0831c8d10",
   CellTags->"b:4.3.1"],
  Cell[476938, 11936, 1167, 37, 90, "Output",ExpressionUUID->"16aa7fd4-faa8-48fc-bd26-e97ac0dc507b",
   CellTags->"b:4.3.1"],
  Cell[478120, 11976, 169, 2, 23, "Text",ExpressionUUID->"5fb302a4-4537-4236-966e-472a51718a08",
   CellTags->"b:4.3.1"],
  Cell[478314, 11982, 1094, 30, 125, "Input",ExpressionUUID->"a1ca7e1b-f4e4-4312-b36c-0deac34fb112",
   CellTags->"b:4.3.1"],
  Cell[479411, 12014, 1241, 39, 124, "Output",ExpressionUUID->"8c0ca1ab-4620-4cf5-b5b0-5da3d137dca5",
   CellTags->"b:4.3.1"],
  Cell[480655, 12055, 209, 5, 48, "Output",ExpressionUUID->"1cd104d1-3438-452a-bc7c-c8f110fbae7c",
   CellTags->"b:4.3.1"],
  Cell[480867, 12062, 209, 5, 48, "Output",ExpressionUUID->"3aa55618-cd8f-4d9d-a0bc-3ba4eb924827",
   CellTags->"b:4.3.1"],
  Cell[484442, 12181, 168, 2, 23, "Text",ExpressionUUID->"5d9cbdfe-75e0-4866-969c-fcb5d792312e",
   CellTags->"b:4.3.1"],
  Cell[484635, 12187, 1090, 29, 64, "Input",ExpressionUUID->"f9d52d45-6a5f-4bb3-98a4-1b6faca9f8ad",
   CellTags->"b:4.3.1"],
  Cell[485728, 12218, 218, 5, 48, "Output",ExpressionUUID->"66d9afbf-d9ee-4e5b-b1c8-48175a3886d9",
   CellTags->"b:4.3.1"],
  Cell[485961, 12226, 150, 2, 23, "Text",ExpressionUUID->"34989ca6-9844-4930-b215-95f36e80209b",
   CellTags->"b:4.3.1"],
  Cell[486136, 12232, 636, 16, 106, "Input",ExpressionUUID->"9b4ab895-6467-4e76-a98a-0080cdd7cf81",
   CellTags->"b:4.3.1"],
  Cell[486775, 12250, 669, 21, 98, "Output",ExpressionUUID->"258c24ed-1146-4dea-bbc6-eaa76a51aa76",
   CellTags->"b:4.3.1"],
  Cell[487447, 12273, 209, 5, 48, "Output",ExpressionUUID->"a40c46f4-2be0-4e83-8eb5-0901b5d6b1a0",
   CellTags->"b:4.3.1"],
  Cell[487659, 12280, 209, 5, 48, "Output",ExpressionUUID->"dc9a6332-8fe8-4af4-bcb6-46173f316db9",
   CellTags->"b:4.3.1"],
  Cell[487883, 12288, 135, 2, 23, "Text",ExpressionUUID->"2e9ecc5b-513a-4aca-9127-8981227a1bef",
   CellTags->"b:4.3.1"],
  Cell[488043, 12294, 740, 21, 46, "Input",ExpressionUUID->"f78b8866-1d5c-4bbe-89ff-05b2e4d2bfa0",
   CellTags->{"Do", "b:4.3.1"}],
  Cell[488786, 12317, 227, 6, 48, "Output",ExpressionUUID->"fce61408-21f9-4037-a6db-66167db85aff",
   CellTags->{"Do", "b:4.3.1"}]},
 "c:27"->{
  Cell[489062, 12329, 577, 14, 64, "Subsection",ExpressionUUID->"9f37e07b-f9a2-4978-b00f-d1a992b2fb8f",
   CellTags->{"c:27", "b:4.3.2"}]},
 "b:4.3.2"->{
  Cell[489062, 12329, 577, 14, 64, "Subsection",ExpressionUUID->"9f37e07b-f9a2-4978-b00f-d1a992b2fb8f",
   CellTags->{"c:27", "b:4.3.2"}],
  Cell[489642, 12345, 430, 12, 25, "Text",ExpressionUUID->"510e4364-76bb-4418-ab10-b1a4fd8f8d0e",
   CellTags->"b:4.3.2"],
  Cell[490097, 12361, 562, 14, 48, "Input",ExpressionUUID->"b0005a1e-d01f-400d-b665-61e80cdb9627",
   CellTags->"b:4.3.2"],
  Cell[490662, 12377, 943, 23, 166, "Output",ExpressionUUID->"1e842117-63d5-4dd5-ad3b-6935180d0ef8",
   CellTags->"b:4.3.2"],
  Cell[491620, 12403, 148, 2, 23, "Text",ExpressionUUID->"d54e2589-f9e2-4704-b142-7754efb684c5",
   CellTags->"b:4.3.2"],
  Cell[491793, 12409, 323, 7, 68, "Input",ExpressionUUID->"62ab7abc-bcc1-422a-a265-38f80107b863",
   CellTags->"b:4.3.2"],
  Cell[492119, 12418, 11962, 200, 248, "Output",ExpressionUUID->"d55d3d53-6050-4e92-b339-1ad86176a4cf",
   CellTags->"b:4.3.2"],
  Cell[504096, 12621, 478, 13, 46, "Input",ExpressionUUID->"ad402df1-6bc8-4e67-b9f2-130875fdec9e",
   CellTags->"b:4.3.2"],
  Cell[504577, 12636, 883, 21, 41, "Text",ExpressionUUID->"3cf317b4-9f00-4abd-b3b6-1ea410fdba40",
   CellTags->"b:4.3.2"],
  Cell[505463, 12659, 542, 16, 46, "Input",ExpressionUUID->"cc08c3e7-82b8-4b5a-8e5a-f08d91c34bd1",
   CellTags->"b:4.3.2"],
  Cell[506008, 12677, 141, 2, 23, "Text",ExpressionUUID->"aaa091da-2e89-47d6-86d7-7a4a27b582e8",
   CellTags->"b:4.3.2"],
  Cell[506174, 12683, 132, 2, 48, "Input",ExpressionUUID->"d2d8121c-4e2b-45a7-ba1a-27ddd2abbb87",
   CellTags->"b:4.3.2"],
  Cell[506309, 12687, 1042, 27, 182, "Output",ExpressionUUID->"89401af6-5320-47d2-a601-5902bd328054",
   CellTags->"b:4.3.2"],
  Cell[507366, 12717, 308, 7, 107, "Text",ExpressionUUID->"3d12c8d9-9a76-44ae-9413-55ebfaa65822",
   CellTags->"b:4.3.2"],
  Cell[507699, 12728, 5630, 218, 303, "Input",ExpressionUUID->"ac73dbc8-526d-4b0e-827b-86880ba762e6",
   CellTags->"b:4.3.2"],
  Cell[513332, 12948, 654, 20, 80, "Output",ExpressionUUID->"5854f709-8c64-4f24-8304-ee0487c35fbf",
   CellTags->"b:4.3.2"],
  Cell[513989, 12970, 656, 20, 80, "Output",ExpressionUUID->"0314cc55-daa8-437e-b5ac-fe33faca5e18",
   CellTags->"b:4.3.2"],
  Cell[514648, 12992, 654, 20, 80, "Output",ExpressionUUID->"b52f84e0-5fa4-49d0-aabc-fd254c6f472e",
   CellTags->"b:4.3.2"],
  Cell[515305, 13014, 635, 18, 80, "Output",ExpressionUUID->"3a000e36-4371-489a-b434-159842d43e27",
   CellTags->"b:4.3.2"],
  Cell[515943, 13034, 633, 18, 80, "Output",ExpressionUUID->"455fc2d7-83f2-4070-adbc-0dc428e4d7fc",
   CellTags->"b:4.3.2"],
  Cell[516579, 13054, 633, 18, 80, "Output",ExpressionUUID->"bd651e2b-e0ed-4c39-b79f-6927602dc287",
   CellTags->"b:4.3.2"],
  Cell[517215, 13074, 2095, 58, 82, "Output",ExpressionUUID->"89e94b31-ff11-425d-abf1-557c07c0a58d",
   CellTags->"b:4.3.2"]},
 "c:28"->{
  Cell[519359, 13138, 561, 14, 64, "Subsection",ExpressionUUID->"72ceb29e-34b4-4888-916d-9c2b0dbba13a",
   CellTags->{"c:28", "b:4.3.3"}]},
 "b:4.3.3"->{
  Cell[519359, 13138, 561, 14, 64, "Subsection",ExpressionUUID->"72ceb29e-34b4-4888-916d-9c2b0dbba13a",
   CellTags->{"c:28", "b:4.3.3"}],
  Cell[519923, 13154, 634, 23, 25, "Text",ExpressionUUID->"26f10e94-b936-47a1-b893-cff03897fc1b",
   CellTags->"b:4.3.3"],
  Cell[520560, 13179, 703, 27, 46, "Input",ExpressionUUID->"d990bf79-b3b8-46dc-9119-c925b9a90b52",
   CellTags->"b:4.3.3"],
  Cell[521266, 13208, 286, 6, 24, "Text",ExpressionUUID->"8835c775-fea1-4fcc-8732-e5d8b65c788d",
   CellTags->"b:4.3.3"],
  Cell[521577, 13218, 252, 8, 46, "Input",ExpressionUUID->"69956825-f280-41f3-943d-96f24e9e9e81",
   CellTags->"b:4.3.3"],
  Cell[521832, 13228, 212, 5, 48, "Output",ExpressionUUID->"1cc7ab46-e879-496e-912d-572a81b18fa6",
   CellTags->"b:4.3.3"],
  Cell[522059, 13236, 283, 6, 24, "Text",ExpressionUUID->"8c11991b-5f89-4c11-a29f-71b7b6a144f0",
   CellTags->"b:4.3.3"],
  Cell[522367, 13246, 607, 23, 64, "Input",ExpressionUUID->"e647f133-33d0-4b58-b68c-f6003a47694b",
   CellTags->"b:4.3.3"],
  Cell[522977, 13271, 211, 5, 48, "Output",ExpressionUUID->"8e9b10eb-7489-4ca1-971e-d53bcefe0d8c",
   CellTags->"b:4.3.3"],
  Cell[523191, 13278, 211, 5, 48, "Output",ExpressionUUID->"8c7c2424-b2f3-405c-a364-f3773bfab705",
   CellTags->"b:4.3.3"],
  Cell[523439, 13288, 1058, 32, 64, "Input",ExpressionUUID->"437cb3d2-722f-4ae1-9bb5-69a49256e102",
   CellTags->{"Do", "b:4.3.3"}],
  Cell[524500, 13322, 227, 6, 48, "Output",ExpressionUUID->"bf6f7623-172a-4deb-80cd-eb6ea34c41f6",
   CellTags->{"Do", "b:4.3.3"}]},
 "c:29"->{
  Cell[524776, 13334, 625, 15, 64, "Subsection",ExpressionUUID->"37173967-c841-45b6-aa04-d5fee4239a15",
   CellTags->{"c:29", "b:4.3.4"}]},
 "b:4.3.4"->{
  Cell[524776, 13334, 625, 15, 64, "Subsection",ExpressionUUID->"37173967-c841-45b6-aa04-d5fee4239a15",
   CellTags->{"c:29", "b:4.3.4"}],
  Cell[525404, 13351, 189, 4, 23, "Text",ExpressionUUID->"165ed1b6-266a-493f-a184-4b122881a2ab",
   CellTags->"b:4.3.4"],
  Cell[525596, 13357, 453, 12, 48, "Input",ExpressionUUID->"11faea9b-799b-4d61-b5f3-25b2354db19a",
   CellTags->"b:4.3.4"],
  Cell[526052, 13371, 213, 5, 23, "Text",ExpressionUUID->"c83f2c23-705c-435e-8a23-6fa2424a9bed",
   CellTags->"b:4.3.4"],
  Cell[526290, 13380, 640, 18, 81, "Input",ExpressionUUID->"ad2ae813-4db6-4310-acc9-5725a9bea923",
   CellTags->"b:4.3.4"],
  Cell[526933, 13400, 209, 5, 48, "Output",ExpressionUUID->"b2f3e869-4e43-468e-82a3-38a9931f8690",
   CellTags->"b:4.3.4"],
  Cell[527145, 13407, 211, 5, 48, "Output",ExpressionUUID->"c8101355-7858-46f1-b6c8-8522705877af",
   CellTags->"b:4.3.4"],
  Cell[527393, 13417, 874, 24, 64, "Input",ExpressionUUID->"4bbe0391-23c0-419b-9825-efa5b6854676",
   CellTags->"b:4.3.4"],
  Cell[528270, 13443, 218, 5, 48, "Output",ExpressionUUID->"1b38d3cb-53f5-41c7-b705-1f2cacdae547",
   CellTags->"b:4.3.4"],
  Cell[528525, 13453, 191, 4, 46, "Input",ExpressionUUID->"32770a26-6c91-4940-a6ed-5ba31e163982",
   CellTags->"b:4.3.4"],
  Cell[528719, 13459, 212, 5, 48, "Output",ExpressionUUID->"4f83672a-4230-4582-8f84-9120a5292462",
   CellTags->"b:4.3.4"],
  Cell[528946, 13467, 749, 14, 51, "Input",ExpressionUUID->"bf5c876e-4143-40b1-94e1-9967e2c7c7f9",
   CellTags->"b:4.3.4"],
  Cell[529698, 13483, 191, 4, 23, "Text",ExpressionUUID->"87e8c5ca-5dcb-4d32-bd42-bbfd8e1e3829",
   CellTags->"b:4.3.4"],
  Cell[529892, 13489, 677, 20, 48, "Input",ExpressionUUID->"b58b404e-6c52-4fd4-bfe9-2a48b8390116",
   CellTags->"b:4.3.4"],
  Cell[530572, 13511, 209, 5, 51, "Text",ExpressionUUID->"0bb0dec9-09ad-4d89-821c-060adb315567",
   CellTags->"b:4.3.4"],
  Cell[530806, 13520, 566, 17, 144, "Input",ExpressionUUID->"a3445c8f-f1dd-4e82-bb15-5145453ce34c",
   CellTags->"b:4.3.4"],
  Cell[531375, 13539, 209, 5, 48, "Output",ExpressionUUID->"e1756dda-0742-424d-82c9-73812f84b784",
   CellTags->"b:4.3.4"],
  Cell[531587, 13546, 209, 5, 48, "Output",ExpressionUUID->"d5d730d6-85f7-41b4-81f0-d131962e23f7",
   CellTags->"b:4.3.4"],
  Cell[531799, 13553, 211, 5, 48, "Output",ExpressionUUID->"6ca3b8af-fe5a-49fe-955a-906dae633053",
   CellTags->"b:4.3.4"]},
 "c:30"->{
  Cell[532059, 13564, 585, 14, 64, "Subsection",ExpressionUUID->"45cd8cfc-afe8-46e6-a372-7f4857e29904",
   CellTags->{"c:30", "b:4.3.5"}]},
 "b:4.3.5"->{
  Cell[532059, 13564, 585, 14, 64, "Subsection",ExpressionUUID->"45cd8cfc-afe8-46e6-a372-7f4857e29904",
   CellTags->{"c:30", "b:4.3.5"}],
  Cell[532647, 13580, 241, 5, 51, "Text",ExpressionUUID->"9ec36fd9-d887-4045-ac5d-dc8c5f7a9a33",
   CellTags->"b:4.3.5"],
  Cell[532913, 13589, 351, 8, 68, "Input",ExpressionUUID->"8159a79f-21ba-4ff9-b187-e8ca64f35049",
   CellTags->"b:4.3.5"],
  Cell[533267, 13599, 1327, 41, 124, "Output",ExpressionUUID->"f15035c3-0d08-4091-aed2-b4908fc413f9",
   CellTags->"b:4.3.5"],
  Cell[534597, 13642, 211, 5, 48, "Output",ExpressionUUID->"3eb31751-af1c-4072-983f-0c1c293ba050",
   CellTags->"b:4.3.5"],
  Cell[534823, 13650, 259, 5, 51, "Text",ExpressionUUID->"87587cb7-cad6-485e-89e4-fd6ceef74912",
   CellTags->"b:4.3.5"],
  Cell[535085, 13657, 443, 10, 51, "Input",ExpressionUUID->"3779b963-ba6b-4729-96fc-6775db0d5a08",
   CellTags->"b:4.3.5"],
  Cell[535553, 13671, 3601, 130, 205, "Input",ExpressionUUID->"4b72887e-c53d-463c-a80c-6f18b21e61f9",
   CellTags->"b:4.3.5"],
  Cell[539157, 13803, 675, 19, 98, "Output",ExpressionUUID->"8c28f4e6-1aa3-432c-b448-a546a8aa0e58",
   CellTags->"b:4.3.5"],
  Cell[539869, 13827, 291, 7, 48, "Input",ExpressionUUID->"2fc9f3af-c4d3-4916-a9e4-ac79517286fc",
   CellTags->"b:4.3.5"],
  Cell[540163, 13836, 1327, 41, 124, "Output",ExpressionUUID->"95aa4de2-07dd-40fe-9d13-8bf1a39d26ae",
   CellTags->"b:4.3.5"]},
 "c:31"->{
  Cell[541539, 13883, 608, 15, 64, "Subsection",ExpressionUUID->"ea3a9804-b689-4970-a260-0b172a99dd70",
   CellTags->{"c:31", "b:4.3.6"}]},
 "b:4.3.6"->{
  Cell[541539, 13883, 608, 15, 64, "Subsection",ExpressionUUID->"ea3a9804-b689-4970-a260-0b172a99dd70",
   CellTags->{"c:31", "b:4.3.6"}],
  Cell[542172, 13902, 223, 5, 48, "Input",ExpressionUUID->"bb9d93c0-14e7-4e9c-94f1-beffdf8e2bf4",
   CellTags->"b:4.3.6"],
  Cell[542398, 13909, 675, 19, 98, "Output",ExpressionUUID->"a9f72c09-0464-40b8-8b57-2b3e12a1965d",
   CellTags->"b:4.3.6"],
  Cell[543088, 13931, 107, 1, 48, "Input",ExpressionUUID->"461f3348-fbd7-4601-8008-d1c2e512220c",
   CellTags->"b:4.3.6"]},
 "c:32"->{
  Cell[543244, 13938, 432, 8, 74, "Section",ExpressionUUID->"3dc4a9a4-cd80-4503-89ab-15db81dbefc0",
   CellTags->"c:32"],
  Cell[634162, 16352, 139, 3, 51, "Section",ExpressionUUID->"501c0aa1-2742-4363-a176-cf813bb78f56",
   CellTags->{"c:32", "b:4.5"}]},
 "b:4.4.0"->{
  Cell[543701, 13950, 163, 4, 60, "Subsection",ExpressionUUID->"febadfb5-76c0-4781-9718-d3166f45049b",
   CellTags->{"c:3", "b:4.4.0"}],
  Cell[543867, 13956, 193, 3, 23, "Text",ExpressionUUID->"d7dc5295-5da7-4b3a-9f4e-46ecdabee8ea",
   CellTags->"b:4.4.0"],
  Cell[544085, 13963, 188, 3, 46, "Input",ExpressionUUID->"d374e8c5-e77a-4673-a243-aa22653336ba",
   CellTags->"b:4.4.0"],
  Cell[544276, 13968, 228, 3, 24, "Print",ExpressionUUID->"470b499b-e34b-4b16-8e53-84108acb6cd7",
   CellTags->"b:4.4.0"],
  Cell[544541, 13976, 167, 3, 46, "Input",ExpressionUUID->"0c0427a5-5f1c-468c-ab1d-f5f10adbf3f1",
   CellTags->"b:4.4.0"],
  Cell[544711, 13981, 55893, 1254, 425, "Output",ExpressionUUID->"a7f49cd2-0294-4fbc-97b4-4e77dd32dcfe",
   CellTags->"b:4.4.0"],
  Cell[600619, 15238, 270, 5, 23, "Text",ExpressionUUID->"f7f332e5-c8c3-4618-aba2-a27383a85a8e",
   CellTags->"b:4.4.0"],
  Cell[600892, 15245, 146, 3, 48, "Input",ExpressionUUID->"d26b8eaf-4eb5-41ed-a01c-42a1b8086eb7",
   CellTags->"b:4.4.0"]},
 "c:33"->{
  Cell[601075, 15253, 243, 7, 60, "Subsection",ExpressionUUID->"dc19356b-4c99-49b9-a060-4e0876b4b09f",
   CellTags->{"c:33", "b:4.4.1"}]},
 "b:4.4.1"->{
  Cell[601075, 15253, 243, 7, 60, "Subsection",ExpressionUUID->"dc19356b-4c99-49b9-a060-4e0876b4b09f",
   CellTags->{"c:33", "b:4.4.1"}],
  Cell[601321, 15262, 331, 10, 52, "Input",ExpressionUUID->"907f96b1-0d3a-4ef6-b8a6-a587d6e451d3",
   CellTags->"b:4.4.1"],
  Cell[601655, 15274, 274, 6, 51, "Text",ExpressionUUID->"5f8d466f-e081-489d-95fc-08feb812f8be",
   CellTags->"b:4.4.1"],
  Cell[601932, 15282, 148, 3, 48, "Input",ExpressionUUID->"d667920a-2cdd-4ec4-a939-a671dd297e36",
   CellTags->"b:4.4.1"],
  Cell[602105, 15289, 478, 13, 64, "Input",ExpressionUUID->"f65c718e-59ca-4a7f-84ff-a651dae29880",
   CellTags->"b:4.4.1"],
  Cell[602586, 15304, 641, 19, 64, "Output",ExpressionUUID->"637b2772-477e-424c-acf1-bda1133bf2ed",
   CellTags->"b:4.4.1"],
  Cell[603242, 15326, 252, 5, 51, "Text",ExpressionUUID->"8997e41e-6aae-44b7-a3de-afabf53a36e2",
   CellTags->"b:4.4.1"],
  Cell[603519, 15335, 1044, 31, 106, "Input",ExpressionUUID->"7515b203-0b99-41f5-a9b6-7d88860a0ba6",
   CellTags->"b:4.4.1"],
  Cell[604566, 15368, 711, 21, 68, "Output",ExpressionUUID->"38a2da9e-dc91-477c-a34d-409279b6ecac",
   CellTags->"b:4.4.1"],
  Cell[605280, 15391, 787, 23, 102, "Output",ExpressionUUID->"a62cebf0-73b5-42ff-9152-9f2b65d68a55",
   CellTags->"b:4.4.1"],
  Cell[606104, 15419, 973, 25, 87, "Input",ExpressionUUID->"859055e6-398d-407a-a5e1-167f42a280d2",
   CellTags->"b:4.4.1"],
  Cell[607080, 15446, 1043, 27, 182, "Output",ExpressionUUID->"f43da724-21b5-4ee0-9dcb-b6100b5dd762",
   CellTags->"b:4.4.1"],
  Cell[608138, 15476, 173, 2, 23, "Text",ExpressionUUID->"ea573db1-291a-4183-8053-fd467a9137c2",
   CellTags->"b:4.4.1"],
  Cell[608314, 15480, 338, 8, 48, "Input",ExpressionUUID->"7f20bdcb-4d22-447e-95b0-d35f1b6ef79c",
   CellTags->"b:4.4.1"]},
 "c:34"->{
  Cell[608689, 15493, 212, 5, 60, "Subsection",ExpressionUUID->"327e0299-ef55-4db9-b5cf-081ab76bf28d",
   CellTags->{"c:34", "b:4.4.2"}]},
 "b:4.4.2"->{
  Cell[608689, 15493, 212, 5, 60, "Subsection",ExpressionUUID->"327e0299-ef55-4db9-b5cf-081ab76bf28d",
   CellTags->{"c:34", "b:4.4.2"}],
  Cell[608904, 15500, 240, 5, 23, "Text",ExpressionUUID->"a28f87eb-a841-4dc1-b084-fb709fbbbfc1",
   CellTags->"b:4.4.2"],
  Cell[609147, 15507, 1231, 32, 64, "Input",ExpressionUUID->"a0dbd956-8b2f-49d9-b60c-2e798e335101",
   CellTags->"b:4.4.2"]},
 "c:35"->{
  Cell[610415, 15544, 202, 4, 60, "Subsection",ExpressionUUID->"da2dbc6a-5f03-448c-a59d-b83d479de75c",
   CellTags->{"c:35", "b:4.4.3"}]},
 "b:4.4.3"->{
  Cell[610415, 15544, 202, 4, 60, "Subsection",ExpressionUUID->"da2dbc6a-5f03-448c-a59d-b83d479de75c",
   CellTags->{"c:35", "b:4.4.3"}],
  Cell[610620, 15550, 211, 5, 23, "Text",ExpressionUUID->"a74f71d8-12ea-4e53-892e-a66a236be92b",
   CellTags->"b:4.4.3"],
  Cell[610834, 15557, 574, 17, 46, "Input",ExpressionUUID->"c6c73b4c-c6db-4d5e-b75b-f79fa3f96abd",
   CellTags->"b:4.4.3"],
  Cell[611411, 15576, 229, 5, 51, "Text",ExpressionUUID->"c83e38ca-8daa-4f21-9564-50b7d9f73199",
   CellTags->"b:4.4.3"],
  Cell[611665, 15585, 421, 11, 68, "Input",ExpressionUUID->"9a248a79-b9f0-4373-bc70-560e474f466f",
   CellTags->"b:4.4.3"],
  Cell[612089, 15598, 282, 8, 49, "Output",ExpressionUUID->"0c2d88a7-b927-4369-8847-d57b40cbdadc",
   CellTags->"b:4.4.3"],
  Cell[612374, 15608, 338, 10, 51, "Output",ExpressionUUID->"a9a6c3d6-ab55-40e8-8a96-c27b0bad5e1a",
   CellTags->"b:4.4.3"]},
 "c:36"->{
  Cell[612761, 15624, 589, 14, 64, "Subsection",ExpressionUUID->"677a925f-ab71-4765-8c77-6f2ff354dd50",
   CellTags->{"c:36", "b:4.4.4"}]},
 "b:4.4.4"->{
  Cell[612761, 15624, 589, 14, 64, "Subsection",ExpressionUUID->"677a925f-ab71-4765-8c77-6f2ff354dd50",
   CellTags->{"c:36", "b:4.4.4"}],
  Cell[613353, 15640, 237, 5, 51, "Text",ExpressionUUID->"5ae224a4-e346-4098-bb42-1f17f16c542e",
   CellTags->"b:4.4.4"],
  Cell[613615, 15649, 299, 8, 48, "Input",ExpressionUUID->"f0195de9-d1ed-4dc8-9828-787be48e4d1d",
   CellTags->"b:4.4.4"],
  Cell[613917, 15659, 785, 23, 102, "Output",ExpressionUUID->"abcb680b-00c8-48e0-989a-e77649d345ae",
   CellTags->"b:4.4.4"],
  Cell[614717, 15685, 172, 2, 23, "Text",ExpressionUUID->"ffdec330-f1d0-4a6f-a900-21ac42f9e01b",
   CellTags->"b:4.4.4"],
  Cell[614914, 15691, 2346, 91, 165, "Input",ExpressionUUID->"5197a9c8-7ab3-4ced-960a-9f7286494557",
   CellTags->"b:4.4.4"],
  Cell[617263, 15784, 744, 23, 82, "Output",ExpressionUUID->"257d7bc4-5504-4081-a312-008e10929c95",
   CellTags->"b:4.4.4"],
  Cell[618010, 15809, 767, 24, 82, "Output",ExpressionUUID->"16f184e4-e1a0-4fd1-bb2d-19769fe9a60e",
   CellTags->"b:4.4.4"],
  Cell[618780, 15835, 2319, 67, 84, "Output",ExpressionUUID->"6a6a5910-0967-4fca-a3db-6d63b5ac3a02",
   CellTags->"b:4.4.4"],
  Cell[621114, 15905, 169, 2, 23, "Text",ExpressionUUID->"1bbbd444-06b9-4b8a-bfdc-b6ec77ec048d",
   CellTags->"b:4.4.4"],
  Cell[621308, 15911, 2365, 92, 165, "Input",ExpressionUUID->"bac116a0-395b-4e9d-9900-c3eebfeb71d3",
   CellTags->"b:4.4.4"],
  Cell[623676, 16005, 742, 23, 82, "Output",ExpressionUUID->"e2e15605-7b04-4de3-b1b5-9c888739e87a",
   CellTags->"b:4.4.4"],
  Cell[624421, 16030, 766, 24, 82, "Output",ExpressionUUID->"8c8f085b-1144-4ec2-81d1-f1e891097931",
   CellTags->"b:4.4.4"],
  Cell[625190, 16056, 2317, 67, 84, "Output",ExpressionUUID->"5d63ff9e-0b78-4762-8ac4-2121dd36118d",
   CellTags->"b:4.4.4"]},
 "c:37"->{
  Cell[627556, 16129, 223, 6, 60, "Subsection",ExpressionUUID->"42f17491-7fd1-4746-8719-b3fcc1e79703",
   CellTags->{"c:37", "b:4.4.5"}]},
 "b:4.4.5"->{
  Cell[627556, 16129, 223, 6, 60, "Subsection",ExpressionUUID->"42f17491-7fd1-4746-8719-b3fcc1e79703",
   CellTags->{"c:37", "b:4.4.5"}],
  Cell[627804, 16139, 1508, 51, 125, "Input",ExpressionUUID->"e8683245-a8bc-4bcc-860d-423ae8a8caed",
   CellTags->"b:4.4.5"],
  Cell[629315, 16192, 686, 20, 66, "Output",ExpressionUUID->"67d8ce49-0420-47b3-95ff-3aa5758d55fe",
   CellTags->"b:4.4.5"],
  Cell[630004, 16214, 1289, 41, 80, "Output",ExpressionUUID->"f8d34f8e-a5a4-421b-8c32-d92f4368ba80",
   CellTags->"b:4.4.5"],
  Cell[631296, 16257, 1289, 41, 80, "Output",ExpressionUUID->"66c1369a-0088-44e9-87c5-4b82d81bf655",
   CellTags->"b:4.4.5"],
  Cell[632588, 16300, 657, 19, 68, "Output",ExpressionUUID->"d63cff46-03b3-40f6-a8f8-ff6759aff7a3",
   CellTags->"b:4.4.5"],
  Cell[633248, 16321, 657, 19, 68, "Output",ExpressionUUID->"7f35b6ce-0be4-4c70-b5f5-6853ed190a94",
   CellTags->"b:4.4.5"],
  Cell[633920, 16343, 193, 3, 48, "Input",ExpressionUUID->"0513474e-829e-4746-b440-c656e279b639",
   CellTags->"b:4.4.5"]},
 "b:4.5"->{
  Cell[634162, 16352, 139, 3, 51, "Section",ExpressionUUID->"501c0aa1-2742-4363-a176-cf813bb78f56",
   CellTags->{"c:32", "b:4.5"}],
  Cell[634304, 16357, 1450, 40, 108, "Abstract",ExpressionUUID->"11d2ccdb-cf20-4480-9753-94e0b5e30625",
   CellTags->"b:4.5"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"c:1", 703486, 17807},
 {"c:2", 703610, 17810},
 {"c:3", 703737, 17813},
 {"b:4.0.0", 704565, 17826},
 {"b:2.0.0", 705561, 17843},
 {"b:4.0.1", 705694, 17846},
 {"Do", 709408, 17908},
 {"c:4", 711507, 17941},
 {"b:4.0.2", 711657, 17944},
 {"c:5", 715722, 18011},
 {"b:4.0.3", 715873, 18014},
 {"c:6", 718662, 18059},
 {"b:4.0.4", 718813, 18062},
 {"c:7", 721651, 18109},
 {"b:4.0.5", 721802, 18112},
 {"c:8", 726393, 18187},
 {"b:4.1.0", 726528, 18190},
 {"c:9", 727784, 18211},
 {"b:4.1.1", 727935, 18214},
 {"c:10", 730543, 18257},
 {"b:4.1.2", 730695, 18260},
 {"c:11", 731088, 18267},
 {"b:4.1.3", 731240, 18270},
 {"c:12", 732245, 18287},
 {"b:4.1.4", 732397, 18290},
 {"c:13", 732791, 18297},
 {"b:4.1.5", 732944, 18300},
 {"c:14", 734075, 18319},
 {"b:4.1.6", 734228, 18322},
 {"c:15", 735240, 18339},
 {"b:4.1.7", 735393, 18342},
 {"c:16", 737027, 18369},
 {"b:4.1.8", 737179, 18372},
 {"c:17", 738197, 18389},
 {"b:4.2.0", 738333, 18392},
 {"c:18", 739468, 18411},
 {"b:4.2.1", 739620, 18414},
 {"c:19", 742345, 18459},
 {"b:4.2.2", 742497, 18462},
 {"c:20", 743380, 18477},
 {"b:4.2.3", 743532, 18480},
 {"c:21", 744169, 18491},
 {"b:4.2.4", 744321, 18494},
 {"c:22", 745085, 18507},
 {"b:4.2.5", 745238, 18510},
 {"c:23", 746369, 18529},
 {"b:4.2.6", 746522, 18532},
 {"c:24", 747669, 18551},
 {"b:4.2.7", 747823, 18554},
 {"c:25", 748468, 18565},
 {"b:4.3.0", 748605, 18568},
 {"c:26", 749995, 18591},
 {"b:4.3.1", 750149, 18594},
 {"c:27", 752918, 18639},
 {"b:4.3.2", 753072, 18642},
 {"c:28", 755839, 18687},
 {"b:4.3.3", 755993, 18690},
 {"c:29", 757519, 18715},
 {"b:4.3.4", 757673, 18718},
 {"c:30", 760048, 18757},
 {"b:4.3.5", 760202, 18760},
 {"c:31", 761597, 18783},
 {"b:4.3.6", 761751, 18786},
 {"c:32", 762273, 18795},
 {"b:4.4.0", 762543, 18800},
 {"c:33", 763558, 18817},
 {"b:4.4.1", 763711, 18820},
 {"c:34", 765474, 18849},
 {"b:4.4.2", 765627, 18852},
 {"c:35", 766024, 18859},
 {"b:4.4.3", 766177, 18862},
 {"c:36", 767068, 18877},
 {"b:4.4.4", 767222, 18880},
 {"c:37", 768992, 18909},
 {"b:4.4.5", 769145, 18912},
 {"b:4.5", 770172, 18929}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 259, 6, 52, "Title",ExpressionUUID->"51c40a7a-3108-485e-b8a4-afa3c6c9b97e",
 CellTags->"c:1"],
Cell[807, 28, 117, 0, 35, "Subtitle",ExpressionUUID->"406f24ac-2604-4a54-968a-f26d4a710724"],
Cell[927, 30, 390, 9, 63, "Abstract",ExpressionUUID->"eb9e2a74-58e9-412c-b441-a9b6c8864ac0"],
Cell[1320, 41, 291, 4, 26, "Text",ExpressionUUID->"6619fa7f-79c9-44e0-98c7-4e513b8fa781"],
Cell[1614, 47, 164, 2, 26, "Text",ExpressionUUID->"727b9af9-9041-4edf-91dc-bb5b35256847"],
Cell[CellGroupData[{
Cell[1803, 53, 354, 7, 51, "Section",ExpressionUUID->"c382f1d1-c9dd-4abc-aecc-b8fa67043672",
 CellTags->"c:2"],
Cell[CellGroupData[{
Cell[2182, 64, 163, 4, 60, "Subsection",ExpressionUUID->"2784b85a-11e3-4617-b8fb-f0221e829d13",
 CellTags->{"c:3", "b:4.0.0"}],
Cell[2348, 70, 302, 5, 23, "Text",ExpressionUUID->"ae574cad-2990-4f2c-afe8-ce90600efdbb",
 CellTags->"b:4.0.0"],
Cell[2653, 77, 230, 4, 46, "Input",ExpressionUUID->"99c2528b-7eb7-49d7-a304-888681f9580e",
 CellTags->"b:2.0.0"],
Cell[CellGroupData[{
Cell[2908, 85, 167, 3, 46, "Input",ExpressionUUID->"46cdd1a8-c158-4354-bdde-00594a30ad73",
 CellTags->"b:4.0.0"],
Cell[3078, 90, 56903, 1276, 425, "Output",ExpressionUUID->"bdcc5069-19d4-40af-97bd-0b4945d32849",
 CellTags->"b:4.0.0"]
}, Open  ]],
Cell[59996, 1369, 324, 6, 23, "Text",ExpressionUUID->"a858011f-aba9-4fd4-83e3-9569ef8b6da8",
 CellTags->"b:4.0.0"],
Cell[CellGroupData[{
Cell[60345, 1379, 305, 7, 68, "Input",ExpressionUUID->"93e882d4-60bf-4950-a72c-dd7a1574c5e3",
 CellTags->"b:4.0.0"],
Cell[60653, 1388, 8427, 142, 150, "Output",ExpressionUUID->"2e4de5d0-ab56-4197-8014-45cdb847c1cd",
 CellTags->"b:4.0.0"]
}, Open  ]],
Cell[69095, 1533, 1121, 33, 56, "Text",ExpressionUUID->"9d27825e-c98b-4c0b-b759-801cd7f7448f",
 CellTags->"b:4.0.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[70253, 1571, 200, 4, 60, "Subsection",ExpressionUUID->"f6ccfab2-308a-4208-b3c5-8a9421a0a993",
 CellTags->{"c:3", "b:4.0.1"}],
Cell[70456, 1577, 508, 9, 79, "Text",ExpressionUUID->"bc3dda48-dc11-4398-8b5c-d1712486dcb9",
 Evaluatable->False,
 CellTags->"b:4.0.1"],
Cell[CellGroupData[{
Cell[70989, 1590, 797, 21, 87, "Input",ExpressionUUID->"810155c1-d54f-427f-9e16-6789fa7b06fb",
 CellTags->"b:4.0.1"],
Cell[71789, 1613, 273, 6, 61, "Output",ExpressionUUID->"69d6886a-4985-4ea7-a3f5-fdec630dd812",
 CellTags->"b:4.0.1"],
Cell[72065, 1621, 275, 6, 61, "Output",ExpressionUUID->"074b51b0-82d4-4d01-a9e2-ef09edb08c36",
 CellTags->"b:4.0.1"],
Cell[72343, 1629, 275, 6, 48, "Output",ExpressionUUID->"672a9fbd-cece-4fbe-873a-641bb5eba7a0",
 CellTags->"b:4.0.1"]
}, Open  ]],
Cell[72633, 1638, 222, 3, 23, "Text",ExpressionUUID->"f2ebbef3-0028-4188-9904-d7ef2aa9f35f",
 CellTags->"b:4.0.1"],
Cell[CellGroupData[{
Cell[72880, 1645, 285, 7, 82, "Input",ExpressionUUID->"b0d2c875-a209-4f50-a509-ddacd647ac3c",
 CellTags->"b:4.0.1"],
Cell[73168, 1654, 295, 7, 61, "Output",ExpressionUUID->"a8ff724a-fb91-46fe-9d2e-26f66fba806c",
 CellTags->"b:4.0.1"],
Cell[73466, 1663, 296, 7, 61, "Output",ExpressionUUID->"b0677a8f-583e-488e-ba86-346b98ac2279",
 CellTags->"b:4.0.1"],
Cell[73765, 1672, 295, 7, 48, "Output",ExpressionUUID->"dfa12266-8089-4b6a-9d7e-dbe78ace6158",
 CellTags->"b:4.0.1"]
}, Open  ]],
Cell[74075, 1682, 273, 5, 51, "Text",ExpressionUUID->"4dbb6bf9-8020-4be6-9ab2-583343ac8956",
 CellTags->"b:4.0.1"],
Cell[74351, 1689, 216, 4, 48, "Input",ExpressionUUID->"b334e3dc-3ebb-4425-be56-e8888e3dfeb7",
 CellTags->"b:4.0.1"],
Cell[CellGroupData[{
Cell[74592, 1697, 439, 12, 64, "Input",ExpressionUUID->"9d2b2fbc-97d9-41af-aeef-5100318dd7bc",
 CellTags->"b:4.0.1"],
Cell[75034, 1711, 828, 24, 93, "Output",ExpressionUUID->"30e991d9-20aa-4c95-94d5-4e563919572d",
 CellTags->"b:4.0.1"]
}, Open  ]],
Cell[75877, 1738, 234, 5, 51, "Text",ExpressionUUID->"60915a6b-5779-4793-aea9-971e4acc2de5",
 CellTags->"b:4.0.1"],
Cell[CellGroupData[{
Cell[76136, 1747, 918, 30, 48, "Input",ExpressionUUID->"bc83259b-da01-47fb-b3a0-fa82f56fdd0d",
 CellTags->"b:4.0.1"],
Cell[77057, 1779, 948, 25, 77, "Output",ExpressionUUID->"5ab02197-28ce-4bad-9d17-3dae54b6f8f6",
 CellTags->"b:4.0.1"]
}, Open  ]],
Cell[78020, 1807, 189, 4, 23, "Text",ExpressionUUID->"0648411b-e8e2-48a4-81b2-da913198abba",
 CellTags->"b:4.0.1"],
Cell[CellGroupData[{
Cell[78234, 1815, 384, 10, 51, "Input",ExpressionUUID->"be12c3c5-cdfd-4986-9d97-24ac221cd17e"],
Cell[78621, 1827, 235, 5, 61, "Output",ExpressionUUID->"af895d94-876f-4c18-acab-d4746bc56342"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78893, 1837, 765, 19, 48, "Input",ExpressionUUID->"4a15e27e-4774-4615-8d63-f671cc9f1444",
 CellTags->"b:4.0.1"],
Cell[79661, 1858, 208, 3, 24, "Print",ExpressionUUID->"9dc85571-2761-430a-9387-840dd4a14448",
 CellTags->"b:4.0.1"]
}, Open  ]],
Cell[79884, 1864, 177, 2, 23, "Text",ExpressionUUID->"41109691-da54-418b-9206-67f5b1b2635f",
 CellTags->"b:4.0.1"],
Cell[CellGroupData[{
Cell[80086, 1870, 876, 28, 84, "Input",ExpressionUUID->"b0f15764-fc0d-43b9-809d-11a42e311745",
 CellTags->"b:4.0.1"],
Cell[80965, 1900, 726, 20, 77, "Output",ExpressionUUID->"da13a970-972a-4b31-9dd8-7f5bae899729",
 CellTags->"b:4.0.1"],
Cell[81694, 1922, 260, 6, 61, "Output",ExpressionUUID->"093994f7-3216-4c4a-9a3f-d24052daa058",
 CellTags->"b:4.0.1"],
Cell[81957, 1930, 274, 6, 48, "Output",ExpressionUUID->"06951bf6-3469-47af-b809-98775710699c",
 CellTags->"b:4.0.1"]
}, Open  ]],
Cell[82246, 1939, 149, 2, 23, "Text",ExpressionUUID->"9e9df4ce-94ab-4aad-ad22-27c04a490564",
 CellTags->"b:4.0.1"],
Cell[CellGroupData[{
Cell[82420, 1945, 570, 15, 46, "Input",ExpressionUUID->"0aaff569-3207-4246-ba7a-1db50979cc6f",
 CellTags->{"Do", "b:4.0.1"}],
Cell[82993, 1962, 229, 4, 24, "Print",ExpressionUUID->"cc3ddccd-8070-40e5-a68e-5f1a89751c8a",
 CellTags->{"Do", "b:4.0.1"}],
Cell[83225, 1968, 232, 4, 24, "Print",ExpressionUUID->"a993b1aa-178f-463b-b116-a82a5f099d00",
 CellTags->{"Do", "b:4.0.1"}]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[83506, 1978, 186, 4, 60, "Subsection",ExpressionUUID->"d0c5d699-de19-4066-b904-c247eccd2b44",
 CellTags->{"c:4", "b:4.0.2"}],
Cell[83695, 1984, 276, 6, 51, "Text",ExpressionUUID->"bacf6100-3399-4b7b-8936-9a8175478616",
 CellTags->"b:4.0.2"],
Cell[CellGroupData[{
Cell[83996, 1994, 1256, 28, 106, "Input",ExpressionUUID->"03793eff-3027-4a3f-ad97-dada61274ab0",
 CellTags->"b:4.0.2"],
Cell[85255, 2024, 724, 20, 111, "Output",ExpressionUUID->"8286b8c6-8a45-4459-9ecd-56381e6ba2ee",
 CellTags->"b:4.0.2"],
Cell[85982, 2046, 722, 20, 111, "Output",ExpressionUUID->"02d0c70e-2d05-471a-b4ad-8056f6054379",
 CellTags->"b:4.0.2"],
Cell[86707, 2068, 722, 20, 111, "Output",ExpressionUUID->"be83f6af-b2a0-43dc-a74c-0ede931996c5",
 CellTags->"b:4.0.2"],
Cell[87432, 2090, 724, 20, 98, "Output",ExpressionUUID->"3e5ef79d-bb56-4713-99f8-ddf16846f344",
 CellTags->"b:4.0.2"]
}, Open  ]],
Cell[88171, 2113, 265, 6, 51, "Text",ExpressionUUID->"e10f6a1e-863c-4826-a258-e9b8536aea8f",
 CellTags->"b:4.0.2"],
Cell[88439, 2121, 395, 11, 46, "Input",ExpressionUUID->"3606cdd1-e1b5-47b8-9566-2f588d151492",
 CellTags->"b:4.0.2"],
Cell[88837, 2134, 264, 6, 23, "Text",ExpressionUUID->"d42d1680-743b-4f79-9544-f8083859d49b",
 CellTags->"b:4.0.2"],
Cell[CellGroupData[{
Cell[89126, 2144, 187, 4, 46, "Input",ExpressionUUID->"8ae2cc9b-79bf-4efc-83fe-01343a446598",
 CellTags->"b:4.0.2"],
Cell[89316, 2150, 1106, 38, 151, "Output",ExpressionUUID->"bb9a7a1c-c97e-4155-9851-b23d08447d5b",
 CellTags->"b:4.0.2"]
}, Open  ]],
Cell[90437, 2191, 300, 7, 51, "Text",ExpressionUUID->"33842a26-d969-4c51-a4df-b481ef0b7953",
 CellTags->"b:4.0.2"],
Cell[90740, 2200, 1463, 45, 121, "Input",ExpressionUUID->"de57a695-c298-4326-b0bb-65d243afa6f9",
 CellTags->"b:4.0.2"],
Cell[92206, 2247, 140, 2, 23, "Text",ExpressionUUID->"cc9da7d3-e674-4248-884d-0d57f1726012",
 CellTags->"b:4.0.2"],
Cell[CellGroupData[{
Cell[92371, 2253, 433, 14, 139, "Input",ExpressionUUID->"8fdb6823-6055-42ac-80f3-2bef9814ac8f",
 CellTags->"b:4.0.2"],
Cell[92807, 2269, 822, 24, 127, "Output",ExpressionUUID->"35eba15d-0ed2-4c43-b403-c42eea337dc8",
 CellTags->"b:4.0.2"],
Cell[93632, 2295, 824, 24, 127, "Output",ExpressionUUID->"bdb5da5f-1e3c-45d1-8ae9-b1cca3b679b2",
 CellTags->"b:4.0.2"],
Cell[94459, 2321, 868, 26, 127, "Output",ExpressionUUID->"fdb5e05d-010d-4b0b-b159-6c6a06858351",
 CellTags->"b:4.0.2"],
Cell[95330, 2349, 868, 26, 114, "Output",ExpressionUUID->"df25f0a6-347d-4f01-bdbf-a2ed0c8aeb1f",
 CellTags->"b:4.0.2"]
}, Open  ]],
Cell[96213, 2378, 388, 8, 79, "Text",ExpressionUUID->"3c3ba406-5229-4196-a779-f6d37f18b44f",
 CellTags->"b:4.0.2"],
Cell[96604, 2388, 240, 6, 48, "Input",ExpressionUUID->"c4bc23f5-2358-4ada-9644-15961635ecf7",
 CellTags->"b:4.0.2"],
Cell[CellGroupData[{
Cell[96869, 2398, 532, 14, 48, "Input",ExpressionUUID->"77d8e8d2-69da-48e4-9b5e-e8072c06203e",
 CellTags->"b:4.0.2"],
Cell[97404, 2414, 824, 24, 127, "Output",ExpressionUUID->"775b22c0-b00a-45d8-a411-f77ec22f4efc",
 CellTags->"b:4.0.2"]
}, Open  ]],
Cell[98243, 2441, 216, 5, 23, "Text",ExpressionUUID->"208b1fb6-ffe1-4918-8cbb-eaef1aa536f4",
 CellTags->"b:4.0.2"],
Cell[98462, 2448, 2278, 91, 99, "Input",ExpressionUUID->"27c86274-3919-42da-a464-5cdc752cc47f",
 CellTags->"b:4.0.2"],
Cell[100743, 2541, 164, 2, 23, "Text",ExpressionUUID->"6e3fd36a-f1c8-4018-8e1f-887d8b755245",
 CellTags->"b:4.0.2"],
Cell[CellGroupData[{
Cell[100932, 2547, 136, 1, 68, "Input",ExpressionUUID->"f7f471a5-1f37-455e-878f-36f3f1cdc99b",
 CellTags->"b:4.0.2"],
Cell[101071, 2550, 701, 21, 93, "Output",ExpressionUUID->"65b2b96d-c3d1-4634-b21e-e4553f163c6b",
 CellTags->"b:4.0.2"],
Cell[101775, 2573, 703, 21, 80, "Output",ExpressionUUID->"f922704d-10d6-42df-9710-cfb408eb130e",
 CellTags->"b:4.0.2"]
}, Open  ]],
Cell[102493, 2597, 154, 2, 23, "Text",ExpressionUUID->"ad9c9bd0-efc3-4215-a0ac-65d07aefec94",
 CellTags->"b:4.0.2"],
Cell[CellGroupData[{
Cell[102672, 2603, 174, 2, 48, "Input",ExpressionUUID->"46e837ef-8776-4fd4-be44-c268aa63008f",
 CellTags->"b:4.0.2"],
Cell[102849, 2607, 2178, 63, 95, "Output",ExpressionUUID->"f3e3c02b-60c3-4494-b95b-004e0c7c3c78",
 CellTags->"b:4.0.2"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[105076, 2676, 175, 4, 60, "Subsection",ExpressionUUID->"cec3cd6d-b79a-4a9d-90f6-9fec55ad3299",
 CellTags->{"c:5", "b:4.0.3"}],
Cell[105254, 2682, 273, 6, 51, "Text",ExpressionUUID->"28939984-2789-469a-9ec2-d0e71043f1a9",
 CellTags->"b:4.0.3"],
Cell[CellGroupData[{
Cell[105552, 2692, 478, 13, 48, "Input",ExpressionUUID->"b61cb808-d145-4898-9438-2922250f8b37",
 CellTags->"b:4.0.3"],
Cell[106033, 2707, 2179, 50, 179, "Output",ExpressionUUID->"7b5a3945-77f5-404a-98e2-effe1b3883a0",
 CellTags->"b:4.0.3"]
}, Open  ]],
Cell[108227, 2760, 149, 2, 23, "Text",ExpressionUUID->"45eb25e1-c55e-41de-8917-f7dea7f85f90",
 CellTags->"b:4.0.3"],
Cell[CellGroupData[{
Cell[108401, 2766, 252, 8, 46, "Input",ExpressionUUID->"147bbfba-8cdf-4a22-9d8f-515248eb94bf",
 CellTags->"b:4.0.3"],
Cell[108656, 2776, 258, 6, 61, "Output",ExpressionUUID->"4f542da3-d972-4717-85ae-1c8823e55910",
 CellTags->"b:4.0.3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[108951, 2787, 387, 14, 46, "Input",ExpressionUUID->"b4918a9c-d9ba-4e7e-a280-9aa8533beddb",
 CellTags->"b:4.0.3"],
Cell[109341, 2803, 258, 6, 61, "Output",ExpressionUUID->"9d9934cd-612f-4c87-9852-7727959f4d6b",
 CellTags->"b:4.0.3"]
}, Open  ]],
Cell[109614, 2812, 428, 12, 26, "Text",ExpressionUUID->"5bf1120c-f3a5-4bd1-9480-30b4bd48b22f",
 CellTags->"b:4.0.3"],
Cell[CellGroupData[{
Cell[110067, 2828, 444, 16, 46, "Input",ExpressionUUID->"89ea58ab-e609-4ec3-8862-f8b944b0b269",
 CellTags->"b:4.0.3"],
Cell[110514, 2846, 275, 6, 61, "Output",ExpressionUUID->"7fe802a0-dc2a-4976-a2b4-bd122b237ea5",
 CellTags->"b:4.0.3"]
}, Open  ]],
Cell[110804, 2855, 191, 4, 23, "Text",ExpressionUUID->"80a74e12-6f30-4b97-8f72-f3591c483664",
 CellTags->"b:4.0.3"],
Cell[CellGroupData[{
Cell[111020, 2863, 846, 26, 64, "Input",ExpressionUUID->"d37ad680-4708-4710-845a-c7799ced3320",
 CellTags->{"Do", "b:4.0.3"}],
Cell[111869, 2891, 232, 4, 24, "Print",ExpressionUUID->"34d44d11-b3f3-4970-90c2-bd5240aab38d",
 CellTags->{"Do", "b:4.0.3"}],
Cell[112104, 2897, 232, 4, 24, "Print",ExpressionUUID->"f0ea7332-c1a6-45b8-99be-44c282ba8b8b",
 CellTags->{"Do", "b:4.0.3"}],
Cell[112339, 2903, 232, 4, 24, "Print",ExpressionUUID->"90724519-57bd-4b5c-ac95-f62a3bd73bdd",
 CellTags->{"Do", "b:4.0.3"}],
Cell[112574, 2909, 232, 4, 24, "Print",ExpressionUUID->"1faeed79-e2af-40b7-9aa5-0353da425a62",
 CellTags->{"Do", "b:4.0.3"}],
Cell[112809, 2915, 232, 4, 24, "Print",ExpressionUUID->"504cce17-89b7-4bda-ab77-165acb870037",
 CellTags->{"Do", "b:4.0.3"}],
Cell[113044, 2921, 232, 4, 24, "Print",ExpressionUUID->"f3219271-f322-432b-ac2e-243720870f7a",
 CellTags->{"Do", "b:4.0.3"}],
Cell[113279, 2927, 232, 4, 24, "Print",ExpressionUUID->"ea9db46b-a9ab-42ff-9627-0fdd5a79072a",
 CellTags->{"Do", "b:4.0.3"}],
Cell[113514, 2933, 232, 4, 24, "Print",ExpressionUUID->"a046a970-164c-4cc5-9c9c-4f0b0e6add0b",
 CellTags->{"Do", "b:4.0.3"}]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[113795, 2943, 185, 4, 60, "Subsection",ExpressionUUID->"f312d627-e019-4fd6-acda-49ce9b58ea6c",
 CellTags->{"c:6", "b:4.0.4"}],
Cell[113983, 2949, 451, 11, 163, "Text",ExpressionUUID->"49699bf2-82d2-45ac-84b9-fabe9ad48df5",
 CellTags->"b:4.0.4"],
Cell[114437, 2962, 359, 8, 107, "Text",ExpressionUUID->"d32ddb78-9808-4ca0-a2de-313b7fc65abc",
 CellTags->"b:4.0.4"],
Cell[114799, 2972, 266, 5, 24, "Text",ExpressionUUID->"f6c0b7a7-9ab1-4bd4-94d0-ce77275c4595",
 CellTags->"b:4.0.4"],
Cell[115068, 2979, 572, 17, 46, "Input",ExpressionUUID->"b35f9f49-96f5-44e3-98c7-1a24134f1821",
 CellTags->"b:4.0.4"],
Cell[115643, 2998, 347, 8, 24, "Text",ExpressionUUID->"2fa42880-ef7c-4b53-8992-a3b543e71eb2",
 CellTags->"b:4.0.4"],
Cell[CellGroupData[{
Cell[116015, 3010, 449, 12, 64, "Input",ExpressionUUID->"e9fb251a-be32-4433-b797-adcb3e8c1696",
 CellTags->"b:4.0.4"],
Cell[116467, 3024, 278, 6, 61, "Output",ExpressionUUID->"d4440229-f166-4d3a-bece-88013f57c203",
 CellTags->"b:4.0.4"],
Cell[116748, 3032, 278, 6, 48, "Output",ExpressionUUID->"2ba74fdc-5b9a-4249-9da2-5822790b8d18",
 CellTags->"b:4.0.4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[117063, 3043, 724, 19, 46, "Input",ExpressionUUID->"4f0e06da-8835-444d-bdd9-0a9bd2d696ce",
 CellTags->"b:4.0.4"],
Cell[117790, 3064, 220, 3, 24, "Print",ExpressionUUID->"91ee4519-03dc-4c37-8678-6c232d2986b5",
 CellTags->"b:4.0.4"],
Cell[118013, 3069, 220, 3, 24, "Print",ExpressionUUID->"dc1999ef-a83d-4823-82bf-d758a05f93fe",
 CellTags->"b:4.0.4"],
Cell[118236, 3074, 218, 3, 24, "Print",ExpressionUUID->"b75741ba-3c0a-42d6-b30b-ceba378a6350",
 CellTags->"b:4.0.4"],
Cell[118457, 3079, 220, 3, 24, "Print",ExpressionUUID->"60bd3b9a-a793-42f5-b9e6-2d697032ad24",
 CellTags->"b:4.0.4"],
Cell[118680, 3084, 220, 3, 24, "Print",ExpressionUUID->"a04cbe4b-4a42-4549-881b-4f2517dbafff",
 CellTags->"b:4.0.4"],
Cell[118903, 3089, 220, 3, 24, "Print",ExpressionUUID->"f6c188ba-ecac-48d3-8c44-bcb31f35793f",
 CellTags->"b:4.0.4"],
Cell[119126, 3094, 218, 3, 24, "Print",ExpressionUUID->"9ba96082-a7e1-43c6-9076-ab23f5ae4f63",
 CellTags->"b:4.0.4"],
Cell[119347, 3099, 217, 3, 24, "Print",ExpressionUUID->"f2daf23c-1214-4e96-818c-0321b623152c",
 CellTags->"b:4.0.4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[119601, 3107, 191, 4, 46, "Input",ExpressionUUID->"87876524-189f-47e4-888c-835a63278797",
 CellTags->"b:4.0.4"],
Cell[119795, 3113, 258, 6, 61, "Output",ExpressionUUID->"0e6ef4b9-ab54-482e-9eea-963de75d3e46",
 CellTags->"b:4.0.4"]
}, Open  ]],
Cell[120068, 3122, 324, 8, 23, "Text",ExpressionUUID->"442bcc20-442d-4994-b1ab-2ceafcd9f5ca",
 CellTags->"b:4.0.4"],
Cell[120395, 3132, 517, 11, 51, "Input",ExpressionUUID->"db3ded93-0a04-4ef7-b18d-8bcfd727d987",
 CellTags->"b:4.0.4"],
Cell[120915, 3145, 582, 17, 102, "Input",ExpressionUUID->"49319879-35c2-4d54-91e5-7afa15f54326",
 CellTags->"b:4.0.4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[121534, 3167, 197, 4, 60, "Subsection",ExpressionUUID->"419cf674-ef73-4b92-9762-ebcec292172a",
 CellTags->{"c:7", "b:4.0.5"}],
Cell[121734, 3173, 615, 15, 82, "Text",ExpressionUUID->"84da22d3-1724-466a-a2b2-5ddfc87c3bb8",
 CellTags->"b:4.0.5"],
Cell[122352, 3190, 427, 13, 68, "Input",ExpressionUUID->"649e8488-f6d2-48ac-b773-8d4bcd15f380",
 CellTags->"b:4.0.5"],
Cell[122782, 3205, 526, 16, 51, "Input",ExpressionUUID->"27543ff4-1056-4889-8138-a71454df5a41",
 CellTags->"b:4.0.5"],
Cell[123311, 3223, 216, 5, 23, "Text",ExpressionUUID->"a6d0c994-ac7c-42c2-ac00-230ba426d2ac",
 CellTags->"b:4.0.5"],
Cell[CellGroupData[{
Cell[123552, 3232, 301, 8, 48, "Input",ExpressionUUID->"e8331696-3dd8-4edf-999c-938d7cf4403b",
 CellTags->"b:4.0.5"],
Cell[123856, 3242, 690, 18, 77, "Output",ExpressionUUID->"c4055eb0-d277-4ca1-81bb-547d40f1ca1c",
 CellTags->"b:4.0.5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[124583, 3265, 670, 18, 48, "Input",ExpressionUUID->"1e089c7b-8cd2-48e1-8a36-c9639d30ba2c",
 CellTags->"b:4.0.5"],
Cell[125256, 3285, 682, 18, 77, "Output",ExpressionUUID->"d2ef04e7-26ad-403d-a205-c7f7ec1cfece",
 CellTags->"b:4.0.5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[125975, 3308, 108, 1, 48, "Input",ExpressionUUID->"638b2d5f-741a-4f6e-8ce3-9eb1b29e1859",
 CellTags->"b:4.0.5"],
Cell[126086, 3311, 255, 6, 61, "Output",ExpressionUUID->"49bdf76d-205a-42e0-9d8f-da1e54da5ea5",
 CellTags->"b:4.0.5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[126378, 3322, 506, 13, 106, "Input",ExpressionUUID->"99738e4f-7fb7-4bfe-961f-0f74937c07ef",
 CellTags->"b:4.0.5"],
Cell[126887, 3337, 1117, 28, 77, "Output",ExpressionUUID->"7c461834-fad3-443f-ba0c-89ea9b8802a4",
 CellTags->"b:4.0.5"],
Cell[128007, 3367, 1117, 28, 77, "Output",ExpressionUUID->"4082119a-853c-4d92-a1ec-4870d20a0c68",
 CellTags->"b:4.0.5"],
Cell[129127, 3397, 1114, 26, 77, "Output",ExpressionUUID->"3607c4f7-9273-4e78-a7ff-47bdf9ee66ed",
 CellTags->"b:4.0.5"],
Cell[130244, 3425, 1112, 26, 64, "Output",ExpressionUUID->"01f7913c-9782-4716-bc79-07d8ba4406ec",
 CellTags->"b:4.0.5"]
}, Open  ]],
Cell[131371, 3454, 704, 16, 82, "Text",ExpressionUUID->"6f341791-556e-4be0-aa3e-52ea18f5343d",
 CellTags->"b:4.0.5"],
Cell[CellGroupData[{
Cell[132100, 3474, 283, 8, 48, "Input",ExpressionUUID->"16547f01-17fc-42c8-be19-e9a5be42a8bc",
 CellTags->"b:4.0.5"],
Cell[132386, 3484, 1119, 28, 77, "Output",ExpressionUUID->"428b1adf-1525-4ab3-b9ba-0492c0471822",
 CellTags->"b:4.0.5"]
}, Open  ]],
Cell[133520, 3515, 190, 4, 23, "Text",ExpressionUUID->"bd7cc41e-d299-4077-a972-d8e49a878994",
 CellTags->"b:4.0.5"],
Cell[CellGroupData[{
Cell[133735, 3523, 99, 1, 48, "Input",ExpressionUUID->"17e2aae3-5a1b-4f3a-b61a-731c32517b39",
 CellTags->"b:4.0.5"],
Cell[133837, 3526, 260, 6, 61, "Output",ExpressionUUID->"2a905feb-09be-4ac2-8986-e124ef1eb6f7",
 CellTags->"b:4.0.5"]
}, Open  ]],
Cell[134112, 3535, 188, 4, 23, "Text",ExpressionUUID->"a9ecc06f-aee0-45bc-b849-8f97bf3d1057",
 CellTags->"b:4.0.5"],
Cell[134303, 3541, 291, 7, 51, "Input",ExpressionUUID->"2718f74e-c44a-471f-a1bd-3d9ce9360557",
 CellTags->"b:4.0.5"],
Cell[134597, 3550, 177, 5, 51, "Text",ExpressionUUID->"c4153035-458a-477c-89a8-93a8c8c8b56c",
 CellTags->"b:4.0.5"],
Cell[134777, 3557, 1512, 27, 751, "Text",ExpressionUUID->"b0aee602-1449-49a1-9693-9adbcc948d60",
 CellTags->"b:4.0.5"],
Cell[CellGroupData[{
Cell[136314, 3588, 6052, 226, 193, "Input",ExpressionUUID->"e6148392-8fbb-449e-a05a-a1f151868d64",
 CellTags->"b:4.0.5"],
Cell[142369, 3816, 648, 18, 77, "Output",ExpressionUUID->"083e19da-490f-4237-84e6-058940e66c3e",
 CellTags->"b:4.0.5"],
Cell[143020, 3836, 648, 18, 77, "Output",ExpressionUUID->"7a5c617f-574a-40d7-8a93-1820d2098482",
 CellTags->"b:4.0.5"],
Cell[143671, 3856, 948, 25, 77, "Output",ExpressionUUID->"0b9137ee-06d7-426d-a59d-544ce12f4968",
 CellTags->"b:4.0.5"],
Cell[144622, 3883, 950, 25, 64, "Output",ExpressionUUID->"4cd82025-24f4-4eef-8b16-1058104f1984",
 CellTags->"b:4.0.5"]
}, Open  ]],
Cell[145587, 3911, 206, 5, 35, "DisplayText",ExpressionUUID->"f5898152-df9b-421b-b6d4-b381b30a5615",
 CellTags->"b:4.0.5"],
Cell[CellGroupData[{
Cell[145818, 3920, 632, 18, 48, "Input",ExpressionUUID->"95a7f602-39af-4a34-89b1-0cdb772c4784",
 CellTags->"b:4.0.5"],
Cell[146453, 3940, 825, 24, 93, "Output",ExpressionUUID->"c24d7317-243d-4b3b-af01-915cdc6e3c0b",
 CellTags->"b:4.0.5"]
}, Open  ]],
Cell[147293, 3967, 208, 5, 35, "DisplayText",ExpressionUUID->"de3199a9-6732-404b-9886-9b8fffcaa040",
 CellTags->"b:4.0.5"],
Cell[CellGroupData[{
Cell[147526, 3976, 162, 3, 48, "Input",ExpressionUUID->"23fb878a-2057-40e4-89af-b7652bdfa880",
 CellTags->"b:4.0.5"],
Cell[147691, 3981, 828, 24, 93, "Output",ExpressionUUID->"8d659b8e-8bd8-4e06-bf81-57b9d51e14a6",
 CellTags->"b:4.0.5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[148556, 4010, 241, 6, 48, "Input",ExpressionUUID->"3feaa2ef-7c06-4ada-89b6-6f69de478043"],
Cell[148800, 4018, 241, 6, 61, "Output",ExpressionUUID->"f7e97bb9-9a48-4bcb-a042-aab395d772e5"]
}, Open  ]],
Cell[149056, 4027, 180, 4, 48, "Input",ExpressionUUID->"d0bdabb0-2233-49e7-93ef-718f6eff298f"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[149285, 4037, 397, 8, 51, "Section",ExpressionUUID->"b2f3803c-66fd-478e-a128-b2a7f8e1d20e",
 CellTags->"c:8"],
Cell[CellGroupData[{
Cell[149707, 4049, 163, 4, 60, "Subsection",ExpressionUUID->"c72a84e3-cee2-41c3-9077-150bb8f0487e",
 CellTags->{"c:3", "b:4.1.0"}],
Cell[149873, 4055, 193, 3, 23, "Text",ExpressionUUID->"b5afc293-7873-414a-9195-443ae6bdb0ee",
 CellTags->"b:4.1.0"],
Cell[CellGroupData[{
Cell[150091, 4062, 188, 3, 46, "Input",ExpressionUUID->"f440d2f2-c24c-4d85-abd1-519970f78525",
 CellTags->"b:4.1.0"],
Cell[150282, 4067, 228, 3, 24, "Print",ExpressionUUID->"3733d131-f0df-45eb-8798-f1fad1c153b1",
 CellTags->"b:4.1.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[150547, 4075, 167, 3, 46, "Input",ExpressionUUID->"8387f976-343c-4adb-9469-53fc50e2b3bb",
 CellTags->"b:4.1.0"],
Cell[150717, 4080, 55893, 1254, 425, "Output",ExpressionUUID->"dbaf6a7f-8e5c-41f6-a67a-0e892666b9a2",
 CellTags->"b:4.1.0"]
}, Open  ]],
Cell[206625, 5337, 270, 5, 23, "Text",ExpressionUUID->"06bed90e-116e-4910-a1fe-93ab64ef98f6",
 CellTags->"b:4.1.0"],
Cell[206898, 5344, 146, 3, 48, "Input",ExpressionUUID->"baefc748-c564-4be4-af65-591a49e55f70",
 CellTags->"b:4.1.0"],
Cell[CellGroupData[{
Cell[207069, 5351, 309, 7, 68, "Input",ExpressionUUID->"f0727f66-4deb-45c6-bb4f-cf7fcc68dd82",
 CellTags->"b:4.1.0"],
Cell[207381, 5360, 13006, 217, 249, "Output",ExpressionUUID->"a97f7b59-30f9-440f-8b81-870f30190209",
 CellTags->"b:4.1.0"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[220436, 5583, 266, 7, 60, "Subsection",ExpressionUUID->"bf23e940-b2d3-4729-92c4-8243656583bb",
 CellTags->{"c:9", "b:4.1.1"}],
Cell[220705, 5592, 320, 6, 23, "Text",ExpressionUUID->"b3df7642-ea31-4149-9645-29a93a0a0f53",
 CellTags->"b:4.1.1"],
Cell[CellGroupData[{
Cell[221050, 5602, 137, 2, 48, "Input",ExpressionUUID->"954f4ca0-3349-49d8-8fa6-6feecd375878",
 CellTags->"b:4.1.1"],
Cell[221190, 5606, 895, 22, 64, "Output",ExpressionUUID->"0a4248d6-d24d-4695-b188-55106e5dd9fd",
 CellTags->"b:4.1.1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[222122, 5633, 2827, 78, 134, "Input",ExpressionUUID->"4c144ad7-511d-4e41-b79a-b27a3ba407a1",
 CellTags->"b:4.1.1"],
Cell[224952, 5713, 780, 23, 80, "Output",ExpressionUUID->"5126e8d8-5764-4eb4-b2e5-ed425df789d5",
 CellTags->"b:4.1.1"],
Cell[225735, 5738, 758, 22, 80, "Output",ExpressionUUID->"d30a4c5e-cd92-4e99-b9fb-19041bc1cf84",
 CellTags->"b:4.1.1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[226530, 5765, 389, 11, 48, "Input",ExpressionUUID->"f8e6e9a8-d907-4acc-a351-fe1f70e07cbd"],
Cell[226922, 5778, 922, 26, 80, "Output",ExpressionUUID->"4bb32d1b-cec2-41c8-8e18-30a064a03e0f"]
}, Open  ]],
Cell[227859, 5807, 300, 6, 23, "Text",ExpressionUUID->"b18bc9dc-bcb8-4987-8caf-8f241d04bb5d",
 CellTags->"b:4.1.1"],
Cell[CellGroupData[{
Cell[228184, 5817, 258, 5, 68, "Input",ExpressionUUID->"46f87c36-8567-4d15-ba7d-e1acdf0137b0",
 CellTags->"b:4.1.1"],
Cell[228445, 5824, 2301, 54, 98, "Output",ExpressionUUID->"3771325a-00a4-4328-a1bc-97889ba84d7f",
 CellTags->"b:4.1.1"],
Cell[230749, 5880, 744, 21, 98, "Output",ExpressionUUID->"49d29df9-24a9-4d75-99a9-2ee6a7f857ce",
 CellTags->"b:4.1.1"]
}, Open  ]],
Cell[231508, 5904, 263, 7, 23, "Text",ExpressionUUID->"28285b0d-5e4f-41fd-b7b7-aa89cad94c3a",
 CellTags->"b:4.1.1"],
Cell[CellGroupData[{
Cell[231796, 5915, 1207, 31, 106, "Input",ExpressionUUID->"1c9fa99d-7d55-4d9c-a257-ff844b0626e4",
 CellTags->"b:4.1.1"],
Cell[233006, 5948, 2443, 59, 334, "Output",ExpressionUUID->"a2687710-3330-4015-a45b-8c7a8c46f582",
 CellTags->"b:4.1.1"],
Cell[235452, 6009, 209, 5, 48, "Output",ExpressionUUID->"0e0d5aaa-84ed-4ea1-9a80-83a1b4407d95",
 CellTags->"b:4.1.1"]
}, Open  ]],
Cell[235676, 6017, 178, 2, 23, "Text",ExpressionUUID->"bbca576d-9782-490b-a15d-a8483f70c997",
 CellTags->"b:4.1.1"],
Cell[CellGroupData[{
Cell[235879, 6023, 483, 12, 68, "Input",ExpressionUUID->"3ba1dc8c-ce93-41d0-adec-66725d2d1033",
 CellTags->"b:4.1.1"],
Cell[236365, 6037, 292, 7, 48, "Output",ExpressionUUID->"1f308202-b115-42e2-a8d0-2e5de64b2052",
 CellTags->"b:4.1.1"]
}, Open  ]],
Cell[236672, 6047, 156, 2, 23, "Text",ExpressionUUID->"9d9ecb38-6224-4ea4-ac22-da9a4f5b1427",
 CellTags->"b:4.1.1"],
Cell[CellGroupData[{
Cell[236853, 6053, 859, 22, 46, "Input",ExpressionUUID->"07bb5431-3638-4999-b8e5-097eb3004a0e",
 CellTags->"b:4.1.1"],
Cell[237715, 6077, 162, 2, 24, "Print",ExpressionUUID->"e0caed7c-d222-45ed-a962-a8de671a85d5",
 CellTags->"b:4.1.1"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[237926, 6085, 193, 4, 60, "Subsection",ExpressionUUID->"c0bcab74-60c9-4572-85b3-f37598d43a56",
 CellTags->{"c:10", "b:4.1.2"}],
Cell[238122, 6091, 364, 8, 79, "Text",ExpressionUUID->"dfd8c13b-ede7-4993-a437-77d6f1dd0517",
 CellTags->"b:4.1.2"],
Cell[238489, 6101, 595, 17, 46, "Input",ExpressionUUID->"da4c98c5-2117-4f12-a89c-3229326a44e4",
 CellTags->"b:4.1.2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[239121, 6123, 202, 4, 60, "Subsection",ExpressionUUID->"12d46fbb-323b-4225-9a6f-dcb386cc935b",
 CellTags->{"c:11", "b:4.1.3"}],
Cell[239326, 6129, 216, 5, 23, "Text",ExpressionUUID->"0eeaefa7-b572-45da-aff0-847b0c5b58fc",
 CellTags->"b:4.1.3"],
Cell[CellGroupData[{
Cell[239567, 6138, 882, 30, 64, "Input",ExpressionUUID->"68ba37c6-b614-46c5-affa-3e26dbc7c0a6",
 CellTags->"b:4.1.3"],
Cell[240452, 6170, 211, 5, 48, "Output",ExpressionUUID->"03528eb5-af98-4c65-a324-96afa846db7d",
 CellTags->"b:4.1.3"]
}, Open  ]],
Cell[240678, 6178, 302, 7, 51, "Text",ExpressionUUID->"443b369e-726d-4d2b-ba36-32626dc28ab9",
 CellTags->"b:4.1.3"],
Cell[CellGroupData[{
Cell[241005, 6189, 369, 9, 68, "Input",ExpressionUUID->"d562ec6c-c684-4d87-a179-572d7a9c11b3",
 CellTags->"b:4.1.3"],
Cell[241377, 6200, 211, 5, 48, "Output",ExpressionUUID->"f6ed60d8-4d96-4969-9b6d-a9d78800c4b4",
 CellTags->"b:4.1.3"],
Cell[241591, 6207, 227, 5, 48, "Output",ExpressionUUID->"4e6adf3f-f66b-4fb1-a7cd-a40f87cdc2a9",
 CellTags->"b:4.1.3"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[241867, 6218, 199, 4, 60, "Subsection",ExpressionUUID->"c749c578-79c4-4c18-bc56-b9ed4c63947d",
 CellTags->{"c:12", "b:4.1.4"}],
Cell[242069, 6224, 243, 5, 23, "Text",ExpressionUUID->"faba93de-1014-4100-99f8-7537b61dd4ed",
 CellTags->"b:4.1.4"],
Cell[242315, 6231, 1337, 48, 51, "Input",ExpressionUUID->"082f81a8-3026-42a2-adc2-ee10b3c17952",
 CellTags->"b:4.1.4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[243689, 6284, 558, 14, 64, "Subsection",ExpressionUUID->"c15e7341-e1dd-4516-b7c4-11a1e8497478",
 CellTags->{"c:13", "b:4.1.5"}],
Cell[244250, 6300, 347, 7, 51, "Text",ExpressionUUID->"6dd55fb9-d502-45af-b2c4-44ec9d3c89a4",
 CellTags->"b:4.1.5"],
Cell[244600, 6309, 693, 19, 51, "Input",ExpressionUUID->"e0963b27-3998-4a79-96dc-7090b3b989d9",
 CellTags->"b:4.1.5"],
Cell[245296, 6330, 214, 5, 23, "Text",ExpressionUUID->"068b1120-f11e-4bb2-8c38-b38e46a9dfe9",
 CellTags->"b:4.1.5"],
Cell[CellGroupData[{
Cell[245535, 6339, 751, 23, 125, "Input",ExpressionUUID->"f8cd2baa-06b1-4e1d-958a-0ae117afb7f2",
 CellTags->"b:4.1.5"],
Cell[246289, 6364, 667, 21, 98, "Output",ExpressionUUID->"fd021388-6e64-4021-a946-1216ffe39bef",
 CellTags->"b:4.1.5"]
}, Open  ]],
Cell[246971, 6388, 244, 7, 23, "Text",ExpressionUUID->"54f265f1-d800-4aa6-8298-8616c154d392",
 CellTags->"b:4.1.5"],
Cell[CellGroupData[{
Cell[247240, 6399, 233, 5, 48, "Input",ExpressionUUID->"d467541c-a574-4740-8ed8-d5ef349951a5",
 CellTags->"b:4.1.5"],
Cell[247476, 6406, 2300, 54, 98, "Output",ExpressionUUID->"1458c8f7-c7bc-4bc0-879d-472605f65a98",
 CellTags->"b:4.1.5"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[249825, 6466, 619, 15, 64, "Subsection",ExpressionUUID->"cdd79a88-889e-439b-a084-abf7a8b4b8ea",
 CellTags->{"c:14", "b:4.1.6"}],
Cell[250447, 6483, 212, 5, 23, "Text",ExpressionUUID->"d1761e6e-7267-4e2f-822e-c9b6f347af54",
 CellTags->"b:4.1.6"],
Cell[CellGroupData[{
Cell[250684, 6492, 1488, 44, 163, "Input",ExpressionUUID->"02151a94-f85d-43fa-bc5c-f3bf3031b52c",
 CellTags->"b:4.1.6"],
Cell[252175, 6538, 675, 19, 98, "Output",ExpressionUUID->"d9866c43-9005-49b2-ae4d-d4f0abe46268",
 CellTags->"b:4.1.6"]
}, Open  ]],
Cell[252865, 6560, 278, 6, 23, "Text",ExpressionUUID->"d60bd19a-2e10-4b77-b7b8-457aeeed654d",
 CellTags->"b:4.1.6"],
Cell[CellGroupData[{
Cell[253168, 6570, 371, 8, 68, "Input",ExpressionUUID->"615c9fcd-f093-499e-a3fd-8c62c74f1e65",
 CellTags->"b:4.1.6"],
Cell[253542, 6580, 2300, 54, 98, "Output",ExpressionUUID->"79b07d45-c320-44c2-96e2-3cd2b3a4a4d2",
 CellTags->"b:4.1.6"],
Cell[255845, 6636, 745, 21, 98, "Output",ExpressionUUID->"9ae271c8-3630-46bd-b766-ba83cb366419",
 CellTags->"b:4.1.6"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[256639, 6663, 652, 16, 64, "Subsection",ExpressionUUID->"b7da26f1-cd47-4d86-89b8-c541f3a60ca1",
 CellTags->{"c:15", "b:4.1.7"}],
Cell[257294, 6681, 258, 5, 23, "Text",ExpressionUUID->"03d0879c-d629-4807-be6e-9e2dcf27d57c",
 CellTags->"b:4.1.7"],
Cell[CellGroupData[{
Cell[257577, 6690, 2366, 90, 165, "Input",ExpressionUUID->"f951c528-bedc-4182-a572-094b1fdb9e62",
 CellTags->"b:4.1.7"],
Cell[259946, 6782, 782, 23, 80, "Output",ExpressionUUID->"ed59737c-2949-4bc3-aad2-a49b3cd9cbc9",
 CellTags->"b:4.1.7"],
Cell[260731, 6807, 759, 22, 80, "Output",ExpressionUUID->"de791807-300c-4baf-92d7-98645dc72e68",
 CellTags->"b:4.1.7"],
Cell[261493, 6831, 2435, 67, 82, "Output",ExpressionUUID->"49e51967-0085-413c-893e-7af7036d159c",
 CellTags->"b:4.1.7"]
}, Open  ]],
Cell[263943, 6901, 192, 4, 23, "Text",ExpressionUUID->"313a67f4-49b3-4345-99bf-9420544f1b7f",
 CellTags->"b:4.1.7"],
Cell[CellGroupData[{
Cell[264160, 6909, 2482, 95, 165, "Input",ExpressionUUID->"ae4441a7-fce4-479a-b205-d45697ed00d9",
 CellTags->"b:4.1.7"],
Cell[266645, 7006, 780, 23, 80, "Output",ExpressionUUID->"ffd59fb4-fa6d-493a-ae36-f154d33ff19a",
 CellTags->"b:4.1.7"],
Cell[267428, 7031, 758, 22, 80, "Output",ExpressionUUID->"f3d51ecc-1fb8-4103-bf63-056bfc9a7fbf",
 CellTags->"b:4.1.7"],
Cell[268189, 7055, 2432, 67, 82, "Output",ExpressionUUID->"e4256d0f-6012-4779-9c68-81d44a9ed55a",
 CellTags->"b:4.1.7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[270658, 7127, 254, 8, 48, "Input",ExpressionUUID->"95e46b35-7b70-4d32-8183-982d005b12b0",
 CellTags->"b:4.1.7"],
Cell[270915, 7137, 675, 19, 98, "Output",ExpressionUUID->"ff9f9d66-f3cd-48dd-b8f5-fa8fdd9680a0",
 CellTags->"b:4.1.7"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[271639, 7162, 223, 6, 60, "Subsection",ExpressionUUID->"273370b1-c18f-436d-9554-ccd679e463c2",
 CellTags->{"c:16", "b:4.1.8"}],
Cell[CellGroupData[{
Cell[271887, 7172, 2076, 67, 144, "Input",ExpressionUUID->"7ad677f3-b98c-4946-8ddc-50df14d0f442",
 CellTags->"b:4.1.8"],
Cell[273966, 7241, 706, 19, 64, "Output",ExpressionUUID->"46578df6-8101-4e39-b4f9-d32cee78056f",
 CellTags->"b:4.1.8"],
Cell[274675, 7262, 691, 19, 64, "Output",ExpressionUUID->"844b4b36-bf1d-40b9-b395-569a1ac7de2d",
 CellTags->"b:4.1.8"],
Cell[275369, 7283, 607, 17, 64, "Output",ExpressionUUID->"67333fc5-da40-48b8-9ab8-3b6e349a4ae2",
 CellTags->"b:4.1.8"],
Cell[275979, 7302, 607, 17, 64, "Output",ExpressionUUID->"5a78ebfc-2b93-4425-baa1-ee732fe5b5f7",
 CellTags->"b:4.1.8"],
Cell[276589, 7321, 607, 17, 64, "Output",ExpressionUUID->"185c1c53-1b32-4d4a-b4d0-563e133e8bf3",
 CellTags->"b:4.1.8"],
Cell[277199, 7340, 609, 17, 64, "Output",ExpressionUUID->"3a82efb4-8031-4cfd-b127-fd59db7dd6b7",
 CellTags->"b:4.1.8"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[277869, 7364, 398, 8, 51, "Section",ExpressionUUID->"32a6521c-8024-426f-8f50-42ee2fcf7c90",
 CellTags->"c:17"],
Cell[CellGroupData[{
Cell[278292, 7376, 163, 4, 60, "Subsection",ExpressionUUID->"1fe074e8-3024-42d3-a278-cd2ca10a5b90",
 CellTags->{"c:3", "b:4.2.0"}],
Cell[278458, 7382, 193, 3, 23, "Text",ExpressionUUID->"3d627fec-473e-481a-a6c6-ee7578354323",
 CellTags->"b:4.2.0"],
Cell[278654, 7387, 188, 3, 46, "Input",ExpressionUUID->"f70d159a-9a4e-4974-8ee7-46623c2f9c20",
 CellTags->"b:4.2.0"],
Cell[CellGroupData[{
Cell[278867, 7394, 167, 3, 46, "Input",ExpressionUUID->"cbb67fb3-c6a6-4b35-b9c4-8f67843032c8",
 CellTags->"b:4.2.0"],
Cell[279037, 7399, 55895, 1254, 425, "Output",ExpressionUUID->"6d60d295-6ffe-45cd-a4d7-0cf343da86ea",
 CellTags->"b:4.2.0"]
}, Open  ]],
Cell[334947, 8656, 270, 5, 23, "Text",ExpressionUUID->"6750a886-c929-41cd-8647-3d385577c5e1",
 CellTags->"b:4.2.0"],
Cell[335220, 8663, 170, 4, 48, "Input",ExpressionUUID->"55ba9898-94f3-4bf7-8a8c-5722f8a5303a",
 CellTags->"b:4.2.0"],
Cell[CellGroupData[{
Cell[335415, 8671, 309, 7, 68, "Input",ExpressionUUID->"50abcc7f-fb89-4d11-89d5-ef08ec07ed5b",
 CellTags->"b:4.2.0"],
Cell[335727, 8680, 15650, 261, 286, "Output",ExpressionUUID->"dbd8b123-30fd-49ac-af0b-73c6cbf03423",
 CellTags->"b:4.2.0"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[351426, 8947, 222, 6, 60, "Subsection",ExpressionUUID->"7bde9ee7-9cbd-4305-8395-c232f4a05ad3",
 CellTags->{"c:18", "b:4.2.1"}],
Cell[351651, 8955, 270, 6, 51, "Text",ExpressionUUID->"4594c61f-62f2-4377-8a15-969077b52897",
 CellTags->"b:4.2.1"],
Cell[CellGroupData[{
Cell[351946, 8965, 265, 5, 48, "Input",ExpressionUUID->"12524360-9c33-4d8d-afe0-9b19af290c34",
 CellTags->"b:4.2.1"],
Cell[352214, 8972, 8316, 174, 166, "Output",ExpressionUUID->"1752b9b6-da3a-43c5-b387-907b49f9dd88",
 CellTags->"b:4.2.1"]
}, Open  ]],
Cell[360545, 9149, 164, 2, 23, "Text",ExpressionUUID->"18b8cc4f-3244-4fd9-b6aa-3835dac24cb5",
 CellTags->"b:4.2.1"],
Cell[CellGroupData[{
Cell[360734, 9155, 284, 6, 68, "Input",ExpressionUUID->"5a89a606-2da0-4a16-88b6-8a05bcc2d8c7",
 CellTags->"b:4.2.1"],
Cell[361021, 9163, 211, 5, 48, "Output",ExpressionUUID->"9f45de00-1ecf-4922-8f7c-5c25826cca26",
 CellTags->"b:4.2.1"],
Cell[361235, 9170, 228, 5, 48, "Output",ExpressionUUID->"ac544c18-7c96-43de-ad4c-9d8f550cd14b",
 CellTags->"b:4.2.1"]
}, Open  ]],
Cell[361478, 9178, 139, 2, 23, "Text",ExpressionUUID->"f1990f42-ada2-47d9-baf7-dcbb5d7c3892",
 CellTags->"b:4.2.1"],
Cell[CellGroupData[{
Cell[361642, 9184, 202, 4, 48, "Input",ExpressionUUID->"5f16e969-95fc-4cc2-8ce0-184d6748c8a9",
 CellTags->"b:4.2.1"],
Cell[361847, 9190, 871, 25, 168, "Output",ExpressionUUID->"eb5fcb0b-e78a-454c-98b6-041c203fce6e",
 CellTags->"b:4.2.1"]
}, Open  ]],
Cell[362733, 9218, 534, 13, 52, "Text",ExpressionUUID->"cf2f7140-9373-4c01-85c2-78348414e3ef",
 CellTags->"b:4.2.1"],
Cell[CellGroupData[{
Cell[363292, 9235, 1704, 44, 125, "Input",ExpressionUUID->"577c898f-6af2-4f53-b47b-1f8c9f8e212f",
 CellTags->"b:4.2.1"],
Cell[364999, 9281, 213, 5, 48, "Output",ExpressionUUID->"8f2d245d-0e32-4a3b-b8e5-6a7d74fc5cc6",
 CellTags->"b:4.2.1"],
Cell[365215, 9288, 211, 5, 48, "Output",ExpressionUUID->"85fc9db9-0412-45af-993a-d0b03ee71a1c",
 CellTags->"b:4.2.1"]
}, Open  ]],
Cell[365441, 9296, 173, 2, 23, "Text",ExpressionUUID->"0385d008-50b7-49f6-bfbc-10b2a176641b",
 CellTags->"b:4.2.1"],
Cell[CellGroupData[{
Cell[365639, 9302, 691, 18, 87, "Input",ExpressionUUID->"60a014e5-7802-4baf-9786-bada1fe3628c",
 CellTags->"b:4.2.1"],
Cell[366333, 9322, 307, 7, 48, "Output",ExpressionUUID->"57e6992d-cfef-43e7-b6ae-80015a375ac5",
 CellTags->"b:4.2.1"],
Cell[366643, 9331, 230, 5, 48, "Output",ExpressionUUID->"ae76329c-866d-43be-98ff-9849ff473c4c",
 CellTags->"b:4.2.1"]
}, Open  ]],
Cell[366888, 9339, 156, 2, 23, "Text",ExpressionUUID->"d79b0ec7-bb6b-4809-b263-0230c7f4fd8a",
 CellTags->"b:4.2.1"],
Cell[CellGroupData[{
Cell[367069, 9345, 857, 22, 46, "Input",ExpressionUUID->"f38134b7-442a-4cf3-985a-d2c4b46757bd",
 CellTags->"b:4.2.1"],
Cell[367929, 9369, 164, 2, 24, "Print",ExpressionUUID->"1b55c03d-a35b-4775-a7d1-a694fcf9ce09",
 CellTags->"b:4.2.1"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[368142, 9377, 193, 4, 60, "Subsection",ExpressionUUID->"3ba52dc1-143c-4dde-894c-6926ba410a1f",
 CellTags->{"c:19", "b:4.2.2"}],
Cell[368338, 9383, 192, 4, 23, "Text",ExpressionUUID->"11390e36-9c37-4d93-8671-6c9968c0e59c",
 CellTags->"b:4.2.2"],
Cell[368533, 9389, 818, 22, 64, "Input",ExpressionUUID->"cf591b4c-95d9-4cfd-a8fe-457d4ea9cf79",
 CellTags->"b:4.2.2"],
Cell[369354, 9413, 147, 2, 23, "Text",ExpressionUUID->"1d920084-c9de-4bd2-af9e-16ac245bdfb0",
 CellTags->"b:4.2.2"],
Cell[369504, 9417, 1495, 38, 81, "Input",ExpressionUUID->"74742de8-3bb3-40b8-a086-158b4b4c5f1d",
 CellTags->"b:4.2.2"],
Cell[CellGroupData[{
Cell[371024, 9459, 163, 3, 48, "Input",ExpressionUUID->"eecd0652-2c39-40c5-a6bb-458bf2239b3c",
 CellTags->"b:4.2.2"],
Cell[371190, 9464, 211, 5, 48, "Output",ExpressionUUID->"f1240f01-fdf3-4dd8-a0e0-99e66b6c27e8",
 CellTags->"b:4.2.2"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[371450, 9475, 202, 4, 60, "Subsection",ExpressionUUID->"ad82473d-cd76-43c9-98cf-cd8208482c6c",
 CellTags->{"c:20", "b:4.2.3"}],
Cell[371655, 9481, 216, 5, 23, "Text",ExpressionUUID->"88ca9079-011a-4693-92f2-a68174fdf8e4",
 CellTags->"b:4.2.3"],
Cell[371874, 9488, 732, 21, 46, "Input",ExpressionUUID->"f4864dde-e0e0-4df2-8079-62bd648e7568",
 CellTags->"b:4.2.3"],
Cell[372609, 9511, 301, 6, 51, "Text",ExpressionUUID->"ecbf2be1-ba9e-4ded-83a8-ba7817658872",
 CellTags->"b:4.2.3"],
Cell[372913, 9519, 487, 14, 68, "Input",ExpressionUUID->"63fbdf2d-83aa-43b3-a24e-bf126a79d96e",
 CellTags->"b:4.2.3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[373437, 9538, 203, 4, 60, "Subsection",ExpressionUUID->"81947057-35a2-4c49-a972-70133049c33a",
 CellTags->{"c:21", "b:4.2.4"}],
Cell[373643, 9544, 224, 5, 51, "Text",ExpressionUUID->"79867d83-67bc-4a83-83b3-5eb6cb64a6d0",
 CellTags->"b:4.2.4"],
Cell[CellGroupData[{
Cell[373892, 9553, 1064, 34, 163, "Input",ExpressionUUID->"57dd9b2a-e96b-40b7-b6fa-5a12900282fc",
 CellTags->"b:4.2.4"],
Cell[374959, 9589, 693, 23, 132, "Output",ExpressionUUID->"be810a5a-5125-4f16-b106-30ea8ffb7ed1",
 CellTags->"b:4.2.4"]
}, Open  ]],
Cell[375667, 9615, 188, 4, 23, "Text",ExpressionUUID->"96386795-1319-4b4e-b192-cb7538c42830",
 CellTags->"b:4.2.4"],
Cell[375858, 9621, 944, 18, 51, "Input",ExpressionUUID->"aefcaaf8-954d-4cf1-a540-82972826d64b",
 CellTags->"b:4.2.4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[376839, 9644, 558, 14, 64, "Subsection",ExpressionUUID->"a50dd313-ccf3-4667-9e1b-33f98a36beb8",
 CellTags->{"c:22", "b:4.2.5"}],
Cell[377400, 9660, 414, 8, 79, "Text",ExpressionUUID->"12e07d6a-5827-421f-a22c-690f3c6090e3",
 CellTags->"b:4.2.5"],
Cell[377817, 9670, 182, 4, 48, "Input",ExpressionUUID->"9f0af6b6-4ded-4d1d-809a-9ac531d3592a",
 CellTags->"b:4.2.5"],
Cell[378002, 9676, 723, 20, 51, "Input",ExpressionUUID->"250ea9ff-20d2-498f-8130-8588b3770c74",
 CellTags->"b:4.2.5"],
Cell[CellGroupData[{
Cell[378750, 9700, 378, 8, 68, "Input",ExpressionUUID->"0b339e40-34ee-4b7f-b422-2a671dde2d24",
 CellTags->"b:4.2.5"],
Cell[379131, 9710, 464, 10, 24, "Print",ExpressionUUID->"83154764-3947-4031-a7d6-b7cdf2ff51d6",
 CellTags->"b:4.2.5"]
}, Open  ]],
Cell[379610, 9723, 342, 8, 23, "Text",ExpressionUUID->"e8ec4629-f6c0-4cdd-b889-9942724eced6",
 CellTags->"b:4.2.5"],
Cell[CellGroupData[{
Cell[379977, 9735, 157, 3, 48, "Input",ExpressionUUID->"e0335cfc-e330-4554-a345-947d32beef58",
 CellTags->"b:4.2.5"],
Cell[380137, 9740, 8309, 170, 166, "Output",ExpressionUUID->"5f64e3f6-d37c-49b1-9305-56d348e4ca8e",
 CellTags->"b:4.2.5"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[388495, 9916, 619, 15, 64, "Subsection",ExpressionUUID->"7db05852-d0ba-4f4a-b821-7cf4c26ee8dc",
 CellTags->{"c:23", "b:4.2.6"}],
Cell[389117, 9933, 333, 7, 23, "Text",ExpressionUUID->"cafe047d-6251-436c-b82b-48d5525072bc",
 CellTags->"b:4.2.6"],
Cell[CellGroupData[{
Cell[389475, 9944, 2115, 62, 220, "Input",ExpressionUUID->"109def8d-ffe0-4aa7-b7f7-a1bfddf8003a",
 CellTags->"b:4.2.6"],
Cell[391593, 10008, 209, 5, 48, "Output",ExpressionUUID->"bbc8361c-9af4-45ff-bce3-cc130b94bd42",
 CellTags->"b:4.2.6"],
Cell[391805, 10015, 1129, 27, 166, "Output",ExpressionUUID->"6507c0ac-f8e5-4ad1-9420-f4c5adca3ad3",
 CellTags->"b:4.2.6"]
}, Open  ]],
Cell[392949, 10045, 192, 4, 23, "Text",ExpressionUUID->"16a9d34c-360a-4b1b-897d-8f373cc80e60",
 CellTags->"b:4.2.6"],
Cell[CellGroupData[{
Cell[393166, 10053, 407, 10, 68, "Input",ExpressionUUID->"359b0d39-a32e-4fd9-a09d-c8dfdc5e6a81",
 CellTags->"b:4.2.6"],
Cell[393576, 10065, 8321, 174, 166, "Output",ExpressionUUID->"67997303-26ed-46c9-b43b-deacb791cfbb",
 CellTags->"b:4.2.6"],
Cell[401900, 10241, 873, 25, 168, "Output",ExpressionUUID->"80c049f5-2995-4fa8-bf61-8e06b38379ab",
 CellTags->"b:4.2.6"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[402822, 10272, 645, 15, 64, "Subsection",ExpressionUUID->"06006841-aa8a-4e68-b5d5-42c6675a0853",
 CellTags->{"c:24", "b:4.2.7"}],
Cell[403470, 10289, 273, 6, 23, "Text",ExpressionUUID->"61a6b61d-b3da-41e1-9392-d434b8af4688",
 CellTags->"b:4.2.7"],
Cell[CellGroupData[{
Cell[403768, 10299, 195, 4, 48, "Input",ExpressionUUID->"1a7a75e7-76ae-482a-8706-1f0b8172fbf0",
 CellTags->"b:4.2.7"],
Cell[403966, 10305, 945, 23, 166, "Output",ExpressionUUID->"0b8e7e94-0df8-405f-b71b-540d792ab688",
 CellTags->"b:4.2.7"]
}, Open  ]],
Cell[404926, 10331, 195, 3, 48, "Input",ExpressionUUID->"c32bba8d-2c5c-488c-b005-773e4d65aa90",
 CellTags->"b:4.2.7"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[405170, 10340, 403, 8, 51, "Section",ExpressionUUID->"6016578f-9d19-420b-a4f7-9edb2e2ec91d",
 CellTags->"c:25"],
Cell[CellGroupData[{
Cell[405598, 10352, 163, 4, 60, "Subsection",ExpressionUUID->"c0d1fb9e-0f5e-47ab-b2c8-d08b068c4811",
 CellTags->{"c:3", "b:4.3.0"}],
Cell[405764, 10358, 210, 5, 23, "Text",ExpressionUUID->"ce0ef085-cfcc-4a17-ab98-26e0b8636f76",
 CellTags->"b:4.3.0"],
Cell[CellGroupData[{
Cell[405999, 10367, 188, 3, 46, "Input",ExpressionUUID->"4f0a66c9-6f97-44a2-9866-35ce043a5849",
 CellTags->"b:4.3.0"],
Cell[406190, 10372, 228, 3, 24, "Print",ExpressionUUID->"c8688a87-18c6-467b-b136-30d6706e959b",
 CellTags->"b:4.3.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[406455, 10380, 167, 3, 46, "Input",ExpressionUUID->"58a3c2d3-d76e-4d57-8d92-0ce8d0196f74",
 CellTags->"b:4.3.0"],
Cell[406625, 10385, 55895, 1254, 425, "Output",ExpressionUUID->"b021952e-ec15-40c0-a0a7-49836fab38dc",
 CellTags->"b:4.3.0"]
}, Open  ]],
Cell[462535, 11642, 174, 4, 46, "Input",ExpressionUUID->"0709c06c-8875-4f76-b506-1f4701919e22",
 CellTags->"b:4.3.0"],
Cell[CellGroupData[{
Cell[462734, 11650, 305, 7, 68, "Input",ExpressionUUID->"2e710912-6131-4ab8-b510-805690ef4687",
 CellTags->"b:4.3.0"],
Cell[463042, 11659, 10884, 183, 194, "Output",ExpressionUUID->"c4345e6d-5087-4e13-9a2b-f5fb1fa843b8",
 CellTags->"b:4.3.0"]
}, Open  ]],
Cell[473941, 11845, 306, 7, 51, "Text",ExpressionUUID->"d2e2b798-c903-4f7a-92d4-9be9e635d516",
 CellTags->"b:4.3.0"],
Cell[474250, 11854, 148, 3, 48, "Input",ExpressionUUID->"c39fbee0-cb97-4f54-9c19-63439d5c7431",
 CellTags->"b:4.3.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[474435, 11862, 579, 14, 64, "Subsection",ExpressionUUID->"fc472658-8484-45fc-b649-8aa12cb7778d",
 CellTags->{"c:26", "b:4.3.1"}],
Cell[475017, 11878, 419, 8, 51, "Text",ExpressionUUID->"c2d1003b-dd1a-4293-8885-3088ae558a0c",
 CellTags->"b:4.3.1"],
Cell[475439, 11888, 245, 5, 23, "Text",ExpressionUUID->"a4a70647-5680-4a3b-8d02-2437de05357f",
 CellTags->"b:4.3.1"],
Cell[475687, 11895, 183, 4, 48, "Input",ExpressionUUID->"67932a2b-b4a5-4533-b9b2-2e2a166c4a60",
 CellTags->"b:4.3.1"],
Cell[CellGroupData[{
Cell[475895, 11903, 1040, 31, 48, "Input",ExpressionUUID->"3ac5f28c-2e6f-4a69-8831-b9a0831c8d10",
 CellTags->"b:4.3.1"],
Cell[476938, 11936, 1167, 37, 90, "Output",ExpressionUUID->"16aa7fd4-faa8-48fc-bd26-e97ac0dc507b",
 CellTags->"b:4.3.1"]
}, Open  ]],
Cell[478120, 11976, 169, 2, 23, "Text",ExpressionUUID->"5fb302a4-4537-4236-966e-472a51718a08",
 CellTags->"b:4.3.1"],
Cell[CellGroupData[{
Cell[478314, 11982, 1094, 30, 125, "Input",ExpressionUUID->"a1ca7e1b-f4e4-4312-b36c-0deac34fb112",
 CellTags->"b:4.3.1"],
Cell[479411, 12014, 1241, 39, 124, "Output",ExpressionUUID->"8c0ca1ab-4620-4cf5-b5b0-5da3d137dca5",
 CellTags->"b:4.3.1"],
Cell[480655, 12055, 209, 5, 48, "Output",ExpressionUUID->"1cd104d1-3438-452a-bc7c-c8f110fbae7c",
 CellTags->"b:4.3.1"],
Cell[480867, 12062, 209, 5, 48, "Output",ExpressionUUID->"3aa55618-cd8f-4d9d-a0bc-3ba4eb924827",
 CellTags->"b:4.3.1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[481113, 12072, 348, 10, 68, "Input",ExpressionUUID->"47d0cbfd-67a7-4d42-b780-151836e11598"],
Cell[481464, 12084, 1736, 52, 130, "Output",ExpressionUUID->"5a11608f-2452-4402-8f14-5a097d657405"],
Cell[483203, 12138, 1224, 40, 124, "Output",ExpressionUUID->"576600eb-873d-4f97-913d-d9674d9f1951"]
}, Open  ]],
Cell[484442, 12181, 168, 2, 23, "Text",ExpressionUUID->"5d9cbdfe-75e0-4866-969c-fcb5d792312e",
 CellTags->"b:4.3.1"],
Cell[CellGroupData[{
Cell[484635, 12187, 1090, 29, 64, "Input",ExpressionUUID->"f9d52d45-6a5f-4bb3-98a4-1b6faca9f8ad",
 CellTags->"b:4.3.1"],
Cell[485728, 12218, 218, 5, 48, "Output",ExpressionUUID->"66d9afbf-d9ee-4e5b-b1c8-48175a3886d9",
 CellTags->"b:4.3.1"]
}, Open  ]],
Cell[485961, 12226, 150, 2, 23, "Text",ExpressionUUID->"34989ca6-9844-4930-b215-95f36e80209b",
 CellTags->"b:4.3.1"],
Cell[CellGroupData[{
Cell[486136, 12232, 636, 16, 106, "Input",ExpressionUUID->"9b4ab895-6467-4e76-a98a-0080cdd7cf81",
 CellTags->"b:4.3.1"],
Cell[486775, 12250, 669, 21, 98, "Output",ExpressionUUID->"258c24ed-1146-4dea-bbc6-eaa76a51aa76",
 CellTags->"b:4.3.1"],
Cell[487447, 12273, 209, 5, 48, "Output",ExpressionUUID->"a40c46f4-2be0-4e83-8eb5-0901b5d6b1a0",
 CellTags->"b:4.3.1"],
Cell[487659, 12280, 209, 5, 48, "Output",ExpressionUUID->"dc9a6332-8fe8-4af4-bcb6-46173f316db9",
 CellTags->"b:4.3.1"]
}, Open  ]],
Cell[487883, 12288, 135, 2, 23, "Text",ExpressionUUID->"2e9ecc5b-513a-4aca-9127-8981227a1bef",
 CellTags->"b:4.3.1"],
Cell[CellGroupData[{
Cell[488043, 12294, 740, 21, 46, "Input",ExpressionUUID->"f78b8866-1d5c-4bbe-89ff-05b2e4d2bfa0",
 CellTags->{"Do", "b:4.3.1"}],
Cell[488786, 12317, 227, 6, 48, "Output",ExpressionUUID->"fce61408-21f9-4037-a6db-66167db85aff",
 CellTags->{"Do", "b:4.3.1"}]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[489062, 12329, 577, 14, 64, "Subsection",ExpressionUUID->"9f37e07b-f9a2-4978-b00f-d1a992b2fb8f",
 CellTags->{"c:27", "b:4.3.2"}],
Cell[489642, 12345, 430, 12, 25, "Text",ExpressionUUID->"510e4364-76bb-4418-ab10-b1a4fd8f8d0e",
 CellTags->"b:4.3.2"],
Cell[CellGroupData[{
Cell[490097, 12361, 562, 14, 48, "Input",ExpressionUUID->"b0005a1e-d01f-400d-b665-61e80cdb9627",
 CellTags->"b:4.3.2"],
Cell[490662, 12377, 943, 23, 166, "Output",ExpressionUUID->"1e842117-63d5-4dd5-ad3b-6935180d0ef8",
 CellTags->"b:4.3.2"]
}, Open  ]],
Cell[491620, 12403, 148, 2, 23, "Text",ExpressionUUID->"d54e2589-f9e2-4704-b142-7754efb684c5",
 CellTags->"b:4.3.2"],
Cell[CellGroupData[{
Cell[491793, 12409, 323, 7, 68, "Input",ExpressionUUID->"62ab7abc-bcc1-422a-a265-38f80107b863",
 CellTags->"b:4.3.2"],
Cell[492119, 12418, 11962, 200, 248, "Output",ExpressionUUID->"d55d3d53-6050-4e92-b339-1ad86176a4cf",
 CellTags->"b:4.3.2"]
}, Open  ]],
Cell[504096, 12621, 478, 13, 46, "Input",ExpressionUUID->"ad402df1-6bc8-4e67-b9f2-130875fdec9e",
 CellTags->"b:4.3.2"],
Cell[504577, 12636, 883, 21, 41, "Text",ExpressionUUID->"3cf317b4-9f00-4abd-b3b6-1ea410fdba40",
 CellTags->"b:4.3.2"],
Cell[505463, 12659, 542, 16, 46, "Input",ExpressionUUID->"cc08c3e7-82b8-4b5a-8e5a-f08d91c34bd1",
 CellTags->"b:4.3.2"],
Cell[506008, 12677, 141, 2, 23, "Text",ExpressionUUID->"aaa091da-2e89-47d6-86d7-7a4a27b582e8",
 CellTags->"b:4.3.2"],
Cell[CellGroupData[{
Cell[506174, 12683, 132, 2, 48, "Input",ExpressionUUID->"d2d8121c-4e2b-45a7-ba1a-27ddd2abbb87",
 CellTags->"b:4.3.2"],
Cell[506309, 12687, 1042, 27, 182, "Output",ExpressionUUID->"89401af6-5320-47d2-a601-5902bd328054",
 CellTags->"b:4.3.2"]
}, Open  ]],
Cell[507366, 12717, 308, 7, 107, "Text",ExpressionUUID->"3d12c8d9-9a76-44ae-9413-55ebfaa65822",
 CellTags->"b:4.3.2"],
Cell[CellGroupData[{
Cell[507699, 12728, 5630, 218, 303, "Input",ExpressionUUID->"ac73dbc8-526d-4b0e-827b-86880ba762e6",
 CellTags->"b:4.3.2"],
Cell[513332, 12948, 654, 20, 80, "Output",ExpressionUUID->"5854f709-8c64-4f24-8304-ee0487c35fbf",
 CellTags->"b:4.3.2"],
Cell[513989, 12970, 656, 20, 80, "Output",ExpressionUUID->"0314cc55-daa8-437e-b5ac-fe33faca5e18",
 CellTags->"b:4.3.2"],
Cell[514648, 12992, 654, 20, 80, "Output",ExpressionUUID->"b52f84e0-5fa4-49d0-aabc-fd254c6f472e",
 CellTags->"b:4.3.2"],
Cell[515305, 13014, 635, 18, 80, "Output",ExpressionUUID->"3a000e36-4371-489a-b434-159842d43e27",
 CellTags->"b:4.3.2"],
Cell[515943, 13034, 633, 18, 80, "Output",ExpressionUUID->"455fc2d7-83f2-4070-adbc-0dc428e4d7fc",
 CellTags->"b:4.3.2"],
Cell[516579, 13054, 633, 18, 80, "Output",ExpressionUUID->"bd651e2b-e0ed-4c39-b79f-6927602dc287",
 CellTags->"b:4.3.2"],
Cell[517215, 13074, 2095, 58, 82, "Output",ExpressionUUID->"89e94b31-ff11-425d-abf1-557c07c0a58d",
 CellTags->"b:4.3.2"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[519359, 13138, 561, 14, 64, "Subsection",ExpressionUUID->"72ceb29e-34b4-4888-916d-9c2b0dbba13a",
 CellTags->{"c:28", "b:4.3.3"}],
Cell[519923, 13154, 634, 23, 25, "Text",ExpressionUUID->"26f10e94-b936-47a1-b893-cff03897fc1b",
 CellTags->"b:4.3.3"],
Cell[520560, 13179, 703, 27, 46, "Input",ExpressionUUID->"d990bf79-b3b8-46dc-9119-c925b9a90b52",
 CellTags->"b:4.3.3"],
Cell[521266, 13208, 286, 6, 24, "Text",ExpressionUUID->"8835c775-fea1-4fcc-8732-e5d8b65c788d",
 CellTags->"b:4.3.3"],
Cell[CellGroupData[{
Cell[521577, 13218, 252, 8, 46, "Input",ExpressionUUID->"69956825-f280-41f3-943d-96f24e9e9e81",
 CellTags->"b:4.3.3"],
Cell[521832, 13228, 212, 5, 48, "Output",ExpressionUUID->"1cc7ab46-e879-496e-912d-572a81b18fa6",
 CellTags->"b:4.3.3"]
}, Open  ]],
Cell[522059, 13236, 283, 6, 24, "Text",ExpressionUUID->"8c11991b-5f89-4c11-a29f-71b7b6a144f0",
 CellTags->"b:4.3.3"],
Cell[CellGroupData[{
Cell[522367, 13246, 607, 23, 64, "Input",ExpressionUUID->"e647f133-33d0-4b58-b68c-f6003a47694b",
 CellTags->"b:4.3.3"],
Cell[522977, 13271, 211, 5, 48, "Output",ExpressionUUID->"8e9b10eb-7489-4ca1-971e-d53bcefe0d8c",
 CellTags->"b:4.3.3"],
Cell[523191, 13278, 211, 5, 48, "Output",ExpressionUUID->"8c7c2424-b2f3-405c-a364-f3773bfab705",
 CellTags->"b:4.3.3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[523439, 13288, 1058, 32, 64, "Input",ExpressionUUID->"437cb3d2-722f-4ae1-9bb5-69a49256e102",
 CellTags->{"Do", "b:4.3.3"}],
Cell[524500, 13322, 227, 6, 48, "Output",ExpressionUUID->"bf6f7623-172a-4deb-80cd-eb6ea34c41f6",
 CellTags->{"Do", "b:4.3.3"}]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[524776, 13334, 625, 15, 64, "Subsection",ExpressionUUID->"37173967-c841-45b6-aa04-d5fee4239a15",
 CellTags->{"c:29", "b:4.3.4"}],
Cell[525404, 13351, 189, 4, 23, "Text",ExpressionUUID->"165ed1b6-266a-493f-a184-4b122881a2ab",
 CellTags->"b:4.3.4"],
Cell[525596, 13357, 453, 12, 48, "Input",ExpressionUUID->"11faea9b-799b-4d61-b5f3-25b2354db19a",
 CellTags->"b:4.3.4"],
Cell[526052, 13371, 213, 5, 23, "Text",ExpressionUUID->"c83f2c23-705c-435e-8a23-6fa2424a9bed",
 CellTags->"b:4.3.4"],
Cell[CellGroupData[{
Cell[526290, 13380, 640, 18, 81, "Input",ExpressionUUID->"ad2ae813-4db6-4310-acc9-5725a9bea923",
 CellTags->"b:4.3.4"],
Cell[526933, 13400, 209, 5, 48, "Output",ExpressionUUID->"b2f3e869-4e43-468e-82a3-38a9931f8690",
 CellTags->"b:4.3.4"],
Cell[527145, 13407, 211, 5, 48, "Output",ExpressionUUID->"c8101355-7858-46f1-b6c8-8522705877af",
 CellTags->"b:4.3.4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[527393, 13417, 874, 24, 64, "Input",ExpressionUUID->"4bbe0391-23c0-419b-9825-efa5b6854676",
 CellTags->"b:4.3.4"],
Cell[528270, 13443, 218, 5, 48, "Output",ExpressionUUID->"1b38d3cb-53f5-41c7-b705-1f2cacdae547",
 CellTags->"b:4.3.4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[528525, 13453, 191, 4, 46, "Input",ExpressionUUID->"32770a26-6c91-4940-a6ed-5ba31e163982",
 CellTags->"b:4.3.4"],
Cell[528719, 13459, 212, 5, 48, "Output",ExpressionUUID->"4f83672a-4230-4582-8f84-9120a5292462",
 CellTags->"b:4.3.4"]
}, Open  ]],
Cell[528946, 13467, 749, 14, 51, "Input",ExpressionUUID->"bf5c876e-4143-40b1-94e1-9967e2c7c7f9",
 CellTags->"b:4.3.4"],
Cell[529698, 13483, 191, 4, 23, "Text",ExpressionUUID->"87e8c5ca-5dcb-4d32-bd42-bbfd8e1e3829",
 CellTags->"b:4.3.4"],
Cell[529892, 13489, 677, 20, 48, "Input",ExpressionUUID->"b58b404e-6c52-4fd4-bfe9-2a48b8390116",
 CellTags->"b:4.3.4"],
Cell[530572, 13511, 209, 5, 51, "Text",ExpressionUUID->"0bb0dec9-09ad-4d89-821c-060adb315567",
 CellTags->"b:4.3.4"],
Cell[CellGroupData[{
Cell[530806, 13520, 566, 17, 144, "Input",ExpressionUUID->"a3445c8f-f1dd-4e82-bb15-5145453ce34c",
 CellTags->"b:4.3.4"],
Cell[531375, 13539, 209, 5, 48, "Output",ExpressionUUID->"e1756dda-0742-424d-82c9-73812f84b784",
 CellTags->"b:4.3.4"],
Cell[531587, 13546, 209, 5, 48, "Output",ExpressionUUID->"d5d730d6-85f7-41b4-81f0-d131962e23f7",
 CellTags->"b:4.3.4"],
Cell[531799, 13553, 211, 5, 48, "Output",ExpressionUUID->"6ca3b8af-fe5a-49fe-955a-906dae633053",
 CellTags->"b:4.3.4"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[532059, 13564, 585, 14, 64, "Subsection",ExpressionUUID->"45cd8cfc-afe8-46e6-a372-7f4857e29904",
 CellTags->{"c:30", "b:4.3.5"}],
Cell[532647, 13580, 241, 5, 51, "Text",ExpressionUUID->"9ec36fd9-d887-4045-ac5d-dc8c5f7a9a33",
 CellTags->"b:4.3.5"],
Cell[CellGroupData[{
Cell[532913, 13589, 351, 8, 68, "Input",ExpressionUUID->"8159a79f-21ba-4ff9-b187-e8ca64f35049",
 CellTags->"b:4.3.5"],
Cell[533267, 13599, 1327, 41, 124, "Output",ExpressionUUID->"f15035c3-0d08-4091-aed2-b4908fc413f9",
 CellTags->"b:4.3.5"],
Cell[534597, 13642, 211, 5, 48, "Output",ExpressionUUID->"3eb31751-af1c-4072-983f-0c1c293ba050",
 CellTags->"b:4.3.5"]
}, Open  ]],
Cell[534823, 13650, 259, 5, 51, "Text",ExpressionUUID->"87587cb7-cad6-485e-89e4-fd6ceef74912",
 CellTags->"b:4.3.5"],
Cell[535085, 13657, 443, 10, 51, "Input",ExpressionUUID->"3779b963-ba6b-4729-96fc-6775db0d5a08",
 CellTags->"b:4.3.5"],
Cell[CellGroupData[{
Cell[535553, 13671, 3601, 130, 205, "Input",ExpressionUUID->"4b72887e-c53d-463c-a80c-6f18b21e61f9",
 CellTags->"b:4.3.5"],
Cell[539157, 13803, 675, 19, 98, "Output",ExpressionUUID->"8c28f4e6-1aa3-432c-b448-a546a8aa0e58",
 CellTags->"b:4.3.5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[539869, 13827, 291, 7, 48, "Input",ExpressionUUID->"2fc9f3af-c4d3-4916-a9e4-ac79517286fc",
 CellTags->"b:4.3.5"],
Cell[540163, 13836, 1327, 41, 124, "Output",ExpressionUUID->"95aa4de2-07dd-40fe-9d13-8bf1a39d26ae",
 CellTags->"b:4.3.5"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[541539, 13883, 608, 15, 64, "Subsection",ExpressionUUID->"ea3a9804-b689-4970-a260-0b172a99dd70",
 CellTags->{"c:31", "b:4.3.6"}],
Cell[CellGroupData[{
Cell[542172, 13902, 223, 5, 48, "Input",ExpressionUUID->"bb9d93c0-14e7-4e9c-94f1-beffdf8e2bf4",
 CellTags->"b:4.3.6"],
Cell[542398, 13909, 675, 19, 98, "Output",ExpressionUUID->"a9f72c09-0464-40b8-8b57-2b3e12a1965d",
 CellTags->"b:4.3.6"]
}, Open  ]],
Cell[543088, 13931, 107, 1, 48, "Input",ExpressionUUID->"461f3348-fbd7-4601-8008-d1c2e512220c",
 CellTags->"b:4.3.6"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[543244, 13938, 432, 8, 74, "Section",ExpressionUUID->"3dc4a9a4-cd80-4503-89ab-15db81dbefc0",
 CellTags->"c:32"],
Cell[CellGroupData[{
Cell[543701, 13950, 163, 4, 60, "Subsection",ExpressionUUID->"febadfb5-76c0-4781-9718-d3166f45049b",
 CellTags->{"c:3", "b:4.4.0"}],
Cell[543867, 13956, 193, 3, 23, "Text",ExpressionUUID->"d7dc5295-5da7-4b3a-9f4e-46ecdabee8ea",
 CellTags->"b:4.4.0"],
Cell[CellGroupData[{
Cell[544085, 13963, 188, 3, 46, "Input",ExpressionUUID->"d374e8c5-e77a-4673-a243-aa22653336ba",
 CellTags->"b:4.4.0"],
Cell[544276, 13968, 228, 3, 24, "Print",ExpressionUUID->"470b499b-e34b-4b16-8e53-84108acb6cd7",
 CellTags->"b:4.4.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[544541, 13976, 167, 3, 46, "Input",ExpressionUUID->"0c0427a5-5f1c-468c-ab1d-f5f10adbf3f1",
 CellTags->"b:4.4.0"],
Cell[544711, 13981, 55893, 1254, 425, "Output",ExpressionUUID->"a7f49cd2-0294-4fbc-97b4-4e77dd32dcfe",
 CellTags->"b:4.4.0"]
}, Open  ]],
Cell[600619, 15238, 270, 5, 23, "Text",ExpressionUUID->"f7f332e5-c8c3-4618-aba2-a27383a85a8e",
 CellTags->"b:4.4.0"],
Cell[600892, 15245, 146, 3, 48, "Input",ExpressionUUID->"d26b8eaf-4eb5-41ed-a01c-42a1b8086eb7",
 CellTags->"b:4.4.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[601075, 15253, 243, 7, 60, "Subsection",ExpressionUUID->"dc19356b-4c99-49b9-a060-4e0876b4b09f",
 CellTags->{"c:33", "b:4.4.1"}],
Cell[601321, 15262, 331, 10, 52, "Input",ExpressionUUID->"907f96b1-0d3a-4ef6-b8a6-a587d6e451d3",
 CellTags->"b:4.4.1"],
Cell[601655, 15274, 274, 6, 51, "Text",ExpressionUUID->"5f8d466f-e081-489d-95fc-08feb812f8be",
 CellTags->"b:4.4.1"],
Cell[601932, 15282, 148, 3, 48, "Input",ExpressionUUID->"d667920a-2cdd-4ec4-a939-a671dd297e36",
 CellTags->"b:4.4.1"],
Cell[CellGroupData[{
Cell[602105, 15289, 478, 13, 64, "Input",ExpressionUUID->"f65c718e-59ca-4a7f-84ff-a651dae29880",
 CellTags->"b:4.4.1"],
Cell[602586, 15304, 641, 19, 64, "Output",ExpressionUUID->"637b2772-477e-424c-acf1-bda1133bf2ed",
 CellTags->"b:4.4.1"]
}, Open  ]],
Cell[603242, 15326, 252, 5, 51, "Text",ExpressionUUID->"8997e41e-6aae-44b7-a3de-afabf53a36e2",
 CellTags->"b:4.4.1"],
Cell[CellGroupData[{
Cell[603519, 15335, 1044, 31, 106, "Input",ExpressionUUID->"7515b203-0b99-41f5-a9b6-7d88860a0ba6",
 CellTags->"b:4.4.1"],
Cell[604566, 15368, 711, 21, 68, "Output",ExpressionUUID->"38a2da9e-dc91-477c-a34d-409279b6ecac",
 CellTags->"b:4.4.1"],
Cell[605280, 15391, 787, 23, 102, "Output",ExpressionUUID->"a62cebf0-73b5-42ff-9152-9f2b65d68a55",
 CellTags->"b:4.4.1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[606104, 15419, 973, 25, 87, "Input",ExpressionUUID->"859055e6-398d-407a-a5e1-167f42a280d2",
 CellTags->"b:4.4.1"],
Cell[607080, 15446, 1043, 27, 182, "Output",ExpressionUUID->"f43da724-21b5-4ee0-9dcb-b6100b5dd762",
 CellTags->"b:4.4.1"]
}, Open  ]],
Cell[608138, 15476, 173, 2, 23, "Text",ExpressionUUID->"ea573db1-291a-4183-8053-fd467a9137c2",
 CellTags->"b:4.4.1"],
Cell[608314, 15480, 338, 8, 48, "Input",ExpressionUUID->"7f20bdcb-4d22-447e-95b0-d35f1b6ef79c",
 CellTags->"b:4.4.1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[608689, 15493, 212, 5, 60, "Subsection",ExpressionUUID->"327e0299-ef55-4db9-b5cf-081ab76bf28d",
 CellTags->{"c:34", "b:4.4.2"}],
Cell[608904, 15500, 240, 5, 23, "Text",ExpressionUUID->"a28f87eb-a841-4dc1-b084-fb709fbbbfc1",
 CellTags->"b:4.4.2"],
Cell[609147, 15507, 1231, 32, 64, "Input",ExpressionUUID->"a0dbd956-8b2f-49d9-b60c-2e798e335101",
 CellTags->"b:4.4.2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[610415, 15544, 202, 4, 60, "Subsection",ExpressionUUID->"da2dbc6a-5f03-448c-a59d-b83d479de75c",
 CellTags->{"c:35", "b:4.4.3"}],
Cell[610620, 15550, 211, 5, 23, "Text",ExpressionUUID->"a74f71d8-12ea-4e53-892e-a66a236be92b",
 CellTags->"b:4.4.3"],
Cell[610834, 15557, 574, 17, 46, "Input",ExpressionUUID->"c6c73b4c-c6db-4d5e-b75b-f79fa3f96abd",
 CellTags->"b:4.4.3"],
Cell[611411, 15576, 229, 5, 51, "Text",ExpressionUUID->"c83e38ca-8daa-4f21-9564-50b7d9f73199",
 CellTags->"b:4.4.3"],
Cell[CellGroupData[{
Cell[611665, 15585, 421, 11, 68, "Input",ExpressionUUID->"9a248a79-b9f0-4373-bc70-560e474f466f",
 CellTags->"b:4.4.3"],
Cell[612089, 15598, 282, 8, 49, "Output",ExpressionUUID->"0c2d88a7-b927-4369-8847-d57b40cbdadc",
 CellTags->"b:4.4.3"],
Cell[612374, 15608, 338, 10, 51, "Output",ExpressionUUID->"a9a6c3d6-ab55-40e8-8a96-c27b0bad5e1a",
 CellTags->"b:4.4.3"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[612761, 15624, 589, 14, 64, "Subsection",ExpressionUUID->"677a925f-ab71-4765-8c77-6f2ff354dd50",
 CellTags->{"c:36", "b:4.4.4"}],
Cell[613353, 15640, 237, 5, 51, "Text",ExpressionUUID->"5ae224a4-e346-4098-bb42-1f17f16c542e",
 CellTags->"b:4.4.4"],
Cell[CellGroupData[{
Cell[613615, 15649, 299, 8, 48, "Input",ExpressionUUID->"f0195de9-d1ed-4dc8-9828-787be48e4d1d",
 CellTags->"b:4.4.4"],
Cell[613917, 15659, 785, 23, 102, "Output",ExpressionUUID->"abcb680b-00c8-48e0-989a-e77649d345ae",
 CellTags->"b:4.4.4"]
}, Open  ]],
Cell[614717, 15685, 172, 2, 23, "Text",ExpressionUUID->"ffdec330-f1d0-4a6f-a900-21ac42f9e01b",
 CellTags->"b:4.4.4"],
Cell[CellGroupData[{
Cell[614914, 15691, 2346, 91, 165, "Input",ExpressionUUID->"5197a9c8-7ab3-4ced-960a-9f7286494557",
 CellTags->"b:4.4.4"],
Cell[617263, 15784, 744, 23, 82, "Output",ExpressionUUID->"257d7bc4-5504-4081-a312-008e10929c95",
 CellTags->"b:4.4.4"],
Cell[618010, 15809, 767, 24, 82, "Output",ExpressionUUID->"16f184e4-e1a0-4fd1-bb2d-19769fe9a60e",
 CellTags->"b:4.4.4"],
Cell[618780, 15835, 2319, 67, 84, "Output",ExpressionUUID->"6a6a5910-0967-4fca-a3db-6d63b5ac3a02",
 CellTags->"b:4.4.4"]
}, Open  ]],
Cell[621114, 15905, 169, 2, 23, "Text",ExpressionUUID->"1bbbd444-06b9-4b8a-bfdc-b6ec77ec048d",
 CellTags->"b:4.4.4"],
Cell[CellGroupData[{
Cell[621308, 15911, 2365, 92, 165, "Input",ExpressionUUID->"bac116a0-395b-4e9d-9900-c3eebfeb71d3",
 CellTags->"b:4.4.4"],
Cell[623676, 16005, 742, 23, 82, "Output",ExpressionUUID->"e2e15605-7b04-4de3-b1b5-9c888739e87a",
 CellTags->"b:4.4.4"],
Cell[624421, 16030, 766, 24, 82, "Output",ExpressionUUID->"8c8f085b-1144-4ec2-81d1-f1e891097931",
 CellTags->"b:4.4.4"],
Cell[625190, 16056, 2317, 67, 84, "Output",ExpressionUUID->"5d63ff9e-0b78-4762-8ac4-2121dd36118d",
 CellTags->"b:4.4.4"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[627556, 16129, 223, 6, 60, "Subsection",ExpressionUUID->"42f17491-7fd1-4746-8719-b3fcc1e79703",
 CellTags->{"c:37", "b:4.4.5"}],
Cell[CellGroupData[{
Cell[627804, 16139, 1508, 51, 125, "Input",ExpressionUUID->"e8683245-a8bc-4bcc-860d-423ae8a8caed",
 CellTags->"b:4.4.5"],
Cell[629315, 16192, 686, 20, 66, "Output",ExpressionUUID->"67d8ce49-0420-47b3-95ff-3aa5758d55fe",
 CellTags->"b:4.4.5"],
Cell[630004, 16214, 1289, 41, 80, "Output",ExpressionUUID->"f8d34f8e-a5a4-421b-8c32-d92f4368ba80",
 CellTags->"b:4.4.5"],
Cell[631296, 16257, 1289, 41, 80, "Output",ExpressionUUID->"66c1369a-0088-44e9-87c5-4b82d81bf655",
 CellTags->"b:4.4.5"],
Cell[632588, 16300, 657, 19, 68, "Output",ExpressionUUID->"d63cff46-03b3-40f6-a8f8-ff6759aff7a3",
 CellTags->"b:4.4.5"],
Cell[633248, 16321, 657, 19, 68, "Output",ExpressionUUID->"7f35b6ce-0be4-4c70-b5f5-6853ed190a94",
 CellTags->"b:4.4.5"]
}, Open  ]],
Cell[633920, 16343, 193, 3, 48, "Input",ExpressionUUID->"0513474e-829e-4746-b440-c656e279b639",
 CellTags->"b:4.4.5"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[634162, 16352, 139, 3, 51, "Section",ExpressionUUID->"501c0aa1-2742-4363-a176-cf813bb78f56",
 CellTags->{"c:32", "b:4.5"}],
Cell[634304, 16357, 1450, 40, 108, "Abstract",ExpressionUUID->"11d2ccdb-cf20-4480-9753-94e0b5e30625",
 CellTags->"b:4.5"]
}, Open  ]]
}
]
*)

