(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    882109,      22280]
NotebookOptionsPosition[    711828,      19221]
NotebookOutlinePosition[    796025,      20653]
CellTagsIndexPosition[    794731,      20604]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Introductory Tutorial", "Title",
 CellTags->"c:1",ExpressionUUID->"99e7654f-3b31-4b60-a49b-5520c21f6945"],

Cell["Basic tools in QDENSITY", "Subtitle",ExpressionUUID->"32669210-8f7b-4175-800a-62c7372a7c73"],

Cell[TextData[{
 "Version: 5.0-July 2014--For ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 9.0 and 10.0"
}], "Abstract",
 CellChangeTimes->{{3.395090887981901*^9, 3.395090925377634*^9}, {
  3.5122043095457993`*^9, 3.512204334243861*^9}, {3.512204716872068*^9, 
  3.512204717487535*^9}, {3.61332114153409*^9, 3.61332117425388*^9}, {
  3.614245784872241*^9, 
  3.61424579258777*^9}},ExpressionUUID->"cb00dbb3-6450-415d-95c4-\
f3147030aa99"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Getting started                To  open   double   \
click at down arrow  --------------------------->>",
 FontSize->24]], "Section",
 CellChangeTimes->{{3.5122044149751883`*^9, 3.512204420963462*^9}, {
  3.512204654694922*^9, 3.512204703295166*^9}},
 FontFamily->"Times",
 CellTags->{
  "c:2", "b:5.0"},ExpressionUUID->"93a4ea00-8346-4ac0-ae10-8ae794881d4b"],

Cell[TextData[{
 StyleBox["All the codes simulating quantum circuits will start by loading \
the ",
  FontFamily->"Helvetica"],
 "QDENSITY and QCWave",
 StyleBox[" packages.\nTo make the package fully available copy the QDENSITY  \
directory to this location on \nyour user account:",
  FontFamily->"Helvetica"]
}], "Text",
 CellChangeTimes->{{3.6140757541788397`*^9, 3.6140758077373037`*^9}},
 TextJustification->0,
 FontFamily->"Courier New",
 CellTags->"b:5.0",ExpressionUUID->"043a7d5b-d319-461b-b34a-41b633ea587a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ToFileName", "[", " ", 
  RowBox[{"{", 
   RowBox[{"$UserBaseDirectory", ",", " ", "\"\<Applications\>\""}], "}"}], 
  "]"}]], "Input",
 CellTags->"b:5.0",ExpressionUUID->"fbf4d3d6-15da-4d8c-9b40-e5f745283702"],

Cell[BoxData["\<\"/Users/franktabakin/Library/Mathematica/Applications/\"\>"],\
 "Output",
 CellChangeTimes->{3.8601573488091097`*^9},
 CellTags->"b:5.0",ExpressionUUID->"e6a6bcc1-7042-4dd3-91a3-a6addae422bf"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Then you can load the packages ",
  FontFamily->"Helvetica"],
 "QDENSITY",
 StyleBox[" and ",
  FontFamily->"Helvetica"],
 "QCWave",
 StyleBox["  using:",
  FontFamily->"Helvetica"]
}], "Text",
 CellChangeTimes->{{3.613321198283746*^9, 3.6133212155955057`*^9}},
 TextJustification->0,
 FontFamily->"Courier New",
 CellTags->"b:5.0",ExpressionUUID->"a42249d7-2e2c-4d03-90b4-cc0a45b20c67"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "shdw"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Needs", "[", "\"\<QDENSITY`QCWave`\>\"", "]"}], ";"}], 
  " "}]}], "Input",
 CellChangeTimes->{{3.613237576903551*^9, 3.613237577366025*^9}, {
  3.859372815006069*^9, 3.859372816350975*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0",ExpressionUUID->"e612332e-4610-41d2-8079-5eb73d6f265a"],

Cell[BoxData["\<\"Type \\\"?intro\\\", \\\"?QDENSITY`Qdensity`*\\\" or \
\\\"?about for help.\"\>"], "Print",
 CellChangeTimes->{3.860157349034432*^9},
 CellTags->"b:5.0",ExpressionUUID->"ba890292-e16d-4b20-a181-7da665e578b0"]
}, Open  ]],

Cell[TextData[StyleBox["To see all the commands contained in the package:  ",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.0",ExpressionUUID->"8ed3a512-17c5-4dcf-92e5-9e9a60556379"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Measur*"}]], "Input",
 CellChangeTimes->{{3.586948056479539*^9, 
  3.586948060127263*^9}},ExpressionUUID->"5236394e-7086-4083-b52f-\
1b49eea335ff"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"MeasureKet[V,M,MV],\\n\\n\\t Performs the \
measurement on qubits in list M={m1,..,mn},\\n\\n with possible measured \
computational basis values input in list \\n\\n MV={0,1,...0,0,1}, on the \
original ket V . The output is normalized \\n\\n to 1.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"MeasureKet", "[", 
                    RowBox[{
                    RowBox[{"Private`stateV_", "?", "ListQ"}], ",", 
                    RowBox[{"Private`MQ_", "?", "ListQ"}], ",", 
                    RowBox[{"Private`MV_", "?", "ListQ"}]}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "O", "}"}], ",", 
                    RowBox[{
                    RowBox[{"O", "=", "Private`stateV"}], ";", 
                    RowBox[{"Private`ON", "=", 
                    RowBox[{"Length", "[", "O", "]"}]}], ";", 
                    RowBox[{"Private`LM", "=", 
                    RowBox[{"Length", "[", "Private`MQ", "]"}]}], ";", 
                    RowBox[{"Private`LMV", "=", 
                    RowBox[{"Length", "[", "Private`MV", "]"}]}], ";", 
                    RowBox[{"Private`NQ", "=", 
                    RowBox[{"Log", "[", 
                    RowBox[{"2", ",", "Private`ON"}], "]"}]}], ";", 
                    RowBox[{"Private`ListN", "=", 
                    RowBox[{"Table", "[", 
                    RowBox[{"Private`i", ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`i", ",", "1", ",", "Private`NQ"}], 
                    "}"}]}], "]"}]}], ";", 
                    RowBox[{"Private`OutV", "=", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`i", ",", "1", ",", 
                    SuperscriptBox["2", 
                    RowBox[{"Private`NQ", "-", "Private`LM"}]]}], "}"}]}], 
                    "]"}]}], ";", 
                    RowBox[{"Private`MM", "=", 
                    RowBox[{"Complement", "[", 
                    RowBox[{"Private`ListN", ",", "Private`MQ"}], "]"}]}], 
                    ";", 
                    RowBox[{"Private`Seq", "=", 
                    RowBox[{"Array", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Private`w", "[", 
                    
                    RowBox[{"Private`MM", "\[LeftDoubleBracket]", "#1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", "0", ",", "1"}], 
                    "}"}], "}"}], "&"}], ",", 
                    RowBox[{"Length", "[", "Private`MM", "]"}]}], "]"}]}], 
                    ";", 
                    RowBox[{"Private`Seq", "=", 
                    RowBox[{"Partition", "[", 
                    RowBox[{
                    RowBox[{"Flatten", "[", "Private`Seq", "]"}], ",", "3"}], 
                    "]"}]}], ";", 
                    RowBox[{"Private`MesNumber", "=", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"Private`i", "=", "1"}], "Private`LM"], 
                    RowBox[{
                    
                    RowBox[{"Private`MV", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}], " ", 
                    SuperscriptBox["2", 
                    RowBox[{"Private`NQ", "-", 
                    
                    RowBox[{"Private`MQ", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}]}]]}]}]}], ";", 
                    RowBox[{"Private`NonMeas", "=", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"Private`i", "=", "1"}], 
                    RowBox[{"Private`NQ", "-", "Private`LM"}]], 
                    RowBox[{
                    RowBox[{"Private`w", "[", 
                    
                    RowBox[{"Private`MM", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}], "]"}], " ", 
                    SuperscriptBox["2", 
                    RowBox[{"Private`NQ", "-", 
                    
                    RowBox[{"Private`MM", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}]}]]}]}]}], ";", 
                    RowBox[{"Private`Posit", "=", 
                    RowBox[{
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"Private`i", "=", "1"}], 
                    RowBox[{"Private`NQ", "-", "Private`LM"}]], 
                    RowBox[{
                    RowBox[{"Private`w", "[", 
                    
                    RowBox[{"Private`MM", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}], "]"}], " ", 
                    SuperscriptBox["2", 
                    RowBox[{"Private`NQ", "-", 
                    RowBox[{"Length", "[", "Private`MQ", "]"}], "-", 
                    "Private`i"}]]}]}], "+", "1"}]}], ";", 
                    RowBox[{"Do", "[", 
                    RowBox[{
                    RowBox[{"Private`OutV", "=", 
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{"Private`OutV", ",", 
                    RowBox[{"O", "\[LeftDoubleBracket]", 
                    
                    RowBox[{"Private`MesNumber", "+", "Private`NonMeas", "+", 
                    "1"}], "\[RightDoubleBracket]"}], ",", "Private`Posit"}], 
                    "]"}]}], ",", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"Sequence", "@@", "Private`Seq"}], "]"}]}], "]"}],
                     ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{"Flatten", "[", "Private`OutV", "]"}], "]"}], 
                    "\[Equal]", "0"}], ",", 
                    RowBox[{"Private`OutW", "=", 
                    RowBox[{"ZeroT", "[", 
                    RowBox[{"Length", "[", "Private`OutV", "]"}], "]"}]}], 
                    ",", 
                    RowBox[{"Private`OutW", "=", 
                    FractionBox["Private`OutV", 
                    RowBox[{"Norm", "[", 
                    RowBox[{"Flatten", "[", "Private`OutV", "]"}], "]"}]]}], 
                    ",", 
                    RowBox[{"Private`OutW", "=", 
                    FractionBox["Private`OutV", 
                    RowBox[{"Norm", "[", 
                    RowBox[{"Flatten", "[", "Private`OutV", "]"}], "]"}]]}]}],
                     "]"}], ";", "Private`OutW"}]}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`MeasureKet\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"MeasureKet[V,M,MV],\\n\\n\\t Performs the \
measurement on qubits in list M={m1,..,mn},\\n\\n with possible measured \
computational basis values input in list \\n\\n MV={0,1,...0,0,1}, on the \
original ket V . The output is normalized \\n\\n to 1.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "MeasureKet[V,M,MV],\n\n\t Performs the measurement on qubits in list \
M={m1,..,mn},\n\n with possible measured computational basis values input in \
list \n\n MV={0,1,...0,0,1}, on the original ket V . The output is normalized \
\n\n to 1.", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None,
      "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`MeasureKet, {QDENSITY`Qdensity`MeasureKet[
          PatternTest[
           Pattern[Private`stateV, 
            Blank[]], ListQ], 
          PatternTest[
           Pattern[Private`MQ, 
            Blank[]], ListQ], 
          PatternTest[
           Pattern[Private`MV, 
            Blank[]], ListQ]] :> 
        Module[{O}, O = Private`stateV; Private`ON = Length[O]; 
          Private`LM = Length[Private`MQ]; Private`LMV = Length[Private`MV]; 
          Private`NQ = Log[2, Private`ON]; 
          Private`ListN = Table[Private`i, {Private`i, 1, Private`NQ}]; 
          Private`OutV = 
           Table[0, {Private`i, 1, 2^(Private`NQ - Private`LM)}]; 
          Private`MM = Complement[Private`ListN, Private`MQ]; 
          Private`Seq = Array[{{
               Private`w[
                Part[Private`MM, #]], 0, 1}}& , 
             Length[Private`MM]]; Private`Seq = Partition[
             Flatten[Private`Seq], 3]; 
          Private`MesNumber = 
           Sum[Part[Private`MV, Private`i] 
             2^(Private`NQ - Part[Private`MQ, Private`i]), {
             Private`i, 1, Private`LM}]; Private`NonMeas = Sum[Private`w[
               Part[Private`MM, Private`i]] 
             2^(Private`NQ - Part[Private`MM, Private`i]), {
             Private`i, 1, Private`NQ - Private`LM}]; 
          Private`Posit = Sum[Private`w[
                Part[Private`MM, Private`i]] 
              2^(Private`NQ - Length[Private`MQ] - Private`i), {
              Private`i, 1, Private`NQ - Private`LM}] + 1; 
          Do[Private`OutV = ReplacePart[Private`OutV, 
              Part[O, Private`MesNumber + Private`NonMeas + 1], 
              Private`Posit], 
            Evaluate[
             Apply[Sequence, Private`Seq]]]; If[Norm[
              Flatten[Private`OutV]] == 0, Private`OutW = 
            QDENSITY`Qdensity`ZeroT[
              Length[Private`OutV]], Private`OutW = Private`OutV/Norm[
              Flatten[Private`OutV]], Private`OutW = Private`OutV/Norm[
              Flatten[Private`OutV]]]; Private`OutW]}], "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`MeasureKet"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157349884809*^9},ExpressionUUID->"a06a8ceb-516f-411d-bcb2-\
b829cda18477"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "QDENSITY`Qdensity`*"}]], "Input",
 CellChangeTimes->{{3.613321230783722*^9, 3.6133212398385773`*^9}, 
   3.6133971194048977`*^9, 3.613397155369432*^9},
 FontFamily->"Courier New",
 CellTags->"b:5.0",ExpressionUUID->"f4ede01c-ea19-4b11-a444-fadcdc996f11"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["about", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "about", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Discord", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Discord", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "MeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "RandomBra2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma0", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Sigma0", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ws", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "ws", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Adj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Adj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "EnTropy", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiProjCBasis", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "MultiProjCBasis", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBraN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "RandomBraN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Sigma1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["AF", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "AF", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "EnTropy2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiQProj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "MultiQProj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "RandomKet1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Sigma2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Bra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Bra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Fidelity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Fidelity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Mutual", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Mutual", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "RandomKet2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Sigma3", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "BraV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["FidelityB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "FidelityB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "nb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKetN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "RandomKetN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Snos", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Snos", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "BraX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["neg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "neg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "RandomQubit1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SP", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "SP", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroMatrix", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "ZeroMatrix", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "BraY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nneg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "nneg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "RandomQubit2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SpinObs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "SpinObs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "ZeroT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CNOT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "CNOT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Hadamard", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Hadamard", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nq", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "nq", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubitN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "RandomQubitN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stA", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "stA", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalH]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "\[ScriptCapitalH]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Coeff", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Coeff", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["HALL", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "HALL", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OneOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "OneOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsDate", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "rcsDate", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "stB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "\[ScriptCapitalP]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Comm", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Comm", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["i8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "i8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Oracle", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Oracle", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsRevision", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "rcsRevision", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Swap", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Swap", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]X", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "\[ScriptCapitalP]X", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompMeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "CompMeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["intro", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "intro", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTrace", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "PartialTrace", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "res1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "s$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]Y", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "\[ScriptCapitalP]Y", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompPTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "CompPTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["j8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "j8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTraceGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "PartialTraceGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "res1$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ThreeOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "ThreeOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[DoubleStruckCapitalI]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "\[DoubleStruckCapitalI]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "ControlledX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Ket1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Ket1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTranspose", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "PartialTranspose", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "res2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Toffoli", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Toffoli", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "\[Rho]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "ControlledY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "KetV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ProjG", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "ProjG", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "res2$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "ts", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "\[Rho]$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "ControlledZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "KetX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "PTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Rotqbit", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Rotqbit", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "ts$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Sigma]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "\[Sigma]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASE", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "CPHASE", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "KetY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTrGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "PTrGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "RotX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["TwoOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "TwoOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "\[Phi]A1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASEV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "CPHASEV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "mc", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Purity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Purity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "RotY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["U", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "U", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "\[Phi]A2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["cRQN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "cRQN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "mcl", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "PX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "RotZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "v", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "\[Phi]B1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Definef", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Definef", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "mcl$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "PY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Vs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Vs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "\[Phi]B2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["DForm2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "DForm2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "mc$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "RandomBra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Schmidt", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "Schmidt", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "v$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[CapitalOmega]s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-536b3e81-7831-4673-81bb-1f8b287c49e2", {
                    "\[CapitalOmega]s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.15833333333333333`]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.86015735000887*^9},
 CellTags->"b:5.0",ExpressionUUID->"45548569-12b3-4015-b64f-f0cf57fe6405"]
}, Open  ]],

Cell[TextData[StyleBox["If you click on any entry in the display above, \
information about it will appear above this line.",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.0",ExpressionUUID->"8b433e8e-6bec-43a6-b874-b9c55345e463"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "intro"}]], "Input",
 CellTags->"b:5.0",ExpressionUUID->"71f275b8-31c3-4913-8798-ab01113b7c3f"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"The commonly used quantum gates and structures \
used in quantum\\n\\n circuits are implemented in the package. Several \
examples including \\n\\n teleportation circuits, Grover search algorithms \
and Shor's \\n\\n factoring algorightms are included. Several additional \
applications are are illustrated.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`intro\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"The commonly used quantum gates and structures \
used in quantum\\n\\n circuits are implemented in the package. Several \
examples including \\n\\n teleportation circuits, Grover search algorithms \
and Shor's \\n\\n factoring algorightms are included. Several additional \
applications are are illustrated.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "The commonly used quantum gates and structures used in quantum\n\n \
circuits are implemented in the package. Several examples including \n\n \
teleportation circuits, Grover search algorithms and Shor's \n\n factoring \
algorightms are included. Several additional applications are are \
illustrated.", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> 
     None, "DownValues" -> None, "SubValues" -> None, "DefaultValues" -> None,
      "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`intro"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157350104567*^9},
 CellTags->"b:5.0",ExpressionUUID->"d282fad5-82ef-4659-966d-a09066e61420"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "about"}]], "Input",
 CellTags->"b:5.0",ExpressionUUID->"7e65ff41-a313-4128-ab89-3eefbe24f0cc"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\" Qdensity is a Mathematica package to simulate a \
quantum computer \\n\\n on a classical one. This simulation closely follows \
the procedures \\n\\n that would occur in an actual quantum computer, wherein \
quantum \\n\\n interference and superposition play a key role.  \\n\\n \
Although the main emphasis is on using a density matrix approach, \\n\\n \
QDENSITY also handles state vectors. The package comes with a manual \\n\\n \
and several notebooks that should allow the user to build any quantum \\n\\n \
circuit out of conventional quantum gates.  \\n\\n\\n\\n The notebooks \
develop the most relevant quantum algorithms: \\n\\n teleportation, searching \
algorithms and factoring algorithms in \\n\\n a self contained way. Some \
basic cluster model examples are also provided.\\n\\n\\n\\n We thank Joseph \
Burdis for his help with QDENSITY. We also acknowledge \\n\\n the \
participation of Matt McHugh and Mahesh Bandi at an early stage of \\n\\n \
this project. Reza Yoosoofmiya and Sushmita Biswas provided some helpful \
\\n\\n suggestions on the final versions. Insightful comments by Profs. E. \
Gerjuoy (PITT) \\n\\n and Robert B. Griffiths (CMU) are very much \
appreciated. \\n\\n This project was supported,in part, by the N.S.F \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`about\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\" Qdensity is a Mathematica package to simulate a \
quantum computer \\n\\n on a classical one. This simulation closely follows \
the procedures \\n\\n that would occur in an actual quantum computer, wherein \
quantum \\n\\n interference and superposition play a key role.  \\n\\n \
Although the main emphasis is on using a density matrix approach, \\n\\n \
QDENSITY also handles state vectors. The package comes with a manual \\n\\n \
and several notebooks that should allow the user to build any quantum \\n\\n \
circuit out of conventional quantum gates.  \\n\\n\\n\\n The notebooks \
develop the most relevant quantum algorithms: \\n\\n teleportation, searching \
algorithms and factoring algorithms in \\n\\n a self contained way. Some \
basic cluster model examples are also provided.\\n\\n\\n\\n We thank Joseph \
Burdis for his help with QDENSITY. We also acknowledge \\n\\n the \
participation of Matt McHugh and Mahesh Bandi at an early stage of \\n\\n \
this project. Reza Yoosoofmiya and Sushmita Biswas provided some helpful \
\\n\\n suggestions on the final versions. Insightful comments by Profs. E. \
Gerjuoy (PITT) \\n\\n and Robert B. Griffiths (CMU) are very much \
appreciated. \\n\\n This project was supported,in part, by the N.S.F \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     " Qdensity is a Mathematica package to simulate a quantum computer \n\n \
on a classical one. This simulation closely follows the procedures \n\n that \
would occur in an actual quantum computer, wherein quantum \n\n interference \
and superposition play a key role.  \n\n Although the main emphasis is on \
using a density matrix approach, \n\n QDENSITY also handles state vectors. \
The package comes with a manual \n\n and several notebooks that should allow \
the user to build any quantum \n\n circuit out of conventional quantum gates. \
 \n\n\n\n The notebooks develop the most relevant quantum algorithms: \n\n \
teleportation, searching algorithms and factoring algorithms in \n\n a self \
contained way. Some basic cluster model examples are also provided.\n\n\n\n \
We thank Joseph Burdis for his help with QDENSITY. We also acknowledge \n\n \
the participation of Matt McHugh and Mahesh Bandi at an early stage of \n\n \
this project. Reza Yoosoofmiya and Sushmita Biswas provided some helpful \n\n \
suggestions on the final versions. Insightful comments by Profs. E. Gerjuoy \
(PITT) \n\n and Robert B. Griffiths (CMU) are very much appreciated. \n\n \
This project was supported,in part, by the N.S.F ", "Documentation" -> None, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> None, 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`about"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157350185853*^9},
 CellTags->"b:5.0",ExpressionUUID->"47ad6148-2e77-4a2a-9ba6-7a0e0449c507"]
}, Open  ]]
}, Open  ]],

Cell[TextData[{
 StyleBox["You can access the package Palette by clicking here: ",
  FontFamily->"Helvetica"],
 ButtonBox["QDENSpalette.nb",
  BaseStyle->"Hyperlink",
  ButtonData:>{"QDENSpalette.nb", None}]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.0",ExpressionUUID->"eb396e23-91ff-41f9-9d99-a8630c98f90c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "QDENSITY`QCWave`*"}]], "Input",
 CellChangeTimes->{{3.613321230783722*^9, 3.6133212398385773`*^9}, 
   3.6133971194048977`*^9, 3.613397155369432*^9, 3.613397192178574*^9},
 FontFamily->"Courier New",
 CellTags->"b:5.0",ExpressionUUID->"0a05cfda-b2df-41f2-850b-d09a84015ec3"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`QCWave`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`QCWave`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["AmpPlots", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "AmpPlots", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["is", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "is", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["iv4$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "iv4$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["j3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "j3", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["kv$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "kv$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nqs1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "nqs1", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["op1C", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "op1C", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Partner3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "Partner3", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["state1f", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "state1f", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stV$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "stV$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["coef", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "coef", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["is1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "is1", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["iv5", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "iv5", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["j3$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "j3$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["m2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "m2", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nqs1$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "nqs1$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Op2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "Op2", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["pcase", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "pcase", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["state2f", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "state2f", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["temp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "temp", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["coef$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "coef$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["is2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "is2", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["iv5$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "iv5$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["jp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "jp", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["m2$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "m2$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nqs2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "nqs2", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Op3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "Op3", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["phase", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "phase", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["statev", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "statev", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["temp$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "temp$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["DForm", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "DForm", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["is3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "is3", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["iv6", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "iv6", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["jp$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "jp$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MeterGraph", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "MeterGraph", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nqs2$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "nqs2$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["oper", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "oper", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Pick1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "Pick1", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stateV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "stateV", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["wav", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "wav", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["DFormA", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "DFormA", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["isz", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "isz", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["iv6$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "iv6$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["js", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "js", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["n", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "n", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nqu", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "nqu", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["oper2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "oper2", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Pick2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "Pick2", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stride", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "stride", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["wf", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "wf", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["hit1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "hit1", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["iv", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "iv", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["iv7", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "iv7", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["js$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "js$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nimage", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "nimage", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nqu$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "nqu$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["opset", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "opset", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Pick3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "Pick3", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stride1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "stride1", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["wf$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "wf$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["hit2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "hit2", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["iv1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "iv1", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["iv7$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "iv7$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["k1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "k1", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nimage$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "nimage$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nqx", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "nqx", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["opz", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "opz", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["plist", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "plist", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stride1$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "stride1$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["y", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "y", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["hit3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "hit3", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["iv1$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "iv1$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["iv8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "iv8", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["k2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "k2", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["np", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "np", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ns", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "ns", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["p1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "p1", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["plist$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "plist$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stride2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "stride2", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["yp1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "yp1", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["icas", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "icas", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["iv2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "iv2", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["iv8$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "iv8$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["k2$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "k2$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["npartdis", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "npartdis", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nsz", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "nsz", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["p1$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "p1$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["psif", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "psif", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stride2$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "stride2$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["yp1$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "yp1$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["icase", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "icase", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["iv2$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "iv2$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["j1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "j1", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ks", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "ks", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["npartdis$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "npartdis$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nsz$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "nsz$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["p2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "p2", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["psif$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "psif$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stride3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "stride3", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["y$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "y$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["icase$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "icase$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["iv3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "iv3", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["j1$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "j1$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ks$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "ks$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["np$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "np$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ns$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "ns$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["p2$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "p2$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["size", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "size", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stride3$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "stride3$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[CapitalOmega]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "\[CapitalOmega]", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["icas$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "icas$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["iv3$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "iv3$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["j2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "j2", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["kt", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "kt", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nqD", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "nqD", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["n$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "n$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Partner1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "Partner1", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["size$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "size$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stride$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "stride$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[CapitalOmega]ALL", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "\[CapitalOmega]ALL", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ip1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "ip1", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["iv4", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "iv4", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["j2$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "j2$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["kv", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "kv", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nqD$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "nqD$", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Op1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "Op1", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Partner2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "Partner2", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["state", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "state", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "stV", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[CapitalOmega]SET", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2372fec-49df-4c13-b1ad-4e97c86b8ca2", {
                    "\[CapitalOmega]SET", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic]}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.095]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157350219118*^9},
 CellTags->"b:5.0",ExpressionUUID->"c04612b1-16c4-4e98-8a21-19da5973f4dd"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Basic operations", "Section",
 FontFamily->"Times",
 CellTags->"c:3",ExpressionUUID->"0a09d11c-1dd0-4f4e-abe8-c63e7690c8e5"],

Cell[CellGroupData[{

Cell["a) Single qubit states", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "SingleQubitStates", "c:4", 
   "b:5.1.0"},ExpressionUUID->"ee607bc2-0142-46ef-a8ef-80e67730510b"],

Cell[TextData[{
 StyleBox["The initial state of the system is represented by a density \
matrix. A ",
  FontFamily->"Helvetica"],
 StyleBox["one qubit state ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox["in the |0\[RightAngleBracket] state has the density matrix:",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.0",ExpressionUUID->"08e3a9fe-858f-4377-bd0b-400b42234b57"],

Cell[CellGroupData[{

Cell[BoxData[
 SubscriptBox["\[ScriptCapitalP]", "0"]], "Input",
 CellChangeTimes->{{3.613236934577767*^9, 3.6132369352505417`*^9}},
 CellTags->"b:5.1.0",ExpressionUUID->"bf1a4e54-30ca-4679-b3ae-9710a287b72e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157350234365*^9},
 CellTags->"b:5.1.0",ExpressionUUID->"8ea32dc9-5c89-463a-8958-b89b00480f66"]
}, Open  ]],

Cell[TextData[StyleBox["This is also the single qubit  projection operator  \
|0\[RightAngleBracket]\[LeftAngleBracket]0| .",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.0",ExpressionUUID->"28b4ad25-e7a4-441b-8877-d14ac9f3316c"],

Cell[TextData[StyleBox[" ... in the |1\[RightAngleBracket] state...",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.0",ExpressionUUID->"ccae0e3a-6779-4aed-97d8-74450bec82c1"],

Cell[CellGroupData[{

Cell[BoxData[
 SubscriptBox["\[ScriptCapitalP]", "1"]], "Input",
 CellTags->"b:5.1.0",ExpressionUUID->"53d092e5-c384-4eea-9fe3-494c039f2fe1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157350249835*^9},
 CellTags->"b:5.1.0",ExpressionUUID->"55cf740c-79f5-413d-be86-20fd44864f0e"]
}, Open  ]],

Cell[TextData[StyleBox["This is also the single qubit  projection operator  \
|1\[RightAngleBracket]\[LeftAngleBracket]1| .",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.0",ExpressionUUID->"31376944-0aa0-42c0-b4ef-141c34778fa1"],

Cell[TextData[StyleBox[" Alternatively we can define the states and \
associated density matrix making use of predefined Ket and Bra state vectors",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.0",ExpressionUUID->"736f3081-7de9-4364-b458-01c59cb37d44"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Ket", "[", "0", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Bra", "[", "1", "]"}]}], "Input",
 CellChangeTimes->{
  3.613233477447679*^9, {3.6133212815718603`*^9, 3.6133213205090647`*^9}},
 CellTags->{
  "i:4", "b:5.1.0"},ExpressionUUID->"bd38cb3d-72e6-487a-9300-4b4e4d749b75"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573502582006`*^9},
 CellTags->{
  "i:4", "b:5.1.0"},ExpressionUUID->"d63312e1-318b-4457-accc-7ee26f011e54"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157350262898*^9},
 CellTags->{
  "i:4", "b:5.1.0"},ExpressionUUID->"df28bf7e-5a1d-4e47-9f4a-ee80466f3a73"]
}, Open  ]],

Cell[TextData[StyleBox[" These Ket and Bra state vectors can be displayed in \
Dirac notation by setting the\ncell option \[OpenCurlyDoubleQuote]convert to\
\[CloseCurlyDoubleQuote] ->  standard",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.613321370591607*^9, 3.6133214350049677`*^9}, {
  3.6133249786670017`*^9, 3.6133249902641*^9}, {3.613722470598411*^9, 
  3.61372247383969*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.1.0",ExpressionUUID->"710d80ba-0a09-4bc3-8f24-5f7e13de7975"],

Cell[CellGroupData[{

Cell[BoxData[{
 TemplateBox[{"0"},
  "Ket"], "\n", 
 TemplateBox[{"1"},
  "Bra"]}], "Input",
 CellChangeTimes->{
  3.613233477447679*^9, {3.6133212815718603`*^9, 3.613321343767681*^9}},
 CellTags->{
  "i:4", "b:5.1.0"},ExpressionUUID->"935b46f6-7e5c-4ab2-8985-4817e7eade3a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157350338846*^9},
 CellTags->{
  "i:4", "b:5.1.0"},ExpressionUUID->"b14b451f-f943-42d5-9d16-b774731acf38"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157350347931*^9},
 CellTags->{
  "i:4", "b:5.1.0"},ExpressionUUID->"6943006a-0e9f-4e30-8b73-4effce4d9ed3"]
}, Open  ]],

Cell[TextData[{
 StyleBox[" And so, one can build ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[ScriptCapitalP]", "0"], TraditionalForm]],ExpressionUUID->
  "f7ff875f-fa9f-4374-85be-1c0af371c0d4"],
 StyleBox["using the built in  ",
  FontFamily->"Helvetica"],
 StyleBox["kronecker product symbol",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" ",
  FontFamily->"Helvetica"],
 Cell[BoxData["\[CircleTimes]"],
  CellChangeTimes->{3.859373077669063*^9},ExpressionUUID->
  "44bdcbd7-0bef-49e6-b26d-8b51ffdf390d"],
 StyleBox["\n",
  FontFamily->"Helvetica"],
 StyleBox["Note the built in version of ",
  FontFamily->"Helvetica",
  FontSize->16],
 StyleBox["\[TensorProduct]",
  FontSize->14],
 StyleBox[" has to be flattened to be a regular matrix; hopefully this will \
be corrected in future versions of Mathematica",
  FontFamily->"Helvetica",
  FontSize->16]
}], "Text",
 CellChangeTimes->{{3.613321453679144*^9, 3.613321461013953*^9}, {
  3.613722492007531*^9, 3.613722561270419*^9}, {3.613722636529367*^9, 
  3.6137226680053263`*^9}, {3.618492014423419*^9, 3.618492022784029*^9}, {
  3.859373117918951*^9, 3.8593731254037*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.1.0",ExpressionUUID->"820e01d8-64ed-439e-91c9-a8d45aed8ba7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Ket", "[", "0", "]"}], " ", "\[CircleTimes]", " ", 
  RowBox[{"Bra", "[", "0", "]"}]}]], "Input",
 CellChangeTimes->{3.6132372804999647`*^9, 3.618491934116455*^9, 
  3.85937307503433*^9},ExpressionUUID->"862b8783-875a-4b97-9a74-7f00211c4fac"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157350362647*^9},ExpressionUUID->"1a7ca922-fb56-45ed-a3e7-\
5c66b2b4c1d4"]
}, Open  ]],

Cell[TextData[StyleBox[" Setting above cell to standard form prints out the \
ket bra form ",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.613237305034952*^9, 3.6132373633964367`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.1.0",ExpressionUUID->"65af368d-b2e8-4d8c-b415-5f917ba93a67"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  TemplateBox[{"0"},
   "Ket"], "\[CircleTimes]", 
  TemplateBox[{"0"},
   "Bra"]}]], "Input",
 CellChangeTimes->{3.6132372804999647`*^9, 3.613237334597962*^9, 
  3.613722695737335*^9, 
  3.859373075035862*^9},ExpressionUUID->"692db038-8ea1-4017-859a-\
acc72772b8e7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157350372642*^9},ExpressionUUID->"7e93cc00-58c7-4944-8596-\
2d10bc708c1b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AF", "[", 
  RowBox[{
   RowBox[{"Ket", "[", "0", "]"}], " ", "\[CircleTimes]", " ", 
   RowBox[{"Bra", "[", "0", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.6132372804999647`*^9, 3.618491934116455*^9, {3.618491967491066*^9, 
   3.618491972305331*^9}, 
   3.859373075037578*^9},ExpressionUUID->"11f4bd24-b394-442d-8e82-\
02adeab840b9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157350389583*^9},ExpressionUUID->"2bf694a2-bdd2-4061-9e14-\
72eb04673f39"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AF", "[", 
  RowBox[{
   TemplateBox[{"0"},
    "Ket"], "\[CircleTimes]", 
   TemplateBox[{"0"},
    "Bra"]}], "]"}]], "Input",
 CellChangeTimes->{{3.6132330989721327`*^9, 3.613233136557514*^9}, {
   3.613233169676447*^9, 3.613233209580954*^9}, 3.613233496283945*^9, 
   3.613237105429709*^9, {3.613237373788392*^9, 3.613237387223764*^9}, 
   3.614076444781849*^9, {3.61416343635645*^9, 3.614163463985214*^9}, 
   3.859373075039144*^9},
 CellTags->"b:5.1.0",ExpressionUUID->"b23e8791-6b29-406e-9307-c33bacc568ef"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573504079123`*^9},
 CellTags->"b:5.1.0",ExpressionUUID->"0aa3ea70-a64a-4115-886d-54f5a669d6db"]
}, Open  ]],

Cell[TextData[StyleBox[" A more general 1 qubit state written using Ket in \
input form, ",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.613325055860667*^9, 3.613325059999547*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.1.0",ExpressionUUID->"e1aa0a89-bfb7-403b-a9a0-6c8b35221131"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GenQubit", " ", "=", " ", 
  RowBox[{
   RowBox[{"a", "*", 
    RowBox[{"Ket", "[", "0", "]"}]}], " ", "+", " ", 
   RowBox[{"b", "*", 
    RowBox[{"Ket", "[", "1", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.6133250358604097`*^9, 
  3.613325051817881*^9}},ExpressionUUID->"cba832c0-0efe-4b46-a5f3-\
a1d84e08c964"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"a"},
     {"b"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8601573504170713`*^9},ExpressionUUID->"b9965b45-dd29-4b84-b916-\
f77e29bbcb30"]
}, Open  ]],

Cell[TextData[StyleBox[" Or using Dirac notation in standard setting form, ",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.613325055860667*^9, 3.613325105154909*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.1.0",ExpressionUUID->"92c9d03c-1463-4add-b861-77b1c28bfe8f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GenQubit", "=", 
  RowBox[{
   RowBox[{"a", " ", 
    TemplateBox[{"0"},
     "Ket"]}], "+", 
   RowBox[{"b", " ", 
    TemplateBox[{"1"},
     "Ket"], " "}]}]}]], "Input",
 CellChangeTimes->{{3.6133250358604097`*^9, 
  3.613325039695675*^9}},ExpressionUUID->"c8052e1f-d8cd-4b46-9571-\
346b6c649a71"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"a"},
     {"b"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157350434395*^9},ExpressionUUID->"a7591210-4545-4183-b3e8-\
bdcef6e017e4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Rho]GenQubit", "=", 
  RowBox[{
   RowBox[{"AF", "[", 
    RowBox[{"GenQubit", "\[CircleTimes]", 
     RowBox[{"Adj", "[", "GenQubit", "]"}]}], "]"}], "/.", "\[VeryThinSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Conjugate", "[", "a", "]"}], "\[Rule]", 
      SuperscriptBox["a", "*"]}], ",", 
     RowBox[{
      RowBox[{"Conjugate", "[", "b", "]"}], "\[Rule]", 
      SuperscriptBox["b", "*"]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.613233576381659*^9, 3.613233599308341*^9}, 
   3.613237425824525*^9, {3.6132377526215153`*^9, 3.6132377630049953`*^9}, {
   3.613325110645986*^9, 3.613325113750218*^9}, 3.61407644480977*^9, 
   3.859373075045219*^9},
 CellTags->"b:5.1.0",ExpressionUUID->"4886fae0-f556-469c-b6d9-8f73d90b075a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"a", " ", 
       SuperscriptBox["a", "*"]}], 
      RowBox[{"a", " ", 
       SuperscriptBox["b", "*"]}]},
     {
      RowBox[{"b", " ", 
       SuperscriptBox["a", "*"]}], 
      RowBox[{"b", " ", 
       SuperscriptBox["b", "*"]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.86015735044414*^9},
 CellTags->"b:5.1.0",ExpressionUUID->"05883aee-0583-4ccf-8ec0-aef96a809fcc"],

Cell[TextData[StyleBox[" DForm is contained in QCWAVE.  It also prints out \
results in Dirac Form: ",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.613237639461556*^9, 3.61323767481805*^9}, {
  3.613325126686426*^9, 3.613325127878625*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.1.0",ExpressionUUID->"9d42fc05-309a-4afb-9fa3-5cfd770e0c66"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"DForm", "[", 
  RowBox[{
   RowBox[{"a", "*", 
    RowBox[{"Ket", "[", "0", "]"}]}], " ", "+", " ", 
   RowBox[{"b", "*", 
    RowBox[{"Ket", "[", "1", "]"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"?", "DForm"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.613237447863226*^9, 3.613237491680603*^9}, 
   3.613325147241446*^9, 3.616277223364646*^9, {3.616277254414411*^9, 
   3.616277255098681*^9}, 
   3.616277547182651*^9},ExpressionUUID->"6962ebcd-f3c0-4044-a822-\
6b25847176c0"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a", "\")\"", "\" |\"", "\"0\"", "\" >\"", "\" + \"", 
    "\"(\"", "b", "\")\"", "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8601573504665813`*^9},ExpressionUUID->"9633b77b-7e51-4ff8-9a8a-\
1043791ecf25"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"DForm[state]\\n gives output of state in Dirac \
form.\\nUse DFormA for Bra states\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"DForm", "[", "stateV_", "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"nqD", ",", "size", ",", "ns", ",", "plist", ",", 
                    "stV", ",", "coef"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"VectorQ", "[", "stateV", "]"}], ",", 
                    RowBox[{"stV", "=", 
                    RowBox[{"Flatten", "[", "stateV", "]"}]}], ",", 
                    RowBox[{"stV", "=", "stateV"}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"VectorQ", "[", "stV", "]"}], ",", 
                    RowBox[{
                    RowBox[{"coef", "[", "js_", "]"}], ":=", 
                    
                    RowBox[{"stV", "\[LeftDoubleBracket]", "js", 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{
                    RowBox[{"coef", "[", "js_", "]"}], ":=", 
                    RowBox[{
                    
                    RowBox[{"stV", "\[LeftDoubleBracket]", "js", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}]}], "]"}], ";", 
                    RowBox[{"nqD", "=", 
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{"Log", "[", 
                    RowBox[{"2", ",", 
                    RowBox[{"Length", "[", "stV", "]"}]}], "]"}], "]"}]}], 
                    ";", 
                    RowBox[{"size", "=", 
                    RowBox[{"Length", "[", "stV", "]"}]}], ";", 
                    RowBox[{"plist", "=", 
                    RowBox[{"{", "}"}]}], ";", 
                    RowBox[{"Do", "[", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"coef", "[", "ns", "]"}], "\[Equal]", "0"}], ",", 
                    "\" \"", ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"plist", ",", 
                    RowBox[{"{", 
                    RowBox[{"\" + \"", ",", "\"(\"", ",", 
                    RowBox[{"coef", "[", "ns", "]"}], ",", "\")\"", ",", 
                    "\" |\"", ",", 
                    RowBox[{"IntegerString", "[", 
                    RowBox[{
                    RowBox[{"ns", "-", "1"}], ",", "2", ",", "nqD"}], "]"}], 
                    ",", "\" >\""}], "}"}]}], "]"}], ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"plist", ",", 
                    RowBox[{"{", 
                    RowBox[{"\" + \"", ",", "\"(\"", ",", 
                    RowBox[{"coef", "[", "ns", "]"}], ",", "\")\"", ",", 
                    "\" |\"", ",", 
                    RowBox[{"IntegerString", "[", 
                    RowBox[{
                    RowBox[{"ns", "-", "1"}], ",", "2", ",", "nqD"}], "]"}], 
                    ",", "\" >\""}], "}"}]}], "]"}]}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"ns", ",", "1", ",", "size"}], "}"}]}], "]"}], 
                    ";", 
                    RowBox[{"Row", "[", 
                    RowBox[{"Flatten", "[", "plist", "]"}], "]"}]}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`QCWave`DForm\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"DForm[state]\\n gives output of state in Dirac \
form.\\nUse DFormA for Bra states\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "DForm[state]\n gives output of state in Dirac form.\nUse DFormA for Bra \
states", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`QCWave`DForm, {QDENSITY`QCWave`DForm[
          Pattern[QDENSITY`QCWave`stateV, 
           Blank[]]] :> 
        Module[{QDENSITY`QCWave`nqD, QDENSITY`QCWave`size, QDENSITY`QCWave`ns,
            QDENSITY`QCWave`plist, QDENSITY`QCWave`stV, QDENSITY`QCWave`coef},
           If[
            VectorQ[QDENSITY`QCWave`stateV], QDENSITY`QCWave`stV = 
            Flatten[QDENSITY`QCWave`stateV], QDENSITY`QCWave`stV = 
            QDENSITY`QCWave`stateV]; If[
            VectorQ[QDENSITY`QCWave`stV], QDENSITY`QCWave`coef[
              Pattern[QDENSITY`QCWave`js, 
               Blank[]]] := Part[QDENSITY`QCWave`stV, QDENSITY`QCWave`js], 
            QDENSITY`QCWave`coef[
              Pattern[QDENSITY`QCWave`js, 
               Blank[]]] := Part[
              Part[QDENSITY`QCWave`stV, QDENSITY`QCWave`js], 1]]; 
          QDENSITY`QCWave`nqD = IntegerPart[
             Log[2, 
              Length[QDENSITY`QCWave`stV]]]; 
          QDENSITY`QCWave`size = Length[QDENSITY`QCWave`stV]; 
          QDENSITY`QCWave`plist = {}; Do[
            If[QDENSITY`QCWave`coef[QDENSITY`QCWave`ns] == 0, " ", 
             AppendTo[QDENSITY`QCWave`plist, {" + ", "(", 
               QDENSITY`QCWave`coef[QDENSITY`QCWave`ns], ")", " |", 
               IntegerString[QDENSITY`QCWave`ns - 1, 2, QDENSITY`QCWave`nqD], 
               " >"}], 
             AppendTo[QDENSITY`QCWave`plist, {" + ", "(", 
               QDENSITY`QCWave`coef[QDENSITY`QCWave`ns], ")", " |", 
               IntegerString[QDENSITY`QCWave`ns - 1, 2, QDENSITY`QCWave`nqD], 
               " >"}]], {QDENSITY`QCWave`ns, 1, QDENSITY`QCWave`size}]; Row[
            Flatten[QDENSITY`QCWave`plist]]]}], "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`QCWave`DForm"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157350546295*^9},ExpressionUUID->"6bccfd13-e3f7-4ef1-9266-\
561882569007"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"a", "*", 
   RowBox[{"Bra", "[", "0", "]"}]}], " ", "+", " ", 
  RowBox[{"b", "*", 
   RowBox[{"Bra", "[", "1", "]"}]}]}]], "Input",ExpressionUUID->"a259fc2e-\
ec91-4bee-9485-cfc5255ba503"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"a", "b"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157350559908*^9},ExpressionUUID->"fbdbe096-3680-483a-8a76-\
4541a47015b1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"a", " ", 
   TemplateBox[{"0"},
    "Bra"]}], "+", 
  RowBox[{"b", " ", 
   TemplateBox[{"1"},
    "Bra"]}]}]], "Input",
 CellChangeTimes->{
  3.613325266167737*^9},ExpressionUUID->"5d4cf6fd-6c40-413e-8cf9-\
3a744b929232"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"a", "b"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.86015735057796*^9},ExpressionUUID->"113969fe-9292-4f34-924b-8ba9435f009a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DFormA", "[", 
  RowBox[{
   RowBox[{"a", "*", 
    RowBox[{"Bra", "[", "0", "]"}]}], " ", "+", " ", 
   RowBox[{"b", "*", 
    RowBox[{"Bra", "[", "1", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.613237447863226*^9, 3.613237491680603*^9}, 
   3.613325147241446*^9, {3.613325222330742*^9, 3.613325236227623*^9}, {
   3.6133252764856977`*^9, 
   3.613325296306723*^9}},ExpressionUUID->"6bce5fad-576f-42df-b231-\
1e7ca7bd3034"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\" ( \"", "a", "\" ) \"", "\" < \"", "\"0\"", "\" |\"", 
    "\" + \"", "\" ( \"", "b", "\" ) \"", "\" < \"", "\"1\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157350586985*^9},ExpressionUUID->"6950c71e-c3a9-4c05-9f21-\
087082ca3d3e"]
}, Open  ]],

Cell[TextData[{
 StyleBox["And we can evaluate the ",
  FontFamily->"Helvetica"],
 StyleBox[" trace and purity  ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox["of the above density matrix.",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.0",ExpressionUUID->"c89b52c4-bc21-4ebf-a58d-317f646b1660"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Tr", "[", "\[Rho]GenQubit", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Purity", "[", "\[Rho]GenQubit", "]"}], "]"}]}], "Input",
 CellTags->"b:5.1.0",ExpressionUUID->"cda4e3ff-51b9-4a26-ad81-e80e4e586ce3"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{"a", " ", 
    SuperscriptBox["a", "*"]}], "+", 
   RowBox[{"b", " ", 
    SuperscriptBox["b", "*"]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573506036997`*^9},
 CellTags->"b:5.1.0",ExpressionUUID->"b101f1ca-8aca-47c2-a5f2-2c17a2114a53"],

Cell[BoxData[
 TagBox[
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"a", " ", 
      SuperscriptBox["a", "*"]}], "+", 
     RowBox[{"b", " ", 
      SuperscriptBox["b", "*"]}]}], ")"}], "2"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.86015735060857*^9},
 CellTags->"b:5.1.0",ExpressionUUID->"96f699b9-ffcd-4830-8639-e03bfe0e4422"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Purity"}]], "Input",
 CellChangeTimes->{
  3.613237712460162*^9},ExpressionUUID->"70526ca5-1cc1-4e88-bfde-\
f0496a4efb41"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Purity[\[Rho]]\\n\\n\\t returns the purity of the \
state represented by the \\n\\n density matrix \[Rho]. It is simply \
Tr[\[Rho].\[Rho]].\\n\\n In general the Purity is a real number between 0 and \
1, \\n\\n being equal to 1 only if the state is a pure state.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Purity", "[", 
                    RowBox[{"Private`A_", "?", "MatrixQ"}], "]"}], ":=", 
                    RowBox[{"Chop", "[", 
                    RowBox[{"Tr", "[", 
                    RowBox[{"Private`A", ".", "Private`A"}], "]"}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Purity\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Purity[\[Rho]]\\n\\n\\t returns the purity of the \
state represented by the \\n\\n density matrix \[Rho]. It is simply \
Tr[\[Rho].\[Rho]].\\n\\n In general the Purity is a real number between 0 and \
1, \\n\\n being equal to 1 only if the state is a pure state.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Purity[\[Rho]]\n\n\t returns the purity of the state represented by the \
\n\n density matrix \[Rho]. It is simply Tr[\[Rho].\[Rho]].\n\n In general \
the Purity is a real number between 0 and 1, \n\n being equal to 1 only if \
the state is a pure state.", "Documentation" -> None, "OwnValues" -> None, 
     "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Purity, {QDENSITY`Qdensity`Purity[
          PatternTest[
           Pattern[Private`A, 
            Blank[]], MatrixQ]] :> Chop[
          Tr[
           Dot[Private`A, Private`A]]]}], "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`Purity"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8601573506904707`*^9},ExpressionUUID->"b1bf39d4-15c0-4422-9bdb-\
c0257938556b"]
}, Open  ]]
}, Open  ]],

Cell[TextData[{
 StyleBox["The package also contains  definitions for ",
  FontFamily->"Helvetica"],
 StyleBox["|+\[RightAngleBracket] and |-\[RightAngleBracket] states, ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox["i.e for states in the plus or minus x-direction",
  FontFamily->"Helvetica",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" :",
  FontFamily->"Helvetica",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.6133253196828814`*^9, 3.6133253305715427`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.1.0",ExpressionUUID->"475231ef-db46-4427-af44-e3d7e388352d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"KetX", "[", "0", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\n", 
 RowBox[{"KetX", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{
  3.613237809734796*^9, {3.6133253478006697`*^9, 3.613325389789362*^9}},
 CellTags->"b:5.1.0",ExpressionUUID->"ea917e4f-3060-449d-bb46-9f88ff7de812"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["1", 
       SqrtBox["2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573507037582`*^9},
 CellTags->"b:5.1.0",ExpressionUUID->"917ff794-2625-4ee0-bc68-73090fc789d8"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573507105913`*^9},
 CellTags->"b:5.1.0",ExpressionUUID->"4bee257f-73d6-4ce9-a248-4c7641278c4f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157350715589*^9},
 CellTags->"b:5.1.0",ExpressionUUID->"72f7ab71-b8f0-4ea2-9fb9-340539c73553"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"-", 
      FractionBox["1", 
       SqrtBox["2"]]}], "\")\"", "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157350719921*^9},
 CellTags->"b:5.1.0",ExpressionUUID->"a1dec6c7-0806-4e2f-a1e3-b1f95e6f21cf"]
}, Open  ]],

Cell[TextData[{
 StyleBox["One can readily check that the above states are eigenstates of ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Sigma]", 
    RowBox[{"1", " "}]], TraditionalForm]],ExpressionUUID->
  "6b3af700-3f52-4f07-829e-55ec2f0bea08"],
 "with eigenvalues 1 and -1 , respectively:"
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.0",ExpressionUUID->"5ab0da13-1f96-4b8c-844b-c13ea1926222"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["\[Sigma]", "1"], ".", 
   RowBox[{"KetX", "[", "0", "]"}]}], " ", "==", " ", 
  RowBox[{"KetX", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["\[Sigma]", "1"], ".", 
   RowBox[{"KetX", "[", "1", "]"}]}], " ", "==", 
  RowBox[{"-", 
   RowBox[{"KetX", "[", "1", "]"}]}]}]}], "Input",
 CellTags->"b:5.1.0",ExpressionUUID->"4add1457-7e6e-46eb-b860-6dc542823cd4"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157350736082*^9},
 CellTags->"b:5.1.0",ExpressionUUID->"4cdf2d85-6d5b-4a99-9932-009db979bf55"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157350740711*^9},
 CellTags->"b:5.1.0",ExpressionUUID->"d6f1f974-6d35-45f1-bd9e-a9810c9aa5ea"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Scalar products",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" are simple to compute; for instance, if we have a general state \
in the computational basis, we can compute its scalar product with the |+\
\[RightAngleBracket] or |-\[RightAngleBracket] operators (KetX[0] and \
KetX[1]):",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.0",ExpressionUUID->"4fd894a3-d6d1-496a-83b0-d4de98164532"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"Define", ":", " ", "State1"}], "=", 
    RowBox[{
     RowBox[{"a", "*", 
      RowBox[{"Bra", "[", "0", "]"}]}], "+", 
     RowBox[{"b", "*", 
      RowBox[{"Bra", "[", "1", "]"}]}]}]}], ";", "  ", 
   RowBox[{
   "set", " ", "cell", " ", "to", " ", "standard", " ", "form", " ", "and", 
    " ", "get", " ", "following"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.613237905749243*^9, 3.613237973381591*^9}, {
  3.6133948762830267`*^9, 3.6133948938882637`*^9}},
 CellTags->"b:5.1.0",ExpressionUUID->"ff91e24e-d11c-48cf-94c2-4d5cb5093ffb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"State1", "=", 
  RowBox[{
   RowBox[{"a", " ", 
    TemplateBox[{"0"},
     "Bra"]}], "+", 
   RowBox[{"b", " ", 
    TemplateBox[{"1"},
     "Bra"]}]}]}]], "Input",
 CellChangeTimes->{
  3.613237916793249*^9, {3.613394938526773*^9, 3.613394956964025*^9}},
 CellTags->"b:5.1.0",ExpressionUUID->"8dba5516-c786-4c8e-a60c-9f2f45369368"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"a", "b"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573507612553`*^9},
 CellTags->"b:5.1.0",ExpressionUUID->"e050bdb3-2756-42ae-91da-1333db4e8a31"]
}, Open  ]],

Cell[TextData[StyleBox["We can also get the Dirac for  the adjoint or Bra \
space using DFormA as in:",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.613238103258806*^9, 3.6132381522376957`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.1.0",ExpressionUUID->"d2035e21-8a20-4a9b-ad25-0650d70f058e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DFormA", "[", 
  RowBox[{
   RowBox[{"a", "*", 
    RowBox[{"Bra", "[", "0", "]"}]}], "+", 
   RowBox[{"b", "*", 
    RowBox[{"Bra", "[", "1", "]"}]}]}], " ", "]"}]], "Input",
 CellChangeTimes->{{3.613238184134593*^9, 
  3.6132382106570997`*^9}},ExpressionUUID->"13c4e001-9269-432a-8ba1-\
c06b06912cc2"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\" ( \"", "a", "\" ) \"", "\" < \"", "\"0\"", "\" |\"", 
    "\" + \"", "\" ( \"", "b", "\" ) \"", "\" < \"", "\"1\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157350772135*^9},ExpressionUUID->"d4747bc3-68d8-4e66-9966-\
d973daac87b2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"State1", ".", 
  RowBox[{"KetX", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"State1", ".", 
  RowBox[{"KetX", "[", "1", "]"}]}]}], "Input",
 CellTags->"b:5.1.0",ExpressionUUID->"b895e06d-898c-461a-a85e-1253bf6cdcca"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["a", 
        SqrtBox["2"]], "+", 
       FractionBox["b", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157350790182*^9},
 CellTags->"b:5.1.0",ExpressionUUID->"30ead829-9ae4-45cc-b4c1-946ea1360ae4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["a", 
        SqrtBox["2"]], "-", 
       FractionBox["b", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573507959127`*^9},
 CellTags->"b:5.1.0",ExpressionUUID->"b03c9dea-19b3-4739-88dc-aefb7795fcd0"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["b) MultiQubit states", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:5", "b:5.1.1"},ExpressionUUID->"bf377e58-66a1-4d6c-b405-c6fe8f8c474f"],

Cell[TextData[{
 StyleBox[" Multiqubit states are built as kronecker products of single qubit \
ones, for instance, a",
  FontFamily->"Helvetica"],
 StyleBox[" two qubit",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" state as |00\[RightAngleBracket] or |01\[RightAngleBracket] \
corresponds to:",
  FontFamily->"Helvetica"]
}], "Text",
 CellChangeTimes->{{3.859373159446553*^9, 3.8593731649030037`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.1.1",ExpressionUUID->"ddd01926-14b0-4396-ad50-c17fb8e189d0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"AF", "[", 
  RowBox[{"(", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "0"]}], ")"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"AF", "[", 
  RowBox[{"(", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "1"]}], ")"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"AF", "[", 
  RowBox[{"(", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "1"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "0"]}], ")"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"AF", "[", 
  RowBox[{"(", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "1"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "01"]}], ")"}], "]"}]}], "Input",
 CellChangeTimes->{{3.613238318350621*^9, 3.6132383361701117`*^9}, {
  3.613238366824667*^9, 3.613238408975643*^9}, {3.61407644482703*^9, 
  3.614076444843216*^9}, {3.859373075092329*^9, 3.8593730750983877`*^9}},
 CellTags->"b:5.1.1",ExpressionUUID->"87c95477-150f-45bc-a23a-240593faf46d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157350804879*^9},
 CellTags->"b:5.1.1",ExpressionUUID->"29d27a37-8f15-4590-a90c-aa6511a65a5a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157350810136*^9},
 CellTags->"b:5.1.1",ExpressionUUID->"85dc8b67-ab01-4df7-8897-1961c30c7923"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "1", "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157350814004*^9},
 CellTags->"b:5.1.1",ExpressionUUID->"6322b3f8-6aa3-48c9-a1d3-22e7709b8876"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157350818552*^9},
 CellTags->"b:5.1.1",ExpressionUUID->"caed7f17-4024-4823-8eea-f8ae76dcaedc"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"AF", "[", 
  RowBox[{
   RowBox[{"Ket", "[", "0", "]"}], " ", "\[CircleTimes]", " ", 
   RowBox[{"Ket", "[", "0", "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"AF", "[", 
  RowBox[{
   RowBox[{"Ket", "[", "0", "]"}], " ", "\[CircleTimes]", " ", 
   RowBox[{"Ket", "[", "1", "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"AF", "[", 
  RowBox[{
   RowBox[{"Ket", "[", "1", "]"}], " ", "\[CircleTimes]", " ", 
   RowBox[{"Ket", "[", "0", "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"AF", "[", 
  RowBox[{
   RowBox[{"Ket", "[", "1", "]"}], " ", "\[CircleTimes]", " ", 
   RowBox[{"Ket", "[", "1", "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.613238910424962*^9, 3.613239078086611*^9}, {
  3.614076444844013*^9, 3.614076444860324*^9}, {3.8593730751028137`*^9, 
  3.859373075108706*^9}},ExpressionUUID->"d626ce89-5ae3-4f6a-aed9-\
73c9f49c049c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1"},
     {"0"},
     {"0"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8601573508349733`*^9},ExpressionUUID->"71281630-1826-4219-90d3-\
b639bff532d4"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"00\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.86015735083976*^9},ExpressionUUID->"d266f0e9-aa6a-4d9c-9401-833fdbd159f4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0"},
     {"1"},
     {"0"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157350844063*^9},ExpressionUUID->"98f38259-ce4a-4087-915f-\
c564846a88df"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"01\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.86015735084903*^9},ExpressionUUID->"cf3b15c2-141d-4269-8f3b-2924206820a6"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0"},
     {"0"},
     {"1"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157350853923*^9},ExpressionUUID->"fe1d104d-7d38-4724-a3b4-\
312d9fb9fec9"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"10\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157350858246*^9},ExpressionUUID->"7e6041c4-7b06-4039-8782-\
5c4daffd83bb"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0"},
     {"0"},
     {"0"},
     {"1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157350863653*^9},ExpressionUUID->"560f5a17-a466-4708-b63f-\
408b8d7916a7"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"11\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157350868009*^9},ExpressionUUID->"f2be2e30-3c3c-40a8-b8b8-\
12cb1ac38cd6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"state2", "=", 
   RowBox[{
    RowBox[{"a", " ", 
     RowBox[{
      TemplateBox[{"0"},
       "Ket"], "\[CircleTimes]", 
      TemplateBox[{"0"},
       "Ket"]}]}], "+", 
    RowBox[{"b", " ", 
     RowBox[{
      TemplateBox[{"0"},
       "Ket"], "\[CircleTimes]", 
      TemplateBox[{"1"},
       "Ket"]}]}], "+", 
    RowBox[{"c", " ", 
     RowBox[{
      TemplateBox[{"1"},
       "Ket"], "\[CircleTimes]", 
      TemplateBox[{"0"},
       "Ket"]}]}], "+", 
    RowBox[{"d", " ", 
     RowBox[{
      TemplateBox[{"1"},
       "Ket"], "\[CircleTimes]", 
      TemplateBox[{"1"},
       "Ket"]}]}]}]}], ";"}], "\n", 
 RowBox[{"AF", "[", "%", "]"}], "\n", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.613239092907892*^9, 3.613239181291891*^9}, 
   3.613239223359084*^9, {3.61347281954606*^9, 3.613472839707197*^9}, 
   3.614076444861115*^9, {3.859373075119824*^9, 
   3.859373075125681*^9}},ExpressionUUID->"df499918-856f-4892-a71a-\
0bde630f97d2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"a"},
     {"b"},
     {"c"},
     {"d"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157350891099*^9},ExpressionUUID->"00903f72-a189-44fb-abc8-\
dab6dd1cdbd0"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a", "\")\"", "\" |\"", "\"00\"", "\" >\"", "\" + \"", 
    "\"(\"", "b", "\")\"", "\" |\"", "\"01\"", "\" >\"", "\" + \"", "\"(\"", 
    "c", "\")\"", "\" |\"", "\"10\"", "\" >\"", "\" + \"", "\"(\"", "d", 
    "\")\"", "\" |\"", "\"11\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157350898542*^9},ExpressionUUID->"25964def-5d51-4040-b0d1-\
99d38607721e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"state2", "=", " ", 
   RowBox[{
    RowBox[{"a", " ", 
     RowBox[{
      RowBox[{"Ket", "[", "0", "]"}], " ", "\[CircleTimes]", " ", 
      RowBox[{"Ket", "[", "0", "]"}]}]}], "+", " ", 
    RowBox[{"b", " ", 
     RowBox[{
      RowBox[{"Ket", "[", "0", "]"}], " ", "\[CircleTimes]", " ", 
      RowBox[{"Ket", "[", "1", "]"}]}]}], " ", "+", " ", 
    RowBox[{"c", "  ", 
     RowBox[{
      RowBox[{"Ket", "[", "1", "]"}], " ", "\[CircleTimes]", " ", 
      RowBox[{"Ket", "[", "0", "]"}]}]}], " ", "+", " ", 
    RowBox[{"d", " ", 
     RowBox[{
      RowBox[{"Ket", "[", "1", "]"}], " ", "\[CircleTimes]", " ", 
      RowBox[{"Ket", "[", "1", "]"}]}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"AF", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.613239092907892*^9, 3.613239181291891*^9}, {
   3.613472856612748*^9, 3.613472857506443*^9}, 3.614076444876608*^9, {
   3.8593730751309557`*^9, 
   3.859373075136438*^9}},ExpressionUUID->"b708985a-d8db-4aed-8248-\
a274b70d8b35"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"a"},
     {"b"},
     {"c"},
     {"d"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157350939093*^9},ExpressionUUID->"70f4fa1b-4d20-414d-ad5a-\
d380a6ba0aaf"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a", "\")\"", "\" |\"", "\"00\"", "\" >\"", "\" + \"", 
    "\"(\"", "b", "\")\"", "\" |\"", "\"01\"", "\" >\"", "\" + \"", "\"(\"", 
    "c", "\")\"", "\" |\"", "\"10\"", "\" >\"", "\" + \"", "\"(\"", "d", 
    "\")\"", "\" |\"", "\"11\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157350944851*^9},ExpressionUUID->"3fb944ef-94a9-4421-89f8-\
ac085f6ca7f1"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  SubscriptBox["\[ScriptCapitalP]", "0"], " ", "==", " ", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"Ket", "[", "0", "]"}], " ", "\[CircleTimes]", " ", 
    RowBox[{"Bra", "[", "0", "]"}]}], "]"}]}], "\n", 
 RowBox[{"AF", "[", 
  RowBox[{
   SubscriptBox["\[ScriptCapitalP]", "0"], " ", "\[CircleTimes]", " ", 
   SubscriptBox["\[ScriptCapitalP]", "0"]}], "]"}]}], "Input",
 CellChangeTimes->{{3.613238445217594*^9, 3.613238529594364*^9}, {
   3.6132386068173*^9, 3.613238708987796*^9}, 3.61323874676079*^9, {
   3.613238853053121*^9, 3.6132388633013983`*^9}, {3.613239254165518*^9, 
   3.613239261939003*^9}, {3.6140764448931*^9, 3.614076444909815*^9}, {
   3.859373075141622*^9, 
   3.859373075144433*^9}},ExpressionUUID->"572e4695-1104-46d7-98f5-\
56c14f1d382c"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157350955158*^9},ExpressionUUID->"ed3628a5-ec92-4183-a905-\
69fd1c6926cf"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8601573509604177`*^9},ExpressionUUID->"4afeaafa-3e4e-46f5-af1b-\
964386e2e788"]
}, Open  ]]
}, Open  ]],

Cell[TextData[{
 StyleBox[" In the earlier Qdensity, the use of the parentheses in the tensor \
product was essential when considering more than two qubits.\nNow using the \
built in kronecker product and bra ket notation that condition is released.\n \
for instance, the ",
  FontFamily->"Helvetica"],
 StyleBox["three qubit ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox["state |011\[RightAngleBracket] corresponds  the  following form:",
  FontFamily->"Helvetica"]
}], "Text",
 CellChangeTimes->{{3.6132392900624943`*^9, 3.613239304427401*^9}, {
  3.613239456915832*^9, 3.613239511193788*^9}, {3.859373178313219*^9, 
  3.859373182858231*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.1.1",ExpressionUUID->"df5a34e6-b6f5-4969-bbdf-b816358205fc"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"state", "=", 
  RowBox[{
   TemplateBox[{"0"},
    "Ket"], "\[CircleTimes]", 
   TemplateBox[{"1"},
    "Ket"], "\[CircleTimes]", 
   TemplateBox[{"1"},
    "Ket"]}]}], "\n", 
 RowBox[{"DForm", "[", "state", "]"}]}], "Input",
 CellChangeTimes->{{3.613239352640203*^9, 3.613239402614545*^9}, 
   3.613239435909606*^9, {3.613240267593163*^9, 3.613240347043003*^9}, {
   3.61324037856991*^9, 3.613240379232555*^9}, {3.613472902555773*^9, 
   3.6134730389793787`*^9}, {3.61347307309839*^9, 3.6134730958600273`*^9}, 
   3.614075965356036*^9, {3.859373075148797*^9, 3.85937307515168*^9}, {
   3.859373192083529*^9, 
   3.859373195077889*^9}},ExpressionUUID->"2751f55f-80cc-4b78-90e7-\
2cbf23ea7805"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0"},
     {"0"},
     {"0"},
     {"1"},
     {"0"},
     {"0"},
     {"0"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8601573509812613`*^9},ExpressionUUID->"16031de6-9490-48ec-b82d-\
73ff85f6875e"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"011\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157350986445*^9},ExpressionUUID->"c0b7037d-bbe3-4b7a-adc4-\
6e878e8fbe6d"]
}, Open  ]],

Cell[TextData[StyleBox["The associated projection operator is now simply:",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.6132392900624943`*^9, 3.613239304427401*^9}, {
  3.613239456915832*^9, 3.613239511193788*^9}, {3.613239549432013*^9, 
  3.6132395776562147`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.1.1",ExpressionUUID->"d049cd31-ce5a-476f-b30e-be266dcb8545"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox[" ",
   FontWeight->"Plain",
   FontColor->RGBColor[
    0.15294117647058825`, 0.32941176470588235`, 0.6431372549019608]], 
  RowBox[{
   SubscriptBox["\[ScriptCapitalP]", 
    StyleBox["0",
     ScriptLevel->0]], 
   StyleBox["\[CircleTimes]",
    ScriptLevel->0], 
   StyleBox[
    SubscriptBox["\[ScriptCapitalP]", 
     StyleBox["1",
      ScriptLevel->0]],
    ScriptLevel->0], 
   StyleBox["\[CircleTimes]",
    ScriptLevel->0], 
   StyleBox[
    SubscriptBox["\[ScriptCapitalP]", 
     StyleBox[
      RowBox[{"1", "  "}],
      ScriptLevel->0]],
    ScriptLevel->0]}]}]], "Input",
 CellChangeTimes->{{3.613239565259982*^9, 3.613239640136797*^9}, {
  3.6132396857107553`*^9, 3.613239705204183*^9}, {3.6134729658011312`*^9, 
  3.6134729660578613`*^9}, {3.615987063543676*^9, 3.615987066611474*^9}, {
  3.8593730751560173`*^9, 3.8593730751590157`*^9}, {3.859373204269455*^9, 
  3.8593732080813637`*^9}, {3.860157340786014*^9, 3.860157340787484*^9}},
 CellTags->"b:5.1.1",ExpressionUUID->"33edebf9-5caa-45bf-aa42-c1a2a940f49e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573509954*^9},
 CellTags->"b:5.1.1",ExpressionUUID->"f20ce9f1-7f65-449a-91f8-37da1e4a72df"]
}, Open  ]],

Cell[TextData[StyleBox["As an example, we build a three qubit state such as \
follows: \n[Note: KetX[0] and KetX[1] are the eigenstates of SigmaX]",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.613239749155994*^9, 3.613239770136057*^9}, {
  3.613396391147394*^9, 3.613396456460988*^9}, {3.613396497982882*^9, 
  3.6133965124835777`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.1.1",ExpressionUUID->"3cc042e9-2696-4843-b2ce-de567e0d14b7"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ket123", " ", "=", 
   StyleBox[" ",
    FontWeight->"Plain",
    FontColor->RGBColor[
     0.15294117647058825`, 0.32941176470588235`, 0.6431372549019608]], 
   RowBox[{
    RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", 
    RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", 
    RowBox[{"KetX", "[", "1", "]"}]}]}], " ", 
  ";"}], "\[IndentingNewLine]", "ket123", "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.6133958457522097`*^9, 3.613395848519493*^9}, 
   3.613396026250587*^9, {3.613396091979624*^9, 3.613396166495511*^9}, {
   3.613396220584749*^9, 3.613396225466898*^9}, {3.613396266763863*^9, 
   3.613396309882001*^9}, 3.615987094685111*^9, {3.859373075162323*^9, 
   3.8593730751652737`*^9}, {3.859373303642161*^9, 3.859373307275831*^9}, {
   3.860157340789212*^9, 3.860157340790656*^9}},
 CellTags->"b:5.1.1",ExpressionUUID->"8d4f34a3-116d-42b0-bb73-a29f35df317e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0"},
     {"0"},
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]},
     {"0"},
     {"0"},
     {"0"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351015708*^9},
 CellTags->"b:5.1.1",ExpressionUUID->"9abaff47-eaf2-4187-a143-6d7760a11260"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"010\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    RowBox[{"-", 
      FractionBox["1", 
       SqrtBox["2"]]}], "\")\"", "\" |\"", "\"011\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351020647*^9},
 CellTags->"b:5.1.1",ExpressionUUID->"633817f6-45e1-4322-b906-daff78dfa16d"]
}, Open  ]],

Cell[TextData[StyleBox["... and build the density matrix for the above state:",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.613396539605742*^9, 3.613396554117638*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.1.1",ExpressionUUID->"866f168a-79b0-4b1c-afb9-8a5ec41e3f14"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ket123", " ", "\[CircleTimes]", 
   RowBox[{"Adj", "[", "ket123", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"\[Rho]123", "=", 
  RowBox[{"AF", "[", 
   StyleBox[" ",
    FontWeight->"Plain",
    FontColor->RGBColor[
     0.15294117647058825`, 0.32941176470588235`, 0.6431372549019608]], 
   StyleBox["%",
    FontWeight->"Plain",
    FontColor->RGBColor[
     0.15294117647058825`, 0.32941176470588235`, 0.6431372549019608]], 
   StyleBox["]",
    FontFamily->"Consolas-Bold",
    FontColor->RGBColor[0., 0., 0.]]}]}], "\[IndentingNewLine]", 
 RowBox[{"\[Rho]123", ".", "\[Rho]123"}]}], "Input",
 CellChangeTimes->{
  3.613395852254318*^9, {3.613396342404159*^9, 3.6133963574001083`*^9}, {
   3.61339659458442*^9, 3.6133966209857817`*^9}, 3.615987094691965*^9, 
   3.859373075169951*^9, 3.860157340792246*^9},
 CellTags->"b:5.1.1",ExpressionUUID->"406ce482-236e-41b0-b2eb-7b5f0d1f9c05"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", 
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", "0", "0", "0"},
     {"0", "0", 
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      FractionBox["1", "2"], "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351030251*^9},
 CellTags->"b:5.1.1",ExpressionUUID->"0ccec5db-6898-41c3-9a08-2bd81bdbbb79"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", 
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", "0", "0", "0"},
     {"0", "0", 
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      FractionBox["1", "2"], "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573510359983`*^9},
 CellTags->"b:5.1.1",ExpressionUUID->"2368504c-ecc3-4e67-ba30-44441187f177"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Then check its ",
  FontFamily->"Helvetica"],
 StyleBox["Trace and Purity",
  FontFamily->"Helvetica",
  FontWeight->"Bold"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.1",ExpressionUUID->"2aa52633-de91-47a2-b170-19c8a8b1b3c9"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Tr", "[", "\[Rho]123", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Purity", "[", "\[Rho]123", "]"}]}], "Input",
 CellTags->"b:5.1.1",ExpressionUUID->"265b3060-37a6-40b2-be04-f44b36a83f19"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351053081*^9},
 CellTags->"b:5.1.1",ExpressionUUID->"72cf1ae1-61fe-4287-87d7-32a2c6d1dd1b"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351057927*^9},
 CellTags->"b:5.1.1",ExpressionUUID->"80a26b1f-5146-4ef1-8e11-05fa078cbb84"]
}, Open  ]],

Cell[TextData[StyleBox["For computational base states, we can alternatively  \
use the function KetV[List] and BraV[List]:",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.613396641842534*^9, 3.613396687570217*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.1.1",ExpressionUUID->"4377cd2d-f10d-427f-bef7-42b7723eed6a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"KetV", "[", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "1"}], "}"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"xx", "=", 
  RowBox[{"AF", "[", "%", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.613397362719654*^9, 3.613397368242886*^9}, {
   3.61339917034266*^9, 3.6133992736777477`*^9}, {3.613399310812378*^9, 
   3.61339933698915*^9}, {3.613470980719081*^9, 3.613470981764605*^9}, {
   3.6134712188142033`*^9, 3.613471296107991*^9}, {3.6134715448010883`*^9, 
   3.613471552348054*^9}, {3.613471986218726*^9, 3.613472037065545*^9}, 
   3.614075965389778*^9},
 CellTags->"b:5.1.1",ExpressionUUID->"20008c1c-5e82-4fee-8b36-e24c68c35c6d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0"},
     {"0"},
     {"0"},
     {"1"},
     {"0"},
     {"0"},
     {"0"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573510668087`*^9},
 CellTags->"b:5.1.1",ExpressionUUID->"22d3ed08-b731-40be-b017-0cecd34683af"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"011\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351071637*^9},
 CellTags->"b:5.1.1",ExpressionUUID->"85992195-a880-4a9f-8e0d-ee6ef8d661f9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"4", "*", 
    RowBox[{"BraV", "[", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "1", ",", "0", ",", "1"}], "}"}], "]"}]}], 
   " ", "+", " ", 
   RowBox[{"BraV", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "1", ",", "0", ",", "1"}], "}"}], "]"}], "+", 
   RowBox[{"A", "*", 
    RowBox[{"BraV", "[", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "1", ",", "1"}], "}"}], "]"}]}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{"AF", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.613397382777728*^9, 3.61339738834566*^9}, 
   3.613397582815563*^9, 3.613397666567774*^9, 3.6133977911790943`*^9, {
   3.613399507634158*^9, 3.613399525092966*^9}, 3.614075965407085*^9},
 CellTags->"b:5.1.1",ExpressionUUID->"5ffea734-e6f2-492a-9720-9e3323c342eb"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "A", "0", "0", "0", "0", "0", "0", "0", "0", "0", "4", 
      "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "1", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573510886183`*^9},
 CellTags->"b:5.1.1",ExpressionUUID->"ba1876c7-282f-486f-8f53-c828be7cdb4d"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\" ( \"", "A", "\" ) \"", "\" < \"", "\"00011\"", "\" |\"", 
    "\" + \"", "\" ( \"", "4", "\" ) \"", "\" < \"", "\"01101\"", "\" |\"", 
    "\" + \"", "\" ( \"", "1", "\" ) \"", "\" < \"", "\"11101\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573510939713`*^9},
 CellTags->"b:5.1.1",ExpressionUUID->"cee13c70-677d-4979-ae71-75dca15ce580"]
}, Open  ]],

Cell[TextData[StyleBox["For example, the following expressions give the same \
output: ",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.1",ExpressionUUID->"58b90ae3-520b-42bd-a163-881b7e3a52ae"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"KetV", "[", 
   RowBox[{"{", "0", "}"}], "]"}], "\[Equal]", 
  RowBox[{"Ket", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"KetV", "[", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], "]"}], "\[Equal]", " ", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", 
    RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"KetV", "[", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "1"}], "}"}], "]"}], "\[Equal]", " ", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", 
    RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", 
    RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.615891543015644*^9, 3.615891572738861*^9}, {
  3.8593730751811857`*^9, 3.859373075185502*^9}, {3.860157340793833*^9, 
  3.8601573407964373`*^9}},ExpressionUUID->"f56f3465-6e90-4360-97e2-\
5f0f575ff2e2"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157351103005*^9},ExpressionUUID->"9c88c428-871f-41e0-bbfb-\
de87b8fa5334"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8601573511075563`*^9},ExpressionUUID->"0704188d-e40a-4550-a628-\
4debde3fc1b3"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157351110948*^9},ExpressionUUID->"725720f2-5974-4d70-820c-\
a08e143051d1"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"KetV", "[", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], "]"}], "==", 
   RowBox[{
    RowBox[{"Ket", "[", "a", "]"}], "\[CircleTimes]", 
    RowBox[{"Ket", "[", "b", "]"}], "\[CircleTimes]", 
    RowBox[{"Ket", "[", "c", "]"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.613398016719359*^9, 3.61339803341225*^9}, 
   3.6133980694684553`*^9, {3.6133981079293003`*^9, 3.613398160238776*^9}, {
   3.613398973935718*^9, 3.6133990010821333`*^9}, {3.6133990453034077`*^9, 
   3.613399059004469*^9}, 3.615891532080637*^9, {3.615891581130971*^9, 
   3.6158915926387978`*^9}, {3.8593730751885*^9, 3.8593730751915417`*^9}, {
   3.860157340798189*^9, 3.860157340799344*^9}},
 CellTags->"b:5.1.1",ExpressionUUID->"52bf331e-bbc9-4428-8078-82bb981237fe"]
}, Open  ]],

Cell[CellGroupData[{

Cell["c) Bell and GHZ states", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:6", "b:5.1.2"},ExpressionUUID->"ebdd1f3e-2aba-4fcb-ae0d-77b9ae5f4753"],

Cell[TextData[StyleBox[" Relevant two and three qubit states are the Bell \
states and the GHZ state. ",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.2",ExpressionUUID->"92b1a419-9aab-4138-9a4c-77a2aec043ac"],

Cell[TextData[{
 StyleBox["The ",
  FontFamily->"Helvetica"],
 StyleBox["Bell states",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" are the following:\n",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["B", "00"], "=", " ", 
    RowBox[{"1", "/", 
     SqrtBox["2"]}]}], TraditionalForm]],ExpressionUUID->
  "9517204b-1201-45e9-a566-4bb30fb02285"],
 "( |00\[RightAngleBracket] + |11\[RightAngleBracket] )\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["B", "01"], "=", " ", 
    RowBox[{"1", "/", 
     SqrtBox["2"]}]}], TraditionalForm]],ExpressionUUID->
  "505c9fa8-58d4-4cd1-b21c-2e6761b92238"],
 "( |01\[RightAngleBracket] + |10\[RightAngleBracket] )\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["B", "10"], "=", " ", 
    RowBox[{"1", "/", 
     SqrtBox["2"]}]}], TraditionalForm]],ExpressionUUID->
  "08a6cbb3-72c2-486d-adeb-5cd75af6f32d"],
 "( |00\[RightAngleBracket] - |11\[RightAngleBracket] )\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["B", "11"], "=", " ", 
    RowBox[{"1", "/", 
     SqrtBox["2"]}]}], TraditionalForm]],ExpressionUUID->
  "fdd0e8bd-8aad-4ec9-9679-9e36254bcd01"],
 "( |01\[RightAngleBracket] - |10\[RightAngleBracket] )"
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.2",ExpressionUUID->"50d4acb7-3470-4ba0-8fda-8127ac1c9a92"],

Cell[TextData[StyleBox["They can all be constructed in the following way, \
first we build a Bell operator of the form:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.2",ExpressionUUID->"9d8d67e4-4377-4767-a248-27e8b9e4edc6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"SP", "[", 
   RowBox[{"2", ",", " ", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.61347709826867*^9, 3.613477122567752*^9}, {
  3.613477695446796*^9, 
  3.6134776975262833`*^9}},ExpressionUUID->"5c15ab41-1c69-447f-8783-\
130e0a4a2cd0"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"0", "0", "\[ImaginaryI]", "0"},
     {"0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0", "0"},
     {"\[ImaginaryI]", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157351131257*^9},ExpressionUUID->"09feaa02-dbd6-4fdd-b64d-\
1b288903f839"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CNOT", "[", 
  RowBox[{"2", ",", "1", ",", "2"}], "]"}]], "Input",ExpressionUUID->\
"1e6c7637-7baf-4c32-bd8d-6e85d4c1c029"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "0", "1"},
     {"0", "0", "1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157351140514*^9},ExpressionUUID->"7896cbe5-f81b-4243-9694-\
1608b432c070"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CNOT", "[", 
  RowBox[{"3", ",", "1", ",", "3"}], "]"}]], "Input",
 CellChangeTimes->{{3.613723188502368*^9, 
  3.6137231992058477`*^9}},ExpressionUUID->"c547fc61-4ed3-4482-9a26-\
33b142ece293"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0"},
     {"0", "0", "0", "0", "1", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1"},
     {"0", "0", "0", "0", "0", "0", "1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157351158209*^9},ExpressionUUID->"328c9be6-630a-4cb1-8213-\
fb1522472c7f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"AF", "[", 
   RowBox[{"TensorProduct", "[", 
    RowBox[{
     RowBox[{"s", "[", "1", "]"}], ",", 
     RowBox[{"s", "[", "2", "]"}]}], "]"}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{
  3.6134784899071093`*^9, 3.614076444910709*^9, {3.6159871950223*^9, 
   3.615987214395432*^9}, 
   3.615987251454528*^9},ExpressionUUID->"a9333544-40d9-4165-841d-\
0710224c2713"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"0", "0", "\[ImaginaryI]", "0"},
     {"0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0", "0"},
     {"\[ImaginaryI]", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8601573511676283`*^9},ExpressionUUID->"5bb984a8-09c7-4cf8-bc28-\
4d5b9ae83988"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Bellop", "=", " ", 
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"2", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"had", "[", 
    RowBox[{"2", ",", "1"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.61347327157146*^9, 3.6134732947560062`*^9}, {
   3.6134747595836267`*^9, 3.6134747637450933`*^9}, {3.613474832181484*^9, 
   3.6134748675886717`*^9}, {3.613474909966362*^9, 3.613474923183617*^9}, {
   3.6134753263880243`*^9, 3.613475363331472*^9}, {3.613475547216036*^9, 
   3.613475550106831*^9}, 3.613475593271291*^9, {3.613476315936162*^9, 
   3.613476316745908*^9}, {3.6134763492144127`*^9, 3.613476351555147*^9}, {
   3.6134763992059183`*^9, 3.613476405660802*^9}, {3.6134785654804296`*^9, 
   3.613478567437078*^9}},
 CellTags->"b:5.1.2",ExpressionUUID->"2fbd723d-9590-42aa-bd43-2c6f7e1c835e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0"},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]]},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]},
     {
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573511864843`*^9},
 CellTags->"b:5.1.2",ExpressionUUID->"1478533c-48c5-4de5-96d9-d6e4ad854855"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"Adj", "[", "Bellop", "]"}], ".", "Bellop"}],
  ScriptLevel->0]], "Input",
 CellChangeTimes->{
  3.613474725914527*^9, {3.613475476151991*^9, 3.61347551145238*^9}, {
   3.613475725777679*^9, 
   3.613475746502296*^9}},ExpressionUUID->"412b16e5-358b-4fa5-aad5-\
374cf0cbf79a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "1", "0"},
     {"0", "0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157351196753*^9},ExpressionUUID->"979f7eb3-cc18-4684-8c32-\
4801b7679d32"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  SubscriptBox["\[ScriptCapitalP]", 
   StyleBox[
    RowBox[{"a_", ",", "b_"}],
    ScriptLevel->0]], " ", ":=", 
  RowBox[{"AF", "[", 
   RowBox[{"(", 
    StyleBox[
     RowBox[{
      SubscriptBox["\[ScriptCapitalP]", 
       StyleBox["a",
        ScriptLevel->0]], "\[CircleTimes]", 
      SubscriptBox["\[ScriptCapitalP]", 
       StyleBox["b",
        ScriptLevel->0]]}],
     ScriptLevel->0], 
    StyleBox[")",
     ScriptLevel->0]}], 
   StyleBox["]",
    ScriptLevel->0]}]}]], "Input",
 CellChangeTimes->{{3.613479730026163*^9, 3.613479745111471*^9}, 
   3.613479809513042*^9, 3.614076444942905*^9, 3.859373075203662*^9, 
   3.86015734080138*^9},ExpressionUUID->"3b75a524-0bb8-46f3-8ebc-\
8d69bb5b27c1"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   SubscriptBox["B", 
    RowBox[{"a_", ",", "b_"}]], ":=", 
   RowBox[{"Bellop", ".", 
    SubscriptBox["\[ScriptCapitalP]", 
     StyleBox[
      RowBox[{"a", ",", "b"}],
      ScriptLevel->0]], ".", 
    StyleBox[
     RowBox[{"Adj", "[", "Bellop", "]"}],
     ScriptLevel->0], " "}]}]}]], "Input",
 CellChangeTimes->{{3.613473332015998*^9, 3.613473337144639*^9}, 
   3.613473389511838*^9, {3.613474675521984*^9, 3.6134746797581367`*^9}, {
   3.613476246751739*^9, 3.613476272075659*^9}, {3.6134763274321947`*^9, 
   3.613476327623478*^9}, 3.613476496588154*^9, {3.613476634937125*^9, 
   3.613476642747583*^9}, {3.6134786043480263`*^9, 3.6134786432029877`*^9}, {
   3.613479754436592*^9, 3.613479800187248*^9}},
 CellTags->"b:5.1.2",ExpressionUUID->"9c636e0d-c715-41c1-9313-fe6501402c9f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  SubscriptBox["B", 
   RowBox[{"0", ",", "0"}]]}]], "Input",
 CellChangeTimes->{{3.613473349125198*^9, 
  3.6134733534557247`*^9}},ExpressionUUID->"676fcbb2-2d74-4e0c-bfc4-\
2325a70d50ca"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0", "0", 
      FractionBox["1", "2"]},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {
      FractionBox["1", "2"], "0", "0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157351221815*^9},ExpressionUUID->"cd85ee17-4bd9-4b83-938b-\
989016171b03"]
}, Open  ]],

Cell[TextData[{
 StyleBox["These states are of great importance in quantum circuits.  Check \
for instance the Teleportation circuit; click here: ",
  FontFamily->"Helvetica"],
 ButtonBox["Teleportation2014.nb",
  BaseStyle->"Hyperlink",
  ButtonData:>{"Teleportation2014.nb", None}]
}], "Text",
 CellChangeTimes->{{3.618492312309663*^9, 3.618492322387579*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.1.2",ExpressionUUID->"90709f22-a35d-4654-9b34-7661d3f8132c"],

Cell[TextData[{
 StyleBox["The ",
  FontFamily->"Helvetica"],
 StyleBox["GHZ state",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" may be prepared by acting on a state with three qubits all  \
initialized to 0 with the following operator:",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.2",ExpressionUUID->"1b8f1496-a93a-42ea-8c9e-da07bb8d2562"],

Cell[BoxData[
 RowBox[{
  RowBox[{"GHZop", "=", 
   RowBox[{
    RowBox[{"CNOT", "[", 
     RowBox[{"3", ",", "1", ",", "3"}], "]"}], ".", 
    RowBox[{"CNOT", "[", 
     RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
    RowBox[{"had", "[", 
     RowBox[{"3", ",", "1"}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.61347991741864*^9, 3.613479923268484*^9}},
 CellTags->"b:5.1.2",ExpressionUUID->"e7fbb07e-507e-4529-b95e-50f22881a34b"],

Cell[TextData[StyleBox["Then the density matrix for this GHZ state  is:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.2",ExpressionUUID->"004fb12f-1753-4a61-b34a-dd14f0bdde66"],

Cell[BoxData[
 RowBox[{
  SubscriptBox["\[ScriptCapitalP]", 
   StyleBox[
    RowBox[{"a_", ",", "b_", ",", "c_"}],
    ScriptLevel->0]], " ", ":=", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "a"], 
    RowBox[{
     StyleBox["\[CircleTimes]",
      ScriptLevel->0], 
     RowBox[{
      StyleBox[
       SubscriptBox["\[ScriptCapitalP]", 
        StyleBox["b",
         ScriptLevel->0]],
       ScriptLevel->0], "\[CircleTimes]", 
      SubscriptBox["\[ScriptCapitalP]", "c"]}]}]}], 
   StyleBox["]",
    ScriptLevel->0]}]}]], "Input",
 CellChangeTimes->{{3.613479828053114*^9, 3.613479866647189*^9}, {
   3.61347993308918*^9, 3.6134799438878202`*^9}, {3.6134799809099007`*^9, 
   3.6134800074405003`*^9}, {3.613480087950432*^9, 3.613480090964984*^9}, 
   3.6140759654222717`*^9, {3.859373075209751*^9, 3.859373075212747*^9}, 
   3.86015734082788*^9},ExpressionUUID->"a46b5b14-c0d6-4eb6-95de-\
faef9604bb4f"],

Cell[CellGroupData[{

Cell[BoxData[
 SubscriptBox["\[ScriptCapitalP]", 
  RowBox[{"0", ",", "0", ",", "0"}]]], "Input",
 CellChangeTimes->{{3.6134800458196917`*^9, 
  3.613480052265192*^9}},ExpressionUUID->"5deb2f1c-3b40-4871-a065-\
fff2b8608e9c"],

Cell[BoxData[
 TemplateBox[{
  "KroneckerProduct", "argmu", 
   "\"\\!\\(\\*RowBox[{\\\"KroneckerProduct\\\"}]\\) called with 1 argument; \
\\!\\(\\*RowBox[{\\\"2\\\"}]\\) or more arguments are expected.\"", 2, 94, 1, 
   25526410598220770777, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.860157351303359*^9},ExpressionUUID->"c6367ac4-ffe4-44de-960b-\
9f1d41bc2167"],

Cell[BoxData[
 TemplateBox[{
  "KroneckerProduct", "argmu", 
   "\"\\!\\(\\*RowBox[{\\\"KroneckerProduct\\\"}]\\) called with 1 argument; \
\\!\\(\\*RowBox[{\\\"2\\\"}]\\) or more arguments are expected.\"", 2, 94, 2, 
   25526410598220770777, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.860157351325001*^9},ExpressionUUID->"1e381a08-27a4-4635-bc0d-\
59b5338676b6"],

Cell[BoxData[
 TemplateBox[{
  "KroneckerProduct", "argmu", 
   "\"\\!\\(\\*RowBox[{\\\"KroneckerProduct\\\"}]\\) called with 1 argument; \
\\!\\(\\*RowBox[{\\\"2\\\"}]\\) or more arguments are expected.\"", 2, 94, 3, 
   25526410598220770777, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.860157351333784*^9},ExpressionUUID->"18d5a522-2999-4985-8bbd-\
d7ff5b3934f3"],

Cell[BoxData[
 TemplateBox[{
  "General", "stop", 
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"KroneckerProduct\\\", \
\\\"::\\\", \\\"argmu\\\"}], \\\"MessageName\\\"]\\) will be suppressed \
during this calculation.\"", 2, 94, 4, 25526410598220770777, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.860157351342111*^9},ExpressionUUID->"2209fa31-c280-4421-a18c-\
9149aaa84067"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"KroneckerProduct", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], "]"}], 
      "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8601573513514137`*^9},ExpressionUUID->"3287ad37-4db2-449f-b470-\
d95225ff9981"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Rho]GHZ", "=", 
  RowBox[{"GHZop", ".", 
   RowBox[{"(", 
    StyleBox[
     RowBox[{
      SubscriptBox["\[ScriptCapitalP]", 
       RowBox[{"0", ",", "0", ",", "0"}]], ".", 
      RowBox[{"Adj", "[", "GHZop", "]"}]}],
     ScriptLevel->0], 
    StyleBox[")",
     ScriptLevel->0]}]}]}]], "Input",
 CellChangeTimes->{{3.613479874433743*^9, 3.6134799070686703`*^9}},
 CellTags->"b:5.1.2",ExpressionUUID->"fe37c2e0-003c-4628-af68-8f46c6874c7a"],

Cell[BoxData[
 TemplateBox[{
  "KroneckerProduct", "argmu", 
   "\"\\!\\(\\*RowBox[{\\\"KroneckerProduct\\\"}]\\) called with 1 argument; \
\\!\\(\\*RowBox[{\\\"2\\\"}]\\) or more arguments are expected.\"", 2, 95, 5, 
   25526410598220770777, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8601573513591557`*^9},
 CellTags->"b:5.1.2",ExpressionUUID->"c2dbff69-4875-41b9-b8d8-a9184596e8f0"],

Cell[BoxData[
 TemplateBox[{
  "KroneckerProduct", "argmu", 
   "\"\\!\\(\\*RowBox[{\\\"KroneckerProduct\\\"}]\\) called with 1 argument; \
\\!\\(\\*RowBox[{\\\"2\\\"}]\\) or more arguments are expected.\"", 2, 95, 6, 
   25526410598220770777, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8601573513689833`*^9},
 CellTags->"b:5.1.2",ExpressionUUID->"3a55f978-5e84-4f49-a57a-10bd1c18d404"],

Cell[BoxData[
 TemplateBox[{
  "KroneckerProduct", "argmu", 
   "\"\\!\\(\\*RowBox[{\\\"KroneckerProduct\\\"}]\\) called with 1 argument; \
\\!\\(\\*RowBox[{\\\"2\\\"}]\\) or more arguments are expected.\"", 2, 95, 7, 
   25526410598220770777, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8601573513775578`*^9},
 CellTags->"b:5.1.2",ExpressionUUID->"87b6d598-dbbf-4fe8-acc8-a414fbba96a0"],

Cell[BoxData[
 TemplateBox[{
  "General", "stop", 
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"KroneckerProduct\\\", \
\\\"::\\\", \\\"argmu\\\"}], \\\"MessageName\\\"]\\) will be suppressed \
during this calculation.\"", 2, 95, 8, 25526410598220770777, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.86015735138617*^9},
 CellTags->"b:5.1.2",ExpressionUUID->"eaddc168-1820-42a3-b8aa-d63a694824ff"],

Cell[BoxData[
 TemplateBox[{
  "Dot", "dotsh", 
   "\"Tensors \\!\\(\\*RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{RowBox[{\\\"KroneckerProduct\\\", \\\"[\\\", RowBox[{\\\"{\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{\\\"1\\\", \\\",\\\", \\\"0\\\", \
\\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\"}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
\\\"0\\\", \\\",\\\", \\\"0\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
\\\"0\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\
\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\"}], \
\\\"}\\\"}]}], \\\"}\\\"}], \\\"]\\\"}], \\\",\\\", \\\"0\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\",\\\", \\\"0\\\"}], \
\\\"}\\\"}]}], \\\"}\\\"}]\\) and \\!\\(\\*RowBox[{\\\"{\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{FractionBox[\\\"1\\\", \
SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \
\\\",\\\", FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]]}], \\\"}\\\"}], \\\",\\\
\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\",\\\", FractionBox[\\\"1\\\", \
SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", FractionBox[\\\"1\\\", SqrtBox[\\\
\"2\\\"]], \\\",\\\", \\\"0\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", FractionBox[\\\"1\\\", \
SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\", \\\",\\\", \
\\\"0\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\
\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", FractionBox[\\\"1\\\", \
SqrtBox[\\\"2\\\"]], \\\",\\\", FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]], \
\\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\"}], \
\\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{FractionBox[\\\"1\\\", \
SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \
\\\",\\\", RowBox[{\\\"-\\\", FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]]}]}], \
\\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\",\\\", \
FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\", \\\",\\\", \
\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
RowBox[{\\\"-\\\", FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]]}], \\\",\\\", \
\\\"0\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\
\",\\\", \\\"0\\\", \\\",\\\", FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]], \\\
\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", RowBox[{\\\"-\\\", \
FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]]}], \\\",\\\", \\\"0\\\", \
\\\",\\\", \\\"0\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\
\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]], \\\",\\\", RowBox[{\\\"-\\\", \
FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]]}], \\\",\\\", \\\"0\\\", \
\\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\"}], \\\"}\\\"}]}], \\\"}\\\"}]\\) \
have incompatible shapes.\"", 2, 95, 9, 25526410598220770777, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.860157351406488*^9},
 CellTags->"b:5.1.2",ExpressionUUID->"f1e82873-5cf9-44a9-8168-7a728c99e372"],

Cell[BoxData[
 TemplateBox[{
  "Dot", "dotsh", 
   "\"Tensors \\!\\(\\*RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\", \
\\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", FractionBox[\\\"1\\\", \
SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
\\\"0\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\
\",\\\", FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\", \\\
\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", FractionBox[\\\"1\\\", \
SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\"}], \
\\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\",\\\", \
\\\"0\\\", \\\",\\\", FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]], \\\",\\\", \
\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\"}], \
\\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\",\\\", \
\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", FractionBox[\\\"1\\\", SqrtBox[\\\
\"2\\\"]], \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \
\\\",\\\", FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]]}], \\\"}\\\"}], \\\",\\\
\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\
\"0\\\", \\\",\\\", FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]], \\\",\\\", \\\
\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", RowBox[{\\\"-\
\\\", FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]]}]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\", \\\",\\\", \
\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", RowBox[{\\\"-\\\", FractionBox[\\\
\"1\\\", SqrtBox[\\\"2\\\"]]}], \\\",\\\", \\\"0\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\",\\\", FractionBox[\\\"1\
\\\", SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \
\\\",\\\", \\\"0\\\", \\\",\\\", RowBox[{\\\"-\\\", FractionBox[\\\"1\\\", \
SqrtBox[\\\"2\\\"]]}], \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\"}], \
\\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{FractionBox[\\\"1\\\", \
SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
\\\"0\\\", \\\",\\\", RowBox[{\\\"-\\\", FractionBox[\\\"1\\\", SqrtBox[\\\"2\
\\\"]]}], \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\"}], \
\\\"}\\\"}]}], \\\"}\\\"}]\\) and \\!\\(\\*RowBox[{\\\"{\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"KroneckerProduct\\\", \
\\\"[\\\", RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{\\\"1\\\", \
\\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\"}], \
\\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\",\\\", \
\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\"}], \\\"}\\\"}], \\\",\\\
\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\
\"0\\\", \\\",\\\", \\\"0\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
\\\"0\\\"}], \\\"}\\\"}]}], \\\"}\\\"}], \\\"]\\\"}], \\\",\\\", \\\"0\\\"}], \
\\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\",\\\", \
\\\"0\\\"}], \\\"}\\\"}]}], \\\"}\\\"}]\\) have incompatible shapes.\"", 2, 
   95, 10, 25526410598220770777, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.860157351421556*^9},
 CellTags->"b:5.1.2",ExpressionUUID->"05fa4cc9-f28a-4ac9-b520-dd5338dd0610"],

Cell[BoxData[
 TemplateBox[{
  "Dot", "dotsh", 
   "\"Tensors \\!\\(\\*RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{RowBox[{\\\"KroneckerProduct\\\", \\\"[\\\", RowBox[{\\\"{\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{\\\"1\\\", \\\",\\\", \\\"0\\\", \
\\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\"}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
\\\"0\\\", \\\",\\\", \\\"0\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
\\\"0\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\
\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\"}], \
\\\"}\\\"}]}], \\\"}\\\"}], \\\"]\\\"}], \\\",\\\", \\\"0\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\",\\\", \\\"0\\\"}], \
\\\"}\\\"}]}], \\\"}\\\"}]\\) and \\!\\(\\*RowBox[{\\\"{\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{FractionBox[\\\"1\\\", \
SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \
\\\",\\\", FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]]}], \\\"}\\\"}], \\\",\\\
\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\",\\\", FractionBox[\\\"1\\\", \
SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", FractionBox[\\\"1\\\", SqrtBox[\\\
\"2\\\"]], \\\",\\\", \\\"0\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", FractionBox[\\\"1\\\", \
SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\", \\\",\\\", \
\\\"0\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\
\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", FractionBox[\\\"1\\\", \
SqrtBox[\\\"2\\\"]], \\\",\\\", FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]], \
\\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\"}], \
\\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{FractionBox[\\\"1\\\", \
SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \
\\\",\\\", RowBox[{\\\"-\\\", FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]]}]}], \
\\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\",\\\", \
FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]], \\\",\\\", \\\"0\\\", \\\",\\\", \
\\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
RowBox[{\\\"-\\\", FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]]}], \\\",\\\", \
\\\"0\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"0\\\", \\\
\",\\\", \\\"0\\\", \\\",\\\", FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]], \\\
\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", RowBox[{\\\"-\\\", \
FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]]}], \\\",\\\", \\\"0\\\", \
\\\",\\\", \\\"0\\\"}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\
\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\", \\\",\\\", \
FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]], \\\",\\\", RowBox[{\\\"-\\\", \
FractionBox[\\\"1\\\", SqrtBox[\\\"2\\\"]]}], \\\",\\\", \\\"0\\\", \
\\\",\\\", \\\"0\\\", \\\",\\\", \\\"0\\\"}], \\\"}\\\"}]}], \\\"}\\\"}]\\) \
have incompatible shapes.\"", 2, 95, 11, 25526410598220770777, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8601573514331293`*^9},
 CellTags->"b:5.1.2",ExpressionUUID->"d8228fda-5c31-4b5a-96ad-13b79266b0dc"],

Cell[BoxData[
 TemplateBox[{
  "General", "stop", 
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"Dot\\\", \\\"::\\\", \\\
\"dotsh\\\"}], \\\"MessageName\\\"]\\) will be suppressed during this \
calculation.\"", 2, 95, 12, 25526410598220770777, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.860157351444272*^9},
 CellTags->"b:5.1.2",ExpressionUUID->"5935333f-3465-4aef-81d2-10ac60e9b57d"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", 
        SqrtBox["2"]], ",", "0", ",", "0", ",", "0", ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", "0", ",", "0", ",", "0", ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", "0", ",", "0", ",", "0", ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", "0", ",", "0", ",", "0", ",", 
       FractionBox["1", 
        SqrtBox["2"]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", "0", ",", "0", ",", "0", ",", 
       RowBox[{"-", 
        FractionBox["1", 
         SqrtBox["2"]]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", "0", ",", "0", ",", "0", ",", 
       RowBox[{"-", 
        FractionBox["1", 
         SqrtBox["2"]]}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", "0", ",", "0", ",", "0", ",", 
       RowBox[{"-", 
        FractionBox["1", 
         SqrtBox["2"]]}], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", 
        SqrtBox["2"]], ",", "0", ",", "0", ",", "0", ",", 
       RowBox[{"-", 
        FractionBox["1", 
         SqrtBox["2"]]}], ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ".", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"KroneckerProduct", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], "]"}],
        ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ".", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", 
        SqrtBox["2"]], ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", 
       FractionBox["1", 
        SqrtBox["2"]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", "0", ",", "0", ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", 
        SqrtBox["2"]], ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", 
       RowBox[{"-", 
        FractionBox["1", 
         SqrtBox["2"]]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       RowBox[{"-", 
        FractionBox["1", 
         SqrtBox["2"]]}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", "0", ",", "0", ",", 
       RowBox[{"-", 
        FractionBox["1", 
         SqrtBox["2"]]}], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", 
       RowBox[{"-", 
        FractionBox["1", 
         SqrtBox["2"]]}], ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351453622*^9},
 CellTags->"b:5.1.2",ExpressionUUID->"c5a4c696-60ac-4d1d-9a91-bf5bceee3ef3"]
}, Open  ]],

Cell[TextData[StyleBox["Which is mathematically equivalent to building the \
state and then its density matrix  as:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.2",ExpressionUUID->"b54621e8-2505-4047-bdc3-bef345f79117"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"GHZvec", "=", 
  RowBox[{"AF", "[", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        TemplateBox[{"0"},
         "Ket"], "\[CircleTimes]", 
        TemplateBox[{"0"},
         "Ket"]}], ")"}], "\[CircleTimes]", 
      TemplateBox[{"0"},
       "Ket"]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        TemplateBox[{"1"},
         "Ket"], "\[CircleTimes]", 
        TemplateBox[{"1"},
         "Ket"]}], ")"}], "\[CircleTimes]", 
      TemplateBox[{"1"},
       "Ket"]}]}], 
    SqrtBox["2"]], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\n", 
 RowBox[{"\[Rho]GHZvec", "=", 
  RowBox[{"GHZvec", "\[CircleTimes]", 
   RowBox[{"Adj", "[", "GHZvec", "]"}]}]}]}], "Input",
 CellChangeTimes->{
  3.613479684446885*^9, {3.613480129298129*^9, 3.6134801392256603`*^9}, 
   3.613504219535428*^9, {3.613504257019457*^9, 3.613504300835391*^9}, 
   3.6140759654407473`*^9, {3.859373075221654*^9, 3.859373075234313*^9}, {
   3.860157340831806*^9, 3.8601573408434772`*^9}},
 CellTags->"b:5.1.2",ExpressionUUID->"62c77637-3bd8-4b84-857d-04c7490fb8e9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {"0"},
     {"0"},
     {"0"},
     {"0"},
     {"0"},
     {"0"},
     {
      FractionBox["1", 
       SqrtBox["2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351476344*^9},
 CellTags->"b:5.1.2",ExpressionUUID->"a012ca0f-86cc-4b3a-b80c-35b389b30caa"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"000\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351482826*^9},
 CellTags->"b:5.1.2",ExpressionUUID->"2b0db14e-0a84-4adf-bd7f-fe9ea742e59f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "2"]},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {
      FractionBox["1", "2"], "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.86015735148768*^9},
 CellTags->"b:5.1.2",ExpressionUUID->"c602d931-2955-4483-b101-98658cdbac3d"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["d) Subsystems, partial traces", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:7", "b:5.1.3"},ExpressionUUID->"3f6bd59f-a0b2-4145-b76b-1a78f690e030"],

Cell[TextData[{
 StyleBox[" The density matrix of a specific subsystem can be computed easily \
by taking partial traces of the density matrix of the full system, e.g. we \
will build the ",
  FontFamily->"Helvetica"],
 StyleBox["4 qubit state ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox["|0111\[RightAngleBracket] and then recover the state of either the \
subsystem (1) or the subsystems (24).  For example, starting with a four \
qubit state |0111\[RightAngleBracket], its density matrix is constructed and \
then partial traces taken:",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.3",ExpressionUUID->"58b13c8b-e530-4a78-abeb-f3b57b5f2b66"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  SubscriptBox["\[Rho]", "1234"], "=", 
  RowBox[{"AF", "[", 
   StyleBox[
    RowBox[{
     SubscriptBox["\[ScriptCapitalP]", 
      StyleBox["0",
       ScriptLevel->0]], "\[CircleTimes]", 
     SubscriptBox["\[ScriptCapitalP]", 
      StyleBox["1",
       ScriptLevel->0]], "\[CircleTimes]", 
     SubscriptBox["\[ScriptCapitalP]", 
      StyleBox["1",
       ScriptLevel->0]], "\[CircleTimes]", 
     SubscriptBox["\[ScriptCapitalP]", 
      StyleBox["1",
       ScriptLevel->0]]}],
    ScriptLevel->0], 
   StyleBox["]",
    ScriptLevel->0]}]}], "\[IndentingNewLine]", 
 RowBox[{
  SubscriptBox[
   StyleBox["\[Rho]",
    ScriptLevel->0], "1"], "=", 
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"2", ",", "3", ",", "4"}], "}"}], ",", 
    SubscriptBox["\[Rho]", "1234"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  SubscriptBox["\[Rho]", "24"], "=", 
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "3"}], "}"}], ",", 
    SubscriptBox["\[Rho]", "1234"]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.613504320353313*^9, 3.613504340252046*^9}, {
   3.613504372549904*^9, 3.613504404430119*^9}, 3.614075965455854*^9, {
   3.85937307524088*^9, 3.859373075245605*^9}, {3.860157340845248*^9, 
   3.860157340848201*^9}},
 CellTags->"b:5.1.3",ExpressionUUID->"5dc07b85-abd9-47ca-b111-869484ba5bc1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573514974957`*^9},
 CellTags->"b:5.1.3",ExpressionUUID->"41c4ae71-0356-4f0f-9bde-ad3b25228f8d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351503627*^9},
 CellTags->"b:5.1.3",ExpressionUUID->"0114a097-4843-45ac-b244-ca9971ef83bc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351507428*^9},
 CellTags->"b:5.1.3",ExpressionUUID->"36b78c80-731d-40cf-a9a5-eed10159ca08"]
}, Open  ]],

Cell[TextData[{
 StyleBox[" We can check basic properties of these density matrices, such as \
their ",
  FontFamily->"Helvetica"],
 StyleBox["length, trace ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox["and ",
  FontFamily->"Helvetica"],
 StyleBox["Purity:",
  FontFamily->"Helvetica",
  FontWeight->"Bold"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.3",ExpressionUUID->"e399ee9c-246b-409e-8935-d9cae4a85ce2"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Length", "[", 
  SubscriptBox["\[Rho]", "1234"], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", 
  SubscriptBox["\[Rho]", "1234"], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Purity", "[", 
  SubscriptBox["\[Rho]", "1234"], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", 
  SubscriptBox["\[Rho]", "24"], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", 
  SubscriptBox["\[Rho]", "24"], "]"}]}], "Input",
 CellTags->"b:5.1.3",ExpressionUUID->"9555a556-40bb-42af-82be-89e6ad4ab852"],

Cell[BoxData[
 TagBox["16",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573515244627`*^9},
 CellTags->"b:5.1.3",ExpressionUUID->"944e2909-a777-45f3-a500-43eab24e0f4b"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351529509*^9},
 CellTags->"b:5.1.3",ExpressionUUID->"28e7269a-6171-4fa4-a08f-77a4ac1d6c47"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351533139*^9},
 CellTags->"b:5.1.3",ExpressionUUID->"412a3936-99ec-466b-9909-7d29ccbefb97"],

Cell[BoxData[
 TagBox["4",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351537318*^9},
 CellTags->"b:5.1.3",ExpressionUUID->"290bd8e5-8eb4-462c-a0e6-748706b74bfe"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351541505*^9},
 CellTags->"b:5.1.3",ExpressionUUID->"dc029475-99c2-40b0-87f3-c3a0f4a0fd62"],

Cell[TextData[StyleBox[" Similarly we can produce a more complicated density \
matrix that is not pure,",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.3",ExpressionUUID->"45732038-1ac3-43c8-b7be-e3cbe8c98726"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"a123", "=", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"1", "/", "3"}], "*", 
    RowBox[{"(", 
     StyleBox[
      RowBox[{
       RowBox[{
        SubscriptBox["\[ScriptCapitalP]", 
         StyleBox["0",
          ScriptLevel->0]], "\[CircleTimes]", 
        SubscriptBox["\[ScriptCapitalP]", 
         StyleBox["1",
          ScriptLevel->0]], "\[CircleTimes]", 
        SubscriptBox["\[ScriptCapitalP]", 
         StyleBox["1",
          ScriptLevel->0]]}], "+", 
       RowBox[{
        SubscriptBox["\[ScriptCapitalP]", "1"], "\[CircleTimes]", 
        SubscriptBox["\[ScriptCapitalP]", 
         StyleBox["1",
          ScriptLevel->0]], "\[CircleTimes]", 
        SubscriptBox["\[ScriptCapitalP]", 
         StyleBox["1",
          ScriptLevel->0]]}], "+", 
       RowBox[{
        SubscriptBox["\[ScriptCapitalP]", 
         StyleBox["0",
          ScriptLevel->0]], "\[CircleTimes]", 
        SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", 
        SubscriptBox["\[ScriptCapitalP]", 
         StyleBox["1",
          ScriptLevel->0]]}]}],
      ScriptLevel->0], 
     StyleBox[")",
      ScriptLevel->0]}]}], 
   StyleBox[" ",
    ScriptLevel->0], 
   StyleBox["]",
    ScriptLevel->0]}]}]], "Input",
 CellChangeTimes->{{3.613504484584209*^9, 3.613504533034775*^9}, 
   3.614075965472773*^9, {3.6184925457724323`*^9, 3.618492551271924*^9}, {
   3.618492705637931*^9, 3.618492754145587*^9}, {3.8593730752528048`*^9, 
   3.859373075261867*^9}, {3.860157340850429*^9, 3.86015734085781*^9}},
 CellTags->"b:5.1.3",ExpressionUUID->"0e9f8e45-2a6c-4531-aa32-a55f0f8b3fa7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", 
      FractionBox["1", "3"], "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", 
      FractionBox["1", "3"], "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "3"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351551537*^9},
 CellTags->"b:5.1.3",ExpressionUUID->"77c2a206-4105-420b-a0d6-c5e7e7abb4cc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Tr", "[", "a123", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Purity", "[", "a123", "]"}]}], "Input",
 CellTags->"b:5.1.3",ExpressionUUID->"5a352f21-2510-4ca2-b35a-093a1b3f372d"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351570496*^9},
 CellTags->"b:5.1.3",ExpressionUUID->"96b879aa-00ca-4373-a3c5-54e5f2020eac"],

Cell[BoxData[
 TagBox[
  FractionBox["1", "3"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351576104*^9},
 CellTags->"b:5.1.3",ExpressionUUID->"42324035-3fe0-4cad-8d7d-d88dd4e18ae4"]
}, Open  ]]
}, Open  ]],

Cell[TextData[StyleBox["It is interesting to show the density matrix for each \
qubit taking partial traces. These subspace density matrices can be thought \
of  as the density matrices of qubit i in the environment of the remaining 2 \
qubits:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.3",ExpressionUUID->"f1e793e8-7599-4ff8-9cb9-21310cca2aa4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PTr", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", "a123"}], "]"}]], "Input",
 CellTags->"b:5.1.3",ExpressionUUID->"acadd389-ca24-4dcb-bc92-3a292220ded4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["2", "3"], "0"},
     {"0", 
      FractionBox["1", "3"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351585784*^9},
 CellTags->"b:5.1.3",ExpressionUUID->"7266f767-0d05-454f-9472-cd7f0d96b30d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PTr", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "3"}], "}"}], ",", "a123"}], "]"}]], "Input",
 CellTags->"b:5.1.3",ExpressionUUID->"e97f580e-858a-4827-9076-63038238c148"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "3"], "0"},
     {"0", 
      FractionBox["2", "3"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351604431*^9},
 CellTags->"b:5.1.3",ExpressionUUID->"ccf7cddb-734c-4c28-ab7a-faa6c5997923"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PTr", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], ",", "a123"}], "]"}]], "Input",
 CellTags->"b:5.1.3",ExpressionUUID->"850941cc-0899-42cf-a2ff-cd1c9a85da78"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573516154137`*^9},
 CellTags->"b:5.1.3",ExpressionUUID->"61fd413a-71ec-4736-8588-5aa4f094bf11"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["e) Pauli Spin matrices", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:8", "b:5.1.4"},ExpressionUUID->"e002d84f-c684-4417-930d-cde2cb35ba06"],

Cell[TextData[{
 StyleBox[" The ",
  FontFamily->"Helvetica"],
 StyleBox["Pauli spin matrices ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox["are defined in the package as either s[i] or ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  SubscriptBox["\[Sigma]", "i"]],
  CellChangeTimes->{{3.613723767874393*^9, 3.613723884860752*^9}},
  ExpressionUUID->"e67cab23-7d7b-4a2b-8e58-11dc403f559c"],
 StyleBox["  or by using the built in PauliMatrix[i]",
  FontFamily->"Helvetica"]
}], "Text",
 CellChangeTimes->{{3.613723900464203*^9, 3.6137239541118107`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.1.4",ExpressionUUID->"9876425c-5f1e-4d2b-a683-063baef294f2"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"s", "[", "0", "]"}], "==", 
  SubscriptBox["\[Sigma]", "0"], "==", 
  RowBox[{"PauliMatrix", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"s", "[", "1", "]"}], "==", 
  SubscriptBox["\[Sigma]", "1"], "==", 
  RowBox[{"PauliMatrix", "[", "1", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"s", "[", "2", "]"}], "==", 
  SubscriptBox["\[Sigma]", "2"], "==", 
  RowBox[{"PauliMatrix", "[", "2", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"s", "[", "3", "]"}], "==", 
  SubscriptBox["\[Sigma]", "3"], "==", 
  RowBox[{"PauliMatrix", "[", "3", "]"}]}]}], "Input",
 CellChangeTimes->{{3.613723767874393*^9, 
  3.613723884860752*^9}},ExpressionUUID->"aee94f08-e9e2-4733-bfaa-\
94fa267efe01"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.86015735163395*^9},ExpressionUUID->"a776f713-4120-4227-9319-1b070408b4f8"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157351639242*^9},ExpressionUUID->"41616aca-c0de-4425-afa5-\
aa01f9a88d39"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157351642962*^9},ExpressionUUID->"247e03a1-38b1-4df9-b5d0-\
c37c00d48b11"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8601573516480083`*^9},ExpressionUUID->"4ee2fe79-6320-45b1-92d3-\
0ee38cef906e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 SubscriptBox["\[Sigma]", "0"], "\[IndentingNewLine]", 
 SubscriptBox["\[Sigma]", "1"], "\[IndentingNewLine]", 
 SubscriptBox["\[Sigma]", "2"], "\[IndentingNewLine]", 
 SubscriptBox["\[Sigma]", "3"]}], "Input",
 CellTags->"b:5.1.4",ExpressionUUID->"9ce26e42-5b95-4d68-a6fd-84d0f8381ac5"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573516580667`*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"1bb25c4e-9a10-4cbf-82c6-3b43d7235069"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "1"},
     {"1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573516636877`*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"23f945f9-1629-4e6d-9c03-036aa14eb33e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"\[ImaginaryI]", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351667637*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"5c8139f7-9960-4ed7-82ef-bb0375c0e9bb"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573516721287`*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"f53c4294-31dd-483d-9670-eb8b5537adaa"]
}, Open  ]],

Cell[TextData[StyleBox["or alternatively with the notation:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.4",ExpressionUUID->"bb521634-3995-4627-9b27-17fe77e06940"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"s", "[", "0", "]"}], "\[IndentingNewLine]", 
 RowBox[{"s", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"s", "[", "2", "]"}], "\[IndentingNewLine]", 
 RowBox[{"s", "[", "3", "]"}]}], "Input",
 CellTags->"b:5.1.4",ExpressionUUID->"f393ecfc-e7a4-4e1d-87eb-a6f24c8e14bb"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573516896544`*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"6783de5f-07e5-409a-8dd1-8b246ff308d0"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "1"},
     {"1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573516953583`*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"685260c0-b0ab-4136-b024-b8209994ec90"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"\[ImaginaryI]", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351699511*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"bc9c064f-afae-4a8f-b3d9-6e0a4f60d172"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351704136*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"7a8379c0-1bad-4039-bcd3-6f3fbb94bdfd"]
}, Open  ]],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica"],
 StyleBox["Pauli spin matrices ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox["can be used to build the more general 2 and n qubit desnity \
matrices, e.g. for a ",
  FontFamily->"Helvetica"],
 StyleBox["general 2 qubit state",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" the density matrix",
  FontFamily->"Helvetica",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" is:",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.4",ExpressionUUID->"a207610d-6312-474b-834e-78bae7e7e92a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Rho]AB", " ", "=", " ", 
     RowBox[{
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "/", "4"}], ")"}], "*", 
         RowBox[{"P", "[", 
          RowBox[{"i", ",", "j"}], "]"}], " ", "*", 
         RowBox[{"(", " ", 
          RowBox[{
           SubscriptBox["\[Sigma]", "i"], "\[CircleTimes]", " ", 
           SubscriptBox["\[Sigma]", "j"]}], ")"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "3"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "0", ",", "3"}], "}"}]}], "]"}], " ", "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"P", "[", 
          RowBox[{"0", ",", "0"}], "]"}], "\[Rule]", "1"}], ",", 
        RowBox[{
         RowBox[{"P", "[", 
          RowBox[{"1", ",", "0"}], "]"}], "\[Rule]", 
         SubsuperscriptBox["P", "x", "A"]}], " ", ",", 
        RowBox[{
         RowBox[{"P", "[", 
          RowBox[{"2", ",", "0"}], "]"}], "\[Rule]", 
         SubsuperscriptBox["P", "y", "A"]}], ",", 
        RowBox[{
         RowBox[{"P", "[", 
          RowBox[{"3", ",", "0"}], "]"}], "\[Rule]", 
         SubsuperscriptBox["P", "z", "A"]}], ",", 
        RowBox[{
         RowBox[{"P", "[", 
          RowBox[{"0", ",", " ", "1"}], "]"}], "\[Rule]", 
         SubsuperscriptBox["P", "x", "B"]}], " ", ",", 
        RowBox[{
         RowBox[{"P", "[", 
          RowBox[{"0", ",", " ", "2"}], "]"}], "\[Rule]", 
         SubsuperscriptBox["P", "y", "B"]}], ",", 
        RowBox[{
         RowBox[{"P", "[", 
          RowBox[{"0", ",", " ", "3"}], "]"}], "\[Rule]", 
         SubsuperscriptBox["P", "z", "B"]}]}], "}"}]}]}], ";"}], 
   "\[IndentingNewLine]", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "/", "4"}], ")"}], "*", 
    RowBox[{"Simplify", "[", 
     RowBox[{"AF", "[", "  ", 
      RowBox[{"4", "*", "\[Rho]AB"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Tr", "[", "%", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.613504696948608*^9, {3.613571376224772*^9, 3.6135713888075*^9}, {
   3.613571445229944*^9, 3.613571470202325*^9}, {3.613571577342877*^9, 
   3.613571594710926*^9}, {3.613571716892363*^9, 3.613571720261849*^9}, {
   3.6135718094980907`*^9, 3.61357182741768*^9}, 3.614076444959443*^9, 
   3.859373075276923*^9, 3.860157340860259*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"d9d0130d-f350-4f64-b40a-a70abf2dd86b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"P", "[", 
          RowBox[{"3", ",", "3"}], "]"}], "+", 
         SubsuperscriptBox["P", "z", "A"], "+", 
         SubsuperscriptBox["P", "z", "B"]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"P", "[", 
          RowBox[{"3", ",", "1"}], "]"}], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"P", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], "+", 
         SubsuperscriptBox["P", "x", "B"], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          SubsuperscriptBox["P", "y", "B"]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"P", "[", 
          RowBox[{"1", ",", "3"}], "]"}], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"P", "[", 
           RowBox[{"2", ",", "3"}], "]"}]}], "+", 
         SubsuperscriptBox["P", "x", "A"], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          SubsuperscriptBox["P", "y", "A"]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"P", "[", 
          RowBox[{"1", ",", "1"}], "]"}], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"P", "[", 
             RowBox[{"1", ",", "2"}], "]"}], "+", 
            RowBox[{"P", "[", 
             RowBox[{"2", ",", "1"}], "]"}], "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             RowBox[{"P", "[", 
              RowBox[{"2", ",", "2"}], "]"}]}]}], ")"}]}]}], ")"}]}]},
     {
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"P", "[", 
          RowBox[{"3", ",", "1"}], "]"}], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"P", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], "+", 
         SubsuperscriptBox["P", "x", "B"], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          SubsuperscriptBox["P", "y", "B"]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"P", "[", 
          RowBox[{"3", ",", "3"}], "]"}], "+", 
         SubsuperscriptBox["P", "z", "A"], "-", 
         SubsuperscriptBox["P", "z", "B"]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"P", "[", 
          RowBox[{"1", ",", "1"}], "]"}], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"P", "[", 
           RowBox[{"1", ",", "2"}], "]"}]}], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"P", "[", 
           RowBox[{"2", ",", "1"}], "]"}]}], "+", 
         RowBox[{"P", "[", 
          RowBox[{"2", ",", "2"}], "]"}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"P", "[", 
           RowBox[{"1", ",", "3"}], "]"}]}], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"P", "[", 
           RowBox[{"2", ",", "3"}], "]"}]}], "+", 
         SubsuperscriptBox["P", "x", "A"], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          SubsuperscriptBox["P", "y", "A"]}]}], ")"}]}]},
     {
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"P", "[", 
          RowBox[{"1", ",", "3"}], "]"}], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"P", "[", 
           RowBox[{"2", ",", "3"}], "]"}]}], "+", 
         SubsuperscriptBox["P", "x", "A"], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          SubsuperscriptBox["P", "y", "A"]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"P", "[", 
          RowBox[{"1", ",", "1"}], "]"}], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"P", "[", 
           RowBox[{"1", ",", "2"}], "]"}]}], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"P", "[", 
           RowBox[{"2", ",", "1"}], "]"}]}], "+", 
         RowBox[{"P", "[", 
          RowBox[{"2", ",", "2"}], "]"}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"P", "[", 
          RowBox[{"3", ",", "3"}], "]"}], "-", 
         SubsuperscriptBox["P", "z", "A"], "+", 
         SubsuperscriptBox["P", "z", "B"]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"P", "[", 
           RowBox[{"3", ",", "1"}], "]"}]}], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"P", "[", 
           RowBox[{"3", ",", "2"}], "]"}]}], "+", 
         SubsuperscriptBox["P", "x", "B"], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          SubsuperscriptBox["P", "y", "B"]}]}], ")"}]}]},
     {
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"P", "[", 
          RowBox[{"1", ",", "1"}], "]"}], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"P", "[", 
             RowBox[{"1", ",", "2"}], "]"}], "+", 
            RowBox[{"P", "[", 
             RowBox[{"2", ",", "1"}], "]"}], "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             RowBox[{"P", "[", 
              RowBox[{"2", ",", "2"}], "]"}]}]}], ")"}]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         SubsuperscriptBox["P", "x", "A"], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"\[ImaginaryI]", " ", 
             RowBox[{"P", "[", 
              RowBox[{"1", ",", "3"}], "]"}]}], "-", 
            RowBox[{"P", "[", 
             RowBox[{"2", ",", "3"}], "]"}], "+", 
            SubsuperscriptBox["P", "y", "A"]}], ")"}]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         SubsuperscriptBox["P", "x", "B"], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"\[ImaginaryI]", " ", 
             RowBox[{"P", "[", 
              RowBox[{"3", ",", "1"}], "]"}]}], "-", 
            RowBox[{"P", "[", 
             RowBox[{"3", ",", "2"}], "]"}], "+", 
            SubsuperscriptBox["P", "y", "B"]}], ")"}]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"P", "[", 
          RowBox[{"3", ",", "3"}], "]"}], "-", 
         SubsuperscriptBox["P", "z", "A"], "-", 
         SubsuperscriptBox["P", "z", "B"]}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573517497272`*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"baf3cf6c-6d63-4ff7-9b42-d859214959e5"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157351756901*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"78d113f9-44be-4132-a6a7-be3ef70cbb6d"],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica"],
 StyleBox["The above",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" density matrix",
  FontFamily->"Helvetica",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" is of the form ",
  FontFamily->"Helvetica"],
 " \[Rho]AB",
 StyleBox["= ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox["1", "4"], "  ", "[", 
    RowBox[{"1", " ", "+", " ", 
     SubscriptBox[
      OverscriptBox["P", "\[RightVector]"], 
      RowBox[{"A", " "}]]}]}], TraditionalForm]],ExpressionUUID->
  "ae9a6c68-7cef-47ed-afe0-278dca71d308"],
 ".",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SubscriptBox[
      OverscriptBox["\[Sigma]", "\[RightVector]"], 
      RowBox[{"A", " "}]], "  ", "+", " ", 
     SubscriptBox[
      OverscriptBox["P", "\[RightVector]"], 
      RowBox[{"B", " "}]]}]}], TraditionalForm]],ExpressionUUID->
  "9cae9f42-6dac-4490-895b-47f7e3e63290"],
 ".",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     OverscriptBox["\[Sigma]", "\[RightVector]"], "B"], " "}], 
   TraditionalForm]],ExpressionUUID->"5de8df75-422c-41b4-ad80-a84dc774316b"],
 " + ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     OverscriptBox["\[Sigma]", "\[LongRightArrow]"], 
     RowBox[{"A", " "}]], " "}], TraditionalForm]],ExpressionUUID->
  "e7bccf7c-2674-4439-969c-c287565f2352"],
 ". ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["T", "\[LongLeftRightArrow]"], TraditionalForm]],
  ExpressionUUID->"4726be4e-b8f8-4ba6-843c-772d90963516"],
 " . ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     OverscriptBox["\[Sigma]", "\[LongLeftArrow]"], 
     RowBox[{"A", " "}]], " "}], TraditionalForm]],ExpressionUUID->
  "7e74474d-4c92-4520-b77a-cc1bd1dfdac3"],
 "]",
 StyleBox[" as discussed in the text.",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.4",ExpressionUUID->"6c8fbb00-81b2-43d0-9728-032090d26e5c"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Sometimes we need a ",
  FontFamily->"Helvetica"],
 StyleBox["random one qubit density matrix",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" or a ",
  FontFamily->"Helvetica"],
 StyleBox["random 2 qubit density matrix",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[". Now the states are not pure states and thus the Purity is lower \
than one. The procedure used to build the random 2 qubit state can be easily \
generalized to the n qubit case.",
  FontFamily->"Helvetica"]
}], "Text",
 CellChangeTimes->{3.613504742769607*^9},
 FontFamily->"Courier New",
 CellTags->"b:5.1.4",ExpressionUUID->"5883202c-c130-4a27-83a6-2b1c1338e89f"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"rho", "=", "RandomQubit2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"rho", "\[Equal]", 
  RowBox[{
  "Adj", "[", "rho", 
   "]"}]}], "\[IndentingNewLine]", "rho", "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", "rho", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"rho", ".", "rho"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", "%", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Purity", "[", "rho", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Eigenvalues", "[", "rho", "]"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"n", ",", "Ev"}], "}"}]}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "Eigenvalues"}], ",", 
   RowBox[{"AxesOrigin", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}]}], ",", 
   RowBox[{"Joined", "\[Rule]", "False"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Thick", ",", 
      RowBox[{"PointSize", "[", "Large", "]"}]}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6138139128927517`*^9, 3.61381396165273*^9}, {
  3.613814477492661*^9, 3.61381451307972*^9}, {3.613814543301866*^9, 
  3.613814543735861*^9}},ExpressionUUID->"b287a590-a9ee-4eba-98ba-\
53841cf141f7"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8601573517652893`*^9},ExpressionUUID->"c32c1da8-9303-4ef2-9c2c-\
884cc3c3f908"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.2683816028840408`", 
      RowBox[{"0.03756552677193313`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.03319530991916506`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07877545808048855`"}], "+", 
       RowBox[{"0.08285323129955234`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.13386238329192351`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.09485305295958903`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.03756552677193313`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.03319530991916506`", " ", "\[ImaginaryI]"}]}], 
      "0.0994483420936612`", 
      RowBox[{
       RowBox[{"-", "0.06703640274274543`"}], "-", 
       RowBox[{"0.011821214829955603`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05964525479603361`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.026406893097662972`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.07877545808048855`"}], "-", 
       RowBox[{"0.08285323129955234`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.06703640274274543`"}], "+", 
       RowBox[{"0.011821214829955603`", " ", "\[ImaginaryI]"}]}], 
      "0.2373099364788961`", 
      RowBox[{
       RowBox[{"-", "0.12304099004467176`"}], "+", 
       RowBox[{"0.11058709833834482`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.13386238329192351`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.09485305295958903`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05964525479603361`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.026406893097662972`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.12304099004467176`"}], "-", 
       RowBox[{"0.11058709833834482`", " ", "\[ImaginaryI]"}]}], 
      "0.39486011854340186`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.86015735177112*^9},ExpressionUUID->"c5ee9ff0-97bf-4592-83d9-a7a2be6d9064"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.86015735177558*^9},ExpressionUUID->"3d328a57-3d56-4b86-b765-16323b781daf"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.11452825221780558`", 
      RowBox[{"0.023598604662718695`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.009503209058971932`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.04872778560721416`"}], "+", 
       RowBox[{"0.017205135989987345`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0906772498604681`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.041032677622888224`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.023598604662718695`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.009503209058971932`", " ", "\[ImaginaryI]"}]}], 
      "0.021291570982958807`", 
      RowBox[{
       RowBox[{"-", "0.038543716745002496`"}], "-", 
       RowBox[{"0.0068303078100580865`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.040918587745447516`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.011005209763219156`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.04872778560721416`"}], "-", 
       RowBox[{"0.017205135989987345`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.038543716745002496`"}], "+", 
       RowBox[{"0.0068303078100580865`", " ", "\[ImaginaryI]"}]}], 
      "0.10138844864699692`", 
      RowBox[{
       RowBox[{"-", "0.08415525983967728`"}], "+", 
       RowBox[{"0.05382213083029909`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.0906772498604681`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.041032677622888224`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.040918587745447516`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.011005209763219156`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.08415525983967728`"}], "-", 
       RowBox[{"0.05382213083029909`", " ", "\[ImaginaryI]"}]}], 
      "0.21445422450528073`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157351780573*^9},ExpressionUUID->"c39dbb31-9b3e-4946-a730-\
3d75bf6e59ce"],

Cell[BoxData[
 TagBox["0.451662496353042`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157351785829*^9},ExpressionUUID->"26ddce9a-c832-489b-84a2-\
ad730d22f17d"],

Cell[BoxData[
 TagBox["0.451662496353042`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.86015735179032*^9},ExpressionUUID->"8d0b4e2b-cc3d-45a3-9b4f-79082750a5b8"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{}, 
    {RGBColor[1, 0, 0], PointSize[Large], Thickness[Large], 
     PointBox[{{1., 0.5753292612398997}, {2., 0.339668890697194}, {3., 
      0.07140702303907022}, {4., 0.013594825023835987`}}]}, {{}, {}}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["n", TraditionalForm], 
     FormBox["Ev", TraditionalForm]},
   AxesOrigin->{0., 0.},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& )}},
   PlotLabel->FormBox["Eigenvalues", TraditionalForm],
   PlotRange->{{0., 4}, {0., 0.5753292612398997}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.02], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157351984674*^9},ExpressionUUID->"6189c2b4-9383-4833-b6e7-\
e72483f3632c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "Purity"}], "\[IndentingNewLine]", 
 RowBox[{"?", "RandomQubitN"}]}], "Input",
 CellChangeTimes->{{3.613724635990411*^9, 3.613724639549246*^9}, {
  3.613814558690959*^9, 3.613814591628696*^9}, {3.6138148675905323`*^9, 
  3.613814868253376*^9}},ExpressionUUID->"ff0c6ca1-370d-4fd9-b21e-\
44973bd2b073"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Purity[\[Rho]]\\n\\n\\t returns the purity of the \
state represented by the \\n\\n density matrix \[Rho]. It is simply \
Tr[\[Rho].\[Rho]].\\n\\n In general the Purity is a real number between 0 and \
1, \\n\\n being equal to 1 only if the state is a pure state.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Purity", "[", 
                    RowBox[{"Private`A_", "?", "MatrixQ"}], "]"}], ":=", 
                    RowBox[{"Chop", "[", 
                    RowBox[{"Tr", "[", 
                    RowBox[{"Private`A", ".", "Private`A"}], "]"}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Purity\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Purity[\[Rho]]\\n\\n\\t returns the purity of the \
state represented by the \\n\\n density matrix \[Rho]. It is simply \
Tr[\[Rho].\[Rho]].\\n\\n In general the Purity is a real number between 0 and \
1, \\n\\n being equal to 1 only if the state is a pure state.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Purity[\[Rho]]\n\n\t returns the purity of the state represented by the \
\n\n density matrix \[Rho]. It is simply Tr[\[Rho].\[Rho]].\n\n In general \
the Purity is a real number between 0 and 1, \n\n being equal to 1 only if \
the state is a pure state.", "Documentation" -> None, "OwnValues" -> None, 
     "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Purity, {QDENSITY`Qdensity`Purity[
          PatternTest[
           Pattern[Private`A, 
            Blank[]], MatrixQ]] :> Chop[
          Tr[
           Dot[Private`A, Private`A]]]}], "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`Purity"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8601573522022142`*^9},ExpressionUUID->"a72e439a-c495-4396-83e1-\
012d9f68661e"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"RandomQubitN[nqv], \\n\\n\\t returns a random \
density matrix for a nqv qubit\\nstate.\\nFor compiled version of \
RandomQubitN--use cRQN[nqv], gives PackedArray\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"RandomQubitN", "[", "Private`nqv_", "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"Private`tmp", ",", "Private`tmp2", ",", 
                    "Private`tmp3", ",", "Private`nqs", ",", "Private`dim", 
                    ",", "Private`normit"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"Private`nqs", "=", "Private`nqv"}], ";", 
                    RowBox[{"Private`dim", "=", 
                    SuperscriptBox["2", "Private`nqs"]}], ";", 
                    RowBox[{"Private`tmp", "=", 
                    RowBox[{"RandomComplex", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1"}], "-", "\[ImaginaryI]"}], ",", 
                    RowBox[{"1", "+", "\[ImaginaryI]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`dim", ",", "Private`dim"}], "}"}]}], 
                    "]"}]}], ";", 
                    RowBox[{"Private`tmp2", "=", 
                    RowBox[{"Chop", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{"Private`tmp", "+", 
                    RowBox[{"Adj", "[", "Private`tmp", "]"}]}], ")"}]}], 
                    "]"}]}], ";", 
                    RowBox[{"Private`tmp3", "=", 
                    RowBox[{"Chop", "[", 
                    RowBox[{"Private`tmp2", ".", "Private`tmp2"}], "]"}]}], 
                    ";", 
                    RowBox[{"Private`normit", "=", 
                    RowBox[{"Tr", "[", "Private`tmp3", "]"}]}], ";", 
                    RowBox[{"Private`\[Rho]N", "=", 
                    FractionBox["Private`tmp3", "Private`normit"]}], ";", 
                    RowBox[{"Chop", "[", "Private`\[Rho]N", "]"}]}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`RandomQubitN\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"RandomQubitN[nqv], \\n\\n\\t returns a random \
density matrix for a nqv qubit\\nstate.\\nFor compiled version of \
RandomQubitN--use cRQN[nqv], gives PackedArray\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "RandomQubitN[nqv], \n\n\t returns a random density matrix for a nqv \
qubit\nstate.\nFor compiled version of RandomQubitN--use cRQN[nqv], gives \
PackedArray", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> 
     None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`RandomQubitN, {
       QDENSITY`Qdensity`RandomQubitN[
          Pattern[Private`nqv, 
           Blank[]]] :> 
        Module[{Private`tmp, Private`tmp2, Private`tmp3, Private`nqs, 
           Private`dim, Private`normit}, Private`nqs = Private`nqv; 
          Private`dim = 2^Private`nqs; 
          Private`tmp = 
           RandomComplex[{-1 - I, 1 + I}, {Private`dim, Private`dim}]; 
          Private`tmp2 = 
           Chop[(Private`tmp + QDENSITY`Qdensity`Adj[Private`tmp])/2]; 
          Private`tmp3 = Chop[
             Dot[Private`tmp2, Private`tmp2]]; 
          Private`normit = Tr[Private`tmp3]; 
          Private`\[Rho]N = Private`tmp3/Private`normit; 
          Chop[Private`\[Rho]N]]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`RandomQubitN"|>, 
    False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.86015735227915*^9},ExpressionUUID->"56b010a2-bcea-4474-9bcb-fd0a3a4d055d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    SubscriptBox["\[Rho]", "one"], "=", "RandomQubit1"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Tr", "[", 
    SubscriptBox["\[Rho]", "one"], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Chop", "[", 
    RowBox[{"Purity", "[", 
     SubscriptBox["\[Rho]", "one"], "]"}], "]"}]}]}]], "Input",
 CellTags->"b:5.1.4",ExpressionUUID->"be6caa0b-6b30-4387-abce-dace27b3dd09"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.4399648175322671`", 
      RowBox[{
       RowBox[{"-", "0.006193767584944535`"}], "-", 
       RowBox[{"0.05571721458120489`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.006193767584944535`"}], "+", 
       RowBox[{"0.05571721458120489`", " ", "\[ImaginaryI]"}]}], 
      "0.560035182467733`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352293127*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"c333bba1-f814-4aec-bd5d-0c0a6dac53ae"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352298455*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"c223ea21-074d-4a3a-91a2-6b0fb34ca22f"],

Cell[BoxData[
 TagBox["0.5134939877830368`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352302321*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"bc6c0aa2-6945-46c4-9eba-e95fcc17014e"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  SubscriptBox["\[Rho]", "two"], "=", "RandomQubit2"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", 
  SubscriptBox["\[Rho]", "two"], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Purity", "[", 
   SubscriptBox["\[Rho]", "two"], "]"}], "]"}]}], "Input",
 CellTags->"b:5.1.4",ExpressionUUID->"de850a57-3826-4d28-bd15-b3fd7a739323"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.3610537017555753`", 
      RowBox[{"0.1333903542322453`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.02973126195327881`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.026078085234593804`"}], "+", 
       RowBox[{"0.003074236563602185`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.047009245105470436`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.11892795708363166`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.1333903542322453`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.02973126195327881`", " ", "\[ImaginaryI]"}]}], 
      "0.14560777404176464`", 
      RowBox[{
       RowBox[{"-", "0.07015794605694674`"}], "+", 
       RowBox[{"0.03067517884048324`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03285171629040012`"}], "+", 
       RowBox[{"0.06842498317877024`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.026078085234593804`"}], "-", 
       RowBox[{"0.003074236563602185`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07015794605694674`"}], "-", 
       RowBox[{"0.03067517884048324`", " ", "\[ImaginaryI]"}]}], 
      "0.2704573936957915`", 
      RowBox[{"0.08238420386386007`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07477325592549786`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.047009245105470436`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.11892795708363166`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03285171629040012`"}], "-", 
       RowBox[{"0.06842498317877024`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.08238420386386007`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07477325592549786`", " ", "\[ImaginaryI]"}]}], 
      "0.22288113050686853`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352320397*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"c63466de-b6a1-476d-8d8a-8e4be91c7455"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573523264847`*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"23bf9a50-b278-4822-a687-7f55ec907bc9"],

Cell[BoxData[
 TagBox["0.3938299886075606`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.86015735233044*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"c8f15f6d-1e68-47b1-9af0-4e1b6ec40be8"]
}, Open  ]]
}, Open  ]],

Cell[TextData[StyleBox["Now the subsystems are also not pure states,; for \
instance, the subsystem corresponding to qubit number 2 of the two qubits \
density matrix is obtained by performing the partial trace of qubit 1,",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.618492858671628*^9, 3.618492861607696*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.1.4",ExpressionUUID->"a42c41b3-34bd-47b5-9483-e238cdf3be4f"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  SubscriptBox["\[Rho]", 
   RowBox[{"2", ",", "two"}]], "=", 
  RowBox[{"Chop", "[", 
   RowBox[{"PTr", "[", 
    RowBox[{
     RowBox[{"{", "1", "}"}], ",", 
     SubscriptBox["\[Rho]", "two"]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Purity", "[", "%%", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.6184928941756287`*^9, 3.618492928846373*^9}},
 CellTags->"b:5.1.4",ExpressionUUID->"d921c944-9ec4-47e2-9a01-e7ba7e5351c3"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.6315110954513667`", 
      RowBox[{"0.21577455809610538`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.045041993972219044`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.21577455809610538`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.045041993972219044`", " ", "\[ImaginaryI]"}]}], 
      "0.3684889045486332`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573523394938`*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"0e149ce7-5afd-4cf6-90f0-1bc4f40cf23d"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352344735*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"4218e37b-5fcd-4e90-8329-48427b405dc3"],

Cell[BoxData[
 TagBox["0.6317652187387629`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352348666*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"4150359c-3dca-4cbf-b5f9-1d854ae3d710"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Use R",
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontColor->GrayLevel[0]],
 StyleBox["andomQubitN[n] for n qubits",
  FontWeight->"Bold",
  FontColor->GrayLevel[0]]
}], "Text",
 CellChangeTimes->{{3.614029969288464*^9, 3.61402999526291*^9}, {
  3.6140300269645433`*^9, 3.6140300291688643`*^9}, {3.614030077766451*^9, 
  3.614030087081059*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.1.4",ExpressionUUID->"4b43de55-5bbd-410c-a1e7-b72a1bb1fac9"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["\[Rho]", "4"], "=", 
   RowBox[{"RandomQubitN", "[", "4", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Adj", "[", 
   SubscriptBox["\[Rho]", "4"], "]"}], "==", 
  SubscriptBox["\[Rho]", "4"]}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", 
  SubscriptBox["\[Rho]", "4"], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Purity", "[", 
   SubscriptBox["\[Rho]", "4"], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.61402969089848*^9, 3.6140297707245197`*^9}, {
   3.614029866255438*^9, 3.6140298843911037`*^9}, 3.614029937746583*^9, 
   3.614030122867091*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"36ff7949-c261-4e77-a0e4-8b1555c70aa6"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352365823*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"d0a4433f-0e84-4db1-94e8-9c5a61a80a4d"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352370804*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"faea0313-50c7-4db3-92d9-a97372d78be9"],

Cell[BoxData[
 TagBox["0.11383408898916872`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.86015735237424*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"7ce5e00a-bb5f-4851-902e-4cd0ada6f49a"]
}, Open  ]],

Cell[TextData[StyleBox["Analogous functions for one qubit Ket and Bra exist:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.4",ExpressionUUID->"f583e549-a9c5-46b9-9ed7-61924636b31d"],

Cell[CellGroupData[{

Cell[BoxData[{"RandomKet1", "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DForm", "[", "%", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", "RandomBra1", "\
\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.613504796013287*^9, 3.613504834610401*^9}},
 CellTags->"b:5.1.4",ExpressionUUID->"7304b8da-2152-427e-890d-5761bc210772"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "0.06197788179048107`"}], "+", 
       RowBox[{"0.19206519367479374`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.4952121375899234`"}], "-", 
       RowBox[{"0.845005705502068`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352383471*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"64567af2-63fd-4f96-8672-efdfc1801fdc"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.06197788179048107`"}], "+", 
      RowBox[{"0.19206519367479374`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.4952121375899234`"}], "-", 
      RowBox[{"0.845005705502068`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352388912*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"e473a8e3-72c9-491c-ade3-c46675fa3217"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "0.604436305041616`"}], "-", 
       RowBox[{"0.6240838489067564`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3138208967530232`"}], "-", 
       RowBox[{"0.3830046310979744`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352393837*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"a89fbcc2-0c6c-4696-b9e2-539edd4e291b"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.604436305041616`"}], "-", 
      RowBox[{"0.6240838489067564`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.3138208967530232`"}], "-", 
      RowBox[{"0.3830046310979744`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573523984737`*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"a410e635-35d6-4f05-ba38-2822b12a3357"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"A", "=", 
  RowBox[{"RandomKetN", "[", "3", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"B", "=", 
  RowBox[{"RandomBraN", "[", "3", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBmIQPembr+G5N68c/xyOBdOLn78vB9HX3JOqQPSnzp1T
QPTzK7bTQbS+KMNsEJ1nz7wKRKfcebkWRNfMOboJRHus7NgNoo/ptR0H0Ycc
np8G0U3B/ZdB9G3lC7dAtAFD/R0QfUtLUvg8kF57T0wERH8+uf3GTSC9rej8
TRAt/LHwHojeVd4Ept3edr0E0SJyR1+D6JY62x8gek/ldDD9N3rqPxB9iWcF
mH72+uXSW0A69GfhMhBt0Gyv/B2kXzcMTL/Y85zZ4O0rx35nLhYQrSC+nRNE
337dww2i08QOCoPoPIM5YiAaAHEZvno=
  "],ExpressionUUID->"81f22910-4763-433c-8bed-1c1f3bea815c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.09614013652262494`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.21633420993473285`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.2029887863212844`"}], "-", 
       RowBox[{"0.3200208084195232`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.4619021785996477`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.41481849581853963`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.1264528011205142`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.03521721560901082`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.11846319835740414`"}], "-", 
       RowBox[{"0.215300392103816`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.30443323527658905`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.21066343718766117`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.0642405623499855`"}], "+", 
       RowBox[{"0.4124085468701536`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.0436235875079666`"}], "+", 
       RowBox[{"0.15531614478040354`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157352417029*^9},ExpressionUUID->"b7c562e9-301c-4d16-8076-\
5c3c788135f5"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{"0.09614013652262494`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.21633420993473285`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"000\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.2029887863212844`"}], "-", 
      RowBox[{"0.3200208084195232`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"001\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.4619021785996477`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.41481849581853963`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"010\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.1264528011205142`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.03521721560901082`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"011\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.11846319835740414`"}], "-", 
      RowBox[{"0.215300392103816`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"100\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.30443323527658905`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.21066343718766117`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"101\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.0642405623499855`"}], "+", 
      RowBox[{"0.4124085468701536`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"110\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.0436235875079666`"}], "+", 
      RowBox[{"0.15531614478040354`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157352423026*^9},ExpressionUUID->"dfda0b79-628c-4b7c-aa2f-\
6f1e5d7cd06f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.40305829869203363`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.04649708887111783`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.10346214222531683`"}], "+", 
       RowBox[{"0.36289833311266717`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.3261581011657778`"}], "+", 
       RowBox[{"0.2439959931723185`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.4032770184493049`"}], "+", 
       RowBox[{"0.315158855899554`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.19184497341537046`"}], "-", 
       RowBox[{"0.10506471043182096`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.20061398088754098`"}], "-", 
       RowBox[{"0.13992924751444621`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.22784809247137497`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.22136824819550174`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.21778890929759714`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.09535139970290335`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157352431439*^9},ExpressionUUID->"bc85459c-a28f-4da0-bb30-\
13f3b4705f3b"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    RowBox[{"0.40305829869203363`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.04649708887111783`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"000\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.10346214222531683`"}], "+", 
      RowBox[{"0.36289833311266717`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"001\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.3261581011657778`"}], "+", 
      RowBox[{"0.2439959931723185`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"010\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.4032770184493049`"}], "+", 
      RowBox[{"0.315158855899554`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"011\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.19184497341537046`"}], "-", 
      RowBox[{"0.10506471043182096`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"100\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.20061398088754098`"}], "-", 
      RowBox[{"0.13992924751444621`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"101\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.22784809247137497`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.22136824819550174`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"110\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.21778890929759714`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.09535139970290335`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"111\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157352436613*^9},ExpressionUUID->"6b1f5386-f810-4828-ba3e-\
8f7e9db468cd"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Chop", "[", 
  RowBox[{
   RowBox[{"Adj", "[", "A", "]"}], ".", "A"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"B", ".", 
   RowBox[{"Adj", "[", "B", "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.6140156770880623`*^9, 
  3.614015754106941*^9}},ExpressionUUID->"1633230f-b1cd-4e87-9d53-\
8a3d6ec4b17f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.9999999999999996`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8601573524490128`*^9},ExpressionUUID->"744fdbff-acb3-47fa-a54d-\
ba47f32b1231"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.9999999999999996`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157352454558*^9},ExpressionUUID->"7a72f7bd-1d96-4396-8505-\
ffd86f560f62"]
}, Open  ]]
}, Open  ]],

Cell[TextData[{
 StyleBox["Mathematica",
  FontFamily->"Helvetica",
  FontSlant->"Italic"],
 StyleBox[" contains convenient functions for dealing with matrices such as ",
  FontFamily->"Helvetica"],
 StyleBox["MatrixExp",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" and ",
  FontFamily->"Helvetica"],
 StyleBox["MatrixPower",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[". They allow one to easily construct ",
  FontFamily->"Helvetica"],
 StyleBox["Rotations ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox["and other operations:  \nThe equality ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["e", 
    RowBox[{"i", " ", "\[Alpha]", "  ", 
     SubscriptBox["\[Sigma]", "i"]}]], TraditionalForm]],ExpressionUUID->
  "5c3f0d72-ff8b-4d17-81b4-89deb4889d4a"],
 "= Cos \[Alpha]  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Sigma]", "0"], TraditionalForm]],ExpressionUUID->
  "376e1e53-cb45-4459-8ff2-17426f732882"],
 " + i Sin \[Alpha] ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Sigma]", "i"], TraditionalForm]],ExpressionUUID->
  "96279b88-8f8d-4da0-8ce5-5c736893e760"],
 "  ",
 StyleBox["can be demonstrated by comparing",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.4",ExpressionUUID->"5b3e8ab6-2b84-4dd9-950b-a37e46a31ff7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"ComplexExpand", "[", 
   RowBox[{"MatrixExp", "[", 
    RowBox[{"i", " ", "\[Alpha]", " ", 
     SubscriptBox["\[Sigma]", "1"]}], "]"}], "]"}]}]], "Input",
 CellTags->"b:5.1.4",ExpressionUUID->"16979d3e-fc3a-4d77-8172-4e2ea2e9bf36"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox[
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "i"}], " ", "\[Alpha]"}]], "2"], "+", 
       FractionBox[
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"i", " ", "\[Alpha]"}]], "2"]}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "i"}], " ", "\[Alpha]"}]]}], "+", 
       FractionBox[
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"i", " ", "\[Alpha]"}]], "2"]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "i"}], " ", "\[Alpha]"}]]}], "+", 
       FractionBox[
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"i", " ", "\[Alpha]"}]], "2"]}], 
      RowBox[{
       FractionBox[
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "i"}], " ", "\[Alpha]"}]], "2"], "+", 
       FractionBox[
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"i", " ", "\[Alpha]"}]], "2"]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352487307*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"0ddaa3f8-220a-4177-9777-dbbe24a689d6"]
}, Open  ]],

Cell["to:", "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.4",ExpressionUUID->"5ba22849-132a-4339-9c9d-e0dd3efd4c3a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TrigExpand", "[", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"Cos", "[", "\[Alpha]", "]"}], " ", 
     SubscriptBox["\[Sigma]", "0"]}], "+", " ", 
    RowBox[{"i", " ", 
     RowBox[{"Sin", "[", "\[Alpha]", "]"}], " ", 
     SubscriptBox["\[Sigma]", "1"]}]}], ")"}], "]"}]], "Input",
 CellTags->"b:5.1.4",ExpressionUUID->"ecdcda9b-3b8b-4688-9360-af26828f26b2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Alpha]", "]"}], 
      RowBox[{"i", " ", 
       RowBox[{"Sin", "[", "\[Alpha]", "]"}]}]},
     {
      RowBox[{"i", " ", 
       RowBox[{"Sin", "[", "\[Alpha]", "]"}]}], 
      RowBox[{"Cos", "[", "\[Alpha]", "]"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352498217*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"577660b5-c8a4-433d-9260-6bbd51a12a04"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixExp", "[", 
  RowBox[{
   RowBox[{"-", "\[ImaginaryI]"}], "*", "\[Theta]", "*", 
   RowBox[{
    SubscriptBox["\[Sigma]", "3"], "/", "2"}]}], "]"}]], "Input",
 CellTags->"b:5.1.4",ExpressionUUID->"ffeaec99-3b7e-4f6a-9998-beac7b057f0e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}], "2"]}]], "0"},
     {"0", 
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}], "2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573525169067`*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"128aa85f-9c1f-4144-a8a2-c457cdb2e41c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixPower", "[", 
  RowBox[{
   SubscriptBox["\[Sigma]", "3"], ",", "3"}], "]"}]], "Input",
 CellTags->"b:5.1.4",ExpressionUUID->"c8fb8a81-100b-4a60-bf07-739bb597bae2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573525277863`*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"89849f56-ec8a-45be-a53e-5eb436e3f93e"]
}, Open  ]],

Cell[TextData[{
 StyleBox["It allows us to check the formula ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"\[Sigma]", ".", "P"}], ")"}], "2"],
     TraditionalForm], "=", 
    SuperscriptBox["P", "2"]}], TraditionalForm]],ExpressionUUID->
  "dde97f44-8a57-496a-b53e-32c09d1dbd73"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.1.4",ExpressionUUID->"aef0dd58-9096-42f2-9175-88f3d62be1e9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"MatrixPower", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"a", "*", 
      SubscriptBox["\[Sigma]", "1"]}], "+", 
     RowBox[{"b", "*", 
      SubscriptBox["\[Sigma]", "2"]}], "+", 
     RowBox[{"c", "*", 
      SubscriptBox["\[Sigma]", "3"]}]}], ",", "2"}], "]"}], "]"}]], "Input",
 CellTags->"b:5.1.4",ExpressionUUID->"d7e93c56-0f95-4286-bb08-4a7c37783cd9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SuperscriptBox["a", "2"], "+", 
       SuperscriptBox["b", "2"], "+", 
       SuperscriptBox["c", "2"]}], "0"},
     {"0", 
      RowBox[{
       SuperscriptBox["a", "2"], "+", 
       SuperscriptBox["b", "2"], "+", 
       SuperscriptBox["c", "2"]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352546599*^9},
 CellTags->"b:5.1.4",ExpressionUUID->"a7195d3c-055c-42fb-b71e-d17ebebb5ce0"]
}, Open  ]],

Cell[TextData[StyleBox["The  Wigner rotation of a qubit state is discussed \
later and in a separate tutorial.",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.6184929800991573`*^9, 3.618493003058428*^9}, {
  3.618493035963032*^9, 3.618493042859136*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.1.4",ExpressionUUID->"7f4dc226-804d-4b66-be91-537b1961314f"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Quantum Gates", "Section",
 FontFamily->"Times",
 CellTags->{
  "Quantum Gates", 
   "c:9"},ExpressionUUID->"79eb7e0d-d69a-4eb4-8d53-7e1036397872"],

Cell[TextData[StyleBox["In the density matrix language any operator [O] \
acting on the density matrix of the system \[Rho] acts producing:",
 FontFamily->"Helvetica"]], "Text",
 TextAlignment->Left,
 FontFamily->
  "Courier New",ExpressionUUID->"45d53de0-f444-4ca6-bcf7-2a4330e3a2dc"],

Cell[TextData[{
 StyleBox["\[Rho]' = ",
  FontFamily->"Helvetica",
  FontSize->14,
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox[
   RowBox[{"O", ".", "\[Rho]", ".", 
    SuperscriptBox["O", "\[Dagger]"]}], TraditionalForm]],
  FontWeight->"Bold",ExpressionUUID->"1871734e-36db-4131-81df-3cb6750a591d"]
}], "Text",
 TextAlignment->-0.5,
 FontFamily->
  "Courier New",ExpressionUUID->"26b2c6e2-54ba-4ccb-ac79-2ec376d25bb1"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["a) Single qubit operations: Hadmards and rotations",
 FontWeight->"Bold"]], "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:10", "b:5.2.0"},ExpressionUUID->"3b8a2bb5-ff2f-4bf6-9d40-254a22d08d0c"],

Cell[TextData[{
 StyleBox["The ",
  FontFamily->"Helvetica"],
 StyleBox["Hadamard operator",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" for one qubit is defined as \nHad |0\[RightAngleBracket] = (|0\
\[RightAngleBracket] + |1\[RightAngleBracket])/ ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]],ExpressionUUID->
  "b2e27ee6-8d8b-4914-a9c8-4a02c38ee240"],
 "  and Had |1\[RightAngleBracket] = ",
 StyleBox[" (|0\[RightAngleBracket] - |1\[RightAngleBracket])/ ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]],ExpressionUUID->
  "739d69b4-a487-4bbb-bc58-74709d1c2952"],
 StyleBox[", \nthis is equivalent to Had = (",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    StyleBox["\[Sigma]",
     FontFamily->"Helvetica"], "1"], TraditionalForm]],ExpressionUUID->
  "9542e8ac-5d06-48b1-a7ee-988871d2ceda"],
 StyleBox[" + ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    StyleBox["\[Sigma]",
     FontFamily->"Helvetica"], "3"], TraditionalForm]],ExpressionUUID->
  "785e730b-f5a9-4a2a-beaf-2172e1f98e2e"],
 StyleBox["\[RightAngleBracket]/ ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]],ExpressionUUID->
  "58f4316e-0c00-445d-906c-65ba5270210b"],
 StyleBox["\nTo Hadamard qubit-one in a one qubit system use:",
  FontFamily->"Helvetica"]
}], "Text",
 CellChangeTimes->{{3.613395051437973*^9, 3.613395051953808*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"21d34541-9400-4045-8a72-6da0b07d0b39"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"HA", " ", "=", " ", 
  RowBox[{"had", "[", 
   RowBox[{"1", ",", "1"}], "]"}]}]], "Input",
 CellTags->"b:5.2.0",ExpressionUUID->"fb1dd838-a105-4ad7-8567-e2ed2c157cf7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352557065*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"7516b5e7-3fdb-49c4-a883-354aab5c7d94"],

Cell[TextData[StyleBox["or the script form:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"3e70e7fa-5367-4a4a-8949-b467f999ecfc"],

Cell[CellGroupData[{

Cell[BoxData["\[ScriptCapitalH]"], "Input",
 CellTags->"b:5.2.0",ExpressionUUID->"2ca1e2cf-c6e2-40a7-9bca-6c631d0726a1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573525757427`*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"d9941d92-05da-4ad5-919d-c92d910ad8ad"]
}, Open  ]],

Cell[TextData[StyleBox["If we have 3 qubits and want to Hadamard the second \
one,",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"8a36829f-e821-4072-8c0c-70156b8a007b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"HAD32", "=", 
  RowBox[{"had", "[", 
   RowBox[{"3", ",", "2"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.613395079179223*^9, 3.613395086367363*^9}, {
  3.613395131040553*^9, 3.613395145640243*^9}, {3.61339538195849*^9, 
  3.613395393218055*^9}, {3.613395619570511*^9, 3.613395623461936*^9}, {
  3.6135049161353807`*^9, 3.6135049204543056`*^9}},
 CellTags->"b:5.2.0",ExpressionUUID->"78732149-17d8-4631-a68b-713d355aace4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", "0", "0", "0", "0"},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", "0", "0", "0"},
     {
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0", "0", "0", "0", "0"},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0", "0", "0", "0"},
     {"0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0"},
     {"0", "0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]]},
     {"0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0"},
     {"0", "0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352586293*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"afac517c-8eee-4057-a305-bd81226040fb"],

Cell[TextData[StyleBox["which  is equivalent to",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"271753b8-03a5-4b63-91cd-24d73aed3b60"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AF", "[", 
  RowBox[{
  "\[DoubleStruckCapitalI]", "  ", "\[CircleTimes]", " ", "\[ScriptCapitalH]",
    " ", "\[CircleTimes]", "\[DoubleStruckCapitalI]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6133959477066393`*^9, 3.613395950338436*^9}, {
   3.614015919554443*^9, 3.614015932928617*^9}, 3.614075965489653*^9, {
   3.857154222631995*^9, 3.8571542226339006`*^9}, {3.8601573408623943`*^9, 
   3.8601573408636503`*^9}},
 CellTags->"b:5.2.0",ExpressionUUID->"9f128a3a-c371-4e5b-8878-d0a7140e2cca"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", "0", "0", "0", "0"},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", "0", "0", "0"},
     {
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0", "0", "0", "0", "0"},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0", "0", "0", "0"},
     {"0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0"},
     {"0", "0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]]},
     {"0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0"},
     {"0", "0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573526053953`*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"2cf1d5b9-4bcc-470f-a786-c3ce1b86f1f6"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[TextData[StyleBox["If we want to apply Hadamards as above to an initial \
system of |000\[RightAngleBracket],  we construct the initial density matrix \
and transform to the new density matrix, also we check the subsystems 2 and 1 \
to verify that it is only qubit 2 that has been subjected to a Hadamard:",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.614015951445463*^9, 3.614015952625804*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"11f4fbcd-1820-4cc2-81b7-50ec38293571"]
}, Open  ]]
}, Open  ]],

Cell[RawData["Cell[BoxData[\"\\[TensorProduct]\"], \"Input\"]"], "Input"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"\[Rho]000", "=", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "0"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Rho]FINAL", "=", 
   RowBox[{"HAD32", " ", ".", " ", "\[Rho]000", " ", ".", " ", 
    RowBox[{"Adj", "[", "HAD32", "]"}]}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{"PTr", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "3"}], "}"}], ",", "\[Rho]FINAL"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"PTr", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", "\[Rho]FINAL"}], "]"}]}], "Input",
 CellChangeTimes->{{3.6140159800992002`*^9, 3.61401603406218*^9}, 
   3.6140759655067387`*^9, 3.8571539602771397`*^9, 3.857154222637259*^9, {
   3.8601573408656883`*^9, 3.86015734086688*^9}},
 CellTags->"b:5.2.0",ExpressionUUID->"de6a3ad7-b903-4f74-862f-3428e9789319"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352632976*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"d3dc97b4-ebfe-4bd9-8510-0d2b7a1d2485"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0", 
      FractionBox["1", "2"], "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {
      FractionBox["1", "2"], "0", 
      FractionBox["1", "2"], "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352639057*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"8cf95725-d1ed-4666-920c-a438369d4617"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], 
      FractionBox["1", "2"]},
     {
      FractionBox["1", "2"], 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352643649*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"078ff31e-37c3-48b9-902a-8d78207b2b58"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573526485643`*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"1753506e-efe6-47b5-8dee-1377ac0e99e1"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Sometimes we need a ",
  FontFamily->"Helvetica"],
 StyleBox["Hadamard on every one of the qubits;",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" in that case you may use the command ",
  FontFamily->"Helvetica"],
 StyleBox["HALL",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[":",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"7220ecdd-f52b-413e-8c3e-245c07d413f6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"HALL", "[", "3", "]"}], ".", "\[Rho]000", " ", ".", 
  RowBox[{"Adj", "[", 
   RowBox[{"HALL", "[", "3", "]"}], "]"}]}]], "Input",
 CellTags->{
  "i:2", "b:5.2.0"},ExpressionUUID->"b58aadf2-51ad-4506-ad2f-65f04d6c97dd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352666462*^9},
 CellTags->{
  "i:2", "b:5.2.0"},ExpressionUUID->"6106d4bd-9a0c-49fe-8d9e-fee1626db340"]
}, Open  ]],

Cell[TextData[StyleBox["The action of a Hadamard on state vectors is  also \
simple to evaluatel, ",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"b6f93c53-5fa4-4613-aafd-f6610f2ad2aa"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"had", "[", 
   RowBox[{"1", ",", "1"}], "]"}], ".", 
  RowBox[{"Ket", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"had", "[", 
   RowBox[{"1", ",", "1"}], "]"}], ".", 
  RowBox[{"KetX", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"had", "[", 
   RowBox[{"1", ",", "1"}], "]"}], ".", 
  RowBox[{"Ket", "[", "1", "]"}]}]}], "Input",
 CellTags->"b:5.2.0",ExpressionUUID->"d09533fe-e14d-4342-b193-457ebd473c5c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["1", 
       SqrtBox["2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352677761*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"17736115-2589-4f05-839b-c1a4f816c82b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573526834173`*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"a3efda42-e675-4df5-930d-f15891e8d2f6"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352687256*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"a1f1c5ac-8a87-4659-bcff-a7f588fd6642"]
}, Open  ]],

Cell[TextData[StyleBox["A rotation around the y axis of an angle \[Theta] \
applied to a state |0\[RightAngleBracket] can be generated by the user as:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"e25379e1-9e7c-4a09-b9e0-07ef35e890f6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Roty", " ", "=", 
  RowBox[{"MatrixExp", "[", 
   RowBox[{
    RowBox[{"-", " ", "\[ImaginaryI]"}], "*", " ", 
    RowBox[{"s", "[", "2", "]"}], "*", 
    RowBox[{"\[Theta]", "/", "2"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"TrigReduce", "[", 
  RowBox[{"ComplexExpand", "[", 
   RowBox[{"Roty", "  ", ".", " ", 
    SubscriptBox["\[ScriptCapitalP]", "0"], ".", " ", 
    RowBox[{"Adj", "[", "Roty", " ", "]"}]}], "]"}], "]"}]}], "Input",
 CellTags->"b:5.2.0",ExpressionUUID->"7f2ac3fc-6ca7-4899-be65-64ce9cdf8855"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", 
       FractionBox["\[Theta]", "2"], "]"}], 
      RowBox[{"-", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}]},
     {
      RowBox[{"Sin", "[", 
       FractionBox["\[Theta]", "2"], "]"}], 
      RowBox[{"Cos", "[", 
       FractionBox["\[Theta]", "2"], "]"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573527052193`*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"4a2eecf0-7f6a-4750-aa68-4c8530958496"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ")"}]}], 
      FractionBox[
       RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"]},
     {
      FractionBox[
       RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352710973*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"578f9bc9-f88a-449d-b0cd-4ccf674deacd"]
}, Open  ]],

Cell[TextData[{
 StyleBox["and we see that Roty on state | 0 \[RightAngleBracket] gives us \
Cos ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FractionBox["\[Theta]", "2"]],ExpressionUUID->
  "86fff850-8963-41d4-adcf-0ae5be81c2f4"],
 StyleBox["  | 0\[RightAngleBracket] + Sin ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FractionBox["\[Theta]", "2"]],ExpressionUUID->
  "770382e7-f191-4ebc-9416-5d05a953bd26"],
 StyleBox["  | 1\[RightAngleBracket];   for ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  RowBox[{"\[Theta]", " ", "=", " ", 
   RowBox[{"Pi", "/", "2"}]}]],ExpressionUUID->
  "7a0838ec-5b15-493d-8f2c-4566f6b72b29"],
 StyleBox["  gives ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"1", "/", 
     SqrtBox["2"]}]}], TraditionalForm]],ExpressionUUID->
  "958815c8-5fd8-4613-bd4c-bb2a9958a679"],
 StyleBox[") ( | 0\[VeryThinSpace]\[RightAngleBracket] + | 1 \
\[RightAngleBracket])= |+\[RightAngleBracket].",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"e5c79b00-4108-4617-99b6-9f2cef9d3f3b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Roty", ".", " ", 
  RowBox[{"Ket", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.614016099736486*^9, 3.614016104551073*^9}},
 CellTags->"b:5.2.0",ExpressionUUID->"5c6a6c0d-aa0f-4695-8ec5-b393cda61f9a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", 
       FractionBox["\[Theta]", "2"], "]"}]},
     {
      RowBox[{"Sin", "[", 
       FractionBox["\[Theta]", "2"], "]"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352719488*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"dfa7b5bf-b965-4c80-976e-79e6add881c1"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{"Cos", "[", 
      FractionBox["\[Theta]", "2"], "]"}], "\")\"", "\" |\"", "\"0\"", 
    "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"Sin", "[", 
      FractionBox["\[Theta]", "2"], "]"}], "\")\"", "\" |\"", "\"1\"", 
    "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352724737*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"ae0d1bad-4a15-4bab-9f83-96406f4d69f4"]
}, Open  ]],

Cell[TextData[{
 StyleBox["or the user can use the ",
  FontFamily->"Helvetica"],
 "QDENSITY",
 StyleBox[" command RotY[ ",
  FontFamily->"Helvetica"],
 "\[Theta]",
 StyleBox[" ]",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"777e14bf-744f-4df1-9e1a-97ebd55d440f"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"RotY", "[", "\[Theta]", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RotY", "[", 
   RowBox[{"Pi", "/", "2"}], "]"}], ".", " ", 
  RowBox[{"Ket", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.614016113854549*^9, 3.614016117780463*^9}},
 CellTags->"b:5.2.0",ExpressionUUID->"d2f214d6-1e26-44ea-ab21-4767f6b4ed50"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", 
       FractionBox["\[Theta]", "2"], "]"}], 
      RowBox[{"-", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}]},
     {
      RowBox[{"Sin", "[", 
       FractionBox["\[Theta]", "2"], "]"}], 
      RowBox[{"Cos", "[", 
       FractionBox["\[Theta]", "2"], "]"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352742729*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"e7342b2b-8eb2-423e-812b-46d10b39aef9"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{"Cos", "[", 
      FractionBox["\[Theta]", "2"], "]"}], "\")\"", "\" |\"", "\"0\"", 
    "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"Sin", "[", 
      FractionBox["\[Theta]", "2"], "]"}], "\")\"", "\" |\"", "\"1\"", 
    "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352748206*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"732742a8-009a-4bc1-8b8e-42a9e6dbfed2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["1", 
       SqrtBox["2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573527528267`*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"9c041ff2-8b09-497d-96b6-05c5306af622"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352757187*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"424e34d3-4da3-4530-95b8-49538b3fb6bd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["b) Two Qubit operations: CNOT gate",
 FontWeight->"Bold"]], "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "i:1", "c:11", 
   "b:5.2.1"},ExpressionUUID->"3ec222cb-b3e3-4075-a2cf-ef8e16a6aab0"],

Cell[TextData[{
 StyleBox["Two and in general n-qubit gates can be constructed. Among them \
the CNOT gate plays a very important role. A ",
  FontFamily->"Helvetica"],
 StyleBox["CNOT gate ( |a\[RightAngleBracket]|b\[RightAngleBracket]  -> |a\
\[RightAngleBracket]|(a ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox[
   RowBox[{"\[CirclePlus]", " "}], TraditionalForm]],ExpressionUUID->
  "4f0c5b07-84d7-4662-8a99-b7f37de1aa82"],
 StyleBox["b) mod 2\[RightAngleBracket]) operating with qubit 1 as control \
and qubit 2 as target in a circuit with only two qubits",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" can be constructed as: ",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.1",ExpressionUUID->"9e52f50e-c086-44a1-a640-04cdd410d549"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CNOT", "[", 
  RowBox[{"2", ",", "1", ",", "2"}], "]"}]], "Input",
 CellTags->"b:5.2.1",ExpressionUUID->"111f2419-4a68-40ed-a11a-ac995340f263"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "0", "1"},
     {"0", "0", "1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352767342*^9},
 CellTags->"b:5.2.1",ExpressionUUID->"ef5a7996-fbbf-4c02-ad18-00c9a0d50862"]
}, Open  ]],

Cell[TextData[{
 StyleBox["If we apply the ",
  FontFamily->"Helvetica"],
 StyleBox["CNOT",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" to an initial density matrix  |10\[RightAngleBracket]\
\[LeftAngleBracket]10|, we write, ",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.1",ExpressionUUID->"830419cd-ce74-4a00-ae41-c7d7c1da738e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"CNOT", "[", 
   RowBox[{"2", ",", "1", ",", "2"}], "]"}], " ", ".", " ", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "1"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "0"]}], "]"}], ".", 
  RowBox[{"Adj", "[", 
   RowBox[{"CNOT", "[", 
    RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.614016158482085*^9, 3.614016162766512*^9}, 
   3.614016218093173*^9, 3.61407596552387*^9, 3.857153960292931*^9, 
   3.860157340868576*^9},
 CellTags->"b:5.2.1",ExpressionUUID->"69797ecf-4681-49ec-bab9-8b1ba224fbca"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352785201*^9},
 CellTags->"b:5.2.1",ExpressionUUID->"1a3449b9-13d6-4a90-9bcd-a8e7a3f6b561"]
}, Open  ]],

Cell[TextData[StyleBox["which trivially  is seen to be equal to the density \
matrix for |11\[RightAngleBracket]\[LeftAngleBracket]11|",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.1",ExpressionUUID->"fa9cc76d-fc9c-416e-8e7b-5193177ed77a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "1"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "1"]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.614016236722087*^9, 3.6140162795248423`*^9}, 
   3.6140759655385723`*^9, 3.8571537769872627`*^9, 3.860157340870206*^9},
 CellTags->"b:5.2.1",ExpressionUUID->"e03e3f37-97b4-4ad3-a1f4-4597367d76bf"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352796179*^9},
 CellTags->"b:5.2.1",ExpressionUUID->"d729be9e-2e4b-4351-92f6-172deeae9762"]
}, Open  ]],

Cell[TextData[{
 StyleBox["A ",
  FontFamily->"Helvetica"],
 StyleBox["more general case",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" would be to have a CNOT gate with control in qubit 3 and target \
in qubit 5 in a circuit with 6 qubits:",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.1",ExpressionUUID->"a14ecf1c-3a51-4e71-9f2d-7cd23dc04bca"],

Cell[BoxData[
 RowBox[{
  RowBox[{"CNOT", "[", 
   RowBox[{"6", ",", "3", ",", "5"}], "]"}], ";"}]], "Input",
 CellTags->"b:5.2.1",ExpressionUUID->"6f2a4fba-3f59-4a3c-8704-6e9435b9bae5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["c) Two Qubit operations (CPHASE)",
 FontWeight->"Bold"]], "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "i:1", "c:12", 
   "b:5.2.2"},ExpressionUUID->"1fd4b4f5-b172-42fe-9fdd-13e6d8cc8dc9"],

Cell[TextData[StyleBox["The Cphase operation, used mainly in the cluster \
model approach, is defined by:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.2",ExpressionUUID->"aa581654-866a-4a5e-8e70-53b121737eb0"],

Cell[TextData[StyleBox["CPHASE | a b \[RightAngleBracket] = (-1)^(ab)  | a b \
\[RightAngleBracket]",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 TextAlignment->-0.5,
 FontFamily->"Courier New",
 CellTags->"b:5.2.2",ExpressionUUID->"2f2166a0-f446-4562-94a4-9535d937ab5b"],

Cell[TextData[StyleBox[" Its syntax is is similar to a CNOT gate, but in this \
case the order of the control and target qubits is not relevant. \nTherefore, \
CPHASE[L,q1,q2], performs a CPHASE gate on qubits q1 and q2 on a system of L \
qubits.",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.2",ExpressionUUID->"cc7d302e-c6bf-46c5-be27-c2a87a94fca6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CPHASE", "[", 
  RowBox[{"2", ",", "1", ",", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"CPHASE", "[", 
  RowBox[{"2", ",", "2", ",", "1"}], "]"}]}], "Input",
 CellTags->"b:5.2.2",ExpressionUUID->"f84469da-52c7-4320-b674-142a84bb1594"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "1", "0"},
     {"0", "0", "0", 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352818645*^9},
 CellTags->"b:5.2.2",ExpressionUUID->"fd2c9343-bc1c-4a7f-b89a-95bd2af54ecb"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "1", "0"},
     {"0", "0", "0", 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352824614*^9},
 CellTags->"b:5.2.2",ExpressionUUID->"b3315d6c-54eb-4880-929b-5f37a37b3c1e"]
}, Open  ]],

Cell[TextData[{
 StyleBox["In a multiquibit environment: of say three qubits, a ",
  FontFamily->"Helvetica"],
 StyleBox["CPHASE",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" between qubits 1 and 2 is:",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.2",ExpressionUUID->"3287e6cb-1af1-4f97-bc57-288cd1a94717"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CPHASE", "[", 
  RowBox[{"3", ",", "2", ",", "1"}], "]"}]], "Input",
 CellTags->"b:5.2.2",ExpressionUUID->"b3e6940d-8dd9-4b95-9cf9-86ee0968bd88"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "1", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0"},
     {"0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}], "0"},
     {"0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.86015735284169*^9},
 CellTags->"b:5.2.2",ExpressionUUID->"67bddaa8-1add-4c48-8e7e-e0332c9654e3"]
}, Open  ]],

Cell[TextData[StyleBox["A different version of the same gate  is defined by \
CPHASEV[ i,  j,  a ]  and is used to get the CPHASE action on qubits i and j \
of a  state vector a.",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.2",ExpressionUUID->"5f248246-16b7-4fd5-b2e7-07b706bea8a8"],

Cell[TextData[StyleBox["For instance, if we apply CPHASE to the two qubit \
vector:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.2",ExpressionUUID->"9edabae5-4798-412f-899b-9ee7bf6238f6"],

Cell[TextData[StyleBox["CPHASE[ 2, 1, 2]   [  a | 0 0 \[RightAngleBracket]+  \
b | 0 1 \[RightAngleBracket] +  c | 1 0 \[RightAngleBracket] + d | 1 1 \
\[RightAngleBracket] ]  =   a | 0 0\[RightAngleBracket]+ b | 0 1\
\[RightAngleBracket]+ c | 1 0\[RightAngleBracket]  -  d | 1 1\
\[RightAngleBracket]",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 TextAlignment->-0.5,
 FontFamily->"Courier New",
 CellTags->"b:5.2.2",ExpressionUUID->"a1bee995-2a7b-404a-bda8-6944290b188a"],

Cell[TextData[StyleBox["Which corresponds to the followng command:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.2",ExpressionUUID->"052104f8-a527-4e15-8f3f-931e663f6be1"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CPHASEV", "[", 
  RowBox[{"1", ",", "2", ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", 
  RowBox[{"{", 
   RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.618493131539032*^9, 3.6184931645785017`*^9}},
 CellTags->"b:5.2.2",ExpressionUUID->"3a7345dd-7b91-4d5b-8595-e16cd99f352d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"a"},
      {"b"},
      {"c"},
      {
       RowBox[{"-", "d"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352852631*^9},
 CellTags->"b:5.2.2",ExpressionUUID->"062d905a-4091-4724-9184-8caa0ad35cb0"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a", "\")\"", "\" |\"", "\"00\"", "\" >\"", "\" + \"", 
    "\"(\"", "b", "\")\"", "\" |\"", "\"01\"", "\" >\"", "\" + \"", "\"(\"", 
    "c", "\")\"", "\" |\"", "\"10\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"-", "d"}], "\")\"", "\" |\"", "\"11\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352858083*^9},
 CellTags->"b:5.2.2",ExpressionUUID->"8cab9b79-62e6-4700-82ac-3911229040f4"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a", "\")\"", "\" |\"", "\"00\"", "\" >\"", "\" + \"", 
    "\"(\"", "b", "\")\"", "\" |\"", "\"01\"", "\" >\"", "\" + \"", "\"(\"", 
    "c", "\")\"", "\" |\"", "\"10\"", "\" >\"", "\" + \"", "\"(\"", "d", 
    "\")\"", "\" |\"", "\"11\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352863637*^9},
 CellTags->"b:5.2.2",ExpressionUUID->"d7bd2274-3c58-4db9-a740-34c0a10cb7d6"]
}, Open  ]],

Cell[TextData[StyleBox["Thus CPHASEV[  i  , j , a]  gives the result of  a \
CPHASE acting on qubits i and j for a state vector with expansion \
coefficients a:{a,b,c.....}.  The length of the array gives the total number \
of qubits.",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.2",ExpressionUUID->"aca4519c-0528-4b01-8522-294f2c146a92"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CPHASEV", "[", 
  RowBox[{"1", ",", "3", ",", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g", ",", 
     "h"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", 
  RowBox[{"{", 
   RowBox[{
   "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g", ",", 
    "h"}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.618493083471489*^9, 3.618493122371478*^9}},
 CellTags->"b:5.2.2",ExpressionUUID->"a85195dc-a481-4da7-b140-f9a0f30d9117"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"a"},
      {"b"},
      {"c"},
      {"d"},
      {"e"},
      {
       RowBox[{"-", "f"}]},
      {"g"},
      {
       RowBox[{"-", "h"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573528819304`*^9},
 CellTags->"b:5.2.2",ExpressionUUID->"33b86928-4c82-4997-9da9-43c5f1e3d168"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a", "\")\"", "\" |\"", "\"000\"", "\" >\"", "\" + \"",
     "\"(\"", "b", "\")\"", "\" |\"", "\"001\"", "\" >\"", "\" + \"", "\"(\"",
     "c", "\")\"", "\" |\"", "\"010\"", "\" >\"", "\" + \"", "\"(\"", "d", 
    "\")\"", "\" |\"", "\"011\"", "\" >\"", "\" + \"", "\"(\"", "e", "\")\"", 
    "\" |\"", "\"100\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"-", "f"}], "\")\"", "\" |\"", "\"101\"", "\" >\"", "\" + \"", 
    "\"(\"", "g", "\")\"", "\" |\"", "\"110\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"-", "h"}], "\")\"", "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157352887588*^9},
 CellTags->"b:5.2.2",ExpressionUUID->"969e08e8-675d-4180-966f-8e15a640091c"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a", "\")\"", "\" |\"", "\"000\"", "\" >\"", "\" + \"",
     "\"(\"", "b", "\")\"", "\" |\"", "\"001\"", "\" >\"", "\" + \"", "\"(\"",
     "c", "\")\"", "\" |\"", "\"010\"", "\" >\"", "\" + \"", "\"(\"", "d", 
    "\")\"", "\" |\"", "\"011\"", "\" >\"", "\" + \"", "\"(\"", "e", "\")\"", 
    "\" |\"", "\"100\"", "\" >\"", "\" + \"", "\"(\"", "f", "\")\"", "\" |\"",
     "\"101\"", "\" >\"", "\" + \"", "\"(\"", "g", "\")\"", "\" |\"", 
    "\"110\"", "\" >\"", "\" + \"", "\"(\"", "h", "\")\"", "\" |\"", 
    "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573528948*^9},
 CellTags->"b:5.2.2",ExpressionUUID->"b891e856-233d-4736-bd3a-cc8f268171ed"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["d) Two Qubit operations, TwoOp",
 FontWeight->"Bold"]], "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "i:1", "c:13", 
   "b:5.2.3"},ExpressionUUID->"db729578-f277-471a-a54f-c3583e9de071"],

Cell[TextData[StyleBox["General Two Qubit operations are build using TwoOp. \
Its syntax is is very simple and allows one to build any two qubit operation \
embedded in an L qubit system. ",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.3",ExpressionUUID->"d663d676-1208-4992-9c5d-20681cb44ecc"],

Cell[TextData[{
 StyleBox["The TwoOp function should be called with the following arguments: \
\nL: total number of qubits, ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SubscriptBox["q", "1"], TraditionalForm]],ExpressionUUID->
  "26f842ef-c380-443e-9d2f-ae01a80ceb61"],
 "and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["q", "2"], TraditionalForm]],ExpressionUUID->
  "b48e54f4-d5a1-44a1-8dc7-b33b56d9bcad"],
 ", ",
 StyleBox["qubits involved in the operation, ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["op", "1"], "and", " ", 
    SubscriptBox["op", "2"]}], TraditionalForm]],ExpressionUUID->
  "d272c824-e5d7-4195-bca5-b67fec5499fa"],
 " ",
 StyleBox["are the Pauli \noperators ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["\[Sigma]", 
      SubscriptBox["op", "1"]], ",", 
     SubscriptBox["\[Sigma]", 
      SubscriptBox["op", "2"]]}], ")"}], TraditionalForm]],ExpressionUUID->
  "0e7d0b1a-8fc7-4094-b4d6-7bb688ad286d"],
 " ",
 StyleBox["performed on",
  FontFamily->"Helvetica"],
 " ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["q", "1"], TraditionalForm]],ExpressionUUID->
  "8f4b9cc0-5317-4950-8956-c4e204bf5819"],
 "and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["q", "2"], TraditionalForm]],ExpressionUUID->
  "6eafcb03-910e-41db-a2a8-10a3fe92cc7d"],
 ".\n",
 StyleBox["Thus for a three qubit system with  ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  RowBox[{
   SubscriptBox["\[Sigma]", "0"], "  ", "acting", " ", "on", " ", "qubit", 
   " ", "1", "  ", "and"}]],
  FontFamily->"Helvetica",ExpressionUUID->
  "6340da65-fcc4-4fdf-86c3-d6a54fce3965"],
 StyleBox[" ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  RowBox[{
   RowBox[{
    SubscriptBox["\[Sigma]", "1"], "  ", "acting", " ", "on", " ", "qubit", 
    " ", "2"}], ",", " ", 
   RowBox[{"the", " ", "operator", " ", "is"}]}]],
  FontFamily->"Helvetica",ExpressionUUID->
  "ad16b531-de8a-4ff9-b57e-74f5d5fce3d7"],
 StyleBox[" ",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.3",ExpressionUUID->"0cc74252-dd08-4e20-adb1-f6c2b088f45e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TwoOp", "[", 
  RowBox[{"3", ",", "1", ",", "2", ",", "0", ",", "1"}], "]"}]], "Input",
 CellTags->"b:5.2.3",ExpressionUUID->"4e55cb70-851b-41da-8da5-9cf8d08a88b7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "1", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0"},
     {"1", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "1", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1"},
     {"0", "0", "0", "0", "1", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.86015735290711*^9},
 CellTags->"b:5.2.3",ExpressionUUID->"ab963742-7aad-4028-a766-2877f789e631"]
}, Open  ]],

Cell[TextData[{
 StyleBox["For example, the CNOT and CPHASE gates between any two qubits in a \
total of L qubits have been coded using this function.\nA ThreeOp[ L,  i,  j, \
k, ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SubscriptBox["op", "1"], TraditionalForm]],
  FontFamily->"Helvetica",ExpressionUUID->
  "977a296a-5e00-4d47-82b4-a5d8df1c818a"],
 StyleBox[" ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SubscriptBox["op", "2"], TraditionalForm]],
  FontFamily->"Helvetica",ExpressionUUID->
  "9c83a3e9-8b16-401d-86c0-1e72df732a4f"],
 StyleBox[" ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SubscriptBox["op", "3"], TraditionalForm]],
  FontFamily->"Helvetica",ExpressionUUID->
  "ab41a36b-7dca-43e5-bf92-972118503603"],
 StyleBox["] is also provided by ",
  FontFamily->"Helvetica"],
 "QDENSITY",
 StyleBox[", which also serves as a building block for higher order \
operators.",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.3",ExpressionUUID->"04b7c6b4-9458-4267-8733-aa086c03db3f"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Measurements", "Section",
 FontFamily->"Times",
 CellTags->{
  "Measurement", 
   "c:14"},ExpressionUUID->"c82b4218-6bb4-4b60-a2e7-5df41191c753"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["a) Measuring  in the computational bases with density \
matrix",
 FontWeight->"Bold"]], "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "Measurements", "c:15", 
   "b:5.3.0"},ExpressionUUID->"48149862-ef22-41e7-93d6-bfb5d0ce7e17"],

Cell[TextData[StyleBox["A projective measurement on our system corresponds to \
a projection of the density matrix of the full system into the unmeasured \
subsystem.",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{3.8571543286025057`*^9},
 FontFamily->"Courier New",
 CellTags->"b:5.3.0",ExpressionUUID->"2816430a-954d-4c61-aab3-51dd3bafa67c"],

Cell[TextData[{
 StyleBox["Let us assume we have a four qubit system initially in the | 0 0 0 \
0 \[RightAngleBracket] state, we build  its density matrix ",
  FontFamily->"Helvetica"],
 "\[Rho]4",
 StyleBox["  after a chain of Hadamard and CNOT gates act as,",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.3.0",ExpressionUUID->"566540e1-28cc-43d5-87eb-4b298a1533bc"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Ope", "=", 
   RowBox[{
    RowBox[{"CNOT", "[", 
     RowBox[{"4", ",", "1", ",", "2"}], "]"}], ".", 
    RowBox[{"had", "[", 
     RowBox[{"4", ",", "2"}], "]"}], ".", 
    RowBox[{"CNOT", "[", 
     RowBox[{"4", ",", "3", ",", "4"}], "]"}], ".", 
    RowBox[{"had", "[", 
     RowBox[{"4", ",", "1"}], "]"}], ".", 
    RowBox[{"CNOT", "[", 
     RowBox[{"4", ",", "1", ",", "4"}], "]"}], ".", 
    RowBox[{"had", "[", 
     RowBox[{"4", ",", "3"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"\[Rho]4", "=", 
  RowBox[{"Ope", ".", " ", 
   RowBox[{"AF", "[", 
    RowBox[{
     SubscriptBox["\[ScriptCapitalP]", "0"], "  ", "\[CircleTimes]", "  ", 
     SubscriptBox["\[ScriptCapitalP]", "0"], " ", "\[CircleTimes]", 
     SubscriptBox["\[ScriptCapitalP]", "0"], " ", "\[CircleTimes]", "  ", 
     SubscriptBox["\[ScriptCapitalP]", "0"]}], "]"}], ".", 
   RowBox[{"Adj", "[", "Ope", "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.614016439032955*^9, 3.614016484861516*^9}, 
   3.614075965556134*^9, {3.8571537770005083`*^9, 3.857153777003148*^9}, {
   3.86015734087227*^9, 3.86015734087475*^9}},
 CellTags->"b:5.3.0",ExpressionUUID->"67a1fa17-3485-4865-9b54-02f1e423a8ae"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"]},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"]},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"]},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"]},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], "0", "0", 
      FractionBox["1", "8"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573529479237`*^9},
 CellTags->"b:5.3.0",ExpressionUUID->"200b6f77-37e1-4940-ac93-83384e1415b7"]
}, Open  ]],

Cell[TextData[StyleBox["We can then measure for instance qubits 1 and 3 \
simultaneously, the projection operator would be:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.3.0",ExpressionUUID->"999d4618-05a8-4373-9df2-8e8e85453d8b"],

Cell[BoxData[
 RowBox[{
  SubscriptBox["P", 
   RowBox[{"a_", ",", "b_"}]], "  ", ":=", "  ", 
  RowBox[{"AF", "[", " ", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "a"], " ", "\[CircleTimes]", "  ", 
    "\[DoubleStruckCapitalI]", "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "b"], "\[CircleTimes]", " ", 
    "\[DoubleStruckCapitalI]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.614016522492498*^9, 3.614016554451228*^9}, 
   3.6140759655721197`*^9, {3.85715377932185*^9, 3.857153779324967*^9}, {
   3.8601573408765907`*^9, 3.860157340878929*^9}},
 CellTags->"b:5.3.0",ExpressionUUID->"ff6a1bb1-e743-4045-9d55-f6ba2653ee9b"],

Cell[TextData[StyleBox["And therefore the state of the remaining subsystem, \
which depends on the values measured, after the measurement reads, ",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.3.0",ExpressionUUID->"278467c6-d5bb-4572-917c-2628806c82e9"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[Rho]24", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], ":=", 
   RowBox[{"Chop", "[", " ", 
    RowBox[{"PTr", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "3"}], "}"}], "  ", ",", 
      RowBox[{
       RowBox[{"2", "^", "2"}], "*", 
       RowBox[{
        SubscriptBox["P", 
         RowBox[{"a", ",", "b"}]], ".", "\[Rho]4", ".", 
        SubscriptBox["P", 
         RowBox[{"a", ",", "b"}]]}]}]}], " ", "]"}], "]"}]}], ";"}]], "Input",
 CellTags->"b:5.3.0",ExpressionUUID->"1a94353a-3be5-49fb-bf3c-23e152b054d7"],

Cell[TextData[StyleBox["If the result of the measurement was (01) then we \
would have the following density matrix for the remaining subsystem:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.3.0",ExpressionUUID->"dee65f8a-eb04-41aa-8978-a5eaffb823b6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"\[Rho]24", "[", 
  RowBox[{"0", ",", "1"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", 
  RowBox[{"\[Rho]24", "[", 
   RowBox[{"0", ",", "1"}], "]"}], "]"}]}], "Input",
 CellTags->"b:5.3.0",ExpressionUUID->"5d2d7897-97aa-4b89-8eae-2741b23dae43"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", 
      FractionBox["1", "2"], "0", 
      FractionBox["1", "2"]},
     {"0", "0", "0", "0"},
     {"0", 
      FractionBox["1", "2"], "0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573529866133`*^9},
 CellTags->"b:5.3.0",ExpressionUUID->"bf4c65ac-67c4-4457-a4b5-bd521620eff6"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157353006377*^9},
 CellTags->"b:5.3.0",ExpressionUUID->"cf242102-b090-4175-8081-23e227ff445b"]
}, Open  ]],

Cell[TextData[StyleBox["The computation could be left depending on the values \
of the measurement:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.3.0",ExpressionUUID->"928f5fd9-a8c9-41f4-b3c2-88b053227f2a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"\[Rho]24", "[", 
  RowBox[{"a", ",", "b"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tr", "[", 
   RowBox[{"\[Rho]24", "[", 
    RowBox[{"a", ",", "b"}], "]"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.614027714445733*^9, 3.614027774043529*^9}},
 CellTags->"b:5.3.0",ExpressionUUID->"2b676d7b-6edb-4231-baa9-b4bf91f599da"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["1", "16"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], 
          RowBox[{"2", " ", "a"}]]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"]}], ")"}], "2"]}], "0", 
      RowBox[{
       FractionBox["1", "16"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], 
          RowBox[{"2", " ", "a"}]]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"]}], ")"}], "2"]}], "0"},
     {"0", 
      RowBox[{
       FractionBox["1", "16"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], 
          RowBox[{"2", " ", "a"}]]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"]}], ")"}], "2"]}], "0", 
      RowBox[{
       FractionBox["1", "16"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], 
          RowBox[{"2", " ", "a"}]]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"]}], ")"}], "2"]}]},
     {
      RowBox[{
       FractionBox["1", "16"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], 
          RowBox[{"2", " ", "a"}]]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"]}], ")"}], "2"]}], "0", 
      RowBox[{
       FractionBox["1", "16"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], 
          RowBox[{"2", " ", "a"}]]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"]}], ")"}], "2"]}], "0"},
     {"0", 
      RowBox[{
       FractionBox["1", "16"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], 
          RowBox[{"2", " ", "a"}]]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"]}], ")"}], "2"]}], "0", 
      RowBox[{
       FractionBox["1", "16"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], 
          RowBox[{"2", " ", "a"}]]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"]}], ")"}], "2"]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157353059906*^9},
 CellTags->"b:5.3.0",ExpressionUUID->"494c38e6-845e-4180-af27-fe6c61747223"],

Cell[BoxData[
 TagBox[
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], 
      RowBox[{"2", " ", "a"}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], 
      RowBox[{"2", " ", "b"}]]}], ")"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157353100233*^9},
 CellTags->"b:5.3.0",ExpressionUUID->"23e0c09c-6bca-4f41-93b0-55980d2d287a"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["b) Measuring  in the computational bases using \
MeasureKet",
 FontWeight->"Bold"]], "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "Measurements", "MeasureKet", "c:16", 
   "b:5.3.1"},ExpressionUUID->"70479d26-ab83-4850-bd32-ce75f0c84217"],

Cell[TextData[StyleBox["Consider a similar example to the previous one, using \
kets:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.3.1",ExpressionUUID->"9e61b50b-6dea-4ecb-aa77-c2544809899d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Ope", "=", 
   RowBox[{
    RowBox[{"CNOT", "[", 
     RowBox[{"4", ",", "1", ",", "2"}], "]"}], ".", 
    RowBox[{"had", "[", 
     RowBox[{"4", ",", "2"}], "]"}], ".", 
    RowBox[{"CNOT", "[", 
     RowBox[{"4", ",", "3", ",", "4"}], "]"}], ".", 
    RowBox[{"had", "[", 
     RowBox[{"4", ",", "1"}], "]"}], ".", 
    RowBox[{"CNOT", "[", 
     RowBox[{"4", ",", "1", ",", "4"}], "]"}], ".", 
    RowBox[{"had", "[", 
     RowBox[{"4", ",", "3"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ket1234", "=", 
   RowBox[{"Ope", ".", " ", 
    RowBox[{"AF", "[", 
     RowBox[{
      RowBox[{"Ket", "[", "0", "]"}], "  ", "\[CircleTimes]", "  ", 
      RowBox[{"Ket", "[", "0", "]"}], " ", "\[CircleTimes]", 
      RowBox[{"Ket", "[", "0", "]"}], " ", "\[CircleTimes]", "  ", 
      RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.6140278237220783`*^9, 3.6140278858873873`*^9}, 
   3.614027944609769*^9, 3.614075965589703*^9, {3.6184932274749727`*^9, 
   3.618493245113819*^9}, {3.857153779402082*^9, 3.8571537794051247`*^9}, {
   3.8601573408807373`*^9, 3.8601573408831453`*^9}},
 CellTags->"b:5.3.1",ExpressionUUID->"6ba76487-b585-4841-9826-5bb3cca17491"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"0000\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"0011\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"0100\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"0111\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"1000\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"1011\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"1100\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"1111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573531525097`*^9},
 CellTags->"b:5.3.1",ExpressionUUID->"3b9f30be-562e-43e0-9118-9fa7ead5b8b2"]
}, Open  ]],

Cell[TextData[StyleBox["We can then measure for instance qubits 1 and 3 \
simultaneously, using MeasureKet.",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.3.1",ExpressionUUID->"628fb2d2-be47-473f-a70d-81078dd62ee5"],

Cell[TextData[StyleBox["The state of the remaining two qubit subsystem, which \
depends on the values measured, after the measurement reads, ",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{3.8571547669647093`*^9},
 FontFamily->"Courier New",
 CellTags->"b:5.3.1",ExpressionUUID->"9d55f567-3318-4f35-848d-d735afc66345"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ket24", "[", 
   RowBox[{"a_", ",", "b_"}], "]"}], ":=", 
  RowBox[{"MeasureKet", "[", 
   RowBox[{"ket1234", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}]], "Input",
 CellTags->"b:5.3.1",ExpressionUUID->"00c6272a-2fd1-4e5d-8307-1f450a5b1e4f"],

Cell[TextData[StyleBox["If the result of the measurement was (01) then we \
would have the following ket for the remaining  qubit 2 and 4 subsystem:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.3.1",ExpressionUUID->"e586a089-5638-47ec-8708-6b9fc5d48125"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ket24", "[", 
  RowBox[{"0", ",", "1"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.618493252009441*^9, 3.61849326689719*^9}, 
   3.857154920160139*^9},
 CellTags->"b:5.3.1",ExpressionUUID->"a94ef1a4-577f-473e-b147-bbc11edc09ee"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0"},
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {"0"},
     {
      FractionBox["1", 
       SqrtBox["2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157353179275*^9},
 CellTags->"b:5.3.1",ExpressionUUID->"df79f86f-d964-4bbe-9208-ba4b2143b9ec"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"01\"", "\" >\"", "\" + \"", "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"11\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.86015735318495*^9},
 CellTags->"b:5.3.1",ExpressionUUID->"ee8c2228-3b8e-4783-a1f2-3ae4c24d7f39"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Adj", "[", 
  RowBox[{"ket24", "[", 
   RowBox[{"0", ",", "1"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.8571549387448587`*^9, 
  3.857154977694623*^9}},ExpressionUUID->"7bd848c6-2a30-4d1e-8ed9-\
8f87fd771722"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157353209421*^9},ExpressionUUID->"bed2c313-130c-463c-8ae5-\
5da8d66a1091"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    FractionBox["1", 
     SqrtBox["2"]], "\" ) \"", "\" < \"", "\"01\"", "\" |\"", "\" + \"", 
    "\" ( \"", 
    FractionBox["1", 
     SqrtBox["2"]], "\" ) \"", "\" < \"", "\"11\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.860157353215554*^9},ExpressionUUID->"be397828-0682-42d3-80d9-\
57be6e6e4d6e"]
}, Open  ]],

Cell[TextData[StyleBox["Construct the back to back density matrix for that \
state:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.3.1",ExpressionUUID->"cf1e8a5e-8ffc-43c2-90f4-a3adda1affac"],

Cell[RawData["Cell[BoxData[\"\\[CircleTimes]\"], \"Input\"]"], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Rho]24k", "=", 
  RowBox[{
   RowBox[{"ket24", "[", 
    RowBox[{"0", ",", "1"}], "]"}], "\[CircleTimes]", 
   RowBox[{"Adj", "[", 
    RowBox[{"ket24", "[", 
     RowBox[{"0", ",", "1"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.614027995502036*^9, 3.6140280197666693`*^9}, 
   3.6140759656051807`*^9, 3.8571537794444523`*^9, {3.857155020736909*^9, 
   3.8571550249003572`*^9}, 3.86015734088479*^9},
 CellTags->"b:5.3.1",ExpressionUUID->"7b4bfac0-16da-4e59-8b2a-beb3e7103759"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", 
      FractionBox["1", "2"], "0", 
      FractionBox["1", "2"]},
     {"0", "0", "0", "0"},
     {"0", 
      FractionBox["1", "2"], "0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573532330847`*^9},
 CellTags->"b:5.3.1",ExpressionUUID->"f4dc2ffa-320e-4f58-89fa-bbb3be5882af"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Purity", "[", "\[Rho]24k", "]"}]], "Input",
 CellTags->"b:5.3.1",ExpressionUUID->"f3988208-0d6f-4c5c-a41d-bb58e0e8418c"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573532428207`*^9},
 CellTags->"b:5.3.1",ExpressionUUID->"a87b0844-86f8-4f12-a2ff-503b4900dba1"]
}, Open  ]],

Cell[TextData[StyleBox["Which is identical to the density matrix obtained \
earlier",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.3.1",ExpressionUUID->"376f6129-e561-450b-9fa7-dd62d4983ca8"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["c) Example with measurements in the X and Y bases \
using the density matrix",
 FontWeight->"Bold"]], "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:17", "b:5.3.2"},ExpressionUUID->"c0691dd5-70e3-45cb-bfe7-63a49fcc8e08"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"figure", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<QDENSITY/drawings/Had5q.png\>\"", ",", "\"\<PNG\>\""}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"Show", "[", "figure", "]"}]}], "Input",
 CellTags->"b:5.3.2",ExpressionUUID->"e9438193-f3cd-49dd-9366-1da2b6978d4d"],

Cell[BoxData[
 TagBox[
  GraphicsBox[RasterBox[CompressedData["
1:eJztnQlQFVe6x03eLHFqKsnMmGQmU5Z5mUzFqpgxMzoxmmWSGSdlMiZGJZpM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    "], {{0, 0}, {300., 143.}}, {0, 255},
    ColorFunction->RGBColor],
   PlotRange->{{0, 300.}, {0, 143.}}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573537900143`*^9},
 CellTags->"b:5.3.2",ExpressionUUID->"42ffd681-f1e1-45fc-97d5-c16db69754d6"]
}, Open  ]],

Cell[TextData[StyleBox["Let us  assume we have a five qubit system built as \
in the figure, which corresponds to:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.3.2",ExpressionUUID->"3e015c7a-2282-4518-9f4e-b62c3c56465c"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Ope2", "=", 
   RowBox[{
    RowBox[{"CPHASE", "[", 
     RowBox[{"5", ",", "1", ",", "2"}], "]"}], ".", 
    RowBox[{"CPHASE", "[", 
     RowBox[{"5", ",", "2", ",", "3"}], "]"}], ".", 
    RowBox[{"CPHASE", "[", 
     RowBox[{"5", ",", "3", ",", "4"}], "]"}], ".", 
    RowBox[{"CPHASE", "[", 
     RowBox[{"5", ",", "4", ",", "5"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Rho]1", "=", "RandomQubit1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Rho]Initial", "=", 
   RowBox[{"AF", "[", 
    RowBox[{"\[Rho]1", "\[CircleTimes]", " ", 
     RowBox[{"PX", "[", "0", "]"}], "\[CircleTimes]", "  ", 
     RowBox[{"PX", "[", "0", "]"}], " ", "\[CircleTimes]", " ", 
     RowBox[{"PX", "[", "0", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"PX", "[", "0", "]"}]}], " ", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Rho]12345", "=", 
   RowBox[{"Chop", "[", " ", 
    RowBox[{"Ope2", ".", "\[Rho]Initial", ".", 
     RowBox[{"Adj", "[", "Ope2", "]"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.614028055934391*^9, 3.6140281077983847`*^9}, {
   3.614028143651721*^9, 3.614028179328395*^9}, 3.6140759656215553`*^9, {
   3.8571537795177927`*^9, 3.857153779522058*^9}, {3.8601573408866053`*^9, 
   3.860157340890244*^9}},
 CellTags->"b:5.3.2",ExpressionUUID->"0aa3778e-df37-473e-b6ff-1c2fe77a5de8"],

Cell[TextData[StyleBox["We now measure qubit 1 in the X basis, qubits 2, 3 \
and 4 in the Y basis and check what  \nwe have in qubit 5 ",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.3.2",ExpressionUUID->"4c3460d4-bc16-4b29-96af-a294ac328f87"],

Cell[BoxData[
 RowBox[{
  SubscriptBox["PP", 
   RowBox[{"a_", ",", "b_", ",", "c_", ",", "d_"}]], "  ", ":=", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"PX", "[", "a", "]"}], " ", "\[CircleTimes]", "  ", 
    RowBox[{"PY", "[", "b", "]"}], "\[CircleTimes]", 
    RowBox[{"PY", "[", "c", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"PY", "[", "d", "]"}], "\[CircleTimes]", 
    "\[DoubleStruckCapitalI]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.614028196552731*^9, 3.614028252664482*^9}, 
   3.614075965638727*^9, {3.857153779534317*^9, 3.857153779538224*^9}, {
   3.860157340891988*^9, 3.8601573408956223`*^9}},
 CellTags->"b:5.3.2",ExpressionUUID->"7faeaa7a-bd54-4523-bb9e-3d779be849b3"],

Cell[TextData[{
 StyleBox["(this proyector could have been written using ",
  FontFamily->"Helvetica"],
 StyleBox["MultiQProj[{1,2,2,2,0},{a,b,c,d,0}] )",
  FontFamily->"Helvetica",
  FontWeight->"Bold"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.3.2",ExpressionUUID->"a6454d57-bb94-401b-8ebf-b9d17da003ea"],

Cell[TextData[StyleBox["And therefore the state of the remaining subsystem, \
which depends on the values measured, after the measurement reads, ",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.3.2",ExpressionUUID->"080de2e9-59b4-4011-9b6f-a82d9d43c4f4"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[Rho]5", "[", 
    RowBox[{"a_", ",", "b_", ",", "c_", ",", "d_"}], "]"}], ":=", 
   RowBox[{"Chop", "[", " ", 
    RowBox[{"PTr", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}], "  ", ",", 
      RowBox[{
       RowBox[{"2", "^", "4"}], "*", 
       RowBox[{
        SubscriptBox["PP", 
         RowBox[{"a", ",", "b", ",", "c", ",", "d"}]], ".", "\[Rho]12345", 
        ".", 
        RowBox[{"Adj", "[", 
         SubscriptBox["PP", 
          RowBox[{"a", ",", "b", ",", "c", ",", "d"}]], " ", "]"}]}]}]}], 
     "]"}], "]"}]}], ";"}]], "Input",
 CellTags->"b:5.3.2",ExpressionUUID->"dbc104f5-674f-40b2-bfda-59c85030094d"],

Cell[TextData[StyleBox["If the result of the measurement was 1 for qubit 2 in \
the Z bases and 0 for qubit 3 in the X bases then the \nstate of qubits 1 and \
4 would be given by the following:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.3.2",ExpressionUUID->"0ce8fdad-b50e-4f11-bbef-88405cfba147"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Rho]5", "[", 
  RowBox[{"0", ",", "1", ",", "1", ",", "1"}], "]"}]], "Input",
 CellChangeTimes->{{3.614028290260133*^9, 3.614028304096052*^9}},
 CellTags->"b:5.3.2",ExpressionUUID->"f2944d51-59ad-46ea-8a85-e4992ffa2894"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.5116306132651209`", 
      RowBox[{"0.1383630939513808`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06830197247443734`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.1383630939513809`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0683019724744374`", " ", "\[ImaginaryI]"}]}], 
      "0.48836938673487906`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157353829126*^9},
 CellTags->"b:5.3.2",ExpressionUUID->"f0de6b2e-f099-4a7b-b8c2-fb8c11941fa8"]
}, Open  ]],

Cell[TextData[StyleBox["Now we can relate this problem to the realization of \
a Hadamard in the Cluster Model, in fact, our \nexample corresponds exactly \
to Fig 2(d) of Raussendorf et al., Phys. Rev. A 022312 (2003). \nTherefore \
according to those authors the output should be, up to a prefactor depending \
on the\nprevious measurements, a Hadamard of the first qubit:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.3.2",ExpressionUUID->"321f7973-2e16-42bd-ae03-0ce155bb7bf4"],

Cell[TextData[StyleBox["The prefactor is the following:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.3.2",ExpressionUUID->"f612049d-977f-49b3-a45c-4b688b71dcc1"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["U", 
     RowBox[{"\[CapitalSigma]", ",", "H"}]], "="}], TraditionalForm]],
  FontSize->14,ExpressionUUID->"7584041e-c251-4d58-88b7-4a09237c07a0"],
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SuperscriptBox[
      SubscriptBox["\[Sigma]", "x"], 
      RowBox[{"a", "+", "c", "+", "d"}]],
     TraditionalForm], 
    SuperscriptBox[
     SubscriptBox["\[Sigma]", "z"], 
     RowBox[{"b", "+", "c"}]]}], TraditionalForm]],
  FontSize->14,ExpressionUUID->"240d2a22-c944-4940-b78e-7764ae9008e1"]
}], "Text",
 TextAlignment->-0.5,
 FontFamily->"Courier New",
 CellTags->"b:5.3.2",ExpressionUUID->"10179c0e-7432-40e3-bb78-83b0a31fd4fa"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Prefactor", "[", 
   RowBox[{"a_", ",", "b_", ",", "c_", ",", "d_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"MatrixPower", "[", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     RowBox[{"a", "+", "c", "+", "d"}]}], "]"}], ".", 
   RowBox[{"MatrixPower", "[", 
    RowBox[{
     SubscriptBox["\[Sigma]", "3"], ",", 
     RowBox[{"b", "+", "c"}]}], "]"}]}]}]], "Input",
 CellTags->"b:5.3.2",ExpressionUUID->"582507e6-b764-41e4-b1f7-20db575df6ff"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Rho]5Final", "[", 
   RowBox[{"a_", ",", "b_", ",", "c_", ",", "d_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"Prefactor", "[", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "]"}], ".", 
   RowBox[{"\[Rho]5", "[", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "]"}], ".", 
   RowBox[{"Adj", "[", 
    RowBox[{"Prefactor", "[", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "]"}], "]"}]}]}]], "Input",
 CellTags->"b:5.3.2",ExpressionUUID->"5548f9d8-bf18-47b7-9455-e76e448a5dfc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Chop", "[", 
  RowBox[{"\[Rho]5Final", "[", 
   RowBox[{"1", ",", "1", ",", "0", ",", "1"}], "]"}], "]"}]], "Input",
 CellTags->"b:5.3.2",ExpressionUUID->"f978e812-6723-466d-87ae-ea3a754e5453"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.5116306132651209`", 
      RowBox[{"0.13836309395138086`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06830197247443734`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.1383630939513809`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0683019724744374`", " ", "\[ImaginaryI]"}]}], 
      "0.488369386734879`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157353870878*^9},
 CellTags->"b:5.3.2",ExpressionUUID->"99337ece-9f76-49ca-951b-14797b03c3d9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Chop", "[", 
  RowBox[{
   RowBox[{"had", "[", 
    RowBox[{"1", ",", "1"}], "]"}], ".", "\[Rho]1", ".", 
   RowBox[{"Adj", "[", 
    RowBox[{"had", "[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}]], "Input",
 CellTags->"b:5.3.2",ExpressionUUID->"f0536d56-2b58-461e-bf67-65849f212871"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.5116306132651209`", 
      RowBox[{"0.13836309395138083`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06830197247443734`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.1383630939513808`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06830197247443734`", " ", "\[ImaginaryI]"}]}], 
      "0.48836938673487884`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157353881961*^9},
 CellTags->"b:5.3.2",ExpressionUUID->"5e704365-8077-4f2d-ba55-8f9dbed3bf7c"]
}, Open  ]],

Cell[TextData[StyleBox["The equivalence of the above two results confirms \
that the cluster diagram and the prefactor step does indeed represent a \
Hadamard.",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.3.2",ExpressionUUID->"fec5ece3-79a7-4fb2-866a-c4d9940fa3e4"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Miscellaneous
Von Neumann EnTropy
Fidelity
GHZ study
Werner  study\
\>", "Section",
 CellChangeTimes->{{3.6211577890209093`*^9, 3.621157806861537*^9}, {
  3.621157868463848*^9, 3.621157878238901*^9}},
 FontFamily->"Times",
 CellTags->{
  "Measurement", 
   "c:18"},ExpressionUUID->"8ab1358a-8478-41a6-b5e3-ad93c9f5d483"],

Cell[CellGroupData[{

Cell["a) Von Neumann EnTropy", "Subsection",
 CellFrame->True,
 CellChangeTimes->{3.618491157306589*^9},
 FontFamily->"Times",
 CellTags->{
  "c:19", "b:5.4.0"},ExpressionUUID->"5f0f62cb-a48c-44c2-a0c1-64822ed15ebd"],

Cell[TextData[StyleBox["The Von Neumann entropy is defined as:  S[\[Rho]] = - \
Tr [\[Rho] Log[2,\[Rho] ] ]",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.4.0",ExpressionUUID->"395b809f-21d1-49f0-9ca4-e7ba7ded3073"],

Cell[TextData[{
 StyleBox["Which can be rewritten as  S[\[Rho]] = -\[Sum] ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SubscriptBox["\[Rho]", "\[Lambda]"],
     TraditionalForm], 
    RowBox[{"Log", "[", 
     RowBox[{"2", ",", 
      SubscriptBox["\[Rho]", "\[Lambda]"]}], "]"}]}], TraditionalForm]],
  ExpressionUUID->"709eeaba-6623-45ea-ba7b-61250514bf9a"],
 StyleBox[" \n",
  FontFamily->"Helvetica"],
 StyleBox["where ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[Rho]", "\[Lambda]"], " "}], TraditionalForm]],
  FontFamily->"Helvetica",ExpressionUUID->
  "ffc94851-e9b3-4c3e-8a20-d8c51281e21c"],
 StyleBox["are the eigenvalues of \[Rho], and we keep the convenction",
  FontFamily->"Helvetica"],
 " 0*Log[2,0]:=0"
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.4.0",ExpressionUUID->"40a5dfe6-5cc6-4215-98c6-1d04d7f59eac"],

Cell[TextData[{
 StyleBox["The Function ",
  FontFamily->"Helvetica"],
 "EnTropy",
 StyleBox["[ ] is already defined in ",
  FontFamily->"Helvetica"],
 "QDENSITY",
 StyleBox[", let's check some examples, Ex 11.11 and 11.12 of Nielsen and \
Chuang:",
  FontFamily->"Helvetica"]
}], "Text",
 CellChangeTimes->{3.618491157321144*^9},
 FontFamily->"Courier New",
 CellTags->"b:5.4.0",ExpressionUUID->"236549de-4931-4f1b-ba10-61bc2c577b0c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"\[Rho]1", "=", 
  SubscriptBox["\[ScriptCapitalP]", 
   StyleBox["0",
    ScriptLevel->0]]}], "\[IndentingNewLine]", 
 RowBox[{"\[Rho]2", "=", 
  RowBox[{
   RowBox[{"1", "/", "2"}], "*", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"s", "[", "0", "]"}], "+", 
     RowBox[{"s", "[", "1", "]"}]}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"\[Rho]3", "=", 
  RowBox[{
   RowBox[{"1", "/", "3"}], "*", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"s", "[", "0", "]"}], "+", 
     RowBox[{"s", "[", "1", "]"}], "+", 
     SubscriptBox["\[ScriptCapitalP]", 
      StyleBox["0",
       ScriptLevel->0]]}], ")"}]}]}]}], "Input",
 CellTags->"b:5.4.0",ExpressionUUID->"291daca9-dda6-4a9e-ab8b-c9740e9a895a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157353908128*^9},
 CellTags->"b:5.4.0",ExpressionUUID->"2f24b510-2640-4694-ba1f-d784d2bcc522"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], 
      FractionBox["1", "2"]},
     {
      FractionBox["1", "2"], 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157353916972*^9},
 CellTags->"b:5.4.0",ExpressionUUID->"1b7a1d36-2950-49a4-8fdb-637f8ea95ec0"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["2", "3"], 
      FractionBox["1", "3"]},
     {
      FractionBox["1", "3"], 
      FractionBox["1", "3"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157353921783*^9},
 CellTags->"b:5.4.0",ExpressionUUID->"506abc93-276e-44a0-8e68-77f32a8ee61b"]
}, Open  ]],

Cell[TextData[StyleBox["..and their entropies are:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.4.0",ExpressionUUID->"67207627-2f0c-406c-b343-e25a4bc1b165"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"EnTropy", "[", "\[Rho]1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"EnTropy", "[", "\[Rho]2", "]"}], "\[IndentingNewLine]", 
 RowBox[{"EnTropy", "[", "\[Rho]3", "]"}], "\[IndentingNewLine]", 
 RowBox[{"N", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.618491157328932*^9, 3.6184911573369293`*^9}},
 CellTags->"b:5.4.0",ExpressionUUID->"a69a5db7-046a-439d-bb46-0500284c8016"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157353940803*^9},
 CellTags->"b:5.4.0",ExpressionUUID->"ca18d638-7a44-40da-9727-30ef1aea0947"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157353947089*^9},
 CellTags->"b:5.4.0",ExpressionUUID->"a5645442-f0be-4a69-b66c-24ca6bda84b4"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"3", "-", 
        SqrtBox["5"]}], ")"}], " ", 
      RowBox[{"Log", "[", 
       RowBox[{
        FractionBox["1", "6"], " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          SqrtBox["5"]}], ")"}]}], "]"}]}], 
     RowBox[{"6", " ", 
      RowBox[{"Log", "[", "2", "]"}]}]]}], "-", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"3", "+", 
       SqrtBox["5"]}], ")"}], " ", 
     RowBox[{"Log", "[", 
      RowBox[{
       FractionBox["1", "6"], " ", 
       RowBox[{"(", 
        RowBox[{"3", "+", 
         SqrtBox["5"]}], ")"}]}], "]"}]}], 
    RowBox[{"6", " ", 
     RowBox[{"Log", "[", "2", "]"}]}]]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157353951563*^9},
 CellTags->"b:5.4.0",ExpressionUUID->"274108c1-e962-47f0-8354-a5a0b32d7d80"],

Cell[BoxData[
 TagBox["0.5500477595827574`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157353956637*^9},
 CellTags->"b:5.4.0",ExpressionUUID->"d10c2ae5-7ac1-4a99-ab44-82866cb6f6eb"]
}, Open  ]],

Cell[TextData[StyleBox[" Now lets check 11.12",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.4.0",ExpressionUUID->"478401cb-e45b-428f-9508-08f86388db67"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Rho]EnTropy", "[", "p_", "]"}], ":=", 
   RowBox[{
    RowBox[{"p", " ", 
     SubscriptBox["\[ScriptCapitalP]", "0"]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "p"}], ")"}], " ", 
     RowBox[{"PX", "[", "0", "]"}]}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"M", "[", "p_", "]"}], ":=", 
   RowBox[{"Eigenvalues", "[", 
    RowBox[{"\[Rho]EnTropy", "[", "p", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"MP", "[", "p_", "]"}], "=", 
   RowBox[{"Select", "[", 
    RowBox[{
     RowBox[{"M", "[", "p", "]"}], ",", "Positive"}], "]"}]}], ";"}], "\n", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"EnTropy", "[", 
    RowBox[{"\[Rho]EnTropy", "[", "p", "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"p", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<p\>\"", ",", "\"\<EnTropy\>\""}], "}"}]}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.618490569737541*^9, 3.618490570421123*^9}, {
  3.6184911573436117`*^9, 3.61849115735563*^9}},
 CellTags->"b:5.4.0",ExpressionUUID->"c48a78c6-3e68-4fa5-b697-3e70dd5eb0a4"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwd2Hk0Ff8bB3BLRSlbJJEla/umVXlXaCGF7IVKCUklKbIWWSoUSaIspUSW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        "]]},
      Annotation[#, "Charting`Private`Tag$12926#1"]& ]}, {}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"p\"", TraditionalForm], 
     FormBox["\"EnTropy\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   ImagePadding->All,
   Method->{
    "DefaultBoundaryStyle" -> Automatic, 
     "DefaultGraphicsInteraction" -> {
      "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
       "Effects" -> {
        "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
         "Droplines" -> {
          "freeformCursorMode" -> True, 
           "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
     "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> None, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& )}},
   PlotRange->{{0, 1}, {0., 0.6008760260407864}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.05], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354045272*^9},
 CellTags->"b:5.4.0",ExpressionUUID->"aad75c94-1dfd-49d3-86ba-32d4e3962220"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Examples using GHZ and other Multi-qubit states are easily \
generated in ",
  FontFamily->"Helvetica"],
 "QDENSITY",
 StyleBox[".",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.4.0",ExpressionUUID->"10138523-4deb-49d7-9c76-15ea9d989f37"]
}, Open  ]],

Cell[CellGroupData[{

Cell["b) Fidelity", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:20", "b:5.4.1"},ExpressionUUID->"f979be27-0704-40de-afdf-6e8631738630"],

Cell[TextData[{
 StyleBox["The fidelity of two states is defined:  Fidelity",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   RowBox[{"[", 
    RowBox[{
     SubscriptBox["\[Rho]", "1"], ",", 
     SubscriptBox["\[Rho]", "2"]}]}], TraditionalForm]],ExpressionUUID->
  "1a5b6fcd-fdf9-404f-9835-9ece13575ea1"],
 StyleBox["] = Tr [ ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SqrtBox[
    RowBox[{
     SqrtBox[
      SubscriptBox["\[Rho]", "2"]], ".", 
     SubscriptBox["\[Rho]", "1"], ".", 
     SqrtBox[
      SubscriptBox["\[Rho]", "2"]]}]], TraditionalForm]],ExpressionUUID->
  "7e820e4a-01e7-428b-8844-9f04671ab339"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.4.1",ExpressionUUID->"45eb75c7-8247-4d1d-a05b-52bde54e3732"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"State1", "=", "RandomQubit2"}], "\[IndentingNewLine]", 
 RowBox[{"State2", "=", "RandomQubit2"}]}], "Input",
 CellTags->"b:5.4.1",ExpressionUUID->"fcd07c6b-f88a-4b52-b771-b18f9971b2ca"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.27213704392024757`", 
      RowBox[{
       RowBox[{"-", "0.053215486302370205`"}], "+", 
       RowBox[{"0.23912620573193807`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.023872616884149288`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.03362784264698095`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.08480573142795694`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.017381434124141972`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.053215486302370205`"}], "-", 
       RowBox[{"0.23912620573193807`", " ", "\[ImaginaryI]"}]}], 
      "0.26518609070452825`", 
      RowBox[{
       RowBox[{"-", "0.1157124676757972`"}], "+", 
       RowBox[{"0.009284798351107904`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.05112218234623604`"}], "-", 
       RowBox[{"0.0487183521455873`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.023872616884149288`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.03362784264698095`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.1157124676757972`"}], "-", 
       RowBox[{"0.009284798351107904`", " ", "\[ImaginaryI]"}]}], 
      "0.3811719395511133`", 
      RowBox[{
       RowBox[{"-", "0.010243262868608596`"}], "-", 
       RowBox[{"0.0422851354575983`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.08480573142795694`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.017381434124141972`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.05112218234623604`"}], "+", 
       RowBox[{"0.0487183521455873`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.010243262868608596`"}], "+", 
       RowBox[{"0.0422851354575983`", " ", "\[ImaginaryI]"}]}], 
      "0.08150492582411094`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573540641203`*^9},
 CellTags->"b:5.4.1",ExpressionUUID->"9fac3bba-da72-4df4-9b9f-c8761f792acc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.15621754796412243`", 
      RowBox[{
       RowBox[{"-", "0.00039622273915800455`"}], "+", 
       RowBox[{"0.01318585713734017`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0960500118339137`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.111285686544098`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05391447907464934`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.08734768735815926`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.00039622273915800455`"}], "-", 
       RowBox[{"0.01318585713734017`", " ", "\[ImaginaryI]"}]}], 
      "0.36708361764620556`", 
      RowBox[{"0.0675350066658617`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.13935019491077733`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11555551180420327`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.14892592089329035`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.0960500118339137`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.111285686544098`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0675350066658617`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.13935019491077733`", " ", "\[ImaginaryI]"}]}], 
      "0.2543120933304049`", 
      RowBox[{"0.09440339846233935`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0800476385096887`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.05391447907464934`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.08734768735815926`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.11555551180420327`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.14892592089329035`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.09440339846233935`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0800476385096887`", " ", "\[ImaginaryI]"}]}], 
      "0.22238674105926717`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354071394*^9},
 CellTags->"b:5.4.1",ExpressionUUID->"3a5b64e2-2124-48b5-a010-76be6eab2065"]
}, Open  ]],

Cell[TextData[StyleBox["their fidelity is:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.4.1",ExpressionUUID->"61664aa1-f868-4d5d-bfe3-67fceecfd076"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Fidelity", "[", 
  RowBox[{"State1", ",", "State2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Fidelity", "[", 
  RowBox[{"State2", ",", "State1"}], "]"}]}], "Input",
 CellTags->"b:5.4.1",ExpressionUUID->"6e39e1c2-fa1e-4284-9aab-25db674b079e"],

Cell[BoxData[
 TagBox["0.76611373217249273404050313729385379702`19.43274825340615",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.86015735408971*^9},
 CellTags->"b:5.4.1",ExpressionUUID->"86c18965-a4f7-4942-8640-6bcee8960191"],

Cell[BoxData[
 TagBox["0.76611373217249342792989352801669156179`19.43274825340615",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354095372*^9},
 CellTags->"b:5.4.1",ExpressionUUID->"a78b8359-c376-4434-94c9-d531ec35f73e"]
}, Open  ]],

Cell[TextData[StyleBox[" The fidelity is one if both states are the same:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.4.1",ExpressionUUID->"1c653ae3-b73b-4912-8c4a-891b163e00b1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Fidelity", "[", 
  RowBox[{"State1", ",", "State1"}], "]"}]], "Input",
 CellTags->"b:5.4.1",ExpressionUUID->"ee9dbcfd-fab9-43b2-b79b-ba5b272f93c1"],

Cell[BoxData[
 TagBox["1.00000000000000198452365651746731600724`19.548455006504028",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354103938*^9},
 CellTags->"b:5.4.1",ExpressionUUID->"00516be7-3832-4926-8865-062673238aea"]
}, Open  ]],

Cell[TextData[StyleBox[" Let's see the behavior of the Fidelity for a couple \
of interesting examples:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.4.1",ExpressionUUID->"a20007e0-bbb4-416a-a317-e519136a297b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Rho]Fid", "[", "p_", "]"}], ":=", 
   RowBox[{
    RowBox[{"p", " ", 
     SubscriptBox["\[ScriptCapitalP]", "1"]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "p"}], ")"}], " ", 
     RowBox[{"PX", "[", "1", "]"}]}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Fide", "[", "p_", "]"}], ":=", 
  RowBox[{"Fidelity", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "0"], ",", 
    RowBox[{"\[Rho]Fid", "[", "p", "]"}]}], "]"}]}], "\n", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Abs", "[", 
    RowBox[{"Fide", "[", "p", "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"p", ",", 
     RowBox[{"-", "5"}], ",", "7"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<p\>\"", ",", "\"\<Fidelity\>\""}], "}"}]}]}], 
  "]"}]}], "Input",
 CellTags->"b:5.4.1",ExpressionUUID->"b37f063a-7d87-427d-b91a-a7b40398f509"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJw1lmk8lAsDxZGyZLtZcj2VrZSk7YZCnadNsrSJ6tKGNpGbW8oUlWraiC5J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        "]]},
      Annotation[#, "Charting`Private`Tag$13316#1"]& ]}, {}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"p\"", TraditionalForm], 
     FormBox["\"Fidelity\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   ImagePadding->All,
   Method->{
    "DefaultBoundaryStyle" -> Automatic, 
     "DefaultGraphicsInteraction" -> {
      "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
       "Effects" -> {
        "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
         "Droplines" -> {
          "freeformCursorMode" -> True, 
           "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
     "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> None, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& )}},
   PlotRange->{{-5, 7}, {0., 1.7320507722209013`}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.05], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573542302*^9},
 CellTags->"b:5.4.1",ExpressionUUID->"fa0884b4-d7c5-43a8-b366-f1a2c077af9a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Rho]Fid2", "[", "p_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     SuperscriptBox[
      RowBox[{"Sin", "[", "p", "]"}], "2"], " ", 
     SubscriptBox["\[ScriptCapitalP]", "1"]}], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"Cos", "[", "p", "]"}], "2"], " ", 
     RowBox[{"PX", "[", "0", "]"}]}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Fide", "[", "p_", "]"}], ":=", 
  RowBox[{"Fidelity", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "0"], ",", 
    RowBox[{"\[Rho]Fid2", "[", "p", "]"}]}], "]"}]}], "\n", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Abs", "[", 
    RowBox[{"Fide", "[", "p", "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"p", ",", "0", ",", 
     RowBox[{"4", " ", "\[Pi]"}]}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<p\>\"", ",", "\"\<Fidelity\>\""}], "}"}]}]}], 
  "]"}]}], "Input",
 CellTags->"b:5.4.1",ExpressionUUID->"4c83cb73-df5a-4dd1-98cd-8cc3f153d670"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJw1m3c01+/7x+1NNm/bG3knNIxSdF2pZKUQioxUCBEZldVEKtmhjEpIUXYZ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        "]]},
      Annotation[#, "Charting`Private`Tag$13560#1"]& ]}, {}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"p\"", TraditionalForm], 
     FormBox["\"Fidelity\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   ImagePadding->All,
   Method->{
    "DefaultBoundaryStyle" -> Automatic, 
     "DefaultGraphicsInteraction" -> {
      "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
       "Effects" -> {
        "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
         "Droplines" -> {
          "freeformCursorMode" -> True, 
           "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
     "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> None, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& )}},
   PlotRange->
    NCache[{{0, 4 Pi}, {0., 0.7071067811865243}}, {{0, 12.566370614359172`}, {
      0., 0.7071067811865243}}],
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.05], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354520232*^9},
 CellTags->"b:5.4.1",ExpressionUUID->"084171cc-8356-47c6-ac1b-520b44ace50c"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["c) GHZ study", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:4", "b:5.4.2"},ExpressionUUID->"c8b432ac-6320-4763-ba39-de59a338d0eb"],

Cell["\<\
Start with a pure three qubit state in the computational basis |abc\
\[RightAngleBracket]\[LeftAngleBracket]abc| :\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.2",ExpressionUUID->"42b49268-40e8-4486-8de7-b35e5f2a4cf4"],

Cell[BoxData[
 RowBox[{
  SubscriptBox["\[Rho]", 
   RowBox[{"a_", ",", "b_", ",", "c_"}]], ":=", " ", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "a"], "\[CircleTimes]", " ", 
    StyleBox[
     SubscriptBox["\[ScriptCapitalP]", "b"],
     ScriptLevel->0], "\[CircleTimes]", 
    StyleBox[
     SubscriptBox["\[ScriptCapitalP]", "c"],
     ScriptLevel->0]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.618490636248115*^9, 3.618490677910777*^9}, {
  3.857153779571419*^9, 3.85715377957305*^9}, {3.860157340897746*^9, 
  3.860157340898993*^9}},
 CellTags->"b:5.4.2",ExpressionUUID->"6e9c1643-e131-48d6-8dbc-0a14cc66f7d0"],

Cell[" Generate GHZ state operator as seen in the figure:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.2",ExpressionUUID->"2fca55f4-03be-4480-a7e6-94e1ca13eace"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"figure2", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<QDENSITY/drawings/gGHZ.png\>\"", ",", "\"\<PNG\>\""}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"Show", "[", "figure2", "]"}]}], "Input",
 CellTags->"b:5.4.2",ExpressionUUID->"2ffca6fc-29dc-4eaf-a8a8-9d30cdd82fd4"],

Cell[BoxData[
 TagBox[
  GraphicsBox[RasterBox[CompressedData["
1:eJztnQtYTVn/x6nkNrxymzdmGKGJzJsxSTFEcr9LFyFCN0qh3HKfITUkKSpm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    "], {{0, 0}, {250., 150.}}, {0, 255},
    ColorFunction->RGBColor],
   PlotRange->{{0, 250.}, {0, 150.}}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354559733*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"8f70f3da-71a1-44f2-9d75-6159d934158a"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "GHZop", "]"}]], "Input",
 CellTags->"b:5.4.2",ExpressionUUID->"9eb453f5-665a-4621-8980-ff07d0c5225d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"GHZop", "[", 
   RowBox[{"qi_", ",", "qj_", ",", "qk_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"CNOT", "[", 
     RowBox[{"3", ",", "qi", ",", "qk"}], "]"}], ".", 
    RowBox[{"CNOT", "[", 
     RowBox[{"3", ",", "qi", ",", "qj"}], "]"}]}], ".", 
   RowBox[{"had", "[", 
    RowBox[{"3", ",", "qi"}], "]"}]}], " "}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:5.4.2",ExpressionUUID->"cbeb23a3-8bfa-4f43-bf39-79c671512a43"],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{
   RowBox[{
   "GHZ\[Rho]", "   ", "is", " ", "the", " ", "density", " ", "matrix", "  ", 
    "of", " ", "any", " ", "of", " ", "the", " ", "GHZ", " ", "states"}], ",",
    " ", 
   RowBox[{"depending", " ", "on", " ", "the", " ", "initial", " ", 
    RowBox[{"state", ":", " "}]}]}]}]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.2",ExpressionUUID->"576ace89-37a4-4bd7-8bff-7f7837420809"],

Cell[BoxData[
 StyleBox[
  RowBox[{" ", 
   RowBox[{
    RowBox[{
     SubscriptBox[
      StyleBox[
       RowBox[{"G", 
        StyleBox["HZ",
         FontSize->12], "\[Rho]"}]], 
      RowBox[{"a_", ",", "b_", ",", "c_"}]], "  ", ":=", 
     RowBox[{
      RowBox[{"GHZop", "[", 
       RowBox[{"1", ",", "2", ",", "3"}], "]"}], ".", 
      SubscriptBox["\[Rho]", 
       RowBox[{"a", ",", "b", ",", "c"}]], ".", 
      RowBox[{"Adj", "[", 
       RowBox[{"GHZop", "[", 
        RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}]}]}], ";"}]}],
  FontSize->12]], "Input",
 FontFamily->"Courier New",
 FontSize->12,
 CellTags->"b:5.4.2",ExpressionUUID->"6032b055-ac56-4b3b-a5f7-2920d36a2e62"],

Cell[" Checks on some of the GHZ states: ", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.2",ExpressionUUID->"79081e4b-7eaa-4e6b-832a-26e3e0fb8fba"],

Cell[CellGroupData[{

Cell[BoxData[
 SubscriptBox[
  StyleBox[
   RowBox[{"G", 
    StyleBox["HZ",
     FontSize->12], "\[Rho]"}]], 
  RowBox[{"0", ",", "0", ",", "0"}]]], "Input",
 CellTags->"b:5.4.2",ExpressionUUID->"a6838ef1-adc2-47d5-9d68-288d482f42ac"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "2"]},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {
      FractionBox["1", "2"], "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354586658*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"c2e90b95-fe87-4cb1-ae7a-d2f6c2cd447f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 SubscriptBox[
  StyleBox[
   RowBox[{"G", 
    StyleBox["HZ",
     FontSize->12], "\[Rho]"}]], 
  RowBox[{"0", ",", "0", ",", "1"}]], "\[IndentingNewLine]", 
 SubscriptBox[
  StyleBox[
   RowBox[{"G", 
    StyleBox["HZ",
     FontSize->12], "\[Rho]"}]], 
  RowBox[{"1", ",", "0", ",", "1"}]]}], "Input",
 CellTags->"b:5.4.2",ExpressionUUID->"7e0911fc-e1a6-4024-94e9-e47aa0c60cf3"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", 
      FractionBox["1", "2"], "0", "0", "0", "0", 
      FractionBox["1", "2"], "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", 
      FractionBox["1", "2"], "0", "0", "0", "0", 
      FractionBox["1", "2"], "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354609806*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"f6d9de7d-4b29-4198-88f4-f050e8fbc2a3"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", 
      FractionBox["1", "2"], "0", "0", "0", "0", 
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", 
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", "0", "0", "0", 
      FractionBox["1", "2"], "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573546166067`*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"a9199bcf-702a-4f98-8501-1f9eb7c57df6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 SubscriptBox[
  StyleBox[
   RowBox[{"G", 
    StyleBox["HZ",
     FontSize->12], "\[Rho]"}]], 
  RowBox[{"0", ",", "1", ",", "0"}]], "\[IndentingNewLine]", 
 SubscriptBox[
  StyleBox[
   RowBox[{"G", 
    StyleBox["HZ",
     FontSize->12], "\[Rho]"}]], 
  RowBox[{"1", ",", "1", ",", "0"}]]}], "Input",
 CellTags->"b:5.4.2",ExpressionUUID->"40e938ec-f65a-4667-8bdd-11bd01ae7fad"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", 
      FractionBox["1", "2"], "0", "0", 
      FractionBox["1", "2"], "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", 
      FractionBox["1", "2"], "0", "0", 
      FractionBox["1", "2"], "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354625537*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"a3c86268-99e0-4935-af41-4dc1509d1930"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", 
      FractionBox["1", "2"], "0", "0", 
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", 
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", "0", 
      FractionBox["1", "2"], "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354632003*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"2a6ac14f-41c7-4edc-95e5-7209268611a2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 SubscriptBox[
  StyleBox[
   RowBox[{"G", 
    StyleBox["HZ",
     FontSize->12], "\[Rho]"}]], 
  RowBox[{"0", ",", "1", ",", "1"}]], "\[IndentingNewLine]", 
 SubscriptBox[
  StyleBox[
   RowBox[{"G", 
    StyleBox["HZ",
     FontSize->12], "\[Rho]"}]], 
  RowBox[{"1", ",", "1", ",", "1"}]]}], "Input",
 CellTags->"b:5.4.2",ExpressionUUID->"df9eef15-2468-4560-b414-76e76700c8cb"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", 
      FractionBox["1", "2"], 
      FractionBox["1", "2"], "0", "0", "0"},
     {"0", "0", "0", 
      FractionBox["1", "2"], 
      FractionBox["1", "2"], "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354650064*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"36969d4b-2cfb-4184-9d90-5ee75ccac03b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", 
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", "0", "0"},
     {"0", "0", "0", 
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      FractionBox["1", "2"], "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354656465*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"58e50e34-222e-40fe-9c9c-aff167e08b3e"]
}, Open  ]],

Cell["\<\
Now we will focus on one of the states, the usual GHZ, and study its 
properties:
 Vector and tensor polarizations of GHZ state 
 Vector polarizations are zero for GHZ states 
 Rank 2 Tensor polarizations for GHZ state 
 Rank 3 Tensor polarizations for GHZ state \
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.2",ExpressionUUID->"f921bcf0-b84d-4c8a-882f-260f2b1d8b26"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox[
   SubscriptBox["\[Rho]", "GHZ"],
   FontSize->12], "=", 
  SubscriptBox[
   StyleBox[
    RowBox[{"G", 
     StyleBox["HZ",
      FontSize->12], "\[Rho]"}]], 
   RowBox[{"0", ",", "0", ",", "0"}]]}]], "Input",
 CellTags->"b:5.4.2",ExpressionUUID->"c1dbe519-f835-40cf-b7f1-aa64513d16db"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "2"]},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {
      FractionBox["1", "2"], "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573546659*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"e899e32c-8a57-416a-9b28-c255eaafefa8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"T", "[", 
    RowBox[{"i_", ",", "j_", ",", "k_"}], "]"}], ":=", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"AF", "[", 
      RowBox[{
       SubscriptBox["\[Sigma]", "i"], "\[CircleTimes]", 
       SubscriptBox["\[Sigma]", "j"], "\[CircleTimes]", 
       SubscriptBox["\[Sigma]", "k"]}], "]"}], ".", 
     StyleBox[
      SubscriptBox["\[Rho]", "GHZ"],
      FontSize->12]}], 
    StyleBox[" ",
     FontSize->12], 
    StyleBox["]",
     FontSize->12]}]}], 
  StyleBox[";",
   FontSize->12]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{
     StyleBox["P",
      FontSize->12], "GHZ", 
     StyleBox["A",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"T", "[", 
       RowBox[{"1", ",", "0", ",", "0"}], "]"}],
      FontSize->12], 
     StyleBox[",",
      FontSize->12], 
     RowBox[{"T", "[", 
      RowBox[{"2", ",", "0", ",", "0"}], "]"}], ",", 
     RowBox[{"T", "[", 
      RowBox[{"3", ",", "0", ",", "0"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{
     StyleBox["P",
      FontSize->12], "GHZ", 
     StyleBox["B",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"T", "[", 
       RowBox[{"0", ",", "1", ",", "0"}], "]"}],
      FontSize->12], 
     StyleBox[",",
      FontSize->12], 
     RowBox[{"T", "[", 
      RowBox[{"0", ",", "2", ",", "0"}], "]"}], ",", 
     RowBox[{"T", "[", 
      RowBox[{"0", ",", "3", ",", "0"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{
     StyleBox["P",
      FontSize->12], "GHZ", 
     StyleBox["C",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"T", "[", 
       RowBox[{"0", ",", "0", ",", "1"}], "]"}],
      FontSize->12], 
     StyleBox[",",
      FontSize->12], 
     RowBox[{"T", "[", 
      RowBox[{"0", ",", "0", ",", "2"}], "]"}], ",", 
     RowBox[{"T", "[", 
      RowBox[{"0", ",", "0", ",", "3"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{"TGHZ", 
     StyleBox["AB",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox["Table",
      FontSize->12], 
     StyleBox["[",
      FontSize->12], 
     RowBox[{
      StyleBox[
       RowBox[{"T", "[", 
        RowBox[{"i", ",", "j", ",", "0"}], "]"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{"TGHZ", 
     StyleBox["AC",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox["Table",
      FontSize->12], 
     StyleBox["[",
      FontSize->12], 
     RowBox[{
      StyleBox[
       RowBox[{"T", "[", 
        RowBox[{"i", ",", "0", ",", "j"}], "]"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TGHZBC", 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox["Table",
      FontSize->12], 
     StyleBox["[",
      FontSize->12], 
     RowBox[{
      StyleBox[
       RowBox[{"T", "[", 
        RowBox[{"i", ",", "j", ",", "0"}], "]"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{"TGHZ", 
     StyleBox["ABC",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox["Table",
      FontSize->12], 
     StyleBox["[",
      FontSize->12], 
     RowBox[{
      StyleBox[
       RowBox[{"T", "[", 
        RowBox[{"i", ",", "j", ",", "k"}], "]"}],
       FontSize->12], 
      StyleBox[",",
       FontSize->12], 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "1", ",", "3"}], "}"}]}], "]"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", "PGHZA", "\[IndentingNewLine]", "PGHZB", "\
\[IndentingNewLine]", "PGHZC", "\[IndentingNewLine]", 
 RowBox[{"Flatten", "[", 
  RowBox[{"TGHZAB", ",", "1"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Flatten", "[", 
  RowBox[{"TGHZAC", ",", "1"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Flatten", "[", 
  RowBox[{"TGHZBC", ",", "1"}], 
  "]"}], "\[IndentingNewLine]", "TGHZABC"}], "Input",
 CellChangeTimes->{{3.618490703796843*^9, 3.618490752999713*^9}, 
   3.6184912257598763`*^9, {3.85715377959809*^9, 3.85715377960159*^9}, {
   3.860157340903019*^9, 3.860157340904985*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.4.2",ExpressionUUID->"98a92d90-851a-4b8c-a813-9681d2033efa"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354698181*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"49d9e3a7-faf2-431b-9edb-d7503e21461b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354706208*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"7e967d74-349c-4f28-9c65-e8c3214f2073"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573547106447`*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"0373387b-3bf4-4769-af9b-6076d772dc48"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0"},
     {"0", "0", "0"},
     {"0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573547155313`*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"ebc8d634-4abf-45af-977b-aaf8fdc5fb64"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0"},
     {"0", "0", "0"},
     {"0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354720511*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"09936a55-971c-427d-a270-ffa52733e406"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0"},
     {"0", "0", "0"},
     {"0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354725638*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"f5a5fa5c-a748-4232-8595-5e35cf85f223"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"1", "0", "0"},
         {"0", 
          RowBox[{"-", "1"}], "0"},
         {"0", "0", "0"}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", 
          RowBox[{"-", "1"}], "0"},
         {
          RowBox[{"-", "1"}], "0", "0"},
         {"0", "0", "0"}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", "0", "0"},
         {"0", "0", "0"},
         {"0", "0", "0"}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573547309933`*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"81c6e844-dd7d-47c3-8194-ac4b224844db"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"T", "[", 
  RowBox[{"1", ",", "1", ",", "1"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"T", "[", 
  RowBox[{"1", ",", "2", ",", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"T", "[", 
  RowBox[{"2", ",", "1", ",", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"T", "[", 
  RowBox[{"2", ",", "2", ",", "1"}], "]"}]}], "Input",
 CellTags->"b:5.4.2",ExpressionUUID->"f9437c43-d67e-4be6-97a3-761d0f218956"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573547404623`*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"d8e1693b-e147-4030-87bc-ed0efa9a22b5"],

Cell[BoxData[
 TagBox[
  RowBox[{"-", "1"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573547461767`*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"1608e46d-3622-4b2f-b461-d4e83364a5a6"],

Cell[BoxData[
 TagBox[
  RowBox[{"-", "1"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354750408*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"49f2a1c2-e75a-465d-b33f-9076d3751994"],

Cell[BoxData[
 TagBox[
  RowBox[{"-", "1"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354755084*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"c11e070e-1ff1-4ebb-bf16-7766f4a031a6"]
}, Open  ]],

Cell["We can reconstruct the Density Matrix ", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.2",ExpressionUUID->"89992f2a-cf53-4f68-b343-5f8351f63970"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"1", "/", "8"}], ")"}], "  ", 
  RowBox[{
   UnderoverscriptBox["\[Sum]", 
    RowBox[{"i", "=", "0"}], "3"], "   ", 
   RowBox[{
    UnderoverscriptBox["\[Sum]", 
     RowBox[{"j", "=", "0"}], "3"], "  ", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"k", "=", "0"}], "3"], "  ", 
     RowBox[{
      RowBox[{"T", "[", 
       RowBox[{"i", ",", "j", ",", "k"}], "]"}], "*", 
      RowBox[{"AF", "[", 
       RowBox[{
        SubscriptBox["\[Sigma]", "i"], "\[CircleTimes]", 
        SubscriptBox["\[Sigma]", "j"], "\[CircleTimes]", 
        SubscriptBox["\[Sigma]", "k"]}], "]"}]}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.6184907690582457`*^9, 3.6184908041346493`*^9}, {
  3.857153779689747*^9, 3.8571537796915903`*^9}, {3.860157340907432*^9, 
  3.860157340908779*^9}},
 CellTags->"b:5.4.2",ExpressionUUID->"ea82437f-704b-43e9-80df-ede6fd8d8c9d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "2"]},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {
      FractionBox["1", "2"], "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573547822104`*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"20f14fde-ae44-40bc-b814-b36ef3a60ad8"]
}, Open  ]],

Cell["or, identically making use of the general SP function: ", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.2",ExpressionUUID->"8890aa59-ce77-468b-a76b-92eefb92be39"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"1", "/", "8"}], ")"}], "   ", 
  RowBox[{"(", "  ", 
   RowBox[{
    RowBox[{"SP", "[", 
     RowBox[{"3", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], "  ", "+", " ", 
    RowBox[{"SP", "[", 
     RowBox[{"3", ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "3", ",", "0"}], "}"}]}], "]"}], "+", " ", 
    RowBox[{"SP", "[", 
     RowBox[{"3", ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "0", ",", "3"}], "}"}]}], "]"}], "+", " ", 
    RowBox[{"SP", "[", 
     RowBox[{"3", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "3", ",", "3"}], "}"}]}], "]"}], "+", " ", 
    RowBox[{"SP", "[", 
     RowBox[{"3", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}], "-", 
    RowBox[{"SP", "[", 
     RowBox[{"3", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "2"}], "}"}]}], "]"}], "-", 
    RowBox[{"SP", "[", 
     RowBox[{"3", ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "1", ",", "2"}], "}"}]}], "]"}], "-", 
    RowBox[{"SP", "[", 
     RowBox[{"3", ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "2", ",", "1"}], "}"}]}], "]"}]}], ")"}]}]], "Input",
 CellTags->"b:5.4.2",ExpressionUUID->"fde3b300-002b-4262-97ce-43bee856f30d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "2"]},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {
      FractionBox["1", "2"], "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354793439*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"05d50360-e485-4b5a-bd70-85a693b79f24"]
}, Open  ]],

Cell["Check on the EnTropy of the full system and Sub Entropies", "Text",
 CellChangeTimes->{3.618491111149493*^9},
 FontFamily->"Helvetica",
 CellTags->"b:5.4.2",ExpressionUUID->"2b7fb276-47a2-4be2-8958-11454f654f33"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"EnTropy", "[", 
  RowBox[{"AF", "[", 
   SubscriptBox["\[Rho]", "GHZ"], "]"}], "]"}]], "Input",
 CellChangeTimes->{
  3.618491111163598*^9, {3.618491572972745*^9, 3.618491576785227*^9}},
 CellTags->"b:5.4.2",ExpressionUUID->"cd0a7d94-8db4-4f5d-bbe4-74e29df5f0c8"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354812796*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"c21ce8f2-0fa0-42f0-847b-e177874dd315"]
}, Open  ]],

Cell["\<\
The density matrix of the subsystem [a,b] can be obtained readily, and its 
decomposition into products of Pauli matrices is explictly given\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.2",ExpressionUUID->"e133a870-bd5d-46dc-aa5e-1903722d4be2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Subsys", "[", 
   RowBox[{"a_", ",", "b_"}], "]"}], ":=", 
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"Complement", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}]}], "]"}], ",", 
    StyleBox[
     SubscriptBox["\[Rho]", "GHZ"],
     FontSize->12]}], 
   StyleBox["]",
    FontSize->12]}]}]], "Input",
 CellTags->"b:5.4.2",ExpressionUUID->"ce983511-1c72-4276-a510-f2fdfc19830b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Subsys23", "=", 
  RowBox[{"Subsys", "[", 
   RowBox[{"2", ",", "3"}], "]"}]}]], "Input",
 CellTags->"b:5.4.2",ExpressionUUID->"33ac49c5-5158-42d8-8783-3b5ae1f35e12"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354836279*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"c9552fac-200f-4c4f-abf6-761d62103105"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 StyleBox[
  RowBox[{"Subsys23", "=", 
   RowBox[{"Subsys", "[", 
    RowBox[{"2", ",", "3"}], "]"}]}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"Tr", "[", 
   RowBox[{"Subsys23", ".", 
    RowBox[{"SP", "[", 
     RowBox[{"2", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}]}], "]"}]}], "]"}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"Tr", "[", 
   RowBox[{"Subsys23", ".", 
    RowBox[{"SP", "[", 
     RowBox[{"2", ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "0"}], "}"}]}], "]"}]}], "]"}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"Tr", "[", 
   RowBox[{"Subsys23", ".", 
    RowBox[{"SP", "[", 
     RowBox[{"2", ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "0"}], "}"}]}], "]"}]}], "]"}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"Tr", "[", 
   RowBox[{"Subsys23", ".", 
    RowBox[{"SP", "[", 
     RowBox[{"2", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}], "]"}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"Tr", "[", 
   RowBox[{"Subsys23", ".", 
    RowBox[{"SP", "[", 
     RowBox[{"2", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "2"}], "}"}]}], "]"}]}], "]"}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"Tr", "[", 
   RowBox[{"Subsys23", ".", 
    RowBox[{"SP", "[", 
     RowBox[{"2", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "3"}], "}"}]}], "]"}]}], "]"}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"Tr", "[", 
   RowBox[{"Subsys23", ".", 
    RowBox[{"SP", "[", 
     RowBox[{"2", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1"}], "}"}]}], "]"}]}], "]"}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"Tr", "[", 
   RowBox[{"Subsys23", ".", 
    RowBox[{"SP", "[", 
     RowBox[{"2", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}], "]"}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"Tr", "[", 
   RowBox[{"Subsys23", ".", 
    RowBox[{"SP", "[", 
     RowBox[{"2", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "3"}], "}"}]}], "]"}]}], "]"}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"Tr", "[", 
   RowBox[{"Subsys23", ".", 
    RowBox[{"SP", "[", 
     RowBox[{"2", ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "1"}], "}"}]}], "]"}]}], "]"}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"Tr", "[", 
   RowBox[{"Subsys23", ".", 
    RowBox[{"SP", "[", 
     RowBox[{"2", ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "2"}], "}"}]}], "]"}]}], "]"}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"Tr", "[", 
   RowBox[{"Subsys23", ".", 
    RowBox[{"SP", "[", 
     RowBox[{"2", ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "3"}], "}"}]}], "]"}]}], "]"}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"Tr", "[", 
   RowBox[{"Subsys23", ".", 
    RowBox[{"SP", "[", 
     RowBox[{"2", ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "1"}], "}"}]}], "]"}]}], "]"}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"Tr", "[", 
   RowBox[{"Subsys23", ".", 
    RowBox[{"SP", "[", 
     RowBox[{"2", ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "2"}], "}"}]}], "]"}]}], "]"}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"Tr", "[", 
   RowBox[{"Subsys23", ".", 
    RowBox[{"SP", "[", 
     RowBox[{"2", ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "3"}], "}"}]}], "]"}]}], "]"}],
  FontSize->12]}], "Input",
 CellTags->"b:5.4.2",ExpressionUUID->"ac1d4664-9223-4b38-9a55-f87abb9aaf0b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354858334*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"cb902386-91a1-4b22-b6a6-01ae6dfeb9ae"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354865047*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"d4522870-c06e-4351-a664-f040a8720997"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354869547*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"4052e241-81f2-4299-ad1c-07f0ed908b67"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354874262*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"a71ca167-7b81-4857-9d08-7063415cd57e"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354879147*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"d892d626-4400-42cf-bc61-fe44a335116d"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354883828*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"5f60f953-930d-45f2-a6c2-f13c0e1eb712"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354888504*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"224fbb10-17de-48b2-97e0-a76d819a8875"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354893099*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"e43424b6-b774-4526-9e91-26a5f9b98bf5"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354897807*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"5a5a9d08-058a-4d27-9508-09af09d14615"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354902782*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"2162e3eb-e241-451e-af67-695a671cd6c0"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354907653*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"b6e8b8d2-ef27-4c81-aab2-1b58b0f2292c"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573549125*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"3e97a2de-0d95-433a-ae55-69604ad10652"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354917316*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"026494a5-d9e2-4cb7-9240-ad0f90f11743"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354922091*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"6cf06337-1512-4768-9ee3-3547e944d586"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573549270687`*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"60b634cd-b241-499a-94bd-5a3b9522bb69"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354931892*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"09cc75b9-e4bb-4ec3-8e01-e3d433976613"]
}, Open  ]],

Cell["The EnTropy of the subsystem 23 is however:", "Text",
 CellChangeTimes->{3.618491841349847*^9},
 FontFamily->"Helvetica",
 CellTags->"b:5.4.2",ExpressionUUID->"9a080f90-1335-48ff-bb63-c0e93d882a84"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"EnTropy", "[", "Subsys23", "]"}]], "Input",
 CellChangeTimes->{{3.618491703343644*^9, 3.618491709270183*^9}, {
  3.618491757016335*^9, 3.61849180222786*^9}},
 CellTags->"b:5.4.2",ExpressionUUID->"f6039edc-d646-4c6a-9479-5b1614950c9d"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354940752*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"db22a958-e77d-4559-8bfd-eb03370d2255"]
}, Open  ]],

Cell["\<\
It is simple to do the same game for the other subsystems, which can be \
checked to give the same 
result as this one.\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.2",ExpressionUUID->"804dec5e-2ca1-496b-8eea-a721d1b5de72"],

Cell["\<\
Finally we show the Sub EnTropy for the single qubit density matrices: \
\>", "Text",
 CellChangeTimes->{3.618491804721612*^9},
 FontFamily->"Helvetica",
 CellTags->"b:5.4.2",ExpressionUUID->"b765313e-12bf-4980-96c1-118de425ff69"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Subsys3", "=", 
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}], ",", 
    StyleBox[
     SubscriptBox["\[Rho]", "GHZ"],
     FontSize->12]}], 
   StyleBox["]",
    FontSize->12]}]}], "\[IndentingNewLine]", 
 RowBox[{"EnTropy", "[", "Subsys3", "]"}]}], "Input",
 CellChangeTimes->{3.618491805939724*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"f65e9498-8be5-41d2-a4a8-303fb75d2c13"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0"},
     {"0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573549592667`*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"326d7de8-1185-4355-85ff-6596ccaa82de"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573549655733`*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"eefaf5c2-fbaf-408b-bebf-0bc08f6ec7ea"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Subsys2", "=", 
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "3"}], "}"}], ",", 
    StyleBox[
     SubscriptBox["\[Rho]", "GHZ"],
     FontSize->12]}], 
   StyleBox["]",
    FontSize->12]}]}], "\[IndentingNewLine]", 
 RowBox[{"EnTropy", "[", "Subsys2", "]"}]}], "Input",
 CellChangeTimes->{3.618491806997259*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"32865b2f-0bb7-40a3-8353-8c7faad7f760"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0"},
     {"0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354974761*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"fa8e141a-3a65-41dd-ba5a-8e29a6e8d267"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354981224*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"7cff74a2-e707-4de1-9229-07ef817201ff"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Subsys1", "=", 
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"2", ",", "3"}], "}"}], ",", 
    StyleBox[
     SubscriptBox["\[Rho]", "GHZ"],
     FontSize->12]}], 
   StyleBox["]",
    FontSize->12]}]}], "\[IndentingNewLine]", 
 RowBox[{"EnTropy", "[", "Subsys1", "]"}]}], "Input",
 CellChangeTimes->{3.6184918082120533`*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"0a213887-5064-4f2c-bc47-e5de4c7bab8b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0"},
     {"0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157354998955*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"103cb6c4-f58f-483b-a6f4-6aae5a4f13d4"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573550053463`*^9},
 CellTags->"b:5.4.2",ExpressionUUID->"37776f5d-f8a5-42fb-8a98-c3e0abc65955"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["d) Werner State Study", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:4", "b:5.4.3"},ExpressionUUID->"a8e6c1f1-58c3-4f66-916a-b2b2d3b94fea"],

Cell["\<\
Werner state is used to study how a noisy entangled resource alters the \
efficacy of a quantum channel\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.3",ExpressionUUID->"e1fb5268-91af-40fe-b684-9b1cbf05015e"],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[Cell[TextData[Cell[BoxData[
    FormBox[
    Cell["",ExpressionUUID->"f3bfdc56-1122-41fd-bc42-c3bc2366d325"], 
     TraditionalForm]],ExpressionUUID->
    "d5bf0702-9cee-4032-b696-4ebd343fb6bf"]],ExpressionUUID->
    "e567d204-14b7-414c-87ec-62b13dd437a6"], TraditionalForm]],ExpressionUUID->
  "d6c84214-e093-4fbf-a9ae-2042dd74c988"],
 "Step 1: The Werner state made of qubits 12  is built"
}], "Subsubsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:4", "b:5.4.3"},ExpressionUUID->"24d272ee-54d7-44ad-8055-29c1b5f37ca6"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
  "Build", " ", "the", " ", "Two", " ", "Qubit", " ", "Werner", "  ", 
   "density", " ", "matrix", "   ", 
   StyleBox["W",
    FontSize->12], "  ", 
   RowBox[{"(", " ", 
    RowBox[{"Noisy", " ", "Entangled", " ", "State", " ", "Resource"}], " ", 
    ")"}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "First", " ", "get", " ", "the", " ", "Bell", " ", "density", " ", 
   "matrix"}], " "}]}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.3",ExpressionUUID->"f1d149f1-bfd2-496e-a774-4d30c2d0d9a8"],

Cell[TextData[{
 StyleBox["The ",
  FontFamily->"Helvetica"],
 StyleBox["Bell states",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" are the following:\n",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["B", "00"], "=", " ", 
    RowBox[{"1", "/", 
     SqrtBox["2"]}]}], TraditionalForm]],ExpressionUUID->
  "081b287e-40cb-4c5c-ad94-bc7a530b7938"],
 "( |00\[RightAngleBracket] + |11\[RightAngleBracket] )\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["B", "01"], "=", " ", 
    RowBox[{"1", "/", 
     SqrtBox["2"]}]}], TraditionalForm]],ExpressionUUID->
  "644dea29-51c4-40cf-984c-449ba7c99442"],
 "( |01\[RightAngleBracket] + |10\[RightAngleBracket] )\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["B", "10"], "=", " ", 
    RowBox[{"1", "/", 
     SqrtBox["2"]}]}], TraditionalForm]],ExpressionUUID->
  "5695366f-b04a-408c-bffa-bbccb868fe4e"],
 "( |00\[RightAngleBracket] - |11\[RightAngleBracket] )\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["B", "11"], "=", " ", 
    RowBox[{"1", "/", 
     SqrtBox["2"]}]}], TraditionalForm]],ExpressionUUID->
  "6c48ebb7-bcbe-4f13-b704-ece82f5da240"],
 "( |01\[RightAngleBracket] - |10\[RightAngleBracket] )"
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.4.3",ExpressionUUID->"1456e9d9-f578-4ed4-88d6-0ae376c64a9f"],

Cell[TextData[StyleBox["They can all be constructed in the following way, \
first we build a Bell operator of the form:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.4.3",ExpressionUUID->"4c047109-f64f-4198-aa7e-eddf2323dda5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Bellop", "=", 
   RowBox[{
    RowBox[{"CNOT", "[", 
     RowBox[{"2", ",", "1", ",", "2"}], "]"}], ".", 
    RowBox[{"had", "[", 
     RowBox[{"2", ",", "1"}], "]"}]}], " "}]}]], "Input",
 CellTags->"b:5.4.3",ExpressionUUID->"0fc1def3-e829-4999-9150-0e6d87f02984"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0"},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]]},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]},
     {
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157355015357*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"3528821b-8750-4dc1-a7e2-71efdabacbff"]
}, Open  ]],

Cell[TextData[StyleBox["Then we build the Bell density matrix",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.4.3",ExpressionUUID->"5692bb16-af23-4d78-bb92-fc2a4c0deac0"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   SubscriptBox["B", 
    RowBox[{"a_", ",", "b_"}]], ":=", 
   RowBox[{"Bellop", ".", 
    RowBox[{"AF", "[", 
     RowBox[{
      SubscriptBox["\[ScriptCapitalP]", 
       StyleBox["a",
        ScriptLevel->0]], 
      StyleBox["\[CircleTimes]",
       ScriptLevel->0], 
      StyleBox[
       SubscriptBox["\[ScriptCapitalP]", 
        StyleBox["b",
         ScriptLevel->0]],
       ScriptLevel->0]}], 
     StyleBox["]",
      ScriptLevel->0]}], ".", 
    StyleBox[
     RowBox[{"Adj", "[", "Bellop", "]"}],
     ScriptLevel->0], " "}]}]}]], "Input",
 CellChangeTimes->{{3.618491536731427*^9, 3.618491546619231*^9}, 
   3.8571537797668247`*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"6a22f747-04e6-4047-bc04-852432119ab7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   SubscriptBox["B", 
    RowBox[{"0", ",", "0"}]], "\[IndentingNewLine]", 
   SubscriptBox["B", 
    RowBox[{"0", ",", "1"}]], "\[IndentingNewLine]", 
   SubscriptBox["B", 
    RowBox[{"1", ",", "0"}]], "\[IndentingNewLine]", 
   SubscriptBox["B", 
    RowBox[{"1", ",", "1"}]]}]}]], "Input",
 CellTags->"b:5.4.3",ExpressionUUID->"29552f73-d0d7-45b2-ad50-c7018e127d8a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0", "0", 
      FractionBox["1", "2"]},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {
      FractionBox["1", "2"], "0", "0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573550386877`*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"83ed5d2d-2c00-4015-b942-bb4e3757f123"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", 
      FractionBox["1", "2"], 
      FractionBox["1", "2"], "0"},
     {"0", 
      FractionBox["1", "2"], 
      FractionBox["1", "2"], "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157355045533*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"73093b27-6f4c-4173-b673-463e120315c6"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0", "0", 
      RowBox[{"-", 
       FractionBox["1", "2"]}]},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", "0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157355050816*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"8b6ff0a1-013b-4282-8147-ca691b0ee230"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", 
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0"},
     {"0", 
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      FractionBox["1", "2"], "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157355056448*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"2c59adda-7bd0-4693-84dd-4d3b2bb2f879"]
}, Open  ]],

Cell[TextData[StyleBox["Then we build the Werner density matrix which adds a \
noisy density matrix to the Bell State density matrix with a parameter \
\[Lambda] that varies between 0 and 1;  1 being pure Bell entangled state, 0 \
being completely random or noisy.",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.4.3",ExpressionUUID->"1959079c-7a32-4c3f-9191-306228aafe03"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   SubscriptBox["W", 
    RowBox[{"a_", ",", "b_", ",", 
     StyleBox["\[Lambda]_",
      FontFamily->"Helvetica"]}]], ":=", 
   RowBox[{
    RowBox[{
     StyleBox["\[Lambda]",
      FontFamily->"Helvetica"], 
     StyleBox["   ",
      FontFamily->"Helvetica"], 
     RowBox[{"Bellop", ".", 
      RowBox[{"AF", "[", 
       RowBox[{
        SubscriptBox["\[ScriptCapitalP]", 
         StyleBox["a",
          ScriptLevel->0]], 
        StyleBox["\[CircleTimes]",
         ScriptLevel->0], 
        StyleBox[" ",
         ScriptLevel->0], 
        StyleBox[
         SubscriptBox["\[ScriptCapitalP]", 
          StyleBox["b",
           ScriptLevel->0]],
         ScriptLevel->0]}], 
       StyleBox["]",
        ScriptLevel->0]}], ".", 
      StyleBox[
       RowBox[{"Adj", "[", "Bellop", "]"}],
       ScriptLevel->0]}]}], " ", "+", " ", 
    RowBox[{
     RowBox[{"(", " ", 
      RowBox[{"1", "-", " ", 
       StyleBox["\[Lambda]",
        FontFamily->"Helvetica"]}], 
      StyleBox[")",
       FontFamily->"Helvetica"]}], 
     StyleBox["  ",
      FontFamily->"Helvetica"], 
     RowBox[{
      RowBox[{"AF", "[", " ", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], "\[CircleTimes]", " ", 
        SubscriptBox["\[Sigma]", "0"]}], "]"}], "/", "4"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.6184913065692577`*^9, 3.6184913439780188`*^9}, {
   3.857153779770105*^9, 3.85715377977214*^9}, 3.860157340948001*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"a964e49d-b25b-4c58-b203-86f36d9592d5"],

Cell[TextData[StyleBox["General Form of Werner density Matrix for 2 qubits;  \
and check Trace",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.4.3",ExpressionUUID->"a499a51a-61ab-43fa-a49d-b2025d911b56"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Simplify", "[", 
  SubscriptBox["W", 
   RowBox[{"a", ",", "b", ",", 
    StyleBox["\[Lambda]",
     FontFamily->"Helvetica"]}]], "]"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{"Simplify", "[", 
   RowBox[{"Tr", "[", 
    SubscriptBox["W", 
     RowBox[{"a", ",", "b", ",", 
      StyleBox["\[Lambda]",
       FontFamily->"Helvetica"]}]], 
    StyleBox["]",
     FontSize->12]}], 
   StyleBox["]",
    FontSize->12]}]}]}], "Input",
 CellTags->"b:5.4.3",ExpressionUUID->"c0c47249-4937-4dc6-8a9d-ae3822d0d6f6"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"], " ", "\[Lambda]"}]}], ")"}]}], 
      "0", "0", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "a"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "b"]}], ")"}], " ", "\[Lambda]"}]},
     {"0", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"], " ", "\[Lambda]"}]}], ")"}]}], 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "4"]}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "a"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "b"]}], ")"}], " ", "\[Lambda]"}], "0"},
     {"0", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "4"]}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "a"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "b"]}], ")"}], " ", "\[Lambda]"}], 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"], " ", "\[Lambda]"}]}], ")"}]}], 
      "0"},
     {
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "a"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "b"]}], ")"}], " ", "\[Lambda]"}], "0", 
      "0", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"], " ", "\[Lambda]"}]}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157355084299*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"1baeeefe-53a5-49a8-bc9c-dc89bbfafb2c"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157355091483*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"df203242-90f2-42c9-aa03-038522fe1019"]
}, Open  ]],

Cell[TextData[StyleBox["Particular cases of Werner density Matrix for 2 \
qubits with different starting Bell state ",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.4.3",ExpressionUUID->"65e0c82e-4d25-4368-93aa-429a1afefc39"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Simplify", "[", " ", 
  SubscriptBox["W", 
   RowBox[{"0", ",", "0", ",", 
    StyleBox["\[Lambda]",
     FontFamily->"Helvetica"]}]], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", " ", 
  SubscriptBox["W", 
   RowBox[{"0", ",", "1", ",", 
    StyleBox["\[Lambda]",
     FontFamily->"Helvetica"]}]], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", " ", 
  SubscriptBox["W", 
   RowBox[{"1", ",", "0", ",", 
    StyleBox["\[Lambda]",
     FontFamily->"Helvetica"]}]], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", " ", 
  SubscriptBox["W", 
   RowBox[{"1", ",", "1", ",", 
    StyleBox["\[Lambda]",
     FontFamily->"Helvetica"]}]], "]"}]}], "Input",
 CellTags->"b:5.4.3",ExpressionUUID->"6ca80f69-ffab-49be-a7e0-7fe68b8f5c2a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox[
       RowBox[{"1", "+", "\[Lambda]"}], "4"], "0", "0", 
      FractionBox["\[Lambda]", "2"]},
     {"0", 
      FractionBox[
       RowBox[{"1", "-", "\[Lambda]"}], "4"], "0", "0"},
     {"0", "0", 
      FractionBox[
       RowBox[{"1", "-", "\[Lambda]"}], "4"], "0"},
     {
      FractionBox["\[Lambda]", "2"], "0", "0", 
      FractionBox[
       RowBox[{"1", "+", "\[Lambda]"}], "4"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157355100458*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"c2a4aa0a-610e-4cc2-ba77-f21814ab614b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox[
       RowBox[{"1", "-", "\[Lambda]"}], "4"], "0", "0", "0"},
     {"0", 
      FractionBox[
       RowBox[{"1", "+", "\[Lambda]"}], "4"], 
      FractionBox["\[Lambda]", "2"], "0"},
     {"0", 
      FractionBox["\[Lambda]", "2"], 
      FractionBox[
       RowBox[{"1", "+", "\[Lambda]"}], "4"], "0"},
     {"0", "0", "0", 
      FractionBox[
       RowBox[{"1", "-", "\[Lambda]"}], "4"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157355107401*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"c1a2d53b-bb17-4f3a-b30d-6c97aa673a15"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox[
       RowBox[{"1", "+", "\[Lambda]"}], "4"], "0", "0", 
      RowBox[{"-", 
       FractionBox["\[Lambda]", "2"]}]},
     {"0", 
      FractionBox[
       RowBox[{"1", "-", "\[Lambda]"}], "4"], "0", "0"},
     {"0", "0", 
      FractionBox[
       RowBox[{"1", "-", "\[Lambda]"}], "4"], "0"},
     {
      RowBox[{"-", 
       FractionBox["\[Lambda]", "2"]}], "0", "0", 
      FractionBox[
       RowBox[{"1", "+", "\[Lambda]"}], "4"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157355112401*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"bb79404c-fa1e-4e1d-84f3-6bed5a03d992"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox[
       RowBox[{"1", "-", "\[Lambda]"}], "4"], "0", "0", "0"},
     {"0", 
      FractionBox[
       RowBox[{"1", "+", "\[Lambda]"}], "4"], 
      RowBox[{"-", 
       FractionBox["\[Lambda]", "2"]}], "0"},
     {"0", 
      RowBox[{"-", 
       FractionBox["\[Lambda]", "2"]}], 
      FractionBox[
       RowBox[{"1", "+", "\[Lambda]"}], "4"], "0"},
     {"0", "0", "0", 
      FractionBox[
       RowBox[{"1", "-", "\[Lambda]"}], "4"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157355118021*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"de126b45-fef7-4308-9e88-95b0de304e5f"]
}, Open  ]],

Cell[TextData[StyleBox["Check eigenvalues of Werner density Matrix for 2 \
qubits with different starting Bell state ",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.4.3",ExpressionUUID->"f7c0dd11-c77d-4bf5-b695-64ff5b15cfc8"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Eigenvalues", "[", 
    SubscriptBox["W", 
     RowBox[{"a", ",", "b", ",", 
      StyleBox["\[Lambda]",
       FontFamily->"Helvetica"]}]], "]"}], "]"}], " ", "/.", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "0"}], ",", " ", 
    RowBox[{"b", "->", "0"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Eigenvalues", "[", 
    SubscriptBox["W", 
     RowBox[{"a", ",", "b", ",", 
      StyleBox["\[Lambda]",
       FontFamily->"Helvetica"]}]], "]"}], "]"}], " ", "/.", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "0"}], ",", " ", 
    RowBox[{"b", "\[Rule]", "1"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Eigenvalues", "[", 
    SubscriptBox["W", 
     RowBox[{"a", ",", "b", ",", 
      StyleBox["\[Lambda]",
       FontFamily->"Helvetica"]}]], "]"}], "]"}], " ", "/.", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "1"}], ",", " ", 
    RowBox[{"b", "->", "0"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Eigenvalues", "[", 
    SubscriptBox["W", 
     RowBox[{"a", ",", "b", ",", 
      StyleBox["\[Lambda]",
       FontFamily->"Helvetica"]}]], "]"}], "]"}], " ", "/.", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "1"}], ",", " ", 
    RowBox[{"b", "\[Rule]", "1"}]}], "}"}]}]}], "Input",
 CellTags->"b:5.4.3",ExpressionUUID->"908a72dc-1a00-43f4-8b09-b12b0d97e4ba"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       FractionBox[
        RowBox[{"1", "-", "\[Lambda]"}], "4"]},
      {
       FractionBox[
        RowBox[{"1", "-", "\[Lambda]"}], "4"]},
      {
       FractionBox[
        RowBox[{"1", "-", "\[Lambda]"}], "4"]},
      {
       RowBox[{
        FractionBox["1", "4"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"3", " ", "\[Lambda]"}]}], ")"}]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157355466037*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"6d8bfd00-daae-4e4c-a050-bc6af4592528"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        FractionBox["1", "4"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"3", " ", "\[Lambda]"}]}], ")"}]}]},
      {
       FractionBox[
        RowBox[{"1", "-", "\[Lambda]"}], "4"]},
      {
       FractionBox[
        RowBox[{"1", "-", "\[Lambda]"}], "4"]},
      {
       FractionBox[
        RowBox[{"1", "-", "\[Lambda]"}], "4"]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157355485705*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"b03696b2-5976-4579-9c50-cf9b5537e4a4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       FractionBox[
        RowBox[{"1", "-", "\[Lambda]"}], "4"]},
      {
       RowBox[{
        FractionBox["1", "4"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"3", " ", "\[Lambda]"}]}], ")"}]}]},
      {
       FractionBox[
        RowBox[{"1", "-", "\[Lambda]"}], "4"]},
      {
       FractionBox[
        RowBox[{"1", "-", "\[Lambda]"}], "4"]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157355491995*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"5781a5b5-e04b-4180-b9c2-7b86d66232f1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       FractionBox[
        RowBox[{"1", "-", "\[Lambda]"}], "4"]},
      {
       FractionBox[
        RowBox[{"1", "-", "\[Lambda]"}], "4"]},
      {
       RowBox[{
        FractionBox["1", "4"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"3", " ", "\[Lambda]"}]}], ")"}]}]},
      {
       FractionBox[
        RowBox[{"1", "-", "\[Lambda]"}], "4"]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157355509324*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"c8d6a528-503d-49fa-ab22-0576d36c3f07"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[Cell[TextData[Cell[BoxData[
    FormBox[
    Cell["",ExpressionUUID->"be16887b-e61b-4dd4-b91a-8e4d4c30c7d3"], 
     TraditionalForm]],ExpressionUUID->
    "62b3129a-c961-4a4c-bb2b-82a7bb6cfcc9"]],ExpressionUUID->
    "b33f600c-de34-4d70-891f-77e8a063bc8a"], TraditionalForm]],ExpressionUUID->
  "12ac1a14-a557-404c-a5bb-0bce0ceb5f99"],
 "Step 2: Look at the Polarization and Tensor Polarization of the Werner \
state  "
}], "Subsubsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:4", "b:5.4.3"},ExpressionUUID->"b82a1307-68d3-4746-bd9b-cd7ff65bb4c0"],

Cell["\<\
Vector and tensor polarizations of Werner state  
Rank 2 Tensor polarizations for Werner state \
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.3",ExpressionUUID->"4ae44805-0710-4cb1-943b-10e4e3033716"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"T", "[", 
    RowBox[{"i_", ",", "j_"}], "]"}], ":=", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"AF", "[", 
      RowBox[{
       SubscriptBox["\[Sigma]", "i"], "\[CircleTimes]", 
       SubscriptBox["\[Sigma]", "j"]}], "]"}], ".", 
     StyleBox[
      SubscriptBox["W", 
       RowBox[{"a", ",", "b", ",", 
        StyleBox["\[Lambda]",
         FontFamily->"Helvetica"]}]],
      FontSize->12]}], 
    StyleBox[" ",
     FontSize->12], 
    StyleBox["]",
     FontSize->12]}]}], 
  StyleBox[";",
   FontSize->12]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{
     StyleBox["P",
      FontSize->12], "W", 
     StyleBox["A",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"T", "[", 
       RowBox[{"1", ",", "0"}], "]"}],
      FontSize->12], 
     StyleBox[",",
      FontSize->12], 
     RowBox[{"T", "[", 
      RowBox[{"2", ",", "0"}], "]"}], ",", 
     RowBox[{"T", "[", 
      RowBox[{"3", ",", "0"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   StyleBox[
    RowBox[{
     StyleBox["P",
      FontSize->12], "W", 
     StyleBox["B",
      FontSize->12]}]], 
   StyleBox["=",
    FontSize->12], 
   RowBox[{
    StyleBox["{",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"T", "[", 
       RowBox[{"0", ",", "1"}], "]"}],
      FontSize->12], 
     StyleBox[",",
      FontSize->12], 
     RowBox[{"T", "[", 
      RowBox[{"0", ",", "2"}], "]"}], ",", 
     RowBox[{"T", "[", 
      RowBox[{"0", ",", "3"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    StyleBox[
     RowBox[{"TW", 
      StyleBox["AB",
       FontSize->12]}]], 
    StyleBox["=",
     FontSize->12], 
    RowBox[{
     StyleBox["{",
      FontSize->12], 
     RowBox[{
      StyleBox["Table",
       FontSize->12], 
      StyleBox["[",
       FontSize->12], 
      RowBox[{
       StyleBox[
        RowBox[{"T", "[", 
         RowBox[{"i", ",", "j"}], "]"}],
        FontSize->12], 
       StyleBox[",",
        FontSize->12], 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", "PWA", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", "PWB", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Flatten", "[", 
   RowBox[{"TWAB", ",", "1"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.618491354710909*^9, 3.618491370284683*^9}, 
   3.8571537797762337`*^9, 3.860157340950095*^9},
 FontFamily->"Courier New",
 CellTags->"b:5.4.3",ExpressionUUID->"d09caaa0-b3ef-487f-9ad5-7f82ab597c17"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573555639668`*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"d45e06d0-1990-4e1e-a4fb-389d8dd49890"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157355571014*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"9af2a28c-e593-48b4-8ca4-fe308e8101db"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "a"], " ", "\[Lambda]"}], "0", "0"},
     {"0", 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}], 
         RowBox[{"a", "+", "b"}]]}], " ", "\[Lambda]"}], "0"},
     {"0", "0", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "b"], " ", "\[Lambda]"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157355575984*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"eaea7b6f-995d-4444-b355-07b94c3a7250"]
}, Open  ]],

Cell["\<\
Vector polarizations of Werner state are zero 
Rank 2 Tensor polarizations for Werner state are diagonal\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.3",ExpressionUUID->"0a71dec0-e524-448a-934d-51022c4c3c13"],

Cell["Vector polarizations of Werner state are zero ", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.3",ExpressionUUID->"f7ff1d0c-2589-4387-bd21-493dabc1d94d"],

Cell["Look at Purity and EnTropy", "Text",
 CellChangeTimes->{3.6184918102452297`*^9},
 FontFamily->"Helvetica",
 CellTags->"b:5.4.3",ExpressionUUID->"9549e7de-c7a6-435f-a65a-e7ee510a0ad2"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  StyleBox[
   RowBox[{
    StyleBox["Full",
     FontSize->12], "Simplify"}]], "[", 
  RowBox[{"Purity", "[", 
   SubscriptBox["W", 
    RowBox[{"a", ",", "b", ",", 
     StyleBox["\[Lambda]",
      FontFamily->"Helvetica"]}]], 
   StyleBox["]",
    FontSize->12]}], 
  StyleBox["]",
   FontSize->12]}], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{
    StyleBox["Full",
     FontSize->12], "Simplify"}]], "[", 
  RowBox[{"EnTropy", "[", 
   SubscriptBox["W", 
    RowBox[{"a", ",", "b", ",", 
     StyleBox["\[Lambda]",
      FontFamily->"Helvetica"]}]], 
   StyleBox["]",
    FontSize->12]}], 
  StyleBox["]",
   FontSize->12]}]}], "Input",
 CellChangeTimes->{3.61849181133991*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"8b9766f6-8957-4205-98dd-ef1c17b6c77e"],

Cell[BoxData[
 TagBox[
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}], 
         RowBox[{"2", " ", "a"}]], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}], 
         RowBox[{"2", " ", "b"}]], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"a", "+", "b"}], ")"}]}]]}], ")"}], " ", 
      SuperscriptBox["\[Lambda]", "2"]}]}], ")"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157355742681*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"e38f4178-be36-4a4d-872e-58a914b7afa3"],

Cell[BoxData[
 TagBox[
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", 
     RowBox[{"Log", "[", "2", "]"}]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], "a"], " ", "\[Lambda]"}], "+", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], "b"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"-", "1"}], ")"}], "a"]}], ")"}], " ", "\[Lambda]"}]}],
          ")"}], " ", 
        RowBox[{"Log", "[", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"-", "1"}], ")"}], "a"], " ", "\[Lambda]"}], "+", 
            RowBox[{
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"-", "1"}], ")"}], "b"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"-", "1"}], ")"}], "a"]}], ")"}], " ", 
             "\[Lambda]"}]}], ")"}]}], "]"}]}], ")"}]}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], "a"], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], "b"], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], 
            RowBox[{"a", "+", "b"}]]}], ")"}], " ", "\[Lambda]"}]}], ")"}], 
      " ", 
      RowBox[{"Log", "[", 
       RowBox[{
        FractionBox["1", "4"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"-", "1"}], ")"}], "a"], "+", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"-", "1"}], ")"}], "b"], "+", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"-", "1"}], ")"}], 
              RowBox[{"a", "+", "b"}]]}], ")"}], " ", "\[Lambda]"}]}], 
         ")"}]}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], "a"], "+", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"-", "1"}], ")"}], "b"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"-", "1"}], ")"}], "a"]}], ")"}]}]}], ")"}], " ", 
         "\[Lambda]"}]}], ")"}], " ", 
      RowBox[{"Log", "[", 
       RowBox[{
        FractionBox["1", "4"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"-", "1"}], ")"}], "a"], "+", 
             RowBox[{
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"-", "1"}], ")"}], "b"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"-", "1"}], ")"}], "a"]}], ")"}]}]}], ")"}], " ", 
           "\[Lambda]"}]}], ")"}]}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"-", "1"}], ")"}], "a"]}], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], "b"], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], 
            RowBox[{"a", "+", "b"}]]}], ")"}], " ", "\[Lambda]"}]}], ")"}], 
      " ", 
      RowBox[{"Log", "[", 
       RowBox[{
        FractionBox["1", "4"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"-", "1"}], ")"}], "a"], "-", 
             RowBox[{
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"-", "1"}], ")"}], "b"], " ", 
              RowBox[{"(", 
               RowBox[{"1", "+", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"-", "1"}], ")"}], "a"]}], ")"}]}]}], ")"}], " ", 
           "\[Lambda]"}]}], ")"}]}], "]"}]}]}], ")"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157366381719*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"d26a15f8-fc75-49d8-8a98-a7c89fa4d085"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[Cell[TextData[Cell[BoxData[
    FormBox[
    Cell["",ExpressionUUID->"8e946bf7-6927-4d83-a18a-8ea63fa08bd3"], 
     TraditionalForm]],ExpressionUUID->
    "43a11b40-d5ee-48c2-af29-570232cef4e2"]],ExpressionUUID->
    "40b37c90-60b6-44f2-98ea-2c83e18abda7"], TraditionalForm]],ExpressionUUID->
  "cd3cdfe1-1675-4bb0-aca7-7c4a00d606fe"],
 "Step 3:  Structure of the Werner Density Matrix"
}], "Subsubsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:4", "b:5.4.3"},ExpressionUUID->"6a685eec-4759-4e40-9128-dc107e562ddb"],

Cell["\<\
Reconstruct Density Matrix 
Note the Werner state has zero polarization for each qubit and a simple \
tensor polarization structure\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.3",ExpressionUUID->"1f086c4e-ed78-4ac9-9bc1-6af949ee899b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "/", "4"}], ")"}], "  ", 
   RowBox[{
    UnderoverscriptBox["\[Sum]", 
     RowBox[{"i", "=", "0"}], "3"], "   ", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"j", "=", "0"}], "3"], "    ", 
     RowBox[{
      RowBox[{"T", "[", 
       RowBox[{"i", ",", "j"}], "]"}], "*", " ", 
      RowBox[{"AF", "[", 
       RowBox[{
        SubscriptBox["\[Sigma]", "i"], "\[CircleTimes]", 
        SubscriptBox["\[Sigma]", "j"]}], "]"}]}]}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"%", "-", 
   SubscriptBox["W", 
    RowBox[{"a", ",", "b", ",", 
     StyleBox["\[Lambda]",
      FontFamily->"Helvetica"]}]]}], "]"}]}], "Input",
 CellChangeTimes->{{3.618491381388146*^9, 3.618491391287731*^9}, 
   3.8571537797795143`*^9, 3.860157340952445*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"18c37123-d61b-49d4-8ca0-ff40a2db6437"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"], " ", "\[Lambda]"}]}], ")"}]}], 
      "0", "0", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "a"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "b"]}], ")"}], " ", "\[Lambda]"}]},
     {"0", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"], " ", "\[Lambda]"}]}], ")"}]}], 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "4"]}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "a"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "b"]}], ")"}], " ", "\[Lambda]"}], "0"},
     {"0", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "4"]}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "a"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "b"]}], ")"}], " ", "\[Lambda]"}], 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"], " ", "\[Lambda]"}]}], ")"}]}], 
      "0"},
     {
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "a"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "b"]}], ")"}], " ", "\[Lambda]"}], "0", 
      "0", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"], " ", "\[Lambda]"}]}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573664854527`*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"f482f7ff-5f5c-47ee-b907-6e52362ca58d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157366493314*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"f6b3bf59-195d-4b18-93e4-8455a513bce4"]
}, Open  ]],

Cell[TextData[{
 " Werner Density Matrix  has Form\n",
 "= (1/4)  [ 1 + \[Lambda] ( ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}], "a"], "  ", 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], "\[CircleTimes]", 
      SubscriptBox["\[Sigma]", "1"]}], ")"}]}], TraditionalForm]],
  ExpressionUUID->"f3087b50-b709-4f89-9497-0eee5f5442f8"],
 "   - ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"-", "1"}], ")"}], 
    RowBox[{"a", "+", "b", " "}]], TraditionalForm]],ExpressionUUID->
  "20556459-c54c-4c01-a023-fd9f7724207f"],
 " ",
 Cell[BoxData[
  RowBox[{"  ", 
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], "\[CircleTimes]", 
     SubscriptBox["\[Sigma]", "2"]}], ")"}]}]],
  FontFamily->"Helvetica",ExpressionUUID->
  "3ae22971-358b-4fdf-b58d-094b8bebff00"],
 "  + ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"-", "1"}], ")"}], "b"], TraditionalForm]],ExpressionUUID->
  "cb1f4d56-edb3-4ee5-901a-9cec46f2124f"],
 Cell[BoxData[
  RowBox[{"  ", 
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["\[Sigma]", "3"], "\[CircleTimes]", 
     SubscriptBox["\[Sigma]", "3"]}], ")"}]}]],
  FontFamily->"Helvetica",ExpressionUUID->
  "57ea0058-01fc-485a-b403-0e5130bb537f"],
 " ]"
}], "Text",
 CellChangeTimes->{{3.860157340966267*^9, 3.8601573409715843`*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:5.4.3",ExpressionUUID->"8bdffcee-5433-4ed6-a2a0-17bfcbbe23f2"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"reconstruct", "=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "/", "4"}], ")"}], "    ", 
   RowBox[{"(", "  ", 
    RowBox[{
     RowBox[{"SP", "[", 
      RowBox[{"2", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "]"}], "  ", "+", 
     RowBox[{"\[Lambda]", 
      RowBox[{"(", " ", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "^", "a"}], "  ", 
         RowBox[{"SP", "[", 
          RowBox[{"2", ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "1"}], "}"}]}], "]"}]}], "-", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "^", "a"}], "  ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "^", "b"}], "   ", 
         RowBox[{"SP", "[", 
          RowBox[{"2", ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", "2"}], "}"}]}], "]"}]}], "+", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "^", "b"}], " ", 
         RowBox[{"SP", "[", 
          RowBox[{"2", ",", 
           RowBox[{"{", 
            RowBox[{"3", " ", ",", " ", "3"}], "}"}]}], "]"}]}]}], ")"}]}]}], 
    " ", ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"reconstruct", "-", 
   SubscriptBox["W", 
    RowBox[{"a", ",", "b", ",", "\[Lambda]"}]]}], "]"}]}], "Input",
 CellTags->"b:5.4.3",ExpressionUUID->"5501d9cb-48aa-4e67-9372-c7795e81f955"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"], " ", "\[Lambda]"}]}], ")"}]}], 
      "0", "0", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "a"], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], 
          RowBox[{"a", "+", "b"}]]}], ")"}], " ", "\[Lambda]"}]},
     {"0", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"], " ", "\[Lambda]"}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "a"], "-", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], 
          RowBox[{"a", "+", "b"}]]}], ")"}], " ", "\[Lambda]"}], "0"},
     {"0", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "a"], "-", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], 
          RowBox[{"a", "+", "b"}]]}], ")"}], " ", "\[Lambda]"}], 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"], " ", "\[Lambda]"}]}], ")"}]}], 
      "0"},
     {
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "a"], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], 
          RowBox[{"a", "+", "b"}]]}], ")"}], " ", "\[Lambda]"}], "0", "0", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "b"], " ", "\[Lambda]"}]}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157366503738*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"3f970f7e-daca-4c65-827f-e6ab0bbf58fc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573665112343`*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"68b2224e-83f3-42bb-b0c6-b28d5319efeb"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[Cell[TextData[Cell[BoxData[
    FormBox[
    Cell["",ExpressionUUID->"5d3d5c58-89c7-4bcb-8374-036e07c92537"], 
     TraditionalForm]],ExpressionUUID->
    "3d9dd08c-6f2d-4856-a770-2e92380f9873"]],ExpressionUUID->
    "3c323bc8-77ae-4787-9ff7-06113f370a6d"], TraditionalForm]],ExpressionUUID->
  "c814f67b-31db-49dd-997b-5e5326e0a3c1"],
 "Step 3: Look at the ",
 "EnTropy",
 ", Purity and Sub-entropy of the Werner state  "
}], "Subsubsection",
 CellFrame->True,
 CellChangeTimes->{3.618491813238427*^9},
 FontFamily->"Times",
 CellTags->{
  "c:4", "b:5.4.3"},ExpressionUUID->"96f3f2de-0d08-4f8f-9e69-e8a66f31ccb3"],

Cell["Check on Purity", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.3",ExpressionUUID->"d8daa4e1-e339-4b38-8ea8-7d3432d624af"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"FullSimplify", "[", 
  RowBox[{"Purity", "[", 
   StyleBox[
    SubscriptBox["W", 
     RowBox[{"a", ",", "b", ",", 
      StyleBox["\[Lambda]",
       FontFamily->"Helvetica"]}]],
    FontSize->12], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Purity", "[", 
    StyleBox[
     SubscriptBox["W", 
      RowBox[{"a", ",", "b", ",", 
       StyleBox["\[Lambda]",
        FontFamily->"Helvetica"]}]],
     FontSize->12], "]"}], "]"}], " ", "/.", "  ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "0"}], ",", " ", 
    RowBox[{"b", "->", "0"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Purity", "[", 
    StyleBox[
     SubscriptBox["W", 
      RowBox[{"a", ",", "b", ",", 
       StyleBox["\[Lambda]",
        FontFamily->"Helvetica"]}]],
     FontSize->12], "]"}], "]"}], "/.", "  ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "0"}], ",", " ", 
    RowBox[{"b", "\[Rule]", "1"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Purity", "[", 
    StyleBox[
     SubscriptBox["W", 
      RowBox[{"a", ",", "b", ",", 
       StyleBox["\[Lambda]",
        FontFamily->"Helvetica"]}]],
     FontSize->12], "]"}], "]"}], " ", "/.", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "1"}], ",", " ", 
    RowBox[{"b", "->", "0"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Purity", "[", 
    StyleBox[
     SubscriptBox["W", 
      RowBox[{"a", ",", "b", ",", 
       StyleBox["\[Lambda]",
        FontFamily->"Helvetica"]}]],
     FontSize->12], "]"}], "]"}], " ", "/.", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "1"}], ",", " ", 
    RowBox[{"b", "\[Rule]", "1"}]}], "}"}]}]}], "Input",
 CellTags->"b:5.4.3",ExpressionUUID->"6d3ba99a-698e-4991-83d9-432272afdb76"],

Cell[BoxData[
 TagBox[
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}], 
         RowBox[{"2", " ", "a"}]], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}], 
         RowBox[{"2", " ", "b"}]], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"a", "+", "b"}], ")"}]}]]}], ")"}], " ", 
      SuperscriptBox["\[Lambda]", "2"]}]}], ")"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573665300817`*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"1af7fcc8-cdb4-4f2f-ae7a-b3e315bbd678"],

Cell[BoxData[
 TagBox[
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["\[Lambda]", "2"]}]}], ")"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157366536639*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"ab5f90b8-53cb-43c9-92dd-e685f87f2f1e"],

Cell[BoxData[
 TagBox[
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["\[Lambda]", "2"]}]}], ")"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157366541153*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"f39bedf4-641a-4c16-9f32-55c8a2af8b51"],

Cell[BoxData[
 TagBox[
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["\[Lambda]", "2"]}]}], ")"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157366546805*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"5f96a62f-21d0-49b3-b5d1-2ca28a293340"],

Cell[BoxData[
 TagBox[
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["\[Lambda]", "2"]}]}], ")"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573665523567`*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"2c8e54d8-3fe6-40df-a01d-7f348d639dd9"]
}, Open  ]],

Cell["Check on EnTropy", "Text",
 CellChangeTimes->{3.618491814418632*^9},
 FontFamily->"Helvetica",
 CellTags->"b:5.4.3",ExpressionUUID->"89c1a4c8-3704-4711-bc40-c215e8b74cc0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"EnTropy", "[", 
    StyleBox[
     SubscriptBox["W", 
      RowBox[{"a", ",", "b", ",", 
       StyleBox["\[Lambda]",
        FontFamily->"Helvetica"]}]],
     FontSize->12], "]"}], "]"}], " ", "/.", "  ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "0"}], ",", " ", 
    RowBox[{"b", "->", "0"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"EnTropy", "[", 
    StyleBox[
     SubscriptBox["W", 
      RowBox[{"a", ",", "b", ",", 
       StyleBox["\[Lambda]",
        FontFamily->"Helvetica"]}]],
     FontSize->12], "]"}], "]"}], "/.", "  ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "0"}], ",", " ", 
    RowBox[{"b", "\[Rule]", "1"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"EnTropy", "[", 
    StyleBox[
     SubscriptBox["W", 
      RowBox[{"a", ",", "b", ",", 
       StyleBox["\[Lambda]",
        FontFamily->"Helvetica"]}]],
     FontSize->12], "]"}], "]"}], " ", "/.", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "1"}], ",", " ", 
    RowBox[{"b", "->", "0"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"EnTropy", "[", 
    StyleBox[
     SubscriptBox["W", 
      RowBox[{"a", ",", "b", ",", 
       StyleBox["\[Lambda]",
        FontFamily->"Helvetica"]}]],
     FontSize->12], "]"}], "]"}], " ", "/.", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "1"}], ",", " ", 
    RowBox[{"b", "\[Rule]", "1"}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.618491816581977*^9, 3.618491826931183*^9}},
 CellTags->"b:5.4.3",ExpressionUUID->"0fbc71ed-a961-444f-b012-6388955a4aa2"],

Cell[BoxData[
 TagBox[
  FractionBox[
   RowBox[{
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Lambda]"}], ")"}], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{"1", "-", "\[Lambda]"}], "4"], "]"}]}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", 
     RowBox[{"Log", "[", 
      FractionBox[
       RowBox[{"1", "-", "\[Lambda]"}], "4"], "]"}]}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"3", " ", "\[Lambda]"}]}], ")"}], " ", 
     RowBox[{"Log", "[", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"3", " ", "\[Lambda]"}]}], ")"}]}], "]"}]}]}], 
   RowBox[{"4", " ", 
    RowBox[{"Log", "[", "2", "]"}]}]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157366580493*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"fb06a6f6-c9ee-422f-8203-8ccfd1bb88c4"],

Cell[BoxData[
 TagBox[
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Lambda]"}], ")"}], " ", 
     RowBox[{"Log", "[", 
      FractionBox[
       RowBox[{"1", "-", "\[Lambda]"}], "4"], "]"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", 
     RowBox[{"Log", "[", 
      FractionBox[
       RowBox[{"1", "-", "\[Lambda]"}], "4"], "]"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "-", 
       RowBox[{"3", " ", "\[Lambda]"}]}], ")"}], " ", 
     RowBox[{"Log", "[", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"3", " ", "\[Lambda]"}]}], ")"}]}], "]"}]}]}], 
   RowBox[{"4", " ", 
    RowBox[{"Log", "[", "2", "]"}]}]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157366600383*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"8122bdc6-0f9e-4911-9d86-9a1d3e8cb634"],

Cell[BoxData[
 TagBox[
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Lambda]"}], ")"}], " ", 
     RowBox[{"Log", "[", 
      FractionBox[
       RowBox[{"1", "-", "\[Lambda]"}], "4"], "]"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", 
     RowBox[{"Log", "[", 
      FractionBox[
       RowBox[{"1", "-", "\[Lambda]"}], "4"], "]"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "-", 
       RowBox[{"3", " ", "\[Lambda]"}]}], ")"}], " ", 
     RowBox[{"Log", "[", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"3", " ", "\[Lambda]"}]}], ")"}]}], "]"}]}]}], 
   RowBox[{"4", " ", 
    RowBox[{"Log", "[", "2", "]"}]}]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157366621015*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"a8ce29b7-83d4-4aa6-8c57-fc4bacb0a47f"],

Cell[BoxData[
 TagBox[
  FractionBox[
   RowBox[{
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Lambda]"}], ")"}], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{"1", "-", "\[Lambda]"}], "4"], "]"}]}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", 
     RowBox[{"Log", "[", 
      FractionBox[
       RowBox[{"1", "-", "\[Lambda]"}], "4"], "]"}]}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"3", " ", "\[Lambda]"}]}], ")"}], " ", 
     RowBox[{"Log", "[", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"3", " ", "\[Lambda]"}]}], ")"}]}], "]"}]}]}], 
   RowBox[{"4", " ", 
    RowBox[{"Log", "[", "2", "]"}]}]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157366641753*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"45a2543e-e49c-4d95-8ea6-4d8d16eab97a"]
}, Open  ]],

Cell["Prepare for EnTropy versus \[Lambda] plot", "Text",
 CellChangeTimes->{3.618491828952922*^9},
 FontFamily->"Helvetica",
 CellTags->"b:5.4.3",ExpressionUUID->"7f9e9eec-8831-4fa7-aca0-9dad0977e695"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ent", "[", 
   RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"EnTropy", "[", 
     StyleBox[
      SubscriptBox["W", 
       RowBox[{"a", ",", "b", ",", 
        StyleBox["\[Lambda]",
         FontFamily->"Helvetica"]}]],
      FontSize->12], "]"}], "]"}], " ", "/.", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[Rule]", "x"}], ",", 
     RowBox[{"b", "\[Rule]", "y"}], ",", 
     RowBox[{"\[Lambda]", " ", "\[Rule]", "z"}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{3.618491830373561*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"512e5ce2-ce37-46d5-b2f4-85f8db083b27"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{"Ent", "[", 
     RowBox[{"0", ",", "0", ",", "s"}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"s", ",", "0.0001`", ",", "0.99999`"}], "}"}]}], "]"}]], "Input",
 CellTags->"b:5.4.3",ExpressionUUID->"de678adb-0c4f-463b-830d-ef33c6ff5ade"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1Hk41GsbB3CmcE6ppKg3SRROCwqnInxLjkSRLNEitGiRihZZskSRLNUo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        "]]},
      Annotation[#, "Charting`Private`Tag$26457#1"]& ]}, {}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{None, None},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   ImagePadding->All,
   Method->{
    "DefaultBoundaryStyle" -> Automatic, 
     "DefaultGraphicsInteraction" -> {
      "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
       "Effects" -> {
        "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
         "Droplines" -> {
          "freeformCursorMode" -> True, 
           "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
     "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> None, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& )}},
   PlotRange->{{0.0001, 0.99999}, {0., 1.9999999783521847`}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.05], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157366774441*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"d4d4b611-d44c-40c9-b285-e6d76a31ff69"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{"Ent", "[", 
     RowBox[{"0", ",", "1", ",", "s"}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"s", ",", "0.0001`", ",", "0.99999`"}], "}"}]}], "]"}]], "Input",
 CellTags->"b:5.4.3",ExpressionUUID->"20063a8c-8722-4714-b3a9-559ffd102909"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1Hk41GsbB3CmcE6ppKg3SRROCwqnInxLjkSRLNEitGiRihZZskSRLNUo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        "]]},
      Annotation[#, "Charting`Private`Tag$26510#1"]& ]}, {}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{None, None},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   ImagePadding->All,
   Method->{
    "DefaultBoundaryStyle" -> Automatic, 
     "DefaultGraphicsInteraction" -> {
      "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
       "Effects" -> {
        "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
         "Droplines" -> {
          "freeformCursorMode" -> True, 
           "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
     "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> None, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& )}},
   PlotRange->{{0.0001, 0.99999}, {0., 1.9999999783521847`}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.05], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157366817047*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"f46a09df-5019-4a98-a704-0b00d48f6bb9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{"Ent", "[", 
     RowBox[{"1", ",", "0", ",", "s"}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"s", ",", "0.0001", ",", "0.99999"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.618491439300531*^9, 3.6184914431235523`*^9}},
 CellTags->"b:5.4.3",ExpressionUUID->"e6a20d7b-12d4-44a3-b107-43567d2fa76e"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1Hk41GsbB3CmcE6ppKg3SRROCwqnInxLjkSRLNEitGiRihZZskSRLNUo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        "]]},
      Annotation[#, "Charting`Private`Tag$26563#1"]& ]}, {}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{None, None},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   ImagePadding->All,
   Method->{
    "DefaultBoundaryStyle" -> Automatic, 
     "DefaultGraphicsInteraction" -> {
      "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
       "Effects" -> {
        "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
         "Droplines" -> {
          "freeformCursorMode" -> True, 
           "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
     "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> None, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& )}},
   PlotRange->{{0.0001, 0.99999}, {0., 1.9999999783521847`}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.05], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157366860362*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"9c312104-881d-4df1-98c0-5ef9166bf324"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{"Ent", "[", 
     RowBox[{"1", ",", "1", ",", "s"}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"s", ",", "0.0001", ",", "0.99999"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6184914508071957`*^9, 3.618491454204236*^9}},
 CellTags->"b:5.4.3",ExpressionUUID->"f6931973-39ec-4c15-8cce-0e159c093f19"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1Hk41GsbB3CmcE6ppKg3SRROCwqnInxLjkSRLNEitGiRihZZskSRLNUo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        "]]},
      Annotation[#, "Charting`Private`Tag$26616#1"]& ]}, {}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{None, None},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   ImagePadding->All,
   Method->{
    "DefaultBoundaryStyle" -> Automatic, 
     "DefaultGraphicsInteraction" -> {
      "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
       "Effects" -> {
        "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
         "Droplines" -> {
          "freeformCursorMode" -> True, 
           "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
     "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> None, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& )}},
   PlotRange->{{0.0001, 0.99999}, {0., 1.9999999783521847`}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.05], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573669033327`*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"45f7efb4-e69d-4de1-845d-fd088dede2fa"]
}, Open  ]],

Cell["Same plot for all Bell states cases.", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.3",ExpressionUUID->"0d2bd5cb-1c0d-4ad8-805e-67a99a9cd355"],

Cell["Look at Sub-system 2", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.3",ExpressionUUID->"a19d504b-6f41-463c-ae45-5baee4e23e12"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"r2", "=", 
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"{", "1", "}"}], ",", 
    StyleBox[
     SubscriptBox["W", 
      RowBox[{"a", ",", "b", ",", 
       StyleBox["\[Lambda]",
        FontFamily->"Helvetica"]}]],
     FontSize->12]}], 
   StyleBox["]",
    FontSize->12]}]}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  StyleBox[
   RowBox[{
    RowBox[{"Tr", "[", 
     RowBox[{"r2", ".", 
      SubscriptBox["\[Sigma]", "1"]}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{"r2", ".", 
      SubscriptBox["\[Sigma]", "2"]}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{"r2", ".", 
      SubscriptBox["\[Sigma]", "3"]}], "]"}]}],
   FontSize->12], 
  StyleBox["}",
   FontSize->12]}]}], "Input",
 CellTags->"b:5.4.3",ExpressionUUID->"c1b036fd-48a4-4cb1-9377-6a1a4264bef3"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0"},
     {"0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573669219522`*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"e7bd7b44-e6cd-4f16-9d18-e8749ff7378c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157366929193*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"ecafc1a8-c3cd-45bf-94aa-e988ccdb2858"]
}, Open  ]],

Cell["EnTropy and Purity of system 2", "Text",
 CellChangeTimes->{3.6184918336213427`*^9},
 FontFamily->"Helvetica",
 CellTags->"b:5.4.3",ExpressionUUID->"12abf06b-0208-44ef-8844-b15261b4d0d1"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"EnTropy", "[", "r2", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Purity", "[", "r2", "]"}]}], "Input",
 CellChangeTimes->{{3.618491467841097*^9, 3.618491468452981*^9}},
 CellTags->"b:5.4.3",ExpressionUUID->"d6158a50-ca57-4cfd-b808-b648dbf5d01c"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157366947673*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"058f1b55-8aaf-47b2-9c95-03f0c4b280aa"],

Cell[BoxData[
 TagBox[
  FractionBox["1", "2"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157366954322*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"ce4e654a-e9d6-40b8-afff-5cc3fc414663"]
}, Open  ]],

Cell["Look at Sub-system 1", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.3",ExpressionUUID->"e5ac7173-6a1a-44d5-a8c0-a8e155f42bf2"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"r1", "=", 
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"{", "2", "}"}], ",", 
    StyleBox[
     SubscriptBox["W", 
      RowBox[{"a", ",", "b", ",", 
       StyleBox["\[Lambda]",
        FontFamily->"Helvetica"]}]],
     FontSize->12]}], 
   StyleBox["]",
    FontSize->12]}]}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  StyleBox[
   RowBox[{
    RowBox[{"Tr", "[", 
     RowBox[{"r1", ".", 
      SubscriptBox["\[Sigma]", "1"]}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{"r1", ".", 
      SubscriptBox["\[Sigma]", "2"]}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{"r1", ".", 
      SubscriptBox["\[Sigma]", "3"]}], "]"}]}],
   FontSize->12], 
  StyleBox["}",
   FontSize->12]}]}], "Input",
 CellTags->"b:5.4.3",ExpressionUUID->"581464b5-5761-4659-a6b6-edcc3db6b691"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0"},
     {"0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573669646873`*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"8dba30ee-04a6-4a70-8e7f-0eb230d01bde"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157366971648*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"8857c144-e89e-4df1-8ae5-1a3c1c78003a"]
}, Open  ]],

Cell["EnTropy and Purity of system 1", "Text",
 CellChangeTimes->{3.618491836636364*^9},
 FontFamily->"Helvetica",
 CellTags->"b:5.4.3",ExpressionUUID->"fd6b8e2b-5dba-44a6-b748-5f35caecf50b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"EntrTpy", "[", "r1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Purity", "[", "r1", "]"}]}], "Input",
 CellChangeTimes->{{3.618491477505604*^9, 3.6184914780263433`*^9}},
 CellTags->"b:5.4.3",ExpressionUUID->"03eb2dcd-acda-4f70-9e00-dbdd27a5996c"],

Cell[BoxData[
 TagBox[
  RowBox[{"EntrTpy", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], "]"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157366989637*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"fdeff65c-7479-4f2f-ad4d-fbc4afabb3c3"],

Cell[BoxData[
 TagBox[
  FractionBox["1", "2"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157366996499*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"cd902c04-4d8d-4328-8506-7c03c1bd0142"]
}, Open  ]],

Cell["Eigenvalues of sub-systems", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:5.4.3",ExpressionUUID->"55ddb63e-a7bc-4765-a8be-42cd1ade8f5c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Eigenvalues", "[", "r1", "]"}], "]"}], 
  "  "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Eigenvalues", "[", "r2", "]"}], "]"}], " "}]}], "Input",
 CellTags->"b:5.4.3",ExpressionUUID->"2b339cd3-40c7-430e-ab45-11f925c74e10"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       FractionBox["1", "2"]},
      {
       FractionBox["1", "2"]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573670060453`*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"6b9f061a-3c56-4a95-ba84-fabc65fef2bc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       FractionBox["1", "2"]},
      {
       FractionBox["1", "2"]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157367012694*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"090d47b7-ee9b-4741-9711-9d71d9cb0b44"]
}, Open  ]],

Cell["Double Check on EnTropy of the Full Werner case", "Text",
 CellChangeTimes->{3.6184918381888037`*^9},
 FontFamily->"Helvetica",
 CellTags->"b:5.4.3",ExpressionUUID->"3735bdd6-5385-455a-8ea1-411b4d4bd77e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"val", "=", 
  RowBox[{
   RowBox[{"FullSimplify", "[", 
    RowBox[{"Eigenvalues", "[", 
     StyleBox[
      SubscriptBox["W", 
       RowBox[{"a", ",", "b", ",", 
        StyleBox["\[Lambda]",
         FontFamily->"Helvetica"]}]],
      FontSize->12], "]"}], "]"}], " ", "/.", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[Rule]", "0"}], ",", " ", 
     RowBox[{"b", "->", "0"}]}], "}"}]}]}]], "Input",
 CellTags->"b:5.4.3",ExpressionUUID->"87a2148f-6150-4fba-b51a-9f6496d4ef95"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       FractionBox[
        RowBox[{"1", "-", "\[Lambda]"}], "4"]},
      {
       FractionBox[
        RowBox[{"1", "-", "\[Lambda]"}], "4"]},
      {
       FractionBox[
        RowBox[{"1", "-", "\[Lambda]"}], "4"]},
      {
       RowBox[{
        FractionBox["1", "4"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"3", " ", "\[Lambda]"}]}], ")"}]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157367032043*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"d806ab08-661d-4bf4-8d28-62be4ff31078"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"val", "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"val", "[", 
  RowBox[{"[", "2", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"val", "[", 
  RowBox[{"[", "3", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"val", "[", 
  RowBox[{"[", "4", "]"}], "]"}]}], "Input",
 CellTags->"b:5.4.3",ExpressionUUID->"2460eecb-683c-4964-bfc9-5b7cdf813591"],

Cell[BoxData[
 TagBox[
  FractionBox[
   RowBox[{"1", "-", "\[Lambda]"}], "4"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157367044866*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"ca848562-7fdd-4051-a8d0-78625b2745c7"],

Cell[BoxData[
 TagBox[
  FractionBox[
   RowBox[{"1", "-", "\[Lambda]"}], "4"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573670515547`*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"3aceb36c-aa1c-4531-be36-1c095823aa01"],

Cell[BoxData[
 TagBox[
  FractionBox[
   RowBox[{"1", "-", "\[Lambda]"}], "4"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157367056669*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"e031360b-95ec-4b19-acfb-c57e5269bbbe"],

Cell[BoxData[
 TagBox[
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"3", " ", "\[Lambda]"}]}], ")"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157367062347*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"882f15d8-d280-405f-8519-0b33737dcb89"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"entcheck", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"-", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"val", "[", 
        RowBox[{"[", "1", "]"}], "]"}], " ", 
       RowBox[{"Log", "[", 
        RowBox[{"2", ",", 
         RowBox[{"val", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"val", "[", 
        RowBox[{"[", "2", "]"}], "]"}], " ", 
       RowBox[{"Log", "[", 
        RowBox[{"2", ",", 
         RowBox[{"val", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"val", "[", 
        RowBox[{"[", "3", "]"}], "]"}], " ", 
       RowBox[{"Log", "[", 
        RowBox[{"2", ",", 
         RowBox[{"val", "[", 
          RowBox[{"[", "3", "]"}], "]"}]}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"val", "[", 
        RowBox[{"[", "4", "]"}], "]"}], " ", 
       RowBox[{"Log", "[", 
        RowBox[{"2", ",", 
         RowBox[{"val", "[", 
          RowBox[{"[", "4", "]"}], "]"}]}], "]"}]}]}], ")"}]}], 
   "]"}]}]], "Input",
 CellTags->"b:5.4.3",ExpressionUUID->"071c203e-1a23-4a48-ad5a-f6498f40a901"],

Cell[BoxData[
 TagBox[
  FractionBox[
   RowBox[{
    RowBox[{"Log", "[", "256", "]"}], "+", 
    RowBox[{"3", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", 
     RowBox[{"Log", "[", 
      RowBox[{"1", "-", "\[Lambda]"}], "]"}]}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"3", " ", "\[Lambda]"}]}], ")"}], " ", 
     RowBox[{"Log", "[", 
      RowBox[{"1", "+", 
       RowBox[{"3", " ", "\[Lambda]"}]}], "]"}]}]}], 
   RowBox[{"Log", "[", "16", "]"}]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8601573671253967`*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"57e523fa-9472-44f7-ba33-dd014c361fc5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{"entcheck", ",", 
   RowBox[{"{", 
    RowBox[{"\[Lambda]", ",", "0.00001", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.6184914972464457`*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"e68c2d1b-74a3-49e7-972e-72c2cae16e50"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1nk01VsUB3BDj4f3iDwqMiQNlLlJ+CIpkhD1lESmJoQnIuQaSqTomguF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        "]]},
      Annotation[#, "Charting`Private`Tag$26947#1"]& ]}, {}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{None, None},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   ImagePadding->All,
   Method->{
    "DefaultBoundaryStyle" -> Automatic, 
     "DefaultGraphicsInteraction" -> {
      "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
       "Effects" -> {
        "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
         "Droplines" -> {
          "freeformCursorMode" -> True, 
           "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
     "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> None, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& )}},
   PlotRange->{{0.00001, 1}, {0., 1.9999999997827131`}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.05], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.860157367160128*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"d8ce69be-2f10-45b7-930e-ccfd788e7c43"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Ent", "[", 
     RowBox[{"1", ",", "1", ",", "\[Lambda]"}], "]"}], "-", "entcheck"}], 
   "]"}], "]"}]], "Input",
 CellTags->"b:5.4.3",ExpressionUUID->"9394121c-e99b-4b7b-a947-7b762b3faadc"],

Cell[BoxData[
 TagBox["0.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.86015736730415*^9},
 CellTags->"b:5.4.3",ExpressionUUID->"bd7faaff-da20-4299-a7ff-0c056fc9e15b"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Quit", "[", "]"}], " "}]], "Input",
 CellChangeTimes->{{3.614075357102055*^9, 3.614075358883482*^9}, {
  3.857154681891321*^9, 3.857154692015884*^9}, {3.857155253177298*^9, 
  3.857155257720442*^9}},ExpressionUUID->"bb49c021-4f61-4751-8342-\
e6a1ccb0ae43"]
},
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{1080, 610},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Visible->True,
PrintingCopies->1,
PrintingStartingPageNumber->1,
PrintingPageRange->{1, 32000},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{612, 792},
"PostScriptOutputFile":>FrontEnd`FileName[{"export", "home", "brunojd"}, 
  "t.ps", CharacterEncoding -> "WindowsANSI"]},
ShowSelection->True,
TaggingRules:>{
 "PaginationCache" -> {{2005, 8, 9, 3, 36, 18.585304`8.02174465349935}, {1, 1,
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
    2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4,
     4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 
    5, 5, 5, 5, 5, 5, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 7, 7, 7,
     7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 
    8, 8, 8, 8, 8, 8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 
    10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11, 11, 11, 11, 11, 
    11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 12, 12, 12, 12, 12, 12, 12, 
    12, 12, 12, 12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
    13, 13, 13, 13, 13, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
    14, 14, 14}, Automatic}, "NextIndexingNumber" -> 5, 
  "IndexEntries" -> {{"i:1", "CNOT\t"}, {"i:2", "HALL"}, {
    "i:3", "bra", "Quantum Density package"}, {
    "i:4", "ket", "Quantum Density Package"}}},
CellLabelAutoDelete->True,
InputAliases->{"intt" -> RowBox[{"\[Integral]", 
     RowBox[{"\[SelectionPlaceholder]", 
       RowBox[{"\[DifferentialD]", "\[Placeholder]"}]}]}], "dintt" -> RowBox[{
     SubsuperscriptBox[
     "\[Integral]", "\[SelectionPlaceholder]", "\[Placeholder]"], 
     RowBox[{"\[Placeholder]", 
       RowBox[{"\[DifferentialD]", "\[Placeholder]"}]}]}], "sumt" -> RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"\[SelectionPlaceholder]", "=", "\[Placeholder]"}], 
      "\[Placeholder]"], "\[Placeholder]"}], "prodt" -> RowBox[{
     UnderoverscriptBox["\[Product]", 
      RowBox[{"\[SelectionPlaceholder]", "=", "\[Placeholder]"}], 
      "\[Placeholder]"], "\[Placeholder]"}], "dt" -> RowBox[{
     SubscriptBox["\[PartialD]", "\[Placeholder]"], " ", 
     "\[SelectionPlaceholder]"}], "notation" -> RowBox[{"Notation", "[", 
     RowBox[{
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> "NotationTemplateStyle"],
        " ", "\[DoubleLongLeftRightArrow]", " ", 
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"]}], "]"}], "notation>" -> 
  RowBox[{"Notation", "[", 
     RowBox[{
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> "NotationTemplateStyle"],
        " ", "\[DoubleLongRightArrow]", " ", 
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"]}], "]"}], "notation<" -> 
  RowBox[{"Notation", "[", 
     RowBox[{
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> "NotationTemplateStyle"],
        " ", "\[DoubleLongLeftArrow]", " ", 
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"]}], "]"}], "symb" -> RowBox[{"Symbolize", "[", 
     TagBox[
     "\[Placeholder]", NotationBoxTag, TagStyle -> "NotationTemplateStyle"], 
     "]"}], "infixnotation" -> RowBox[{"InfixNotation", "[", 
     RowBox[{
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> "NotationTemplateStyle"],
        ",", "\[Placeholder]"}], "]"}], "addia" -> 
  RowBox[{"AddInputAlias", "[", 
     RowBox[{"\"\[Placeholder]\"", "\[Rule]", 
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"]}], "]"}], "pattwraper" -> 
  TagBox["\[Placeholder]", NotationPatternTag, TagStyle -> 
    "NotationPatternWrapperStyle"], "madeboxeswraper" -> 
  TagBox["\[Placeholder]", NotationMadeBoxesTag, TagStyle -> 
    "NotationMadeBoxesWrapperStyle"]},
Magnification->1,
FrontEndVersion->"13.0 for Mac OS X x86 (64-bit) (December 2, 2021)",
StyleDefinitions->"Classroom.nb",
ExpressionUUID->"675f753a-fea5-4018-983a-a68ce0332478"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "c:1"->{
  Cell[545, 20, 111, 1, 51, "Title",ExpressionUUID->"99e7654f-3b31-4b60-a49b-5520c21f6945",
   CellTags->"c:1"]},
 "c:2"->{
  Cell[1233, 40, 383, 7, 59, "Section",ExpressionUUID->"93a4ea00-8346-4ac0-ae10-8ae794881d4b",
   CellTags->{"c:2", "b:5.0"}]},
 "b:5.0"->{
  Cell[1233, 40, 383, 7, 59, "Section",ExpressionUUID->"93a4ea00-8346-4ac0-ae10-8ae794881d4b",
   CellTags->{"c:2", "b:5.0"}],
  Cell[1619, 49, 519, 12, 80, "Text",ExpressionUUID->"043a7d5b-d319-461b-b34a-41b633ea587a",
   CellTags->"b:5.0"],
  Cell[2163, 65, 234, 5, 48, "Input",ExpressionUUID->"fbf4d3d6-15da-4d8c-9b40-e5f745283702",
   CellTags->"b:5.0"],
  Cell[2400, 72, 209, 3, 48, "Output",ExpressionUUID->"e6a6bcc1-7042-4dd3-91a3-a6addae422bf",
   CellTags->"b:5.0"],
  Cell[2624, 78, 414, 13, 24, "Text",ExpressionUUID->"a42249d7-2e2c-4d03-90b4-cc0a45b20c67",
   CellTags->"b:5.0"],
  Cell[3063, 95, 537, 13, 81, "Input",ExpressionUUID->"e612332e-4610-41d2-8079-5eb73d6f265a",
   CellTags->"b:5.0"],
  Cell[3603, 110, 226, 3, 24, "Print",ExpressionUUID->"ba890292-e16d-4b20-a181-7da665e578b0",
   CellTags->"b:5.0"],
  Cell[3844, 116, 216, 3, 23, "Text",ExpressionUUID->"8ed3a512-17c5-4dcf-92e5-9e9a60556379",
   CellTags->"b:5.0"],
  Cell[23174, 562, 283, 5, 46, "Input",ExpressionUUID->"f4ede01c-ea19-4b11-a444-fadcdc996f11",
   CellTags->"b:5.0"],
  Cell[23460, 569, 56851, 1275, 425, "Output",ExpressionUUID->"45548569-12b3-4015-b64f-f0cf57fe6405",
   CellTags->"b:5.0"],
  Cell[80326, 1847, 264, 4, 23, "Text",ExpressionUUID->"8b433e8e-6bec-43a6-b874-b9c55345e463",
   CellTags->"b:5.0"],
  Cell[80615, 1855, 123, 2, 48, "Input",ExpressionUUID->"71f275b8-31c3-4913-8798-ab01113b7c3f",
   CellTags->"b:5.0"],
  Cell[80741, 1859, 9252, 221, 251, "Output",ExpressionUUID->"d282fad5-82ef-4659-966d-a09066e61420",
   CellTags->"b:5.0"],
  Cell[90018, 2084, 123, 2, 48, "Input",ExpressionUUID->"7e65ff41-a313-4128-ab89-3eefbe24f0cc",
   CellTags->"b:5.0"],
  Cell[90144, 2088, 12094, 259, 954, "Output",ExpressionUUID->"47ad6148-2e77-4a2a-9ba6-7a0e0449c507",
   CellTags->"b:5.0"],
  Cell[102265, 2351, 322, 8, 24, "Text",ExpressionUUID->"eb396e23-91ff-41f9-9d99-a8630c98f90c",
   CellTags->"b:5.0"],
  Cell[102624, 2364, 303, 5, 46, "Input",ExpressionUUID->"0a05cfda-b2df-41f2-850b-d09a84015ec3",
   CellTags->"b:5.0"],
  Cell[102930, 2371, 60251, 1372, 306, "Output",ExpressionUUID->"c04612b1-16c4-4e98-8a21-19da5973f4dd",
   CellTags->"b:5.0"]},
 "c:3"->{
  Cell[163218, 3748, 130, 2, 51, "Section",ExpressionUUID->"0a09d11c-1dd0-4f4e-abe8-c63e7690c8e5",
   CellTags->"c:3"]},
 "SingleQubitStates"->{
  Cell[163373, 3754, 198, 5, 60, "Subsection",ExpressionUUID->"ee607bc2-0142-46ef-a8ef-80e67730510b",
   CellTags->{"SingleQubitStates", "c:4", "b:5.1.0"}]},
 "c:4"->{
  Cell[163373, 3754, 198, 5, 60, "Subsection",ExpressionUUID->"ee607bc2-0142-46ef-a8ef-80e67730510b",
   CellTags->{"SingleQubitStates", "c:4", "b:5.1.0"}],
  Cell[544525, 14235, 163, 4, 60, "Subsection",ExpressionUUID->"c8b432ac-6320-4763-ba39-de59a338d0eb",
   CellTags->{"c:4", "b:5.4.2"}],
  Cell[603952, 15983, 172, 4, 60, "Subsection",ExpressionUUID->"a8e6c1f1-58c3-4f66-916a-b2b2d3b94fea",
   CellTags->{"c:4", "b:5.4.3"}],
  Cell[604382, 15998, 582, 14, 56, "Subsubsection",ExpressionUUID->"24d272ee-54d7-44ad-8055-29c1b5f37ca6",
   CellTags->{"c:4", "b:5.4.3"}],
  Cell[630230, 16834, 610, 15, 56, "Subsubsection",ExpressionUUID->"b82a1307-68d3-4746-bd9b-cd7ff65bb4c0",
   CellTags->{"c:4", "b:5.4.3"}],
  Cell[644061, 17304, 577, 14, 56, "Subsubsection",ExpressionUUID->"6a685eec-4759-4e40-9128-dc107e562ddb",
   CellTags->{"c:4", "b:5.4.3"}],
  Cell[656378, 17707, 655, 17, 56, "Subsubsection",ExpressionUUID->"96f3f2de-0d08-4f8f-9e69-e8a66f31ccb3",
   CellTags->{"c:4", "b:5.4.3"}]},
 "b:5.1.0"->{
  Cell[163373, 3754, 198, 5, 60, "Subsection",ExpressionUUID->"ee607bc2-0142-46ef-a8ef-80e67730510b",
   CellTags->{"SingleQubitStates", "c:4", "b:5.1.0"}],
  Cell[163574, 3761, 426, 11, 23, "Text",ExpressionUUID->"08e3a9fe-858f-4377-bd0b-400b42234b57",
   CellTags->"b:5.1.0"],
  Cell[164025, 3776, 209, 3, 48, "Input",ExpressionUUID->"bf1a4e54-30ca-4679-b3ae-9710a287b72e",
   CellTags->"b:5.1.0"],
  Cell[164237, 3781, 601, 17, 64, "Output",ExpressionUUID->"8ea32dc9-5c89-463a-8958-b89b00480f66",
   CellTags->"b:5.1.0"],
  Cell[164853, 3801, 266, 4, 23, "Text",ExpressionUUID->"28b4ad25-e7a4-441b-8877-d14ac9f3316c",
   CellTags->"b:5.1.0"],
  Cell[165122, 3807, 210, 3, 23, "Text",ExpressionUUID->"ccae0e3a-6779-4aed-97d8-74450bec82c1",
   CellTags->"b:5.1.0"],
  Cell[165357, 3814, 141, 2, 48, "Input",ExpressionUUID->"53d092e5-c384-4eea-9fe3-494c039f2fe1",
   CellTags->"b:5.1.0"],
  Cell[165501, 3818, 601, 17, 64, "Output",ExpressionUUID->"55cf740c-79f5-413d-be86-20fd44864f0e",
   CellTags->"b:5.1.0"],
  Cell[166117, 3838, 266, 4, 23, "Text",ExpressionUUID->"31376944-0aa0-42c0-b4ef-141c34778fa1",
   CellTags->"b:5.1.0"],
  Cell[166386, 3844, 289, 4, 23, "Text",ExpressionUUID->"736f3081-7de9-4364-b458-01c59cb37d44",
   CellTags->"b:5.1.0"],
  Cell[166700, 3852, 299, 6, 68, "Input",ExpressionUUID->"bd38cb3d-72e6-487a-9300-4b4e4d749b75",
   CellTags->{"i:4", "b:5.1.0"}],
  Cell[167002, 3860, 605, 18, 64, "Output",ExpressionUUID->"d63312e1-318b-4457-accc-7ee26f011e54",
   CellTags->{"i:4", "b:5.1.0"}],
  Cell[167610, 3880, 596, 17, 49, "Output",ExpressionUUID->"df28bf7e-5a1d-4e47-9f4a-ee80466f3a73",
   CellTags->{"i:4", "b:5.1.0"}],
  Cell[168221, 3900, 502, 8, 51, "Text",ExpressionUUID->"710d80ba-0a09-4bc3-8f24-5f7e13de7975",
   CellTags->"b:5.1.0"],
  Cell[168748, 3912, 274, 8, 75, "Input",ExpressionUUID->"935b46f6-7e5c-4ab2-8985-4817e7eade3a",
   CellTags->{"i:4", "b:5.1.0"}],
  Cell[169025, 3922, 603, 18, 64, "Output",ExpressionUUID->"b14b451f-f943-42d5-9d16-b774731acf38",
   CellTags->{"i:4", "b:5.1.0"}],
  Cell[169631, 3942, 596, 17, 49, "Output",ExpressionUUID->"6943006a-0e9f-4e30-8b73-4effce4d9ed3",
   CellTags->{"i:4", "b:5.1.0"}],
  Cell[170242, 3962, 1279, 34, 59, "Text",ExpressionUUID->"820e01d8-64ed-439e-91c9-a8d45aed8ba7",
   CellTags->"b:5.1.0"],
  Cell[172425, 4028, 302, 5, 23, "Text",ExpressionUUID->"65af368d-b2e8-4d8c-b415-5f917ba93a67",
   CellTags->"b:5.1.0"],
  Cell[174656, 4105, 537, 12, 52, "Input",ExpressionUUID->"b23e8791-6b29-406e-9307-c33bacc568ef",
   CellTags->"b:5.1.0"],
  Cell[175196, 4119, 603, 17, 64, "Output",ExpressionUUID->"0aa3ea70-a64a-4115-886d-54f5a669d6db",
   CellTags->"b:5.1.0"],
  Cell[175814, 4139, 298, 5, 23, "Text",ExpressionUUID->"e1aa0a89-bfb7-403b-a9a0-6c8b35221131",
   CellTags->"b:5.1.0"],
  Cell[177070, 4180, 284, 4, 23, "Text",ExpressionUUID->"92c9d03c-1463-4add-b861-77b1c28bfe8f",
   CellTags->"b:5.1.0"],
  Cell[178317, 4224, 786, 18, 51, "Input",ExpressionUUID->"4886fae0-f556-469c-b6d9-8f73d90b075a",
   CellTags->"b:5.1.0"],
  Cell[179106, 4244, 824, 25, 64, "Output",ExpressionUUID->"05883aee-0583-4ccf-8ec0-aef96a809fcc",
   CellTags->"b:5.1.0"],
  Cell[179933, 4271, 357, 6, 23, "Text",ExpressionUUID->"9d42fc05-309a-4afb-9fa3-5cfd770e0c66",
   CellTags->"b:5.1.0"],
  Cell[198714, 4750, 350, 10, 23, "Text",ExpressionUUID->"c89b52c4-bc21-4ebf-a58d-317f646b1660",
   CellTags->"b:5.1.0"],
  Cell[199089, 4764, 255, 4, 68, "Input",ExpressionUUID->"cda4e3ff-51b9-4a26-ad81-e80e4e586ce3",
   CellTags->"b:5.1.0"],
  Cell[199347, 4770, 334, 10, 48, "Output",ExpressionUUID->"b101f1ca-8aca-47c2-a5f2-2c17a2114a53",
   CellTags->"b:5.1.0"],
  Cell[199684, 4782, 389, 12, 51, "Output",ExpressionUUID->"96f699b9-ffcd-4830-8639-e03bfe0e4422",
   CellTags->"b:5.1.0"],
  Cell[211153, 5072, 607, 15, 23, "Text",ExpressionUUID->"475231ef-db46-4427-af44-e3d7e388352d",
   CellTags->"b:5.1.0"],
  Cell[211785, 5091, 388, 7, 106, "Input",ExpressionUUID->"ea917e4f-3060-449d-bb46-9f88ff7de812",
   CellTags->"b:5.1.0"],
  Cell[212176, 5100, 677, 21, 84, "Output",ExpressionUUID->"917ff794-2625-4ee0-bc68-73090fc789d8",
   CellTags->"b:5.1.0"],
  Cell[212856, 5123, 443, 11, 67, "Output",ExpressionUUID->"4bee257f-73d6-4ce9-a248-4c7641278c4f",
   CellTags->"b:5.1.0"],
  Cell[213302, 5136, 699, 22, 84, "Output",ExpressionUUID->"72f7ab71-b8f0-4ea2-9fb9-340539c73553",
   CellTags->"b:5.1.0"],
  Cell[214004, 5160, 465, 12, 67, "Output",ExpressionUUID->"a1dec6c7-0806-4e2f-a1e3-b1f95e6f21cf",
   CellTags->"b:5.1.0"],
  Cell[214484, 5175, 440, 11, 24, "Text",ExpressionUUID->"5ab0da13-1f96-4b8c-844b-c13ea1926222",
   CellTags->"b:5.1.0"],
  Cell[214949, 5190, 446, 12, 68, "Input",ExpressionUUID->"4add1457-7e6e-46eb-b860-6dc542823cd4",
   CellTags->"b:5.1.0"],
  Cell[215398, 5204, 212, 5, 48, "Output",ExpressionUUID->"4cdf2d85-6d5b-4a99-9932-009db979bf55",
   CellTags->"b:5.1.0"],
  Cell[215613, 5211, 212, 5, 48, "Output",ExpressionUUID->"d6f1f974-6d35-45f1-bd9e-a9810c9aa5ea",
   CellTags->"b:5.1.0"],
  Cell[215840, 5219, 475, 11, 39, "Text",ExpressionUUID->"4fd894a3-d6d1-496a-83b0-d4de98164532",
   CellTags->"b:5.1.0"],
  Cell[216318, 5232, 616, 15, 48, "Input",ExpressionUUID->"ff91e24e-d11c-48cf-94c2-4d5cb5093ffb",
   CellTags->"b:5.1.0"],
  Cell[216959, 5251, 357, 11, 52, "Input",ExpressionUUID->"8dba5516-c786-4c8e-a60c-9f2f45369368",
   CellTags->"b:5.1.0"],
  Cell[217319, 5264, 586, 16, 49, "Output",ExpressionUUID->"e050bdb3-2756-42ae-91da-1333db4e8a31",
   CellTags->"b:5.1.0"],
  Cell[217920, 5283, 312, 5, 23, "Text",ExpressionUUID->"d2035e21-8a20-4a9b-ad25-0650d70f058e",
   CellTags->"b:5.1.0"],
  Cell[218991, 5318, 250, 5, 68, "Input",ExpressionUUID->"b895e06d-898c-461a-a85e-1253bf6cdcca",
   CellTags->"b:5.1.0"],
  Cell[219244, 5325, 694, 21, 58, "Output",ExpressionUUID->"30ead829-9ae4-45cc-b4c1-946ea1360ae4",
   CellTags->"b:5.1.0"],
  Cell[219941, 5348, 696, 21, 58, "Output",ExpressionUUID->"b03c9dea-19b3-4739-88dc-aefb7795fcd0",
   CellTags->"b:5.1.0"]},
 "i:4"->{
  Cell[166700, 3852, 299, 6, 68, "Input",ExpressionUUID->"bd38cb3d-72e6-487a-9300-4b4e4d749b75",
   CellTags->{"i:4", "b:5.1.0"}],
  Cell[167002, 3860, 605, 18, 64, "Output",ExpressionUUID->"d63312e1-318b-4457-accc-7ee26f011e54",
   CellTags->{"i:4", "b:5.1.0"}],
  Cell[167610, 3880, 596, 17, 49, "Output",ExpressionUUID->"df28bf7e-5a1d-4e47-9f4a-ee80466f3a73",
   CellTags->{"i:4", "b:5.1.0"}],
  Cell[168748, 3912, 274, 8, 75, "Input",ExpressionUUID->"935b46f6-7e5c-4ab2-8985-4817e7eade3a",
   CellTags->{"i:4", "b:5.1.0"}],
  Cell[169025, 3922, 603, 18, 64, "Output",ExpressionUUID->"b14b451f-f943-42d5-9d16-b774731acf38",
   CellTags->{"i:4", "b:5.1.0"}],
  Cell[169631, 3942, 596, 17, 49, "Output",ExpressionUUID->"6943006a-0e9f-4e30-8b73-4effce4d9ed3",
   CellTags->{"i:4", "b:5.1.0"}]},
 "c:5"->{
  Cell[220686, 5375, 171, 4, 60, "Subsection",ExpressionUUID->"bf377e58-66a1-4d6c-b405-c6fe8f8c474f",
   CellTags->{"c:5", "b:5.1.1"}]},
 "b:5.1.1"->{
  Cell[220686, 5375, 171, 4, 60, "Subsection",ExpressionUUID->"bf377e58-66a1-4d6c-b405-c6fe8f8c474f",
   CellTags->{"c:5", "b:5.1.1"}],
  Cell[220860, 5381, 525, 13, 23, "Text",ExpressionUUID->"ddd01926-14b0-4396-ad50-c17fb8e189d0",
   CellTags->"b:5.1.1"],
  Cell[221410, 5398, 1085, 27, 106, "Input",ExpressionUUID->"87c95477-150f-45bc-a23a-240593faf46d",
   CellTags->"b:5.1.1"],
  Cell[222498, 5427, 675, 19, 98, "Output",ExpressionUUID->"29d27a37-8f15-4590-a90c-aa6511a65a5a",
   CellTags->"b:5.1.1"],
  Cell[223176, 5448, 675, 19, 98, "Output",ExpressionUUID->"85dc8b67-ab01-4df7-8897-1961c30c7923",
   CellTags->"b:5.1.1"],
  Cell[223854, 5469, 675, 19, 98, "Output",ExpressionUUID->"6322b3f8-6aa3-48c9-a1d3-22e7709b8876",
   CellTags->"b:5.1.1"],
  Cell[224532, 5490, 675, 19, 98, "Output",ExpressionUUID->"caed7f17-4024-4823-8eea-f8ae76dcaedc",
   CellTags->"b:5.1.1"],
  Cell[235996, 5861, 766, 16, 79, "Text",ExpressionUUID->"df5a34e6-b6f5-4969-bbdf-b816358205fc",
   CellTags->"b:5.1.1"],
  Cell[238465, 5938, 384, 6, 23, "Text",ExpressionUUID->"d049cd31-ce5a-476f-b30e-be266dcb8545",
   CellTags->"b:5.1.1"],
  Cell[238874, 5948, 1066, 30, 48, "Input",ExpressionUUID->"33edebf9-5caa-45bf-aa42-c1a2a940f49e",
   CellTags->"b:5.1.1"],
  Cell[239943, 5980, 941, 23, 166, "Output",ExpressionUUID->"f20ce9f1-7f65-449a-91f8-37da1e4a72df",
   CellTags->"b:5.1.1"],
  Cell[240899, 6006, 455, 7, 51, "Text",ExpressionUUID->"3cc042e9-2696-4843-b2ce-de567e0d14b7",
   CellTags->"b:5.1.1"],
  Cell[241379, 6017, 962, 19, 87, "Input",ExpressionUUID->"8d4f34a3-116d-42b0-bb73-a29f35df317e",
   CellTags->"b:5.1.1"],
  Cell[242344, 6038, 771, 28, 186, "Output",ExpressionUUID->"9abaff47-eaf2-4187-a143-6d7760a11260",
   CellTags->"b:5.1.1"],
  Cell[243118, 6068, 474, 13, 67, "Output",ExpressionUUID->"633817f6-45e1-4322-b906-daff78dfa16d",
   CellTags->"b:5.1.1"],
  Cell[243607, 6084, 286, 4, 23, "Text",ExpressionUUID->"866f168a-79b0-4b1c-afb9-8a5ec41e3f14",
   CellTags->"b:5.1.1"],
  Cell[243918, 6092, 929, 22, 87, "Input",ExpressionUUID->"406ce482-236e-41b0-b2eb-7b5f0d1f9c05",
   CellTags->"b:5.1.1"],
  Cell[244850, 6116, 1089, 29, 182, "Output",ExpressionUUID->"0ccec5db-6898-41c3-9a08-2bd81bdbbb79",
   CellTags->"b:5.1.1"],
  Cell[245942, 6147, 1091, 29, 182, "Output",ExpressionUUID->"2368504c-ecc3-4e67-ba30-44441187f177",
   CellTags->"b:5.1.1"],
  Cell[247048, 6179, 268, 8, 23, "Text",ExpressionUUID->"2aa52633-de91-47a2-b170-19c8a8b1b3c9",
   CellTags->"b:5.1.1"],
  Cell[247341, 6191, 210, 3, 68, "Input",ExpressionUUID->"265b3060-37a6-40b2-be04-f44b36a83f19",
   CellTags->"b:5.1.1"],
  Cell[247554, 6196, 209, 5, 48, "Output",ExpressionUUID->"72cf1ae1-61fe-4287-87d7-32a2c6d1dd1b",
   CellTags->"b:5.1.1"],
  Cell[247766, 6203, 209, 5, 48, "Output",ExpressionUUID->"80a26b1f-5146-4ef1-8e11-05fa078cbb84",
   CellTags->"b:5.1.1"],
  Cell[247990, 6211, 331, 5, 23, "Text",ExpressionUUID->"4377cd2d-f10d-427f-bef7-42b7723eed6a",
   CellTags->"b:5.1.1"],
  Cell[248346, 6220, 743, 15, 87, "Input",ExpressionUUID->"20008c1c-5e82-4fee-8b36-e24c68c35c6d",
   CellTags->"b:5.1.1"],
  Cell[249092, 6237, 665, 23, 166, "Output",ExpressionUUID->"22d3ed08-b731-40be-b017-0cecd34683af",
   CellTags->"b:5.1.1"],
  Cell[249760, 6262, 308, 8, 48, "Output",ExpressionUUID->"85992195-a880-4a9f-8e0d-ee6ef8d661f9",
   CellTags->"b:5.1.1"],
  Cell[250105, 6275, 891, 21, 87, "Input",ExpressionUUID->"5ffea734-e6f2-492a-9720-9e3323c342eb",
   CellTags->"b:5.1.1"],
  Cell[250999, 6298, 750, 18, 49, "Output",ExpressionUUID->"ba1876c7-282f-486f-8f53-c828be7cdb4d",
   CellTags->"b:5.1.1"],
  Cell[251752, 6318, 471, 10, 48, "Output",ExpressionUUID->"cee13c70-677d-4979-ae71-75dca15ce580",
   CellTags->"b:5.1.1"],
  Cell[252238, 6331, 230, 4, 23, "Text",ExpressionUUID->"58b90ae3-520b-42bd-a163-881b7e3a52ae",
   CellTags->"b:5.1.1"],
  Cell[254081, 6391, 826, 16, 48, "Input",ExpressionUUID->"52bf331e-bbc9-4428-8078-82bb981237fe",
   CellTags->"b:5.1.1"]},
 "c:6"->{
  Cell[254944, 6412, 173, 4, 60, "Subsection",ExpressionUUID->"ebdd1f3e-2aba-4fcb-ae0d-77b9ae5f4753",
   CellTags->{"c:6", "b:5.1.2"}]},
 "b:5.1.2"->{
  Cell[254944, 6412, 173, 4, 60, "Subsection",ExpressionUUID->"ebdd1f3e-2aba-4fcb-ae0d-77b9ae5f4753",
   CellTags->{"c:6", "b:5.1.2"}],
  Cell[255120, 6418, 245, 4, 23, "Text",ExpressionUUID->"92b1a419-9aab-4138-9a4c-77a2aec043ac",
   CellTags->"b:5.1.2"],
  Cell[255368, 6424, 1361, 42, 155, "Text",ExpressionUUID->"50d4acb7-3470-4ba0-8fda-8127ac1c9a92",
   CellTags->"b:5.1.2"],
  Cell[256732, 6468, 262, 4, 23, "Text",ExpressionUUID->"9d8d67e4-4377-4767-a248-27e8b9e4edc6",
   CellTags->"b:5.1.2"],
  Cell[261381, 6621, 827, 15, 48, "Input",ExpressionUUID->"2fbd723d-9590-42aa-bd43-2c6f7e1c835e",
   CellTags->"b:5.1.2"],
  Cell[262211, 6638, 1061, 37, 138, "Output",ExpressionUUID->"1478533c-48c5-4de5-96d9-d6e4ad854855",
   CellTags->"b:5.1.2"],
  Cell[265048, 6740, 832, 19, 51, "Input",ExpressionUUID->"9c636e0d-c715-41c1-9313-fe6501402c9f",
   CellTags->"b:5.1.2"],
  Cell[266899, 6798, 466, 10, 24, "Text",ExpressionUUID->"90709f22-a35d-4654-9b34-7661d3f8132c",
   CellTags->"b:5.1.2"],
  Cell[267368, 6810, 400, 11, 23, "Text",ExpressionUUID->"1b8f1496-a93a-42ea-8c9e-da07bb8d2562",
   CellTags->"b:5.1.2"],
  Cell[267771, 6823, 443, 11, 48, "Input",ExpressionUUID->"e7fbb07e-507e-4529-b95e-50f22881a34b",
   CellTags->"b:5.1.2"],
  Cell[268217, 6836, 214, 3, 23, "Text",ExpressionUUID->"004fb12f-1753-4a61-b34a-dd14f0bdde66",
   CellTags->"b:5.1.2"],
  Cell[272320, 6957, 469, 13, 51, "Input",ExpressionUUID->"fe37c2e0-003c-4628-af68-8f46c6874c7a",
   CellTags->"b:5.1.2"],
  Cell[272792, 6972, 415, 8, 28, "Message",ExpressionUUID->"c2dbff69-4875-41b9-b8d8-a9184596e8f0",
   CellTags->"b:5.1.2"],
  Cell[273210, 6982, 415, 8, 28, "Message",ExpressionUUID->"3a55f978-5e84-4f49-a57a-10bd1c18d404",
   CellTags->"b:5.1.2"],
  Cell[273628, 6992, 415, 8, 28, "Message",ExpressionUUID->"87b6d598-dbbf-4fe8-acc8-a414fbba96a0",
   CellTags->"b:5.1.2"],
  Cell[274046, 7002, 432, 8, 28, "Message",ExpressionUUID->"eaddc168-1820-42a3-b8aa-d63a694824ff",
   CellTags->"b:5.1.2"],
  Cell[274481, 7012, 3595, 50, 110, "Message",ExpressionUUID->"f1e82873-5cf9-44a9-8168-7a728c99e372",
   CellTags->"b:5.1.2"],
  Cell[278079, 7064, 3598, 50, 130, "Message",ExpressionUUID->"05fa4cc9-f28a-4ac9-b520-dd5338dd0610",
   CellTags->"b:5.1.2"],
  Cell[281680, 7116, 3598, 50, 110, "Message",ExpressionUUID->"d8228fda-5c31-4b5a-96ad-13b79266b0dc",
   CellTags->"b:5.1.2"],
  Cell[285281, 7168, 421, 8, 28, "Message",ExpressionUUID->"5935333f-3465-4aef-81d2-10ac60e9b57d",
   CellTags->"b:5.1.2"],
  Cell[285705, 7178, 4514, 134, 212, "Output",ExpressionUUID->"c5a4c696-60ac-4d1d-9a91-bf5bceee3ef3",
   CellTags->"b:5.1.2"],
  Cell[290234, 7315, 258, 4, 23, "Text",ExpressionUUID->"b54621e8-2505-4047-bdc3-bef345f79117",
   CellTags->"b:5.1.2"],
  Cell[290517, 7323, 1140, 33, 117, "Input",ExpressionUUID->"62c77637-3bd8-4b84-857d-04c7490fb8e9",
   CellTags->"b:5.1.2"],
  Cell[291660, 7358, 747, 27, 186, "Output",ExpressionUUID->"a012ca0f-86cc-4b3a-b80c-35b389b30caa",
   CellTags->"b:5.1.2"],
  Cell[292410, 7387, 450, 12, 67, "Output",ExpressionUUID->"2b0db14e-0a84-4adf-bd7f-fe9ea742e59f",
   CellTags->"b:5.1.2"],
  Cell[292863, 7401, 1042, 27, 182, "Output",ExpressionUUID->"c602d931-2955-4483-b101-98658cdbac3d",
   CellTags->"b:5.1.2"]},
 "c:7"->{
  Cell[293954, 7434, 180, 4, 60, "Subsection",ExpressionUUID->"3f6bd59f-a0b2-4145-b76b-1a78f690e030",
   CellTags->{"c:7", "b:5.1.3"}]},
 "b:5.1.3"->{
  Cell[293954, 7434, 180, 4, 60, "Subsection",ExpressionUUID->"3f6bd59f-a0b2-4145-b76b-1a78f690e030",
   CellTags->{"c:7", "b:5.1.3"}],
  Cell[294137, 7440, 703, 15, 39, "Text",ExpressionUUID->"58b13c8b-e530-4a78-abeb-f3b57b5f2b66",
   CellTags->"b:5.1.3"],
  Cell[294865, 7459, 1373, 41, 87, "Input",ExpressionUUID->"5dc07b85-abd9-47ca-b111-869484ba5bc1",
   CellTags->"b:5.1.3"],
  Cell[296241, 7502, 2073, 47, 302, "Output",ExpressionUUID->"41c4ae71-0356-4f0f-9bde-ad3b25228f8d",
   CellTags->"b:5.1.3"],
  Cell[298317, 7551, 601, 17, 77, "Output",ExpressionUUID->"0114a097-4843-45ac-b244-ca9971ef83bc",
   CellTags->"b:5.1.3"],
  Cell[298921, 7570, 675, 19, 98, "Output",ExpressionUUID->"36b78c80-731d-40cf-a9a5-eed10159ca08",
   CellTags->"b:5.1.3"],
  Cell[299611, 7592, 442, 14, 23, "Text",ExpressionUUID->"e399ee9c-246b-409e-8935-d9cae4a85ce2",
   CellTags->"b:5.1.3"],
  Cell[300078, 7610, 516, 11, 125, "Input",ExpressionUUID->"9555a556-40bb-42af-82be-89e6ad4ab852",
   CellTags->"b:5.1.3"],
  Cell[300597, 7623, 212, 5, 61, "Output",ExpressionUUID->"944e2909-a777-45f3-a500-43eab24e0f4b",
   CellTags->"b:5.1.3"],
  Cell[300812, 7630, 209, 5, 61, "Output",ExpressionUUID->"28e7269a-6171-4fa4-a08f-77a4ac1d6c47",
   CellTags->"b:5.1.3"],
  Cell[301024, 7637, 209, 5, 61, "Output",ExpressionUUID->"412a3936-99ec-466b-9909-7d29ccbefb97",
   CellTags->"b:5.1.3"],
  Cell[301236, 7644, 209, 5, 61, "Output",ExpressionUUID->"290bd8e5-8eb4-462c-a0e6-748706b74bfe",
   CellTags->"b:5.1.3"],
  Cell[301448, 7651, 209, 5, 48, "Output",ExpressionUUID->"dc029475-99c2-40b0-87f3-c3a0f4a0fd62",
   CellTags->"b:5.1.3"],
  Cell[301660, 7658, 246, 4, 23, "Text",ExpressionUUID->"45732038-1ac3-43c8-b7be-e3cbe8c98726",
   CellTags->"b:5.1.3"],
  Cell[301931, 7666, 1615, 45, 48, "Input",ExpressionUUID->"0e9f8e45-2a6c-4531-aa32-a55f0f8b3fa7",
   CellTags->"b:5.1.3"],
  Cell[303549, 7713, 1018, 26, 203, "Output",ExpressionUUID->"77c2a206-4105-420b-a0d6-c5e7e7abb4cc",
   CellTags->"b:5.1.3"],
  Cell[304604, 7744, 200, 3, 68, "Input",ExpressionUUID->"5a352f21-2510-4ca2-b35a-093a1b3f372d",
   CellTags->"b:5.1.3"],
  Cell[304807, 7749, 209, 5, 61, "Output",ExpressionUUID->"96b879aa-00ca-4373-a3c5-54e5f2020eac",
   CellTags->"b:5.1.3"],
  Cell[305019, 7756, 230, 6, 63, "Output",ExpressionUUID->"42324035-3fe0-4cad-8d7d-d88dd4e18ae4",
   CellTags->"b:5.1.3"],
  Cell[305276, 7766, 387, 6, 39, "Text",ExpressionUUID->"f1e793e8-7599-4ff8-9cb9-21310cca2aa4",
   CellTags->"b:5.1.3"],
  Cell[305688, 7776, 208, 5, 48, "Input",ExpressionUUID->"acadd389-ca24-4dcb-bc92-3a292220ded4",
   CellTags->"b:5.1.3"],
  Cell[305899, 7783, 651, 19, 93, "Output",ExpressionUUID->"7266f767-0d05-454f-9472-cd7f0d96b30d",
   CellTags->"b:5.1.3"],
  Cell[306587, 7807, 208, 5, 48, "Input",ExpressionUUID->"e97f580e-858a-4827-9076-63038238c148",
   CellTags->"b:5.1.3"],
  Cell[306798, 7814, 651, 19, 93, "Output",ExpressionUUID->"ccf7cddb-734c-4c28-ab7a-faa6c5997923",
   CellTags->"b:5.1.3"],
  Cell[307486, 7838, 208, 5, 48, "Input",ExpressionUUID->"850941cc-0899-42cf-a2ff-cd1c9a85da78",
   CellTags->"b:5.1.3"],
  Cell[307697, 7845, 603, 17, 77, "Output",ExpressionUUID->"61fd413a-71ec-4736-8588-5aa4f094bf11",
   CellTags->"b:5.1.3"]},
 "c:8"->{
  Cell[308349, 7868, 173, 4, 60, "Subsection",ExpressionUUID->"e002d84f-c684-4417-930d-cde2cb35ba06",
   CellTags->{"c:8", "b:5.1.4"}]},
 "b:5.1.4"->{
  Cell[308349, 7868, 173, 4, 60, "Subsection",ExpressionUUID->"e002d84f-c684-4417-930d-cde2cb35ba06",
   CellTags->{"c:8", "b:5.1.4"}],
  Cell[308525, 7874, 675, 17, 26, "Text",ExpressionUUID->"9876425c-5f1e-4d2b-a683-063baef294f2",
   CellTags->"b:5.1.4"],
  Cell[310808, 7950, 302, 5, 106, "Input",ExpressionUUID->"9ce26e42-5b95-4d68-a6fd-84d0f8381ac5",
   CellTags->"b:5.1.4"],
  Cell[311113, 7957, 603, 17, 77, "Output",ExpressionUUID->"1bb25c4e-9a10-4cbf-82c6-3b43d7235069",
   CellTags->"b:5.1.4"],
  Cell[311719, 7976, 603, 17, 77, "Output",ExpressionUUID->"23f945f9-1629-4e6d-9c03-036aa14eb33e",
   CellTags->"b:5.1.4"],
  Cell[312325, 7995, 647, 18, 77, "Output",ExpressionUUID->"5c8139f7-9960-4ed7-82ef-bb0375c0e9bb",
   CellTags->"b:5.1.4"],
  Cell[312975, 8015, 625, 18, 64, "Output",ExpressionUUID->"f53c4294-31dd-483d-9670-eb8b5537adaa",
   CellTags->"b:5.1.4"],
  Cell[313615, 8036, 202, 3, 23, "Text",ExpressionUUID->"bb521634-3995-4627-9b27-17fe77e06940",
   CellTags->"b:5.1.4"],
  Cell[313842, 8043, 298, 5, 106, "Input",ExpressionUUID->"f393ecfc-e7a4-4e1d-87eb-a6f24c8e14bb",
   CellTags->"b:5.1.4"],
  Cell[314143, 8050, 603, 17, 77, "Output",ExpressionUUID->"6783de5f-07e5-409a-8dd1-8b246ff308d0",
   CellTags->"b:5.1.4"],
  Cell[314749, 8069, 603, 17, 77, "Output",ExpressionUUID->"685260c0-b0ab-4136-b024-b8209994ec90",
   CellTags->"b:5.1.4"],
  Cell[315355, 8088, 647, 18, 77, "Output",ExpressionUUID->"bc9c064f-afae-4a8f-b3d9-6e0a4f60d172",
   CellTags->"b:5.1.4"],
  Cell[316005, 8108, 623, 18, 64, "Output",ExpressionUUID->"7a8379c0-1bad-4039-bcd3-6f3fbb94bdfd",
   CellTags->"b:5.1.4"],
  Cell[316643, 8129, 619, 19, 23, "Text",ExpressionUUID->"a207610d-6312-474b-834e-78bae7e7e92a",
   CellTags->"b:5.1.4"],
  Cell[317287, 8152, 2511, 65, 112, "Input",ExpressionUUID->"d9d0130d-f350-4f64-b40a-a70abf2dd86b",
   CellTags->"b:5.1.4"],
  Cell[319801, 8219, 7455, 213, 143, "Output",ExpressionUUID->"baf3cf6c-6d63-4ff7-9b42-d859214959e5",
   CellTags->"b:5.1.4"],
  Cell[327259, 8434, 209, 5, 48, "Output",ExpressionUUID->"78d113f9-44be-4132-a6a7-be3ef70cbb6d",
   CellTags->"b:5.1.4"],
  Cell[327471, 8441, 1991, 68, 35, "Text",ExpressionUUID->"6c8fbb00-81b2-43d0-9728-032090d26e5c",
   CellTags->"b:5.1.4"],
  Cell[329477, 8512, 692, 18, 39, "Text",ExpressionUUID->"5883202c-c130-4a27-83a6-2b1c1338e89f",
   CellTags->"b:5.1.4"],
  Cell[362531, 9338, 420, 11, 87, "Input",ExpressionUUID->"be6caa0b-6b30-4387-abce-dace27b3dd09",
   CellTags->"b:5.1.4"],
  Cell[362954, 9351, 901, 24, 77, "Output",ExpressionUUID->"c333bba1-f814-4aec-bd5d-0c0a6dac53ae",
   CellTags->"b:5.1.4"],
  Cell[363858, 9377, 211, 5, 61, "Output",ExpressionUUID->"c223ea21-074d-4a3a-91a2-6b0fb34ca22f",
   CellTags->"b:5.1.4"],
  Cell[364072, 9384, 227, 5, 48, "Output",ExpressionUUID->"bc6c0aa2-6945-46c4-9eba-e95fcc17014e",
   CellTags->"b:5.1.4"],
  Cell[364324, 9393, 374, 8, 87, "Input",ExpressionUUID->"de850a57-3826-4d28-bd15-b3fd7a739323",
   CellTags->"b:5.1.4"],
  Cell[364701, 9403, 2292, 52, 111, "Output",ExpressionUUID->"c63466de-b6a1-476d-8d8a-8e4be91c7455",
   CellTags->"b:5.1.4"],
  Cell[366996, 9457, 213, 5, 61, "Output",ExpressionUUID->"23bf9a50-b278-4822-a687-7f55ec907bc9",
   CellTags->"b:5.1.4"],
  Cell[367212, 9464, 226, 5, 48, "Output",ExpressionUUID->"c8f15f6d-1e68-47b1-9af0-4e1b6ec40be8",
   CellTags->"b:5.1.4"],
  Cell[367465, 9473, 431, 6, 39, "Text",ExpressionUUID->"a42c41b3-34bd-47b5-9483-e238cdf3be4f",
   CellTags->"b:5.1.4"],
  Cell[367921, 9483, 542, 13, 89, "Input",ExpressionUUID->"d921c944-9ec4-47e2-9a01-e7ba7e5351c3",
   CellTags->"b:5.1.4"],
  Cell[368466, 9498, 898, 22, 77, "Output",ExpressionUUID->"0e149ce7-5afd-4cf6-90f0-1bc4f40cf23d",
   CellTags->"b:5.1.4"],
  Cell[369367, 9522, 211, 5, 61, "Output",ExpressionUUID->"4218e37b-5fcd-4e90-8329-48427b405dc3",
   CellTags->"b:5.1.4"],
  Cell[369581, 9529, 227, 5, 48, "Output",ExpressionUUID->"4150359c-3dca-4cbf-b5f9-1d854ae3d710",
   CellTags->"b:5.1.4"],
  Cell[369823, 9537, 485, 13, 24, "Text",ExpressionUUID->"4b43de55-5bbd-410c-a1e7-b72a1bb1fac9",
   CellTags->"b:5.1.4"],
  Cell[370333, 9554, 719, 17, 106, "Input",ExpressionUUID->"36ff7949-c261-4e77-a0e4-8b1555c70aa6",
   CellTags->"b:5.1.4"],
  Cell[371055, 9573, 212, 5, 61, "Output",ExpressionUUID->"d0a4433f-0e84-4db1-94e8-9c5a61a80a4d",
   CellTags->"b:5.1.4"],
  Cell[371270, 9580, 211, 5, 61, "Output",ExpressionUUID->"faea0313-50c7-4db3-92d9-a97372d78be9",
   CellTags->"b:5.1.4"],
  Cell[371484, 9587, 227, 5, 48, "Output",ExpressionUUID->"7ce5e00a-bb5f-4851-902e-4cd0ada6f49a",
   CellTags->"b:5.1.4"],
  Cell[371726, 9595, 219, 3, 23, "Text",ExpressionUUID->"f583e549-a9c5-46b9-9ed7-61924636b31d",
   CellTags->"b:5.1.4"],
  Cell[371970, 9602, 378, 7, 125, "Input",ExpressionUUID->"7304b8da-2152-427e-890d-5761bc210772",
   CellTags->"b:5.1.4"],
  Cell[372351, 9611, 844, 23, 77, "Output",ExpressionUUID->"64567af2-63fd-4f96-8672-efdfc1801fdc",
   CellTags->"b:5.1.4"],
  Cell[373198, 9636, 620, 15, 61, "Output",ExpressionUUID->"e473a8e3-72c9-491c-ade3-c46675fa3217",
   CellTags->"b:5.1.4"],
  Cell[373821, 9653, 835, 22, 62, "Output",ExpressionUUID->"a89fbcc2-0c6c-4696-b9e2-539edd4e291b",
   CellTags->"b:5.1.4"],
  Cell[374659, 9677, 630, 15, 48, "Output",ExpressionUUID->"a410e635-35d6-4f05-ba38-2822b12a3357",
   CellTags->"b:5.1.4"],
  Cell[384457, 9929, 1351, 42, 52, "Text",ExpressionUUID->"5b3e8ab6-2b84-4dd9-950b-a37e46a31ff7",
   CellTags->"b:5.1.4"],
  Cell[385833, 9975, 272, 6, 48, "Input",ExpressionUUID->"16979d3e-fc3a-4d77-8172-4e2ea2e9bf36",
   CellTags->"b:5.1.4"],
  Cell[386108, 9983, 1777, 53, 103, "Output",ExpressionUUID->"0ddaa3f8-220a-4177-9777-dbbe24a689d6",
   CellTags->"b:5.1.4"],
  Cell[387900, 10039, 124, 2, 24, "Text",ExpressionUUID->"5ba22849-132a-4339-9c9d-e0dd3efd4c3a",
   CellTags->"b:5.1.4"],
  Cell[388049, 10045, 396, 10, 48, "Input",ExpressionUUID->"ecdcda9b-3b8b-4688-9360-af26828f26b2",
   CellTags->"b:5.1.4"],
  Cell[388448, 10057, 821, 23, 77, "Output",ExpressionUUID->"577660b5-c8a4-433d-9260-6bbd51a12a04",
   CellTags->"b:5.1.4"],
  Cell[389306, 10085, 265, 6, 48, "Input",ExpressionUUID->"ffeaec99-3b7e-4f6a-9998-beac7b057f0e",
   CellTags->"b:5.1.4"],
  Cell[389574, 10093, 860, 24, 97, "Output",ExpressionUUID->"128aa85f-9c1f-4144-a8a2-c457cdb2e41c",
   CellTags->"b:5.1.4"],
  Cell[390471, 10122, 194, 4, 48, "Input",ExpressionUUID->"c8fb8a81-100b-4a60-bf07-739bb597bae2",
   CellTags->"b:5.1.4"],
  Cell[390668, 10128, 625, 18, 77, "Output",ExpressionUUID->"89849f56-ec8a-45be-a53e-5eb436e3f93e",
   CellTags->"b:5.1.4"],
  Cell[391308, 10149, 490, 15, 26, "Text",ExpressionUUID->"aef0dd58-9096-42f2-9175-88f3d62be1e9",
   CellTags->"b:5.1.4"],
  Cell[391823, 10168, 412, 11, 48, "Input",ExpressionUUID->"d7e93c56-0f95-4286-bb08-4a7c37783cd9",
   CellTags->"b:5.1.4"],
  Cell[392238, 10181, 849, 25, 81, "Output",ExpressionUUID->"a7195d3c-055c-42fb-b71e-d17ebebb5ce0",
   CellTags->"b:5.1.4"],
  Cell[393102, 10209, 370, 6, 23, "Text",ExpressionUUID->"7f4dc226-804d-4b66-be91-537b1961314f",
   CellTags->"b:5.1.4"]},
 "Quantum Gates"->{
  Cell[393521, 10221, 153, 4, 51, "Section",ExpressionUUID->"79eb7e0d-d69a-4eb4-8d53-7e1036397872",
   CellTags->{"Quantum Gates", "c:9"}]},
 "c:9"->{
  Cell[393521, 10221, 153, 4, 51, "Section",ExpressionUUID->"79eb7e0d-d69a-4eb4-8d53-7e1036397872",
   CellTags->{"Quantum Gates", "c:9"}]},
 "c:10"->{
  Cell[394414, 10251, 243, 5, 60, "Subsection",ExpressionUUID->"3b8a2bb5-ff2f-4bf6-9d40-254a22d08d0c",
   CellTags->{"c:10", "b:5.2.0"}]},
 "b:5.2.0"->{
  Cell[394414, 10251, 243, 5, 60, "Subsection",ExpressionUUID->"3b8a2bb5-ff2f-4bf6-9d40-254a22d08d0c",
   CellTags->{"c:10", "b:5.2.0"}],
  Cell[394660, 10258, 1618, 47, 109, "Text",ExpressionUUID->"21d34541-9400-4045-8a72-6da0b07d0b39",
   CellTags->"b:5.2.0"],
  Cell[396303, 10309, 191, 4, 48, "Input",ExpressionUUID->"fb1dd838-a105-4ad7-8567-e2ed2c157cf7",
   CellTags->"b:5.2.0"],
  Cell[396497, 10315, 793, 26, 97, "Output",ExpressionUUID->"7516b5e7-3fdb-49c4-a883-354aab5c7d94",
   CellTags->"b:5.2.0"],
  Cell[397293, 10343, 186, 3, 23, "Text",ExpressionUUID->"3e70e7fa-5367-4a4a-8949-b467f999ecfc",
   CellTags->"b:5.2.0"],
  Cell[397504, 10350, 120, 1, 48, "Input",ExpressionUUID->"2ca1e2cf-c6e2-40a7-9bca-6c631d0726a1",
   CellTags->"b:5.2.0"],
  Cell[397627, 10353, 795, 26, 97, "Output",ExpressionUUID->"d9941d92-05da-4ad5-919d-c92d910ad8ad",
   CellTags->"b:5.2.0"],
  Cell[398437, 10382, 225, 4, 23, "Text",ExpressionUUID->"8a36829f-e821-4072-8c0c-70156b8a007b",
   CellTags->"b:5.2.0"],
  Cell[398687, 10390, 446, 8, 48, "Input",ExpressionUUID->"78732149-17d8-4631-a68b-713d355aace4",
   CellTags->"b:5.2.0"],
  Cell[399136, 10400, 1711, 59, 259, "Output",ExpressionUUID->"afac517c-8eee-4057-a305-bd81226040fb",
   CellTags->"b:5.2.0"],
  Cell[400850, 10461, 190, 3, 23, "Text",ExpressionUUID->"271753b8-03a5-4b63-91cd-24d73aed3b60",
   CellTags->"b:5.2.0"],
  Cell[401065, 10468, 520, 9, 48, "Input",ExpressionUUID->"9f128a3a-c371-4e5b-8878-d0a7140e2cca",
   CellTags->"b:5.2.0"],
  Cell[401588, 10479, 1713, 59, 259, "Output",ExpressionUUID->"2cf1d5b9-4bcc-470f-a786-c3ce1b86f1f6",
   CellTags->"b:5.2.0"],
  Cell[403340, 10543, 519, 7, 39, "Text",ExpressionUUID->"11f4fbcd-1820-4cc2-81b7-50ec38293571",
   CellTags->"b:5.2.0"],
  Cell[403984, 10558, 998, 23, 106, "Input",ExpressionUUID->"de6a3ad7-b903-4f74-862f-3428e9789319",
   CellTags->"b:5.2.0"],
  Cell[404985, 10583, 943, 23, 179, "Output",ExpressionUUID->"d3dc97b4-ebfe-4bd9-8510-0d2b7a1d2485",
   CellTags->"b:5.2.0"],
  Cell[405931, 10608, 1043, 27, 195, "Output",ExpressionUUID->"8cf95725-d1ed-4666-920c-a438369d4617",
   CellTags->"b:5.2.0"],
  Cell[406977, 10637, 701, 21, 93, "Output",ExpressionUUID->"078ff31e-37c3-48b9-902a-8d78207b2b58",
   CellTags->"b:5.2.0"],
  Cell[407681, 10660, 603, 17, 64, "Output",ExpressionUUID->"1753506e-efe6-47b5-8dee-1377ac0e99e1",
   CellTags->"b:5.2.0"],
  Cell[408299, 10680, 484, 15, 23, "Text",ExpressionUUID->"7220ecdd-f52b-413e-8c3e-245c07d413f6",
   CellTags->"b:5.2.0"],
  Cell[408808, 10699, 254, 6, 48, "Input",ExpressionUUID->"b58aadf2-51ad-4506-ad2f-65f04d6c97dd",
   CellTags->{"i:2", "b:5.2.0"}],
  Cell[409065, 10707, 2555, 88, 243, "Output",ExpressionUUID->"6106d4bd-9a0c-49fe-8d9e-fee1626db340",
   CellTags->{"i:2", "b:5.2.0"}],
  Cell[411635, 10798, 241, 4, 23, "Text",ExpressionUUID->"b6f93c53-5fa4-4613-aafd-f6610f2ad2aa",
   CellTags->"b:5.2.0"],
  Cell[411901, 10806, 481, 13, 87, "Input",ExpressionUUID->"d09533fe-e14d-4342-b193-457ebd473c5c",
   CellTags->"b:5.2.0"],
  Cell[412385, 10821, 675, 21, 97, "Output",ExpressionUUID->"17736115-2589-4f05-839b-c1a4f816c82b",
   CellTags->"b:5.2.0"],
  Cell[413063, 10844, 593, 17, 77, "Output",ExpressionUUID->"a3efda42-e675-4df5-930d-f15891e8d2f6",
   CellTags->"b:5.2.0"],
  Cell[413659, 10863, 699, 22, 84, "Output",ExpressionUUID->"a1f1c5ac-8a87-4659-bcff-a7f588fd6642",
   CellTags->"b:5.2.0"],
  Cell[414373, 10888, 293, 4, 23, "Text",ExpressionUUID->"e25379e1-9e7c-4a09-b9e0-07ef35e890f6",
   CellTags->"b:5.2.0"],
  Cell[414691, 10896, 547, 12, 68, "Input",ExpressionUUID->"7f2ac3fc-6ca7-4899-be65-64ce9cdf8855",
   CellTags->"b:5.2.0"],
  Cell[415241, 10910, 895, 26, 97, "Output",ExpressionUUID->"4a2eecf0-7f6a-4750-aa68-4c8530958496",
   CellTags->"b:5.2.0"],
  Cell[416139, 10938, 1043, 31, 82, "Output",ExpressionUUID->"578f9bc9-f88a-449d-b0cd-4ccf674deacd",
   CellTags->"b:5.2.0"],
  Cell[417197, 10972, 1107, 31, 32, "Text",ExpressionUUID->"e5c79b00-4108-4617-99b6-9f2cef9d3f3b",
   CellTags->"b:5.2.0"],
  Cell[418329, 11007, 291, 5, 68, "Input",ExpressionUUID->"5c6a6c0d-aa0f-4695-8ec5-b393cda61f9a",
   CellTags->"b:5.2.0"],
  Cell[418623, 11014, 725, 21, 97, "Output",ExpressionUUID->"dfa7b5bf-b965-4c80-976e-79e6add881c1",
   CellTags->"b:5.2.0"],
  Cell[419351, 11037, 503, 13, 62, "Output",ExpressionUUID->"ae0d1bad-4a15-4bab-9f83-96406f4d69f4",
   CellTags->"b:5.2.0"],
  Cell[419869, 11053, 324, 11, 24, "Text",ExpressionUUID->"777e14bf-744f-4df1-9e1a-97ebd55d440f",
   CellTags->"b:5.2.0"],
  Cell[420218, 11068, 468, 9, 106, "Input",ExpressionUUID->"d2f214d6-1e26-44ea-ab21-4767f6b4ed50",
   CellTags->"b:5.2.0"],
  Cell[420689, 11079, 893, 26, 97, "Output",ExpressionUUID->"e7342b2b-8eb2-423e-812b-46d10b39aef9",
   CellTags->"b:5.2.0"],
  Cell[421585, 11107, 503, 13, 75, "Output",ExpressionUUID->"732742a8-009a-4bc1-8b8e-42a9e6dbfed2",
   CellTags->"b:5.2.0"],
  Cell[422091, 11122, 677, 21, 97, "Output",ExpressionUUID->"9c041ff2-8b09-497d-96b6-05c5306af622",
   CellTags->"b:5.2.0"],
  Cell[422771, 11145, 441, 11, 67, "Output",ExpressionUUID->"424e34d3-4da3-4530-95b8-49538b3fb6bd",
   CellTags->"b:5.2.0"]},
 "i:2"->{
  Cell[408808, 10699, 254, 6, 48, "Input",ExpressionUUID->"b58aadf2-51ad-4506-ad2f-65f04d6c97dd",
   CellTags->{"i:2", "b:5.2.0"}],
  Cell[409065, 10707, 2555, 88, 243, "Output",ExpressionUUID->"6106d4bd-9a0c-49fe-8d9e-fee1626db340",
   CellTags->{"i:2", "b:5.2.0"}]},
 "i:1"->{
  Cell[423249, 11161, 238, 6, 60, "Subsection",ExpressionUUID->"3ec222cb-b3e3-4075-a2cf-ef8e16a6aab0",
   CellTags->{"i:1", "c:11", "b:5.2.1"}],
  Cell[428957, 11335, 236, 6, 60, "Subsection",ExpressionUUID->"1fd4b4f5-b172-42fe-9fdd-13e6d8cc8dc9",
   CellTags->{"i:1", "c:12", "b:5.2.2"}],
  Cell[440365, 11654, 234, 6, 60, "Subsection",ExpressionUUID->"db729578-f277-471a-a54f-c3583e9de071",
   CellTags->{"i:1", "c:13", "b:5.2.3"}]},
 "c:11"->{
  Cell[423249, 11161, 238, 6, 60, "Subsection",ExpressionUUID->"3ec222cb-b3e3-4075-a2cf-ef8e16a6aab0",
   CellTags->{"i:1", "c:11", "b:5.2.1"}]},
 "b:5.2.1"->{
  Cell[423249, 11161, 238, 6, 60, "Subsection",ExpressionUUID->"3ec222cb-b3e3-4075-a2cf-ef8e16a6aab0",
   CellTags->{"i:1", "c:11", "b:5.2.1"}],
  Cell[423490, 11169, 827, 20, 40, "Text",ExpressionUUID->"9e52f50e-c086-44a1-a640-04cdd410d549",
   CellTags->"b:5.2.1"],
  Cell[424342, 11193, 167, 3, 48, "Input",ExpressionUUID->"111f2419-4a68-40ed-a11a-ac995340f263",
   CellTags->"b:5.2.1"],
  Cell[424512, 11198, 675, 19, 111, "Output",ExpressionUUID->"ef5a7996-fbbf-4c02-ad18-00c9a0d50862",
   CellTags->"b:5.2.1"],
  Cell[425202, 11220, 389, 11, 23, "Text",ExpressionUUID->"830419cd-ce74-4a00-ae41-c7d7c1da738e",
   CellTags->"b:5.2.1"],
  Cell[425616, 11235, 615, 14, 48, "Input",ExpressionUUID->"69797ecf-4681-49ec-bab9-8b1ba224fbca",
   CellTags->"b:5.2.1"],
  Cell[426234, 11251, 675, 19, 111, "Output",ExpressionUUID->"1a3449b9-13d6-4a90-9bcd-a8e7a3f6b561",
   CellTags->"b:5.2.1"],
  Cell[426924, 11273, 277, 4, 23, "Text",ExpressionUUID->"fa9cc76d-fc9c-416e-8e7b-5193177ed77a",
   CellTags->"b:5.2.1"],
  Cell[427226, 11281, 409, 8, 48, "Input",ExpressionUUID->"e03e3f37-97b4-4ad3-a1f4-4597367d76bf",
   CellTags->"b:5.2.1"],
  Cell[427638, 11291, 675, 19, 111, "Output",ExpressionUUID->"d729be9e-2e4b-4351-92f6-172deeae9762",
   CellTags->"b:5.2.1"],
  Cell[428328, 11313, 403, 11, 23, "Text",ExpressionUUID->"a14ecf1c-3a51-4e71-9f2d-7cd23dc04bca",
   CellTags->"b:5.2.1"],
  Cell[428734, 11326, 186, 4, 48, "Input",ExpressionUUID->"6f2a4fba-3f59-4a3c-8704-6e9435b9bae5",
   CellTags->"b:5.2.1"]},
 "c:12"->{
  Cell[428957, 11335, 236, 6, 60, "Subsection",ExpressionUUID->"1fd4b4f5-b172-42fe-9fdd-13e6d8cc8dc9",
   CellTags->{"i:1", "c:12", "b:5.2.2"}]},
 "b:5.2.2"->{
  Cell[428957, 11335, 236, 6, 60, "Subsection",ExpressionUUID->"1fd4b4f5-b172-42fe-9fdd-13e6d8cc8dc9",
   CellTags->{"i:1", "c:12", "b:5.2.2"}],
  Cell[429196, 11343, 248, 4, 23, "Text",ExpressionUUID->"aa581654-866a-4a5e-8e70-53b121737eb0",
   CellTags->"b:5.2.2"],
  Cell[429447, 11349, 285, 6, 23, "Text",ExpressionUUID->"2f2166a0-f446-4562-94a4-9535d937ab5b",
   CellTags->"b:5.2.2"],
  Cell[429735, 11357, 389, 6, 51, "Text",ExpressionUUID->"cc7d302e-c6bf-46c5-be27-c2a87a94fca6",
   CellTags->"b:5.2.2"],
  Cell[430149, 11367, 264, 5, 68, "Input",ExpressionUUID->"f84469da-52c7-4320-b674-142a84bb1594",
   CellTags->"b:5.2.2"],
  Cell[430416, 11374, 697, 20, 111, "Output",ExpressionUUID->"fd2c9343-bc1c-4a7f-b89a-95bd2af54ecb",
   CellTags->"b:5.2.2"],
  Cell[431116, 11396, 697, 20, 98, "Output",ExpressionUUID->"b3315d6c-54eb-4880-929b-5f37a37b3c1e",
   CellTags->"b:5.2.2"],
  Cell[431828, 11419, 365, 10, 23, "Text",ExpressionUUID->"3287e6cb-1af1-4f97-bc57-288cd1a94717",
   CellTags->"b:5.2.2"],
  Cell[432218, 11433, 169, 3, 48, "Input",ExpressionUUID->"b3e6940d-8dd9-4b95-9cf9-86ee0968bd88",
   CellTags->"b:5.2.2"],
  Cell[432390, 11438, 986, 25, 179, "Output",ExpressionUUID->"67bddaa8-1add-4c48-8e7e-e0332c9654e3",
   CellTags->"b:5.2.2"],
  Cell[433391, 11466, 321, 5, 23, "Text",ExpressionUUID->"5f248246-16b7-4fd5-b2e7-07b706bea8a8",
   CellTags->"b:5.2.2"],
  Cell[433715, 11473, 226, 4, 23, "Text",ExpressionUUID->"9edabae5-4798-412f-899b-9ee7bf6238f6",
   CellTags->"b:5.2.2"],
  Cell[433944, 11479, 487, 9, 23, "Text",ExpressionUUID->"a1bee995-2a7b-404a-bda8-6944290b188a",
   CellTags->"b:5.2.2"],
  Cell[434434, 11490, 209, 3, 23, "Text",ExpressionUUID->"052104f8-a527-4e15-8f3f-931e663f6be1",
   CellTags->"b:5.2.2"],
  Cell[434668, 11497, 497, 11, 87, "Input",ExpressionUUID->"3a7345dd-7b91-4d5b-8595-e16cd99f352d",
   CellTags->"b:5.2.2"],
  Cell[435168, 11510, 690, 22, 111, "Output",ExpressionUUID->"062d905a-4091-4724-9184-8caa0ad35cb0",
   CellTags->"b:5.2.2"],
  Cell[435861, 11534, 529, 11, 61, "Output",ExpressionUUID->"8cab9b79-62e6-4700-82ac-3911229040f4",
   CellTags->"b:5.2.2"],
  Cell[436393, 11547, 514, 11, 48, "Output",ExpressionUUID->"d7bd2274-3c58-4db9-a740-34c0a10cb7d6",
   CellTags->"b:5.2.2"],
  Cell[436922, 11561, 377, 6, 39, "Text",ExpressionUUID->"aca4519c-0528-4b01-8522-294f2c146a92",
   CellTags->"b:5.2.2"],
  Cell[437324, 11571, 592, 14, 87, "Input",ExpressionUUID->"a85195dc-a481-4da7-b140-f9a0f30d9117",
   CellTags->"b:5.2.2"],
  Cell[437919, 11587, 767, 27, 179, "Output",ExpressionUUID->"33b86928-4c82-4997-9da9-43c5f1e3d168",
   CellTags->"b:5.2.2"],
  Cell[438689, 11616, 828, 15, 61, "Output",ExpressionUUID->"969e08e8-675d-4180-966f-8e15a640091c",
   CellTags->"b:5.2.2"],
  Cell[439520, 11633, 796, 15, 48, "Output",ExpressionUUID->"b891e856-233d-4736-bd3a-cc8f268171ed",
   CellTags->"b:5.2.2"]},
 "c:13"->{
  Cell[440365, 11654, 234, 6, 60, "Subsection",ExpressionUUID->"db729578-f277-471a-a54f-c3583e9de071",
   CellTags->{"i:1", "c:13", "b:5.2.3"}]},
 "b:5.2.3"->{
  Cell[440365, 11654, 234, 6, 60, "Subsection",ExpressionUUID->"db729578-f277-471a-a54f-c3583e9de071",
   CellTags->{"i:1", "c:13", "b:5.2.3"}],
  Cell[440602, 11662, 331, 5, 23, "Text",ExpressionUUID->"d663d676-1208-4992-9c5d-20681cb44ecc",
   CellTags->"b:5.2.3"],
  Cell[440936, 11669, 2167, 70, 117, "Text",ExpressionUUID->"0cc74252-dd08-4e20-adb1-f6c2b088f45e",
   CellTags->"b:5.2.3"],
  Cell[443128, 11743, 188, 3, 48, "Input",ExpressionUUID->"4e55cb70-851b-41da-8da5-9cf8d08a88b7",
   CellTags->"b:5.2.3"],
  Cell[443319, 11748, 942, 23, 179, "Output",ExpressionUUID->"ab963742-7aad-4028-a766-2877f789e631",
   CellTags->"b:5.2.3"],
  Cell[444276, 11774, 1076, 32, 55, "Text",ExpressionUUID->"04b7c6b4-9458-4267-8733-aa086c03db3f",
   CellTags->"b:5.2.3"]},
 "Measurement"->{
  Cell[445389, 11811, 151, 4, 51, "Section",ExpressionUUID->"c82b4218-6bb4-4b60-a2e7-5df41191c753",
   CellTags->{"Measurement", "c:14"}],
  Cell[492344, 13049, 330, 12, 143, "Section",ExpressionUUID->"8ab1358a-8478-41a6-b5e3-ad93c9f5d483",
   CellTags->{"Measurement", "c:18"}]},
 "c:14"->{
  Cell[445389, 11811, 151, 4, 51, "Section",ExpressionUUID->"c82b4218-6bb4-4b60-a2e7-5df41191c753",
   CellTags->{"Measurement", "c:14"}]},
 "Measurements"->{
  Cell[445565, 11819, 275, 7, 60, "Subsection",ExpressionUUID->"48149862-ef22-41e7-93d6-bfb5d0ce7e17",
   CellTags->{"Measurements", "c:15", "b:5.3.0"}],
  Cell[460337, 12261, 286, 7, 60, "Subsection",ExpressionUUID->"70479d26-ab83-4850-bd32-ce75f0c84217",
   CellTags->{"Measurements", "MeasureKet", "c:16", "b:5.3.1"}]},
 "c:15"->{
  Cell[445565, 11819, 275, 7, 60, "Subsection",ExpressionUUID->"48149862-ef22-41e7-93d6-bfb5d0ce7e17",
   CellTags->{"Measurements", "c:15", "b:5.3.0"}]},
 "b:5.3.0"->{
  Cell[445565, 11819, 275, 7, 60, "Subsection",ExpressionUUID->"48149862-ef22-41e7-93d6-bfb5d0ce7e17",
   CellTags->{"Measurements", "c:15", "b:5.3.0"}],
  Cell[445843, 11828, 353, 6, 23, "Text",ExpressionUUID->"2816430a-954d-4c61-aab3-51dd3bafa67c",
   CellTags->"b:5.3.0"],
  Cell[446199, 11836, 405, 9, 24, "Text",ExpressionUUID->"566540e1-28cc-43d5-87eb-4b298a1533bc",
   CellTags->"b:5.3.0"],
  Cell[446629, 11849, 1216, 28, 68, "Input",ExpressionUUID->"67a1fa17-3485-4865-9b54-02f1e423a8ae",
   CellTags->"b:5.3.0"],
  Cell[447848, 11879, 3617, 103, 379, "Output",ExpressionUUID->"200b6f77-37e1-4940-ac93-83384e1415b7",
   CellTags->"b:5.3.0"],
  Cell[451480, 11985, 266, 4, 23, "Text",ExpressionUUID->"999d4618-05a8-4373-9df2-8e8e85453d8b",
   CellTags->"b:5.3.0"],
  Cell[451749, 11991, 645, 13, 51, "Input",ExpressionUUID->"ff6a1bb1-e743-4045-9d55-f6ba2653ee9b",
   CellTags->"b:5.3.0"],
  Cell[452397, 12006, 288, 4, 23, "Text",ExpressionUUID->"278467c6-d5bb-4572-917c-2628806c82e9",
   CellTags->"b:5.3.0"],
  Cell[452688, 12012, 584, 17, 51, "Input",ExpressionUUID->"1a94353a-3be5-49fb-bf3c-23e152b054d7",
   CellTags->"b:5.3.0"],
  Cell[453275, 12031, 287, 4, 23, "Text",ExpressionUUID->"dee65f8a-eb04-41aa-8978-a5eaffb823b6",
   CellTags->"b:5.3.0"],
  Cell[453587, 12039, 278, 6, 68, "Input",ExpressionUUID->"5d2d7897-97aa-4b89-8eae-2741b23dae43",
   CellTags->"b:5.3.0"],
  Cell[453868, 12047, 777, 23, 127, "Output",ExpressionUUID->"bf4c65ac-67c4-4457-a4b5-bd521620eff6",
   CellTags->"b:5.3.0"],
  Cell[454648, 12072, 209, 5, 48, "Output",ExpressionUUID->"cf242102-b090-4175-8081-23e227ff445b",
   CellTags->"b:5.3.0"],
  Cell[454872, 12080, 242, 4, 23, "Text",ExpressionUUID->"928f5fd9-a8c9-41f4-b3c2-88b053227f2a",
   CellTags->"b:5.3.0"],
  Cell[455139, 12088, 426, 9, 87, "Input",ExpressionUUID->"2b676d7b-6edb-4231-baa9-b4bf91f599da",
   CellTags->"b:5.3.0"],
  Cell[455568, 12099, 4147, 135, 143, "Output",ExpressionUUID->"494c38e6-845e-4180-af27-fe6c61747223",
   CellTags->"b:5.3.0"],
  Cell[459718, 12236, 570, 19, 63, "Output",ExpressionUUID->"23e0c09c-6bca-4f41-93b0-55980d2d287a",
   CellTags->"b:5.3.0"]},
 "MeasureKet"->{
  Cell[460337, 12261, 286, 7, 60, "Subsection",ExpressionUUID->"70479d26-ab83-4850-bd32-ce75f0c84217",
   CellTags->{"Measurements", "MeasureKet", "c:16", "b:5.3.1"}]},
 "c:16"->{
  Cell[460337, 12261, 286, 7, 60, "Subsection",ExpressionUUID->"70479d26-ab83-4850-bd32-ce75f0c84217",
   CellTags->{"Measurements", "MeasureKet", "c:16", "b:5.3.1"}]},
 "b:5.3.1"->{
  Cell[460337, 12261, 286, 7, 60, "Subsection",ExpressionUUID->"70479d26-ab83-4850-bd32-ce75f0c84217",
   CellTags->{"Measurements", "MeasureKet", "c:16", "b:5.3.1"}],
  Cell[460626, 12270, 228, 4, 23, "Text",ExpressionUUID->"9e61b50b-6dea-4ecb-aa77-c2544809899d",
   CellTags->"b:5.3.1"],
  Cell[460879, 12278, 1312, 31, 87, "Input",ExpressionUUID->"6ba76487-b585-4841-9826-5bb3cca17491",
   CellTags->"b:5.3.1"],
  Cell[462194, 12311, 1332, 38, 122, "Output",ExpressionUUID->"3b9f30be-562e-43e0-9118-9fa7ead5b8b2",
   CellTags->"b:5.3.1"],
  Cell[463541, 12352, 250, 4, 23, "Text",ExpressionUUID->"628fb2d2-be47-473f-a70d-81078dd62ee5",
   CellTags->"b:5.3.1"],
  Cell[463794, 12358, 328, 5, 23, "Text",ExpressionUUID->"9d55f567-3318-4f35-848d-d735afc66345",
   CellTags->"b:5.3.1"],
  Cell[464125, 12365, 364, 10, 48, "Input",ExpressionUUID->"00c6272a-2fd1-4e5d-8307-1f450a5b1e4f",
   CellTags->"b:5.3.1"],
  Cell[464492, 12377, 291, 4, 23, "Text",ExpressionUUID->"e586a089-5638-47ec-8708-6b9fc5d48125",
   CellTags->"b:5.3.1"],
  Cell[464808, 12385, 310, 6, 68, "Input",ExpressionUUID->"a94ef1a4-577f-473e-b147-bbc11edc09ee",
   CellTags->"b:5.3.1"],
  Cell[465121, 12393, 699, 23, 131, "Output",ExpressionUUID->"df79f86f-d964-4bbe-9208-ba4b2143b9ec",
   CellTags->"b:5.3.1"],
  Cell[465823, 12418, 442, 11, 67, "Output",ExpressionUUID->"ee8c2228-3b8e-4783-a1f2-3ae4c24d7f39",
   CellTags->"b:5.3.1"],
  Cell[467751, 12484, 226, 4, 23, "Text",ExpressionUUID->"cf1e8a5e-8ffc-43c2-90f4-a3adda1affac",
   CellTags->"b:5.3.1"],
  Cell[468076, 12494, 512, 11, 48, "Input",ExpressionUUID->"7b4bfac0-16da-4e59-8b2a-beb3e7103759",
   CellTags->"b:5.3.1"],
  Cell[468591, 12507, 777, 23, 127, "Output",ExpressionUUID->"f4dc2ffa-320e-4f58-89fa-bbb3be5882af",
   CellTags->"b:5.3.1"],
  Cell[469405, 12535, 144, 2, 48, "Input",ExpressionUUID->"f3988208-0d6f-4c5c-a41d-bb58e0e8418c",
   CellTags->"b:5.3.1"],
  Cell[469552, 12539, 211, 5, 61, "Output",ExpressionUUID->"a87b0844-86f8-4f12-a2ff-503b4900dba1",
   CellTags->"b:5.3.1"],
  Cell[469778, 12547, 226, 4, 23, "Text",ExpressionUUID->"376f6129-e561-450b-9fa7-dd62d4983ca8",
   CellTags->"b:5.3.1"]},
 "c:17"->{
  Cell[470029, 12555, 269, 6, 60, "Subsection",ExpressionUUID->"c0691dd5-70e3-45cb-bfe7-63a49fcc8e08",
   CellTags->{"c:17", "b:5.3.2"}]},
 "b:5.3.2"->{
  Cell[470029, 12555, 269, 6, 60, "Subsection",ExpressionUUID->"c0691dd5-70e3-45cb-bfe7-63a49fcc8e08",
   CellTags->{"c:17", "b:5.3.2"}],
  Cell[470323, 12565, 305, 7, 68, "Input",ExpressionUUID->"e9438193-f3cd-49dd-9366-1da2b6978d4d",
   CellTags->"b:5.3.2"],
  Cell[470631, 12574, 11004, 184, 204, "Output",ExpressionUUID->"42ffd681-f1e1-45fc-97d5-c16db69754d6",
   CellTags->"b:5.3.2"],
  Cell[481650, 12761, 257, 4, 23, "Text",ExpressionUUID->"3e015c7a-2282-4518-9f4e-b62c3c56465c",
   CellTags->"b:5.3.2"],
  Cell[481910, 12767, 1397, 33, 106, "Input",ExpressionUUID->"0aa3778e-df37-473e-b6ff-1c2fe77a5de8",
   CellTags->"b:5.3.2"],
  Cell[483310, 12802, 278, 4, 51, "Text",ExpressionUUID->"4c3460d4-bc16-4b29-96af-a294ac328f87",
   CellTags->"b:5.3.2"],
  Cell[483591, 12808, 696, 14, 51, "Input",ExpressionUUID->"7faeaa7a-bd54-4523-bb9e-3d779be849b3",
   CellTags->"b:5.3.2"],
  Cell[484290, 12824, 320, 8, 23, "Text",ExpressionUUID->"a6454d57-bb94-401b-8ebf-b9d17da003ea",
   CellTags->"b:5.3.2"],
  Cell[484613, 12834, 288, 4, 23, "Text",ExpressionUUID->"080de2e9-59b4-4011-9b6f-a82d9d43c4f4",
   CellTags->"b:5.3.2"],
  Cell[484904, 12840, 724, 20, 51, "Input",ExpressionUUID->"dbc104f5-674f-40b2-bfda-59c85030094d",
   CellTags->"b:5.3.2"],
  Cell[485631, 12862, 337, 5, 51, "Text",ExpressionUUID->"0ce8fdad-b50e-4f11-bbef-88405cfba147",
   CellTags->"b:5.3.2"],
  Cell[485993, 12871, 246, 4, 48, "Input",ExpressionUUID->"f2944d51-59ad-46ea-8a85-e4992ffa2894",
   CellTags->"b:5.3.2"],
  Cell[486242, 12877, 892, 22, 77, "Output",ExpressionUUID->"f0de6b2e-f099-4a7b-b8c2-fb8c11941fa8",
   CellTags->"b:5.3.2"],
  Cell[487149, 12902, 517, 7, 107, "Text",ExpressionUUID->"321f7973-2e16-42bd-ae03-0ce155bb7bf4",
   CellTags->"b:5.3.2"],
  Cell[487669, 12911, 198, 3, 23, "Text",ExpressionUUID->"f612049d-977f-49b3-a45c-4b688b71dcc1",
   CellTags->"b:5.3.2"],
  Cell[487870, 12916, 714, 22, 29, "Text",ExpressionUUID->"10179c0e-7432-40e3-bb78-83b0a31fd4fa",
   CellTags->"b:5.3.2"],
  Cell[488587, 12940, 488, 13, 48, "Input",ExpressionUUID->"582507e6-b764-41e4-b1f7-20db575df6ff",
   CellTags->"b:5.3.2"],
  Cell[489078, 12955, 524, 12, 48, "Input",ExpressionUUID->"5548f9d8-bf18-47b7-9455-e76e448a5dfc",
   CellTags->"b:5.3.2"],
  Cell[489627, 12971, 217, 4, 48, "Input",ExpressionUUID->"f978e812-6723-466d-87ae-ea3a754e5453",
   CellTags->"b:5.3.2"],
  Cell[489847, 12977, 891, 22, 77, "Output",ExpressionUUID->"99337ece-9f76-49ca-951b-14797b03c3d9",
   CellTags->"b:5.3.2"],
  Cell[490775, 13004, 318, 8, 48, "Input",ExpressionUUID->"f0536d56-2b58-461e-bf67-65849f212871",
   CellTags->"b:5.3.2"],
  Cell[491096, 13014, 894, 22, 77, "Output",ExpressionUUID->"5e704365-8077-4f2d-ba55-8f9dbed3bf7c",
   CellTags->"b:5.3.2"],
  Cell[492005, 13039, 302, 5, 23, "Text",ExpressionUUID->"fec5ece3-79a7-4fb2-866a-c4d9940fa3e4",
   CellTags->"b:5.3.2"]},
 "c:18"->{
  Cell[492344, 13049, 330, 12, 143, "Section",ExpressionUUID->"8ab1358a-8478-41a6-b5e3-ad93c9f5d483",
   CellTags->{"Measurement", "c:18"}]},
 "c:19"->{
  Cell[492699, 13065, 216, 5, 60, "Subsection",ExpressionUUID->"5f0f62cb-a48c-44c2-a0c1-64822ed15ebd",
   CellTags->{"c:19", "b:5.4.0"}]},
 "b:5.4.0"->{
  Cell[492699, 13065, 216, 5, 60, "Subsection",ExpressionUUID->"5f0f62cb-a48c-44c2-a0c1-64822ed15ebd",
   CellTags->{"c:19", "b:5.4.0"}],
  Cell[492918, 13072, 250, 4, 23, "Text",ExpressionUUID->"395b809f-21d1-49f0-9ca4-e7ba7ded3073",
   CellTags->"b:5.4.0"],
  Cell[493171, 13078, 921, 28, 54, "Text",ExpressionUUID->"40a5dfe6-5cc6-4215-98c6-1d04d7f59eac",
   CellTags->"b:5.4.0"],
  Cell[494095, 13108, 435, 13, 24, "Text",ExpressionUUID->"236549de-4931-4f1b-ba10-61bc2c577b0c",
   CellTags->"b:5.4.0"],
  Cell[494555, 13125, 725, 22, 87, "Input",ExpressionUUID->"291daca9-dda6-4a9e-ab8b-c9740e9a895a",
   CellTags->"b:5.4.0"],
  Cell[495283, 13149, 601, 17, 77, "Output",ExpressionUUID->"2f24b510-2640-4694-ba1f-d784d2bcc522",
   CellTags->"b:5.4.0"],
  Cell[495887, 13168, 701, 21, 93, "Output",ExpressionUUID->"1b7a1d36-2950-49a4-8fdb-637f8ea95ec0",
   CellTags->"b:5.4.0"],
  Cell[496591, 13191, 701, 21, 80, "Output",ExpressionUUID->"506abc93-276e-44a0-8e68-77f32a8ee61b",
   CellTags->"b:5.4.0"],
  Cell[497307, 13215, 193, 3, 23, "Text",ExpressionUUID->"67207627-2f0c-406c-b343-e25a4bc1b165",
   CellTags->"b:5.4.0"],
  Cell[497525, 13222, 402, 6, 106, "Input",ExpressionUUID->"a69a5db7-046a-439d-bb46-0500284c8016",
   CellTags->"b:5.4.0"],
  Cell[497930, 13230, 209, 5, 61, "Output",ExpressionUUID->"ca18d638-7a44-40da-9727-30ef1aea0947",
   CellTags->"b:5.4.0"],
  Cell[498142, 13237, 209, 5, 61, "Output",ExpressionUUID->"a5645442-f0be-4a69-b66c-24ca6bda84b4",
   CellTags->"b:5.4.0"],
  Cell[498354, 13244, 938, 33, 89, "Output",ExpressionUUID->"274108c1-e962-47f0-8354-a5a0b32d7d80",
   CellTags->"b:5.4.0"],
  Cell[499295, 13279, 227, 5, 48, "Output",ExpressionUUID->"d10c2ae5-7ac1-4a99-ab44-82866cb6f6eb",
   CellTags->"b:5.4.0"],
  Cell[499537, 13287, 188, 3, 23, "Text",ExpressionUUID->"478401cb-e45b-428f-9508-08f86388db67",
   CellTags->"b:5.4.0"],
  Cell[499750, 13294, 1171, 34, 106, "Input",ExpressionUUID->"c48a78c6-3e68-4fa5-b697-3e70dd5eb0a4",
   CellTags->"b:5.4.0"],
  Cell[500924, 13330, 8249, 156, 265, "Output",ExpressionUUID->"aad75c94-1dfd-49d3-86ba-32d4e3962220",
   CellTags->"b:5.4.0"],
  Cell[509188, 13489, 303, 9, 24, "Text",ExpressionUUID->"10138523-4deb-49d7-9c76-15ea9d989f37",
   CellTags->"b:5.4.0"]},
 "c:20"->{
  Cell[509528, 13503, 163, 4, 60, "Subsection",ExpressionUUID->"f979be27-0704-40de-afdf-6e8631738630",
   CellTags->{"c:20", "b:5.4.1"}]},
 "b:5.4.1"->{
  Cell[509528, 13503, 163, 4, 60, "Subsection",ExpressionUUID->"f979be27-0704-40de-afdf-6e8631738630",
   CellTags->{"c:20", "b:5.4.1"}],
  Cell[509694, 13509, 762, 24, 27, "Text",ExpressionUUID->"45eb75c7-8247-4d1d-a05b-52bde54e3732",
   CellTags->"b:5.4.1"],
  Cell[510481, 13537, 210, 3, 68, "Input",ExpressionUUID->"fcd07c6b-f88a-4b52-b771-b18f9971b2ca",
   CellTags->"b:5.4.1"],
  Cell[510694, 13542, 2301, 54, 111, "Output",ExpressionUUID->"9fac3bba-da72-4df4-9b9f-c8761f792acc",
   CellTags->"b:5.4.1"],
  Cell[512998, 13598, 2273, 48, 98, "Output",ExpressionUUID->"3a5b64e2-2124-48b5-a010-76be6eab2065",
   CellTags->"b:5.4.1"],
  Cell[515286, 13649, 185, 3, 23, "Text",ExpressionUUID->"61664aa1-f868-4d5d-bfe3-67fceecfd076",
   CellTags->"b:5.4.1"],
  Cell[515496, 13656, 268, 5, 68, "Input",ExpressionUUID->"6e39e1c2-fa1e-4284-9aab-25db674b079e",
   CellTags->"b:5.4.1"],
  Cell[515767, 13663, 265, 5, 61, "Output",ExpressionUUID->"86c18965-a4f7-4942-8640-6bcee8960191",
   CellTags->"b:5.4.1"],
  Cell[516035, 13670, 266, 5, 48, "Output",ExpressionUUID->"a78b8359-c376-4434-94c9-d531ec35f73e",
   CellTags->"b:5.4.1"],
  Cell[516316, 13678, 216, 3, 23, "Text",ExpressionUUID->"1c653ae3-b73b-4912-8c4a-891b163e00b1",
   CellTags->"b:5.4.1"],
  Cell[516557, 13685, 171, 3, 48, "Input",ExpressionUUID->"ee9dbcfd-fab9-43b2-b79b-ba5b272f93c1",
   CellTags->"b:5.4.1"],
  Cell[516731, 13690, 267, 5, 61, "Output",ExpressionUUID->"00516be7-3832-4926-8865-062673238aea",
   CellTags->"b:5.4.1"],
  Cell[517013, 13698, 246, 4, 23, "Text",ExpressionUUID->"a20007e0-bbb4-416a-a317-e519136a297b",
   CellTags->"b:5.4.1"],
  Cell[517284, 13706, 921, 28, 87, "Input",ExpressionUUID->"b37f063a-7d87-427d-b91a-a7b40398f509",
   CellTags->"b:5.4.1"],
  Cell[518208, 13736, 5790, 116, 276, "Output",ExpressionUUID->"fa0884b4-d7c5-43a8-b366-f1a2c077af9a",
   CellTags->"b:5.4.1"],
  Cell[524035, 13857, 1001, 30, 88, "Input",ExpressionUUID->"4c83cb73-df5a-4dd1-98cd-8cc3f153d670",
   CellTags->"b:5.4.1"],
  Cell[525039, 13889, 19437, 340, 263, "Output",ExpressionUUID->"084171cc-8356-47c6-ac1b-520b44ace50c",
   CellTags->"b:5.4.1"]},
 "b:5.4.2"->{
  Cell[544525, 14235, 163, 4, 60, "Subsection",ExpressionUUID->"c8b432ac-6320-4763-ba39-de59a338d0eb",
   CellTags->{"c:4", "b:5.4.2"}],
  Cell[544691, 14241, 241, 5, 23, "Text",ExpressionUUID->"42b49268-40e8-4486-8de7-b35e5f2a4cf4",
   CellTags->"b:5.4.2"],
  Cell[544935, 14248, 647, 16, 51, "Input",ExpressionUUID->"6e9c1643-e131-48d6-8dbc-0a14cc66f7d0",
   CellTags->"b:5.4.2"],
  Cell[545585, 14266, 170, 2, 23, "Text",ExpressionUUID->"2fca55f4-03be-4480-a7e6-94e1ca13eace",
   CellTags->"b:5.4.2"],
  Cell[545780, 14272, 306, 7, 68, "Input",ExpressionUUID->"2ffca6fc-29dc-4eaf-a8a8-9d30cdd82fd4",
   CellTags->"b:5.4.2"],
  Cell[546089, 14281, 11962, 200, 248, "Output",ExpressionUUID->"8f70f3da-71a1-44f2-9d75-6159d934158a",
   CellTags->"b:5.4.2"],
  Cell[558066, 14484, 139, 2, 48, "Input",ExpressionUUID->"9eb453f5-665a-4621-8980-ff07d0c5225d",
   CellTags->"b:5.4.2"],
  Cell[558208, 14488, 478, 13, 46, "Input",ExpressionUUID->"cbeb23a3-8bfa-4f43-bf39-79c671512a43",
   CellTags->"b:5.4.2"],
  Cell[558689, 14503, 440, 10, 24, "Text",ExpressionUUID->"576ace89-37a4-4bd7-8bff-7f7837420809",
   CellTags->"b:5.4.2"],
  Cell[559132, 14515, 691, 22, 49, "Input",ExpressionUUID->"6032b055-ac56-4b3b-a5f7-2920d36a2e62",
   CellTags->"b:5.4.2"],
  Cell[559826, 14539, 154, 2, 23, "Text",ExpressionUUID->"79081e4b-7eaa-4e6b-832a-26e3e0fb8fba",
   CellTags->"b:5.4.2"],
  Cell[560005, 14545, 235, 7, 51, "Input",ExpressionUUID->"a6838ef1-adc2-47d5-9d68-288d482f42ac",
   CellTags->"b:5.4.2"],
  Cell[560243, 14554, 1043, 27, 195, "Output",ExpressionUUID->"c2e90b95-fe87-4cb1-ae7a-d2f6c2cd447f",
   CellTags->"b:5.4.2"],
  Cell[561323, 14586, 396, 13, 73, "Input",ExpressionUUID->"7e0911fc-e1a6-4024-94e9-e47aa0c60cf3",
   CellTags->"b:5.4.2"],
  Cell[561722, 14601, 1043, 27, 195, "Output",ExpressionUUID->"f6d9de7d-4b29-4198-88f4-f050e8fbc2a3",
   CellTags->"b:5.4.2"],
  Cell[562768, 14630, 1091, 29, 182, "Output",ExpressionUUID->"a9199bcf-702a-4f98-8501-1f9eb7c57df6",
   CellTags->"b:5.4.2"],
  Cell[563896, 14664, 396, 13, 73, "Input",ExpressionUUID->"40e938ec-f65a-4667-8bdd-11bd01ae7fad",
   CellTags->"b:5.4.2"],
  Cell[564295, 14679, 1043, 27, 195, "Output",ExpressionUUID->"a3c86268-99e0-4935-af41-4dc1509d1930",
   CellTags->"b:5.4.2"],
  Cell[565341, 14708, 1089, 29, 182, "Output",ExpressionUUID->"2a6ac14f-41c7-4edc-95e5-7209268611a2",
   CellTags->"b:5.4.2"],
  Cell[566467, 14742, 396, 13, 73, "Input",ExpressionUUID->"df9eef15-2468-4560-b414-76e76700c8cb",
   CellTags->"b:5.4.2"],
  Cell[566866, 14757, 1043, 27, 195, "Output",ExpressionUUID->"36969d4b-2cfb-4184-9d90-5ee75ccac03b",
   CellTags->"b:5.4.2"],
  Cell[567912, 14786, 1089, 29, 182, "Output",ExpressionUUID->"58e50e34-222e-40fe-9c9c-aff167e08b3e",
   CellTags->"b:5.4.2"],
  Cell[569016, 14818, 390, 9, 163, "Text",ExpressionUUID->"f921bcf0-b84d-4c8a-882f-260f2b1d8b26",
   CellTags->"b:5.4.2"],
  Cell[569431, 14831, 323, 11, 51, "Input",ExpressionUUID->"c1dbe519-f835-40cf-b7f1-aa64513d16db",
   CellTags->"b:5.4.2"],
  Cell[569757, 14844, 1041, 27, 195, "Output",ExpressionUUID->"e899e32c-8a57-416a-9b28-c255eaafefa8",
   CellTags->"b:5.4.2"],
  Cell[570835, 14876, 5644, 218, 286, "Input",ExpressionUUID->"98a92d90-851a-4b8c-a813-9681d2033efa",
   CellTags->"b:5.4.2"],
  Cell[576482, 15096, 654, 20, 93, "Output",ExpressionUUID->"49d9e3a7-faf2-431b-9edb-d7503e21461b",
   CellTags->"b:5.4.2"],
  Cell[577139, 15118, 654, 20, 93, "Output",ExpressionUUID->"7e967d74-349c-4f28-9c65-e8c3214f2073",
   CellTags->"b:5.4.2"],
  Cell[577796, 15140, 656, 20, 93, "Output",ExpressionUUID->"0373387b-3bf4-4769-af9b-6076d772dc48",
   CellTags->"b:5.4.2"],
  Cell[578455, 15162, 635, 18, 93, "Output",ExpressionUUID->"ebc8d634-4abf-45af-977b-aaf8fdc5fb64",
   CellTags->"b:5.4.2"],
  Cell[579093, 15182, 633, 18, 93, "Output",ExpressionUUID->"09936a55-971c-427d-a270-ffa52733e406",
   CellTags->"b:5.4.2"],
  Cell[579729, 15202, 633, 18, 93, "Output",ExpressionUUID->"f5a5fa5c-a748-4232-8595-5e35cf85f223",
   CellTags->"b:5.4.2"],
  Cell[580365, 15222, 2097, 58, 82, "Output",ExpressionUUID->"81c6e844-dd7d-47c3-8194-ac4b224844db",
   CellTags->"b:5.4.2"],
  Cell[582499, 15285, 430, 9, 106, "Input",ExpressionUUID->"f9437c43-d67e-4be6-97a3-761d0f218956",
   CellTags->"b:5.4.2"],
  Cell[582932, 15296, 211, 5, 61, "Output",ExpressionUUID->"d8e1693b-e147-4030-87bc-ed0efa9a22b5",
   CellTags->"b:5.4.2"],
  Cell[583146, 15303, 229, 6, 61, "Output",ExpressionUUID->"1608e46d-3622-4b2f-b461-d4e83364a5a6",
   CellTags->"b:5.4.2"],
  Cell[583378, 15311, 227, 6, 61, "Output",ExpressionUUID->"49f2a1c2-e75a-465d-b33f-9076d3751994",
   CellTags->"b:5.4.2"],
  Cell[583608, 15319, 227, 6, 48, "Output",ExpressionUUID->"c11e070e-1ff1-4ebb-bf16-7766f4a031a6",
   CellTags->"b:5.4.2"],
  Cell[583850, 15328, 157, 2, 23, "Text",ExpressionUUID->"89992f2a-cf53-4f68-b343-5f8351f63970",
   CellTags->"b:5.4.2"],
  Cell[584032, 15334, 916, 24, 76, "Input",ExpressionUUID->"ea82437f-704b-43e9-80df-ede6fd8d8c9d",
   CellTags->"b:5.4.2"],
  Cell[584951, 15360, 1045, 27, 195, "Output",ExpressionUUID->"20f14fde-ae44-40bc-b814-b36ef3a60ad8",
   CellTags->"b:5.4.2"],
  Cell[586011, 15390, 174, 2, 23, "Text",ExpressionUUID->"8890aa59-ce77-468b-a76b-92eefb92be39",
   CellTags->"b:5.4.2"],
  Cell[586210, 15396, 1290, 38, 68, "Input",ExpressionUUID->"fde3b300-002b-4262-97ce-43bee856f30d",
   CellTags->"b:5.4.2"],
  Cell[587503, 15436, 1043, 27, 195, "Output",ExpressionUUID->"05d50360-e485-4b5a-bd70-85a693b79f24",
   CellTags->"b:5.4.2"],
  Cell[588561, 15466, 218, 3, 23, "Text",ExpressionUUID->"2b7fb276-47a2-4be2-8958-11454f654f33",
   CellTags->"b:5.4.2"],
  Cell[588804, 15473, 287, 6, 48, "Input",ExpressionUUID->"cd0a7d94-8db4-4f5d-bbe4-74e29df5f0c8",
   CellTags->"b:5.4.2"],
  Cell[589094, 15481, 209, 5, 61, "Output",ExpressionUUID->"c21ce8f2-0fa0-42f0-847b-e177874dd315",
   CellTags->"b:5.4.2"],
  Cell[589318, 15489, 267, 5, 51, "Text",ExpressionUUID->"e133a870-bd5d-46dc-aa5e-1903722d4be2",
   CellTags->"b:5.4.2"],
  Cell[589588, 15496, 523, 17, 48, "Input",ExpressionUUID->"ce983511-1c72-4276-a510-f2fdfc19830b",
   CellTags->"b:5.4.2"],
  Cell[590136, 15517, 190, 4, 48, "Input",ExpressionUUID->"33ac49c5-5158-42d8-8783-3b5ae1f35e12",
   CellTags->"b:5.4.2"],
  Cell[590329, 15523, 725, 21, 127, "Output",ExpressionUUID->"c9552fac-200f-4c4f-abf6-761d62103105",
   CellTags->"b:5.4.2"],
  Cell[591091, 15549, 3643, 126, 334, "Input",ExpressionUUID->"ac1d4664-9223-4b38-9a55-f87abb9aaf0b",
   CellTags->"b:5.4.2"],
  Cell[594737, 15677, 725, 21, 127, "Output",ExpressionUUID->"cb902386-91a1-4b22-b6a6-01ae6dfeb9ae",
   CellTags->"b:5.4.2"],
  Cell[595465, 15700, 209, 5, 61, "Output",ExpressionUUID->"d4522870-c06e-4351-a664-f040a8720997",
   CellTags->"b:5.4.2"],
  Cell[595677, 15707, 209, 5, 61, "Output",ExpressionUUID->"4052e241-81f2-4299-ad1c-07f0ed908b67",
   CellTags->"b:5.4.2"],
  Cell[595889, 15714, 209, 5, 61, "Output",ExpressionUUID->"a71ca167-7b81-4857-9d08-7063415cd57e",
   CellTags->"b:5.4.2"],
  Cell[596101, 15721, 209, 5, 61, "Output",ExpressionUUID->"d892d626-4400-42cf-bc61-fe44a335116d",
   CellTags->"b:5.4.2"],
  Cell[596313, 15728, 209, 5, 61, "Output",ExpressionUUID->"5f60f953-930d-45f2-a6c2-f13c0e1eb712",
   CellTags->"b:5.4.2"],
  Cell[596525, 15735, 209, 5, 61, "Output",ExpressionUUID->"224fbb10-17de-48b2-97e0-a76d819a8875",
   CellTags->"b:5.4.2"],
  Cell[596737, 15742, 209, 5, 61, "Output",ExpressionUUID->"e43424b6-b774-4526-9e91-26a5f9b98bf5",
   CellTags->"b:5.4.2"],
  Cell[596949, 15749, 209, 5, 61, "Output",ExpressionUUID->"5a5a9d08-058a-4d27-9508-09af09d14615",
   CellTags->"b:5.4.2"],
  Cell[597161, 15756, 209, 5, 61, "Output",ExpressionUUID->"2162e3eb-e241-451e-af67-695a671cd6c0",
   CellTags->"b:5.4.2"],
  Cell[597373, 15763, 209, 5, 61, "Output",ExpressionUUID->"b6e8b8d2-ef27-4c81-aab2-1b58b0f2292c",
   CellTags->"b:5.4.2"],
  Cell[597585, 15770, 207, 5, 61, "Output",ExpressionUUID->"3e97a2de-0d95-433a-ae55-69604ad10652",
   CellTags->"b:5.4.2"],
  Cell[597795, 15777, 209, 5, 61, "Output",ExpressionUUID->"026494a5-d9e2-4cb7-9240-ad0f90f11743",
   CellTags->"b:5.4.2"],
  Cell[598007, 15784, 209, 5, 61, "Output",ExpressionUUID->"6cf06337-1512-4768-9ee3-3547e944d586",
   CellTags->"b:5.4.2"],
  Cell[598219, 15791, 211, 5, 61, "Output",ExpressionUUID->"60b634cd-b241-499a-94bd-5a3b9522bb69",
   CellTags->"b:5.4.2"],
  Cell[598433, 15798, 209, 5, 48, "Output",ExpressionUUID->"09cc75b9-e4bb-4ec3-8e01-e3d433976613",
   CellTags->"b:5.4.2"],
  Cell[598657, 15806, 204, 3, 23, "Text",ExpressionUUID->"9a080f90-1335-48ff-bb63-c0e93d882a84",
   CellTags->"b:5.4.2"],
  Cell[598886, 15813, 258, 4, 48, "Input",ExpressionUUID->"f6039edc-d646-4c6a-9479-5b1614950c9d",
   CellTags->"b:5.4.2"],
  Cell[599147, 15819, 209, 5, 61, "Output",ExpressionUUID->"db22a958-e77d-4559-8bfd-eb03370d2255",
   CellTags->"b:5.4.2"],
  Cell[599371, 15827, 246, 6, 51, "Text",ExpressionUUID->"804dec5e-2ca1-496b-8eea-a721d1b5de72",
   CellTags->"b:5.4.2"],
  Cell[599620, 15835, 240, 5, 23, "Text",ExpressionUUID->"b765313e-12bf-4980-96c1-118de425ff69",
   CellTags->"b:5.4.2"],
  Cell[599885, 15844, 446, 13, 68, "Input",ExpressionUUID->"f65e9498-8be5-41d2-a4a8-303fb75d2c13",
   CellTags->"b:5.4.2"],
  Cell[600334, 15859, 653, 19, 93, "Output",ExpressionUUID->"326d7de8-1185-4355-85ff-6596ccaa82de",
   CellTags->"b:5.4.2"],
  Cell[600990, 15880, 211, 5, 48, "Output",ExpressionUUID->"eefaf5c2-fbaf-408b-bebf-0bc08f6ec7ea",
   CellTags->"b:5.4.2"],
  Cell[601238, 15890, 446, 13, 68, "Input",ExpressionUUID->"32865b2f-0bb7-40a3-8353-8c7faad7f760",
   CellTags->"b:5.4.2"],
  Cell[601687, 15905, 651, 19, 93, "Output",ExpressionUUID->"fa8e141a-3a65-41dd-ba5a-8e29a6e8d267",
   CellTags->"b:5.4.2"],
  Cell[602341, 15926, 209, 5, 48, "Output",ExpressionUUID->"7cff74a2-e707-4de1-9229-07ef817201ff",
   CellTags->"b:5.4.2"],
  Cell[602587, 15936, 448, 13, 68, "Input",ExpressionUUID->"0a213887-5064-4f2c-bc47-e5de4c7bab8b",
   CellTags->"b:5.4.2"],
  Cell[603038, 15951, 651, 19, 93, "Output",ExpressionUUID->"103cb6c4-f58f-483b-a6f4-6aae5a4f13d4",
   CellTags->"b:5.4.2"],
  Cell[603692, 15972, 211, 5, 48, "Output",ExpressionUUID->"37776f5d-f8a5-42fb-8a98-c3e0abc65955",
   CellTags->"b:5.4.2"]},
 "b:5.4.3"->{
  Cell[603952, 15983, 172, 4, 60, "Subsection",ExpressionUUID->"a8e6c1f1-58c3-4f66-916a-b2b2d3b94fea",
   CellTags->{"c:4", "b:5.4.3"}],
  Cell[604127, 15989, 230, 5, 23, "Text",ExpressionUUID->"e1fb5268-91af-40fe-b684-9b1cbf05015e",
   CellTags->"b:5.4.3"],
  Cell[604382, 15998, 582, 14, 56, "Subsubsection",ExpressionUUID->"24d272ee-54d7-44ad-8055-29c1b5f37ca6",
   CellTags->{"c:4", "b:5.4.3"}],
  Cell[604967, 16014, 556, 15, 40, "Text",ExpressionUUID->"f1d149f1-bfd2-496e-a774-4d30c2d0d9a8",
   CellTags->"b:5.4.3"],
  Cell[605526, 16031, 1361, 42, 155, "Text",ExpressionUUID->"1456e9d9-f578-4ed4-88d6-0ae376c64a9f",
   CellTags->"b:5.4.3"],
  Cell[606890, 16075, 262, 4, 23, "Text",ExpressionUUID->"4c047109-f64f-4198-aa7e-eddf2323dda5",
   CellTags->"b:5.4.3"],
  Cell[607177, 16083, 305, 8, 48, "Input",ExpressionUUID->"0fc1def3-e829-4999-9150-0e6d87f02984",
   CellTags->"b:5.4.3"],
  Cell[607485, 16093, 1059, 37, 151, "Output",ExpressionUUID->"3528821b-8750-4dc1-a7e2-71efdabacbff",
   CellTags->"b:5.4.3"],
  Cell[608559, 16133, 204, 3, 23, "Text",ExpressionUUID->"5692bb16-af23-4d78-bb92-fc2a4c0deac0",
   CellTags->"b:5.4.3"],
  Cell[608766, 16138, 766, 25, 51, "Input",ExpressionUUID->"6a22f747-04e6-4047-bc04-852432119ab7",
   CellTags->"b:5.4.3"],
  Cell[609557, 16167, 410, 11, 117, "Input",ExpressionUUID->"29552f73-d0d7-45b2-ad50-c7018e127d8a",
   CellTags->"b:5.4.3"],
  Cell[609970, 16180, 777, 23, 127, "Output",ExpressionUUID->"83ed5d2d-2c00-4015-b942-bb4e3757f123",
   CellTags->"b:5.4.3"],
  Cell[610750, 16205, 775, 23, 127, "Output",ExpressionUUID->"73093b27-6f4c-4173-b673-463e120315c6",
   CellTags->"b:5.4.3"],
  Cell[611528, 16230, 821, 25, 127, "Output",ExpressionUUID->"8b6ff0a1-013b-4282-8147-ca691b0ee230",
   CellTags->"b:5.4.3"],
  Cell[612352, 16257, 821, 25, 114, "Output",ExpressionUUID->"2c59adda-7bd0-4693-84dd-4d3b2bb2f879",
   CellTags->"b:5.4.3"],
  Cell[613188, 16285, 407, 6, 39, "Text",ExpressionUUID->"1959079c-7a32-4c3f-9191-306228aafe03",
   CellTags->"b:5.4.3"],
  Cell[613598, 16293, 1546, 49, 51, "Input",ExpressionUUID->"a964e49d-b25b-4c58-b203-86f36d9592d5",
   CellTags->"b:5.4.3"],
  Cell[615147, 16344, 237, 4, 23, "Text",ExpressionUUID->"a499a51a-61ab-43fa-a49d-b2025d911b56",
   CellTags->"b:5.4.3"],
  Cell[615409, 16352, 542, 17, 73, "Input",ExpressionUUID->"c0c47249-4937-4dc6-8a9d-ae3822d0d6f6",
   CellTags->"b:5.4.3"],
  Cell[615954, 16371, 2994, 98, 143, "Output",ExpressionUUID->"1baeeefe-53a5-49a8-bc9c-dc89bbfafb2c",
   CellTags->"b:5.4.3"],
  Cell[618951, 16471, 209, 5, 48, "Output",ExpressionUUID->"df203242-90f2-42c9-aa03-038522fe1019",
   CellTags->"b:5.4.3"],
  Cell[619175, 16479, 259, 4, 23, "Text",ExpressionUUID->"65e0c82e-4d25-4368-93aa-429a1afefc39",
   CellTags->"b:5.4.3"],
  Cell[619459, 16487, 782, 21, 117, "Input",ExpressionUUID->"6ca80f69-ffab-49be-a7e0-7fe68b8f5c2a",
   CellTags->"b:5.4.3"],
  Cell[620244, 16510, 985, 29, 143, "Output",ExpressionUUID->"c2a4aa0a-610e-4cc2-ba77-f21814ab614b",
   CellTags->"b:5.4.3"],
  Cell[621232, 16541, 985, 29, 143, "Output",ExpressionUUID->"c1a2d53b-bb17-4f3a-b30d-6c97aa673a15",
   CellTags->"b:5.4.3"],
  Cell[622220, 16572, 1031, 31, 143, "Output",ExpressionUUID->"bb79404c-fa1e-4e1d-84f3-6bed5a03d992",
   CellTags->"b:5.4.3"],
  Cell[623254, 16605, 1031, 31, 130, "Output",ExpressionUUID->"de126b45-fef7-4308-9e88-95b0de304e5f",
   CellTags->"b:5.4.3"],
  Cell[624300, 16639, 260, 4, 23, "Text",ExpressionUUID->"f7c0dd11-c77d-4bf5-b695-64ff5b15cfc8",
   CellTags->"b:5.4.3"],
  Cell[624585, 16647, 1548, 45, 117, "Input",ExpressionUUID->"908a72dc-1a00-43f4-8b09-b12b0d97e4ba",
   CellTags->"b:5.4.3"],
  Cell[626136, 16694, 1009, 32, 143, "Output",ExpressionUUID->"6d8bfd00-daae-4e4c-a050-bc6af4592528",
   CellTags->"b:5.4.3"],
  Cell[627148, 16728, 1009, 32, 143, "Output",ExpressionUUID->"b03696b2-5976-4579-9c50-cf9b5537e4a4",
   CellTags->"b:5.4.3"],
  Cell[628160, 16762, 1009, 32, 143, "Output",ExpressionUUID->"5781a5b5-e04b-4180-b9c2-7b86d66232f1",
   CellTags->"b:5.4.3"],
  Cell[629172, 16796, 1009, 32, 130, "Output",ExpressionUUID->"c8d6a528-503d-49fa-ab22-0576d36c3f07",
   CellTags->"b:5.4.3"],
  Cell[630230, 16834, 610, 15, 56, "Subsubsection",ExpressionUUID->"b82a1307-68d3-4746-bd9b-cd7ff65bb4c0",
   CellTags->{"c:4", "b:5.4.3"}],
  Cell[630843, 16851, 222, 5, 51, "Text",ExpressionUUID->"4ae44805-0710-4cb1-943b-10e4e3033716",
   CellTags->"b:5.4.3"],
  Cell[631090, 16860, 2866, 108, 170, "Input",ExpressionUUID->"d09caaa0-b3ef-487f-9ad5-7f82ab597c17",
   CellTags->"b:5.4.3"],
  Cell[633959, 16970, 656, 20, 93, "Output",ExpressionUUID->"d45e06d0-1990-4e1e-a4fb-389d8dd49890",
   CellTags->"b:5.4.3"],
  Cell[634618, 16992, 654, 20, 93, "Output",ExpressionUUID->"9af2a28c-e593-48b4-8ca4-fe308e8101db",
   CellTags->"b:5.4.3"],
  Cell[635275, 17014, 1043, 32, 88, "Output",ExpressionUUID->"eaea7b6f-995d-4444-b355-07b94c3a7250",
   CellTags->"b:5.4.3"],
  Cell[636333, 17049, 231, 5, 51, "Text",ExpressionUUID->"0a71dec0-e524-448a-934d-51022c4c3c13",
   CellTags->"b:5.4.3"],
  Cell[636567, 17056, 165, 2, 23, "Text",ExpressionUUID->"f7ff1d0c-2589-4387-bd21-493dabc1d94d",
   CellTags->"b:5.4.3"],
  Cell[636735, 17060, 189, 3, 23, "Text",ExpressionUUID->"9549e7de-c7a6-435f-a65a-e7ee510a0ad2",
   CellTags->"b:5.4.3"],
  Cell[636949, 17067, 798, 30, 73, "Input",ExpressionUUID->"8b9766f6-8957-4205-98dd-ef1c17b6c77e",
   CellTags->"b:5.4.3"],
  Cell[637750, 17099, 841, 27, 76, "Output",ExpressionUUID->"e38f4178-be36-4a4d-872e-58a914b7afa3",
   CellTags->"b:5.4.3"],
  Cell[638594, 17128, 5418, 170, 177, "Output",ExpressionUUID->"d26a15f8-fc75-49d8-8a98-a7c89fa4d085",
   CellTags->"b:5.4.3"],
  Cell[644061, 17304, 577, 14, 56, "Subsubsection",ExpressionUUID->"6a685eec-4759-4e40-9128-dc107e562ddb",
   CellTags->{"c:4", "b:5.4.3"}],
  Cell[644641, 17320, 258, 6, 51, "Text",ExpressionUUID->"1f086c4e-ed78-4ac9-9bc1-6af949ee899b",
   CellTags->"b:5.4.3"],
  Cell[644924, 17330, 957, 27, 101, "Input",ExpressionUUID->"18c37123-d61b-49d4-8ca0-ff40a2db6437",
   CellTags->"b:5.4.3"],
  Cell[645884, 17359, 2996, 98, 143, "Output",ExpressionUUID->"f482f7ff-5f5c-47ee-b907-6e52362ca58d",
   CellTags->"b:5.4.3"],
  Cell[648883, 17459, 675, 19, 98, "Output",ExpressionUUID->"f6b3bf59-195d-4b18-93e4-8455a513bce4",
   CellTags->"b:5.4.3"],
  Cell[649573, 17481, 1527, 50, 54, "Text",ExpressionUUID->"8bdffcee-5433-4ed6-a2a0-17bfcbbe23f2",
   CellTags->"b:5.4.3"],
  Cell[651125, 17535, 1524, 46, 71, "Input",ExpressionUUID->"5501d9cb-48aa-4e67-9372-c7795e81f955",
   CellTags->"b:5.4.3"],
  Cell[652652, 17583, 2997, 97, 143, "Output",ExpressionUUID->"3f970f7e-daca-4c65-827f-e6ab0bbf58fc",
   CellTags->"b:5.4.3"],
  Cell[655652, 17682, 677, 19, 98, "Output",ExpressionUUID->"68b2224e-83f3-42bb-b0c6-b28d5319efeb",
   CellTags->"b:5.4.3"],
  Cell[656378, 17707, 655, 17, 56, "Subsubsection",ExpressionUUID->"96f3f2de-0d08-4f8f-9e69-e8a66f31ccb3",
   CellTags->{"c:4", "b:5.4.3"}],
  Cell[657036, 17726, 134, 2, 23, "Text",ExpressionUUID->"d8daa4e1-e339-4b38-8ea8-7d3432d624af",
   CellTags->"b:5.4.3"],
  Cell[657195, 17732, 1925, 61, 139, "Input",ExpressionUUID->"6d3ba99a-698e-4991-83d9-432272afdb76",
   CellTags->"b:5.4.3"],
  Cell[659123, 17795, 843, 27, 76, "Output",ExpressionUUID->"1af7fcc8-cdb4-4f2f-ae7a-b3e315bbd678",
   CellTags->"b:5.4.3"],
  Cell[659969, 17824, 365, 11, 76, "Output",ExpressionUUID->"ab5f90b8-53cb-43c9-92dd-e685f87f2f1e",
   CellTags->"b:5.4.3"],
  Cell[660337, 17837, 365, 11, 76, "Output",ExpressionUUID->"f39bedf4-641a-4c16-9f32-55c8a2af8b51",
   CellTags->"b:5.4.3"],
  Cell[660705, 17850, 365, 11, 76, "Output",ExpressionUUID->"5f96a62f-21d0-49b3-b5d1-2ca28a293340",
   CellTags->"b:5.4.3"],
  Cell[661073, 17863, 367, 11, 63, "Output",ExpressionUUID->"2c8e54d8-3fe6-40df-a01d-7f348d639dd9",
   CellTags->"b:5.4.3"],
  Cell[661455, 17877, 177, 3, 23, "Text",ExpressionUUID->"89c1a4c8-3704-4711-bc40-c215e8b74cc0",
   CellTags->"b:5.4.3"],
  Cell[661657, 17884, 1747, 54, 117, "Input",ExpressionUUID->"0fbc71ed-a961-444f-b012-6388955a4aa2",
   CellTags->"b:5.4.3"],
  Cell[663407, 17940, 1066, 34, 89, "Output",ExpressionUUID->"fb06a6f6-c9ee-422f-8203-8ccfd1bb88c4",
   CellTags->"b:5.4.3"],
  Cell[664476, 17976, 1052, 34, 89, "Output",ExpressionUUID->"8122bdc6-0f9e-4911-9d86-9a1d3e8cb634",
   CellTags->"b:5.4.3"],
  Cell[665531, 18012, 1052, 34, 89, "Output",ExpressionUUID->"a8ce29b7-83d4-4aa6-8c57-fc4bacb0a47f",
   CellTags->"b:5.4.3"],
  Cell[666586, 18048, 1066, 34, 76, "Output",ExpressionUUID->"45a2543e-e49c-4d95-8ea6-4d8d16eab97a",
   CellTags->"b:5.4.3"],
  Cell[667667, 18085, 202, 3, 23, "Text",ExpressionUUID->"7f9e9eec-8831-4fa7-aca0-9dad0977e695",
   CellTags->"b:5.4.3"],
  Cell[667872, 18090, 671, 19, 51, "Input",ExpressionUUID->"512e5ce2-ce37-46d5-b2f4-85f8db083b27",
   CellTags->"b:5.4.3"],
  Cell[668568, 18113, 333, 8, 48, "Input",ExpressionUUID->"de678adb-0c4f-463b-830d-ef33c6ff5ade",
   CellTags->"b:5.4.3"],
  Cell[668904, 18123, 5278, 107, 250, "Output",ExpressionUUID->"d4d4b611-d44c-40c9-b285-e6d76a31ff69",
   CellTags->"b:5.4.3"],
  Cell[674219, 18235, 333, 8, 48, "Input",ExpressionUUID->"20063a8c-8722-4714-b3a9-559ffd102909",
   CellTags->"b:5.4.3"],
  Cell[674555, 18245, 5278, 107, 250, "Output",ExpressionUUID->"f46a09df-5019-4a98-a704-0b00d48f6bb9",
   CellTags->"b:5.4.3"],
  Cell[679870, 18357, 399, 9, 48, "Input",ExpressionUUID->"e6a20d7b-12d4-44a3-b107-43567d2fa76e",
   CellTags->"b:5.4.3"],
  Cell[680272, 18368, 5278, 107, 250, "Output",ExpressionUUID->"9c312104-881d-4df1-98c0-5ef9166bf324",
   CellTags->"b:5.4.3"],
  Cell[685587, 18480, 399, 9, 48, "Input",ExpressionUUID->"f6931973-39ec-4c15-8cce-0e159c093f19",
   CellTags->"b:5.4.3"],
  Cell[685989, 18491, 5280, 107, 250, "Output",ExpressionUUID->"45f7efb4-e69d-4de1-845d-fd088dede2fa",
   CellTags->"b:5.4.3"],
  Cell[691284, 18601, 155, 2, 23, "Text",ExpressionUUID->"0d2bd5cb-1c0d-4ad8-805e-67a99a9cd355",
   CellTags->"b:5.4.3"],
  Cell[691442, 18605, 139, 2, 23, "Text",ExpressionUUID->"a19d504b-6f41-463c-ae45-5baee4e23e12",
   CellTags->"b:5.4.3"],
  Cell[691606, 18611, 812, 28, 70, "Input",ExpressionUUID->"c1b036fd-48a4-4cb1-9377-6a1a4264bef3",
   CellTags->"b:5.4.3"],
  Cell[692421, 18641, 653, 19, 93, "Output",ExpressionUUID->"e7bd7b44-e6cd-4f16-9d18-e8749ff7378c",
   CellTags->"b:5.4.3"],
  Cell[693077, 18662, 654, 20, 80, "Output",ExpressionUUID->"ecafc1a8-c3cd-45bf-94aa-e988ccdb2858",
   CellTags->"b:5.4.3"],
  Cell[693746, 18685, 193, 3, 23, "Text",ExpressionUUID->"12abf06b-0208-44ef-8844-b15261b4d0d1",
   CellTags->"b:5.4.3"],
  Cell[693964, 18692, 267, 4, 68, "Input",ExpressionUUID->"d6158a50-ca57-4cfd-b808-b648dbf5d01c",
   CellTags->"b:5.4.3"],
  Cell[694234, 18698, 209, 5, 61, "Output",ExpressionUUID->"058f1b55-8aaf-47b2-9c95-03f0c4b280aa",
   CellTags->"b:5.4.3"],
  Cell[694446, 18705, 230, 6, 63, "Output",ExpressionUUID->"ce4e654a-e9d6-40b8-afff-5cc3fc414663",
   CellTags->"b:5.4.3"],
  Cell[694691, 18714, 139, 2, 23, "Text",ExpressionUUID->"e5ac7173-6a1a-44d5-a8c0-a8e155f42bf2",
   CellTags->"b:5.4.3"],
  Cell[694855, 18720, 812, 28, 70, "Input",ExpressionUUID->"581464b5-5761-4659-a6b6-edcc3db6b691",
   CellTags->"b:5.4.3"],
  Cell[695670, 18750, 653, 19, 93, "Output",ExpressionUUID->"8dba30ee-04a6-4a70-8e7f-0eb230d01bde",
   CellTags->"b:5.4.3"],
  Cell[696326, 18771, 654, 20, 80, "Output",ExpressionUUID->"8857c144-e89e-4df1-8ae5-1a3c1c78003a",
   CellTags->"b:5.4.3"],
  Cell[696995, 18794, 191, 3, 23, "Text",ExpressionUUID->"fd6b8e2b-5dba-44a6-b748-5f35caecf50b",
   CellTags->"b:5.4.3"],
  Cell[697211, 18801, 269, 4, 68, "Input",ExpressionUUID->"03eb2dcd-acda-4f70-9e00-dbdd27a5996c",
   CellTags->"b:5.4.3"],
  Cell[697483, 18807, 450, 14, 76, "Output",ExpressionUUID->"fdeff65c-7479-4f2f-ad4d-fbc4afabb3c3",
   CellTags->"b:5.4.3"],
  Cell[697936, 18823, 230, 6, 63, "Output",ExpressionUUID->"cd902c04-4d8d-4328-8506-7c03c1bd0142",
   CellTags->"b:5.4.3"],
  Cell[698181, 18832, 145, 2, 23, "Text",ExpressionUUID->"55ddb63e-a7bc-4765-a8be-42cd1ade8f5c",
   CellTags->"b:5.4.3"],
  Cell[698351, 18838, 330, 8, 68, "Input",ExpressionUUID->"2b339cd3-40c7-430e-ab45-11f925c74e10",
   CellTags->"b:5.4.3"],
  Cell[698684, 18848, 695, 21, 93, "Output",ExpressionUUID->"6b9f061a-3c56-4a95-ba84-fabc65fef2bc",
   CellTags->"b:5.4.3"],
  Cell[699382, 18871, 693, 21, 80, "Output",ExpressionUUID->"090d47b7-ee9b-4741-9711-9d71d9cb0b44",
   CellTags->"b:5.4.3"],
  Cell[700090, 18895, 210, 3, 23, "Text",ExpressionUUID->"3735bdd6-5385-455a-8ea1-411b4d4bd77e",
   CellTags->"b:5.4.3"],
  Cell[700325, 18902, 516, 15, 51, "Input",ExpressionUUID->"87a2148f-6150-4fba-b51a-9f6496d4ef95",
   CellTags->"b:5.4.3"],
  Cell[700844, 18919, 1009, 32, 143, "Output",ExpressionUUID->"d806ab08-661d-4bf4-8d28-62be4ff31078",
   CellTags->"b:5.4.3"],
  Cell[701890, 18956, 398, 9, 106, "Input",ExpressionUUID->"2460eecb-683c-4964-bfc9-5b7cdf813591",
   CellTags->"b:5.4.3"],
  Cell[702291, 18967, 262, 7, 76, "Output",ExpressionUUID->"ca848562-7fdd-4051-a8d0-78625b2745c7",
   CellTags->"b:5.4.3"],
  Cell[702556, 18976, 264, 7, 76, "Output",ExpressionUUID->"3aceb36c-aa1c-4531-be36-1c095823aa01",
   CellTags->"b:5.4.3"],
  Cell[702823, 18985, 262, 7, 76, "Output",ExpressionUUID->"e031360b-95ec-4b19-acfb-c57e5269bbbe",
   CellTags->"b:5.4.3"],
  Cell[703088, 18994, 337, 10, 63, "Output",ExpressionUUID->"882f15d8-d280-405f-8519-0b33737dcb89",
   CellTags->"b:5.4.3"],
  Cell[703462, 19009, 1158, 35, 48, "Input",ExpressionUUID->"071c203e-1a23-4a48-ad5a-f6498f40a901",
   CellTags->"b:5.4.3"],
  Cell[704623, 19046, 729, 22, 79, "Output",ExpressionUUID->"57e523fa-9472-44f7-ba33-dd014c361fc5",
   CellTags->"b:5.4.3"],
  Cell[705389, 19073, 281, 6, 48, "Input",ExpressionUUID->"e68c2d1b-74a3-49e7-972e-72c2cae16e50",
   CellTags->"b:5.4.3"],
  Cell[705673, 19081, 5277, 107, 250, "Output",ExpressionUUID->"d8ce69be-2f10-45b7-930e-ccfd788e7c43",
   CellTags->"b:5.4.3"],
  Cell[710987, 19193, 277, 7, 48, "Input",ExpressionUUID->"9394121c-e99b-4b7b-a947-7b762b3faadc",
   CellTags->"b:5.4.3"],
  Cell[711267, 19202, 210, 5, 61, "Output",ExpressionUUID->"bd7faaff-da20-4299-a7ff-0c056fc9e15b",
   CellTags->"b:5.4.3"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"c:1", 716179, 19316},
 {"c:2", 716303, 19319},
 {"b:5.0", 716443, 19322},
 {"c:3", 718610, 19359},
 {"SingleQubitStates", 718755, 19362},
 {"c:4", 718923, 19365},
 {"b:5.1.0", 719933, 19380},
 {"i:4", 725922, 19477},
 {"c:5", 726727, 19490},
 {"b:5.1.1", 726878, 19493},
 {"c:6", 730845, 19558},
 {"b:5.1.2", 730996, 19561},
 {"c:7", 734241, 19614},
 {"b:5.1.3", 734392, 19617},
 {"c:8", 737618, 19670},
 {"b:5.1.4", 737769, 19673},
 {"Quantum Gates", 744837, 19788},
 {"c:9", 744988, 19791},
 {"c:10", 745140, 19794},
 {"b:5.2.0", 745293, 19797},
 {"i:2", 750432, 19880},
 {"i:1", 750711, 19885},
 {"c:11", 751158, 19892},
 {"b:5.2.1", 751318, 19895},
 {"c:12", 752837, 19920},
 {"b:5.2.2", 752997, 19923},
 {"c:13", 755876, 19970},
 {"b:5.2.3", 756036, 19973},
 {"Measurement", 756820, 19986},
 {"c:14", 757112, 19991},
 {"Measurements", 757271, 19994},
 {"c:15", 757605, 19999},
 {"b:5.3.0", 757774, 20002},
 {"MeasureKet", 759928, 20037},
 {"c:16", 760108, 20040},
 {"b:5.3.1", 760291, 20043},
 {"c:17", 762450, 20078},
 {"b:5.3.2", 762603, 20081},
 {"c:18", 765471, 20128},
 {"c:19", 765624, 20131},
 {"b:5.4.0", 765777, 20134},
 {"c:20", 768035, 20171},
 {"b:5.4.1", 768188, 20174},
 {"b:5.4.2", 770330, 20209},
 {"b:5.4.3", 780555, 20374}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 111, 1, 51, "Title",ExpressionUUID->"99e7654f-3b31-4b60-a49b-5520c21f6945",
 CellTags->"c:1"],
Cell[659, 23, 98, 0, 35, "Subtitle",ExpressionUUID->"32669210-8f7b-4175-800a-62c7372a7c73"],
Cell[760, 25, 448, 11, 62, "Abstract",ExpressionUUID->"cb00dbb3-6450-415d-95c4-f3147030aa99"],
Cell[CellGroupData[{
Cell[1233, 40, 383, 7, 59, "Section",ExpressionUUID->"93a4ea00-8346-4ac0-ae10-8ae794881d4b",
 CellTags->{"c:2", "b:5.0"}],
Cell[1619, 49, 519, 12, 80, "Text",ExpressionUUID->"043a7d5b-d319-461b-b34a-41b633ea587a",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[2163, 65, 234, 5, 48, "Input",ExpressionUUID->"fbf4d3d6-15da-4d8c-9b40-e5f745283702",
 CellTags->"b:5.0"],
Cell[2400, 72, 209, 3, 48, "Output",ExpressionUUID->"e6a6bcc1-7042-4dd3-91a3-a6addae422bf",
 CellTags->"b:5.0"]
}, Open  ]],
Cell[2624, 78, 414, 13, 24, "Text",ExpressionUUID->"a42249d7-2e2c-4d03-90b4-cc0a45b20c67",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[3063, 95, 537, 13, 81, "Input",ExpressionUUID->"e612332e-4610-41d2-8079-5eb73d6f265a",
 CellTags->"b:5.0"],
Cell[3603, 110, 226, 3, 24, "Print",ExpressionUUID->"ba890292-e16d-4b20-a181-7da665e578b0",
 CellTags->"b:5.0"]
}, Open  ]],
Cell[3844, 116, 216, 3, 23, "Text",ExpressionUUID->"8ed3a512-17c5-4dcf-92e5-9e9a60556379",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[4085, 123, 176, 4, 48, "Input",ExpressionUUID->"5236394e-7086-4083-b52f-1b49eea335ff"],
Cell[4264, 129, 18873, 428, 297, "Output",ExpressionUUID->"a06a8ceb-516f-411d-bcb2-b829cda18477"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23174, 562, 283, 5, 46, "Input",ExpressionUUID->"f4ede01c-ea19-4b11-a444-fadcdc996f11",
 CellTags->"b:5.0"],
Cell[23460, 569, 56851, 1275, 425, "Output",ExpressionUUID->"45548569-12b3-4015-b64f-f0cf57fe6405",
 CellTags->"b:5.0"]
}, Open  ]],
Cell[80326, 1847, 264, 4, 23, "Text",ExpressionUUID->"8b433e8e-6bec-43a6-b874-b9c55345e463",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[80615, 1855, 123, 2, 48, "Input",ExpressionUUID->"71f275b8-31c3-4913-8798-ab01113b7c3f",
 CellTags->"b:5.0"],
Cell[80741, 1859, 9252, 221, 251, "Output",ExpressionUUID->"d282fad5-82ef-4659-966d-a09066e61420",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[90018, 2084, 123, 2, 48, "Input",ExpressionUUID->"7e65ff41-a313-4128-ab89-3eefbe24f0cc",
 CellTags->"b:5.0"],
Cell[90144, 2088, 12094, 259, 954, "Output",ExpressionUUID->"47ad6148-2e77-4a2a-9ba6-7a0e0449c507",
 CellTags->"b:5.0"]
}, Open  ]]
}, Open  ]],
Cell[102265, 2351, 322, 8, 24, "Text",ExpressionUUID->"eb396e23-91ff-41f9-9d99-a8630c98f90c",
 CellTags->"b:5.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[102624, 2364, 303, 5, 46, "Input",ExpressionUUID->"0a05cfda-b2df-41f2-850b-d09a84015ec3",
 CellTags->"b:5.0"],
Cell[102930, 2371, 60251, 1372, 306, "Output",ExpressionUUID->"c04612b1-16c4-4e98-8a21-19da5973f4dd",
 CellTags->"b:5.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[163218, 3748, 130, 2, 51, "Section",ExpressionUUID->"0a09d11c-1dd0-4f4e-abe8-c63e7690c8e5",
 CellTags->"c:3"],
Cell[CellGroupData[{
Cell[163373, 3754, 198, 5, 60, "Subsection",ExpressionUUID->"ee607bc2-0142-46ef-a8ef-80e67730510b",
 CellTags->{"SingleQubitStates", "c:4", "b:5.1.0"}],
Cell[163574, 3761, 426, 11, 23, "Text",ExpressionUUID->"08e3a9fe-858f-4377-bd0b-400b42234b57",
 CellTags->"b:5.1.0"],
Cell[CellGroupData[{
Cell[164025, 3776, 209, 3, 48, "Input",ExpressionUUID->"bf1a4e54-30ca-4679-b3ae-9710a287b72e",
 CellTags->"b:5.1.0"],
Cell[164237, 3781, 601, 17, 64, "Output",ExpressionUUID->"8ea32dc9-5c89-463a-8958-b89b00480f66",
 CellTags->"b:5.1.0"]
}, Open  ]],
Cell[164853, 3801, 266, 4, 23, "Text",ExpressionUUID->"28b4ad25-e7a4-441b-8877-d14ac9f3316c",
 CellTags->"b:5.1.0"],
Cell[165122, 3807, 210, 3, 23, "Text",ExpressionUUID->"ccae0e3a-6779-4aed-97d8-74450bec82c1",
 CellTags->"b:5.1.0"],
Cell[CellGroupData[{
Cell[165357, 3814, 141, 2, 48, "Input",ExpressionUUID->"53d092e5-c384-4eea-9fe3-494c039f2fe1",
 CellTags->"b:5.1.0"],
Cell[165501, 3818, 601, 17, 64, "Output",ExpressionUUID->"55cf740c-79f5-413d-be86-20fd44864f0e",
 CellTags->"b:5.1.0"]
}, Open  ]],
Cell[166117, 3838, 266, 4, 23, "Text",ExpressionUUID->"31376944-0aa0-42c0-b4ef-141c34778fa1",
 CellTags->"b:5.1.0"],
Cell[166386, 3844, 289, 4, 23, "Text",ExpressionUUID->"736f3081-7de9-4364-b458-01c59cb37d44",
 CellTags->"b:5.1.0"],
Cell[CellGroupData[{
Cell[166700, 3852, 299, 6, 68, "Input",ExpressionUUID->"bd38cb3d-72e6-487a-9300-4b4e4d749b75",
 CellTags->{"i:4", "b:5.1.0"}],
Cell[167002, 3860, 605, 18, 64, "Output",ExpressionUUID->"d63312e1-318b-4457-accc-7ee26f011e54",
 CellTags->{"i:4", "b:5.1.0"}],
Cell[167610, 3880, 596, 17, 49, "Output",ExpressionUUID->"df28bf7e-5a1d-4e47-9f4a-ee80466f3a73",
 CellTags->{"i:4", "b:5.1.0"}]
}, Open  ]],
Cell[168221, 3900, 502, 8, 51, "Text",ExpressionUUID->"710d80ba-0a09-4bc3-8f24-5f7e13de7975",
 CellTags->"b:5.1.0"],
Cell[CellGroupData[{
Cell[168748, 3912, 274, 8, 75, "Input",ExpressionUUID->"935b46f6-7e5c-4ab2-8985-4817e7eade3a",
 CellTags->{"i:4", "b:5.1.0"}],
Cell[169025, 3922, 603, 18, 64, "Output",ExpressionUUID->"b14b451f-f943-42d5-9d16-b774731acf38",
 CellTags->{"i:4", "b:5.1.0"}],
Cell[169631, 3942, 596, 17, 49, "Output",ExpressionUUID->"6943006a-0e9f-4e30-8b73-4effce4d9ed3",
 CellTags->{"i:4", "b:5.1.0"}]
}, Open  ]],
Cell[170242, 3962, 1279, 34, 59, "Text",ExpressionUUID->"820e01d8-64ed-439e-91c9-a8d45aed8ba7",
 CellTags->"b:5.1.0"],
Cell[CellGroupData[{
Cell[171546, 4000, 277, 5, 48, "Input",ExpressionUUID->"862b8783-875a-4b97-9a74-7f00211c4fac"],
Cell[171826, 4007, 584, 18, 64, "Output",ExpressionUUID->"1a7ca922-fb56-45ed-a3e7-5c66b2b4c1d4"]
}, Open  ]],
Cell[172425, 4028, 302, 5, 23, "Text",ExpressionUUID->"65af368d-b2e8-4d8c-b415-5f917ba93a67",
 CellTags->"b:5.1.0"],
Cell[CellGroupData[{
Cell[172752, 4037, 291, 9, 52, "Input",ExpressionUUID->"692db038-8ea1-4017-859a-acc72772b8e7"],
Cell[173046, 4048, 584, 18, 64, "Output",ExpressionUUID->"7e93cc00-58c7-4944-8596-2d10bc708c1b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[173667, 4071, 365, 9, 48, "Input",ExpressionUUID->"11f4bd24-b394-442d-8e82-02adeab840b9"],
Cell[174035, 4082, 584, 18, 64, "Output",ExpressionUUID->"2bf694a2-bdd2-4061-9e14-72eb04673f39"]
}, Open  ]],
Cell[CellGroupData[{
Cell[174656, 4105, 537, 12, 52, "Input",ExpressionUUID->"b23e8791-6b29-406e-9307-c33bacc568ef",
 CellTags->"b:5.1.0"],
Cell[175196, 4119, 603, 17, 64, "Output",ExpressionUUID->"0aa3ea70-a64a-4115-886d-54f5a669d6db",
 CellTags->"b:5.1.0"]
}, Open  ]],
Cell[175814, 4139, 298, 5, 23, "Text",ExpressionUUID->"e1aa0a89-bfb7-403b-a9a0-6c8b35221131",
 CellTags->"b:5.1.0"],
Cell[CellGroupData[{
Cell[176137, 4148, 339, 9, 48, "Input",ExpressionUUID->"cba832c0-0efe-4b46-a5f3-a1d84e08c964"],
Cell[176479, 4159, 576, 18, 64, "Output",ExpressionUUID->"b9965b45-dd29-4b84-b916-f77e29bbcb30"]
}, Open  ]],
Cell[177070, 4180, 284, 4, 23, "Text",ExpressionUUID->"92c9d03c-1463-4add-b861-77b1c28bfe8f",
 CellTags->"b:5.1.0"],
Cell[CellGroupData[{
Cell[177379, 4188, 324, 11, 52, "Input",ExpressionUUID->"c8052e1f-d8cd-4b46-9571-346b6c649a71"],
Cell[177706, 4201, 574, 18, 64, "Output",ExpressionUUID->"a7591210-4545-4183-b3e8-bdcef6e017e4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[178317, 4224, 786, 18, 51, "Input",ExpressionUUID->"4886fae0-f556-469c-b6d9-8f73d90b075a",
 CellTags->"b:5.1.0"],
Cell[179106, 4244, 824, 25, 64, "Output",ExpressionUUID->"05883aee-0583-4ccf-8ec0-aef96a809fcc",
 CellTags->"b:5.1.0"],
Cell[179933, 4271, 357, 6, 23, "Text",ExpressionUUID->"9d42fc05-309a-4afb-9fa3-5cfd770e0c66",
 CellTags->"b:5.1.0"],
Cell[CellGroupData[{
Cell[180315, 4281, 524, 12, 87, "Input",ExpressionUUID->"6962ebcd-f3c0-4044-a822-6b25847176c0"],
Cell[180842, 4295, 359, 10, 48, "Output",ExpressionUUID->"9633b77b-7e51-4ff8-9a8a-1043791ecf25"],
Cell[181204, 4307, 14929, 348, 157, "Output",ExpressionUUID->"6bccfd13-e3f7-4ef1-9266-561882569007"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[196182, 4661, 224, 6, 48, "Input",ExpressionUUID->"a259fc2e-ec91-4bee-9485-cfc5255ba503"],
Cell[196409, 4669, 567, 17, 49, "Output",ExpressionUUID->"fbdbe096-3680-483a-8a76-4541a47015b1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[197013, 4691, 257, 10, 52, "Input",ExpressionUUID->"5d4cf6fd-6c40-413e-8cf9-3a744b929232"],
Cell[197273, 4703, 564, 16, 49, "Output",ExpressionUUID->"113969fe-9292-4f34-924b-8ba9435f009a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[197874, 4724, 455, 11, 48, "Input",ExpressionUUID->"6bce5fad-576f-42df-b231-1e7ca7bd3034"],
Cell[198332, 4737, 367, 10, 48, "Output",ExpressionUUID->"6950c71e-c3a9-4c05-9f21-087082ca3d3e"]
}, Open  ]],
Cell[198714, 4750, 350, 10, 23, "Text",ExpressionUUID->"c89b52c4-bc21-4ebf-a58d-317f646b1660",
 CellTags->"b:5.1.0"],
Cell[CellGroupData[{
Cell[199089, 4764, 255, 4, 68, "Input",ExpressionUUID->"cda4e3ff-51b9-4a26-ad81-e80e4e586ce3",
 CellTags->"b:5.1.0"],
Cell[199347, 4770, 334, 10, 48, "Output",ExpressionUUID->"b101f1ca-8aca-47c2-a5f2-2c17a2114a53",
 CellTags->"b:5.1.0"],
Cell[199684, 4782, 389, 12, 51, "Output",ExpressionUUID->"96f699b9-ffcd-4830-8639-e03bfe0e4422",
 CellTags->"b:5.1.0"],
Cell[CellGroupData[{
Cell[200098, 4798, 151, 4, 48, "Input",ExpressionUUID->"70526ca5-1cc1-4e88-bfde-f0496a4efb41"],
Cell[200252, 4804, 10874, 264, 298, "Output",ExpressionUUID->"b1bf39d4-15c0-4422-9bdb-c0257938556b"]
}, Open  ]]
}, Open  ]],
Cell[211153, 5072, 607, 15, 23, "Text",ExpressionUUID->"475231ef-db46-4427-af44-e3d7e388352d",
 CellTags->"b:5.1.0"],
Cell[CellGroupData[{
Cell[211785, 5091, 388, 7, 106, "Input",ExpressionUUID->"ea917e4f-3060-449d-bb46-9f88ff7de812",
 CellTags->"b:5.1.0"],
Cell[212176, 5100, 677, 21, 84, "Output",ExpressionUUID->"917ff794-2625-4ee0-bc68-73090fc789d8",
 CellTags->"b:5.1.0"],
Cell[212856, 5123, 443, 11, 67, "Output",ExpressionUUID->"4bee257f-73d6-4ce9-a248-4c7641278c4f",
 CellTags->"b:5.1.0"],
Cell[213302, 5136, 699, 22, 84, "Output",ExpressionUUID->"72f7ab71-b8f0-4ea2-9fb9-340539c73553",
 CellTags->"b:5.1.0"],
Cell[214004, 5160, 465, 12, 67, "Output",ExpressionUUID->"a1dec6c7-0806-4e2f-a1e3-b1f95e6f21cf",
 CellTags->"b:5.1.0"]
}, Open  ]],
Cell[214484, 5175, 440, 11, 24, "Text",ExpressionUUID->"5ab0da13-1f96-4b8c-844b-c13ea1926222",
 CellTags->"b:5.1.0"],
Cell[CellGroupData[{
Cell[214949, 5190, 446, 12, 68, "Input",ExpressionUUID->"4add1457-7e6e-46eb-b860-6dc542823cd4",
 CellTags->"b:5.1.0"],
Cell[215398, 5204, 212, 5, 48, "Output",ExpressionUUID->"4cdf2d85-6d5b-4a99-9932-009db979bf55",
 CellTags->"b:5.1.0"],
Cell[215613, 5211, 212, 5, 48, "Output",ExpressionUUID->"d6f1f974-6d35-45f1-bd9e-a9810c9aa5ea",
 CellTags->"b:5.1.0"]
}, Open  ]],
Cell[215840, 5219, 475, 11, 39, "Text",ExpressionUUID->"4fd894a3-d6d1-496a-83b0-d4de98164532",
 CellTags->"b:5.1.0"],
Cell[216318, 5232, 616, 15, 48, "Input",ExpressionUUID->"ff91e24e-d11c-48cf-94c2-4d5cb5093ffb",
 CellTags->"b:5.1.0"],
Cell[CellGroupData[{
Cell[216959, 5251, 357, 11, 52, "Input",ExpressionUUID->"8dba5516-c786-4c8e-a60c-9f2f45369368",
 CellTags->"b:5.1.0"],
Cell[217319, 5264, 586, 16, 49, "Output",ExpressionUUID->"e050bdb3-2756-42ae-91da-1333db4e8a31",
 CellTags->"b:5.1.0"]
}, Open  ]],
Cell[217920, 5283, 312, 5, 23, "Text",ExpressionUUID->"d2035e21-8a20-4a9b-ad25-0650d70f058e",
 CellTags->"b:5.1.0"],
Cell[CellGroupData[{
Cell[218257, 5292, 327, 9, 48, "Input",ExpressionUUID->"13c4e001-9269-432a-8ba1-c06b06912cc2"],
Cell[218587, 5303, 367, 10, 48, "Output",ExpressionUUID->"d4747bc3-68d8-4e66-9966-d973daac87b2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[218991, 5318, 250, 5, 68, "Input",ExpressionUUID->"b895e06d-898c-461a-a85e-1253bf6cdcca",
 CellTags->"b:5.1.0"],
Cell[219244, 5325, 694, 21, 58, "Output",ExpressionUUID->"30ead829-9ae4-45cc-b4c1-946ea1360ae4",
 CellTags->"b:5.1.0"],
Cell[219941, 5348, 696, 21, 58, "Output",ExpressionUUID->"b03c9dea-19b3-4739-88dc-aefb7795fcd0",
 CellTags->"b:5.1.0"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[220686, 5375, 171, 4, 60, "Subsection",ExpressionUUID->"bf377e58-66a1-4d6c-b405-c6fe8f8c474f",
 CellTags->{"c:5", "b:5.1.1"}],
Cell[220860, 5381, 525, 13, 23, "Text",ExpressionUUID->"ddd01926-14b0-4396-ad50-c17fb8e189d0",
 CellTags->"b:5.1.1"],
Cell[CellGroupData[{
Cell[221410, 5398, 1085, 27, 106, "Input",ExpressionUUID->"87c95477-150f-45bc-a23a-240593faf46d",
 CellTags->"b:5.1.1"],
Cell[222498, 5427, 675, 19, 98, "Output",ExpressionUUID->"29d27a37-8f15-4590-a90c-aa6511a65a5a",
 CellTags->"b:5.1.1"],
Cell[223176, 5448, 675, 19, 98, "Output",ExpressionUUID->"85dc8b67-ab01-4df7-8897-1961c30c7923",
 CellTags->"b:5.1.1"],
Cell[223854, 5469, 675, 19, 98, "Output",ExpressionUUID->"6322b3f8-6aa3-48c9-a1d3-22e7709b8876",
 CellTags->"b:5.1.1"],
Cell[224532, 5490, 675, 19, 98, "Output",ExpressionUUID->"caed7f17-4024-4823-8eea-f8ae76dcaedc",
 CellTags->"b:5.1.1"],
Cell[CellGroupData[{
Cell[225232, 5513, 1116, 24, 182, "Input",ExpressionUUID->"d626ce89-5ae3-4f6a-aed9-73c9f49c049c"],
Cell[226351, 5539, 600, 20, 98, "Output",ExpressionUUID->"71281630-1826-4219-90d3-b639bff532d4"],
Cell[226954, 5561, 283, 7, 48, "Output",ExpressionUUID->"d266f0e9-aa6a-4d9c-9401-833fdbd159f4"],
Cell[227240, 5570, 598, 20, 98, "Output",ExpressionUUID->"98f38259-ce4a-4087-915f-c564846a88df"],
Cell[227841, 5592, 283, 7, 48, "Output",ExpressionUUID->"cf3b15c2-141d-4269-8f3b-2924206820a6"],
Cell[228127, 5601, 598, 20, 98, "Output",ExpressionUUID->"fe1d104d-7d38-4724-a3b4-312d9fb9fec9"],
Cell[228728, 5623, 286, 8, 48, "Output",ExpressionUUID->"7e6041c4-7b06-4039-8782-5c4daffd83bb"],
Cell[229017, 5633, 598, 20, 98, "Output",ExpressionUUID->"560f5a17-a466-4708-b63f-408b8d7916a7"],
Cell[229618, 5655, 286, 8, 48, "Output",ExpressionUUID->"f2be2e30-3c3c-40a8-b8b8-12cb1ac38cd6"],
Cell[CellGroupData[{
Cell[229929, 5667, 1013, 34, 90, "Input",ExpressionUUID->"df499918-856f-4892-a71a-0bde630f97d2"],
Cell[230945, 5703, 598, 20, 98, "Output",ExpressionUUID->"00903f72-a189-44fb-abc8-dab6dd1cdbd0"],
Cell[231546, 5725, 497, 12, 48, "Output",ExpressionUUID->"25964def-5d51-4040-b0d1-99d38607721e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[232080, 5742, 1083, 26, 87, "Input",ExpressionUUID->"b708985a-d8db-4aed-8248-a274b70d8b35"],
Cell[233166, 5770, 598, 20, 98, "Output",ExpressionUUID->"70f4fa1b-4d20-414d-ad5a-d380a6ba0aaf"],
Cell[233767, 5792, 497, 12, 48, "Output",ExpressionUUID->"3fb944ef-94a9-4421-89f8-ac085f6ca7f1"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[234313, 5810, 795, 17, 68, "Input",ExpressionUUID->"572e4695-1104-46d7-98f5-56c14f1d382c"],
Cell[235111, 5829, 195, 6, 48, "Output",ExpressionUUID->"ed3628a5-ec92-4183-a905-69fd1c6926cf"],
Cell[235309, 5837, 660, 20, 98, "Output",ExpressionUUID->"4afeaafa-3e4e-46f5-af1b-964386e2e788"]
}, Open  ]]
}, Open  ]],
Cell[235996, 5861, 766, 16, 79, "Text",ExpressionUUID->"df5a34e6-b6f5-4969-bbdf-b816358205fc",
 CellTags->"b:5.1.1"],
Cell[CellGroupData[{
Cell[236787, 5881, 718, 17, 71, "Input",ExpressionUUID->"2751f55f-80cc-4b78-90e7-2cbf23ea7805"],
Cell[237508, 5900, 648, 24, 166, "Output",ExpressionUUID->"16031de6-9490-48ec-b82d-73ff85f6875e"],
Cell[238159, 5926, 291, 9, 48, "Output",ExpressionUUID->"c0b7037d-bbe3-4b7a-adc4-6e878e8fbe6d"]
}, Open  ]],
Cell[238465, 5938, 384, 6, 23, "Text",ExpressionUUID->"d049cd31-ce5a-476f-b30e-be266dcb8545",
 CellTags->"b:5.1.1"],
Cell[CellGroupData[{
Cell[238874, 5948, 1066, 30, 48, "Input",ExpressionUUID->"33edebf9-5caa-45bf-aa42-c1a2a940f49e",
 CellTags->"b:5.1.1"],
Cell[239943, 5980, 941, 23, 166, "Output",ExpressionUUID->"f20ce9f1-7f65-449a-91f8-37da1e4a72df",
 CellTags->"b:5.1.1"]
}, Open  ]],
Cell[240899, 6006, 455, 7, 51, "Text",ExpressionUUID->"3cc042e9-2696-4843-b2ce-de567e0d14b7",
 CellTags->"b:5.1.1"],
Cell[CellGroupData[{
Cell[241379, 6017, 962, 19, 87, "Input",ExpressionUUID->"8d4f34a3-116d-42b0-bb73-a29f35df317e",
 CellTags->"b:5.1.1"],
Cell[242344, 6038, 771, 28, 186, "Output",ExpressionUUID->"9abaff47-eaf2-4187-a143-6d7760a11260",
 CellTags->"b:5.1.1"],
Cell[243118, 6068, 474, 13, 67, "Output",ExpressionUUID->"633817f6-45e1-4322-b906-daff78dfa16d",
 CellTags->"b:5.1.1"]
}, Open  ]],
Cell[243607, 6084, 286, 4, 23, "Text",ExpressionUUID->"866f168a-79b0-4b1c-afb9-8a5ec41e3f14",
 CellTags->"b:5.1.1"],
Cell[CellGroupData[{
Cell[243918, 6092, 929, 22, 87, "Input",ExpressionUUID->"406ce482-236e-41b0-b2eb-7b5f0d1f9c05",
 CellTags->"b:5.1.1"],
Cell[244850, 6116, 1089, 29, 182, "Output",ExpressionUUID->"0ccec5db-6898-41c3-9a08-2bd81bdbbb79",
 CellTags->"b:5.1.1"],
Cell[245942, 6147, 1091, 29, 182, "Output",ExpressionUUID->"2368504c-ecc3-4e67-ba30-44441187f177",
 CellTags->"b:5.1.1"]
}, Open  ]],
Cell[247048, 6179, 268, 8, 23, "Text",ExpressionUUID->"2aa52633-de91-47a2-b170-19c8a8b1b3c9",
 CellTags->"b:5.1.1"],
Cell[CellGroupData[{
Cell[247341, 6191, 210, 3, 68, "Input",ExpressionUUID->"265b3060-37a6-40b2-be04-f44b36a83f19",
 CellTags->"b:5.1.1"],
Cell[247554, 6196, 209, 5, 48, "Output",ExpressionUUID->"72cf1ae1-61fe-4287-87d7-32a2c6d1dd1b",
 CellTags->"b:5.1.1"],
Cell[247766, 6203, 209, 5, 48, "Output",ExpressionUUID->"80a26b1f-5146-4ef1-8e11-05fa078cbb84",
 CellTags->"b:5.1.1"]
}, Open  ]],
Cell[247990, 6211, 331, 5, 23, "Text",ExpressionUUID->"4377cd2d-f10d-427f-bef7-42b7723eed6a",
 CellTags->"b:5.1.1"],
Cell[CellGroupData[{
Cell[248346, 6220, 743, 15, 87, "Input",ExpressionUUID->"20008c1c-5e82-4fee-8b36-e24c68c35c6d",
 CellTags->"b:5.1.1"],
Cell[249092, 6237, 665, 23, 166, "Output",ExpressionUUID->"22d3ed08-b731-40be-b017-0cecd34683af",
 CellTags->"b:5.1.1"],
Cell[249760, 6262, 308, 8, 48, "Output",ExpressionUUID->"85992195-a880-4a9f-8e0d-ee6ef8d661f9",
 CellTags->"b:5.1.1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[250105, 6275, 891, 21, 87, "Input",ExpressionUUID->"5ffea734-e6f2-492a-9720-9e3323c342eb",
 CellTags->"b:5.1.1"],
Cell[250999, 6298, 750, 18, 49, "Output",ExpressionUUID->"ba1876c7-282f-486f-8f53-c828be7cdb4d",
 CellTags->"b:5.1.1"],
Cell[251752, 6318, 471, 10, 48, "Output",ExpressionUUID->"cee13c70-677d-4979-ae71-75dca15ce580",
 CellTags->"b:5.1.1"]
}, Open  ]],
Cell[252238, 6331, 230, 4, 23, "Text",ExpressionUUID->"58b90ae3-520b-42bd-a163-881b7e3a52ae",
 CellTags->"b:5.1.1"],
Cell[CellGroupData[{
Cell[252493, 6339, 977, 25, 87, "Input",ExpressionUUID->"f56f3465-6e90-4360-97e2-5f0f575ff2e2"],
Cell[253473, 6366, 195, 6, 48, "Output",ExpressionUUID->"9c88c428-871f-41e0-bbfb-de87b8fa5334"],
Cell[253671, 6374, 197, 6, 48, "Output",ExpressionUUID->"0704188d-e40a-4550-a628-4debde3fc1b3"],
Cell[253871, 6382, 195, 6, 48, "Output",ExpressionUUID->"725720f2-5974-4d70-820c-a08e143051d1"]
}, Open  ]],
Cell[254081, 6391, 826, 16, 48, "Input",ExpressionUUID->"52bf331e-bbc9-4428-8078-82bb981237fe",
 CellTags->"b:5.1.1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[254944, 6412, 173, 4, 60, "Subsection",ExpressionUUID->"ebdd1f3e-2aba-4fcb-ae0d-77b9ae5f4753",
 CellTags->{"c:6", "b:5.1.2"}],
Cell[255120, 6418, 245, 4, 23, "Text",ExpressionUUID->"92b1a419-9aab-4138-9a4c-77a2aec043ac",
 CellTags->"b:5.1.2"],
Cell[255368, 6424, 1361, 42, 155, "Text",ExpressionUUID->"50d4acb7-3470-4ba0-8fda-8127ac1c9a92",
 CellTags->"b:5.1.2"],
Cell[256732, 6468, 262, 4, 23, "Text",ExpressionUUID->"9d8d67e4-4377-4767-a248-27e8b9e4edc6",
 CellTags->"b:5.1.2"],
Cell[CellGroupData[{
Cell[257019, 6476, 329, 9, 48, "Input",ExpressionUUID->"5c15ab41-1c69-447f-8783-130e0a4a2cd0"],
Cell[257351, 6487, 750, 22, 98, "Output",ExpressionUUID->"09feaa02-dbd6-4fdd-b64d-1b288903f839"]
}, Open  ]],
Cell[CellGroupData[{
Cell[258138, 6514, 147, 3, 48, "Input",ExpressionUUID->"1e6c7637-7baf-4c32-bd8d-6e85d4c1c029"],
Cell[258288, 6519, 658, 20, 98, "Output",ExpressionUUID->"7896cbe5-f81b-4243-9694-1608b432c070"],
Cell[CellGroupData[{
Cell[258971, 6543, 218, 5, 48, "Input",ExpressionUUID->"c547fc61-4ed3-4482-9a26-33b142ece293"],
Cell[259192, 6550, 926, 24, 166, "Output",ExpressionUUID->"328c9be6-630a-4cb1-8213-fb1522472c7f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[260155, 6579, 422, 12, 68, "Input",ExpressionUUID->"a9333544-40d9-4165-841d-0710224c2713"],
Cell[260580, 6593, 752, 22, 98, "Output",ExpressionUUID->"5bb984a8-09c7-4cf8-bc28-4d5b9ae83988"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[261381, 6621, 827, 15, 48, "Input",ExpressionUUID->"2fbd723d-9590-42aa-bd43-2c6f7e1c835e",
 CellTags->"b:5.1.2"],
Cell[262211, 6638, 1061, 37, 138, "Output",ExpressionUUID->"1478533c-48c5-4de5-96d9-d6e4ad854855",
 CellTags->"b:5.1.2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[263309, 6680, 322, 9, 48, "Input",ExpressionUUID->"412b16e5-358b-4fa5-aad5-374cf0cbf79a"],
Cell[263634, 6691, 658, 20, 98, "Output",ExpressionUUID->"979f7eb3-cc18-4684-8c32-4801b7679d32"]
}, Open  ]],
Cell[264307, 6714, 738, 24, 51, "Input",ExpressionUUID->"3b75a524-0bb8-46f3-8ebc-8d69bb5b27c1"],
Cell[265048, 6740, 832, 19, 51, "Input",ExpressionUUID->"9c636e0d-c715-41c1-9313-fe6501402c9f",
 CellTags->"b:5.1.2"],
Cell[CellGroupData[{
Cell[265905, 6763, 218, 6, 51, "Input",ExpressionUUID->"676fcbb2-2d74-4e0c-bfc4-2325a70d50ca"],
Cell[266126, 6771, 758, 24, 114, "Output",ExpressionUUID->"cd85ee17-4bd9-4b83-938b-989016171b03"]
}, Open  ]],
Cell[266899, 6798, 466, 10, 24, "Text",ExpressionUUID->"90709f22-a35d-4654-9b34-7661d3f8132c",
 CellTags->"b:5.1.2"],
Cell[267368, 6810, 400, 11, 23, "Text",ExpressionUUID->"1b8f1496-a93a-42ea-8c9e-da07bb8d2562",
 CellTags->"b:5.1.2"],
Cell[267771, 6823, 443, 11, 48, "Input",ExpressionUUID->"e7fbb07e-507e-4529-b95e-50f22881a34b",
 CellTags->"b:5.1.2"],
Cell[268217, 6836, 214, 3, 23, "Text",ExpressionUUID->"004fb12f-1753-4a61-b34a-dd14f0bdde66",
 CellTags->"b:5.1.2"],
Cell[268434, 6841, 939, 26, 51, "Input",ExpressionUUID->"a46b5b14-c0d6-4eb6-95de-faef9604bb4f"],
Cell[CellGroupData[{
Cell[269398, 6871, 225, 5, 51, "Input",ExpressionUUID->"5deb2f1c-3b40-4871-a065-fff2b8608e9c"],
Cell[269626, 6878, 396, 9, 28, "Message",ExpressionUUID->"c6367ac4-ffe4-44de-960b-9f1d41bc2167"],
Cell[270025, 6889, 396, 9, 28, "Message",ExpressionUUID->"1e381a08-27a4-4635-bc0d-59b5338676b6"],
Cell[270424, 6900, 396, 9, 28, "Message",ExpressionUUID->"18d5a522-2999-4985-8bbd-d7ff5b3934f3"],
Cell[270823, 6911, 416, 9, 28, "Message",ExpressionUUID->"2209fa31-c280-4421-a18c-9149aaa84067"],
Cell[271242, 6922, 1041, 30, 64, "Output",ExpressionUUID->"3287ad37-4db2-449f-b470-d95225ff9981"]
}, Open  ]],
Cell[CellGroupData[{
Cell[272320, 6957, 469, 13, 51, "Input",ExpressionUUID->"fe37c2e0-003c-4628-af68-8f46c6874c7a",
 CellTags->"b:5.1.2"],
Cell[272792, 6972, 415, 8, 28, "Message",ExpressionUUID->"c2dbff69-4875-41b9-b8d8-a9184596e8f0",
 CellTags->"b:5.1.2"],
Cell[273210, 6982, 415, 8, 28, "Message",ExpressionUUID->"3a55f978-5e84-4f49-a57a-10bd1c18d404",
 CellTags->"b:5.1.2"],
Cell[273628, 6992, 415, 8, 28, "Message",ExpressionUUID->"87b6d598-dbbf-4fe8-acc8-a414fbba96a0",
 CellTags->"b:5.1.2"],
Cell[274046, 7002, 432, 8, 28, "Message",ExpressionUUID->"eaddc168-1820-42a3-b8aa-d63a694824ff",
 CellTags->"b:5.1.2"],
Cell[274481, 7012, 3595, 50, 110, "Message",ExpressionUUID->"f1e82873-5cf9-44a9-8168-7a728c99e372",
 CellTags->"b:5.1.2"],
Cell[278079, 7064, 3598, 50, 130, "Message",ExpressionUUID->"05fa4cc9-f28a-4ac9-b520-dd5338dd0610",
 CellTags->"b:5.1.2"],
Cell[281680, 7116, 3598, 50, 110, "Message",ExpressionUUID->"d8228fda-5c31-4b5a-96ad-13b79266b0dc",
 CellTags->"b:5.1.2"],
Cell[285281, 7168, 421, 8, 28, "Message",ExpressionUUID->"5935333f-3465-4aef-81d2-10ac60e9b57d",
 CellTags->"b:5.1.2"],
Cell[285705, 7178, 4514, 134, 212, "Output",ExpressionUUID->"c5a4c696-60ac-4d1d-9a91-bf5bceee3ef3",
 CellTags->"b:5.1.2"]
}, Open  ]],
Cell[290234, 7315, 258, 4, 23, "Text",ExpressionUUID->"b54621e8-2505-4047-bdc3-bef345f79117",
 CellTags->"b:5.1.2"],
Cell[CellGroupData[{
Cell[290517, 7323, 1140, 33, 117, "Input",ExpressionUUID->"62c77637-3bd8-4b84-857d-04c7490fb8e9",
 CellTags->"b:5.1.2"],
Cell[291660, 7358, 747, 27, 186, "Output",ExpressionUUID->"a012ca0f-86cc-4b3a-b80c-35b389b30caa",
 CellTags->"b:5.1.2"],
Cell[292410, 7387, 450, 12, 67, "Output",ExpressionUUID->"2b0db14e-0a84-4adf-bd7f-fe9ea742e59f",
 CellTags->"b:5.1.2"],
Cell[292863, 7401, 1042, 27, 182, "Output",ExpressionUUID->"c602d931-2955-4483-b101-98658cdbac3d",
 CellTags->"b:5.1.2"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[293954, 7434, 180, 4, 60, "Subsection",ExpressionUUID->"3f6bd59f-a0b2-4145-b76b-1a78f690e030",
 CellTags->{"c:7", "b:5.1.3"}],
Cell[294137, 7440, 703, 15, 39, "Text",ExpressionUUID->"58b13c8b-e530-4a78-abeb-f3b57b5f2b66",
 CellTags->"b:5.1.3"],
Cell[CellGroupData[{
Cell[294865, 7459, 1373, 41, 87, "Input",ExpressionUUID->"5dc07b85-abd9-47ca-b111-869484ba5bc1",
 CellTags->"b:5.1.3"],
Cell[296241, 7502, 2073, 47, 302, "Output",ExpressionUUID->"41c4ae71-0356-4f0f-9bde-ad3b25228f8d",
 CellTags->"b:5.1.3"],
Cell[298317, 7551, 601, 17, 77, "Output",ExpressionUUID->"0114a097-4843-45ac-b244-ca9971ef83bc",
 CellTags->"b:5.1.3"],
Cell[298921, 7570, 675, 19, 98, "Output",ExpressionUUID->"36b78c80-731d-40cf-a9a5-eed10159ca08",
 CellTags->"b:5.1.3"]
}, Open  ]],
Cell[299611, 7592, 442, 14, 23, "Text",ExpressionUUID->"e399ee9c-246b-409e-8935-d9cae4a85ce2",
 CellTags->"b:5.1.3"],
Cell[CellGroupData[{
Cell[300078, 7610, 516, 11, 125, "Input",ExpressionUUID->"9555a556-40bb-42af-82be-89e6ad4ab852",
 CellTags->"b:5.1.3"],
Cell[300597, 7623, 212, 5, 61, "Output",ExpressionUUID->"944e2909-a777-45f3-a500-43eab24e0f4b",
 CellTags->"b:5.1.3"],
Cell[300812, 7630, 209, 5, 61, "Output",ExpressionUUID->"28e7269a-6171-4fa4-a08f-77a4ac1d6c47",
 CellTags->"b:5.1.3"],
Cell[301024, 7637, 209, 5, 61, "Output",ExpressionUUID->"412a3936-99ec-466b-9909-7d29ccbefb97",
 CellTags->"b:5.1.3"],
Cell[301236, 7644, 209, 5, 61, "Output",ExpressionUUID->"290bd8e5-8eb4-462c-a0e6-748706b74bfe",
 CellTags->"b:5.1.3"],
Cell[301448, 7651, 209, 5, 48, "Output",ExpressionUUID->"dc029475-99c2-40b0-87f3-c3a0f4a0fd62",
 CellTags->"b:5.1.3"],
Cell[301660, 7658, 246, 4, 23, "Text",ExpressionUUID->"45732038-1ac3-43c8-b7be-e3cbe8c98726",
 CellTags->"b:5.1.3"],
Cell[CellGroupData[{
Cell[301931, 7666, 1615, 45, 48, "Input",ExpressionUUID->"0e9f8e45-2a6c-4531-aa32-a55f0f8b3fa7",
 CellTags->"b:5.1.3"],
Cell[303549, 7713, 1018, 26, 203, "Output",ExpressionUUID->"77c2a206-4105-420b-a0d6-c5e7e7abb4cc",
 CellTags->"b:5.1.3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[304604, 7744, 200, 3, 68, "Input",ExpressionUUID->"5a352f21-2510-4ca2-b35a-093a1b3f372d",
 CellTags->"b:5.1.3"],
Cell[304807, 7749, 209, 5, 61, "Output",ExpressionUUID->"96b879aa-00ca-4373-a3c5-54e5f2020eac",
 CellTags->"b:5.1.3"],
Cell[305019, 7756, 230, 6, 63, "Output",ExpressionUUID->"42324035-3fe0-4cad-8d7d-d88dd4e18ae4",
 CellTags->"b:5.1.3"]
}, Open  ]]
}, Open  ]],
Cell[305276, 7766, 387, 6, 39, "Text",ExpressionUUID->"f1e793e8-7599-4ff8-9cb9-21310cca2aa4",
 CellTags->"b:5.1.3"],
Cell[CellGroupData[{
Cell[305688, 7776, 208, 5, 48, "Input",ExpressionUUID->"acadd389-ca24-4dcb-bc92-3a292220ded4",
 CellTags->"b:5.1.3"],
Cell[305899, 7783, 651, 19, 93, "Output",ExpressionUUID->"7266f767-0d05-454f-9472-cd7f0d96b30d",
 CellTags->"b:5.1.3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[306587, 7807, 208, 5, 48, "Input",ExpressionUUID->"e97f580e-858a-4827-9076-63038238c148",
 CellTags->"b:5.1.3"],
Cell[306798, 7814, 651, 19, 93, "Output",ExpressionUUID->"ccf7cddb-734c-4c28-ab7a-faa6c5997923",
 CellTags->"b:5.1.3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[307486, 7838, 208, 5, 48, "Input",ExpressionUUID->"850941cc-0899-42cf-a2ff-cd1c9a85da78",
 CellTags->"b:5.1.3"],
Cell[307697, 7845, 603, 17, 77, "Output",ExpressionUUID->"61fd413a-71ec-4736-8588-5aa4f094bf11",
 CellTags->"b:5.1.3"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[308349, 7868, 173, 4, 60, "Subsection",ExpressionUUID->"e002d84f-c684-4417-930d-cde2cb35ba06",
 CellTags->{"c:8", "b:5.1.4"}],
Cell[308525, 7874, 675, 17, 26, "Text",ExpressionUUID->"9876425c-5f1e-4d2b-a683-063baef294f2",
 CellTags->"b:5.1.4"],
Cell[CellGroupData[{
Cell[309225, 7895, 755, 19, 106, "Input",ExpressionUUID->"aee94f08-e9e2-4733-bfaa-94fa267efe01"],
Cell[309983, 7916, 192, 5, 61, "Output",ExpressionUUID->"a776f713-4120-4227-9319-1b070408b4f8"],
Cell[310178, 7923, 195, 6, 61, "Output",ExpressionUUID->"41616aca-c0de-4425-afa5-aa01f9a88d39"],
Cell[310376, 7931, 195, 6, 61, "Output",ExpressionUUID->"247e03a1-38b1-4df9-b5d0-c37c00d48b11"],
Cell[310574, 7939, 197, 6, 48, "Output",ExpressionUUID->"4ee2fe79-6320-45b1-92d3-0ee38cef906e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[310808, 7950, 302, 5, 106, "Input",ExpressionUUID->"9ce26e42-5b95-4d68-a6fd-84d0f8381ac5",
 CellTags->"b:5.1.4"],
Cell[311113, 7957, 603, 17, 77, "Output",ExpressionUUID->"1bb25c4e-9a10-4cbf-82c6-3b43d7235069",
 CellTags->"b:5.1.4"],
Cell[311719, 7976, 603, 17, 77, "Output",ExpressionUUID->"23f945f9-1629-4e6d-9c03-036aa14eb33e",
 CellTags->"b:5.1.4"],
Cell[312325, 7995, 647, 18, 77, "Output",ExpressionUUID->"5c8139f7-9960-4ed7-82ef-bb0375c0e9bb",
 CellTags->"b:5.1.4"],
Cell[312975, 8015, 625, 18, 64, "Output",ExpressionUUID->"f53c4294-31dd-483d-9670-eb8b5537adaa",
 CellTags->"b:5.1.4"]
}, Open  ]],
Cell[313615, 8036, 202, 3, 23, "Text",ExpressionUUID->"bb521634-3995-4627-9b27-17fe77e06940",
 CellTags->"b:5.1.4"],
Cell[CellGroupData[{
Cell[313842, 8043, 298, 5, 106, "Input",ExpressionUUID->"f393ecfc-e7a4-4e1d-87eb-a6f24c8e14bb",
 CellTags->"b:5.1.4"],
Cell[314143, 8050, 603, 17, 77, "Output",ExpressionUUID->"6783de5f-07e5-409a-8dd1-8b246ff308d0",
 CellTags->"b:5.1.4"],
Cell[314749, 8069, 603, 17, 77, "Output",ExpressionUUID->"685260c0-b0ab-4136-b024-b8209994ec90",
 CellTags->"b:5.1.4"],
Cell[315355, 8088, 647, 18, 77, "Output",ExpressionUUID->"bc9c064f-afae-4a8f-b3d9-6e0a4f60d172",
 CellTags->"b:5.1.4"],
Cell[316005, 8108, 623, 18, 64, "Output",ExpressionUUID->"7a8379c0-1bad-4039-bcd3-6f3fbb94bdfd",
 CellTags->"b:5.1.4"]
}, Open  ]],
Cell[316643, 8129, 619, 19, 23, "Text",ExpressionUUID->"a207610d-6312-474b-834e-78bae7e7e92a",
 CellTags->"b:5.1.4"],
Cell[CellGroupData[{
Cell[317287, 8152, 2511, 65, 112, "Input",ExpressionUUID->"d9d0130d-f350-4f64-b40a-a70abf2dd86b",
 CellTags->"b:5.1.4"],
Cell[319801, 8219, 7455, 213, 143, "Output",ExpressionUUID->"baf3cf6c-6d63-4ff7-9b42-d859214959e5",
 CellTags->"b:5.1.4"],
Cell[327259, 8434, 209, 5, 48, "Output",ExpressionUUID->"78d113f9-44be-4132-a6a7-be3ef70cbb6d",
 CellTags->"b:5.1.4"],
Cell[327471, 8441, 1991, 68, 35, "Text",ExpressionUUID->"6c8fbb00-81b2-43d0-9728-032090d26e5c",
 CellTags->"b:5.1.4"]
}, Open  ]],
Cell[329477, 8512, 692, 18, 39, "Text",ExpressionUUID->"5883202c-c130-4a27-83a6-2b1c1338e89f",
 CellTags->"b:5.1.4"],
Cell[CellGroupData[{
Cell[330194, 8534, 1331, 32, 220, "Input",ExpressionUUID->"b287a590-a9ee-4eba-98ba-53841cf141f7"],
Cell[331528, 8568, 197, 6, 61, "Output",ExpressionUUID->"c32c1da8-9303-4ef2-9c2c-884cc3c3f908"],
Cell[331728, 8576, 2271, 52, 111, "Output",ExpressionUUID->"c5ee9ff0-97bf-4592-83d9-a7a2be6d9064"],
Cell[334002, 8630, 191, 5, 61, "Output",ExpressionUUID->"3d328a57-3d56-4b86-b765-16323b781daf"],
Cell[334196, 8637, 2290, 53, 111, "Output",ExpressionUUID->"c39dbb31-9b3e-4946-a730-3d75bf6e59ce"],
Cell[336489, 8692, 209, 6, 61, "Output",ExpressionUUID->"26ddce9a-c832-489b-84a2-ad730d22f17d"],
Cell[336701, 8700, 206, 5, 61, "Output",ExpressionUUID->"8d0b4e2b-cc3d-45a3-9b4f-79082750a5b8"],
Cell[336910, 8707, 1508, 43, 291, "Output",ExpressionUUID->"6189c2b4-9383-4833-b6e7-e72483f3632c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[338455, 8755, 330, 6, 68, "Input",ExpressionUUID->"ff0c6ca1-370d-4fd9-b21e-44973bd2b073"],
Cell[338788, 8763, 10874, 264, 311, "Output",ExpressionUUID->"a72e439a-c495-4396-83e1-012d9f68661e"],
Cell[349665, 9029, 12829, 304, 204, "Output",ExpressionUUID->"56b010a2-bcea-4474-9bcb-fd0a3a4d055d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[362531, 9338, 420, 11, 87, "Input",ExpressionUUID->"be6caa0b-6b30-4387-abce-dace27b3dd09",
 CellTags->"b:5.1.4"],
Cell[362954, 9351, 901, 24, 77, "Output",ExpressionUUID->"c333bba1-f814-4aec-bd5d-0c0a6dac53ae",
 CellTags->"b:5.1.4"],
Cell[363858, 9377, 211, 5, 61, "Output",ExpressionUUID->"c223ea21-074d-4a3a-91a2-6b0fb34ca22f",
 CellTags->"b:5.1.4"],
Cell[364072, 9384, 227, 5, 48, "Output",ExpressionUUID->"bc6c0aa2-6945-46c4-9eba-e95fcc17014e",
 CellTags->"b:5.1.4"],
Cell[CellGroupData[{
Cell[364324, 9393, 374, 8, 87, "Input",ExpressionUUID->"de850a57-3826-4d28-bd15-b3fd7a739323",
 CellTags->"b:5.1.4"],
Cell[364701, 9403, 2292, 52, 111, "Output",ExpressionUUID->"c63466de-b6a1-476d-8d8a-8e4be91c7455",
 CellTags->"b:5.1.4"],
Cell[366996, 9457, 213, 5, 61, "Output",ExpressionUUID->"23bf9a50-b278-4822-a687-7f55ec907bc9",
 CellTags->"b:5.1.4"],
Cell[367212, 9464, 226, 5, 48, "Output",ExpressionUUID->"c8f15f6d-1e68-47b1-9af0-4e1b6ec40be8",
 CellTags->"b:5.1.4"]
}, Open  ]]
}, Open  ]],
Cell[367465, 9473, 431, 6, 39, "Text",ExpressionUUID->"a42c41b3-34bd-47b5-9483-e238cdf3be4f",
 CellTags->"b:5.1.4"],
Cell[CellGroupData[{
Cell[367921, 9483, 542, 13, 89, "Input",ExpressionUUID->"d921c944-9ec4-47e2-9a01-e7ba7e5351c3",
 CellTags->"b:5.1.4"],
Cell[368466, 9498, 898, 22, 77, "Output",ExpressionUUID->"0e149ce7-5afd-4cf6-90f0-1bc4f40cf23d",
 CellTags->"b:5.1.4"],
Cell[369367, 9522, 211, 5, 61, "Output",ExpressionUUID->"4218e37b-5fcd-4e90-8329-48427b405dc3",
 CellTags->"b:5.1.4"],
Cell[369581, 9529, 227, 5, 48, "Output",ExpressionUUID->"4150359c-3dca-4cbf-b5f9-1d854ae3d710",
 CellTags->"b:5.1.4"]
}, Open  ]],
Cell[369823, 9537, 485, 13, 24, "Text",ExpressionUUID->"4b43de55-5bbd-410c-a1e7-b72a1bb1fac9",
 CellTags->"b:5.1.4"],
Cell[CellGroupData[{
Cell[370333, 9554, 719, 17, 106, "Input",ExpressionUUID->"36ff7949-c261-4e77-a0e4-8b1555c70aa6",
 CellTags->"b:5.1.4"],
Cell[371055, 9573, 212, 5, 61, "Output",ExpressionUUID->"d0a4433f-0e84-4db1-94e8-9c5a61a80a4d",
 CellTags->"b:5.1.4"],
Cell[371270, 9580, 211, 5, 61, "Output",ExpressionUUID->"faea0313-50c7-4db3-92d9-a97372d78be9",
 CellTags->"b:5.1.4"],
Cell[371484, 9587, 227, 5, 48, "Output",ExpressionUUID->"7ce5e00a-bb5f-4851-902e-4cd0ada6f49a",
 CellTags->"b:5.1.4"]
}, Open  ]],
Cell[371726, 9595, 219, 3, 23, "Text",ExpressionUUID->"f583e549-a9c5-46b9-9ed7-61924636b31d",
 CellTags->"b:5.1.4"],
Cell[CellGroupData[{
Cell[371970, 9602, 378, 7, 125, "Input",ExpressionUUID->"7304b8da-2152-427e-890d-5761bc210772",
 CellTags->"b:5.1.4"],
Cell[372351, 9611, 844, 23, 77, "Output",ExpressionUUID->"64567af2-63fd-4f96-8672-efdfc1801fdc",
 CellTags->"b:5.1.4"],
Cell[373198, 9636, 620, 15, 61, "Output",ExpressionUUID->"e473a8e3-72c9-491c-ade3-c46675fa3217",
 CellTags->"b:5.1.4"],
Cell[373821, 9653, 835, 22, 62, "Output",ExpressionUUID->"a89fbcc2-0c6c-4696-b9e2-539edd4e291b",
 CellTags->"b:5.1.4"],
Cell[374659, 9677, 630, 15, 48, "Output",ExpressionUUID->"a410e635-35d6-4f05-ba38-2822b12a3357",
 CellTags->"b:5.1.4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[375326, 9697, 730, 14, 106, "Input",ExpressionUUID->"81f22910-4763-433c-8bed-1c1f3bea815c"],
Cell[376059, 9713, 1649, 44, 179, "Output",ExpressionUUID->"b7c562e9-301c-4d16-8076-5c3c788135f5"],
Cell[377711, 9759, 1757, 36, 100, "Output",ExpressionUUID->"dfda0b79-628c-4b7c-aa2f-6f1e5d7cd06f"],
Cell[379471, 9797, 1607, 38, 62, "Output",ExpressionUUID->"bc85459c-a28f-4da0-bb30-13f3b4705f3b"],
Cell[381081, 9837, 1803, 37, 87, "Output",ExpressionUUID->"6b1f5386-f810-4828-ba3e-8f7e9db468cd"],
Cell[CellGroupData[{
Cell[382909, 9878, 353, 9, 68, "Input",ExpressionUUID->"1633230f-b1cd-4e87-9d53-8a3d6ec4b17f"],
Cell[383265, 9889, 582, 17, 62, "Output",ExpressionUUID->"744fdbff-acb3-47fa-a54d-ba47f32b1231"],
Cell[383850, 9908, 580, 17, 49, "Output",ExpressionUUID->"7a72f7bd-1d96-4396-8505-ffd86f560f62"]
}, Open  ]]
}, Open  ]],
Cell[384457, 9929, 1351, 42, 52, "Text",ExpressionUUID->"5b3e8ab6-2b84-4dd9-950b-a37e46a31ff7",
 CellTags->"b:5.1.4"],
Cell[CellGroupData[{
Cell[385833, 9975, 272, 6, 48, "Input",ExpressionUUID->"16979d3e-fc3a-4d77-8172-4e2ea2e9bf36",
 CellTags->"b:5.1.4"],
Cell[386108, 9983, 1777, 53, 103, "Output",ExpressionUUID->"0ddaa3f8-220a-4177-9777-dbbe24a689d6",
 CellTags->"b:5.1.4"]
}, Open  ]],
Cell[387900, 10039, 124, 2, 24, "Text",ExpressionUUID->"5ba22849-132a-4339-9c9d-e0dd3efd4c3a",
 CellTags->"b:5.1.4"],
Cell[CellGroupData[{
Cell[388049, 10045, 396, 10, 48, "Input",ExpressionUUID->"ecdcda9b-3b8b-4688-9360-af26828f26b2",
 CellTags->"b:5.1.4"],
Cell[388448, 10057, 821, 23, 77, "Output",ExpressionUUID->"577660b5-c8a4-433d-9260-6bbd51a12a04",
 CellTags->"b:5.1.4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[389306, 10085, 265, 6, 48, "Input",ExpressionUUID->"ffeaec99-3b7e-4f6a-9998-beac7b057f0e",
 CellTags->"b:5.1.4"],
Cell[389574, 10093, 860, 24, 97, "Output",ExpressionUUID->"128aa85f-9c1f-4144-a8a2-c457cdb2e41c",
 CellTags->"b:5.1.4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[390471, 10122, 194, 4, 48, "Input",ExpressionUUID->"c8fb8a81-100b-4a60-bf07-739bb597bae2",
 CellTags->"b:5.1.4"],
Cell[390668, 10128, 625, 18, 77, "Output",ExpressionUUID->"89849f56-ec8a-45be-a53e-5eb436e3f93e",
 CellTags->"b:5.1.4"]
}, Open  ]],
Cell[391308, 10149, 490, 15, 26, "Text",ExpressionUUID->"aef0dd58-9096-42f2-9175-88f3d62be1e9",
 CellTags->"b:5.1.4"],
Cell[CellGroupData[{
Cell[391823, 10168, 412, 11, 48, "Input",ExpressionUUID->"d7e93c56-0f95-4286-bb08-4a7c37783cd9",
 CellTags->"b:5.1.4"],
Cell[392238, 10181, 849, 25, 81, "Output",ExpressionUUID->"a7195d3c-055c-42fb-b71e-d17ebebb5ce0",
 CellTags->"b:5.1.4"]
}, Open  ]],
Cell[393102, 10209, 370, 6, 23, "Text",ExpressionUUID->"7f4dc226-804d-4b66-be91-537b1961314f",
 CellTags->"b:5.1.4"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[393521, 10221, 153, 4, 51, "Section",ExpressionUUID->"79eb7e0d-d69a-4eb4-8d53-7e1036397872",
 CellTags->{"Quantum Gates", "c:9"}],
Cell[393677, 10227, 285, 5, 23, "Text",ExpressionUUID->"45d53de0-f444-4ca6-bcf7-2a4330e3a2dc"],
Cell[393965, 10234, 424, 13, 25, "Text",ExpressionUUID->"26b2c6e2-54ba-4ccb-ac79-2ec376d25bb1"],
Cell[CellGroupData[{
Cell[394414, 10251, 243, 5, 60, "Subsection",ExpressionUUID->"3b8a2bb5-ff2f-4bf6-9d40-254a22d08d0c",
 CellTags->{"c:10", "b:5.2.0"}],
Cell[394660, 10258, 1618, 47, 109, "Text",ExpressionUUID->"21d34541-9400-4045-8a72-6da0b07d0b39",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[396303, 10309, 191, 4, 48, "Input",ExpressionUUID->"fb1dd838-a105-4ad7-8567-e2ed2c157cf7",
 CellTags->"b:5.2.0"],
Cell[396497, 10315, 793, 26, 97, "Output",ExpressionUUID->"7516b5e7-3fdb-49c4-a883-354aab5c7d94",
 CellTags->"b:5.2.0"],
Cell[397293, 10343, 186, 3, 23, "Text",ExpressionUUID->"3e70e7fa-5367-4a4a-8949-b467f999ecfc",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[397504, 10350, 120, 1, 48, "Input",ExpressionUUID->"2ca1e2cf-c6e2-40a7-9bca-6c631d0726a1",
 CellTags->"b:5.2.0"],
Cell[397627, 10353, 795, 26, 97, "Output",ExpressionUUID->"d9941d92-05da-4ad5-919d-c92d910ad8ad",
 CellTags->"b:5.2.0"]
}, Open  ]],
Cell[398437, 10382, 225, 4, 23, "Text",ExpressionUUID->"8a36829f-e821-4072-8c0c-70156b8a007b",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[398687, 10390, 446, 8, 48, "Input",ExpressionUUID->"78732149-17d8-4631-a68b-713d355aace4",
 CellTags->"b:5.2.0"],
Cell[399136, 10400, 1711, 59, 259, "Output",ExpressionUUID->"afac517c-8eee-4057-a305-bd81226040fb",
 CellTags->"b:5.2.0"],
Cell[400850, 10461, 190, 3, 23, "Text",ExpressionUUID->"271753b8-03a5-4b63-91cd-24d73aed3b60",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[401065, 10468, 520, 9, 48, "Input",ExpressionUUID->"9f128a3a-c371-4e5b-8878-d0a7140e2cca",
 CellTags->"b:5.2.0"],
Cell[401588, 10479, 1713, 59, 259, "Output",ExpressionUUID->"2cf1d5b9-4bcc-470f-a786-c3ce1b86f1f6",
 CellTags->"b:5.2.0"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[403340, 10543, 519, 7, 39, "Text",ExpressionUUID->"11f4fbcd-1820-4cc2-81b7-50ec38293571",
 CellTags->"b:5.2.0"]
}, Open  ]]
}, Open  ]],
Cell[403886, 10554, 73, 0, 24, "Input",ExpressionUUID->"bde12604-446f-4cef-b3bf-c1262a1b7c09"],
Cell[CellGroupData[{
Cell[403984, 10558, 998, 23, 106, "Input",ExpressionUUID->"de6a3ad7-b903-4f74-862f-3428e9789319",
 CellTags->"b:5.2.0"],
Cell[404985, 10583, 943, 23, 179, "Output",ExpressionUUID->"d3dc97b4-ebfe-4bd9-8510-0d2b7a1d2485",
 CellTags->"b:5.2.0"],
Cell[405931, 10608, 1043, 27, 195, "Output",ExpressionUUID->"8cf95725-d1ed-4666-920c-a438369d4617",
 CellTags->"b:5.2.0"],
Cell[406977, 10637, 701, 21, 93, "Output",ExpressionUUID->"078ff31e-37c3-48b9-902a-8d78207b2b58",
 CellTags->"b:5.2.0"],
Cell[407681, 10660, 603, 17, 64, "Output",ExpressionUUID->"1753506e-efe6-47b5-8dee-1377ac0e99e1",
 CellTags->"b:5.2.0"]
}, Open  ]],
Cell[408299, 10680, 484, 15, 23, "Text",ExpressionUUID->"7220ecdd-f52b-413e-8c3e-245c07d413f6",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[408808, 10699, 254, 6, 48, "Input",ExpressionUUID->"b58aadf2-51ad-4506-ad2f-65f04d6c97dd",
 CellTags->{"i:2", "b:5.2.0"}],
Cell[409065, 10707, 2555, 88, 243, "Output",ExpressionUUID->"6106d4bd-9a0c-49fe-8d9e-fee1626db340",
 CellTags->{"i:2", "b:5.2.0"}]
}, Open  ]],
Cell[411635, 10798, 241, 4, 23, "Text",ExpressionUUID->"b6f93c53-5fa4-4613-aafd-f6610f2ad2aa",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[411901, 10806, 481, 13, 87, "Input",ExpressionUUID->"d09533fe-e14d-4342-b193-457ebd473c5c",
 CellTags->"b:5.2.0"],
Cell[412385, 10821, 675, 21, 97, "Output",ExpressionUUID->"17736115-2589-4f05-839b-c1a4f816c82b",
 CellTags->"b:5.2.0"],
Cell[413063, 10844, 593, 17, 77, "Output",ExpressionUUID->"a3efda42-e675-4df5-930d-f15891e8d2f6",
 CellTags->"b:5.2.0"],
Cell[413659, 10863, 699, 22, 84, "Output",ExpressionUUID->"a1f1c5ac-8a87-4659-bcff-a7f588fd6642",
 CellTags->"b:5.2.0"]
}, Open  ]],
Cell[414373, 10888, 293, 4, 23, "Text",ExpressionUUID->"e25379e1-9e7c-4a09-b9e0-07ef35e890f6",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[414691, 10896, 547, 12, 68, "Input",ExpressionUUID->"7f2ac3fc-6ca7-4899-be65-64ce9cdf8855",
 CellTags->"b:5.2.0"],
Cell[415241, 10910, 895, 26, 97, "Output",ExpressionUUID->"4a2eecf0-7f6a-4750-aa68-4c8530958496",
 CellTags->"b:5.2.0"],
Cell[416139, 10938, 1043, 31, 82, "Output",ExpressionUUID->"578f9bc9-f88a-449d-b0cd-4ccf674deacd",
 CellTags->"b:5.2.0"]
}, Open  ]],
Cell[417197, 10972, 1107, 31, 32, "Text",ExpressionUUID->"e5c79b00-4108-4617-99b6-9f2cef9d3f3b",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[418329, 11007, 291, 5, 68, "Input",ExpressionUUID->"5c6a6c0d-aa0f-4695-8ec5-b393cda61f9a",
 CellTags->"b:5.2.0"],
Cell[418623, 11014, 725, 21, 97, "Output",ExpressionUUID->"dfa7b5bf-b965-4c80-976e-79e6add881c1",
 CellTags->"b:5.2.0"],
Cell[419351, 11037, 503, 13, 62, "Output",ExpressionUUID->"ae0d1bad-4a15-4bab-9f83-96406f4d69f4",
 CellTags->"b:5.2.0"]
}, Open  ]],
Cell[419869, 11053, 324, 11, 24, "Text",ExpressionUUID->"777e14bf-744f-4df1-9e1a-97ebd55d440f",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[420218, 11068, 468, 9, 106, "Input",ExpressionUUID->"d2f214d6-1e26-44ea-ab21-4767f6b4ed50",
 CellTags->"b:5.2.0"],
Cell[420689, 11079, 893, 26, 97, "Output",ExpressionUUID->"e7342b2b-8eb2-423e-812b-46d10b39aef9",
 CellTags->"b:5.2.0"],
Cell[421585, 11107, 503, 13, 75, "Output",ExpressionUUID->"732742a8-009a-4bc1-8b8e-42a9e6dbfed2",
 CellTags->"b:5.2.0"],
Cell[422091, 11122, 677, 21, 97, "Output",ExpressionUUID->"9c041ff2-8b09-497d-96b6-05c5306af622",
 CellTags->"b:5.2.0"],
Cell[422771, 11145, 441, 11, 67, "Output",ExpressionUUID->"424e34d3-4da3-4530-95b8-49538b3fb6bd",
 CellTags->"b:5.2.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[423249, 11161, 238, 6, 60, "Subsection",ExpressionUUID->"3ec222cb-b3e3-4075-a2cf-ef8e16a6aab0",
 CellTags->{"i:1", "c:11", "b:5.2.1"}],
Cell[423490, 11169, 827, 20, 40, "Text",ExpressionUUID->"9e52f50e-c086-44a1-a640-04cdd410d549",
 CellTags->"b:5.2.1"],
Cell[CellGroupData[{
Cell[424342, 11193, 167, 3, 48, "Input",ExpressionUUID->"111f2419-4a68-40ed-a11a-ac995340f263",
 CellTags->"b:5.2.1"],
Cell[424512, 11198, 675, 19, 111, "Output",ExpressionUUID->"ef5a7996-fbbf-4c02-ad18-00c9a0d50862",
 CellTags->"b:5.2.1"]
}, Open  ]],
Cell[425202, 11220, 389, 11, 23, "Text",ExpressionUUID->"830419cd-ce74-4a00-ae41-c7d7c1da738e",
 CellTags->"b:5.2.1"],
Cell[CellGroupData[{
Cell[425616, 11235, 615, 14, 48, "Input",ExpressionUUID->"69797ecf-4681-49ec-bab9-8b1ba224fbca",
 CellTags->"b:5.2.1"],
Cell[426234, 11251, 675, 19, 111, "Output",ExpressionUUID->"1a3449b9-13d6-4a90-9bcd-a8e7a3f6b561",
 CellTags->"b:5.2.1"]
}, Open  ]],
Cell[426924, 11273, 277, 4, 23, "Text",ExpressionUUID->"fa9cc76d-fc9c-416e-8e7b-5193177ed77a",
 CellTags->"b:5.2.1"],
Cell[CellGroupData[{
Cell[427226, 11281, 409, 8, 48, "Input",ExpressionUUID->"e03e3f37-97b4-4ad3-a1f4-4597367d76bf",
 CellTags->"b:5.2.1"],
Cell[427638, 11291, 675, 19, 111, "Output",ExpressionUUID->"d729be9e-2e4b-4351-92f6-172deeae9762",
 CellTags->"b:5.2.1"]
}, Open  ]],
Cell[428328, 11313, 403, 11, 23, "Text",ExpressionUUID->"a14ecf1c-3a51-4e71-9f2d-7cd23dc04bca",
 CellTags->"b:5.2.1"],
Cell[428734, 11326, 186, 4, 48, "Input",ExpressionUUID->"6f2a4fba-3f59-4a3c-8704-6e9435b9bae5",
 CellTags->"b:5.2.1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[428957, 11335, 236, 6, 60, "Subsection",ExpressionUUID->"1fd4b4f5-b172-42fe-9fdd-13e6d8cc8dc9",
 CellTags->{"i:1", "c:12", "b:5.2.2"}],
Cell[429196, 11343, 248, 4, 23, "Text",ExpressionUUID->"aa581654-866a-4a5e-8e70-53b121737eb0",
 CellTags->"b:5.2.2"],
Cell[429447, 11349, 285, 6, 23, "Text",ExpressionUUID->"2f2166a0-f446-4562-94a4-9535d937ab5b",
 CellTags->"b:5.2.2"],
Cell[429735, 11357, 389, 6, 51, "Text",ExpressionUUID->"cc7d302e-c6bf-46c5-be27-c2a87a94fca6",
 CellTags->"b:5.2.2"],
Cell[CellGroupData[{
Cell[430149, 11367, 264, 5, 68, "Input",ExpressionUUID->"f84469da-52c7-4320-b674-142a84bb1594",
 CellTags->"b:5.2.2"],
Cell[430416, 11374, 697, 20, 111, "Output",ExpressionUUID->"fd2c9343-bc1c-4a7f-b89a-95bd2af54ecb",
 CellTags->"b:5.2.2"],
Cell[431116, 11396, 697, 20, 98, "Output",ExpressionUUID->"b3315d6c-54eb-4880-929b-5f37a37b3c1e",
 CellTags->"b:5.2.2"]
}, Open  ]],
Cell[431828, 11419, 365, 10, 23, "Text",ExpressionUUID->"3287e6cb-1af1-4f97-bc57-288cd1a94717",
 CellTags->"b:5.2.2"],
Cell[CellGroupData[{
Cell[432218, 11433, 169, 3, 48, "Input",ExpressionUUID->"b3e6940d-8dd9-4b95-9cf9-86ee0968bd88",
 CellTags->"b:5.2.2"],
Cell[432390, 11438, 986, 25, 179, "Output",ExpressionUUID->"67bddaa8-1add-4c48-8e7e-e0332c9654e3",
 CellTags->"b:5.2.2"]
}, Open  ]],
Cell[433391, 11466, 321, 5, 23, "Text",ExpressionUUID->"5f248246-16b7-4fd5-b2e7-07b706bea8a8",
 CellTags->"b:5.2.2"],
Cell[433715, 11473, 226, 4, 23, "Text",ExpressionUUID->"9edabae5-4798-412f-899b-9ee7bf6238f6",
 CellTags->"b:5.2.2"],
Cell[433944, 11479, 487, 9, 23, "Text",ExpressionUUID->"a1bee995-2a7b-404a-bda8-6944290b188a",
 CellTags->"b:5.2.2"],
Cell[434434, 11490, 209, 3, 23, "Text",ExpressionUUID->"052104f8-a527-4e15-8f3f-931e663f6be1",
 CellTags->"b:5.2.2"],
Cell[CellGroupData[{
Cell[434668, 11497, 497, 11, 87, "Input",ExpressionUUID->"3a7345dd-7b91-4d5b-8595-e16cd99f352d",
 CellTags->"b:5.2.2"],
Cell[435168, 11510, 690, 22, 111, "Output",ExpressionUUID->"062d905a-4091-4724-9184-8caa0ad35cb0",
 CellTags->"b:5.2.2"],
Cell[435861, 11534, 529, 11, 61, "Output",ExpressionUUID->"8cab9b79-62e6-4700-82ac-3911229040f4",
 CellTags->"b:5.2.2"],
Cell[436393, 11547, 514, 11, 48, "Output",ExpressionUUID->"d7bd2274-3c58-4db9-a740-34c0a10cb7d6",
 CellTags->"b:5.2.2"]
}, Open  ]],
Cell[436922, 11561, 377, 6, 39, "Text",ExpressionUUID->"aca4519c-0528-4b01-8522-294f2c146a92",
 CellTags->"b:5.2.2"],
Cell[CellGroupData[{
Cell[437324, 11571, 592, 14, 87, "Input",ExpressionUUID->"a85195dc-a481-4da7-b140-f9a0f30d9117",
 CellTags->"b:5.2.2"],
Cell[437919, 11587, 767, 27, 179, "Output",ExpressionUUID->"33b86928-4c82-4997-9da9-43c5f1e3d168",
 CellTags->"b:5.2.2"],
Cell[438689, 11616, 828, 15, 61, "Output",ExpressionUUID->"969e08e8-675d-4180-966f-8e15a640091c",
 CellTags->"b:5.2.2"],
Cell[439520, 11633, 796, 15, 48, "Output",ExpressionUUID->"b891e856-233d-4736-bd3a-cc8f268171ed",
 CellTags->"b:5.2.2"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[440365, 11654, 234, 6, 60, "Subsection",ExpressionUUID->"db729578-f277-471a-a54f-c3583e9de071",
 CellTags->{"i:1", "c:13", "b:5.2.3"}],
Cell[440602, 11662, 331, 5, 23, "Text",ExpressionUUID->"d663d676-1208-4992-9c5d-20681cb44ecc",
 CellTags->"b:5.2.3"],
Cell[440936, 11669, 2167, 70, 117, "Text",ExpressionUUID->"0cc74252-dd08-4e20-adb1-f6c2b088f45e",
 CellTags->"b:5.2.3"],
Cell[CellGroupData[{
Cell[443128, 11743, 188, 3, 48, "Input",ExpressionUUID->"4e55cb70-851b-41da-8da5-9cf8d08a88b7",
 CellTags->"b:5.2.3"],
Cell[443319, 11748, 942, 23, 179, "Output",ExpressionUUID->"ab963742-7aad-4028-a766-2877f789e631",
 CellTags->"b:5.2.3"]
}, Open  ]],
Cell[444276, 11774, 1076, 32, 55, "Text",ExpressionUUID->"04b7c6b4-9458-4267-8733-aa086c03db3f",
 CellTags->"b:5.2.3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[445389, 11811, 151, 4, 51, "Section",ExpressionUUID->"c82b4218-6bb4-4b60-a2e7-5df41191c753",
 CellTags->{"Measurement", "c:14"}],
Cell[CellGroupData[{
Cell[445565, 11819, 275, 7, 60, "Subsection",ExpressionUUID->"48149862-ef22-41e7-93d6-bfb5d0ce7e17",
 CellTags->{"Measurements", "c:15", "b:5.3.0"}],
Cell[445843, 11828, 353, 6, 23, "Text",ExpressionUUID->"2816430a-954d-4c61-aab3-51dd3bafa67c",
 CellTags->"b:5.3.0"],
Cell[446199, 11836, 405, 9, 24, "Text",ExpressionUUID->"566540e1-28cc-43d5-87eb-4b298a1533bc",
 CellTags->"b:5.3.0"],
Cell[CellGroupData[{
Cell[446629, 11849, 1216, 28, 68, "Input",ExpressionUUID->"67a1fa17-3485-4865-9b54-02f1e423a8ae",
 CellTags->"b:5.3.0"],
Cell[447848, 11879, 3617, 103, 379, "Output",ExpressionUUID->"200b6f77-37e1-4940-ac93-83384e1415b7",
 CellTags->"b:5.3.0"]
}, Open  ]],
Cell[451480, 11985, 266, 4, 23, "Text",ExpressionUUID->"999d4618-05a8-4373-9df2-8e8e85453d8b",
 CellTags->"b:5.3.0"],
Cell[451749, 11991, 645, 13, 51, "Input",ExpressionUUID->"ff6a1bb1-e743-4045-9d55-f6ba2653ee9b",
 CellTags->"b:5.3.0"],
Cell[452397, 12006, 288, 4, 23, "Text",ExpressionUUID->"278467c6-d5bb-4572-917c-2628806c82e9",
 CellTags->"b:5.3.0"],
Cell[452688, 12012, 584, 17, 51, "Input",ExpressionUUID->"1a94353a-3be5-49fb-bf3c-23e152b054d7",
 CellTags->"b:5.3.0"],
Cell[453275, 12031, 287, 4, 23, "Text",ExpressionUUID->"dee65f8a-eb04-41aa-8978-a5eaffb823b6",
 CellTags->"b:5.3.0"],
Cell[CellGroupData[{
Cell[453587, 12039, 278, 6, 68, "Input",ExpressionUUID->"5d2d7897-97aa-4b89-8eae-2741b23dae43",
 CellTags->"b:5.3.0"],
Cell[453868, 12047, 777, 23, 127, "Output",ExpressionUUID->"bf4c65ac-67c4-4457-a4b5-bd521620eff6",
 CellTags->"b:5.3.0"],
Cell[454648, 12072, 209, 5, 48, "Output",ExpressionUUID->"cf242102-b090-4175-8081-23e227ff445b",
 CellTags->"b:5.3.0"]
}, Open  ]],
Cell[454872, 12080, 242, 4, 23, "Text",ExpressionUUID->"928f5fd9-a8c9-41f4-b3c2-88b053227f2a",
 CellTags->"b:5.3.0"],
Cell[CellGroupData[{
Cell[455139, 12088, 426, 9, 87, "Input",ExpressionUUID->"2b676d7b-6edb-4231-baa9-b4bf91f599da",
 CellTags->"b:5.3.0"],
Cell[455568, 12099, 4147, 135, 143, "Output",ExpressionUUID->"494c38e6-845e-4180-af27-fe6c61747223",
 CellTags->"b:5.3.0"],
Cell[459718, 12236, 570, 19, 63, "Output",ExpressionUUID->"23e0c09c-6bca-4f41-93b0-55980d2d287a",
 CellTags->"b:5.3.0"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[460337, 12261, 286, 7, 60, "Subsection",ExpressionUUID->"70479d26-ab83-4850-bd32-ce75f0c84217",
 CellTags->{"Measurements", "MeasureKet", "c:16", "b:5.3.1"}],
Cell[460626, 12270, 228, 4, 23, "Text",ExpressionUUID->"9e61b50b-6dea-4ecb-aa77-c2544809899d",
 CellTags->"b:5.3.1"],
Cell[CellGroupData[{
Cell[460879, 12278, 1312, 31, 87, "Input",ExpressionUUID->"6ba76487-b585-4841-9826-5bb3cca17491",
 CellTags->"b:5.3.1"],
Cell[462194, 12311, 1332, 38, 122, "Output",ExpressionUUID->"3b9f30be-562e-43e0-9118-9fa7ead5b8b2",
 CellTags->"b:5.3.1"]
}, Open  ]],
Cell[463541, 12352, 250, 4, 23, "Text",ExpressionUUID->"628fb2d2-be47-473f-a70d-81078dd62ee5",
 CellTags->"b:5.3.1"],
Cell[463794, 12358, 328, 5, 23, "Text",ExpressionUUID->"9d55f567-3318-4f35-848d-d735afc66345",
 CellTags->"b:5.3.1"],
Cell[464125, 12365, 364, 10, 48, "Input",ExpressionUUID->"00c6272a-2fd1-4e5d-8307-1f450a5b1e4f",
 CellTags->"b:5.3.1"],
Cell[464492, 12377, 291, 4, 23, "Text",ExpressionUUID->"e586a089-5638-47ec-8708-6b9fc5d48125",
 CellTags->"b:5.3.1"],
Cell[CellGroupData[{
Cell[464808, 12385, 310, 6, 68, "Input",ExpressionUUID->"a94ef1a4-577f-473e-b147-bbc11edc09ee",
 CellTags->"b:5.3.1"],
Cell[465121, 12393, 699, 23, 131, "Output",ExpressionUUID->"df79f86f-d964-4bbe-9208-ba4b2143b9ec",
 CellTags->"b:5.3.1"],
Cell[465823, 12418, 442, 11, 67, "Output",ExpressionUUID->"ee8c2228-3b8e-4783-a1f2-3ae4c24d7f39",
 CellTags->"b:5.3.1"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[466326, 12436, 302, 7, 68, "Input",ExpressionUUID->"7bd848c6-2a30-4d1e-8ed9-8f87fd771722"],
Cell[466631, 12445, 661, 21, 69, "Output",ExpressionUUID->"bed2c313-130c-463c-8ae5-5da8d66a1091"],
Cell[467295, 12468, 441, 13, 67, "Output",ExpressionUUID->"be397828-0682-42d3-80d9-57be6e6e4d6e"]
}, Open  ]],
Cell[467751, 12484, 226, 4, 23, "Text",ExpressionUUID->"cf1e8a5e-8ffc-43c2-90f4-a3adda1affac",
 CellTags->"b:5.3.1"],
Cell[467980, 12490, 71, 0, 24, "Input",ExpressionUUID->"47ec9f95-9530-4a99-b842-a297a973fd0c"],
Cell[CellGroupData[{
Cell[468076, 12494, 512, 11, 48, "Input",ExpressionUUID->"7b4bfac0-16da-4e59-8b2a-beb3e7103759",
 CellTags->"b:5.3.1"],
Cell[468591, 12507, 777, 23, 127, "Output",ExpressionUUID->"f4dc2ffa-320e-4f58-89fa-bbb3be5882af",
 CellTags->"b:5.3.1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[469405, 12535, 144, 2, 48, "Input",ExpressionUUID->"f3988208-0d6f-4c5c-a41d-bb58e0e8418c",
 CellTags->"b:5.3.1"],
Cell[469552, 12539, 211, 5, 61, "Output",ExpressionUUID->"a87b0844-86f8-4f12-a2ff-503b4900dba1",
 CellTags->"b:5.3.1"]
}, Open  ]],
Cell[469778, 12547, 226, 4, 23, "Text",ExpressionUUID->"376f6129-e561-450b-9fa7-dd62d4983ca8",
 CellTags->"b:5.3.1"],
Cell[CellGroupData[{
Cell[470029, 12555, 269, 6, 60, "Subsection",ExpressionUUID->"c0691dd5-70e3-45cb-bfe7-63a49fcc8e08",
 CellTags->{"c:17", "b:5.3.2"}],
Cell[CellGroupData[{
Cell[470323, 12565, 305, 7, 68, "Input",ExpressionUUID->"e9438193-f3cd-49dd-9366-1da2b6978d4d",
 CellTags->"b:5.3.2"],
Cell[470631, 12574, 11004, 184, 204, "Output",ExpressionUUID->"42ffd681-f1e1-45fc-97d5-c16db69754d6",
 CellTags->"b:5.3.2"]
}, Open  ]],
Cell[481650, 12761, 257, 4, 23, "Text",ExpressionUUID->"3e015c7a-2282-4518-9f4e-b62c3c56465c",
 CellTags->"b:5.3.2"],
Cell[481910, 12767, 1397, 33, 106, "Input",ExpressionUUID->"0aa3778e-df37-473e-b6ff-1c2fe77a5de8",
 CellTags->"b:5.3.2"],
Cell[483310, 12802, 278, 4, 51, "Text",ExpressionUUID->"4c3460d4-bc16-4b29-96af-a294ac328f87",
 CellTags->"b:5.3.2"],
Cell[483591, 12808, 696, 14, 51, "Input",ExpressionUUID->"7faeaa7a-bd54-4523-bb9e-3d779be849b3",
 CellTags->"b:5.3.2"],
Cell[484290, 12824, 320, 8, 23, "Text",ExpressionUUID->"a6454d57-bb94-401b-8ebf-b9d17da003ea",
 CellTags->"b:5.3.2"],
Cell[484613, 12834, 288, 4, 23, "Text",ExpressionUUID->"080de2e9-59b4-4011-9b6f-a82d9d43c4f4",
 CellTags->"b:5.3.2"],
Cell[484904, 12840, 724, 20, 51, "Input",ExpressionUUID->"dbc104f5-674f-40b2-bfda-59c85030094d",
 CellTags->"b:5.3.2"],
Cell[485631, 12862, 337, 5, 51, "Text",ExpressionUUID->"0ce8fdad-b50e-4f11-bbef-88405cfba147",
 CellTags->"b:5.3.2"],
Cell[CellGroupData[{
Cell[485993, 12871, 246, 4, 48, "Input",ExpressionUUID->"f2944d51-59ad-46ea-8a85-e4992ffa2894",
 CellTags->"b:5.3.2"],
Cell[486242, 12877, 892, 22, 77, "Output",ExpressionUUID->"f0de6b2e-f099-4a7b-b8c2-fb8c11941fa8",
 CellTags->"b:5.3.2"]
}, Open  ]],
Cell[487149, 12902, 517, 7, 107, "Text",ExpressionUUID->"321f7973-2e16-42bd-ae03-0ce155bb7bf4",
 CellTags->"b:5.3.2"],
Cell[487669, 12911, 198, 3, 23, "Text",ExpressionUUID->"f612049d-977f-49b3-a45c-4b688b71dcc1",
 CellTags->"b:5.3.2"],
Cell[487870, 12916, 714, 22, 29, "Text",ExpressionUUID->"10179c0e-7432-40e3-bb78-83b0a31fd4fa",
 CellTags->"b:5.3.2"],
Cell[488587, 12940, 488, 13, 48, "Input",ExpressionUUID->"582507e6-b764-41e4-b1f7-20db575df6ff",
 CellTags->"b:5.3.2"],
Cell[489078, 12955, 524, 12, 48, "Input",ExpressionUUID->"5548f9d8-bf18-47b7-9455-e76e448a5dfc",
 CellTags->"b:5.3.2"],
Cell[CellGroupData[{
Cell[489627, 12971, 217, 4, 48, "Input",ExpressionUUID->"f978e812-6723-466d-87ae-ea3a754e5453",
 CellTags->"b:5.3.2"],
Cell[489847, 12977, 891, 22, 77, "Output",ExpressionUUID->"99337ece-9f76-49ca-951b-14797b03c3d9",
 CellTags->"b:5.3.2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[490775, 13004, 318, 8, 48, "Input",ExpressionUUID->"f0536d56-2b58-461e-bf67-65849f212871",
 CellTags->"b:5.3.2"],
Cell[491096, 13014, 894, 22, 77, "Output",ExpressionUUID->"5e704365-8077-4f2d-ba55-8f9dbed3bf7c",
 CellTags->"b:5.3.2"]
}, Open  ]],
Cell[492005, 13039, 302, 5, 23, "Text",ExpressionUUID->"fec5ece3-79a7-4fb2-866a-c4d9940fa3e4",
 CellTags->"b:5.3.2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[492344, 13049, 330, 12, 143, "Section",ExpressionUUID->"8ab1358a-8478-41a6-b5e3-ad93c9f5d483",
 CellTags->{"Measurement", "c:18"}],
Cell[CellGroupData[{
Cell[492699, 13065, 216, 5, 60, "Subsection",ExpressionUUID->"5f0f62cb-a48c-44c2-a0c1-64822ed15ebd",
 CellTags->{"c:19", "b:5.4.0"}],
Cell[492918, 13072, 250, 4, 23, "Text",ExpressionUUID->"395b809f-21d1-49f0-9ca4-e7ba7ded3073",
 CellTags->"b:5.4.0"],
Cell[493171, 13078, 921, 28, 54, "Text",ExpressionUUID->"40a5dfe6-5cc6-4215-98c6-1d04d7f59eac",
 CellTags->"b:5.4.0"],
Cell[494095, 13108, 435, 13, 24, "Text",ExpressionUUID->"236549de-4931-4f1b-ba10-61bc2c577b0c",
 CellTags->"b:5.4.0"],
Cell[CellGroupData[{
Cell[494555, 13125, 725, 22, 87, "Input",ExpressionUUID->"291daca9-dda6-4a9e-ab8b-c9740e9a895a",
 CellTags->"b:5.4.0"],
Cell[495283, 13149, 601, 17, 77, "Output",ExpressionUUID->"2f24b510-2640-4694-ba1f-d784d2bcc522",
 CellTags->"b:5.4.0"],
Cell[495887, 13168, 701, 21, 93, "Output",ExpressionUUID->"1b7a1d36-2950-49a4-8fdb-637f8ea95ec0",
 CellTags->"b:5.4.0"],
Cell[496591, 13191, 701, 21, 80, "Output",ExpressionUUID->"506abc93-276e-44a0-8e68-77f32a8ee61b",
 CellTags->"b:5.4.0"]
}, Open  ]],
Cell[497307, 13215, 193, 3, 23, "Text",ExpressionUUID->"67207627-2f0c-406c-b343-e25a4bc1b165",
 CellTags->"b:5.4.0"],
Cell[CellGroupData[{
Cell[497525, 13222, 402, 6, 106, "Input",ExpressionUUID->"a69a5db7-046a-439d-bb46-0500284c8016",
 CellTags->"b:5.4.0"],
Cell[497930, 13230, 209, 5, 61, "Output",ExpressionUUID->"ca18d638-7a44-40da-9727-30ef1aea0947",
 CellTags->"b:5.4.0"],
Cell[498142, 13237, 209, 5, 61, "Output",ExpressionUUID->"a5645442-f0be-4a69-b66c-24ca6bda84b4",
 CellTags->"b:5.4.0"],
Cell[498354, 13244, 938, 33, 89, "Output",ExpressionUUID->"274108c1-e962-47f0-8354-a5a0b32d7d80",
 CellTags->"b:5.4.0"],
Cell[499295, 13279, 227, 5, 48, "Output",ExpressionUUID->"d10c2ae5-7ac1-4a99-ab44-82866cb6f6eb",
 CellTags->"b:5.4.0"]
}, Open  ]],
Cell[499537, 13287, 188, 3, 23, "Text",ExpressionUUID->"478401cb-e45b-428f-9508-08f86388db67",
 CellTags->"b:5.4.0"],
Cell[CellGroupData[{
Cell[499750, 13294, 1171, 34, 106, "Input",ExpressionUUID->"c48a78c6-3e68-4fa5-b697-3e70dd5eb0a4",
 CellTags->"b:5.4.0"],
Cell[500924, 13330, 8249, 156, 265, "Output",ExpressionUUID->"aad75c94-1dfd-49d3-86ba-32d4e3962220",
 CellTags->"b:5.4.0"]
}, Open  ]],
Cell[509188, 13489, 303, 9, 24, "Text",ExpressionUUID->"10138523-4deb-49d7-9c76-15ea9d989f37",
 CellTags->"b:5.4.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[509528, 13503, 163, 4, 60, "Subsection",ExpressionUUID->"f979be27-0704-40de-afdf-6e8631738630",
 CellTags->{"c:20", "b:5.4.1"}],
Cell[509694, 13509, 762, 24, 27, "Text",ExpressionUUID->"45eb75c7-8247-4d1d-a05b-52bde54e3732",
 CellTags->"b:5.4.1"],
Cell[CellGroupData[{
Cell[510481, 13537, 210, 3, 68, "Input",ExpressionUUID->"fcd07c6b-f88a-4b52-b771-b18f9971b2ca",
 CellTags->"b:5.4.1"],
Cell[510694, 13542, 2301, 54, 111, "Output",ExpressionUUID->"9fac3bba-da72-4df4-9b9f-c8761f792acc",
 CellTags->"b:5.4.1"],
Cell[512998, 13598, 2273, 48, 98, "Output",ExpressionUUID->"3a5b64e2-2124-48b5-a010-76be6eab2065",
 CellTags->"b:5.4.1"]
}, Open  ]],
Cell[515286, 13649, 185, 3, 23, "Text",ExpressionUUID->"61664aa1-f868-4d5d-bfe3-67fceecfd076",
 CellTags->"b:5.4.1"],
Cell[CellGroupData[{
Cell[515496, 13656, 268, 5, 68, "Input",ExpressionUUID->"6e39e1c2-fa1e-4284-9aab-25db674b079e",
 CellTags->"b:5.4.1"],
Cell[515767, 13663, 265, 5, 61, "Output",ExpressionUUID->"86c18965-a4f7-4942-8640-6bcee8960191",
 CellTags->"b:5.4.1"],
Cell[516035, 13670, 266, 5, 48, "Output",ExpressionUUID->"a78b8359-c376-4434-94c9-d531ec35f73e",
 CellTags->"b:5.4.1"]
}, Open  ]],
Cell[516316, 13678, 216, 3, 23, "Text",ExpressionUUID->"1c653ae3-b73b-4912-8c4a-891b163e00b1",
 CellTags->"b:5.4.1"],
Cell[CellGroupData[{
Cell[516557, 13685, 171, 3, 48, "Input",ExpressionUUID->"ee9dbcfd-fab9-43b2-b79b-ba5b272f93c1",
 CellTags->"b:5.4.1"],
Cell[516731, 13690, 267, 5, 61, "Output",ExpressionUUID->"00516be7-3832-4926-8865-062673238aea",
 CellTags->"b:5.4.1"]
}, Open  ]],
Cell[517013, 13698, 246, 4, 23, "Text",ExpressionUUID->"a20007e0-bbb4-416a-a317-e519136a297b",
 CellTags->"b:5.4.1"],
Cell[CellGroupData[{
Cell[517284, 13706, 921, 28, 87, "Input",ExpressionUUID->"b37f063a-7d87-427d-b91a-a7b40398f509",
 CellTags->"b:5.4.1"],
Cell[518208, 13736, 5790, 116, 276, "Output",ExpressionUUID->"fa0884b4-d7c5-43a8-b366-f1a2c077af9a",
 CellTags->"b:5.4.1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[524035, 13857, 1001, 30, 88, "Input",ExpressionUUID->"4c83cb73-df5a-4dd1-98cd-8cc3f153d670",
 CellTags->"b:5.4.1"],
Cell[525039, 13889, 19437, 340, 263, "Output",ExpressionUUID->"084171cc-8356-47c6-ac1b-520b44ace50c",
 CellTags->"b:5.4.1"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[544525, 14235, 163, 4, 60, "Subsection",ExpressionUUID->"c8b432ac-6320-4763-ba39-de59a338d0eb",
 CellTags->{"c:4", "b:5.4.2"}],
Cell[544691, 14241, 241, 5, 23, "Text",ExpressionUUID->"42b49268-40e8-4486-8de7-b35e5f2a4cf4",
 CellTags->"b:5.4.2"],
Cell[544935, 14248, 647, 16, 51, "Input",ExpressionUUID->"6e9c1643-e131-48d6-8dbc-0a14cc66f7d0",
 CellTags->"b:5.4.2"],
Cell[545585, 14266, 170, 2, 23, "Text",ExpressionUUID->"2fca55f4-03be-4480-a7e6-94e1ca13eace",
 CellTags->"b:5.4.2"],
Cell[CellGroupData[{
Cell[545780, 14272, 306, 7, 68, "Input",ExpressionUUID->"2ffca6fc-29dc-4eaf-a8a8-9d30cdd82fd4",
 CellTags->"b:5.4.2"],
Cell[546089, 14281, 11962, 200, 248, "Output",ExpressionUUID->"8f70f3da-71a1-44f2-9d75-6159d934158a",
 CellTags->"b:5.4.2"]
}, Open  ]],
Cell[558066, 14484, 139, 2, 48, "Input",ExpressionUUID->"9eb453f5-665a-4621-8980-ff07d0c5225d",
 CellTags->"b:5.4.2"],
Cell[558208, 14488, 478, 13, 46, "Input",ExpressionUUID->"cbeb23a3-8bfa-4f43-bf39-79c671512a43",
 CellTags->"b:5.4.2"],
Cell[558689, 14503, 440, 10, 24, "Text",ExpressionUUID->"576ace89-37a4-4bd7-8bff-7f7837420809",
 CellTags->"b:5.4.2"],
Cell[559132, 14515, 691, 22, 49, "Input",ExpressionUUID->"6032b055-ac56-4b3b-a5f7-2920d36a2e62",
 CellTags->"b:5.4.2"],
Cell[559826, 14539, 154, 2, 23, "Text",ExpressionUUID->"79081e4b-7eaa-4e6b-832a-26e3e0fb8fba",
 CellTags->"b:5.4.2"],
Cell[CellGroupData[{
Cell[560005, 14545, 235, 7, 51, "Input",ExpressionUUID->"a6838ef1-adc2-47d5-9d68-288d482f42ac",
 CellTags->"b:5.4.2"],
Cell[560243, 14554, 1043, 27, 195, "Output",ExpressionUUID->"c2e90b95-fe87-4cb1-ae7a-d2f6c2cd447f",
 CellTags->"b:5.4.2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[561323, 14586, 396, 13, 73, "Input",ExpressionUUID->"7e0911fc-e1a6-4024-94e9-e47aa0c60cf3",
 CellTags->"b:5.4.2"],
Cell[561722, 14601, 1043, 27, 195, "Output",ExpressionUUID->"f6d9de7d-4b29-4198-88f4-f050e8fbc2a3",
 CellTags->"b:5.4.2"],
Cell[562768, 14630, 1091, 29, 182, "Output",ExpressionUUID->"a9199bcf-702a-4f98-8501-1f9eb7c57df6",
 CellTags->"b:5.4.2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[563896, 14664, 396, 13, 73, "Input",ExpressionUUID->"40e938ec-f65a-4667-8bdd-11bd01ae7fad",
 CellTags->"b:5.4.2"],
Cell[564295, 14679, 1043, 27, 195, "Output",ExpressionUUID->"a3c86268-99e0-4935-af41-4dc1509d1930",
 CellTags->"b:5.4.2"],
Cell[565341, 14708, 1089, 29, 182, "Output",ExpressionUUID->"2a6ac14f-41c7-4edc-95e5-7209268611a2",
 CellTags->"b:5.4.2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[566467, 14742, 396, 13, 73, "Input",ExpressionUUID->"df9eef15-2468-4560-b414-76e76700c8cb",
 CellTags->"b:5.4.2"],
Cell[566866, 14757, 1043, 27, 195, "Output",ExpressionUUID->"36969d4b-2cfb-4184-9d90-5ee75ccac03b",
 CellTags->"b:5.4.2"],
Cell[567912, 14786, 1089, 29, 182, "Output",ExpressionUUID->"58e50e34-222e-40fe-9c9c-aff167e08b3e",
 CellTags->"b:5.4.2"]
}, Open  ]],
Cell[569016, 14818, 390, 9, 163, "Text",ExpressionUUID->"f921bcf0-b84d-4c8a-882f-260f2b1d8b26",
 CellTags->"b:5.4.2"],
Cell[CellGroupData[{
Cell[569431, 14831, 323, 11, 51, "Input",ExpressionUUID->"c1dbe519-f835-40cf-b7f1-aa64513d16db",
 CellTags->"b:5.4.2"],
Cell[569757, 14844, 1041, 27, 195, "Output",ExpressionUUID->"e899e32c-8a57-416a-9b28-c255eaafefa8",
 CellTags->"b:5.4.2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[570835, 14876, 5644, 218, 286, "Input",ExpressionUUID->"98a92d90-851a-4b8c-a813-9681d2033efa",
 CellTags->"b:5.4.2"],
Cell[576482, 15096, 654, 20, 93, "Output",ExpressionUUID->"49d9e3a7-faf2-431b-9edb-d7503e21461b",
 CellTags->"b:5.4.2"],
Cell[577139, 15118, 654, 20, 93, "Output",ExpressionUUID->"7e967d74-349c-4f28-9c65-e8c3214f2073",
 CellTags->"b:5.4.2"],
Cell[577796, 15140, 656, 20, 93, "Output",ExpressionUUID->"0373387b-3bf4-4769-af9b-6076d772dc48",
 CellTags->"b:5.4.2"],
Cell[578455, 15162, 635, 18, 93, "Output",ExpressionUUID->"ebc8d634-4abf-45af-977b-aaf8fdc5fb64",
 CellTags->"b:5.4.2"],
Cell[579093, 15182, 633, 18, 93, "Output",ExpressionUUID->"09936a55-971c-427d-a270-ffa52733e406",
 CellTags->"b:5.4.2"],
Cell[579729, 15202, 633, 18, 93, "Output",ExpressionUUID->"f5a5fa5c-a748-4232-8595-5e35cf85f223",
 CellTags->"b:5.4.2"],
Cell[580365, 15222, 2097, 58, 82, "Output",ExpressionUUID->"81c6e844-dd7d-47c3-8194-ac4b224844db",
 CellTags->"b:5.4.2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[582499, 15285, 430, 9, 106, "Input",ExpressionUUID->"f9437c43-d67e-4be6-97a3-761d0f218956",
 CellTags->"b:5.4.2"],
Cell[582932, 15296, 211, 5, 61, "Output",ExpressionUUID->"d8e1693b-e147-4030-87bc-ed0efa9a22b5",
 CellTags->"b:5.4.2"],
Cell[583146, 15303, 229, 6, 61, "Output",ExpressionUUID->"1608e46d-3622-4b2f-b461-d4e83364a5a6",
 CellTags->"b:5.4.2"],
Cell[583378, 15311, 227, 6, 61, "Output",ExpressionUUID->"49f2a1c2-e75a-465d-b33f-9076d3751994",
 CellTags->"b:5.4.2"],
Cell[583608, 15319, 227, 6, 48, "Output",ExpressionUUID->"c11e070e-1ff1-4ebb-bf16-7766f4a031a6",
 CellTags->"b:5.4.2"]
}, Open  ]],
Cell[583850, 15328, 157, 2, 23, "Text",ExpressionUUID->"89992f2a-cf53-4f68-b343-5f8351f63970",
 CellTags->"b:5.4.2"],
Cell[CellGroupData[{
Cell[584032, 15334, 916, 24, 76, "Input",ExpressionUUID->"ea82437f-704b-43e9-80df-ede6fd8d8c9d",
 CellTags->"b:5.4.2"],
Cell[584951, 15360, 1045, 27, 195, "Output",ExpressionUUID->"20f14fde-ae44-40bc-b814-b36ef3a60ad8",
 CellTags->"b:5.4.2"]
}, Open  ]],
Cell[586011, 15390, 174, 2, 23, "Text",ExpressionUUID->"8890aa59-ce77-468b-a76b-92eefb92be39",
 CellTags->"b:5.4.2"],
Cell[CellGroupData[{
Cell[586210, 15396, 1290, 38, 68, "Input",ExpressionUUID->"fde3b300-002b-4262-97ce-43bee856f30d",
 CellTags->"b:5.4.2"],
Cell[587503, 15436, 1043, 27, 195, "Output",ExpressionUUID->"05d50360-e485-4b5a-bd70-85a693b79f24",
 CellTags->"b:5.4.2"]
}, Open  ]],
Cell[588561, 15466, 218, 3, 23, "Text",ExpressionUUID->"2b7fb276-47a2-4be2-8958-11454f654f33",
 CellTags->"b:5.4.2"],
Cell[CellGroupData[{
Cell[588804, 15473, 287, 6, 48, "Input",ExpressionUUID->"cd0a7d94-8db4-4f5d-bbe4-74e29df5f0c8",
 CellTags->"b:5.4.2"],
Cell[589094, 15481, 209, 5, 61, "Output",ExpressionUUID->"c21ce8f2-0fa0-42f0-847b-e177874dd315",
 CellTags->"b:5.4.2"]
}, Open  ]],
Cell[589318, 15489, 267, 5, 51, "Text",ExpressionUUID->"e133a870-bd5d-46dc-aa5e-1903722d4be2",
 CellTags->"b:5.4.2"],
Cell[589588, 15496, 523, 17, 48, "Input",ExpressionUUID->"ce983511-1c72-4276-a510-f2fdfc19830b",
 CellTags->"b:5.4.2"],
Cell[CellGroupData[{
Cell[590136, 15517, 190, 4, 48, "Input",ExpressionUUID->"33ac49c5-5158-42d8-8783-3b5ae1f35e12",
 CellTags->"b:5.4.2"],
Cell[590329, 15523, 725, 21, 127, "Output",ExpressionUUID->"c9552fac-200f-4c4f-abf6-761d62103105",
 CellTags->"b:5.4.2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[591091, 15549, 3643, 126, 334, "Input",ExpressionUUID->"ac1d4664-9223-4b38-9a55-f87abb9aaf0b",
 CellTags->"b:5.4.2"],
Cell[594737, 15677, 725, 21, 127, "Output",ExpressionUUID->"cb902386-91a1-4b22-b6a6-01ae6dfeb9ae",
 CellTags->"b:5.4.2"],
Cell[595465, 15700, 209, 5, 61, "Output",ExpressionUUID->"d4522870-c06e-4351-a664-f040a8720997",
 CellTags->"b:5.4.2"],
Cell[595677, 15707, 209, 5, 61, "Output",ExpressionUUID->"4052e241-81f2-4299-ad1c-07f0ed908b67",
 CellTags->"b:5.4.2"],
Cell[595889, 15714, 209, 5, 61, "Output",ExpressionUUID->"a71ca167-7b81-4857-9d08-7063415cd57e",
 CellTags->"b:5.4.2"],
Cell[596101, 15721, 209, 5, 61, "Output",ExpressionUUID->"d892d626-4400-42cf-bc61-fe44a335116d",
 CellTags->"b:5.4.2"],
Cell[596313, 15728, 209, 5, 61, "Output",ExpressionUUID->"5f60f953-930d-45f2-a6c2-f13c0e1eb712",
 CellTags->"b:5.4.2"],
Cell[596525, 15735, 209, 5, 61, "Output",ExpressionUUID->"224fbb10-17de-48b2-97e0-a76d819a8875",
 CellTags->"b:5.4.2"],
Cell[596737, 15742, 209, 5, 61, "Output",ExpressionUUID->"e43424b6-b774-4526-9e91-26a5f9b98bf5",
 CellTags->"b:5.4.2"],
Cell[596949, 15749, 209, 5, 61, "Output",ExpressionUUID->"5a5a9d08-058a-4d27-9508-09af09d14615",
 CellTags->"b:5.4.2"],
Cell[597161, 15756, 209, 5, 61, "Output",ExpressionUUID->"2162e3eb-e241-451e-af67-695a671cd6c0",
 CellTags->"b:5.4.2"],
Cell[597373, 15763, 209, 5, 61, "Output",ExpressionUUID->"b6e8b8d2-ef27-4c81-aab2-1b58b0f2292c",
 CellTags->"b:5.4.2"],
Cell[597585, 15770, 207, 5, 61, "Output",ExpressionUUID->"3e97a2de-0d95-433a-ae55-69604ad10652",
 CellTags->"b:5.4.2"],
Cell[597795, 15777, 209, 5, 61, "Output",ExpressionUUID->"026494a5-d9e2-4cb7-9240-ad0f90f11743",
 CellTags->"b:5.4.2"],
Cell[598007, 15784, 209, 5, 61, "Output",ExpressionUUID->"6cf06337-1512-4768-9ee3-3547e944d586",
 CellTags->"b:5.4.2"],
Cell[598219, 15791, 211, 5, 61, "Output",ExpressionUUID->"60b634cd-b241-499a-94bd-5a3b9522bb69",
 CellTags->"b:5.4.2"],
Cell[598433, 15798, 209, 5, 48, "Output",ExpressionUUID->"09cc75b9-e4bb-4ec3-8e01-e3d433976613",
 CellTags->"b:5.4.2"]
}, Open  ]],
Cell[598657, 15806, 204, 3, 23, "Text",ExpressionUUID->"9a080f90-1335-48ff-bb63-c0e93d882a84",
 CellTags->"b:5.4.2"],
Cell[CellGroupData[{
Cell[598886, 15813, 258, 4, 48, "Input",ExpressionUUID->"f6039edc-d646-4c6a-9479-5b1614950c9d",
 CellTags->"b:5.4.2"],
Cell[599147, 15819, 209, 5, 61, "Output",ExpressionUUID->"db22a958-e77d-4559-8bfd-eb03370d2255",
 CellTags->"b:5.4.2"]
}, Open  ]],
Cell[599371, 15827, 246, 6, 51, "Text",ExpressionUUID->"804dec5e-2ca1-496b-8eea-a721d1b5de72",
 CellTags->"b:5.4.2"],
Cell[599620, 15835, 240, 5, 23, "Text",ExpressionUUID->"b765313e-12bf-4980-96c1-118de425ff69",
 CellTags->"b:5.4.2"],
Cell[CellGroupData[{
Cell[599885, 15844, 446, 13, 68, "Input",ExpressionUUID->"f65e9498-8be5-41d2-a4a8-303fb75d2c13",
 CellTags->"b:5.4.2"],
Cell[600334, 15859, 653, 19, 93, "Output",ExpressionUUID->"326d7de8-1185-4355-85ff-6596ccaa82de",
 CellTags->"b:5.4.2"],
Cell[600990, 15880, 211, 5, 48, "Output",ExpressionUUID->"eefaf5c2-fbaf-408b-bebf-0bc08f6ec7ea",
 CellTags->"b:5.4.2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[601238, 15890, 446, 13, 68, "Input",ExpressionUUID->"32865b2f-0bb7-40a3-8353-8c7faad7f760",
 CellTags->"b:5.4.2"],
Cell[601687, 15905, 651, 19, 93, "Output",ExpressionUUID->"fa8e141a-3a65-41dd-ba5a-8e29a6e8d267",
 CellTags->"b:5.4.2"],
Cell[602341, 15926, 209, 5, 48, "Output",ExpressionUUID->"7cff74a2-e707-4de1-9229-07ef817201ff",
 CellTags->"b:5.4.2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[602587, 15936, 448, 13, 68, "Input",ExpressionUUID->"0a213887-5064-4f2c-bc47-e5de4c7bab8b",
 CellTags->"b:5.4.2"],
Cell[603038, 15951, 651, 19, 93, "Output",ExpressionUUID->"103cb6c4-f58f-483b-a6f4-6aae5a4f13d4",
 CellTags->"b:5.4.2"],
Cell[603692, 15972, 211, 5, 48, "Output",ExpressionUUID->"37776f5d-f8a5-42fb-8a98-c3e0abc65955",
 CellTags->"b:5.4.2"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[603952, 15983, 172, 4, 60, "Subsection",ExpressionUUID->"a8e6c1f1-58c3-4f66-916a-b2b2d3b94fea",
 CellTags->{"c:4", "b:5.4.3"}],
Cell[604127, 15989, 230, 5, 23, "Text",ExpressionUUID->"e1fb5268-91af-40fe-b684-9b1cbf05015e",
 CellTags->"b:5.4.3"],
Cell[CellGroupData[{
Cell[604382, 15998, 582, 14, 56, "Subsubsection",ExpressionUUID->"24d272ee-54d7-44ad-8055-29c1b5f37ca6",
 CellTags->{"c:4", "b:5.4.3"}],
Cell[604967, 16014, 556, 15, 40, "Text",ExpressionUUID->"f1d149f1-bfd2-496e-a774-4d30c2d0d9a8",
 CellTags->"b:5.4.3"],
Cell[605526, 16031, 1361, 42, 155, "Text",ExpressionUUID->"1456e9d9-f578-4ed4-88d6-0ae376c64a9f",
 CellTags->"b:5.4.3"],
Cell[606890, 16075, 262, 4, 23, "Text",ExpressionUUID->"4c047109-f64f-4198-aa7e-eddf2323dda5",
 CellTags->"b:5.4.3"],
Cell[CellGroupData[{
Cell[607177, 16083, 305, 8, 48, "Input",ExpressionUUID->"0fc1def3-e829-4999-9150-0e6d87f02984",
 CellTags->"b:5.4.3"],
Cell[607485, 16093, 1059, 37, 151, "Output",ExpressionUUID->"3528821b-8750-4dc1-a7e2-71efdabacbff",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[608559, 16133, 204, 3, 23, "Text",ExpressionUUID->"5692bb16-af23-4d78-bb92-fc2a4c0deac0",
 CellTags->"b:5.4.3"],
Cell[608766, 16138, 766, 25, 51, "Input",ExpressionUUID->"6a22f747-04e6-4047-bc04-852432119ab7",
 CellTags->"b:5.4.3"],
Cell[CellGroupData[{
Cell[609557, 16167, 410, 11, 117, "Input",ExpressionUUID->"29552f73-d0d7-45b2-ad50-c7018e127d8a",
 CellTags->"b:5.4.3"],
Cell[609970, 16180, 777, 23, 127, "Output",ExpressionUUID->"83ed5d2d-2c00-4015-b942-bb4e3757f123",
 CellTags->"b:5.4.3"],
Cell[610750, 16205, 775, 23, 127, "Output",ExpressionUUID->"73093b27-6f4c-4173-b673-463e120315c6",
 CellTags->"b:5.4.3"],
Cell[611528, 16230, 821, 25, 127, "Output",ExpressionUUID->"8b6ff0a1-013b-4282-8147-ca691b0ee230",
 CellTags->"b:5.4.3"],
Cell[612352, 16257, 821, 25, 114, "Output",ExpressionUUID->"2c59adda-7bd0-4693-84dd-4d3b2bb2f879",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[613188, 16285, 407, 6, 39, "Text",ExpressionUUID->"1959079c-7a32-4c3f-9191-306228aafe03",
 CellTags->"b:5.4.3"],
Cell[613598, 16293, 1546, 49, 51, "Input",ExpressionUUID->"a964e49d-b25b-4c58-b203-86f36d9592d5",
 CellTags->"b:5.4.3"],
Cell[615147, 16344, 237, 4, 23, "Text",ExpressionUUID->"a499a51a-61ab-43fa-a49d-b2025d911b56",
 CellTags->"b:5.4.3"],
Cell[CellGroupData[{
Cell[615409, 16352, 542, 17, 73, "Input",ExpressionUUID->"c0c47249-4937-4dc6-8a9d-ae3822d0d6f6",
 CellTags->"b:5.4.3"],
Cell[615954, 16371, 2994, 98, 143, "Output",ExpressionUUID->"1baeeefe-53a5-49a8-bc9c-dc89bbfafb2c",
 CellTags->"b:5.4.3"],
Cell[618951, 16471, 209, 5, 48, "Output",ExpressionUUID->"df203242-90f2-42c9-aa03-038522fe1019",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[619175, 16479, 259, 4, 23, "Text",ExpressionUUID->"65e0c82e-4d25-4368-93aa-429a1afefc39",
 CellTags->"b:5.4.3"],
Cell[CellGroupData[{
Cell[619459, 16487, 782, 21, 117, "Input",ExpressionUUID->"6ca80f69-ffab-49be-a7e0-7fe68b8f5c2a",
 CellTags->"b:5.4.3"],
Cell[620244, 16510, 985, 29, 143, "Output",ExpressionUUID->"c2a4aa0a-610e-4cc2-ba77-f21814ab614b",
 CellTags->"b:5.4.3"],
Cell[621232, 16541, 985, 29, 143, "Output",ExpressionUUID->"c1a2d53b-bb17-4f3a-b30d-6c97aa673a15",
 CellTags->"b:5.4.3"],
Cell[622220, 16572, 1031, 31, 143, "Output",ExpressionUUID->"bb79404c-fa1e-4e1d-84f3-6bed5a03d992",
 CellTags->"b:5.4.3"],
Cell[623254, 16605, 1031, 31, 130, "Output",ExpressionUUID->"de126b45-fef7-4308-9e88-95b0de304e5f",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[624300, 16639, 260, 4, 23, "Text",ExpressionUUID->"f7c0dd11-c77d-4bf5-b695-64ff5b15cfc8",
 CellTags->"b:5.4.3"],
Cell[CellGroupData[{
Cell[624585, 16647, 1548, 45, 117, "Input",ExpressionUUID->"908a72dc-1a00-43f4-8b09-b12b0d97e4ba",
 CellTags->"b:5.4.3"],
Cell[626136, 16694, 1009, 32, 143, "Output",ExpressionUUID->"6d8bfd00-daae-4e4c-a050-bc6af4592528",
 CellTags->"b:5.4.3"],
Cell[627148, 16728, 1009, 32, 143, "Output",ExpressionUUID->"b03696b2-5976-4579-9c50-cf9b5537e4a4",
 CellTags->"b:5.4.3"],
Cell[628160, 16762, 1009, 32, 143, "Output",ExpressionUUID->"5781a5b5-e04b-4180-b9c2-7b86d66232f1",
 CellTags->"b:5.4.3"],
Cell[629172, 16796, 1009, 32, 130, "Output",ExpressionUUID->"c8d6a528-503d-49fa-ab22-0576d36c3f07",
 CellTags->"b:5.4.3"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[630230, 16834, 610, 15, 56, "Subsubsection",ExpressionUUID->"b82a1307-68d3-4746-bd9b-cd7ff65bb4c0",
 CellTags->{"c:4", "b:5.4.3"}],
Cell[630843, 16851, 222, 5, 51, "Text",ExpressionUUID->"4ae44805-0710-4cb1-943b-10e4e3033716",
 CellTags->"b:5.4.3"],
Cell[CellGroupData[{
Cell[631090, 16860, 2866, 108, 170, "Input",ExpressionUUID->"d09caaa0-b3ef-487f-9ad5-7f82ab597c17",
 CellTags->"b:5.4.3"],
Cell[633959, 16970, 656, 20, 93, "Output",ExpressionUUID->"d45e06d0-1990-4e1e-a4fb-389d8dd49890",
 CellTags->"b:5.4.3"],
Cell[634618, 16992, 654, 20, 93, "Output",ExpressionUUID->"9af2a28c-e593-48b4-8ca4-fe308e8101db",
 CellTags->"b:5.4.3"],
Cell[635275, 17014, 1043, 32, 88, "Output",ExpressionUUID->"eaea7b6f-995d-4444-b355-07b94c3a7250",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[636333, 17049, 231, 5, 51, "Text",ExpressionUUID->"0a71dec0-e524-448a-934d-51022c4c3c13",
 CellTags->"b:5.4.3"],
Cell[636567, 17056, 165, 2, 23, "Text",ExpressionUUID->"f7ff1d0c-2589-4387-bd21-493dabc1d94d",
 CellTags->"b:5.4.3"],
Cell[636735, 17060, 189, 3, 23, "Text",ExpressionUUID->"9549e7de-c7a6-435f-a65a-e7ee510a0ad2",
 CellTags->"b:5.4.3"],
Cell[CellGroupData[{
Cell[636949, 17067, 798, 30, 73, "Input",ExpressionUUID->"8b9766f6-8957-4205-98dd-ef1c17b6c77e",
 CellTags->"b:5.4.3"],
Cell[637750, 17099, 841, 27, 76, "Output",ExpressionUUID->"e38f4178-be36-4a4d-872e-58a914b7afa3",
 CellTags->"b:5.4.3"],
Cell[638594, 17128, 5418, 170, 177, "Output",ExpressionUUID->"d26a15f8-fc75-49d8-8a98-a7c89fa4d085",
 CellTags->"b:5.4.3"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[644061, 17304, 577, 14, 56, "Subsubsection",ExpressionUUID->"6a685eec-4759-4e40-9128-dc107e562ddb",
 CellTags->{"c:4", "b:5.4.3"}],
Cell[644641, 17320, 258, 6, 51, "Text",ExpressionUUID->"1f086c4e-ed78-4ac9-9bc1-6af949ee899b",
 CellTags->"b:5.4.3"],
Cell[CellGroupData[{
Cell[644924, 17330, 957, 27, 101, "Input",ExpressionUUID->"18c37123-d61b-49d4-8ca0-ff40a2db6437",
 CellTags->"b:5.4.3"],
Cell[645884, 17359, 2996, 98, 143, "Output",ExpressionUUID->"f482f7ff-5f5c-47ee-b907-6e52362ca58d",
 CellTags->"b:5.4.3"],
Cell[648883, 17459, 675, 19, 98, "Output",ExpressionUUID->"f6b3bf59-195d-4b18-93e4-8455a513bce4",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[649573, 17481, 1527, 50, 54, "Text",ExpressionUUID->"8bdffcee-5433-4ed6-a2a0-17bfcbbe23f2",
 CellTags->"b:5.4.3"],
Cell[CellGroupData[{
Cell[651125, 17535, 1524, 46, 71, "Input",ExpressionUUID->"5501d9cb-48aa-4e67-9372-c7795e81f955",
 CellTags->"b:5.4.3"],
Cell[652652, 17583, 2997, 97, 143, "Output",ExpressionUUID->"3f970f7e-daca-4c65-827f-e6ab0bbf58fc",
 CellTags->"b:5.4.3"],
Cell[655652, 17682, 677, 19, 98, "Output",ExpressionUUID->"68b2224e-83f3-42bb-b0c6-b28d5319efeb",
 CellTags->"b:5.4.3"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[656378, 17707, 655, 17, 56, "Subsubsection",ExpressionUUID->"96f3f2de-0d08-4f8f-9e69-e8a66f31ccb3",
 CellTags->{"c:4", "b:5.4.3"}],
Cell[657036, 17726, 134, 2, 23, "Text",ExpressionUUID->"d8daa4e1-e339-4b38-8ea8-7d3432d624af",
 CellTags->"b:5.4.3"],
Cell[CellGroupData[{
Cell[657195, 17732, 1925, 61, 139, "Input",ExpressionUUID->"6d3ba99a-698e-4991-83d9-432272afdb76",
 CellTags->"b:5.4.3"],
Cell[659123, 17795, 843, 27, 76, "Output",ExpressionUUID->"1af7fcc8-cdb4-4f2f-ae7a-b3e315bbd678",
 CellTags->"b:5.4.3"],
Cell[659969, 17824, 365, 11, 76, "Output",ExpressionUUID->"ab5f90b8-53cb-43c9-92dd-e685f87f2f1e",
 CellTags->"b:5.4.3"],
Cell[660337, 17837, 365, 11, 76, "Output",ExpressionUUID->"f39bedf4-641a-4c16-9f32-55c8a2af8b51",
 CellTags->"b:5.4.3"],
Cell[660705, 17850, 365, 11, 76, "Output",ExpressionUUID->"5f96a62f-21d0-49b3-b5d1-2ca28a293340",
 CellTags->"b:5.4.3"],
Cell[661073, 17863, 367, 11, 63, "Output",ExpressionUUID->"2c8e54d8-3fe6-40df-a01d-7f348d639dd9",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[661455, 17877, 177, 3, 23, "Text",ExpressionUUID->"89c1a4c8-3704-4711-bc40-c215e8b74cc0",
 CellTags->"b:5.4.3"],
Cell[CellGroupData[{
Cell[661657, 17884, 1747, 54, 117, "Input",ExpressionUUID->"0fbc71ed-a961-444f-b012-6388955a4aa2",
 CellTags->"b:5.4.3"],
Cell[663407, 17940, 1066, 34, 89, "Output",ExpressionUUID->"fb06a6f6-c9ee-422f-8203-8ccfd1bb88c4",
 CellTags->"b:5.4.3"],
Cell[664476, 17976, 1052, 34, 89, "Output",ExpressionUUID->"8122bdc6-0f9e-4911-9d86-9a1d3e8cb634",
 CellTags->"b:5.4.3"],
Cell[665531, 18012, 1052, 34, 89, "Output",ExpressionUUID->"a8ce29b7-83d4-4aa6-8c57-fc4bacb0a47f",
 CellTags->"b:5.4.3"],
Cell[666586, 18048, 1066, 34, 76, "Output",ExpressionUUID->"45a2543e-e49c-4d95-8ea6-4d8d16eab97a",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[667667, 18085, 202, 3, 23, "Text",ExpressionUUID->"7f9e9eec-8831-4fa7-aca0-9dad0977e695",
 CellTags->"b:5.4.3"],
Cell[667872, 18090, 671, 19, 51, "Input",ExpressionUUID->"512e5ce2-ce37-46d5-b2f4-85f8db083b27",
 CellTags->"b:5.4.3"],
Cell[CellGroupData[{
Cell[668568, 18113, 333, 8, 48, "Input",ExpressionUUID->"de678adb-0c4f-463b-830d-ef33c6ff5ade",
 CellTags->"b:5.4.3"],
Cell[668904, 18123, 5278, 107, 250, "Output",ExpressionUUID->"d4d4b611-d44c-40c9-b285-e6d76a31ff69",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[674219, 18235, 333, 8, 48, "Input",ExpressionUUID->"20063a8c-8722-4714-b3a9-559ffd102909",
 CellTags->"b:5.4.3"],
Cell[674555, 18245, 5278, 107, 250, "Output",ExpressionUUID->"f46a09df-5019-4a98-a704-0b00d48f6bb9",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[679870, 18357, 399, 9, 48, "Input",ExpressionUUID->"e6a20d7b-12d4-44a3-b107-43567d2fa76e",
 CellTags->"b:5.4.3"],
Cell[680272, 18368, 5278, 107, 250, "Output",ExpressionUUID->"9c312104-881d-4df1-98c0-5ef9166bf324",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[685587, 18480, 399, 9, 48, "Input",ExpressionUUID->"f6931973-39ec-4c15-8cce-0e159c093f19",
 CellTags->"b:5.4.3"],
Cell[685989, 18491, 5280, 107, 250, "Output",ExpressionUUID->"45f7efb4-e69d-4de1-845d-fd088dede2fa",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[691284, 18601, 155, 2, 23, "Text",ExpressionUUID->"0d2bd5cb-1c0d-4ad8-805e-67a99a9cd355",
 CellTags->"b:5.4.3"],
Cell[691442, 18605, 139, 2, 23, "Text",ExpressionUUID->"a19d504b-6f41-463c-ae45-5baee4e23e12",
 CellTags->"b:5.4.3"],
Cell[CellGroupData[{
Cell[691606, 18611, 812, 28, 70, "Input",ExpressionUUID->"c1b036fd-48a4-4cb1-9377-6a1a4264bef3",
 CellTags->"b:5.4.3"],
Cell[692421, 18641, 653, 19, 93, "Output",ExpressionUUID->"e7bd7b44-e6cd-4f16-9d18-e8749ff7378c",
 CellTags->"b:5.4.3"],
Cell[693077, 18662, 654, 20, 80, "Output",ExpressionUUID->"ecafc1a8-c3cd-45bf-94aa-e988ccdb2858",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[693746, 18685, 193, 3, 23, "Text",ExpressionUUID->"12abf06b-0208-44ef-8844-b15261b4d0d1",
 CellTags->"b:5.4.3"],
Cell[CellGroupData[{
Cell[693964, 18692, 267, 4, 68, "Input",ExpressionUUID->"d6158a50-ca57-4cfd-b808-b648dbf5d01c",
 CellTags->"b:5.4.3"],
Cell[694234, 18698, 209, 5, 61, "Output",ExpressionUUID->"058f1b55-8aaf-47b2-9c95-03f0c4b280aa",
 CellTags->"b:5.4.3"],
Cell[694446, 18705, 230, 6, 63, "Output",ExpressionUUID->"ce4e654a-e9d6-40b8-afff-5cc3fc414663",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[694691, 18714, 139, 2, 23, "Text",ExpressionUUID->"e5ac7173-6a1a-44d5-a8c0-a8e155f42bf2",
 CellTags->"b:5.4.3"],
Cell[CellGroupData[{
Cell[694855, 18720, 812, 28, 70, "Input",ExpressionUUID->"581464b5-5761-4659-a6b6-edcc3db6b691",
 CellTags->"b:5.4.3"],
Cell[695670, 18750, 653, 19, 93, "Output",ExpressionUUID->"8dba30ee-04a6-4a70-8e7f-0eb230d01bde",
 CellTags->"b:5.4.3"],
Cell[696326, 18771, 654, 20, 80, "Output",ExpressionUUID->"8857c144-e89e-4df1-8ae5-1a3c1c78003a",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[696995, 18794, 191, 3, 23, "Text",ExpressionUUID->"fd6b8e2b-5dba-44a6-b748-5f35caecf50b",
 CellTags->"b:5.4.3"],
Cell[CellGroupData[{
Cell[697211, 18801, 269, 4, 68, "Input",ExpressionUUID->"03eb2dcd-acda-4f70-9e00-dbdd27a5996c",
 CellTags->"b:5.4.3"],
Cell[697483, 18807, 450, 14, 76, "Output",ExpressionUUID->"fdeff65c-7479-4f2f-ad4d-fbc4afabb3c3",
 CellTags->"b:5.4.3"],
Cell[697936, 18823, 230, 6, 63, "Output",ExpressionUUID->"cd902c04-4d8d-4328-8506-7c03c1bd0142",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[698181, 18832, 145, 2, 23, "Text",ExpressionUUID->"55ddb63e-a7bc-4765-a8be-42cd1ade8f5c",
 CellTags->"b:5.4.3"],
Cell[CellGroupData[{
Cell[698351, 18838, 330, 8, 68, "Input",ExpressionUUID->"2b339cd3-40c7-430e-ab45-11f925c74e10",
 CellTags->"b:5.4.3"],
Cell[698684, 18848, 695, 21, 93, "Output",ExpressionUUID->"6b9f061a-3c56-4a95-ba84-fabc65fef2bc",
 CellTags->"b:5.4.3"],
Cell[699382, 18871, 693, 21, 80, "Output",ExpressionUUID->"090d47b7-ee9b-4741-9711-9d71d9cb0b44",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[700090, 18895, 210, 3, 23, "Text",ExpressionUUID->"3735bdd6-5385-455a-8ea1-411b4d4bd77e",
 CellTags->"b:5.4.3"],
Cell[CellGroupData[{
Cell[700325, 18902, 516, 15, 51, "Input",ExpressionUUID->"87a2148f-6150-4fba-b51a-9f6496d4ef95",
 CellTags->"b:5.4.3"],
Cell[700844, 18919, 1009, 32, 143, "Output",ExpressionUUID->"d806ab08-661d-4bf4-8d28-62be4ff31078",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[701890, 18956, 398, 9, 106, "Input",ExpressionUUID->"2460eecb-683c-4964-bfc9-5b7cdf813591",
 CellTags->"b:5.4.3"],
Cell[702291, 18967, 262, 7, 76, "Output",ExpressionUUID->"ca848562-7fdd-4051-a8d0-78625b2745c7",
 CellTags->"b:5.4.3"],
Cell[702556, 18976, 264, 7, 76, "Output",ExpressionUUID->"3aceb36c-aa1c-4531-be36-1c095823aa01",
 CellTags->"b:5.4.3"],
Cell[702823, 18985, 262, 7, 76, "Output",ExpressionUUID->"e031360b-95ec-4b19-acfb-c57e5269bbbe",
 CellTags->"b:5.4.3"],
Cell[703088, 18994, 337, 10, 63, "Output",ExpressionUUID->"882f15d8-d280-405f-8519-0b33737dcb89",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[703462, 19009, 1158, 35, 48, "Input",ExpressionUUID->"071c203e-1a23-4a48-ad5a-f6498f40a901",
 CellTags->"b:5.4.3"],
Cell[704623, 19046, 729, 22, 79, "Output",ExpressionUUID->"57e523fa-9472-44f7-ba33-dd014c361fc5",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[705389, 19073, 281, 6, 48, "Input",ExpressionUUID->"e68c2d1b-74a3-49e7-972e-72c2cae16e50",
 CellTags->"b:5.4.3"],
Cell[705673, 19081, 5277, 107, 250, "Output",ExpressionUUID->"d8ce69be-2f10-45b7-930e-ccfd788e7c43",
 CellTags->"b:5.4.3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[710987, 19193, 277, 7, 48, "Input",ExpressionUUID->"9394121c-e99b-4b7b-a947-7b762b3faadc",
 CellTags->"b:5.4.3"],
Cell[711267, 19202, 210, 5, 61, "Output",ExpressionUUID->"bd7faaff-da20-4299-a7ff-0c056fc9e15b",
 CellTags->"b:5.4.3"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[711528, 19213, 296, 6, 48, "Input",ExpressionUUID->"bb49c021-4f61-4751-8342-e6a1ccb0ae43"]
}
]
*)

