(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    246648,       6486]
NotebookOptionsPosition[    221084,       6145]
NotebookOutlinePosition[    221811,       6171]
CellTagsIndexPosition[    221741,       6166]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "shdw"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{"Needs", "[", "\"\<QDENSITY`Circuits`\>\"", "]"}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Needs", "[", "\"\<QDENSITY`QCWave`\>\"", "]"}], ";"}], 
  " "}]}], "Input",
 CellChangeTimes->{{3.483432390978092*^9, 3.483432400626445*^9}, {
   3.53079499934487*^9, 3.530795001544505*^9}, 3.5437525607932043`*^9, {
   3.548070897892881*^9, 3.548070916184149*^9}, {3.548070957087976*^9, 
   3.5480709578212748`*^9}, {3.548071305010578*^9, 3.548071306230961*^9}, {
   3.5480713947805653`*^9, 3.5480713956338*^9}, {3.548072099176927*^9, 
   3.548072101620358*^9}, {3.5480722624525137`*^9, 3.5480722637314672`*^9}, {
   3.548105051099502*^9, 3.548105052472144*^9}, {3.548369028268242*^9, 
   3.548369035859907*^9}, {3.548944622457534*^9, 3.548944629293009*^9}, {
   3.548947550869351*^9, 3.548947560976862*^9}, 3.549272600983625*^9, {
   3.860156258789851*^9, 3.860156260056862*^9}},
 FontFamily->"Courier New",
 FontSize->16,
 CellTags->"b:5.0",ExpressionUUID->"7e7d49c5-56de-47cc-ab09-1057b56ce5df"],

Cell[BoxData["\<\"Type \\\"?intro\\\", \\\"?QDENSITY`Qdensity`*\\\" or \
\\\"?about for help.\"\>"], "Print",
 CellChangeTimes->{3.859372637521784*^9},
 CellTags->"b:5.0",
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"7f3bc4ee-515f-4b47-b113-7ad3e7a254be"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"SetOptions", "[", 
  RowBox[{"$FrontEndSession", ",", 
   RowBox[{"NotebookAutoSave", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"NotebookSave", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.6431945483631763`*^9, 3.643194548365107*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"f31c9d09-0bf1-46fc-bba7-7bfa7cb3ff9c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<QDENSITY`BTSystem`\>\"", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.548105830878007*^9, 3.548105833803213*^9}, {
   3.548105995819116*^9, 3.548105998543726*^9}, {3.548199704121345*^9, 
   3.548199705758276*^9}, {3.548349113316387*^9, 3.5483491159930687`*^9}, {
   3.548349560312273*^9, 3.548349562679538*^9}, 3.549272600984004*^9},
 FontSize->16,
 CellLabel->"In[6]:=",ExpressionUUID->"af0177f4-ead0-426f-842b-6ffa4e150fc3"],

Cell[BoxData["\<\"Type \\\"?introBT\\\", \\\"?QDENSITY`BTSystem`*\\\" or \
\\\"?aboutBT for help.\"\>"], "Print",
 CellChangeTimes->{3.85937263848558*^9},
 CellLabel->
  "During evaluation of \
In[6]:=",ExpressionUUID->"5b04586c-81f8-4c0d-a122-c0c7582f4114"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"DToMR", "[", 
    RowBox[{"n_Integer", ",", "radixlist_List"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "=", 
        RowBox[{"Reverse", "@", 
         RowBox[{"FoldList", "[", 
          RowBox[{"Times", ",", "1", ",", 
           RowBox[{"Reverse", "@", "radixlist"}]}], "]"}]}]}], ",", "rep"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"rep", "=", 
       RowBox[{"Rest", "@", 
        RowBox[{"Last", "@", 
         RowBox[{"Last", "@", 
          RowBox[{"Reap", "[", 
           RowBox[{"Fold", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Sow", "[", 
                 RowBox[{"Quotient", "[", 
                  RowBox[{"#1", ",", "#2"}], "]"}], "]"}], ";", 
                RowBox[{"Mod", "[", 
                 RowBox[{"#1", ",", "#2"}], "]"}]}], ")"}], "&"}], ",", "n", 
             ",", "b"}], "]"}], "]"}]}]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"rep", "=", 
       RowBox[{"MapThread", "[", 
        RowBox[{"Subscript", ",", 
         RowBox[{"{", 
          RowBox[{"rep", ",", 
           RowBox[{"Take", "[", 
            RowBox[{"radixlist", ",", 
             RowBox[{"-", 
              RowBox[{"Length", "[", "rep", "]"}]}]}], "]"}]}], "}"}]}], 
        "]"}]}], ";", "\[IndentingNewLine]", "rep"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"DToMR2", "[", 
    RowBox[{"n_Integer", ",", "radixlist_List"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "=", 
        RowBox[{"Reverse", "@", 
         RowBox[{"FoldList", "[", 
          RowBox[{"Times", ",", "1", ",", 
           RowBox[{"Reverse", "@", "radixlist"}]}], "]"}]}]}], ",", "rep"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"rep", "=", 
       RowBox[{"Rest", "@", 
        RowBox[{"Last", "@", 
         RowBox[{"Last", "@", 
          RowBox[{"Reap", "[", 
           RowBox[{"Fold", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Sow", "[", 
                 RowBox[{"Quotient", "[", 
                  RowBox[{"#1", ",", "#2"}], "]"}], "]"}], ";", 
                RowBox[{"Mod", "[", 
                 RowBox[{"#1", ",", "#2"}], "]"}]}], ")"}], "&"}], ",", "n", 
             ",", "b"}], "]"}], "]"}]}]}]}]}], ";", "\[IndentingNewLine]", 
      "rep"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BTbit", "[", 
   RowBox[{"is_", ",", "n_", ",", "QDv_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"DToMR", "[", 
     RowBox[{
      RowBox[{"n", "-", "1"}], ",", "QDv"}], "]"}], "[", 
    RowBox[{"[", "is", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"strideA", "[", "QDV_", "]"}], ":=", 
   RowBox[{"Reverse", "@", 
    RowBox[{"Most", "@", 
     RowBox[{"FoldList", "[", 
      RowBox[{"Times", ",", "1", ",", 
       RowBox[{"Reverse", "@", "QDV"}]}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"strideBT", "[", 
    RowBox[{"is_", ",", "QDv_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"strideA", "[", "QDv", "]"}], "[", 
    RowBox[{"[", "is", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]"}], "Input",\

 CellChangeTimes->{{3.6436516803983994`*^9, 3.643651681782177*^9}, {
  3.643652867893261*^9, 3.643652884364106*^9}, {3.64365291578592*^9, 
  3.643652916573359*^9}, {3.643725122601639*^9, 3.643725126100031*^9}, {
  3.6437251567107277`*^9, 3.6437251575442257`*^9}, {3.6437256008329763`*^9, 
  3.643725601327559*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"58c8467f-577d-4f51-a181-630f2763cadb"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"QA", "=", 
  RowBox[{"{", "T", "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nT", "=", "1"}], ";", 
  RowBox[{"nB", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"QD", "=", 
   RowBox[{"QA", " ", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"B", "->", "2"}], ",", 
      RowBox[{"T", "->", "3"}]}], "}"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dim", "=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"nT", "==", "0"}], ",", 
      RowBox[{"2", "^", "nB"}], " ", ",", 
      RowBox[{
       RowBox[{"2", "^", "nB"}], " ", 
       RowBox[{"3", "^", "nT"}]}]}], "   ", "]"}]}], ";"}], " "}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"dim", "=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"nB", "==", "0"}], ",", 
      RowBox[{"3", "^", "nT"}], " ", ",", 
      RowBox[{
       RowBox[{"2", "^", "nB"}], " ", 
       RowBox[{"3", "^", "nT"}]}]}], "   ", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"DToMR", "[", 
    RowBox[{"i", ",", "QD"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", 
     RowBox[{"dim", "-", "1"}]}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"DToMR2", "[", 
    RowBox[{"i", ",", "QD"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", 
     RowBox[{"dim", "-", "1"}]}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"BTbit", "[", 
      RowBox[{"1", ",", "i", ",", "QD"}], "]"}], "    ", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "dim"}], "}"}]}], "]"}], "\[Equal]", 
  "%"}], "\[IndentingNewLine]", 
 RowBox[{"strideBT", "[", 
  RowBox[{"1", ",", "QD"}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.643651178283058*^9, 3.643651194393365*^9}, {
   3.643651226951729*^9, 3.643651227401774*^9}, {3.643651263302492*^9, 
   3.643651297849867*^9}, {3.6436513982126226`*^9, 3.643651437631359*^9}, {
   3.643651500689899*^9, 3.64365150451437*^9}, 3.6436515377935534`*^9, {
   3.643724637878076*^9, 3.6437246852076902`*^9}, {3.643724755396776*^9, 
   3.643724756792165*^9}, {3.6437248031672163`*^9, 3.643724884210194*^9}, {
   3.643724917860273*^9, 3.643724928524159*^9}, {3.6437251663297*^9, 
   3.643725169885087*^9}, {3.643725465024877*^9, 3.643725488095248*^9}, {
   3.643725629272214*^9, 3.643725640117*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"e5e18e7e-f098-4ddf-aa7e-13ae0ce48744"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"T"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760682517762*^9, 3.655399123774702*^9, 
  3.6573783424832706`*^9, 3.85715874511882*^9, 3.859372638564739*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"ae6830d4-1e55-42f5-b0cc-210973591f52"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["2", "3"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760682517762*^9, 3.655399123774702*^9, 
  3.6573783424832706`*^9, 3.85715874511882*^9, 3.859372638615758*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"c1678d76-bc3e-47a3-b395-76d413a488d6"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0"},
     {"1"},
     {"2"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760682517762*^9, 3.655399123774702*^9, 
  3.6573783424832706`*^9, 3.85715874511882*^9, 3.859372638666458*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"f0461f84-9e08-4abc-a0fe-7a688c204b3e"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760682517762*^9, 3.655399123774702*^9, 
  3.6573783424832706`*^9, 3.85715874511882*^9, 3.859372638718557*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"98cff0b3-88be-4a48-9a18-53a1c4416925"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760682517762*^9, 3.655399123774702*^9, 
  3.6573783424832706`*^9, 3.85715874511882*^9, 3.859372638770361*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"1b8e38a5-c977-4ab1-96f7-f4de881150ed"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"QA", "=", 
  RowBox[{"{", 
   RowBox[{"T", ",", "T"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nT", "=", "2"}], ";", 
  RowBox[{"nB", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"QD", "=", 
   RowBox[{"QA", " ", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"B", "->", "2"}], ",", 
      RowBox[{"T", "->", "3"}]}], "}"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dim", "=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"nT", "==", "0"}], ",", 
      RowBox[{"2", "^", "nB"}], " ", ",", 
      RowBox[{
       RowBox[{"2", "^", "nB"}], " ", 
       RowBox[{"3", "^", "nT"}]}]}], "   ", "]"}]}], ";"}], " "}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"dim", "=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"nB", "==", "0"}], ",", 
      RowBox[{"3", "^", "nT"}], " ", ",", 
      RowBox[{
       RowBox[{"2", "^", "nB"}], " ", 
       RowBox[{"3", "^", "nT"}]}]}], "   ", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"DToMR", "[", 
    RowBox[{"i", ",", "QD"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", 
     RowBox[{"dim", "-", "1"}]}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"DToMR2", "[", 
    RowBox[{"i", ",", "QD"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", 
     RowBox[{"dim", "-", "1"}]}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"BTbit", "[", 
       RowBox[{"1", ",", "i", ",", "QD"}], "]"}], ",", 
      RowBox[{"BTbit", "[", 
       RowBox[{"2", ",", "i", ",", "QD"}], "]"}]}], "    ", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "dim"}], "}"}]}], "]"}], "\[Equal]", 
  "%"}], "\[IndentingNewLine]", 
 RowBox[{"strideBT", "[", 
  RowBox[{"1", ",", "QD"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"strideBT", "[", 
  RowBox[{"2", ",", "QD"}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.643651178283058*^9, 3.643651194393365*^9}, {
   3.643651226951729*^9, 3.643651227401774*^9}, {3.643651263302492*^9, 
   3.643651297849867*^9}, {3.6436513982126226`*^9, 3.643651437631359*^9}, {
   3.643651500689899*^9, 3.64365150451437*^9}, 3.6436515377935534`*^9, {
   3.643724637878076*^9, 3.6437246852076902`*^9}, {3.643724755396776*^9, 
   3.643724756792165*^9}, {3.6437248031672163`*^9, 3.643724884210194*^9}, {
   3.643724917860273*^9, 3.64372495555832*^9}, {3.643724992314299*^9, 
   3.643725088885042*^9}, {3.643725195389884*^9, 3.6437251987304573`*^9}, {
   3.64372542952744*^9, 3.6437254395619793`*^9}, {3.643725657769669*^9, 
   3.643725669299616*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"7941b1d4-7261-44d7-84d4-8baca0ab0987"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"T"},
      {"T"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606826707573`*^9, 3.655399124024769*^9, 
  3.657378342697028*^9, 3.85715874542819*^9, 3.8593726388445807`*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"56aff979-72ce-4e9c-933f-49d97e0c1b2e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SubscriptBox["0", "3"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["0", "3"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["0", "3"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["1", "3"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["1", "3"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["1", "3"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["2", "3"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["2", "3"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["2", "3"], 
      SubscriptBox["2", "3"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606826707573`*^9, 3.655399124024769*^9, 
  3.657378342697028*^9, 3.85715874542819*^9, 3.859372638897215*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"8282e4ea-2299-4bde-a77b-024508cfa773"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {"0", "1"},
     {"0", "2"},
     {"1", "0"},
     {"1", "1"},
     {"1", "2"},
     {"2", "0"},
     {"2", "1"},
     {"2", "2"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606826707573`*^9, 3.655399124024769*^9, 
  3.657378342697028*^9, 3.85715874542819*^9, 3.859372638946372*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"39bd8cd2-2454-46ad-a903-64e0809e5622"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606826707573`*^9, 3.655399124024769*^9, 
  3.657378342697028*^9, 3.85715874542819*^9, 3.859372638991456*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"5780f2b5-c851-4fbe-a34a-228f81849ecb"],

Cell[BoxData[
 TagBox["3",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606826707573`*^9, 3.655399124024769*^9, 
  3.657378342697028*^9, 3.85715874542819*^9, 3.859372639037678*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"0a3f7089-1007-4a92-ade3-294b8b4c2e18"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606826707573`*^9, 3.655399124024769*^9, 
  3.657378342697028*^9, 3.85715874542819*^9, 3.859372639080765*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"29bb2130-d176-43e5-89d5-641b45924a6a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"QA", "=", 
  RowBox[{"{", 
   RowBox[{"T", ",", "B", ",", "B", ",", "T"}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"QD", "=", 
  RowBox[{"QA", " ", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"B", "->", "2"}], ",", 
     RowBox[{"T", "->", "3"}]}], "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nT", "=", "2"}], ";", 
  RowBox[{"nB", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dim", "=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"nT", "==", "0"}], ",", 
      RowBox[{"2", "^", "nB"}], " ", ",", 
      RowBox[{
       RowBox[{"2", "^", "nB"}], " ", 
       RowBox[{"3", "^", "nT"}]}]}], "   ", "]"}]}], ";"}], " "}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"dim", "=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"nB", "==", "0"}], ",", 
      RowBox[{"3", "^", "nT"}], " ", ",", 
      RowBox[{
       RowBox[{"2", "^", "nB"}], " ", 
       RowBox[{"3", "^", "nT"}]}]}], "   ", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"DToMR", "[", 
    RowBox[{"i", ",", "QD"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", 
     RowBox[{"dim", "-", "1"}]}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"DToMR2", "[", 
    RowBox[{"i", ",", "QD"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", 
     RowBox[{"dim", "-", "1"}]}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"BTbit", "[", 
       RowBox[{"1", ",", "i", ",", "QD"}], "]"}], ",", 
      RowBox[{"BTbit", "[", 
       RowBox[{"2", ",", "i", ",", "QD"}], "]"}], " ", ",", 
      RowBox[{"BTbit", "[", 
       RowBox[{"3", ",", "i", ",", "QD"}], "]"}], ",", 
      RowBox[{"BTbit", "[", 
       RowBox[{"4", ",", "i", ",", "QD"}], "]"}]}], "   ", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "dim"}], "}"}]}], "]"}], "\[Equal]", 
  "%"}], "\[IndentingNewLine]", 
 RowBox[{"strideBT", "[", 
  RowBox[{"1", ",", "QD"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"strideBT", "[", 
  RowBox[{"2", ",", "QD"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"strideBT", "[", 
  RowBox[{"3", ",", "QD"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"strideBT", "[", 
   RowBox[{"4", ",", "QD"}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.643651178283058*^9, 3.643651194393365*^9}, {
   3.643651226951729*^9, 3.643651227401774*^9}, {3.643651263302492*^9, 
   3.643651297849867*^9}, {3.6436513982126226`*^9, 3.643651437631359*^9}, {
   3.643651500689899*^9, 3.64365150451437*^9}, 3.6436515377935534`*^9, {
   3.643724708192128*^9, 3.643724751316001*^9}, {3.643725233495945*^9, 
   3.643725262339498*^9}, {3.643725312391233*^9, 3.643725354814692*^9}, {
   3.643725401381678*^9, 3.6437254190744743`*^9}, {3.64372569867591*^9, 
   3.643725715852529*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"0f6a4a05-a3be-48dc-9543-3425fe44ad76"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"T"},
      {"B"},
      {"B"},
      {"T"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760682871621*^9, 3.655399124318635*^9, 
  3.657378343009616*^9, 3.857158745780323*^9, 3.8593726391516123`*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"7d052468-6a92-4457-9b84-b70a9fdbed5b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"3"},
      {"2"},
      {"2"},
      {"3"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760682871621*^9, 3.655399124318635*^9, 
  3.657378343009616*^9, 3.857158745780323*^9, 3.859372639191677*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"77e43dd3-22dc-49bb-9b67-edacb478cd80"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SubscriptBox["0", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["0", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["0", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["0", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["0", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["0", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["0", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["0", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["0", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["0", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["0", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["0", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["1", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["1", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["1", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["1", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["1", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["1", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["1", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["1", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["1", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["1", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["1", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["1", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["2", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["2", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["2", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["2", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["2", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["2", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["2", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["2", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["2", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["2", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["2", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["2", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["2", "3"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760682871621*^9, 3.655399124318635*^9, 
  3.657378343009616*^9, 3.857158745780323*^9, 3.8593726392369013`*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"f233cbc6-840b-4325-a753-969820367b96"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", "0", "0", "1"},
     {"0", "0", "0", "2"},
     {"0", "0", "1", "0"},
     {"0", "0", "1", "1"},
     {"0", "0", "1", "2"},
     {"0", "1", "0", "0"},
     {"0", "1", "0", "1"},
     {"0", "1", "0", "2"},
     {"0", "1", "1", "0"},
     {"0", "1", "1", "1"},
     {"0", "1", "1", "2"},
     {"1", "0", "0", "0"},
     {"1", "0", "0", "1"},
     {"1", "0", "0", "2"},
     {"1", "0", "1", "0"},
     {"1", "0", "1", "1"},
     {"1", "0", "1", "2"},
     {"1", "1", "0", "0"},
     {"1", "1", "0", "1"},
     {"1", "1", "0", "2"},
     {"1", "1", "1", "0"},
     {"1", "1", "1", "1"},
     {"1", "1", "1", "2"},
     {"2", "0", "0", "0"},
     {"2", "0", "0", "1"},
     {"2", "0", "0", "2"},
     {"2", "0", "1", "0"},
     {"2", "0", "1", "1"},
     {"2", "0", "1", "2"},
     {"2", "1", "0", "0"},
     {"2", "1", "0", "1"},
     {"2", "1", "0", "2"},
     {"2", "1", "1", "0"},
     {"2", "1", "1", "1"},
     {"2", "1", "1", "2"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760682871621*^9, 3.655399124318635*^9, 
  3.657378343009616*^9, 3.857158745780323*^9, 3.859372639291175*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"7b3d4534-7c8f-4ab0-9e66-d3784c588707"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760682871621*^9, 3.655399124318635*^9, 
  3.657378343009616*^9, 3.857158745780323*^9, 3.859372639338396*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"b54e9d7f-ba3c-4e45-bc0d-2769a78db3ed"],

Cell[BoxData[
 TagBox["12",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760682871621*^9, 3.655399124318635*^9, 
  3.657378343009616*^9, 3.857158745780323*^9, 3.8593726393780737`*^9},
 CellLabel->"Out[39]=",ExpressionUUID->"17e0adc6-300e-45ff-9d58-2fa985b3a9e8"],

Cell[BoxData[
 TagBox["6",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760682871621*^9, 3.655399124318635*^9, 
  3.657378343009616*^9, 3.857158745780323*^9, 3.859372639429122*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"bce25beb-0292-4332-a44e-901a59387ba5"],

Cell[BoxData[
 TagBox["3",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760682871621*^9, 3.655399124318635*^9, 
  3.657378343009616*^9, 3.857158745780323*^9, 3.859372639493888*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"c3a25b5f-7de9-4f8b-9bbb-b149ebdc84c5"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760682871621*^9, 3.655399124318635*^9, 
  3.657378343009616*^9, 3.857158745780323*^9, 3.859372639561965*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"01ed1a74-d930-42ab-a857-5d5764a5e1c7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"QA", "=", 
  RowBox[{"{", 
   RowBox[{"B", ",", "T", ",", "B", ",", "T"}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"QD", "=", 
  RowBox[{"QA", " ", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"B", "->", "2"}], ",", 
     RowBox[{"T", "->", "3"}]}], "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nT", "=", "2"}], ";", 
  RowBox[{"nB", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dim", "=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"nT", "==", "0"}], ",", 
      RowBox[{"2", "^", "nB"}], " ", ",", 
      RowBox[{
       RowBox[{"2", "^", "nB"}], " ", 
       RowBox[{"3", "^", "nT"}]}]}], "   ", "]"}]}], ";"}], " "}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"dim", "=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"nB", "==", "0"}], ",", 
      RowBox[{"3", "^", "nT"}], " ", ",", 
      RowBox[{
       RowBox[{"2", "^", "nB"}], " ", 
       RowBox[{"3", "^", "nT"}]}]}], "   ", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"DToMR", "[", 
    RowBox[{"i", ",", "QD"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", 
     RowBox[{"dim", "-", "1"}]}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"DToMR2", "[", 
    RowBox[{"i", ",", "QD"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", 
     RowBox[{"dim", "-", "1"}]}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"BTbit", "[", 
       RowBox[{"1", ",", "i", ",", "QD"}], "]"}], ",", 
      RowBox[{"BTbit", "[", 
       RowBox[{"2", ",", "i", ",", "QD"}], "]"}], " ", ",", 
      RowBox[{"BTbit", "[", 
       RowBox[{"3", ",", "i", ",", "QD"}], "]"}], ",", 
      RowBox[{"BTbit", "[", 
       RowBox[{"4", ",", "i", ",", "QD"}], "]"}]}], "   ", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "dim"}], "}"}]}], "]"}], "\[Equal]", 
  "%"}], "\[IndentingNewLine]", 
 RowBox[{"strideBT", "[", 
  RowBox[{"1", ",", "QD"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"strideBT", "[", 
  RowBox[{"2", ",", "QD"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"strideBT", "[", 
  RowBox[{"3", ",", "QD"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"strideBT", "[", 
   RowBox[{"4", ",", "QD"}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.643651178283058*^9, 3.643651194393365*^9}, {
   3.643651226951729*^9, 3.643651227401774*^9}, {3.643651263302492*^9, 
   3.643651297849867*^9}, {3.6436513982126226`*^9, 3.643651437631359*^9}, {
   3.643651500689899*^9, 3.64365150451437*^9}, 3.6436515377935534`*^9, {
   3.643724708192128*^9, 3.643724751316001*^9}, {3.643725233495945*^9, 
   3.643725262339498*^9}, {3.643725312391233*^9, 3.643725354814692*^9}, {
   3.643725401381678*^9, 3.6437254190744743`*^9}, {3.64372569867591*^9, 
   3.643725746858078*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"a50f0d2a-52ae-4eea-be25-82162548f005"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"B"},
      {"T"},
      {"B"},
      {"T"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606831891203`*^9, 3.6553991248681393`*^9, 
  3.6573783434585857`*^9, 3.8571587462801437`*^9, 3.859372663579959*^9},
 CellLabel->"Out[43]=",ExpressionUUID->"e1d2c49d-93f2-40ea-b640-fe1366e22b58"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"2"},
      {"3"},
      {"2"},
      {"3"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606831891203`*^9, 3.6553991248681393`*^9, 
  3.6573783434585857`*^9, 3.8571587462801437`*^9, 3.8593726636474133`*^9},
 CellLabel->"Out[44]=",ExpressionUUID->"82354fb9-3f60-4052-91c6-6f1f42e3fa76"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["0", "2"], 
      SubscriptBox["2", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["0", "2"], 
      SubscriptBox["2", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["0", "2"], 
      SubscriptBox["2", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["0", "2"], 
      SubscriptBox["2", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["0", "2"], 
      SubscriptBox["2", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["0", "2"], 
      SubscriptBox["2", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["1", "2"], 
      SubscriptBox["2", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["1", "2"], 
      SubscriptBox["2", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["1", "2"], 
      SubscriptBox["2", "3"], 
      SubscriptBox["0", "2"], 
      SubscriptBox["2", "3"]},
     {
      SubscriptBox["1", "2"], 
      SubscriptBox["2", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["0", "3"]},
     {
      SubscriptBox["1", "2"], 
      SubscriptBox["2", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["1", "3"]},
     {
      SubscriptBox["1", "2"], 
      SubscriptBox["2", "3"], 
      SubscriptBox["1", "2"], 
      SubscriptBox["2", "3"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606831891203`*^9, 3.6553991248681393`*^9, 
  3.6573783434585857`*^9, 3.8571587462801437`*^9, 3.859372663701324*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"bcffc8e3-8408-4a89-8e57-4315d451a32f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", "0", "0", "1"},
     {"0", "0", "0", "2"},
     {"0", "0", "1", "0"},
     {"0", "0", "1", "1"},
     {"0", "0", "1", "2"},
     {"0", "1", "0", "0"},
     {"0", "1", "0", "1"},
     {"0", "1", "0", "2"},
     {"0", "1", "1", "0"},
     {"0", "1", "1", "1"},
     {"0", "1", "1", "2"},
     {"0", "2", "0", "0"},
     {"0", "2", "0", "1"},
     {"0", "2", "0", "2"},
     {"0", "2", "1", "0"},
     {"0", "2", "1", "1"},
     {"0", "2", "1", "2"},
     {"1", "0", "0", "0"},
     {"1", "0", "0", "1"},
     {"1", "0", "0", "2"},
     {"1", "0", "1", "0"},
     {"1", "0", "1", "1"},
     {"1", "0", "1", "2"},
     {"1", "1", "0", "0"},
     {"1", "1", "0", "1"},
     {"1", "1", "0", "2"},
     {"1", "1", "1", "0"},
     {"1", "1", "1", "1"},
     {"1", "1", "1", "2"},
     {"1", "2", "0", "0"},
     {"1", "2", "0", "1"},
     {"1", "2", "0", "2"},
     {"1", "2", "1", "0"},
     {"1", "2", "1", "1"},
     {"1", "2", "1", "2"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606831891203`*^9, 3.6553991248681393`*^9, 
  3.6573783434585857`*^9, 3.8571587462801437`*^9, 3.859372663759321*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"775befb9-bce1-424c-a213-41ef457b2f35"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606831891203`*^9, 3.6553991248681393`*^9, 
  3.6573783434585857`*^9, 3.8571587462801437`*^9, 3.859372663816311*^9},
 CellLabel->"Out[50]=",ExpressionUUID->"de34c980-72f3-49dc-952f-6d496aa027d5"],

Cell[BoxData[
 TagBox["18",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606831891203`*^9, 3.6553991248681393`*^9, 
  3.6573783434585857`*^9, 3.8571587462801437`*^9, 3.859372663884654*^9},
 CellLabel->"Out[51]=",ExpressionUUID->"aa9c4bcd-630f-45ca-9ead-079a07d27905"],

Cell[BoxData[
 TagBox["6",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606831891203`*^9, 3.6553991248681393`*^9, 
  3.6573783434585857`*^9, 3.8571587462801437`*^9, 3.859372663945229*^9},
 CellLabel->"Out[52]=",ExpressionUUID->"48aa6dff-6fe4-4f25-9e82-0070a3bb20a6"],

Cell[BoxData[
 TagBox["3",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606831891203`*^9, 3.6553991248681393`*^9, 
  3.6573783434585857`*^9, 3.8571587462801437`*^9, 3.8593726639962482`*^9},
 CellLabel->"Out[53]=",ExpressionUUID->"46ef312e-4ca3-4300-a209-d53f16a4324d"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606831891203`*^9, 3.6553991248681393`*^9, 
  3.6573783434585857`*^9, 3.8571587462801437`*^9, 3.859372664053836*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"cfe08564-fead-4186-b841-fe3d4b1dd5fa"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vec", "[", 
   RowBox[{"is_", ",", "QDv_"}], "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"KroneckerDelta", "[", 
     RowBox[{"i", ",", "is"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", 
      RowBox[{"Length", "[", "QDv", "]"}]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"str", "[", 
   RowBox[{"is_", ",", "QDv_"}], "]"}], ":=", 
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"DToMR2", "[", 
         RowBox[{"j", ",", "QDv"}], "]"}], "-", 
        RowBox[{"DToMR2", "[", 
         RowBox[{"0", ",", "QDv"}], "]"}]}], "\[Equal]", 
       RowBox[{"vec", "[", 
        RowBox[{"is", ",", "QDv"}], "]"}]}], ",", 
      RowBox[{"Print", "[", "j", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", 
      RowBox[{"dim", "-", "1"}]}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6437575974006968`*^9, 3.643757611755238*^9}, 
   3.6437577869542217`*^9},
 CellLabel->"In[55]:=",ExpressionUUID->"72c7469f-c102-4bf1-ba59-22cdee3a83e0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"is", "=", "1"}], "\[IndentingNewLine]", 
 RowBox[{"str", "[", 
  RowBox[{"is", ",", "QD"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"DToMR2", "[", 
        RowBox[{"j", ",", "QD"}], "]"}], "-", 
       RowBox[{"DToMR2", "[", 
        RowBox[{"i", ",", "QD"}], "]"}]}], "\[Equal]", 
      RowBox[{"vec", "[", 
       RowBox[{"is", ",", "QD"}], "]"}]}], ",", 
     RowBox[{"Print", "[", 
      RowBox[{
      "\"\<i=  \>\"", ",", "i", ",", "\"\<    \>\"", ",", "\"\<j=  \>\"", ",",
        "j"}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", 
     RowBox[{"dim", "-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", 
     RowBox[{"dim", "-", "1"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.643727385822547*^9, 3.643727426221964*^9}, {
  3.643757630915702*^9, 3.643757644819969*^9}, {3.6437578004768343`*^9, 
  3.643757838590282*^9}},
 CellLabel->"In[57]:=",ExpressionUUID->"58d65869-20cb-4b15-bf4f-d5b9eb04e3e5"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760683532462*^9, 3.655399125316881*^9, 
  3.6573783438655357`*^9, 3.857158746796268*^9, 3.859372664160955*^9},
 CellLabel->"Out[57]=",ExpressionUUID->"34afd958-d593-41a4-8bdf-483e739fca31"],

Cell[CellGroupData[{

Cell[BoxData["18"], "Print",
 CellChangeTimes->{3.643760683566958*^9, 3.655399125358691*^9, 
  3.65737834390084*^9, 3.857158746847066*^9, 3.859372664209022*^9},
 CellLabel->
  "During evaluation of \
In[57]:=",ExpressionUUID->"811b8e79-e069-440e-bab4-3a897c5f9418"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "0", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "18"}],
  SequenceForm["i=  ", 0, "    ", "j=  ", 18],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760683566958*^9, 3.655399125358691*^9, 
  3.65737834390084*^9, 3.857158746847066*^9, 3.859372664288424*^9},
 CellLabel->
  "During evaluation of \
In[57]:=",ExpressionUUID->"91e7eefc-d850-4015-91ce-83a3eff791ac"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "19"}],
  SequenceForm["i=  ", 1, "    ", "j=  ", 19],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760683566958*^9, 3.655399125358691*^9, 
  3.65737834390084*^9, 3.857158746847066*^9, 3.859372664338461*^9},
 CellLabel->
  "During evaluation of \
In[57]:=",ExpressionUUID->"8f3cceaa-25bf-4d35-9068-84cd9613e47e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "20"}],
  SequenceForm["i=  ", 2, "    ", "j=  ", 20],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760683566958*^9, 3.655399125358691*^9, 
  3.65737834390084*^9, 3.857158746847066*^9, 3.8593726643896503`*^9},
 CellLabel->
  "During evaluation of \
In[57]:=",ExpressionUUID->"0fb16df9-3a21-46d8-a68b-974ef73cceda"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "21"}],
  SequenceForm["i=  ", 3, "    ", "j=  ", 21],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760683566958*^9, 3.655399125358691*^9, 
  3.65737834390084*^9, 3.857158746847066*^9, 3.8593726644443007`*^9},
 CellLabel->
  "During evaluation of \
In[57]:=",ExpressionUUID->"3173edca-e36d-48ad-99f4-06268c360f95"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "22"}],
  SequenceForm["i=  ", 4, "    ", "j=  ", 22],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760683566958*^9, 3.655399125358691*^9, 
  3.65737834390084*^9, 3.857158746847066*^9, 3.859372664500779*^9},
 CellLabel->
  "During evaluation of \
In[57]:=",ExpressionUUID->"efd7e459-62e2-4c10-ae73-eea039598d12"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "23"}],
  SequenceForm["i=  ", 5, "    ", "j=  ", 23],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760683566958*^9, 3.655399125358691*^9, 
  3.65737834390084*^9, 3.857158746847066*^9, 3.859372664543762*^9},
 CellLabel->
  "During evaluation of \
In[57]:=",ExpressionUUID->"930698dd-ca20-47af-a8be-cbb004b71569"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "24"}],
  SequenceForm["i=  ", 6, "    ", "j=  ", 24],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760683566958*^9, 3.655399125358691*^9, 
  3.65737834390084*^9, 3.857158746847066*^9, 3.859372664591221*^9},
 CellLabel->
  "During evaluation of \
In[57]:=",ExpressionUUID->"ef17bd1d-24b6-482f-9284-423565ca0dc5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "7", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "25"}],
  SequenceForm["i=  ", 7, "    ", "j=  ", 25],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760683566958*^9, 3.655399125358691*^9, 
  3.65737834390084*^9, 3.857158746847066*^9, 3.8593726646504393`*^9},
 CellLabel->
  "During evaluation of \
In[57]:=",ExpressionUUID->"d36d682f-4341-4f09-a038-afb0b6c4cf6a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "8", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "26"}],
  SequenceForm["i=  ", 8, "    ", "j=  ", 26],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760683566958*^9, 3.655399125358691*^9, 
  3.65737834390084*^9, 3.857158746847066*^9, 3.859372664691516*^9},
 CellLabel->
  "During evaluation of \
In[57]:=",ExpressionUUID->"ffed3485-7ad7-41e4-8d6b-4d10beca5277"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "9", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "27"}],
  SequenceForm["i=  ", 9, "    ", "j=  ", 27],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760683566958*^9, 3.655399125358691*^9, 
  3.65737834390084*^9, 3.857158746847066*^9, 3.859372664738101*^9},
 CellLabel->
  "During evaluation of \
In[57]:=",ExpressionUUID->"f185224f-60c9-4d2a-b3e7-ed3bf77f8bd7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "10", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "28"}],
  SequenceForm["i=  ", 10, "    ", "j=  ", 28],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760683566958*^9, 3.655399125358691*^9, 
  3.65737834390084*^9, 3.857158746847066*^9, 3.8593726648008013`*^9},
 CellLabel->
  "During evaluation of \
In[57]:=",ExpressionUUID->"8e6a4dc2-c6c5-4fc5-9363-331d932da360"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "11", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "29"}],
  SequenceForm["i=  ", 11, "    ", "j=  ", 29],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760683566958*^9, 3.655399125358691*^9, 
  3.65737834390084*^9, 3.857158746847066*^9, 3.859372664855422*^9},
 CellLabel->
  "During evaluation of \
In[57]:=",ExpressionUUID->"65a1ddb8-cf5a-46f2-8411-f7aae7abf105"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "30"}],
  SequenceForm["i=  ", 12, "    ", "j=  ", 30],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760683566958*^9, 3.655399125358691*^9, 
  3.65737834390084*^9, 3.857158746847066*^9, 3.8593726649049397`*^9},
 CellLabel->
  "During evaluation of \
In[57]:=",ExpressionUUID->"4185316d-aea9-49a6-9dbf-58e9444d77d6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "13", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "31"}],
  SequenceForm["i=  ", 13, "    ", "j=  ", 31],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760683566958*^9, 3.655399125358691*^9, 
  3.65737834390084*^9, 3.857158746847066*^9, 3.859372664947291*^9},
 CellLabel->
  "During evaluation of \
In[57]:=",ExpressionUUID->"c97a90a6-09fb-4b26-8358-7fd908f8f86a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "14", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "32"}],
  SequenceForm["i=  ", 14, "    ", "j=  ", 32],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760683566958*^9, 3.655399125358691*^9, 
  3.65737834390084*^9, 3.857158746847066*^9, 3.859372664995159*^9},
 CellLabel->
  "During evaluation of \
In[57]:=",ExpressionUUID->"bad05441-b8a4-4c72-9428-f1024a7ae77b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "15", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "33"}],
  SequenceForm["i=  ", 15, "    ", "j=  ", 33],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760683566958*^9, 3.655399125358691*^9, 
  3.65737834390084*^9, 3.857158746847066*^9, 3.85937266503461*^9},
 CellLabel->
  "During evaluation of \
In[57]:=",ExpressionUUID->"9cf7aca2-cb27-4e76-86b0-1fcc6dc7385d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "16", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "34"}],
  SequenceForm["i=  ", 16, "    ", "j=  ", 34],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760683566958*^9, 3.655399125358691*^9, 
  3.65737834390084*^9, 3.857158746847066*^9, 3.859372665079192*^9},
 CellLabel->
  "During evaluation of \
In[57]:=",ExpressionUUID->"671227f8-b8e9-4a0d-b76e-5266bd195302"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "17", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "35"}],
  SequenceForm["i=  ", 17, "    ", "j=  ", 35],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760683566958*^9, 3.655399125358691*^9, 
  3.65737834390084*^9, 3.857158746847066*^9, 3.859372665128745*^9},
 CellLabel->
  "During evaluation of \
In[57]:=",ExpressionUUID->"6744fc76-d842-4b2d-b8f6-6aeb5011f5f5"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"is", "=", "2"}], "\[IndentingNewLine]", 
 RowBox[{"str", "[", 
  RowBox[{"is", ",", "QD"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"DToMR2", "[", 
        RowBox[{"j", ",", "QD"}], "]"}], "-", 
       RowBox[{"DToMR2", "[", 
        RowBox[{"i", ",", "QD"}], "]"}]}], "\[Equal]", 
      RowBox[{"vec", "[", 
       RowBox[{"is", ",", "QD"}], "]"}]}], ",", 
     RowBox[{"Print", "[", 
      RowBox[{
      "\"\<i=  \>\"", ",", "i", ",", "\"\<    \>\"", ",", "\"\<j=  \>\"", ",",
        "j"}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", 
     RowBox[{"dim", "-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", 
     RowBox[{"dim", "-", "1"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.643757925407929*^9, 3.6437579256323137`*^9}},
 CellLabel->"In[60]:=",ExpressionUUID->"eacc902b-5a73-4a6e-841a-b2db554bcf75"],

Cell[BoxData[
 TagBox["2",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760684361232*^9, 3.655399126302943*^9, 
  3.657378344928239*^9, 3.8571587478460693`*^9, 3.859372665203053*^9},
 CellLabel->"Out[60]=",ExpressionUUID->"8433f128-58a4-4557-b368-9366cc2220be"],

Cell[CellGroupData[{

Cell[BoxData["6"], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.859372665237986*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"84412ec6-4f0b-4249-92fb-d9d2365525d1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "0", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "6"}],
  SequenceForm["i=  ", 0, "    ", "j=  ", 6],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.85937266528008*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"07cfb5db-da25-4d18-b36e-ade594e191f1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "7"}],
  SequenceForm["i=  ", 1, "    ", "j=  ", 7],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.859372665324354*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"21a6675f-72bb-48b0-820c-6c0e7c907225"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "8"}],
  SequenceForm["i=  ", 2, "    ", "j=  ", 8],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.859372665367311*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"8b4ca668-559c-4c78-8964-4d3430c3d3e7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "9"}],
  SequenceForm["i=  ", 3, "    ", "j=  ", 9],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.8593726654128838`*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"8df212d1-f0f2-4643-90de-29b71fed1e2f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "10"}],
  SequenceForm["i=  ", 4, "    ", "j=  ", 10],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.85937266545776*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"da4fea05-4f6e-468f-ba0b-0c357a863447"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "11"}],
  SequenceForm["i=  ", 5, "    ", "j=  ", 11],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.859372665512868*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"635bd7a0-2d2e-420e-87c8-b5551cc49413"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "12"}],
  SequenceForm["i=  ", 6, "    ", "j=  ", 12],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.859372665557461*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"22c72a07-4352-4149-9ef2-2fde5f6e5884"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "7", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "13"}],
  SequenceForm["i=  ", 7, "    ", "j=  ", 13],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.859372665601748*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"f0919c0e-5369-45c8-80e0-7dda83cbccdd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "8", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "14"}],
  SequenceForm["i=  ", 8, "    ", "j=  ", 14],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.859372665648552*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"f2900376-dc1f-4094-905e-6ef7c48d16d9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "9", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "15"}],
  SequenceForm["i=  ", 9, "    ", "j=  ", 15],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.859372665718841*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"f48789e4-72f5-49ae-834d-2ff1a1a782bc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "10", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "16"}],
  SequenceForm["i=  ", 10, "    ", "j=  ", 16],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.85937266576924*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"e31c8803-11be-4120-a7d0-97fca96f52f2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "11", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "17"}],
  SequenceForm["i=  ", 11, "    ", "j=  ", 17],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.859372665818122*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"6f713301-b6e9-4929-a2a8-003809648e31"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "24"}],
  SequenceForm["i=  ", 18, "    ", "j=  ", 24],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.859372665869195*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"24518b80-c386-4cd1-afdd-4cb16c5ad180"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "19", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "25"}],
  SequenceForm["i=  ", 19, "    ", "j=  ", 25],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.859372665923995*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"a9097378-b54f-4680-bbc3-8d51d063c133"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "20", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "26"}],
  SequenceForm["i=  ", 20, "    ", "j=  ", 26],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.859372665990782*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"22e01f6e-09a1-428a-895c-8522fe46e82c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "21", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "27"}],
  SequenceForm["i=  ", 21, "    ", "j=  ", 27],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.85937266605823*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"e7ab470c-3109-4f7b-813f-c52270ff617d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "22", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "28"}],
  SequenceForm["i=  ", 22, "    ", "j=  ", 28],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.859372666111228*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"08039d3e-622a-4f77-80d8-41911e4cc3cd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "23", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "29"}],
  SequenceForm["i=  ", 23, "    ", "j=  ", 29],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.859372666176406*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"a0088e98-f5f9-4e6e-81ea-2ec203f1c6b5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "24", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "30"}],
  SequenceForm["i=  ", 24, "    ", "j=  ", 30],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.859372666250242*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"38370916-7ed0-4f35-8fd8-186bcf4109d1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "25", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "31"}],
  SequenceForm["i=  ", 25, "    ", "j=  ", 31],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.8593726662918663`*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"8e907815-29e1-4cec-8b42-047611f86a7b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "26", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "32"}],
  SequenceForm["i=  ", 26, "    ", "j=  ", 32],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.8593726663462887`*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"a74326d5-debf-417b-ba0f-a1507ed471ee"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "27", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "33"}],
  SequenceForm["i=  ", 27, "    ", "j=  ", 33],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.859372666390358*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"95d7203d-200c-4947-af45-6fc3d1b549b5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "28", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "34"}],
  SequenceForm["i=  ", 28, "    ", "j=  ", 34],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.859372666435815*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"76d927df-ff70-4c67-af37-1e5d943ff98a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "29", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "35"}],
  SequenceForm["i=  ", 29, "    ", "j=  ", 35],
  Editable->False]], "Print",
 CellChangeTimes->{3.64376068439692*^9, 3.655399126348673*^9, 
  3.657378344974169*^9, 3.857158747884712*^9, 3.859372666488755*^9},
 CellLabel->
  "During evaluation of \
In[60]:=",ExpressionUUID->"0fd5ff69-0a42-4ff8-81ab-3fdd44fa9730"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"is", "=", "3"}], "\[IndentingNewLine]", 
 RowBox[{"str", "[", 
  RowBox[{"is", ",", "QD"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"DToMR2", "[", 
        RowBox[{"j", ",", "QD"}], "]"}], "-", 
       RowBox[{"DToMR2", "[", 
        RowBox[{"i", ",", "QD"}], "]"}]}], "\[Equal]", 
      RowBox[{"vec", "[", 
       RowBox[{"is", ",", "QD"}], "]"}]}], ",", 
     RowBox[{"Print", "[", 
      RowBox[{
      "\"\<i=  \>\"", ",", "i", ",", "\"\<    \>\"", ",", "\"\<j=  \>\"", ",",
        "j"}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", 
     RowBox[{"dim", "-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", 
     RowBox[{"dim", "-", "1"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.643757929524871*^9, 3.6437579300312157`*^9}},
 CellLabel->"In[63]:=",ExpressionUUID->"71c81173-17ba-40fc-af09-cf865f312a39"],

Cell[BoxData[
 TagBox["3",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606854492826`*^9, 3.655399127725102*^9, 
  3.657378346275363*^9, 3.857158749163221*^9, 3.859372666560542*^9},
 CellLabel->"Out[63]=",ExpressionUUID->"5445b4d2-ecb5-4597-b247-e40297cab701"],

Cell[CellGroupData[{

Cell[BoxData["3"], "Print",
 CellChangeTimes->{3.643760685489707*^9, 3.655399127769994*^9, 
  3.657378346318849*^9, 3.857158749209799*^9, 3.8593726665979958`*^9},
 CellLabel->
  "During evaluation of \
In[63]:=",ExpressionUUID->"fefee073-6e25-4051-aa07-7591d86a852e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "0", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "3"}],
  SequenceForm["i=  ", 0, "    ", "j=  ", 3],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760685489707*^9, 3.655399127769994*^9, 
  3.657378346318849*^9, 3.857158749209799*^9, 3.859372666650872*^9},
 CellLabel->
  "During evaluation of \
In[63]:=",ExpressionUUID->"54bd368a-5931-4f40-bea0-da339a6e45ce"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "4"}],
  SequenceForm["i=  ", 1, "    ", "j=  ", 4],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760685489707*^9, 3.655399127769994*^9, 
  3.657378346318849*^9, 3.857158749209799*^9, 3.859372666711776*^9},
 CellLabel->
  "During evaluation of \
In[63]:=",ExpressionUUID->"0e562b44-d1e7-49ca-a782-d10bc04fb9e3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "5"}],
  SequenceForm["i=  ", 2, "    ", "j=  ", 5],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760685489707*^9, 3.655399127769994*^9, 
  3.657378346318849*^9, 3.857158749209799*^9, 3.859372666762889*^9},
 CellLabel->
  "During evaluation of \
In[63]:=",ExpressionUUID->"5d61fbbe-119b-4435-8cb6-fc7e8706acfb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "9"}],
  SequenceForm["i=  ", 6, "    ", "j=  ", 9],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760685489707*^9, 3.655399127769994*^9, 
  3.657378346318849*^9, 3.857158749209799*^9, 3.8593726668375883`*^9},
 CellLabel->
  "During evaluation of \
In[63]:=",ExpressionUUID->"c650c1ac-b56a-4e0c-afb7-f123c5d2cf2e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "7", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "10"}],
  SequenceForm["i=  ", 7, "    ", "j=  ", 10],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760685489707*^9, 3.655399127769994*^9, 
  3.657378346318849*^9, 3.857158749209799*^9, 3.859372666890724*^9},
 CellLabel->
  "During evaluation of \
In[63]:=",ExpressionUUID->"c019f91b-d2a2-4e74-a9d3-8f66e149edd7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "8", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "11"}],
  SequenceForm["i=  ", 8, "    ", "j=  ", 11],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760685489707*^9, 3.655399127769994*^9, 
  3.657378346318849*^9, 3.857158749209799*^9, 3.859372666945284*^9},
 CellLabel->
  "During evaluation of \
In[63]:=",ExpressionUUID->"533761fd-5edf-424c-ba1f-d852756e6c13"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "15"}],
  SequenceForm["i=  ", 12, "    ", "j=  ", 15],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760685489707*^9, 3.655399127769994*^9, 
  3.657378346318849*^9, 3.857158749209799*^9, 3.859372666997117*^9},
 CellLabel->
  "During evaluation of \
In[63]:=",ExpressionUUID->"bacc4818-b721-4ad0-91a0-2d304df5b8f1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "13", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "16"}],
  SequenceForm["i=  ", 13, "    ", "j=  ", 16],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760685489707*^9, 3.655399127769994*^9, 
  3.657378346318849*^9, 3.857158749209799*^9, 3.85937266704535*^9},
 CellLabel->
  "During evaluation of \
In[63]:=",ExpressionUUID->"b07a636b-d29e-40cf-aaac-8cafa9b533b3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "14", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "17"}],
  SequenceForm["i=  ", 14, "    ", "j=  ", 17],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760685489707*^9, 3.655399127769994*^9, 
  3.657378346318849*^9, 3.857158749209799*^9, 3.85937266711121*^9},
 CellLabel->
  "During evaluation of \
In[63]:=",ExpressionUUID->"d104a8ef-29e9-4e84-95e3-82dc70f2e126"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "21"}],
  SequenceForm["i=  ", 18, "    ", "j=  ", 21],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760685489707*^9, 3.655399127769994*^9, 
  3.657378346318849*^9, 3.857158749209799*^9, 3.859372667154439*^9},
 CellLabel->
  "During evaluation of \
In[63]:=",ExpressionUUID->"f0a0f248-8f8a-4c46-b024-b65888f1439d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "19", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "22"}],
  SequenceForm["i=  ", 19, "    ", "j=  ", 22],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760685489707*^9, 3.655399127769994*^9, 
  3.657378346318849*^9, 3.857158749209799*^9, 3.8593726672186213`*^9},
 CellLabel->
  "During evaluation of \
In[63]:=",ExpressionUUID->"cfda5428-48c4-4a05-aabe-2902901f5c36"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "20", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "23"}],
  SequenceForm["i=  ", 20, "    ", "j=  ", 23],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760685489707*^9, 3.655399127769994*^9, 
  3.657378346318849*^9, 3.857158749209799*^9, 3.859372667285096*^9},
 CellLabel->
  "During evaluation of \
In[63]:=",ExpressionUUID->"3f544b28-8759-46f4-a325-c110502b79a7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "24", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "27"}],
  SequenceForm["i=  ", 24, "    ", "j=  ", 27],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760685489707*^9, 3.655399127769994*^9, 
  3.657378346318849*^9, 3.857158749209799*^9, 3.8593726673457317`*^9},
 CellLabel->
  "During evaluation of \
In[63]:=",ExpressionUUID->"1d2ea80d-ee8d-4d17-9f85-70faa4386b2e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "25", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "28"}],
  SequenceForm["i=  ", 25, "    ", "j=  ", 28],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760685489707*^9, 3.655399127769994*^9, 
  3.657378346318849*^9, 3.857158749209799*^9, 3.859372667396353*^9},
 CellLabel->
  "During evaluation of \
In[63]:=",ExpressionUUID->"964c85eb-ca73-4989-bdb8-a45040baa478"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "26", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "29"}],
  SequenceForm["i=  ", 26, "    ", "j=  ", 29],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760685489707*^9, 3.655399127769994*^9, 
  3.657378346318849*^9, 3.857158749209799*^9, 3.8593726674462*^9},
 CellLabel->
  "During evaluation of \
In[63]:=",ExpressionUUID->"c9b4642a-9434-4b99-abb3-5c06032398f5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "30", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "33"}],
  SequenceForm["i=  ", 30, "    ", "j=  ", 33],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760685489707*^9, 3.655399127769994*^9, 
  3.657378346318849*^9, 3.857158749209799*^9, 3.85937266749067*^9},
 CellLabel->
  "During evaluation of \
In[63]:=",ExpressionUUID->"3f28f08b-6a57-4856-826e-9456da15ba02"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "31", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "34"}],
  SequenceForm["i=  ", 31, "    ", "j=  ", 34],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760685489707*^9, 3.655399127769994*^9, 
  3.657378346318849*^9, 3.857158749209799*^9, 3.85937266754541*^9},
 CellLabel->
  "During evaluation of \
In[63]:=",ExpressionUUID->"604dfeed-9cd2-4336-a2c2-3f87200680a1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "32", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "35"}],
  SequenceForm["i=  ", 32, "    ", "j=  ", 35],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760685489707*^9, 3.655399127769994*^9, 
  3.657378346318849*^9, 3.857158749209799*^9, 3.859372667624775*^9},
 CellLabel->
  "During evaluation of \
In[63]:=",ExpressionUUID->"d159ffcd-ee2f-404d-98d1-d19b468a5ad1"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"is", "=", "4"}], "\[IndentingNewLine]", 
 RowBox[{"str", "[", 
  RowBox[{"is", ",", "QD"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"DToMR2", "[", 
        RowBox[{"j", ",", "QD"}], "]"}], "-", 
       RowBox[{"DToMR2", "[", 
        RowBox[{"i", ",", "QD"}], "]"}]}], "\[Equal]", 
      RowBox[{"vec", "[", 
       RowBox[{"is", ",", "QD"}], "]"}]}], ",", 
     RowBox[{"Print", "[", 
      RowBox[{
      "\"\<i=  \>\"", ",", "i", ",", "\"\<    \>\"", ",", "\"\<j=  \>\"", ",",
        "j"}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", 
     RowBox[{"dim", "-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", 
     RowBox[{"dim", "-", "1"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.643757933124998*^9, 3.643757933867536*^9}},
 CellLabel->"In[66]:=",ExpressionUUID->"5bc4ee18-68ac-4bf6-937f-41e069486be2"],

Cell[BoxData[
 TagBox["4",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760686345846*^9, 3.655399128874724*^9, 
  3.657378347359149*^9, 3.85715875013839*^9, 3.85937266771397*^9},
 CellLabel->"Out[66]=",ExpressionUUID->"463f0946-2190-4c18-a2dd-014b0279fb73"],

Cell[CellGroupData[{

Cell[BoxData["1"], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.859372667766519*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"ac30be17-8a47-43c6-8282-5b6a3f563b82"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "0", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "1"}],
  SequenceForm["i=  ", 0, "    ", "j=  ", 1],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.8593726678262978`*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"01582f36-ab36-4268-9383-ac5a495d62d3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "2"}],
  SequenceForm["i=  ", 1, "    ", "j=  ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.859372667869781*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"88a8ee16-e667-4dd5-93a2-98f8a8fbc361"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "4"}],
  SequenceForm["i=  ", 3, "    ", "j=  ", 4],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.859372667923019*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"a9b39866-824f-4037-82a4-3649ae295695"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "5"}],
  SequenceForm["i=  ", 4, "    ", "j=  ", 5],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.859372667964631*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"20324f70-56c6-4d3f-ab92-a2a3aab21aa6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "7"}],
  SequenceForm["i=  ", 6, "    ", "j=  ", 7],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.859372668002674*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"23480473-567d-4686-a04a-3c7cf64a9259"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "7", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "8"}],
  SequenceForm["i=  ", 7, "    ", "j=  ", 8],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.859372668056408*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"88d7d251-a701-4e36-800d-32fbddb98cd3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "9", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "10"}],
  SequenceForm["i=  ", 9, "    ", "j=  ", 10],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.8593726681007643`*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"60e320f7-e7c0-4366-8b8d-9a31b5ef0540"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "10", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "11"}],
  SequenceForm["i=  ", 10, "    ", "j=  ", 11],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.859372668137663*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"e5cf9a10-47b4-44ac-8050-3a080de564ce"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "13"}],
  SequenceForm["i=  ", 12, "    ", "j=  ", 13],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.859372668186586*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"a4518a50-5905-419a-bcf7-01b8fd8c5d44"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "13", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "14"}],
  SequenceForm["i=  ", 13, "    ", "j=  ", 14],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.859372668244731*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"9448936b-bf00-447f-a381-e45e8b85f04a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "15", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "16"}],
  SequenceForm["i=  ", 15, "    ", "j=  ", 16],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.8593726682907553`*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"ef8157fb-1703-45f7-b75d-c908f5bd9374"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "16", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "17"}],
  SequenceForm["i=  ", 16, "    ", "j=  ", 17],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.859372668334826*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"f799d832-080f-4d1c-ae79-ae1a554c4612"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "19"}],
  SequenceForm["i=  ", 18, "    ", "j=  ", 19],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.8593726683769703`*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"0f4478e2-adb2-432c-a66e-93553c8f2f76"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "19", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "20"}],
  SequenceForm["i=  ", 19, "    ", "j=  ", 20],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.8593726684353456`*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"19db1066-3dc8-4a41-a850-0e4a4d1c7beb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "21", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "22"}],
  SequenceForm["i=  ", 21, "    ", "j=  ", 22],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.859372668475235*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"3c68e6f2-1058-42f1-b234-a273f3912b69"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "22", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "23"}],
  SequenceForm["i=  ", 22, "    ", "j=  ", 23],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.859372668521921*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"ece99007-2c96-4043-899b-3675c1f334e1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "24", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "25"}],
  SequenceForm["i=  ", 24, "    ", "j=  ", 25],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.859372668568535*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"25bb8ea3-40d1-437e-aa6f-5c5e90e00d1c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "25", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "26"}],
  SequenceForm["i=  ", 25, "    ", "j=  ", 26],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.85937266861381*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"6c76e51b-4ba5-47e4-a9d2-b405ec6b302a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "27", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "28"}],
  SequenceForm["i=  ", 27, "    ", "j=  ", 28],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.859372668657222*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"9178bcf1-c528-40fc-ba2a-11acf64877c0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "28", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "29"}],
  SequenceForm["i=  ", 28, "    ", "j=  ", 29],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.859372668706821*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"db3738e0-3805-40dc-85b7-bdc1b45c49b6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "30", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "31"}],
  SequenceForm["i=  ", 30, "    ", "j=  ", 31],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.859372668858251*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"4fb24571-ccfe-4da4-913c-247ef1c0f48e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "31", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "32"}],
  SequenceForm["i=  ", 31, "    ", "j=  ", 32],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.8593726689130793`*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"acec7815-94a5-4584-982f-9fa3223263fd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "33", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "34"}],
  SequenceForm["i=  ", 33, "    ", "j=  ", 34],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.8593726689569187`*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"143720a5-e478-407b-aa37-b08254fe43ae"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i=  \"\>", "\[InvisibleSpace]", "34", 
   "\[InvisibleSpace]", "\<\"    \"\>", "\[InvisibleSpace]", "\<\"j=  \"\>", 
   "\[InvisibleSpace]", "35"}],
  SequenceForm["i=  ", 34, "    ", "j=  ", 35],
  Editable->False]], "Print",
 CellChangeTimes->{3.643760686389502*^9, 3.65539912892635*^9, 
  3.657378347413571*^9, 3.857158750176353*^9, 3.8593726690017242`*^9},
 CellLabel->
  "During evaluation of \
In[66]:=",ExpressionUUID->"c3b4e499-58fc-43d3-804e-4b73b6590e09"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"QA", "=", 
   RowBox[{"{", 
    RowBox[{"B", ",", "B"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"QD", "=", 
   RowBox[{"QA", " ", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"B", "->", "2"}], ",", 
      RowBox[{"T", "->", "3"}]}], "}"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nT", "=", "0"}], ";", 
  RowBox[{"nB", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dim", "=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"nT", "==", "0"}], ",", 
      RowBox[{"2", "^", "nB"}], " ", ",", 
      RowBox[{
       RowBox[{"2", "^", "nB"}], " ", 
       RowBox[{"3", "^", "nT"}]}]}], "   ", "]"}]}], ";"}], " "}], "\n", 
 RowBox[{
  RowBox[{"dim", "=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"nB", "==", "0"}], ",", 
     RowBox[{"3", "^", "nT"}], " ", ",", 
     RowBox[{
      RowBox[{"2", "^", "nB"}], " ", 
      RowBox[{"3", "^", "nT"}]}]}], "   ", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "dim", "\[IndentingNewLine]", 
 RowBox[{"str", "[", 
  RowBox[{"1", ",", "QD"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"str", "[", 
   RowBox[{"2", ",", "QD"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.643729167130925*^9, 3.6437291755452757`*^9}, {
   3.6437292216068296`*^9, 3.643729221997126*^9}, {3.643729263028637*^9, 
   3.6437292740642567`*^9}, {3.643729308331234*^9, 3.643729358877388*^9}, {
   3.643729899154829*^9, 3.64372992724642*^9}, {3.643730019092045*^9, 
   3.643730073892129*^9}, {3.64373011326819*^9, 3.643730113975968*^9}, {
   3.643730151576787*^9, 3.6437302175555553`*^9}, 3.643730294708679*^9},
 CellLabel->"In[69]:=",ExpressionUUID->"f60d12ad-4882-4ae8-9476-16e94d7c31c2"],

Cell[BoxData[
 TagBox["4",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760687651905*^9, 3.6553991303742857`*^9, 
  3.657378348825294*^9, 3.857158751460649*^9, 3.859372669132169*^9},
 CellLabel->"Out[74]=",ExpressionUUID->"1e0f8b97-be4b-4446-888d-bbae99e6516e"],

Cell[CellGroupData[{

Cell[BoxData["2"], "Print",
 CellChangeTimes->{3.6437606876997766`*^9, 3.655399130425727*^9, 
  3.657378348872979*^9, 3.857158751510141*^9, 3.859372669178708*^9},
 CellLabel->
  "During evaluation of \
In[69]:=",ExpressionUUID->"f4ed8843-766f-4322-abc6-820a28848f29"],

Cell[BoxData["1"], "Print",
 CellChangeTimes->{3.6437606876997766`*^9, 3.655399130425727*^9, 
  3.657378348872979*^9, 3.857158751510141*^9, 3.859372669234849*^9},
 CellLabel->
  "During evaluation of \
In[69]:=",ExpressionUUID->"bb7dd05d-bf1e-497c-bbfb-038df993ea74"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"QA", "=", 
   RowBox[{"{", 
    RowBox[{"T", ",", "T"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"QD", "=", 
   RowBox[{"QA", " ", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"B", "->", "2"}], ",", 
      RowBox[{"T", "->", "3"}]}], "}"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nT", "=", "2"}], ";", 
  RowBox[{"nB", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dim", "=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"nT", "==", "0"}], ",", 
      RowBox[{"2", "^", "nB"}], " ", ",", 
      RowBox[{
       RowBox[{"2", "^", "nB"}], " ", 
       RowBox[{"3", "^", "nT"}]}]}], "   ", "]"}]}], ";"}], " "}], "\n", 
 RowBox[{
  RowBox[{"dim", "=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"nB", "==", "0"}], ",", 
     RowBox[{"3", "^", "nT"}], " ", ",", 
     RowBox[{
      RowBox[{"2", "^", "nB"}], " ", 
      RowBox[{"3", "^", "nT"}]}]}], "   ", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "dim", "\[IndentingNewLine]", 
 RowBox[{"str", "[", 
  RowBox[{"1", ",", "QD"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"str", "[", 
   RowBox[{"2", ",", "QD"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.643729167130925*^9, 3.6437291755452757`*^9}, {
   3.6437292216068296`*^9, 3.643729221997126*^9}, {3.643729263028637*^9, 
   3.6437292740642567`*^9}, {3.643729308331234*^9, 3.643729358877388*^9}, {
   3.643729899154829*^9, 3.64372992724642*^9}, {3.643730019092045*^9, 
   3.643730073892129*^9}, {3.64373011326819*^9, 3.643730113975968*^9}, {
   3.643730151576787*^9, 3.643730239705463*^9}, 3.6437302902088747`*^9},
 CellLabel->"In[77]:=",ExpressionUUID->"017a12af-cd5a-4b55-b463-677ad6f8fbc4"],

Cell[BoxData[
 TagBox["9",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606878106947`*^9, 3.655399130563588*^9, 
  3.6573783490028*^9, 3.85715875161693*^9, 3.859372669284733*^9},
 CellLabel->"Out[82]=",ExpressionUUID->"dd47d599-959e-4c7a-b2a6-24a6033bed48"],

Cell[CellGroupData[{

Cell[BoxData["3"], "Print",
 CellChangeTimes->{3.643760687859086*^9, 3.655399130614284*^9, 
  3.657378349051482*^9, 3.857158751656971*^9, 3.859372669323159*^9},
 CellLabel->
  "During evaluation of \
In[77]:=",ExpressionUUID->"bbf121d2-ae45-476d-a5ee-da56d550e033"],

Cell[BoxData["1"], "Print",
 CellChangeTimes->{3.643760687859086*^9, 3.655399130614284*^9, 
  3.657378349051482*^9, 3.857158751656971*^9, 3.859372669379426*^9},
 CellLabel->
  "During evaluation of \
In[77]:=",ExpressionUUID->"b7d4b119-2f6d-41b2-8eab-94ad76c0b15b"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"QA", "=", 
   RowBox[{"{", 
    RowBox[{"B", ",", "T"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"QD", "=", 
   RowBox[{"QA", " ", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"B", "->", "2"}], ",", 
      RowBox[{"T", "->", "3"}]}], "}"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nT", "=", "1"}], ";", 
  RowBox[{"nB", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dim", "=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"nT", "==", "0"}], ",", 
      RowBox[{"2", "^", "nB"}], " ", ",", 
      RowBox[{
       RowBox[{"2", "^", "nB"}], " ", 
       RowBox[{"3", "^", "nT"}]}]}], "   ", "]"}]}], ";"}], " "}], "\n", 
 RowBox[{
  RowBox[{"dim", "=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"nB", "==", "0"}], ",", 
     RowBox[{"3", "^", "nT"}], " ", ",", 
     RowBox[{
      RowBox[{"2", "^", "nB"}], " ", 
      RowBox[{"3", "^", "nT"}]}]}], "   ", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "dim", "\[IndentingNewLine]", 
 RowBox[{"str", "[", 
  RowBox[{"1", ",", "QD"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"str", "[", 
   RowBox[{"2", ",", "QD"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.643729167130925*^9, 3.6437291755452757`*^9}, {
  3.6437292216068296`*^9, 3.643729221997126*^9}, {3.643729263028637*^9, 
  3.6437292740642567`*^9}, {3.643729308331234*^9, 3.643729358877388*^9}, {
  3.643729899154829*^9, 3.64372992724642*^9}, {3.643730019092045*^9, 
  3.643730073892129*^9}, {3.64373011326819*^9, 3.643730113975968*^9}, {
  3.643730151576787*^9, 3.64373028443777*^9}},
 CellLabel->"In[85]:=",ExpressionUUID->"01f98ec3-8aeb-407e-a3b2-cb69467b7cb5"],

Cell[BoxData[
 TagBox["6",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.64376068797756*^9, 3.6553991307466507`*^9, 
  3.6573783492190523`*^9, 3.857158751743884*^9, 3.8593726694475183`*^9},
 CellLabel->"Out[90]=",ExpressionUUID->"4cd97784-4b01-4dfb-b4a8-3a8fbeed5a67"],

Cell[CellGroupData[{

Cell[BoxData["3"], "Print",
 CellChangeTimes->{3.643760688024619*^9, 3.655399130803055*^9, 
  3.657378349268715*^9, 3.857158751789867*^9, 3.859372669488718*^9},
 CellLabel->
  "During evaluation of \
In[85]:=",ExpressionUUID->"54c938fb-5107-4329-98ce-9c30e8ca4705"],

Cell[BoxData["1"], "Print",
 CellChangeTimes->{3.643760688024619*^9, 3.655399130803055*^9, 
  3.657378349268715*^9, 3.857158751789867*^9, 3.85937266953684*^9},
 CellLabel->
  "During evaluation of \
In[85]:=",ExpressionUUID->"71595716-8214-4574-9f3a-154ab80b695d"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"QA", "=", 
   RowBox[{"{", 
    RowBox[{"T", ",", "B"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"QD", "=", 
   RowBox[{"QA", " ", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"B", "->", "2"}], ",", 
      RowBox[{"T", "->", "3"}]}], "}"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nT", "=", "1"}], ";", 
  RowBox[{"nB", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dim", "=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"nT", "==", "0"}], ",", 
      RowBox[{"2", "^", "nB"}], " ", ",", 
      RowBox[{
       RowBox[{"2", "^", "nB"}], " ", 
       RowBox[{"3", "^", "nT"}]}]}], "   ", "]"}]}], ";"}], " "}], "\n", 
 RowBox[{
  RowBox[{"dim", "=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"nB", "==", "0"}], ",", 
     RowBox[{"3", "^", "nT"}], " ", ",", 
     RowBox[{
      RowBox[{"2", "^", "nB"}], " ", 
      RowBox[{"3", "^", "nT"}]}]}], "   ", "]"}]}], 
  ";"}], "\[IndentingNewLine]", "dim", "\[IndentingNewLine]", 
 RowBox[{"str", "[", 
  RowBox[{"1", ",", "QD"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"str", "[", 
  RowBox[{"2", ",", "QD"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{"DToMR2", "[", 
     RowBox[{"i", ",", "QD"}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", 
     RowBox[{"dim", "-", "1"}]}], "}"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.643729167130925*^9, 3.6437291755452757`*^9}, {
  3.6437292216068296`*^9, 3.643729221997126*^9}, {3.643729263028637*^9, 
  3.6437292740642567`*^9}, {3.643729308331234*^9, 3.643729358877388*^9}, {
  3.643729899154829*^9, 3.64372992724642*^9}, {3.643730019092045*^9, 
  3.643730073892129*^9}, {3.64373011326819*^9, 3.643730113975968*^9}, {
  3.643730151576787*^9, 3.64373028443777*^9}, {3.643730318524444*^9, 
  3.643730323383609*^9}, {3.643758795281258*^9, 3.643758890815509*^9}, {
  3.643758938234838*^9, 3.6437589910877867`*^9}},
 CellLabel->"In[93]:=",ExpressionUUID->"8be71158-92f4-4638-bbf7-a1035616105c"],

Cell[BoxData[
 TagBox["6",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760688143333*^9, 3.6553991309322863`*^9, 
  3.657378349436043*^9, 3.857158751891039*^9, 3.859372669597768*^9},
 CellLabel->"Out[98]=",ExpressionUUID->"892e1074-f886-4315-b7dc-985041c0ecde"],

Cell[CellGroupData[{

Cell[BoxData["2"], "Print",
 CellChangeTimes->{3.643760688193766*^9, 3.655399130982048*^9, 
  3.6573783494853477`*^9, 3.857158751940723*^9, 3.859372669634247*^9},
 CellLabel->
  "During evaluation of \
In[93]:=",ExpressionUUID->"bb413179-8e6a-4340-ab6e-1e180fca4b8c"],

Cell[BoxData["1"], "Print",
 CellChangeTimes->{3.643760688193766*^9, 3.655399130982048*^9, 
  3.6573783494853477`*^9, 3.857158751940723*^9, 3.8593726696694803`*^9},
 CellLabel->
  "During evaluation of \
In[93]:=",ExpressionUUID->"79f3faf6-b013-4858-b82e-daafc470cfe2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0"}], "}"}]], "Print",
 CellChangeTimes->{3.643760688193766*^9, 3.655399130982048*^9, 
  3.6573783494853477`*^9, 3.857158751940723*^9, 3.859372669717305*^9},
 CellLabel->
  "During evaluation of \
In[93]:=",ExpressionUUID->"23700d28-9efa-47ff-998f-a3dddfddd796"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1"}], "}"}]], "Print",
 CellChangeTimes->{3.643760688193766*^9, 3.655399130982048*^9, 
  3.6573783494853477`*^9, 3.857158751940723*^9, 3.8593726697676888`*^9},
 CellLabel->
  "During evaluation of \
In[93]:=",ExpressionUUID->"693e4119-4a33-40a3-bdaf-48b406dc73b1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "0"}], "}"}]], "Print",
 CellChangeTimes->{3.643760688193766*^9, 3.655399130982048*^9, 
  3.6573783494853477`*^9, 3.857158751940723*^9, 3.859372669813443*^9},
 CellLabel->
  "During evaluation of \
In[93]:=",ExpressionUUID->"c1a265cf-ea26-4a9f-b016-94443f891342"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "1"}], "}"}]], "Print",
 CellChangeTimes->{3.643760688193766*^9, 3.655399130982048*^9, 
  3.6573783494853477`*^9, 3.857158751940723*^9, 3.8593726698484707`*^9},
 CellLabel->
  "During evaluation of \
In[93]:=",ExpressionUUID->"935d1c3f-5434-4391-8261-9b05f68d0c45"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "0"}], "}"}]], "Print",
 CellChangeTimes->{3.643760688193766*^9, 3.655399130982048*^9, 
  3.6573783494853477`*^9, 3.857158751940723*^9, 3.859372669896372*^9},
 CellLabel->
  "During evaluation of \
In[93]:=",ExpressionUUID->"00ea2fb2-9745-49f3-ab0a-d4f97b3ff954"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "1"}], "}"}]], "Print",
 CellChangeTimes->{3.643760688193766*^9, 3.655399130982048*^9, 
  3.6573783494853477`*^9, 3.857158751940723*^9, 3.8593726699581738`*^9},
 CellLabel->
  "During evaluation of \
In[93]:=",ExpressionUUID->"ee7e4524-553a-4725-b4eb-1c6827aec2b3"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.64372844339712*^9, 3.643728503598941*^9}, 
   3.643729568379819*^9},
 CellLabel->
  "In[102]:=",ExpressionUUID->"bf3e93c1-ba32-40ac-8b4d-d678cee78f94"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"str", "[", 
  RowBox[{"1", ",", "QD"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"str", "[", 
  RowBox[{"2", ",", "QD"}], "]"}]}], "Input",
 CellChangeTimes->{{3.643758258609252*^9, 3.643758259288446*^9}, {
  3.643758495217814*^9, 3.643758501312323*^9}, {3.643758617853468*^9, 
  3.64375862131715*^9}},
 CellLabel->
  "In[103]:=",ExpressionUUID->"05183e62-4dbf-4e4d-9726-79381b42d593"],

Cell[CellGroupData[{

Cell[BoxData["2"], "Print",
 CellChangeTimes->{3.643760688643456*^9, 3.655399131460576*^9, 
  3.65737835009352*^9, 3.857158752347548*^9, 3.8593726700597477`*^9},
 CellLabel->
  "During evaluation of \
In[103]:=",ExpressionUUID->"6fb5f287-544d-465d-bccf-b95003f1ed62"],

Cell[BoxData["1"], "Print",
 CellChangeTimes->{3.643760688643456*^9, 3.655399131460576*^9, 
  3.65737835009352*^9, 3.857158752347548*^9, 3.8593726701171703`*^9},
 CellLabel->
  "During evaluation of \
In[103]:=",ExpressionUUID->"0c495317-4a4a-49b9-afd4-c4cab51bf3ba"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"DToMR2", "[", 
     RowBox[{"2", ",", "QD"}], "]"}], "-", 
    RowBox[{"DToMR2", "[", 
     RowBox[{"0", ",", "QD"}], "]"}]}], "==", 
   RowBox[{
    RowBox[{"DToMR2", "[", 
     RowBox[{"3", ",", "QD"}], "]"}], "-", 
    RowBox[{"DToMR2", "[", 
     RowBox[{"1", ",", "QD"}], "]"}]}], "==", 
   RowBox[{
    RowBox[{"DToMR2", "[", 
     RowBox[{"4", ",", "QD"}], "]"}], "-", 
    RowBox[{"DToMR2", "[", 
     RowBox[{"2", ",", "QD"}], "]"}]}], "==", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DToMR2", "[", 
     RowBox[{"5", ",", "QD"}], "]"}], "-", 
    RowBox[{"DToMR2", "[", 
     RowBox[{"3", ",", "QD"}], "]"}]}], "==", 
   RowBox[{"vec", "[", 
    RowBox[{"1", ",", "QD"}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"DToMR2", "[", 
     RowBox[{"1", ",", "QD"}], "]"}], "-", 
    RowBox[{"DToMR2", "[", 
     RowBox[{"0", ",", "QD"}], "]"}]}], "==", 
   RowBox[{
    RowBox[{"DToMR2", "[", 
     RowBox[{"3", ",", "QD"}], "]"}], "-", 
    RowBox[{"DToMR2", "[", 
     RowBox[{"2", ",", "QD"}], "]"}]}], "==", 
   RowBox[{
    RowBox[{"DToMR2", "[", 
     RowBox[{"5", ",", "QD"}], "]"}], "-", 
    RowBox[{"DToMR2", "[", 
     RowBox[{"4", ",", "QD"}], "]"}]}], "==", 
   RowBox[{"vec", "[", 
    RowBox[{"2", ",", "QD"}], "]"}]}], " ", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.643758321988228*^9, 3.643758345678035*^9}, {
  3.643758381466552*^9, 3.643758402918825*^9}, {3.6437585101114264`*^9, 
  3.64375854585251*^9}, {3.643758576002861*^9, 3.643758592652041*^9}, {
  3.643758633705029*^9, 3.643758685613648*^9}, {3.643758716136324*^9, 
  3.643758755306118*^9}, {3.643759029394473*^9, 3.6437591228139763`*^9}, {
  3.643759155631219*^9, 3.643759204782597*^9}, {3.6437592800252123`*^9, 
  3.643759303592555*^9}, {3.643759382849573*^9, 3.64375939728327*^9}, {
  3.643759586151778*^9, 3.643759621759568*^9}, {3.64375993654734*^9, 
  3.6437600697044983`*^9}},
 CellLabel->
  "In[105]:=",ExpressionUUID->"9aedddae-75ae-4433-982c-6be3b25a5808"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760688812418*^9, 3.65539913159872*^9, 
  3.657378350237981*^9, 3.857158752465283*^9, 3.859372670194509*^9},
 CellLabel->
  "Out[105]=",ExpressionUUID->"dd6f17c6-7212-43b7-ae9f-0f82d57efda7"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760688812418*^9, 3.65539913159872*^9, 
  3.657378350237981*^9, 3.857158752465283*^9, 3.859372670236458*^9},
 CellLabel->
  "Out[106]=",ExpressionUUID->"ff811956-7e51-4db4-abd3-fc1b895c8bfe"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.6437596362936*^9, 3.6437596410843678`*^9}, {
   3.6437596779876204`*^9, 3.64375968168745*^9}, 3.643759933446187*^9},
 CellLabel->
  "In[107]:=",ExpressionUUID->"fab35f1c-2ed8-486e-93ff-d35e635ea8f6"],

Cell[BoxData[
 RowBox[{"Clear", "[", "PartnerBT1", "]"}]], "Input",
 CellChangeTimes->{{3.643582945357305*^9, 3.643582955003558*^9}},
 CellLabel->
  "In[108]:=",ExpressionUUID->"3fedea54-3d25-4424-bc21-0d1cc2c50351"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"PartnerBT1", "[", 
    RowBox[{"QA3_", ",", "  ", "isBT_"}], "]"}], " ", ":=", "\n", " ", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"QDx", ",", "nB", ",", "nT", ",", "nf3", ",", 
       RowBox[{"jpBT", "=", "isBT"}], ",", "strideA", ",", "strideBT", ",", 
       "tempBT", ",", "npBT", ",", "yp1BT", ",", "dimBT"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"QDx", " ", "=", 
       RowBox[{"QA3", " ", "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"B", "->", "2"}], ",", 
          RowBox[{"T", "->", "3"}]}], "}"}]}]}], ";", "\n", 
      RowBox[{"nB", "=", 
       RowBox[{"Length", "[", 
        RowBox[{"Cases", "[", 
         RowBox[{"QA3", ",", "B"}], "]"}], "]"}]}], ";", "\n", 
      RowBox[{"nT", "=", 
       RowBox[{"Length", "[", 
        RowBox[{"Cases", "[", 
         RowBox[{"QA3", ",", "T"}], "]"}], "]"}]}], ";", "\n", 
      RowBox[{"nf3", "=", 
       RowBox[{"Length", "[", "QA3", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"dimBT", "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"nT", "==", "0"}], ",", 
         RowBox[{"2", "^", "nB"}], " ", ",", 
         RowBox[{
          RowBox[{"2", "^", "nB"}], " ", 
          RowBox[{"3", "^", "nT"}]}]}], "   ", "]"}]}], " ", ";", "  ", "\n", 
      "       ", 
      RowBox[{"dimBT", "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"nB", "==", "0"}], ",", 
         RowBox[{"3", "^", "nT"}], " ", ",", 
         RowBox[{
          RowBox[{"2", "^", "nB"}], " ", 
          RowBox[{"3", "^", "nT"}]}]}], "   ", "]"}]}], ";", "\n", 
      RowBox[{
       RowBox[{"strideA", "[", "QDV_", "]"}], ":=", 
       RowBox[{"Reverse", "@", 
        RowBox[{"Most", "@", 
         RowBox[{"FoldList", "[", 
          RowBox[{"Times", ",", "1", ",", 
           RowBox[{"Reverse", "@", "QDV"}]}], "]"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"strideBT", "[", 
        RowBox[{"is_", ",", "QDv_"}], "]"}], ":=", 
       RowBox[{
        RowBox[{"strideA", "[", "QDv", "]"}], "[", 
        RowBox[{"[", "is", "]"}], "]"}]}], ";", 
      RowBox[{"tempBT", "=", 
       RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Do", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"BTbit", "[", 
            RowBox[{"jpBT", ",", "npBT", ",", "QDx"}], "]"}], "==", "0"}], 
          ",", "\[IndentingNewLine]", "       ", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"QDx", "[", 
              RowBox[{"[", "jpBT", "]"}], "]"}], "\[Equal]", "2"}], ",", " ", 
            
            RowBox[{"tempBT", "=", 
             RowBox[{"{", 
              RowBox[{"tempBT", ",", 
               RowBox[{"{", 
                RowBox[{"npBT", ",", 
                 RowBox[{"npBT", "+", 
                  RowBox[{"strideBT", "[", 
                   RowBox[{"jpBT", ",", "QDx"}], "]"}]}]}], "}"}]}], "}"}]}], 
            ",", "\[IndentingNewLine]", "      ", 
            RowBox[{"tempBT", "=", 
             RowBox[{"{", 
              RowBox[{"tempBT", ",", 
               RowBox[{"{", 
                RowBox[{"npBT", ",", 
                 RowBox[{"npBT", "+", 
                  RowBox[{"strideBT", "[", 
                   RowBox[{"jpBT", ",", "QDx"}], "]"}]}], " ", ",", " ", 
                 RowBox[{"npBT", "+", 
                  RowBox[{"2", "*", 
                   RowBox[{"strideBT", "[", 
                    RowBox[{"jpBT", ",", "QDx"}], "]"}]}]}]}], "}"}]}], 
              "}"}]}]}], "]"}], ","}], "        ", "\[IndentingNewLine]", 
         "   ", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"npBT", ",", "1", ",", "dimBT"}], "}"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Flatten", "[", "tempBT", "]"}]}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"PickBT1", "[", 
     RowBox[{"is_", ",", "icase_", ",", "ip1_"}], "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"QD", "[", 
        RowBox[{"[", "is", "]"}], "]"}], "\[Equal]", "2"}], ",", 
      RowBox[{
       RowBox[{"PartnerBT1", "[", 
        RowBox[{"QA", ",", "is"}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"2", "*", "icase"}], "-", "1", "+", "ip1", "-", "1"}], "]"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"PartnerBT1", "[", 
        RowBox[{"QA", ",", "is"}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"3", "*", "icase"}], "-", "2", "+", "ip1", "-", "1"}], "]"}],
        "]"}]}], "  ", "]"}]}], ";"}], " "}]}], "Input",
 CellChangeTimes->{{3.643540939040204*^9, 3.643540963294571*^9}, {
   3.6435410616452312`*^9, 3.643541140327099*^9}, {3.643541185452771*^9, 
   3.6435412182108517`*^9}, 3.643541259938171*^9, {3.6435413013611717`*^9, 
   3.643541313185014*^9}, {3.643541350917616*^9, 3.6435413990001593`*^9}, {
   3.64354154779641*^9, 3.643541559685855*^9}, {3.643541594775214*^9, 
   3.643541614225683*^9}, {3.643541745582499*^9, 3.643541748620298*^9}, {
   3.643541780537059*^9, 3.643541814388089*^9}, {3.6435418935662394`*^9, 
   3.6435419396034527`*^9}, {3.643541986278379*^9, 3.643542123293376*^9}, 
   3.643542187914989*^9, {3.6435422486651382`*^9, 3.643542258958415*^9}, 
   3.643542318044488*^9, 3.6435423538538857`*^9, {3.643542389516489*^9, 
   3.643542429678275*^9}, {3.643542581432406*^9, 3.64354258820259*^9}, {
   3.643542618691368*^9, 3.6435426194898*^9}, {3.643542789963018*^9, 
   3.643542922409067*^9}, {3.643543193077693*^9, 3.6435432162074327`*^9}, {
   3.6435432623788147`*^9, 3.6435432820208282`*^9}, 3.643543489024466*^9, {
   3.643543559112473*^9, 3.643543579406807*^9}, {3.643543631507021*^9, 
   3.6435436331816893`*^9}, {3.643543684607409*^9, 3.643543688836618*^9}, {
   3.643543827022354*^9, 3.643543840296836*^9}, {3.643580723611177*^9, 
   3.64358073133108*^9}, {3.643580775462893*^9, 3.643580822285263*^9}, {
   3.6435808851532297`*^9, 3.6435808909449377`*^9}, {3.6435809735430593`*^9, 
   3.643581037050673*^9}, {3.6435810920631866`*^9, 3.64358109533685*^9}, {
   3.643581131754424*^9, 3.6435811432969418`*^9}, {3.643581179072509*^9, 
   3.643581181704164*^9}, {3.643581343098572*^9, 3.6435813485783577`*^9}, {
   3.643581396232602*^9, 3.643581450165663*^9}, {3.6435816807265253`*^9, 
   3.6435817482506933`*^9}, {3.643581820981884*^9, 3.643581845922277*^9}, {
   3.6435819943113613`*^9, 3.6435819947839003`*^9}, {3.6435821108184433`*^9, 
   3.643582169656543*^9}, {3.6435823487937803`*^9, 3.643582352741942*^9}, {
   3.64358243946841*^9, 3.643582467344998*^9}, {3.6435825285473833`*^9, 
   3.643582576718533*^9}, 3.6435826108307*^9, {3.643582696578288*^9, 
   3.643582704002528*^9}, {3.6435827393736143`*^9, 3.643582770536806*^9}, {
   3.643582810734277*^9, 3.643582815312107*^9}, {3.643582920636263*^9, 
   3.643582921569202*^9}, {3.643582999903707*^9, 3.643583015630478*^9}, 
   3.643583052452937*^9, {3.6435832153320503`*^9, 3.643583215803863*^9}, {
   3.6435832802000504`*^9, 3.64358328078468*^9}, {3.643583332558405*^9, 
   3.643583462542625*^9}, {3.643584377099238*^9, 3.643584384208622*^9}, {
   3.643584433282196*^9, 3.643584437589529*^9}, {3.643584487721589*^9, 
   3.6435846193692713`*^9}, {3.64358542453092*^9, 3.6435854449035378`*^9}, {
   3.643585486766547*^9, 3.643585508983124*^9}, {3.643585556124483*^9, 
   3.6435856612329607`*^9}, {3.643585819488824*^9, 3.643585888506105*^9}, {
   3.643585957065586*^9, 3.64358595781819*^9}, 3.643586036853948*^9, {
   3.643586199495047*^9, 3.643586201687325*^9}, {3.643586270573256*^9, 
   3.643586335541441*^9}, {3.643586366266822*^9, 3.643586366749187*^9}, {
   3.6435864821769*^9, 3.643586540237311*^9}, {3.643586596028481*^9, 
   3.643586602270299*^9}, 3.643586632601943*^9, {3.643586786471229*^9, 
   3.643586793331285*^9}, 3.643613564377368*^9, 3.643613605560549*^9, 
   3.64361413524927*^9, {3.643614167661488*^9, 3.643614167942093*^9}, {
   3.643614212818886*^9, 3.643614258764385*^9}, {3.643614296149427*^9, 
   3.6436143305963306`*^9}, {3.6436144326019707`*^9, 3.643614452491519*^9}, {
   3.6436144844986887`*^9, 3.643614496445849*^9}, {3.64361454944586*^9, 
   3.643614614358203*^9}, {3.643614671937406*^9, 3.643614700140606*^9}, {
   3.6436518830139017`*^9, 3.643652015842853*^9}, {3.6436520514965*^9, 
   3.6436520614064617`*^9}, {3.643652118265585*^9, 3.643652174177244*^9}, {
   3.643652221395382*^9, 3.643652254211308*^9}, {3.64365230551366*^9, 
   3.6436523125207663`*^9}, {3.643652370595623*^9, 3.643652372280531*^9}, {
   3.643652403322126*^9, 3.643652425417293*^9}, 3.6436524917816877`*^9, {
   3.643652550562031*^9, 3.643652571362829*^9}, 3.643652635660029*^9, 
   3.643654133241459*^9, {3.643654814660413*^9, 3.643654881687189*^9}, {
   3.6436549253181047`*^9, 3.643654931097438*^9}, {3.64367263766577*^9, 
   3.643672650578936*^9}, {3.643724430314802*^9, 3.643724458089986*^9}},
 CellLabel->
  "In[109]:=",ExpressionUUID->"d0b16d67-cdd8-4bf7-ad55-b1f8fd008beb"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"QA", "=", 
  RowBox[{"{", 
   RowBox[{"B", ",", "T"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nqt", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PartnerBT1", "[", 
  RowBox[{"QA", ",", " ", "1"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"1", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", 
     RowBox[{
      RowBox[{"2", "^", "nqt"}], "/", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "1", ",", "2"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"1", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", 
     RowBox[{
      RowBox[{"2", "^", "nqt"}], "/", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "3", ",", "4"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"1", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", 
     RowBox[{
      RowBox[{"2", "^", "nqt"}], "/", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "5", ",", "6"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<*****\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"PartnerBT1", "[", 
  RowBox[{"QA", ",", " ", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"2", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", 
     RowBox[{
      RowBox[{"3", "^", "nqt"}], "/", "3"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "1", ",", "3"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"2", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", 
     RowBox[{
      RowBox[{"3", "^", "nqt"}], "/", "3"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "4", ",", "6"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.643652731530715*^9, 3.643652733408741*^9}, {
   3.643654156718238*^9, 3.643654312318404*^9}, {3.643654358929434*^9, 
   3.643654407381975*^9}, {3.643654959933894*^9, 3.643655065132889*^9}, {
   3.6436734272561274`*^9, 3.643673492539062*^9}, 3.6437602006228867`*^9},
 CellLabel->
  "In[111]:=",ExpressionUUID->"2b4c644a-f6b0-4c33-a5c1-3f3d14b189bc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"B"},
      {"T"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760688943416*^9, 3.6553991317770557`*^9, 
  3.657378350493443*^9, 3.85715875257648*^9, 3.859372670313719*^9},
 CellLabel->
  "Out[111]=",ExpressionUUID->"442ffa74-2303-463a-b2fd-cbdab4c86a26"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"4"},
      {"2"},
      {"5"},
      {"3"},
      {"6"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760688943416*^9, 3.6553991317770557`*^9, 
  3.657378350493443*^9, 3.85715875257648*^9, 3.8593726703610983`*^9},
 CellLabel->
  "Out[113]=",ExpressionUUID->"1d0d5b11-9b5a-4547-87a2-3a5d99a73b9f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "4"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760688943416*^9, 3.6553991317770557`*^9, 
  3.657378350493443*^9, 3.85715875257648*^9, 3.859372670406423*^9},
 CellLabel->
  "Out[114]=",ExpressionUUID->"990e3eee-3785-41c1-bf33-1abfb7206bb8"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"2", "5"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760688943416*^9, 3.6553991317770557`*^9, 
  3.657378350493443*^9, 3.85715875257648*^9, 3.859372670447579*^9},
 CellLabel->
  "Out[115]=",ExpressionUUID->"7b14bdf4-cc36-4b96-999c-61214809f25b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"3", "6"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760688943416*^9, 3.6553991317770557`*^9, 
  3.657378350493443*^9, 3.85715875257648*^9, 3.859372670507945*^9},
 CellLabel->
  "Out[116]=",ExpressionUUID->"7cfb9256-c06c-426b-92b1-c779c9cde5bc"],

Cell[BoxData["\<\"*****\"\>"], "Print",
 CellChangeTimes->{3.6437606891959047`*^9, 3.655399132070994*^9, 
  3.6573783507768717`*^9, 3.85715875280046*^9, 3.8593726705667143`*^9},
 CellLabel->
  "During evaluation of \
In[111]:=",ExpressionUUID->"0d3304ac-657f-4027-ad42-2a5c623f144b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"2"},
      {"3"},
      {"4"},
      {"5"},
      {"6"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760688943416*^9, 3.6553991317770557`*^9, 
  3.657378350493443*^9, 3.85715875257648*^9, 3.859372670615904*^9},
 CellLabel->
  "Out[118]=",ExpressionUUID->"c954473b-fd0f-4cd8-98eb-6e657e47cd20"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "2", "3"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760688943416*^9, 3.6553991317770557`*^9, 
  3.657378350493443*^9, 3.85715875257648*^9, 3.859372670659212*^9},
 CellLabel->
  "Out[119]=",ExpressionUUID->"db061a49-a579-4b84-880e-2747eb6785b8"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"4", "5", "6"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760688943416*^9, 3.6553991317770557`*^9, 
  3.657378350493443*^9, 3.85715875257648*^9, 3.859372670714945*^9},
 CellLabel->
  "Out[120]=",ExpressionUUID->"44fd29e1-c15e-4c0f-8d34-891bf7b8e97d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"QA", "=", 
  RowBox[{"{", 
   RowBox[{"T", ",", "B"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nqt", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PartnerBT1", "[", 
  RowBox[{"QA", ",", " ", "1"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"1", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", 
     RowBox[{
      RowBox[{"3", "^", "nqt"}], "/", "3"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "1", ",", "3"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"PickBT1", "[", 
     RowBox[{"1", ",", "icase", ",", "iv"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"icase", ",", "1", ",", 
      RowBox[{
       RowBox[{"3", "^", "nqt"}], "/", "3"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"iv", ",", "4", ",", "6"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<*****\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"PartnerBT1", "[", 
  RowBox[{"QA", ",", " ", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"2", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", 
     RowBox[{
      RowBox[{"2", "^", "nqt"}], "/", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "1", ",", "2"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"2", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", 
     RowBox[{
      RowBox[{"2", "^", "nqt"}], "/", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "3", ",", "4"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"2", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", 
     RowBox[{
      RowBox[{"2", "^", "nqt"}], "/", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "5", ",", "6"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.643652731530715*^9, 3.643652733408741*^9}, {
  3.643654156718238*^9, 3.643654312318404*^9}, {3.643654358929434*^9, 
  3.643654407381975*^9}, {3.643654959933894*^9, 3.643655065132889*^9}, {
  3.6436734272561274`*^9, 3.643673492539062*^9}, {3.643673524106621*^9, 
  3.6436736213517017`*^9}, {3.643674020970292*^9, 3.643674051706183*^9}},
 CellLabel->
  "In[121]:=",ExpressionUUID->"3279fd8c-bb87-4abe-9a95-9543c0925746"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"T"},
      {"B"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606894459667`*^9, 3.655399132331409*^9, 
  3.657378351130972*^9, 3.857158752984239*^9, 3.859372670766275*^9},
 CellLabel->
  "Out[121]=",ExpressionUUID->"ddf82d86-96da-417f-a1dd-47e9e7d3b5fb"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"3"},
      {"5"},
      {"2"},
      {"4"},
      {"6"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606894459667`*^9, 3.655399132331409*^9, 
  3.657378351130972*^9, 3.857158752984239*^9, 3.859372670817492*^9},
 CellLabel->
  "Out[123]=",ExpressionUUID->"a2f43774-e539-4787-8ff9-64dbb70b28d3"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "3", "5"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606894459667`*^9, 3.655399132331409*^9, 
  3.657378351130972*^9, 3.857158752984239*^9, 3.85937267087661*^9},
 CellLabel->
  "Out[124]=",ExpressionUUID->"b0923b8f-fd1d-447f-bb54-b4fa7fa5435c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"2", "4", "6"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606894459667`*^9, 3.655399132331409*^9, 
  3.657378351130972*^9, 3.857158752984239*^9, 3.859372670919612*^9},
 CellLabel->
  "Out[125]=",ExpressionUUID->"1ef2fd42-83a5-4f49-9f21-f0725d266c34"],

Cell[BoxData["\<\"*****\"\>"], "Print",
 CellChangeTimes->{3.643760689662758*^9, 3.655399132559597*^9, 
  3.657378351367831*^9, 3.857158753148234*^9, 3.859372670967914*^9},
 CellLabel->
  "During evaluation of \
In[121]:=",ExpressionUUID->"666f5588-8692-424b-81c0-99a50bfc220b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"2"},
      {"3"},
      {"4"},
      {"5"},
      {"6"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606894459667`*^9, 3.655399132331409*^9, 
  3.657378351130972*^9, 3.857158752984239*^9, 3.8593726710419207`*^9},
 CellLabel->
  "Out[127]=",ExpressionUUID->"1fafef97-4524-44e7-b6d7-3aa424207c2e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "2"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606894459667`*^9, 3.655399132331409*^9, 
  3.657378351130972*^9, 3.857158752984239*^9, 3.8593726710914097`*^9},
 CellLabel->
  "Out[128]=",ExpressionUUID->"05b7e2a3-2474-4ede-b9a7-873b3884e10c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"3", "4"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606894459667`*^9, 3.655399132331409*^9, 
  3.657378351130972*^9, 3.857158752984239*^9, 3.859372671145733*^9},
 CellLabel->
  "Out[129]=",ExpressionUUID->"a75ca998-5c13-44b1-81b6-0f437909041f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"5", "6"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6437606894459667`*^9, 3.655399132331409*^9, 
  3.657378351130972*^9, 3.857158752984239*^9, 3.8593726711861763`*^9},
 CellLabel->
  "Out[130]=",ExpressionUUID->"93072248-1673-4b72-83ec-f7836cc2da27"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"QA", "=", 
  RowBox[{"{", 
   RowBox[{"B", ",", "B"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nqt", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PartnerBT1", "[", 
  RowBox[{"QA", ",", " ", "1"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"1", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", 
     RowBox[{
      RowBox[{"2", "^", "nqt"}], "/", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "1", ",", "2"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"PickBT1", "[", 
     RowBox[{"1", ",", "icase", ",", "iv"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"icase", ",", "1", ",", 
      RowBox[{
       RowBox[{"2", "^", "nqt"}], "/", "2"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"iv", ",", "3", ",", "4"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<*****\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"PartnerBT1", "[", 
  RowBox[{"QA", ",", " ", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"2", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", 
     RowBox[{
      RowBox[{"2", "^", "nqt"}], "/", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "1", ",", "2"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"PickBT1", "[", 
     RowBox[{"2", ",", "icase", ",", "iv"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"icase", ",", "1", ",", 
      RowBox[{
       RowBox[{"2", "^", "nqt"}], "/", "2"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"iv", ",", "3", ",", "4"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"nqx", "=", "2"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"PartnerBT1", "[", 
     RowBox[{"QA", ",", " ", "1"}], "]"}], "==", 
    RowBox[{"Partner1", "[", "1", "]"}]}], "&&", 
   RowBox[{
    RowBox[{"PartnerBT1", "[", 
     RowBox[{"QA", ",", " ", "2"}], "]"}], "==", 
    RowBox[{"Partner1", "[", "2", "]"}]}]}], " ", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.643584680738243*^9, 3.643584750928176*^9}, {
   3.643585712071478*^9, 3.643585712575889*^9}, {3.643668977650837*^9, 
   3.643668989328182*^9}, {3.643669032205881*^9, 3.6436691419249*^9}, {
   3.643671393355733*^9, 3.643671438535537*^9}, 3.643671526309826*^9, 
   3.643673700756536*^9, {3.6436737309390917`*^9, 3.6436738149213457`*^9}, {
   3.643673858855927*^9, 3.643673859562272*^9}, {3.6436738939007874`*^9, 
   3.643673929166635*^9}, {3.6436739676544333`*^9, 3.643673990964534*^9}, {
   3.643760321696292*^9, 3.643760337219345*^9}, {3.643760390254137*^9, 
   3.643760394909904*^9}, {3.643760467508518*^9, 3.643760477316936*^9}, {
   3.6437605220048*^9, 3.643760581889422*^9}},
 CellLabel->
  "In[131]:=",ExpressionUUID->"33894c28-7d16-45ad-9561-0ad264966d9f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"B"},
      {"B"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760689966518*^9, 3.655399132920392*^9, 
  3.657378351738165*^9, 3.8571587533656473`*^9, 3.8593726712598553`*^9},
 CellLabel->
  "Out[131]=",ExpressionUUID->"35a62609-f31c-44b3-98dd-bd3aa6f5b0af"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"3"},
      {"2"},
      {"4"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760689966518*^9, 3.655399132920392*^9, 
  3.657378351738165*^9, 3.8571587533656473`*^9, 3.859372671298299*^9},
 CellLabel->
  "Out[133]=",ExpressionUUID->"0fcd64ff-c33c-4894-ad71-9ec15ad662c5"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "3"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760689966518*^9, 3.655399132920392*^9, 
  3.657378351738165*^9, 3.8571587533656473`*^9, 3.859372671346766*^9},
 CellLabel->
  "Out[134]=",ExpressionUUID->"b7fff977-94e1-4696-8f94-60d562aa9a7d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"2", "4"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760689966518*^9, 3.655399132920392*^9, 
  3.657378351738165*^9, 3.8571587533656473`*^9, 3.8593726713857317`*^9},
 CellLabel->
  "Out[135]=",ExpressionUUID->"0c588d10-1919-4ff6-af51-6239edf428a0"],

Cell[BoxData["\<\"*****\"\>"], "Print",
 CellChangeTimes->{3.643760690241778*^9, 3.6553991331709337`*^9, 
  3.657378351976243*^9, 3.857158753531232*^9, 3.859372671424326*^9},
 CellLabel->
  "During evaluation of \
In[131]:=",ExpressionUUID->"8a35823f-9ae6-400d-9d78-dab02a1163be"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"2"},
      {"3"},
      {"4"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760689966518*^9, 3.655399132920392*^9, 
  3.657378351738165*^9, 3.8571587533656473`*^9, 3.859372671458973*^9},
 CellLabel->
  "Out[137]=",ExpressionUUID->"61a45561-942d-4fcc-bd51-b1099d0a5f69"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "2"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760689966518*^9, 3.655399132920392*^9, 
  3.657378351738165*^9, 3.8571587533656473`*^9, 3.859372671502509*^9},
 CellLabel->
  "Out[138]=",ExpressionUUID->"fa4f49bb-8c53-43a8-847b-3b4b337c39ef"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"3", "4"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760689966518*^9, 3.655399132920392*^9, 
  3.657378351738165*^9, 3.8571587533656473`*^9, 3.8593726715394087`*^9},
 CellLabel->
  "Out[139]=",ExpressionUUID->"fa5554d4-5cdf-4e0c-906c-d7f828b88757"],

Cell[BoxData[
 TagBox["2",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760689966518*^9, 3.655399132920392*^9, 
  3.657378351738165*^9, 3.8571587533656473`*^9, 3.859372671614723*^9},
 CellLabel->
  "Out[140]=",ExpressionUUID->"07a4828b-c170-4114-abff-d0c34a7a536a"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760689966518*^9, 3.655399132920392*^9, 
  3.657378351738165*^9, 3.8571587533656473`*^9, 3.8593726716703863`*^9},
 CellLabel->
  "Out[141]=",ExpressionUUID->"409b5c04-2787-4fc0-b96f-4bbf7077f0a0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"QA", "=", 
  RowBox[{"{", 
   RowBox[{"T", ",", "T"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nqT", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"is", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PartnerBT1", "[", 
  RowBox[{"QA", ",", " ", "is"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"is", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", 
     RowBox[{
      RowBox[{"3", "^", "nqT"}], "/", "3"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "1", ",", "3"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"is", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", 
     RowBox[{
      RowBox[{"3", "^", "nqT"}], "/", "3"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "4", ",", "6"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"PickBT1", "[", 
     RowBox[{"is", ",", "icase", ",", "iv"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"icase", ",", "1", ",", 
      RowBox[{
       RowBox[{"3", "^", "nqT"}], "/", "3"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"iv", ",", "7", ",", "9"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<*****\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"is", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PartnerBT1", "[", 
  RowBox[{"QA", ",", " ", "is"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"is", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", 
     RowBox[{
      RowBox[{"3", "^", "nqT"}], "/", "3"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "1", ",", "3"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"is", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", 
     RowBox[{
      RowBox[{"3", "^", "nqT"}], "/", "3"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "4", ",", "6"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"is", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", 
     RowBox[{
      RowBox[{"3", "^", "nqT"}], "/", "3"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "7", ",", "9"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"QD", "=", 
   RowBox[{"QA", " ", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"B", "->", "2"}], ",", 
      RowBox[{"T", "->", "3"}]}], "}"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nqt", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"PartnerBT1", "[", 
     RowBox[{"QA", ",", " ", "1"}], "]"}], "==", 
    RowBox[{"PartnerT1", "[", "1", "]"}]}], "&&", 
   RowBox[{
    RowBox[{"PartnerBT1", "[", 
     RowBox[{"QA", ",", " ", "2"}], "]"}], "==", 
    RowBox[{"PartnerT1", "[", "2", "]"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.643584680738243*^9, 3.643584750928176*^9}, {
   3.643585712071478*^9, 3.643585712575889*^9}, {3.643668977650837*^9, 
   3.643668989328182*^9}, {3.643669032205881*^9, 3.6436691419249*^9}, {
   3.643671393355733*^9, 3.643671438535537*^9}, 3.643671526309826*^9, 
   3.643673700756536*^9, {3.6436737309390917`*^9, 3.6436738149213457`*^9}, {
   3.643673858855927*^9, 3.643673859562272*^9}, {3.6436738939007874`*^9, 
   3.643673929166635*^9}, {3.6436739676544333`*^9, 3.643673990964534*^9}, {
   3.643674085195004*^9, 3.643674086747075*^9}, {3.643674117170368*^9, 
   3.643674152763686*^9}, {3.6436742212351923`*^9, 3.6436742299979773`*^9}, {
   3.643674278038999*^9, 3.643674391302484*^9}, 3.643674435087184*^9, {
   3.643674465349172*^9, 3.643674534704297*^9}, {3.64367458060703*^9, 
   3.643674581336627*^9}, {3.643674623301668*^9, 3.643674651885968*^9}, {
   3.643674708847549*^9, 3.6436747287463818`*^9}, {3.6436748030781097`*^9, 
   3.643674803650305*^9}, {3.6436748831709833`*^9, 3.6436748998614197`*^9}, {
   3.643674936192066*^9, 3.643674947628791*^9}, {3.6436749808414993`*^9, 
   3.6436750257160807`*^9}},
 CellLabel->
  "In[142]:=",ExpressionUUID->"0513b808-f2e5-4fd5-98a5-0cfeac53c611"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"T"},
      {"T"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760690634946*^9, 3.6553991335835953`*^9, 
  3.657378352590942*^9, 3.8571587538041983`*^9, 3.859372671724189*^9},
 CellLabel->
  "Out[142]=",ExpressionUUID->"cae440d4-9412-436b-8b08-487ec709b308"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"4"},
      {"7"},
      {"2"},
      {"5"},
      {"8"},
      {"3"},
      {"6"},
      {"9"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760690634946*^9, 3.6553991335835953`*^9, 
  3.657378352590942*^9, 3.8571587538041983`*^9, 3.859372671760015*^9},
 CellLabel->
  "Out[145]=",ExpressionUUID->"38ec50e0-b404-4300-ac58-d029074dde5d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "4", "7"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760690634946*^9, 3.6553991335835953`*^9, 
  3.657378352590942*^9, 3.8571587538041983`*^9, 3.859372671802537*^9},
 CellLabel->
  "Out[146]=",ExpressionUUID->"2442322b-eddb-426c-b267-d82eb35f906e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"2", "5", "8"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760690634946*^9, 3.6553991335835953`*^9, 
  3.657378352590942*^9, 3.8571587538041983`*^9, 3.859372671838521*^9},
 CellLabel->
  "Out[147]=",ExpressionUUID->"1ba9d157-21b3-47c8-8f83-2fb39c751a6d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"3", "6", "9"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760690634946*^9, 3.6553991335835953`*^9, 
  3.657378352590942*^9, 3.8571587538041983`*^9, 3.8593726718794413`*^9},
 CellLabel->
  "Out[148]=",ExpressionUUID->"980ddf49-7a7e-4874-9847-d86322406a4f"],

Cell[BoxData["\<\"*****\"\>"], "Print",
 CellChangeTimes->{3.643760690925659*^9, 3.655399133915213*^9, 
  3.657378352906433*^9, 3.8571587540703917`*^9, 3.859372671921392*^9},
 CellLabel->
  "During evaluation of \
In[142]:=",ExpressionUUID->"c7bd4a21-0902-4494-b6a6-526992286183"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"2"},
      {"3"},
      {"4"},
      {"5"},
      {"6"},
      {"7"},
      {"8"},
      {"9"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760690634946*^9, 3.6553991335835953`*^9, 
  3.657378352590942*^9, 3.8571587538041983`*^9, 3.859372671975142*^9},
 CellLabel->
  "Out[151]=",ExpressionUUID->"95116b19-9d2c-48e5-bf82-81b065a79a05"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "2", "3"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760690634946*^9, 3.6553991335835953`*^9, 
  3.657378352590942*^9, 3.8571587538041983`*^9, 3.859372672031767*^9},
 CellLabel->
  "Out[152]=",ExpressionUUID->"bd902ee3-866b-497a-b0c0-ffece6d0a017"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"4", "5", "6"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760690634946*^9, 3.6553991335835953`*^9, 
  3.657378352590942*^9, 3.8571587538041983`*^9, 3.8593726720704937`*^9},
 CellLabel->
  "Out[153]=",ExpressionUUID->"3e451d67-6593-4485-bb31-d479e7a65c3a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"7", "8", "9"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760690634946*^9, 3.6553991335835953`*^9, 
  3.657378352590942*^9, 3.8571587538041983`*^9, 3.859372672116219*^9},
 CellLabel->
  "Out[154]=",ExpressionUUID->"35756225-9201-4d73-8580-0dcb9171f031"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760690634946*^9, 3.6553991335835953`*^9, 
  3.657378352590942*^9, 3.8571587538041983`*^9, 3.859372672175889*^9},
 CellLabel->
  "Out[157]=",ExpressionUUID->"8e1004cf-439b-4c74-91d0-f71831be0249"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Pick1"}]], "Input",
 CellChangeTimes->{{3.6436766564503736`*^9, 3.643676660145227*^9}},
 CellLabel->
  "In[158]:=",ExpressionUUID->"b067974a-7e67-401a-bec4-a27b8760c23f"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Pick1  is used to pick out the members of each \
pair labelled by icase.\\nicase runs from 1 to 2**nqx/2  and ip1 \
=1,2.\\nPick1[is_,icase_,ip1_]:=Pick1[is,icase,ip1]=Partner1[is][[2*icase-1+\
ip1-1]].\\n\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Pick1", "[", 
                    RowBox[{"is_", ",", "icase_", ",", "ip1_"}], "]"}], ":=", 
                    
                    RowBox[{
                    RowBox[{"Partner1", "[", "is", "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"2", " ", "icase"}], "-", "1", "+", "ip1", "-", 
                    "1"}], "\[RightDoubleBracket]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`QCWave`Pick1\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Pick1  is used to pick out the members of each \
pair labelled by icase.\\nicase runs from 1 to 2**nqx/2  and ip1 \
=1,2.\\nPick1[is_,icase_,ip1_]:=Pick1[is,icase,ip1]=Partner1[is][[2*icase-1+\
ip1-1]].\\n\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Pick1  is used to pick out the members of each pair labelled by icase.\n\
icase runs from 1 to 2**nqx/2  and ip1 =1,2.\n\
Pick1[is_,icase_,ip1_]:=Pick1[is,icase,ip1]=Partner1[is][[2*icase-1+ip1-1]].\n\
", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`QCWave`Pick1, {QDENSITY`QCWave`Pick1[
          Pattern[QDENSITY`QCWave`is, 
           Blank[]], 
          Pattern[QDENSITY`QCWave`icase, 
           Blank[]], 
          Pattern[QDENSITY`QCWave`ip1, 
           Blank[]]] :> Part[
          QDENSITY`QCWave`Partner1[QDENSITY`QCWave`is], 
          2 QDENSITY`QCWave`icase - 1 + QDENSITY`QCWave`ip1 - 1]}], 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`QCWave`Pick1"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857158754408514*^9, 3.859372672320972*^9},
 CellLabel->
  "Out[158]=",ExpressionUUID->"f149745f-2dc9-4b0c-976b-1594d3b4a96d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"QA", "=", 
  RowBox[{"{", 
   RowBox[{"T", ",", "T", ",", "T"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nqT", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"is", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PartnerBT1", "[", 
  RowBox[{"QA", ",", " ", "is"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"PickBT1", "[", 
     RowBox[{"is", ",", "icase", ",", "iv"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"icase", ",", "1", ",", 
      RowBox[{
       RowBox[{"3", "^", "nqT"}], "/", "3"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"iv", ",", "1", ",", "3"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nqt", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PartnerBT1", "[", 
    RowBox[{"QA", ",", " ", "1"}], "]"}], "==", 
   RowBox[{"PartnerT1", "[", "1", "]"}]}], "&&", 
  RowBox[{
   RowBox[{"PartnerBT1", "[", 
    RowBox[{"QA", ",", " ", "2"}], "]"}], "==", 
   RowBox[{"PartnerT1", "[", "2", "]"}]}]}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQA2IQvWTT8/BG1deOUkfzI0G03QJp8SYgrXXFVh5E/9yj
yj0FSM9QcuYD0YctRYVBtPKGYyIg2vnqby0QbSXGqw2iF2w7EgiiV6TeCQbR
JpbVaSA64/DqIhCdVrSuHETfer+hAkSff7m7cSrI3KsLmkC0z87gPhB9dXJz
P4hmOGw1G0RPYRJdDKJn1W7fAqJr9U9vA9GHDmW9mgakI1r034PoVVpmJoeA
tIT5dksQvc+hzg9E78zP9wfRGZl3QkC0cmlCKIhex+KSAKIX/f2eDKIP6Hpn
g+hZMeFg+sDvTYUgWmwFYymIlvmzsRJEs/HurwPRFtoTW0D0hpLZ7SDaZ+Pb
PhCdxso1EUQDAC70qu4=
  "],
 CellLabel->
  "In[159]:=",ExpressionUUID->"01976448-9315-4cd3-be74-98300b0a1c34"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"T"},
      {"T"},
      {"T"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760691502944*^9, 3.6553991345427856`*^9, 
  3.6573783540085983`*^9, 3.857158754454728*^9, 3.8593726724224653`*^9},
 CellLabel->
  "Out[159]=",ExpressionUUID->"39511842-9fbd-471e-8d2b-3a2b952aa126"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"10"},
      {"19"},
      {"2"},
      {"11"},
      {"20"},
      {"3"},
      {"12"},
      {"21"},
      {"4"},
      {"13"},
      {"22"},
      {"5"},
      {"14"},
      {"23"},
      {"6"},
      {"15"},
      {"24"},
      {"7"},
      {"16"},
      {"25"},
      {"8"},
      {"17"},
      {"26"},
      {"9"},
      {"18"},
      {"27"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760691502944*^9, 3.6553991345427856`*^9, 
  3.6573783540085983`*^9, 3.857158754454728*^9, 3.859372672473257*^9},
 CellLabel->
  "Out[162]=",ExpressionUUID->"596f10cd-23eb-477f-a64a-4a9e85401e7a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "10", "19"},
     {"2", "11", "20"},
     {"3", "12", "21"},
     {"4", "13", "22"},
     {"5", "14", "23"},
     {"6", "15", "24"},
     {"7", "16", "25"},
     {"8", "17", "26"},
     {"9", "18", "27"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760691502944*^9, 3.6553991345427856`*^9, 
  3.6573783540085983`*^9, 3.857158754454728*^9, 3.8593726725206547`*^9},
 CellLabel->
  "Out[163]=",ExpressionUUID->"af55e6f2-24f9-4087-8a9e-4df071c95dbf"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760691502944*^9, 3.6553991345427856`*^9, 
  3.6573783540085983`*^9, 3.857158754454728*^9, 3.859372672559928*^9},
 CellLabel->
  "Out[165]=",ExpressionUUID->"269b77c6-76e3-4559-8cba-ef2da38370f2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"QA", "=", 
  RowBox[{"{", 
   RowBox[{"B", ",", "B", ",", "B"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nqT", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"is", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PartnerBT1", "[", 
  RowBox[{"QA", ",", " ", "is"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"PickBT1", "[", 
     RowBox[{"is", ",", "icase", ",", "iv"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"icase", ",", "1", ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"iv", ",", "1", ",", "2"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"is", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "3", ",", "4"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"is", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "5", ",", "6"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"is", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "7", ",", "8"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"nqx", "=", "3"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PartnerBT1", "[", 
    RowBox[{"QA", ",", " ", "1"}], "]"}], "==", 
   RowBox[{"Partner1", "[", "1", "]"}]}], "&&", 
  RowBox[{
   RowBox[{"PartnerBT1", "[", 
    RowBox[{"QA", ",", " ", "2"}], "]"}], "==", 
   RowBox[{"Partner1", "[", "2", "]"}], " "}]}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzE8oQwEAx/E34UA4+JupxZoysYuwFdFcNJEN868YeflzeMj/oTbKbcgs
mbRGWhTb0tZGrPeGorh4JVFumLRERoj3c/j2uX3T2yhlRxhBEAIuuO68V+tE
T6WpR1QDLLbwk/Wc4ssiAfzcF0UbOZcy5LGQkSbGQ6H9OAHK2S8xlCXFZEOL
y18NbR03Kpgn1ZKwk9nqh2T/9jC8DtpH4MXjnm4RX9aihxUelQGyC1OzkGBk
ZmgMS1yDyxPuXTghOXNBmu4OmDjrpyVBuCnOz6M5UwrcUnhQMlkJPRRVBTu7
bmqgcLC1Fm6Hl7VC60+oHfpyFD1wuVn9r+/L2QeTbLxBmPbtGIWRMYeTsDB7
fhraB8wzsMLxbIBkRNQ8/LX7THBMrV2B+8kna/CVN7cF/VeaHWjJsnrhaimf
gQ+B/H8zldpzSG/IX+C44O4dnj6mhWCuv7yc4ezjsQrYa9Io4VvjbR0k44aa
oPfjsgX+Aais+BQ=
  "],
 CellLabel->
  "In[166]:=",ExpressionUUID->"655305ef-7322-4589-a735-4a65aad488c4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"B"},
      {"B"},
      {"B"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760691785572*^9, 3.655399134829137*^9, 
  3.6573783543092012`*^9, 3.857158754625506*^9, 3.8593726726158457`*^9},
 CellLabel->
  "Out[166]=",ExpressionUUID->"98c66848-bf88-4d69-8a71-aca12b87c8dc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"5"},
      {"2"},
      {"6"},
      {"3"},
      {"7"},
      {"4"},
      {"8"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760691785572*^9, 3.655399134829137*^9, 
  3.6573783543092012`*^9, 3.857158754625506*^9, 3.859372672657255*^9},
 CellLabel->
  "Out[169]=",ExpressionUUID->"294dbde9-7371-442f-9fa8-41c4a46e616e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "5"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760691785572*^9, 3.655399134829137*^9, 
  3.6573783543092012`*^9, 3.857158754625506*^9, 3.859372672704932*^9},
 CellLabel->
  "Out[170]=",ExpressionUUID->"02229bb8-51c8-4f2c-9b99-4bc1efeb5c28"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"2", "6"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760691785572*^9, 3.655399134829137*^9, 
  3.6573783543092012`*^9, 3.857158754625506*^9, 3.859372672746849*^9},
 CellLabel->
  "Out[171]=",ExpressionUUID->"53d8ccf3-84aa-451a-9320-2f150c2e29c2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"3", "7"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760691785572*^9, 3.655399134829137*^9, 
  3.6573783543092012`*^9, 3.857158754625506*^9, 3.859372672805996*^9},
 CellLabel->
  "Out[172]=",ExpressionUUID->"f422fc24-1ba9-42b9-9f1a-07ddfeac10e4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"4", "8"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760691785572*^9, 3.655399134829137*^9, 
  3.6573783543092012`*^9, 3.857158754625506*^9, 3.859372672847856*^9},
 CellLabel->
  "Out[173]=",ExpressionUUID->"71003cf4-d853-41d7-a3be-7434602ddedb"],

Cell[BoxData[
 TagBox["3",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760691785572*^9, 3.655399134829137*^9, 
  3.6573783543092012`*^9, 3.857158754625506*^9, 3.85937267290222*^9},
 CellLabel->
  "Out[174]=",ExpressionUUID->"311cc90e-c993-488e-882f-04043226e8b7"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760691785572*^9, 3.655399134829137*^9, 
  3.6573783543092012`*^9, 3.857158754625506*^9, 3.8593726729393463`*^9},
 CellLabel->
  "Out[175]=",ExpressionUUID->"6910b4e2-f129-46b3-af12-57ec1801e1d0"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.643677381077022*^9, 3.643677392552305*^9}},
 CellLabel->
  "In[176]:=",ExpressionUUID->"c5ee543c-bba5-4f0d-9651-6b7c4fe720d0"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.643677398107684*^9, 3.643677398111903*^9}},
 CellLabel->
  "In[177]:=",ExpressionUUID->"609b8980-cc22-4977-82a4-12f0fc9a32d4"],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.643676526964731*^9},
 CellLabel->
  "In[178]:=",ExpressionUUID->"4aa10052-bbe2-42a5-8f45-3b866871d55a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"QA", "=", 
  RowBox[{"{", 
   RowBox[{"B", ",", "B", ",", "B", ",", "B", ",", "B", ",", "B"}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nqx", "=", "6"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Partner1", "[", "1", "]"}], "==", 
   RowBox[{"PartnerBT1", "[", 
    RowBox[{"QA", ",", " ", "1"}], "]"}]}], "&&", 
  RowBox[{
   RowBox[{"Partner1", "[", "2", "]"}], "==", 
   RowBox[{"PartnerBT1", "[", 
    RowBox[{"QA", ",", " ", "2"}], "]"}]}], "&&", 
  RowBox[{
   RowBox[{"Partner1", "[", "3", "]"}], "==", 
   RowBox[{"PartnerBT1", "[", 
    RowBox[{"QA", ",", " ", "3"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Partner1", "[", "4", "]"}], "==", 
   RowBox[{"PartnerBT1", "[", 
    RowBox[{"QA", ",", " ", "4"}], "]"}]}], "&&", 
  RowBox[{
   RowBox[{"Partner1", "[", "5", "]"}], "==", 
   RowBox[{"PartnerBT1", "[", 
    RowBox[{"QA", ",", " ", "5"}], "]"}]}], "&&", 
  RowBox[{
   RowBox[{"Partner1", "[", "6", "]"}], "==", 
   RowBox[{"PartnerBT1", "[", 
    RowBox[{"QA", ",", " ", "6"}], "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.643584792350362*^9, 3.6435848657015667`*^9}, {
  3.643584945307732*^9, 3.643585028513554*^9}, {3.643585125815947*^9, 
  3.643585214881872*^9}},
 CellLabel->
  "In[179]:=",ExpressionUUID->"a53e39a6-501b-448a-b740-dab43db9c44e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"B"},
      {"B"},
      {"B"},
      {"B"},
      {"B"},
      {"B"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760692377584*^9, 3.655399135443076*^9, 
  3.657378354954205*^9, 3.857158754999482*^9, 3.859372673002335*^9},
 CellLabel->
  "Out[179]=",ExpressionUUID->"ccf59bd0-1fd6-4b3b-b2da-e27c9bd542d1"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760692377584*^9, 3.655399135443076*^9, 
  3.657378354954205*^9, 3.857158754999482*^9, 3.8593726730407953`*^9},
 CellLabel->
  "Out[181]=",ExpressionUUID->"25917cb2-c028-41a3-8339-054553b60168"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.643760692377584*^9, 3.655399135443076*^9, 
  3.657378354954205*^9, 3.857158754999482*^9, 3.859372673096113*^9},
 CellLabel->
  "Out[182]=",ExpressionUUID->"f78ac574-a36f-4f25-9375-dea9c5188d40"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"QA", "=", 
  RowBox[{"{", 
   RowBox[{"B", ",", "T", ",", "B", ",", "T"}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nqt", "=", "4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"1", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "1", ",", "2"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"1", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "3", ",", "4"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"1", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "5", ",", "6"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PartnerBT1", "[", 
   RowBox[{"QA", ",", " ", "1"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<*****\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"2", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "1", ",", "3"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"2", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "4", ",", "6"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"PickBT1", "[", 
    RowBox[{"2", ",", "icase", ",", "iv"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"icase", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"iv", ",", "7", ",", "9"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PartnerBT1", "[", 
   RowBox[{"QA", ",", " ", "2"}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.643584680738243*^9, 3.643584750928176*^9}, {
   3.643585712071478*^9, 3.643585712575889*^9}, {3.643668977650837*^9, 
   3.643668989328182*^9}, {3.643669032205881*^9, 3.6436691419249*^9}, {
   3.643671393355733*^9, 3.643671438535537*^9}, 3.643671526309826*^9, 
   3.643673700756536*^9, {3.6436737309390917`*^9, 3.6436738149213457`*^9}, {
   3.643673858855927*^9, 3.643673859562272*^9}, {3.6436738939007874`*^9, 
   3.643673929166635*^9}, {3.6436739676544333`*^9, 3.643673990964534*^9}, {
   3.643677476623926*^9, 3.643677493385792*^9}, {3.643677568944203*^9, 
   3.6436776561313887`*^9}, {3.643677696901599*^9, 3.643677853030127*^9}},
 CellLabel->
  "In[183]:=",ExpressionUUID->"c634ee13-0fbc-42be-b605-65aa9892ce8a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"B"},
      {"T"},
      {"B"},
      {"T"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.655399135668818*^9, 3.657378355199897*^9, 
  3.857158755149138*^9, 3.859372673199975*^9},
 CellLabel->
  "Out[183]=",ExpressionUUID->"5a4ca64d-c89f-4323-8ab7-eefe47667d26"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "19"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.655399135668818*^9, 3.657378355199897*^9, 
  3.857158755149138*^9, 3.859372673242832*^9},
 CellLabel->
  "Out[185]=",ExpressionUUID->"dc2edaca-5016-4c71-be41-f6185dc5c72e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"2", "20"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.655399135668818*^9, 3.657378355199897*^9, 
  3.857158755149138*^9, 3.859372673281541*^9},
 CellLabel->
  "Out[186]=",ExpressionUUID->"57f5cea7-197c-4eff-b074-d3735d6dfb4f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"3", "21"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.655399135668818*^9, 3.657378355199897*^9, 
  3.857158755149138*^9, 3.8593726733381653`*^9},
 CellLabel->
  "Out[187]=",ExpressionUUID->"e8040bd7-191b-43e1-8693-956ab1f154ab"],

Cell[BoxData["\<\"*****\"\>"], "Print",
 CellChangeTimes->{3.655399135938712*^9, 3.6573783554868517`*^9, 
  3.857158755314919*^9, 3.859372673380054*^9},
 CellLabel->
  "During evaluation of \
In[183]:=",ExpressionUUID->"a5ae59a6-b360-4d6a-9f31-aa150cbbf1cb"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "7", "13"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.655399135668818*^9, 3.657378355199897*^9, 
  3.857158755149138*^9, 3.85937267342502*^9},
 CellLabel->
  "Out[190]=",ExpressionUUID->"b47f5a42-4d26-4948-bece-232fab795954"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"2", "8", "14"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.655399135668818*^9, 3.657378355199897*^9, 
  3.857158755149138*^9, 3.859372673476963*^9},
 CellLabel->
  "Out[191]=",ExpressionUUID->"857059b6-7944-4e1f-9d0e-3411aba77e72"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"3", "9", "15"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.655399135668818*^9, 3.657378355199897*^9, 
  3.857158755149138*^9, 3.859372673520871*^9},
 CellLabel->
  "Out[192]=",ExpressionUUID->"50865dba-a021-40a5-9f92-aa1306236c21"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"7"},
      {"13"},
      {"2"},
      {"8"},
      {"14"},
      {"3"},
      {"9"},
      {"15"},
      {"4"},
      {"10"},
      {"16"},
      {"5"},
      {"11"},
      {"17"},
      {"6"},
      {"12"},
      {"18"},
      {"19"},
      {"25"},
      {"31"},
      {"20"},
      {"26"},
      {"32"},
      {"21"},
      {"27"},
      {"33"},
      {"22"},
      {"28"},
      {"34"},
      {"23"},
      {"29"},
      {"35"},
      {"24"},
      {"30"},
      {"36"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.655399135668818*^9, 3.657378355199897*^9, 
  3.857158755149138*^9, 3.859372673560768*^9},
 CellLabel->
  "Out[193]=",ExpressionUUID->"4c790f65-7f18-45af-bb6e-2ae1d8c42c91"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Op*"}]], "Input",
 CellChangeTimes->{{3.643760859773562*^9, 3.643760866143814*^9}},
 CellLabel->
  "In[194]:=",ExpressionUUID->"1c361c1d-4c10-4afa-9ab6-9038172048d0"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["System`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["System`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["Opacity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "Opacity", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Opening", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "Opening", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OptionalElement", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OptionalElement", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["OpacityFunction", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OpacityFunction", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OpenRead", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OpenRead", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OptionInspectorSettings", "InformationGridButton"],
                  
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OptionInspectorSettings", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["OpacityFunctionScaling", "InformationGridButton"],
                  
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OpacityFunctionScaling", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OpenSpecialOptions", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OpenSpecialOptions", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OptionQ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OptionQ", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Open", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "Open", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OpenTemporary", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OpenTemporary", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Options", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "Options", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["OpenAppend", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OpenAppend", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OpenWrite", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OpenWrite", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OptionsPacket", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OptionsPacket", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Opener", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "Opener", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Operate", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "Operate", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OptionsPattern", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OptionsPattern", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["OpenerBox", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OpenerBox", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OperatingSystem", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OperatingSystem", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OptionValue", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OptionValue", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["OpenerBoxOptions", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OpenerBoxOptions", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OperatorApplied", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OperatorApplied", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OptionValueBox", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OptionValueBox", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["OpenerView", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OpenerView", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OptimumFlowData", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OptimumFlowData", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OptionValueBoxOptions", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OptionValueBoxOptions", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  
                  StyleBox["OpenFunctionInspectorPacket", 
                   "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OpenFunctionInspectorPacket", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Optional", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "Optional", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], ""}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.31666666666666665`]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]},
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`BTSystem`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`BTSystem`", "InformationGridGroupHeader"]}],
              
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["OpBT1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OpBT1", "QDENSITY`BTSystem`"}, False},
                  ButtonNote->"QDENSITY`BTSystem`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OpBT2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OpBT2", "QDENSITY`BTSystem`"}, False},
                  ButtonNote->"QDENSITY`BTSystem`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Opmat", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "Opmat", "QDENSITY`BTSystem`"}, False},
                  ButtonNote->"QDENSITY`BTSystem`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Opmat$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "Opmat$", "QDENSITY`BTSystem`"}, False},
                  ButtonNote->"QDENSITY`BTSystem`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OpT1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OpT1", "QDENSITY`BTSystem`"}, False},
                  ButtonNote->"QDENSITY`BTSystem`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OpT2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "OpT2", "QDENSITY`BTSystem`"}, False},
                  ButtonNote->"QDENSITY`BTSystem`",
                  Evaluator->Automatic]}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.15833333333333333`]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]},
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`QCWave`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`QCWave`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["Op1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "Op1", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Op2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "Op2", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Op3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2871ebc3-db16-4fd2-bcc0-623287a126b1", {
                    "Op3", "QDENSITY`QCWave`"}, False},
                  ButtonNote->"QDENSITY`QCWave`",
                  Evaluator->Automatic]}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.31666666666666665`]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{
      "ColumnsIndexed" -> {{False}}, 
       "RowsIndexed" -> {2 -> GrayLevel[0.85], 3 -> GrayLevel[0.85]}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857158755600719*^9, 3.859372673684656*^9},
 CellLabel->
  "Out[194]=",ExpressionUUID->"bd2caf30-ab71-4acb-bbcc-8e5d80ae0829"]
}, Open  ]]
},
WindowSize->{843, 622},
WindowMargins->{{120, Automatic}, {Automatic, 155}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
FrontEndVersion->"13.0 for Mac OS X x86 (64-bit) (December 2, 2021)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"9e44bad2-698a-4e1f-a1e6-e6ca43000022"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "b:5.0"->{
  Cell[580, 22, 1289, 27, 102, "Input",ExpressionUUID->"7e7d49c5-56de-47cc-ab09-1057b56ce5df",
   CellTags->"b:5.0"],
  Cell[1872, 51, 275, 6, 24, "Print",ExpressionUUID->"7f3bc4ee-515f-4b47-b113-7ad3e7a254be",
   CellTags->"b:5.0"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"b:5.0", 221483, 6158}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 1289, 27, 102, "Input",ExpressionUUID->"7e7d49c5-56de-47cc-ab09-1057b56ce5df",
 CellTags->"b:5.0"],
Cell[1872, 51, 275, 6, 24, "Print",ExpressionUUID->"7f3bc4ee-515f-4b47-b113-7ad3e7a254be",
 CellTags->"b:5.0"]
}, Open  ]],
Cell[2162, 60, 341, 6, 52, "Input",ExpressionUUID->"f31c9d09-0bf1-46fc-bba7-7bfa7cb3ff9c"],
Cell[CellGroupData[{
Cell[2528, 70, 480, 8, 34, "Input",ExpressionUUID->"af0177f4-ead0-426f-842b-6ffa4e150fc3"],
Cell[3011, 80, 258, 5, 24, "Print",ExpressionUUID->"5b04586c-81f8-4c0d-a122-c0c7582f4114"]
}, Open  ]],
Cell[3284, 88, 3913, 107, 325, "Input",ExpressionUUID->"58c8467f-577d-4f51-a181-630f2763cadb"],
Cell[CellGroupData[{
Cell[7222, 199, 2567, 68, 241, "Input",ExpressionUUID->"e5e18e7e-f098-4ddf-aa7e-13ae0ce48744"],
Cell[9792, 269, 722, 19, 34, "Output",ExpressionUUID->"ae6830d4-1e55-42f5-b0cc-210973591f52"],
Cell[10517, 290, 775, 22, 69, "Output",ExpressionUUID->"c1678d76-bc3e-47a3-b395-76d413a488d6"],
Cell[11295, 314, 697, 19, 65, "Output",ExpressionUUID->"f0461f84-9e08-4abc-a0fe-7a688c204b3e"],
Cell[11995, 335, 306, 6, 34, "Output",ExpressionUUID->"98cff0b3-88be-4a48-9a18-53a1c4416925"],
Cell[12304, 343, 303, 6, 34, "Output",ExpressionUUID->"1b8e38a5-c977-4ab1-96f7-f4de881150ed"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12644, 354, 2837, 75, 262, "Input",ExpressionUUID->"7941b1d4-7261-44d7-84d4-8baca0ab0987"],
Cell[15484, 431, 737, 20, 49, "Output",ExpressionUUID->"56aff979-72ce-4e9c-933f-49d97e0c1b2e"],
Cell[16224, 453, 1282, 43, 177, "Output",ExpressionUUID->"8282e4ea-2299-4bde-a77b-024508cfa773"],
Cell[17509, 498, 814, 25, 167, "Output",ExpressionUUID->"39bd8cd2-2454-46ad-a903-64e0809e5622"],
Cell[18326, 525, 306, 6, 34, "Output",ExpressionUUID->"5780f2b5-c851-4fbe-a34a-228f81849ecb"],
Cell[18635, 533, 303, 6, 34, "Output",ExpressionUUID->"0a3f7089-1007-4a92-ade3-294b8b4c2e18"],
Cell[18941, 541, 303, 6, 34, "Output",ExpressionUUID->"29bb2130-d176-43e5-89d5-641b45924a6a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19281, 552, 3096, 83, 346, "Input",ExpressionUUID->"0f6a4a05-a3be-48dc-9543-3425fe44ad76"],
Cell[22380, 637, 762, 22, 83, "Output",ExpressionUUID->"7d052468-6a92-4457-9b84-b70a9fdbed5b"],
Cell[23145, 661, 760, 22, 83, "Output",ExpressionUUID->"77e43dd3-22dc-49bb-9b67-edacb478cd80"],
Cell[23908, 685, 5378, 196, 663, "Output",ExpressionUUID->"f233cbc6-840b-4325-a753-969820367b96"],
Cell[29289, 883, 1632, 52, 627, "Output",ExpressionUUID->"7b3d4534-7c8f-4ab0-9e66-d3784c588707"],
Cell[30924, 937, 305, 6, 34, "Output",ExpressionUUID->"b54e9d7f-ba3c-4e45-bc0d-2769a78db3ed"],
Cell[31232, 945, 305, 6, 34, "Output",ExpressionUUID->"17e0adc6-300e-45ff-9d58-2fa985b3a9e8"],
Cell[31540, 953, 302, 6, 34, "Output",ExpressionUUID->"bce25beb-0292-4332-a44e-901a59387ba5"],
Cell[31845, 961, 302, 6, 34, "Output",ExpressionUUID->"c3a25b5f-7de9-4f8b-9bbb-b149ebdc84c5"],
Cell[32150, 969, 302, 6, 34, "Output",ExpressionUUID->"01ed1a74-d930-42ab-a857-5d5764a5e1c7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32489, 980, 3096, 83, 346, "Input",ExpressionUUID->"a50f0d2a-52ae-4eea-be25-82162548f005"],
Cell[35588, 1065, 768, 22, 83, "Output",ExpressionUUID->"e1d2c49d-93f2-40ea-b640-fe1366e22b58"],
Cell[36359, 1089, 770, 22, 83, "Output",ExpressionUUID->"82354fb9-3f60-4052-91c6-6f1f42e3fa76"],
Cell[37132, 1113, 5384, 196, 663, "Output",ExpressionUUID->"bcffc8e3-8408-4a89-8e57-4315d451a32f"],
Cell[42519, 1311, 1640, 52, 627, "Output",ExpressionUUID->"775befb9-bce1-424c-a213-41ef457b2f35"],
Cell[44162, 1365, 313, 6, 34, "Output",ExpressionUUID->"de34c980-72f3-49dc-952f-6d496aa027d5"],
Cell[44478, 1373, 311, 6, 34, "Output",ExpressionUUID->"aa9c4bcd-630f-45ca-9ead-079a07d27905"],
Cell[44792, 1381, 310, 6, 34, "Output",ExpressionUUID->"48aa6dff-6fe4-4f25-9e82-0070a3bb20a6"],
Cell[45105, 1389, 312, 6, 34, "Output",ExpressionUUID->"46ef312e-4ca3-4300-a209-d53f16a4324d"],
Cell[45420, 1397, 310, 6, 34, "Output",ExpressionUUID->"cfe08564-fead-4186-b841-fe3d4b1dd5fa"]
}, Open  ]],
Cell[45745, 1406, 1133, 33, 73, "Input",ExpressionUUID->"72c7469f-c102-4bf1-ba59-22cdee3a83e0"],
Cell[CellGroupData[{
Cell[46903, 1443, 1097, 29, 94, "Input",ExpressionUUID->"58d65869-20cb-4b15-bf4f-d5b9eb04e3e5"],
Cell[48003, 1474, 304, 6, 34, "Output",ExpressionUUID->"34afd958-d593-41a4-8bdf-483e739fca31"],
Cell[CellGroupData[{
Cell[48332, 1484, 265, 5, 24, "Print",ExpressionUUID->"811b8e79-e069-440e-bab4-3a897c5f9418"],
Cell[48600, 1491, 510, 11, 24, "Print",ExpressionUUID->"91e7eefc-d850-4015-91ce-83a3eff791ac"],
Cell[49113, 1504, 510, 11, 24, "Print",ExpressionUUID->"8f3cceaa-25bf-4d35-9068-84cd9613e47e"],
Cell[49626, 1517, 512, 11, 24, "Print",ExpressionUUID->"0fb16df9-3a21-46d8-a68b-974ef73cceda"],
Cell[50141, 1530, 512, 11, 24, "Print",ExpressionUUID->"3173edca-e36d-48ad-99f4-06268c360f95"],
Cell[50656, 1543, 510, 11, 24, "Print",ExpressionUUID->"efd7e459-62e2-4c10-ae73-eea039598d12"],
Cell[51169, 1556, 510, 11, 24, "Print",ExpressionUUID->"930698dd-ca20-47af-a8be-cbb004b71569"],
Cell[51682, 1569, 510, 11, 24, "Print",ExpressionUUID->"ef17bd1d-24b6-482f-9284-423565ca0dc5"],
Cell[52195, 1582, 512, 11, 24, "Print",ExpressionUUID->"d36d682f-4341-4f09-a038-afb0b6c4cf6a"],
Cell[52710, 1595, 510, 11, 24, "Print",ExpressionUUID->"ffed3485-7ad7-41e4-8d6b-4d10beca5277"],
Cell[53223, 1608, 510, 11, 24, "Print",ExpressionUUID->"f185224f-60c9-4d2a-b3e7-ed3bf77f8bd7"],
Cell[53736, 1621, 514, 11, 24, "Print",ExpressionUUID->"8e6a4dc2-c6c5-4fc5-9363-331d932da360"],
Cell[54253, 1634, 512, 11, 24, "Print",ExpressionUUID->"65a1ddb8-cf5a-46f2-8411-f7aae7abf105"],
Cell[54768, 1647, 514, 11, 24, "Print",ExpressionUUID->"4185316d-aea9-49a6-9dbf-58e9444d77d6"],
Cell[55285, 1660, 512, 11, 24, "Print",ExpressionUUID->"c97a90a6-09fb-4b26-8358-7fd908f8f86a"],
Cell[55800, 1673, 512, 11, 24, "Print",ExpressionUUID->"bad05441-b8a4-4c72-9428-f1024a7ae77b"],
Cell[56315, 1686, 511, 11, 24, "Print",ExpressionUUID->"9cf7aca2-cb27-4e76-86b0-1fcc6dc7385d"],
Cell[56829, 1699, 512, 11, 24, "Print",ExpressionUUID->"671227f8-b8e9-4a0d-b76e-5266bd195302"],
Cell[57344, 1712, 512, 11, 24, "Print",ExpressionUUID->"6744fc76-d842-4b2d-b8f6-6aeb5011f5f5"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[57905, 1729, 999, 27, 94, "Input",ExpressionUUID->"eacc902b-5a73-4a6e-841a-b2db554bcf75"],
Cell[58907, 1758, 304, 6, 34, "Output",ExpressionUUID->"8433f128-58a4-4557-b368-9366cc2220be"],
Cell[CellGroupData[{
Cell[59236, 1768, 264, 5, 24, "Print",ExpressionUUID->"84412ec6-4f0b-4249-92fb-d9d2365525d1"],
Cell[59503, 1775, 507, 11, 24, "Print",ExpressionUUID->"07cfb5db-da25-4d18-b36e-ade594e191f1"],
Cell[60013, 1788, 508, 11, 24, "Print",ExpressionUUID->"21a6675f-72bb-48b0-820c-6c0e7c907225"],
Cell[60524, 1801, 508, 11, 24, "Print",ExpressionUUID->"8b4ca668-559c-4c78-8964-4d3430c3d3e7"],
Cell[61035, 1814, 510, 11, 24, "Print",ExpressionUUID->"8df212d1-f0f2-4643-90de-29b71fed1e2f"],
Cell[61548, 1827, 509, 11, 24, "Print",ExpressionUUID->"da4fea05-4f6e-468f-ba0b-0c357a863447"],
Cell[62060, 1840, 510, 11, 24, "Print",ExpressionUUID->"635bd7a0-2d2e-420e-87c8-b5551cc49413"],
Cell[62573, 1853, 510, 11, 24, "Print",ExpressionUUID->"22c72a07-4352-4149-9ef2-2fde5f6e5884"],
Cell[63086, 1866, 510, 11, 24, "Print",ExpressionUUID->"f0919c0e-5369-45c8-80e0-7dda83cbccdd"],
Cell[63599, 1879, 510, 11, 24, "Print",ExpressionUUID->"f2900376-dc1f-4094-905e-6ef7c48d16d9"],
Cell[64112, 1892, 510, 11, 24, "Print",ExpressionUUID->"f48789e4-72f5-49ae-834d-2ff1a1a782bc"],
Cell[64625, 1905, 511, 11, 24, "Print",ExpressionUUID->"e31c8803-11be-4120-a7d0-97fca96f52f2"],
Cell[65139, 1918, 512, 11, 24, "Print",ExpressionUUID->"6f713301-b6e9-4929-a2a8-003809648e31"],
Cell[65654, 1931, 512, 11, 24, "Print",ExpressionUUID->"24518b80-c386-4cd1-afdd-4cb16c5ad180"],
Cell[66169, 1944, 512, 11, 24, "Print",ExpressionUUID->"a9097378-b54f-4680-bbc3-8d51d063c133"],
Cell[66684, 1957, 512, 11, 24, "Print",ExpressionUUID->"22e01f6e-09a1-428a-895c-8522fe46e82c"],
Cell[67199, 1970, 511, 11, 24, "Print",ExpressionUUID->"e7ab470c-3109-4f7b-813f-c52270ff617d"],
Cell[67713, 1983, 512, 11, 24, "Print",ExpressionUUID->"08039d3e-622a-4f77-80d8-41911e4cc3cd"],
Cell[68228, 1996, 512, 11, 24, "Print",ExpressionUUID->"a0088e98-f5f9-4e6e-81ea-2ec203f1c6b5"],
Cell[68743, 2009, 512, 11, 24, "Print",ExpressionUUID->"38370916-7ed0-4f35-8fd8-186bcf4109d1"],
Cell[69258, 2022, 514, 11, 24, "Print",ExpressionUUID->"8e907815-29e1-4cec-8b42-047611f86a7b"],
Cell[69775, 2035, 514, 11, 24, "Print",ExpressionUUID->"a74326d5-debf-417b-ba0f-a1507ed471ee"],
Cell[70292, 2048, 512, 11, 24, "Print",ExpressionUUID->"95d7203d-200c-4947-af45-6fc3d1b549b5"],
Cell[70807, 2061, 512, 11, 24, "Print",ExpressionUUID->"76d927df-ff70-4c67-af37-1e5d943ff98a"],
Cell[71322, 2074, 512, 11, 24, "Print",ExpressionUUID->"0fd5ff69-0a42-4ff8-81ab-3fdd44fa9730"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[71883, 2091, 999, 27, 94, "Input",ExpressionUUID->"71c81173-17ba-40fc-af09-cf865f312a39"],
Cell[72885, 2120, 304, 6, 34, "Output",ExpressionUUID->"5445b4d2-ecb5-4597-b247-e40297cab701"],
Cell[CellGroupData[{
Cell[73214, 2130, 267, 5, 24, "Print",ExpressionUUID->"fefee073-6e25-4051-aa07-7591d86a852e"],
Cell[73484, 2137, 509, 11, 24, "Print",ExpressionUUID->"54bd368a-5931-4f40-bea0-da339a6e45ce"],
Cell[73996, 2150, 509, 11, 24, "Print",ExpressionUUID->"0e562b44-d1e7-49ca-a782-d10bc04fb9e3"],
Cell[74508, 2163, 509, 11, 24, "Print",ExpressionUUID->"5d61fbbe-119b-4435-8cb6-fc7e8706acfb"],
Cell[75020, 2176, 511, 11, 24, "Print",ExpressionUUID->"c650c1ac-b56a-4e0c-afb7-f123c5d2cf2e"],
Cell[75534, 2189, 511, 11, 24, "Print",ExpressionUUID->"c019f91b-d2a2-4e74-a9d3-8f66e149edd7"],
Cell[76048, 2202, 511, 11, 24, "Print",ExpressionUUID->"533761fd-5edf-424c-ba1f-d852756e6c13"],
Cell[76562, 2215, 513, 11, 24, "Print",ExpressionUUID->"bacc4818-b721-4ad0-91a0-2d304df5b8f1"],
Cell[77078, 2228, 512, 11, 24, "Print",ExpressionUUID->"b07a636b-d29e-40cf-aaac-8cafa9b533b3"],
Cell[77593, 2241, 512, 11, 24, "Print",ExpressionUUID->"d104a8ef-29e9-4e84-95e3-82dc70f2e126"],
Cell[78108, 2254, 513, 11, 24, "Print",ExpressionUUID->"f0a0f248-8f8a-4c46-b024-b65888f1439d"],
Cell[78624, 2267, 515, 11, 24, "Print",ExpressionUUID->"cfda5428-48c4-4a05-aabe-2902901f5c36"],
Cell[79142, 2280, 513, 11, 24, "Print",ExpressionUUID->"3f544b28-8759-46f4-a325-c110502b79a7"],
Cell[79658, 2293, 515, 11, 24, "Print",ExpressionUUID->"1d2ea80d-ee8d-4d17-9f85-70faa4386b2e"],
Cell[80176, 2306, 513, 11, 24, "Print",ExpressionUUID->"964c85eb-ca73-4989-bdb8-a45040baa478"],
Cell[80692, 2319, 511, 11, 24, "Print",ExpressionUUID->"c9b4642a-9434-4b99-abb3-5c06032398f5"],
Cell[81206, 2332, 512, 11, 24, "Print",ExpressionUUID->"3f28f08b-6a57-4856-826e-9456da15ba02"],
Cell[81721, 2345, 512, 11, 24, "Print",ExpressionUUID->"604dfeed-9cd2-4336-a2c2-3f87200680a1"],
Cell[82236, 2358, 513, 11, 24, "Print",ExpressionUUID->"d159ffcd-ee2f-404d-98d1-d19b468a5ad1"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[82798, 2375, 997, 27, 94, "Input",ExpressionUUID->"5bc4ee18-68ac-4bf6-937f-41e069486be2"],
Cell[83798, 2404, 300, 6, 34, "Output",ExpressionUUID->"463f0946-2190-4c18-a2dd-014b0279fb73"],
Cell[CellGroupData[{
Cell[84123, 2414, 264, 5, 24, "Print",ExpressionUUID->"ac30be17-8a47-43c6-8282-5b6a3f563b82"],
Cell[84390, 2421, 510, 11, 24, "Print",ExpressionUUID->"01582f36-ab36-4268-9383-ac5a495d62d3"],
Cell[84903, 2434, 508, 11, 24, "Print",ExpressionUUID->"88a8ee16-e667-4dd5-93a2-98f8a8fbc361"],
Cell[85414, 2447, 508, 11, 24, "Print",ExpressionUUID->"a9b39866-824f-4037-82a4-3649ae295695"],
Cell[85925, 2460, 508, 11, 24, "Print",ExpressionUUID->"20324f70-56c6-4d3f-ab92-a2a3aab21aa6"],
Cell[86436, 2473, 508, 11, 24, "Print",ExpressionUUID->"23480473-567d-4686-a04a-3c7cf64a9259"],
Cell[86947, 2486, 508, 11, 24, "Print",ExpressionUUID->"88d7d251-a701-4e36-800d-32fbddb98cd3"],
Cell[87458, 2499, 512, 11, 24, "Print",ExpressionUUID->"60e320f7-e7c0-4366-8b8d-9a31b5ef0540"],
Cell[87973, 2512, 512, 11, 24, "Print",ExpressionUUID->"e5cf9a10-47b4-44ac-8050-3a080de564ce"],
Cell[88488, 2525, 512, 11, 24, "Print",ExpressionUUID->"a4518a50-5905-419a-bcf7-01b8fd8c5d44"],
Cell[89003, 2538, 512, 11, 24, "Print",ExpressionUUID->"9448936b-bf00-447f-a381-e45e8b85f04a"],
Cell[89518, 2551, 514, 11, 24, "Print",ExpressionUUID->"ef8157fb-1703-45f7-b75d-c908f5bd9374"],
Cell[90035, 2564, 512, 11, 24, "Print",ExpressionUUID->"f799d832-080f-4d1c-ae79-ae1a554c4612"],
Cell[90550, 2577, 514, 11, 24, "Print",ExpressionUUID->"0f4478e2-adb2-432c-a66e-93553c8f2f76"],
Cell[91067, 2590, 514, 11, 24, "Print",ExpressionUUID->"19db1066-3dc8-4a41-a850-0e4a4d1c7beb"],
Cell[91584, 2603, 512, 11, 24, "Print",ExpressionUUID->"3c68e6f2-1058-42f1-b234-a273f3912b69"],
Cell[92099, 2616, 512, 11, 24, "Print",ExpressionUUID->"ece99007-2c96-4043-899b-3675c1f334e1"],
Cell[92614, 2629, 512, 11, 24, "Print",ExpressionUUID->"25bb8ea3-40d1-437e-aa6f-5c5e90e00d1c"],
Cell[93129, 2642, 511, 11, 24, "Print",ExpressionUUID->"6c76e51b-4ba5-47e4-a9d2-b405ec6b302a"],
Cell[93643, 2655, 512, 11, 24, "Print",ExpressionUUID->"9178bcf1-c528-40fc-ba2a-11acf64877c0"],
Cell[94158, 2668, 512, 11, 24, "Print",ExpressionUUID->"db3738e0-3805-40dc-85b7-bdc1b45c49b6"],
Cell[94673, 2681, 512, 11, 24, "Print",ExpressionUUID->"4fb24571-ccfe-4da4-913c-247ef1c0f48e"],
Cell[95188, 2694, 514, 11, 24, "Print",ExpressionUUID->"acec7815-94a5-4584-982f-9fa3223263fd"],
Cell[95705, 2707, 514, 11, 24, "Print",ExpressionUUID->"143720a5-e478-407b-aa37-b08254fe43ae"],
Cell[96222, 2720, 514, 11, 24, "Print",ExpressionUUID->"c3b4e499-58fc-43d3-804e-4b73b6590e09"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[96785, 2737, 1779, 47, 220, "Input",ExpressionUUID->"f60d12ad-4882-4ae8-9476-16e94d7c31c2"],
Cell[98567, 2786, 304, 6, 34, "Output",ExpressionUUID->"1e0f8b97-be4b-4446-888d-bbae99e6516e"],
Cell[CellGroupData[{
Cell[98896, 2796, 267, 5, 24, "Print",ExpressionUUID->"f4ed8843-766f-4322-abc6-820a28848f29"],
Cell[99166, 2803, 267, 5, 24, "Print",ExpressionUUID->"bb7dd05d-bf1e-497c-bbfb-038df993ea74"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[99482, 2814, 1779, 47, 220, "Input",ExpressionUUID->"017a12af-cd5a-4b55-b463-677ad6f8fbc4"],
Cell[101264, 2863, 301, 6, 34, "Output",ExpressionUUID->"dd47d599-959e-4c7a-b2a6-24a6033bed48"],
Cell[CellGroupData[{
Cell[101590, 2873, 265, 5, 24, "Print",ExpressionUUID->"bbf121d2-ae45-476d-a5ee-da56d550e033"],
Cell[101858, 2880, 265, 5, 24, "Print",ExpressionUUID->"b7d4b119-2f6d-41b2-8eab-94ad76c0b15b"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[102172, 2891, 1749, 47, 220, "Input",ExpressionUUID->"01f98ec3-8aeb-407e-a3b2-cb69467b7cb5"],
Cell[103924, 2940, 307, 6, 34, "Output",ExpressionUUID->"4cd97784-4b01-4dfb-b4a8-3a8fbeed5a67"],
Cell[CellGroupData[{
Cell[104256, 2950, 265, 5, 24, "Print",ExpressionUUID->"54c938fb-5107-4329-98ce-9c30e8ca4705"],
Cell[104524, 2957, 264, 5, 24, "Print",ExpressionUUID->"71595716-8214-4574-9f3a-154ab80b695d"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[104837, 2968, 2119, 56, 220, "Input",ExpressionUUID->"8be71158-92f4-4638-bbf7-a1035616105c"],
Cell[106959, 3026, 304, 6, 34, "Output",ExpressionUUID->"892e1074-f886-4315-b7dc-985041c0ecde"],
Cell[CellGroupData[{
Cell[107288, 3036, 267, 5, 24, "Print",ExpressionUUID->"bb413179-8e6a-4340-ab6e-1e180fca4b8c"],
Cell[107558, 3043, 269, 5, 24, "Print",ExpressionUUID->"79f3faf6-b013-4858-b82e-daafc470cfe2"],
Cell[107830, 3050, 312, 7, 24, "Print",ExpressionUUID->"23700d28-9efa-47ff-998f-a3dddfddd796"],
Cell[108145, 3059, 314, 7, 24, "Print",ExpressionUUID->"693e4119-4a33-40a3-bdaf-48b406dc73b1"],
Cell[108462, 3068, 312, 7, 24, "Print",ExpressionUUID->"c1a265cf-ea26-4a9f-b016-94443f891342"],
Cell[108777, 3077, 314, 7, 24, "Print",ExpressionUUID->"935d1c3f-5434-4391-8261-9b05f68d0c45"],
Cell[109094, 3086, 312, 7, 24, "Print",ExpressionUUID->"00ea2fb2-9745-49f3-ab0a-d4f97b3ff954"],
Cell[109409, 3095, 314, 7, 24, "Print",ExpressionUUID->"ee7e4524-553a-4725-b4eb-1c6827aec2b3"]
}, Open  ]]
}, Open  ]],
Cell[109750, 3106, 200, 4, 30, "Input",ExpressionUUID->"bf3e93c1-ba32-40ac-8b4d-d678cee78f94"],
Cell[CellGroupData[{
Cell[109975, 3114, 409, 9, 52, "Input",ExpressionUUID->"05183e62-4dbf-4e4d-9726-79381b42d593"],
Cell[CellGroupData[{
Cell[110409, 3127, 267, 5, 24, "Print",ExpressionUUID->"6fb5f287-544d-465d-bccf-b95003f1ed62"],
Cell[110679, 3134, 267, 5, 24, "Print",ExpressionUUID->"0c495317-4a4a-49b9-afd4-c4cab51bf3ba"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[110995, 3145, 2144, 56, 178, "Input",ExpressionUUID->"9aedddae-75ae-4433-982c-6be3b25a5808"],
Cell[113142, 3203, 308, 7, 34, "Output",ExpressionUUID->"dd6f17c6-7212-43b7-ae9f-0f82d57efda7"],
Cell[113453, 3212, 308, 7, 34, "Output",ExpressionUUID->"ff811956-7e51-4db4-abd3-fc1b895c8bfe"]
}, Open  ]],
Cell[113776, 3222, 248, 4, 30, "Input",ExpressionUUID->"fab35f1c-2ed8-486e-93ff-d35e635ea8f6"],
Cell[114027, 3228, 216, 4, 30, "Input",ExpressionUUID->"3fedea54-3d25-4424-bc21-0d1cc2c50351"],
Cell[114246, 3234, 9150, 186, 409, "Input",ExpressionUUID->"d0b16d67-cdd8-4bf7-ad55-b1f8fd008beb"],
Cell[CellGroupData[{
Cell[123421, 3424, 2548, 67, 241, "Input",ExpressionUUID->"2b4c644a-f6b0-4c33-a5c1-3f3d14b189bc"],
Cell[125972, 3493, 739, 21, 49, "Output",ExpressionUUID->"442ffa74-2303-463a-b2fd-cbdab4c86a26"],
Cell[126714, 3516, 793, 25, 117, "Output",ExpressionUUID->"1d0d5b11-9b5a-4547-87a2-3a5d99a73b9f"],
Cell[127510, 3543, 682, 18, 34, "Output",ExpressionUUID->"990e3eee-3785-41c1-bf33-1abfb7206bb8"],
Cell[128195, 3563, 682, 18, 34, "Output",ExpressionUUID->"7b14bdf4-cc36-4b96-999c-61214809f25b"],
Cell[128880, 3583, 682, 18, 34, "Output",ExpressionUUID->"7cfb9256-c06c-426b-92b1-c779c9cde5bc"],
Cell[129565, 3603, 283, 5, 24, "Print",ExpressionUUID->"0d3304ac-657f-4027-ad42-2a5c623f144b"],
Cell[129851, 3610, 791, 25, 117, "Output",ExpressionUUID->"c954473b-fd0f-4cd8-98eb-6e657e47cd20"],
Cell[130645, 3637, 687, 18, 34, "Output",ExpressionUUID->"db061a49-a579-4b84-880e-2747eb6785b8"],
Cell[131335, 3657, 687, 18, 34, "Output",ExpressionUUID->"44fd29e1-c15e-4c0f-8d34-891bf7b8e97d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[132059, 3680, 2666, 70, 262, "Input",ExpressionUUID->"3279fd8c-bb87-4abe-9a95-9543c0925746"],
Cell[134728, 3752, 740, 21, 49, "Output",ExpressionUUID->"ddf82d86-96da-417f-a1dd-47e9e7d3b5fb"],
Cell[135471, 3775, 792, 25, 117, "Output",ExpressionUUID->"a2f43774-e539-4787-8ff9-64dbb70b28d3"],
Cell[136266, 3802, 687, 18, 34, "Output",ExpressionUUID->"b0923b8f-fd1d-447f-bb54-b4fa7fa5435c"],
Cell[136956, 3822, 688, 18, 34, "Output",ExpressionUUID->"1ef2fd42-83a5-4f49-9f21-f0725d266c34"],
Cell[137647, 3842, 278, 5, 24, "Print",ExpressionUUID->"666f5588-8692-424b-81c0-99a50bfc220b"],
Cell[137928, 3849, 794, 25, 117, "Output",ExpressionUUID->"1fafef97-4524-44e7-b6d7-3aa424207c2e"],
Cell[138725, 3876, 685, 18, 34, "Output",ExpressionUUID->"05b7e2a3-2474-4ede-b9a7-873b3884e10c"],
Cell[139413, 3896, 683, 18, 34, "Output",ExpressionUUID->"a75ca998-5c13-44b1-81b6-0f437909041f"],
Cell[140099, 3916, 685, 18, 34, "Output",ExpressionUUID->"93072248-1673-4b72-83ec-f7836cc2da27"]
}, Open  ]],
Cell[CellGroupData[{
Cell[140821, 3939, 3195, 79, 388, "Input",ExpressionUUID->"33894c28-7d16-45ad-9561-0ad264966d9f"],
Cell[144019, 4020, 742, 21, 49, "Output",ExpressionUUID->"35a62609-f31c-44b3-98dd-bd3aa6f5b0af"],
Cell[144764, 4043, 766, 23, 83, "Output",ExpressionUUID->"0fcd64ff-c33c-4894-ad71-9ec15ad662c5"],
Cell[145533, 4068, 683, 18, 34, "Output",ExpressionUUID->"b7fff977-94e1-4696-8f94-60d562aa9a7d"],
Cell[146219, 4088, 685, 18, 34, "Output",ExpressionUUID->"0c588d10-1919-4ff6-af51-6239edf428a0"],
Cell[146907, 4108, 280, 5, 24, "Print",ExpressionUUID->"8a35823f-9ae6-400d-9d78-dab02a1163be"],
Cell[147190, 4115, 766, 23, 83, "Output",ExpressionUUID->"61a45561-942d-4fcc-bd51-b1099d0a5f69"],
Cell[147959, 4140, 683, 18, 34, "Output",ExpressionUUID->"fa4f49bb-8c53-43a8-847b-3b4b337c39ef"],
Cell[148645, 4160, 685, 18, 34, "Output",ExpressionUUID->"fa5554d4-5cdf-4e0c-906c-d7f828b88757"],
Cell[149333, 4180, 308, 7, 34, "Output",ExpressionUUID->"07a4828b-c170-4114-abff-d0c34a7a536a"],
Cell[149644, 4189, 313, 7, 34, "Output",ExpressionUUID->"409b5c04-2787-4fc0-b96f-4bbf7077f0a0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[149994, 4201, 4587, 114, 430, "Input",ExpressionUUID->"0513b808-f2e5-4fd5-98a5-0cfeac53c611"],
Cell[154584, 4317, 742, 21, 49, "Output",ExpressionUUID->"cae440d4-9412-436b-8b08-487ec709b308"],
Cell[155329, 4340, 833, 28, 167, "Output",ExpressionUUID->"38ec50e0-b404-4300-ac58-d029074dde5d"],
Cell[156165, 4370, 690, 18, 34, "Output",ExpressionUUID->"2442322b-eddb-426c-b267-d82eb35f906e"],
Cell[156858, 4390, 690, 18, 34, "Output",ExpressionUUID->"1ba9d157-21b3-47c8-8f83-2fb39c751a6d"],
Cell[157551, 4410, 692, 18, 34, "Output",ExpressionUUID->"980ddf49-7a7e-4874-9847-d86322406a4f"],
Cell[158246, 4430, 280, 5, 24, "Print",ExpressionUUID->"c7bd4a21-0902-4494-b6a6-526992286183"],
Cell[158529, 4437, 833, 28, 167, "Output",ExpressionUUID->"95116b19-9d2c-48e5-bf82-81b065a79a05"],
Cell[159365, 4467, 690, 18, 34, "Output",ExpressionUUID->"bd902ee3-866b-497a-b0c0-ffece6d0a017"],
Cell[160058, 4487, 692, 18, 34, "Output",ExpressionUUID->"3e451d67-6593-4485-bb31-d479e7a65c3a"],
Cell[160753, 4507, 690, 18, 34, "Output",ExpressionUUID->"35756225-9201-4d73-8580-0dcb9171f031"],
Cell[161446, 4527, 313, 7, 34, "Output",ExpressionUUID->"8e1004cf-439b-4c74-91d0-f71831be0249"]
}, Open  ]],
Cell[CellGroupData[{
Cell[161796, 4539, 199, 4, 30, "Input",ExpressionUUID->"b067974a-7e67-401a-bec4-a27b8760c23f"],
Cell[161998, 4545, 11052, 271, 167, "Output",ExpressionUUID->"f149745f-2dc9-4b0c-976b-1594d3b4a96d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[173087, 4821, 1635, 43, 178, "Input",ExpressionUUID->"01976448-9315-4cd3-be74-98300b0a1c34"],
Cell[174725, 4866, 757, 22, 65, "Output",ExpressionUUID->"39511842-9fbd-471e-8d2b-3a2b952aa126"],
Cell[175485, 4890, 1085, 46, 473, "Output",ExpressionUUID->"596f10cd-23eb-477f-a64a-4a9e85401e7a"],
Cell[176573, 4938, 886, 26, 167, "Output",ExpressionUUID->"af55e6f2-24f9-4087-8a9e-4df071c95dbf"],
Cell[177462, 4966, 313, 7, 34, "Output",ExpressionUUID->"269b77c6-76e3-4559-8cba-ef2da38370f2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[177812, 4978, 2532, 66, 220, "Input",ExpressionUUID->"655305ef-7322-4589-a735-4a65aad488c4"],
Cell[180347, 5046, 755, 22, 65, "Output",ExpressionUUID->"98c66848-bf88-4d69-8a71-aca12b87c8dc"],
Cell[181105, 5070, 818, 27, 151, "Output",ExpressionUUID->"294dbde9-7371-442f-9fa8-41c4a46e616e"],
Cell[181926, 5099, 683, 18, 34, "Output",ExpressionUUID->"02229bb8-51c8-4f2c-9b99-4bc1efeb5c28"],
Cell[182612, 5119, 683, 18, 34, "Output",ExpressionUUID->"53d8ccf3-84aa-451a-9320-2f150c2e29c2"],
Cell[183298, 5139, 683, 18, 34, "Output",ExpressionUUID->"f422fc24-1ba9-42b9-9f1a-07ddfeac10e4"],
Cell[183984, 5159, 683, 18, 34, "Output",ExpressionUUID->"71003cf4-d853-41d7-a3be-7434602ddedb"],
Cell[184670, 5179, 307, 7, 34, "Output",ExpressionUUID->"311cc90e-c993-488e-882f-04043226e8b7"],
Cell[184980, 5188, 313, 7, 34, "Output",ExpressionUUID->"6910b4e2-f129-46b3-af12-57ec1801e1d0"]
}, Open  ]],
Cell[185308, 5198, 175, 3, 30, "Input",ExpressionUUID->"c5ee543c-bba5-4f0d-9651-6b7c4fe720d0"],
Cell[185486, 5203, 175, 3, 30, "Input",ExpressionUUID->"609b8980-cc22-4977-82a4-12f0fc9a32d4"],
Cell[185664, 5208, 170, 3, 52, "Input",ExpressionUUID->"4aa10052-bbe2-42a5-8f45-3b866871d55a"],
Cell[CellGroupData[{
Cell[185859, 5215, 1360, 37, 136, "Input",ExpressionUUID->"a53e39a6-501b-448a-b740-dab43db9c44e"],
Cell[187222, 5254, 790, 25, 117, "Output",ExpressionUUID->"ccf59bd0-1fd6-4b3b-b2da-e27c9bd542d1"],
Cell[188015, 5281, 311, 7, 34, "Output",ExpressionUUID->"25917cb2-c028-41a3-8339-054553b60168"],
Cell[188329, 5290, 309, 7, 34, "Output",ExpressionUUID->"f78ac574-a36f-4f25-9375-dea9c5188d40"]
}, Open  ]],
Cell[CellGroupData[{
Cell[188675, 5302, 3060, 74, 325, "Input",ExpressionUUID->"c634ee13-0fbc-42be-b605-65aa9892ce8a"],
Cell[191738, 5378, 742, 23, 83, "Output",ExpressionUUID->"5a4ca64d-c89f-4323-8ab7-eefe47667d26"],
Cell[192483, 5403, 660, 18, 34, "Output",ExpressionUUID->"dc2edaca-5016-4c71-be41-f6185dc5c72e"],
Cell[193146, 5423, 660, 18, 34, "Output",ExpressionUUID->"57f5cea7-197c-4eff-b074-d3735d6dfb4f"],
Cell[193809, 5443, 662, 18, 34, "Output",ExpressionUUID->"e8040bd7-191b-43e1-8693-956ab1f154ab"],
Cell[194474, 5463, 258, 5, 24, "Print",ExpressionUUID->"a5ae59a6-b360-4d6a-9f31-aa150cbbf1cb"],
Cell[194735, 5470, 664, 18, 34, "Output",ExpressionUUID->"b47f5a42-4d26-4948-bece-232fab795954"],
Cell[195402, 5490, 665, 18, 34, "Output",ExpressionUUID->"857059b6-7944-4e1f-9d0e-3411aba77e72"],
Cell[196070, 5510, 665, 18, 34, "Output",ExpressionUUID->"50865dba-a021-40a5-9f92-aa1306236c21"],
Cell[196738, 5530, 1185, 55, 627, "Output",ExpressionUUID->"4c790f65-7f18-45af-bb6e-2ae1d8c42c91"]
}, Open  ]],
Cell[CellGroupData[{
Cell[197960, 5590, 195, 4, 30, "Input",ExpressionUUID->"1c361c1d-4c10-4afa-9ab6-9038172048d0"],
Cell[198158, 5596, 22910, 546, 418, "Output",ExpressionUUID->"bd2caf30-ab71-4acb-bbcc-8e5d80ae0829"]
}, Open  ]]
}
]
*)

